# Zulip Code of Conduct

## Our Commitment

In the interest of fostering an open and welcoming environment, we as
contributors and maintainers are committed to making participation in our
project and our community a harassment-free experience for everyone, regardless
of age, body size, disability, ethnicity, gender identity and expression, level
of experience, nationality, personal appearance, race, religion, or sexual
identity and orientation.

## Our Standards

Examples of behavior that contributes to creating a positive environment
include:

* Using welcoming and inclusive language
* Being friendly and patient
* Being respectful of differing viewpoints and experiences, and trying to
  understand other people's points of view
* Gracefully accepting constructive criticism
* Focusing on what is best for the community
* Showing empathy towards other community members
* Assuming other community members have good intentions, and treating
  them with respect and patience accordingly.
* Respecting the time and attention of others, in particular:
  * Including tracebacks, any changes you've made, and other relevant
    details in bug/error reports.
  * Asking broadly relevant questions in public forums, rather than
  sending private messages to individuals, so that the first available
  expert can answer, and the answers are available to the whole
  community.

Examples of unacceptable behavior by participants include:

* The use of sexualized language or imagery and unwelcome sexual attention or
  advances
* Trolling, insulting/derogatory comments, and personal or political attacks
* Public or private harassment
* Criticism of contributions which is not constructive, which occurs outside
  project channels or which is repetitive
* Publishing others' private information, such as a physical or electronic
  address without explicit permission

We will exclude you from interaction if you insult, demean or harass anyone.
That is not welcome behavior.

## Responsibilities of Project Maintainers

Project maintainers are responsible for clarifying the standards of acceptable
behavior and are expected to take appropriate and fair corrective action in
response to any instances of unacceptable behavior.

Project maintainers have the right and responsibility to remove, edit, or reject
comments, commits, code, wiki edits, issues, and other contributions that are
not aligned to this Code of Conduct, or to ban temporarily or permanently any
contributor for other behaviors that they deem inappropriate, threatening,
offensive, or harmful.

## Scope

This Code of Conduct applies both within project spaces and in public spaces
when an individual is representing the project or its community. Examples of
project spaces include mailing lists, chat.zulip.org, GitHub and in code.
Examples of representing a project or community include using an official
project e-mail address, posting via an official social media account, or acting
as an appointed representative at an online or offline event.

## Enforcement

To report code of conduct violations or concerns, please contact
zulip-code-of-conduct@googlegroups.com immediately.  Whether you're a
regular contributor or a newcomer, we care about making this community
a safer place for you and we've got your back.

We encourage anyone who observes abusive, harassing, or otherwise
unacceptable behavior to report that by emailing
zulip-code-of-conduct@googlegroups.com. All reports will be reviewed
and investigated and will result in a response that is deemed
necessary and appropriate to the circumstances by the project
maintainers.  The project team will keep confidential the details of
the reporter when possible.

Further details of specific enforcement policies may be posted separately.

Project maintainers who do not follow or enforce the Code of Conduct in good
faith may face temporary or permanent repercussions as determined by other
members of the project's leadership.

## Attribution

This Code of Conduct is adapted from the [Contributor Covenant][cchomepage]
[version 1.4][ccversion] and the [Rust Code of Conduct][rsconduct].

[cchomepage]: http://contributor-covenant.org
[ccversion]: http://contributor-covenant.org/version/1/4/
[rsconduct]: https://www.rust-lang.org/en-US/conduct.html
