# Format your message using Markdown

Zulip uses a variant of
[GitHub Flavored Markdown](https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet#tables)
(GFM) to allow you to easily format your messages.

## Summary

To see a summary of message formatting in Zulip, click the A (<i
class="icon-vector-font"></i>) icon located in the bottom left corner of
your messaging box. You can alternatively click the cog (<i
class="icon-vector-cog"></i>) icon in the upper right corner of the right
sidebar and choose **Message formatting** from the dropdown menu that
appears.

![Message formatting modal](/static/images/help/message-formatting-summary.png)

## Emphasis

You can surround your text with a combination of asterisks `*` and
tildes `~` to emphasize words or phrases in your messages.

### Italics

For italics, surround your text with `*asterisks*`.

![Italicized text](/static/images/help/italics-screenshot.png)

### Bold

For bold text, surround your text with `**two asterisks**`.

![Bold text](/static/images/help/bold-screenshot.png)

### Strikethrough

For strikethrough text, surround your text with `~~two tildes~~`.

![Strikethrough text](/static/images/help/strikethrough-screenshot.png)

### Extra emphasis

To add more variety, flavor, and emphasis to your messages, you can
combine different styles of formatting.

![Extra emphasized text](/static/images/help/extra-emphasis-screenshot.png)

## Links

To include hyperlinks in your messages, you can either enter the
link's url address directly or surround the link's display text
with`[brackets]` and the url address of the link in `(parentheses)`
immediately after.

![Link](/static/images/help/link-screenshot.png)

Zulip currently does not support image embedding through links.

## Stream Links

To link to another stream in one of your messages, you can either type
`#streamName` and click the stream name in the popup, or you can start
with `#` and surround your message with double asteriks `**`.

![Stream Link Popup](/static/images/help/stream-link-pop-screenshot.png)

![Stream Links](/static/images/help/stream-link-screenshot.png)

## Lists

Begin each item in your list with `* an asterisk followed by a space`
to include lists in your messages.

![Lists](/static/images/help/lists-screenshot.png)

## Emojis

Zulip features a variety of emojis provided by the
[Noto Project](https://code.google.com/p/noto/). To include emojis in
your messages, surround the emoji phrase with `:colons:`.

A dropdown will appear with suggested emojis as you enter the emoji phrase.

![Emojis](/static/images/help/emojis-screenshot.png)

A complete list of emojis can be found [here](http://www.webpagefx.com/tools/emoji-cheat-sheet/).

## Mentions

To call the attention of another member, you can alert them by typing
`@**username**`

If you type `@` and then begin typing the user's email address or the
user's name, the system will offer you auto-completion suggestions.

![Mentions](/static/images/help/mention-screenshot.png)

Typing `@**all**` will alert all users in the stream, and a
confirmation message will appear.

![Mention All](/static/images/help/all-confirm.png)

For more information on mentions, visit [here](/help/at-mention-a-team-member).

## Code

You can surround a portion of code with ``
`back-ticks`
`` to display it as inline code.

![Inline code](/static/images/help/inline-code-screenshot.png)

Multi-line blocks of code are either fenced by lines with <code>``````
three back-ticks```<code>```</code></code> or indented with four
spaces.

![No code syntax highlighting](/static/images/help/no-syntax.png)

In addition, to highlight language syntax, add the file extension of
the language (for example, Python would be **.py**) right after the
first set of back-ticks.

![Python syntax highlighting](/static/images/help/python-syntax.png)

![JavaScript syntax highlighting](/static/images/help/javascript-syntax.png)

## Quotes

To insert quotes, you can either add a greater-than symbol ```>``` and
a space before your phrase or submit it as a quote block by following
the code syntax highlighting format.

![Quotes](/static/images/help/quotes-screenshot.png)
