# Keyboard shortcuts

Keyboard shortcuts allow a user to use Zulip easily and efficiently
for a better user experience.

Zulip keyboard shortcuts are divided into four categories:
* [Navigation](#navigation)
* [Composing messages](#composing-messages)
* [Narrowing](#narrowing)
* [Menus](#menus)

## Navigation

* **Initiate a search** `/` - This shortcut moves the user's cursor to
  the message search bar at the top of the window to allow them to
  begin searching for messages belonging to a specific topic, stream,
  view, etc. in the organization.
* **Search people** `q` - This shortcut moves the user's cursor to the
  user search bar in the right sidebar to to allow them to begin
  searching for a particular user in the organization.
* **Search streams** `w` - This shortcut moves the user's cursor to
  the stream search bar in the left sidebar to to allow them to begin
  searching for a particular stream in the organization.
* **Previous message** `k` `Up arrow` - This shortcut allows the user
  to scroll up to the previous message in their view.
* **Next message** `j` `Down arrow` - This shortcut allows the user to
  scroll down to the next message in their view.
* **Scroll up** `K` `PgUp` - This shortcut allows the user to scroll
  up through the messages in their view.
* **Scroll down** `J` `PgDn` `Spacebar` - This shortcut allows the
  user to scroll down through the messages in their view.
* **Last message** `End` - This shortcut allows the user to scroll to
  the most recent message in their view.

## Composing messages
* **Reply to message** `Enter` `r` - This shortcut allows the user to
  begin replying to the selected message (outlined in blue).
* **Reply to author** `R` - This shortcut allows the user to begin
  writing a private message to the author of the selected message
  (outlined in blue).
* **Reply to message mentioning the author** `Enter` `@` - This
  shortcut allows the user to begin replying to the selected message
  (outlined in blue), @-mentioning the author of the selected message.
* **New stream message** `c` - This shortcut allows the user to begin
  composing a new stream message.
* **New private message** `C` - This shortcut allows the user to begin
  composing a new private message.
* **Send message** `Tab key` then `Enter` - This shortcut allows the
  user to send the message that they've written.
* **Cancel compose** `Esc` - This shortcut allows the user to cancel
  and discard their unsent message.

## Narrowing

* **Narrow by stream** `s` - This shortcut narrows the view to show
  all messages in the stream of the selected message (outlined in
  blue).
* **Narrow by topic** `S` - This shortcut narrows the view to show all
  messages with the topic of the selected message (outlined in blue).
* **Narrow to all private messages** `v` - This shortcut narrows the
  view to show all of the user's private messages.
* **Cycle between stream narrows** `A` `D` - This shortcut allows the
  user to cycle through the narrows showing the messages of a stream
  according to Stream order in the left sidebar. `A` allows the user
  to navigate to the previous stream narrow, and `D` allows the user
  to navigate to the next stream narrow.
* **Return to home view** `Esc` - This shortcut makes the user return
  to the Home view, showing all messages in the organization.

## Menus

* **Open message actions menu** `i` - This shortcut shows the
  available message actions of the selected message (outlined in
  blue).
* **Edit a message you sent** `i` then `Enter` - This shortcut allows
  the user to edit the selected message (outlined in blue) if the user
  authored the selected message. If the selected message was written
  by another user, this shortcut will enable the user to view the
  source code of the message.
* **Show these keyboard shortcuts** `?` - This shortcut makes a modal
  window with a guide to all possible keyboard shortcuts appear.
