/*

  The software provided in this file is offered under a variety of free and open
  source licenses. Unless otherwise specified, software is provided under the
  Apache License, Version 2.0, for which the following text applies:

    Copyright 2011-2016 Dropbox Inc. and contributors.

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

  If some of the software in this file is offered under a different license,
  information about that license will appear in this file.
*/
/*

 The "bootstrap-notify" Software from "Goodybag, Inc." is:
 Copyright 2013 Nijiko Yonskai @nijikokun
 Copyright 2012 Goodybag, Inc.
 and is provided
 under the following license (the bootstrap-notify software has been modified):
 --
 TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

 1. Definitions.

 "License" shall mean the terms and conditions for use, reproduction, and
 distribution as defined by Sections 1 through 9 of this document.

 "Licensor" shall mean the copyright owner or entity authorized by the copyright
 owner that is granting the License.

 "Legal Entity" shall mean the union of the acting entity and all other entities
 that control, are controlled by, or are under common control with that
 entity. For the purposes of this definition, "control" means (i) the power,
 direct or indirect, to cause the direction or management of such entity,
 whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or
 more of the outstanding shares, or (iii) beneficial ownership of such entity.

 "You" (or "Your") shall mean an individual or Legal Entity exercising
 permissions granted by this License.

 "Source" form shall mean the preferred form for making modifications, including
 but not limited to software source code, documentation source, and
 configuration files.

 "Object" form shall mean any form resulting from mechanical transformation or
 translation of a Source form, including but not limited to compiled object
 code, generated documentation, and conversions to other media types.

 "Work" shall mean the work of authorship, whether in Source or Object form,
 made available under the License, as indicated by a copyright notice that is
 included in or attached to the work (an example is provided in the Appendix
 below).

 "Derivative Works" shall mean any work, whether in Source or Object form, that
 is based on (or derived from) the Work and for which the editorial revisions,
 annotations, elaborations, or other modifications represent, as a whole, an
 original work of authorship. For the purposes of this License, Derivative Works
 shall not include works that remain separable from, or merely link (or bind by
 name) to the interfaces of, the Work and Derivative Works thereof.

 "Contribution" shall mean any work of authorship, including the original
 version of the Work and any modifications or additions to that Work or
 Derivative Works thereof, that is intentionally submitted to Licensor for
 inclusion in the Work by the copyright owner or by an individual or Legal
 Entity authorized to submit on behalf of the copyright owner. For the purposes
 of this definition, "submitted" means any form of electronic, verbal, or
 written communication sent to the Licensor or its representatives, including
 but not limited to communication on electronic mailing lists, source code
 control systems, and issue tracking systems that are managed by, or on behalf
 of, the Licensor for the purpose of discussing and improving the Work, but
 excluding communication that is conspicuously marked or otherwise designated in
 writing by the copyright owner as "Not a Contribution."

 "Contributor" shall mean Licensor and any individual or Legal Entity on behalf
 of whom a Contribution has been received by Licensor and subsequently
 incorporated within the Work.

 2. Grant of Copyright License. Subject to the terms and conditions of this
 License, each Contributor hereby grants to You a perpetual, worldwide,
 non-exclusive, no-charge, royalty-free, irrevocable copyright license to
 reproduce, prepare Derivative Works of, publicly display, publicly perform,
 sublicense, and distribute the Work and such Derivative Works in Source or
 Object form.

 3. Grant of Patent License. Subject to the terms and conditions of this
 License, each Contributor hereby grants to You a perpetual, worldwide,
 non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this
 section) patent license to make, have made, use, offer to sell, sell, import,
 and otherwise transfer the Work, where such license applies only to those
 patent claims licensable by such Contributor that are necessarily infringed by
 their Contribution(s) alone or by combination of their Contribution(s) with the
 Work to which such Contribution(s) was submitted. If You institute patent
 litigation against any entity (including a cross-claim or counterclaim in a
 lawsuit) alleging that the Work or a Contribution incorporated within the Work
 constitutes direct or contributory patent infringement, then any patent
 licenses granted to You under this License for that Work shall terminate as of
 the date such litigation is filed.

 4. Redistribution. You may reproduce and distribute copies of the Work or
 Derivative Works thereof in any medium, with or without modifications, and in
 Source or Object form, provided that You meet the following conditions:

 You must give any other recipients of the Work or Derivative Works a copy of
 this License; and You must cause any modified files to carry prominent notices
 stating that You changed the files; and You must retain, in the Source form of
 any Derivative Works that You distribute, all copyright, patent, trademark, and
 attribution notices from the Source form of the Work, excluding those notices
 that do not pertain to any part of the Derivative Works; and If the Work
 includes a "NOTICE" text file as part of its distribution, then any Derivative
 Works that You distribute must include a readable copy of the attribution
 notices contained within such NOTICE file, excluding those notices that do not
 pertain to any part of the Derivative Works, in at least one of the following
 places: within a NOTICE text file distributed as part of the Derivative Works;
 within the Source form or documentation, if provided along with the Derivative
 Works; or, within a display generated by the Derivative Works, if and wherever
 such third-party notices normally appear. The contents of the NOTICE file are
 for informational purposes only and do not modify the License. You may add Your
 own attribution notices within Derivative Works that You distribute, alongside
 or as an addendum to the NOTICE text from the Work, provided that such
 additional attribution notices cannot be construed as modifying the License.

 You may add Your own copyright statement to Your modifications and may provide
 additional or different license terms and conditions for use, reproduction, or
 distribution of Your modifications, or for any such Derivative Works as a
 whole, provided Your use, reproduction, and distribution of the Work otherwise
 complies with the conditions stated in this License.  5. Submission of
 Contributions. Unless You explicitly state otherwise, any Contribution
 intentionally submitted for inclusion in the Work by You to the Licensor shall
 be under the terms and conditions of this License, without any additional terms
 or conditions. Notwithstanding the above, nothing herein shall supersede or
 modify the terms of any separate license agreement you may have executed with
 Licensor regarding such Contributions.

 6. Trademarks. This License does not grant permission to use the trade names,
 trademarks, service marks, or product names of the Licensor, except as required
 for reasonable and customary use in describing the origin of the Work and
 reproducing the content of the NOTICE file.

 7. Disclaimer of Warranty. Unless required by applicable law or agreed to in
 writing, Licensor provides the Work (and each Contributor provides its
 Contributions) on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 KIND, either express or implied, including, without limitation, any warranties
 or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
 PARTICULAR PURPOSE. You are solely responsible for determining the
 appropriateness of using or redistributing the Work and assume any risks
 associated with Your exercise of permissions under this License.

 8. Limitation of Liability. In no event and under no legal theory, whether in
 tort (including negligence), contract, or otherwise, unless required by
 applicable law (such as deliberate and grossly negligent acts) or agreed to in
 writing, shall any Contributor be liable to You for damages, including any
 direct, indirect, special, incidental, or consequential damages of any
 character arising as a result of this License or out of the use or inability to
 use the Work (including but not limited to damages for loss of goodwill, work
 stoppage, computer failure or malfunction, or any and all other commercial
 damages or losses), even if such Contributor has been advised of the
 possibility of such damages.

 9. Accepting Warranty or Additional Liability. While redistributing the Work or
 Derivative Works thereof, You may choose to offer, and charge a fee for,
 acceptance of support, warranty, indemnity, or other liability obligations
 and/or rights consistent with this License. However, in accepting such
 obligations, You may act only on Your own behalf and on Your sole
 responsibility, not on behalf of any other Contributor, and only if You agree
 to indemnify, defend, and hold each Contributor harmless for any liability
 incurred by, or claims asserted against, such Contributor by reason of your
 accepting any such warranty or additional liability.

 END OF TERMS AND CONDITIONS
 --
*/
(function(h){var k=function(f,a){this.$element=h(f);this.$note=h('<div class="alert"></div>');this.options=h.extend(!0,{},h.fn.notify.defaults,a);this._link=null;this.options.transition?"fade"===this.options.transition?this.$note.addClass("in").addClass(this.options.transition):this.$note.addClass(this.options.transition):this.$note.addClass("fade").addClass("in");this.options.type?this.$note.addClass("alert-"+this.options.type):this.$note.addClass("alert-success");this.options.message&&("string"===
typeof this.options.message?this.$note.html(this.options.message):"object"===typeof this.options.message&&(this.options.message.html?this.$note.html(this.options.message.html):this.options.message.text&&this.$note.text(this.options.message.text)));this.options.closable&&(this._link=h('<a class="close pull-right">&times;</a>'),h(this._link).on("click",h.proxy(k.onClose,this)),this.$note.prepend(this._link));return this};k.onClose=function(){this.options.onClose();h(this.$note).remove();this.options.onClosed()};
k.prototype.show=function(){this.options.fadeOut.enabled&&this.$note.delay(this.options.fadeOut.delay||3E3).fadeOut("slow",h.proxy(k.onClose,this));this.$element.append(this.$note);this.$note.alert()};k.prototype.hide=function(){this.options.fadeOut.enabled?this.$note.delay(this.options.fadeOut.delay||3E3).fadeOut("slow",h.proxy(k.onClose,this)):k.onClose.call(this)};h.fn.notify=function(f){return new k(this,f)};h.fn.notify.defaults={type:"success",closable:!0,transition:"fade",fadeOut:{enabled:!0,
delay:3E3},message:null,onClose:function(){},onClosed:function(){}}})(window.jQuery);(function(h){function k(){this.fake=!0;this.boundary="--------FormData"+Math.random();this._fields=[]}h.FormData||(k.prototype.append=function(f,a){this._fields.push([f,a])},k.prototype.toString=function(){var f=this.boundary,a="";this._fields.forEach(function(e){a+="--"+f+"\r\n";if(e[1].name){var d=e[1];a+='Content-Disposition: form-data; name="'+e[0]+'"; filename="'+d.name+'"\r\n';a+="Content-Type: "+d.type+"\r\n\r\n";a+=d.getAsBinary()+"\r\n"}else a+='Content-Disposition: form-data; name="'+e[0]+
'";\r\n\r\n',a+=e[1]+"\r\n"});return a+="--"+f+"--"},h.FormData=k)})(window);(function(h){"function"===typeof define&&define.amd?define(["jquery"],h):"object"===typeof module&&module.exports?module.exports=h(require("jquery")):h(jQuery)})(function(h){h.extend(h.fn,{validate:function(a){if(this.length){var e=h.data(this[0],"validator");if(e)return e;this.attr("novalidate","novalidate");e=new h.validator(a,this[0]);h.data(this[0],"validator",e);e.settings.onsubmit&&(this.on("click.validate",":submit",function(a){e.settings.submitHandler&&(e.submitButton=a.target);h(this).hasClass("cancel")&&
(e.cancelSubmit=!0);void 0!==h(this).attr("formnovalidate")&&(e.cancelSubmit=!0)}),this.on("submit.validate",function(a){function b(){var b,g;return e.settings.submitHandler?(e.submitButton&&(b=h("<input type='hidden'/>").attr("name",e.submitButton.name).val(h(e.submitButton).val()).appendTo(e.currentForm)),g=e.settings.submitHandler.call(e,e.currentForm,a),e.submitButton&&b.remove(),void 0!==g?g:!1):!0}e.settings.debug&&a.preventDefault();if(e.cancelSubmit)return e.cancelSubmit=!1,b();if(e.form())return e.pendingRequest?
(e.formSubmitted=!0,!1):b();e.focusInvalid();return!1}));return e}a&&(a.debug&&window.console)&&console.warn("Nothing selected, can't validate, returning nothing.")},valid:function(){var a,e,d;h(this[0]).is("form")?a=this.validate().form():(d=[],a=!0,e=h(this[0].form).validate(),this.each(function(){(a=e.element(this)&&a)||(d=d.concat(e.errorList))}),e.errorList=d);return a},rules:function(a,e){var d=this[0],b,c,g,f;if(!(null==d||null==d.form)){if(a)switch(b=h.data(d.form,"validator").settings,c=
b.rules,g=h.validator.staticRules(d),a){case "add":h.extend(g,h.validator.normalizeRule(e));delete g.messages;c[d.name]=g;e.messages&&(b.messages[d.name]=h.extend(b.messages[d.name],e.messages));break;case "remove":if(!e)return delete c[d.name],g;f={};h.each(e.split(/\s/),function(a,b){f[b]=g[b];delete g[b];"required"===b&&h(d).removeAttr("aria-required")});return f}b=h.validator.normalizeRules(h.extend({},h.validator.classRules(d),h.validator.attributeRules(d),h.validator.dataRules(d),h.validator.staticRules(d)),
d);b.required&&(c=b.required,delete b.required,b=h.extend({required:c},b),h(d).attr("aria-required","true"));b.remote&&(c=b.remote,delete b.remote,b=h.extend(b,{remote:c}));return b}}});h.extend(h.expr[":"],{blank:function(a){return!h.trim(""+h(a).val())},filled:function(a){a=h(a).val();return null!==a&&!!h.trim(""+a)},unchecked:function(a){return!h(a).prop("checked")}});h.validator=function(a,e){this.settings=h.extend(!0,{},h.validator.defaults,a);this.currentForm=e;this.init()};h.validator.format=
function(a,e){if(1===arguments.length)return function(){var d=h.makeArray(arguments);d.unshift(a);return h.validator.format.apply(this,d)};if(void 0===e)return a;2<arguments.length&&e.constructor!==Array&&(e=h.makeArray(arguments).slice(1));e.constructor!==Array&&(e=[e]);h.each(e,function(d,b){a=a.replace(RegExp("\\{"+d+"\\}","g"),function(){return b})});return a};h.extend(h.validator,{defaults:{messages:{},groups:{},rules:{},errorClass:"error",pendingClass:"pending",validClass:"valid",errorElement:"label",
focusCleanup:!1,focusInvalid:!0,errorContainer:h([]),errorLabelContainer:h([]),onsubmit:!0,ignore:":hidden",ignoreTitle:!1,onfocusin:function(a){this.lastActive=a;this.settings.focusCleanup&&(this.settings.unhighlight&&this.settings.unhighlight.call(this,a,this.settings.errorClass,this.settings.validClass),this.hideThese(this.errorsFor(a)))},onfocusout:function(a){!this.checkable(a)&&(a.name in this.submitted||!this.optional(a))&&this.element(a)},onkeyup:function(a,e){var d=[16,17,18,20,35,36,37,
38,39,40,45,144,225];9===e.which&&""===this.elementValue(a)||-1!==h.inArray(e.keyCode,d)||(a.name in this.submitted||a.name in this.invalid)&&this.element(a)},onclick:function(a){a.name in this.submitted?this.element(a):a.parentNode.name in this.submitted&&this.element(a.parentNode)},highlight:function(a,e,d){"radio"===a.type?this.findByName(a.name).addClass(e).removeClass(d):h(a).addClass(e).removeClass(d)},unhighlight:function(a,e,d){"radio"===a.type?this.findByName(a.name).removeClass(e).addClass(d):
h(a).removeClass(e).addClass(d)}},setDefaults:function(a){h.extend(h.validator.defaults,a)},messages:{required:"This field is required.",remote:"Please fix this field.",email:"Please enter a valid email address.",url:"Please enter a valid URL.",date:"Please enter a valid date.",dateISO:"Please enter a valid date (ISO).",number:"Please enter a valid number.",digits:"Please enter only digits.",equalTo:"Please enter the same value again.",maxlength:h.validator.format("Please enter no more than {0} characters."),
minlength:h.validator.format("Please enter at least {0} characters."),rangelength:h.validator.format("Please enter a value between {0} and {1} characters long."),range:h.validator.format("Please enter a value between {0} and {1}."),max:h.validator.format("Please enter a value less than or equal to {0}."),min:h.validator.format("Please enter a value greater than or equal to {0}."),step:h.validator.format("Please enter a multiple of {0}.")},autoCreateRanges:!1,prototype:{init:function(){function a(a){!this.form&&
this.hasAttribute("contenteditable")&&(this.form=h(this).closest("form")[0]);var c=h.data(this.form,"validator"),d="on"+a.type.replace(/^validate/,""),e=c.settings;e[d]&&!h(this).is(e.ignore)&&e[d].call(c,this,a)}this.labelContainer=h(this.settings.errorLabelContainer);this.errorContext=this.labelContainer.length&&this.labelContainer||h(this.currentForm);this.containers=h(this.settings.errorContainer).add(this.settings.errorLabelContainer);this.submitted={};this.valueCache={};this.pendingRequest=
0;this.pending={};this.invalid={};this.reset();var e=this.groups={},d;h.each(this.settings.groups,function(a,c){"string"===typeof c&&(c=c.split(/\s/));h.each(c,function(c,d){e[d]=a})});d=this.settings.rules;h.each(d,function(a,c){d[a]=h.validator.normalizeRule(c)});h(this.currentForm).on("focusin.validate focusout.validate keyup.validate",":text, [type='password'], [type='file'], select, textarea, [type='number'], [type='search'], [type='tel'], [type='url'], [type='email'], [type='datetime'], [type='date'], [type='month'], [type='week'], [type='time'], [type='datetime-local'], [type='range'], [type='color'], [type='radio'], [type='checkbox'], [contenteditable]",
a).on("click.validate","select, option, [type='radio'], [type='checkbox']",a);if(this.settings.invalidHandler)h(this.currentForm).on("invalid-form.validate",this.settings.invalidHandler);h(this.currentForm).find("[required], [data-rule-required], .required").attr("aria-required","true")},form:function(){this.checkForm();h.extend(this.submitted,this.errorMap);this.invalid=h.extend({},this.errorMap);this.valid()||h(this.currentForm).triggerHandler("invalid-form",[this]);this.showErrors();return this.valid()},
checkForm:function(){this.prepareForm();for(var a=0,e=this.currentElements=this.elements();e[a];a++)this.check(e[a]);return this.valid()},element:function(a){var e=this.clean(a),d=this.validationTargetFor(e),b=this,c=!0,g,f;void 0===d?delete this.invalid[e.name]:(this.prepareElement(d),this.currentElements=h(d),(f=this.groups[d.name])&&h.each(this.groups,function(a,g){if(g===f&&a!==d.name&&(e=b.validationTargetFor(b.clean(b.findByName(a))))&&e.name in b.invalid)b.currentElements.push(e),c=b.check(e)&&
c}),g=!1!==this.check(d),c=c&&g,this.invalid[d.name]=g?!1:!0,this.numberOfInvalids()||(this.toHide=this.toHide.add(this.containers)),this.showErrors(),h(a).attr("aria-invalid",!g));return c},showErrors:function(a){if(a){var e=this;h.extend(this.errorMap,a);this.errorList=h.map(this.errorMap,function(a,b){return{message:a,element:e.findByName(b)[0]}});this.successList=h.grep(this.successList,function(d){return!(d.name in a)})}this.settings.showErrors?this.settings.showErrors.call(this,this.errorMap,
this.errorList):this.defaultShowErrors()},resetForm:function(){h.fn.resetForm&&h(this.currentForm).resetForm();this.invalid={};this.submitted={};this.prepareForm();this.hideErrors();var a=this.elements().removeData("previousValue").removeAttr("aria-invalid");this.resetElements(a)},resetElements:function(a){var e;if(this.settings.unhighlight)for(e=0;a[e];e++)this.settings.unhighlight.call(this,a[e],this.settings.errorClass,""),this.findByName(a[e].name).removeClass(this.settings.validClass);else a.removeClass(this.settings.errorClass).removeClass(this.settings.validClass)},
numberOfInvalids:function(){return this.objectLength(this.invalid)},objectLength:function(a){var e=0,d;for(d in a)a[d]&&e++;return e},hideErrors:function(){this.hideThese(this.toHide)},hideThese:function(a){a.not(this.containers).text("");this.addWrapper(a).hide()},valid:function(){return 0===this.size()},size:function(){return this.errorList.length},focusInvalid:function(){if(this.settings.focusInvalid)try{h(this.findLastActive()||this.errorList.length&&this.errorList[0].element||[]).filter(":visible").focus().trigger("focusin")}catch(a){}},
findLastActive:function(){var a=this.lastActive;return a&&1===h.grep(this.errorList,function(e){return e.element.name===a.name}).length&&a},elements:function(){var a=this,e={};return h(this.currentForm).find("input, select, textarea, [contenteditable]").not(":submit, :reset, :image, :disabled").not(this.settings.ignore).filter(function(){var d=this.name||h(this).attr("name");!d&&(a.settings.debug&&window.console)&&console.error("%o has no name assigned",this);this.hasAttribute("contenteditable")&&
(this.form=h(this).closest("form")[0]);return d in e||!a.objectLength(h(this).rules())?!1:e[d]=!0})},clean:function(a){return h(a)[0]},errors:function(){var a=this.settings.errorClass.split(" ").join(".");return h(this.settings.errorElement+"."+a,this.errorContext)},resetInternals:function(){this.successList=[];this.errorList=[];this.errorMap={};this.toShow=h([]);this.toHide=h([])},reset:function(){this.resetInternals();this.currentElements=h([])},prepareForm:function(){this.reset();this.toHide=this.errors().add(this.containers)},
prepareElement:function(a){this.reset();this.toHide=this.errorsFor(a)},elementValue:function(a){var e=h(a),d=a.type;if("radio"===d||"checkbox"===d)return this.findByName(a.name).filter(":checked").val();if("number"===d&&"undefined"!==typeof a.validity)return a.validity.badInput?"NaN":e.val();a=a.hasAttribute("contenteditable")?e.text():e.val();if("file"===d){if("C:\\fakepath\\"===a.substr(0,12))return a.substr(12);d=a.lastIndexOf("/");if(0<=d)return a.substr(d+1);d=a.lastIndexOf("\\");return 0<=d?
a.substr(d+1):a}return"string"===typeof a?a.replace(/\r/g,""):a},check:function(a){a=this.validationTargetFor(this.clean(a));var e=h(a).rules(),d=h.map(e,function(a,b){return b}).length,b=!1,c=this.elementValue(a),g,f,m;if("function"===typeof e.normalizer){c=e.normalizer.call(a,c);if("string"!==typeof c)throw new TypeError("The normalizer should return a string value.");delete e.normalizer}for(f in e){m={method:f,parameters:e[f]};try{if(g=h.validator.methods[f].call(this,c,a,m.parameters),"dependency-mismatch"===
g&&1===d)b=!0;else{b=!1;if("pending"===g){this.toHide=this.toHide.not(this.errorsFor(a));return}if(!g)return this.formatAndAdd(a,m),!1}}catch(k){throw this.settings.debug&&window.console&&console.log("Exception occurred when checking element "+a.id+", check the '"+m.method+"' method.",k),k instanceof TypeError&&(k.message+=".  Exception occurred when checking element "+a.id+", check the '"+m.method+"' method."),k;}}if(!b)return this.objectLength(e)&&this.successList.push(a),!0},customDataMessage:function(a,
e){return h(a).data("msg"+e.charAt(0).toUpperCase()+e.substring(1).toLowerCase())||h(a).data("msg")},customMessage:function(a,e){var d=this.settings.messages[a];return d&&(d.constructor===String?d:d[e])},findDefined:function(){for(var a=0;a<arguments.length;a++)if(void 0!==arguments[a])return arguments[a]},defaultMessage:function(a,e){"string"===typeof e&&(e={method:e});var d=this.findDefined(this.customMessage(a.name,e.method),this.customDataMessage(a,e.method),!this.settings.ignoreTitle&&a.title||
void 0,h.validator.messages[e.method],"<strong>Warning: No message defined for "+a.name+"</strong>"),b=/\$?\{(\d+)\}/g;"function"===typeof d?d=d.call(this,e.parameters,a):b.test(d)&&(d=h.validator.format(d.replace(b,"{$1}"),e.parameters));return d},formatAndAdd:function(a,e){var d=this.defaultMessage(a,e);this.errorList.push({message:d,element:a,method:e.method});this.errorMap[a.name]=d;this.submitted[a.name]=d},addWrapper:function(a){this.settings.wrapper&&(a=a.add(a.parent(this.settings.wrapper)));
return a},defaultShowErrors:function(){var a,e;for(a=0;this.errorList[a];a++)e=this.errorList[a],this.settings.highlight&&this.settings.highlight.call(this,e.element,this.settings.errorClass,this.settings.validClass),this.showLabel(e.element,e.message);this.errorList.length&&(this.toShow=this.toShow.add(this.containers));if(this.settings.success)for(a=0;this.successList[a];a++)this.showLabel(this.successList[a]);if(this.settings.unhighlight){a=0;for(e=this.validElements();e[a];a++)this.settings.unhighlight.call(this,
e[a],this.settings.errorClass,this.settings.validClass)}this.toHide=this.toHide.not(this.toShow);this.hideErrors();this.addWrapper(this.toShow).show()},validElements:function(){return this.currentElements.not(this.invalidElements())},invalidElements:function(){return h(this.errorList).map(function(){return this.element})},showLabel:function(a,e){var d,b,c,g=this.errorsFor(a),f=this.idOrName(a),m=h(a).attr("aria-describedby");if(g.length)g.removeClass(this.settings.validClass).addClass(this.settings.errorClass),
g.html(e);else if(d=g=h("<"+this.settings.errorElement+">").attr("id",f+"-error").addClass(this.settings.errorClass).html(e||""),this.settings.wrapper&&(d=g.hide().show().wrap("<"+this.settings.wrapper+"/>").parent()),this.labelContainer.length?this.labelContainer.append(d):this.settings.errorPlacement?this.settings.errorPlacement.call(this,d,h(a)):d.insertAfter(a),g.is("label"))g.attr("for",f);else if(0===g.parents("label[for='"+this.escapeCssMeta(f)+"']").length&&(d=g.attr("id"),m?m.match(RegExp("\\b"+
this.escapeCssMeta(d)+"\\b"))||(m+=" "+d):m=d,h(a).attr("aria-describedby",m),b=this.groups[a.name]))c=this,h.each(c.groups,function(a,d){d===b&&h("[name='"+c.escapeCssMeta(a)+"']",c.currentForm).attr("aria-describedby",g.attr("id"))});!e&&this.settings.success&&(g.text(""),"string"===typeof this.settings.success?g.addClass(this.settings.success):this.settings.success(g,a));this.toShow=this.toShow.add(g)},errorsFor:function(a){var e=this.escapeCssMeta(this.idOrName(a));a=h(a).attr("aria-describedby");
e="label[for='"+e+"'], label[for='"+e+"'] *";a&&(e=e+", #"+this.escapeCssMeta(a).replace(/\s+/g,", #"));return this.errors().filter(e)},escapeCssMeta:function(a){return a.replace(/([\\!"#$%&'()*+,./:;<=>?@\[\]^`{|}~])/g,"\\$1")},idOrName:function(a){return this.groups[a.name]||(this.checkable(a)?a.name:a.id||a.name)},validationTargetFor:function(a){this.checkable(a)&&(a=this.findByName(a.name));return h(a).not(this.settings.ignore)[0]},checkable:function(a){return/radio|checkbox/i.test(a.type)},findByName:function(a){return h(this.currentForm).find("[name='"+
this.escapeCssMeta(a)+"']")},getLength:function(a,e){switch(e.nodeName.toLowerCase()){case "select":return h("option:selected",e).length;case "input":if(this.checkable(e))return this.findByName(e.name).filter(":checked").length}return a.length},depend:function(a,e){return this.dependTypes[typeof a]?this.dependTypes[typeof a](a,e):!0},dependTypes:{"boolean":function(a){return a},string:function(a,e){return!!h(a,e.form).length},"function":function(a,e){return a(e)}},optional:function(a){var e=this.elementValue(a);
return!h.validator.methods.required.call(this,e,a)&&"dependency-mismatch"},startRequest:function(a){this.pending[a.name]||(this.pendingRequest++,h(a).addClass(this.settings.pendingClass),this.pending[a.name]=!0)},stopRequest:function(a,e){this.pendingRequest--;0>this.pendingRequest&&(this.pendingRequest=0);delete this.pending[a.name];h(a).removeClass(this.settings.pendingClass);e&&0===this.pendingRequest&&this.formSubmitted&&this.form()?(h(this.currentForm).submit(),this.formSubmitted=!1):!e&&(0===
this.pendingRequest&&this.formSubmitted)&&(h(this.currentForm).triggerHandler("invalid-form",[this]),this.formSubmitted=!1)},previousValue:function(a,e){e="string"===typeof e&&e||"remote";return h.data(a,"previousValue")||h.data(a,"previousValue",{old:null,valid:!0,message:this.defaultMessage(a,{method:e})})},destroy:function(){this.resetForm();h(this.currentForm).off(".validate").removeData("validator").find(".validate-equalTo-blur").off(".validate-equalTo").removeClass("validate-equalTo-blur")}},
classRuleSettings:{required:{required:!0},email:{email:!0},url:{url:!0},date:{date:!0},dateISO:{dateISO:!0},number:{number:!0},digits:{digits:!0},creditcard:{creditcard:!0}},addClassRules:function(a,e){a.constructor===String?this.classRuleSettings[a]=e:h.extend(this.classRuleSettings,a)},classRules:function(a){var e={};(a=h(a).attr("class"))&&h.each(a.split(" "),function(){this in h.validator.classRuleSettings&&h.extend(e,h.validator.classRuleSettings[this])});return e},normalizeAttributeRule:function(a,
e,d,b){if(/min|max|step/.test(d)&&(null===e||/number|range|text/.test(e)))b=Number(b),isNaN(b)&&(b=void 0);b||0===b?a[d]=b:e===d&&"range"!==e&&(a[d]=!0)},attributeRules:function(a){var e={},d=h(a),b=a.getAttribute("type"),c,g;for(c in h.validator.methods)"required"===c?(g=a.getAttribute(c),""===g&&(g=!0),g=!!g):g=d.attr(c),this.normalizeAttributeRule(e,b,c,g);e.maxlength&&/-1|2147483647|524288/.test(e.maxlength)&&delete e.maxlength;return e},dataRules:function(a){var e={},d=h(a);a=a.getAttribute("type");
var b,c;for(b in h.validator.methods)c=d.data("rule"+b.charAt(0).toUpperCase()+b.substring(1).toLowerCase()),this.normalizeAttributeRule(e,a,b,c);return e},staticRules:function(a){var e={},d=h.data(a.form,"validator");d.settings.rules&&(e=h.validator.normalizeRule(d.settings.rules[a.name])||{});return e},normalizeRules:function(a,e){h.each(a,function(d,b){if(!1===b)delete a[d];else if(b.param||b.depends){var c=!0;switch(typeof b.depends){case "string":c=!!h(b.depends,e.form).length;break;case "function":c=
b.depends.call(e,e)}c?a[d]=void 0!==b.param?b.param:!0:(h.data(e.form,"validator").resetElements(h(e)),delete a[d])}});h.each(a,function(d,b){a[d]=h.isFunction(b)&&"normalizer"!==d?b(e):b});h.each(["minlength","maxlength"],function(){a[this]&&(a[this]=Number(a[this]))});h.each(["rangelength","range"],function(){var d;a[this]&&(h.isArray(a[this])?a[this]=[Number(a[this][0]),Number(a[this][1])]:"string"===typeof a[this]&&(d=a[this].replace(/[\[\]]/g,"").split(/[\s,]+/),a[this]=[Number(d[0]),Number(d[1])]))});
h.validator.autoCreateRanges&&(null!=a.min&&null!=a.max&&(a.range=[a.min,a.max],delete a.min,delete a.max),null!=a.minlength&&null!=a.maxlength&&(a.rangelength=[a.minlength,a.maxlength],delete a.minlength,delete a.maxlength));return a},normalizeRule:function(a){if("string"===typeof a){var e={};h.each(a.split(/\s/),function(){e[this]=!0});a=e}return a},addMethod:function(a,e,d){h.validator.methods[a]=e;h.validator.messages[a]=void 0!==d?d:h.validator.messages[a];3>e.length&&h.validator.addClassRules(a,
h.validator.normalizeRule(a))},methods:{required:function(a,e,d){return!this.depend(d,e)?"dependency-mismatch":"select"===e.nodeName.toLowerCase()?(a=h(e).val())&&0<a.length:this.checkable(e)?0<this.getLength(a,e):0<a.length},email:function(a,e){return this.optional(e)||/^[a-zA-Z0-9.!#$%&'*+\/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$/.test(a)},url:function(a,e){return this.optional(e)||/^(?:(?:(?:https?|ftp):)?\/\/)(?:\S+(?::\S*)?@)?(?:(?!(?:10|127)(?:\.\d{1,3}){3})(?!(?:169\.254|192\.168)(?:\.\d{1,3}){2})(?!172\.(?:1[6-9]|2\d|3[0-1])(?:\.\d{1,3}){2})(?:[1-9]\d?|1\d\d|2[01]\d|22[0-3])(?:\.(?:1?\d{1,2}|2[0-4]\d|25[0-5])){2}(?:\.(?:[1-9]\d?|1\d\d|2[0-4]\d|25[0-4]))|(?:(?:[a-z\u00a1-\uffff0-9]-*)*[a-z\u00a1-\uffff0-9]+)(?:\.(?:[a-z\u00a1-\uffff0-9]-*)*[a-z\u00a1-\uffff0-9]+)*(?:\.(?:[a-z\u00a1-\uffff]{2,})).?)(?::\d{2,5})?(?:[/?#]\S*)?$/i.test(a)},
date:function(a,e){return this.optional(e)||!/Invalid|NaN/.test((new Date(a)).toString())},dateISO:function(a,e){return this.optional(e)||/^\d{4}[\/\-](0?[1-9]|1[012])[\/\-](0?[1-9]|[12][0-9]|3[01])$/.test(a)},number:function(a,e){return this.optional(e)||/^(?:-?\d+|-?\d{1,3}(?:,\d{3})+)?(?:\.\d+)?$/.test(a)},digits:function(a,e){return this.optional(e)||/^\d+$/.test(a)},minlength:function(a,e,d){a=h.isArray(a)?a.length:this.getLength(a,e);return this.optional(e)||a>=d},maxlength:function(a,e,d){a=
h.isArray(a)?a.length:this.getLength(a,e);return this.optional(e)||a<=d},rangelength:function(a,e,d){a=h.isArray(a)?a.length:this.getLength(a,e);return this.optional(e)||a>=d[0]&&a<=d[1]},min:function(a,e,d){return this.optional(e)||a>=d},max:function(a,e,d){return this.optional(e)||a<=d},range:function(a,e,d){return this.optional(e)||a>=d[0]&&a<=d[1]},step:function(a,e,d){var b=h(e).attr("type"),c="Step attribute on input type "+b+" is not supported.",g=["text","number","range"],f=RegExp("\\b"+b+
"\\b"),m=function(a){a=(""+a).match(/(?:\.(\d+))?$/);return!a?0:a[1]?a[1].length:0},k=!0;if(b&&!f.test(g.join()))throw Error(c);b=m(d);if(m(a)>b||0!==Math.round(a*Math.pow(10,b))%Math.round(d*Math.pow(10,b)))k=!1;return this.optional(e)||k},equalTo:function(a,e,d){d=h(d);if(this.settings.onfocusout&&d.not(".validate-equalTo-blur").length)d.addClass("validate-equalTo-blur").on("blur.validate-equalTo",function(){h(e).valid()});return a===d.val()},remote:function(a,e,d,b){if(this.optional(e))return"dependency-mismatch";
b="string"===typeof b&&b||"remote";var c=this.previousValue(e,b),g,f;this.settings.messages[e.name]||(this.settings.messages[e.name]={});c.originalMessage=c.originalMessage||this.settings.messages[e.name][b];this.settings.messages[e.name][b]=c.message;d="string"===typeof d&&{url:d}||d;f=h.param(h.extend({data:a},d.data));if(c.old===f)return c.valid;c.old=f;g=this;this.startRequest(e);f={};f[e.name]=a;h.ajax(h.extend(!0,{mode:"abort",port:"validate"+e.name,dataType:"json",data:f,context:g.currentForm,
success:function(d){var f=!0===d||"true"===d,l;g.settings.messages[e.name][b]=c.originalMessage;f?(l=g.formSubmitted,g.resetInternals(),g.toHide=g.errorsFor(e),g.formSubmitted=l,g.successList.push(e),g.invalid[e.name]=!1,g.showErrors()):(l={},d=d||g.defaultMessage(e,{method:b,parameters:a}),l[e.name]=c.message=d,g.invalid[e.name]=!0,g.showErrors(l));c.valid=f;g.stopRequest(e,f)}},d));return"pending"}}});var k={},f;h.ajaxPrefilter?h.ajaxPrefilter(function(a,e,d){e=a.port;"abort"===a.mode&&(k[e]&&k[e].abort(),
k[e]=d)}):(f=h.ajax,h.ajax=function(a){var e=("port"in a?a:h.ajaxSettings).port;return"abort"===("mode"in a?a:h.ajaxSettings).mode?(k[e]&&k[e].abort(),k[e]=f.apply(this,arguments),k[e]):f.apply(this,arguments)})});(function(h){function k(a){var c=a.data;a.isDefaultPrevented()||(a.preventDefault(),h(this).ajaxSubmit(c))}function f(a){var c=a.target,d=h(c);if(!d.is(":submit,input:image")){c=d.closest(":submit");if(0===c.length)return;c=c[0]}var e=this;e.clk=c;"image"==c.type&&(void 0!==a.offsetX?(e.clk_x=a.offsetX,e.clk_y=a.offsetY):"function"==typeof h.fn.offset?(d=d.offset(),e.clk_x=a.pageX-d.left,e.clk_y=a.pageY-d.top):(e.clk_x=a.pageX-c.offsetLeft,e.clk_y=a.pageY-c.offsetTop));setTimeout(function(){e.clk=
e.clk_x=e.clk_y=null},100)}function a(){if(h.fn.ajaxSubmit.debug){var a="[jquery.form] "+Array.prototype.join.call(arguments,"");window.console&&window.console.log?window.console.log(a):window.opera&&window.opera.postError&&window.opera.postError(a)}}var e,d;e=void 0!==h("<input type='file'/>").get(0).files;d=void 0!==window.FormData;h.fn.ajaxSubmit=function(b){function c(a){for(var c=new FormData,d=0;d<a.length;d++)c.append(a[d].name,a[d].value);if(b.extraData)for(var e in b.extraData)b.extraData.hasOwnProperty(e)&&
c.append(e,b.extraData[e]);b.data=null;a=h.extend(!0,{},h.ajaxSettings,b,{contentType:!1,processData:!1,cache:!1,type:"POST"});b.uploadProgress&&(a.xhr=function(){var a=jQuery.ajaxSettings.xhr();a.upload&&(a.upload.onprogress=function(a){var c=0,d=a.loaded||a.position,e=a.total;a.lengthComputable&&(c=Math.ceil(100*(d/e)));b.uploadProgress(a,d,e,c)});return a});a.data=null;var g=a.beforeSend;a.beforeSend=function(a,b){b.data=c;g&&g.call(this,a,b)};h.ajax(a)}function g(c){function d(){function b(){try{var c=
(r.contentWindow?r.contentWindow.document:r.contentDocument?r.contentDocument:r.document).readyState;a("state = "+c);c&&"uninitialized"==c.toLowerCase()&&setTimeout(b,50)}catch(d){a("Server abort: ",d," (",d.name,")"),e(M),N&&clearTimeout(N),N=void 0}}var c=k.attr("target"),m=k.attr("action");g.setAttribute("target",u);f||g.setAttribute("method","POST");m!=p.url&&g.setAttribute("action",p.url);!p.skipEncodingOverride&&(!f||/post/i.test(f))&&k.attr({encoding:"multipart/form-data",enctype:"multipart/form-data"});
p.timeout&&(N=setTimeout(function(){J=!0;e(O)},p.timeout));var q=[];try{if(p.extraData)for(var n in p.extraData)p.extraData.hasOwnProperty(n)&&(h.isPlainObject(p.extraData[n])&&p.extraData[n].hasOwnProperty("name")&&p.extraData[n].hasOwnProperty("value")?q.push(h('<input type="hidden" name="'+p.extraData[n].name+'">').attr("value",p.extraData[n].value).appendTo(g)[0]):q.push(h('<input type="hidden" name="'+n+'">').attr("value",p.extraData[n]).appendTo(g)[0]));p.iframeTarget||(s.appendTo("body"),r.attachEvent?
r.attachEvent("onload",e):r.addEventListener("load",e,!1));setTimeout(b,15);g.submit()}finally{g.setAttribute("action",m),c?g.setAttribute("target",c):k.removeAttr("target"),h(q).remove()}}function e(b){if(!w.aborted&&!E){try{K=r.contentWindow?r.contentWindow.document:r.contentDocument?r.contentDocument:r.document}catch(c){a("cannot access response document: ",c),b=M}if(b===O&&w)w.abort("timeout");else if(b==M&&w)w.abort("server abort");else if(K&&K.location.href!=p.iframeSrc||J){r.detachEvent?r.detachEvent("onload",
e):r.removeEventListener("load",e,!1);b="success";var d;try{if(J)throw"timeout";var g="xml"==p.dataType||K.XMLDocument||h.isXMLDoc(K);a("isXml="+g);if(!g&&(window.opera&&(null===K.body||!K.body.innerHTML))&&--P){a("requeing onLoad callback, DOM not available");setTimeout(e,250);return}var f=K.body?K.body:K.documentElement;w.responseText=f?f.innerHTML:null;w.responseXML=K.XMLDocument?K.XMLDocument:K;g&&(p.dataType="xml");w.getResponseHeader=function(a){return{"content-type":p.dataType}[a]};f&&(w.status=
Number(f.getAttribute("status"))||w.status,w.statusText=f.getAttribute("statusText")||w.statusText);var l=(p.dataType||"").toLowerCase(),m=/(json|script|text)/.test(l);if(m||p.textarea){var k=K.getElementsByTagName("textarea")[0];if(k)w.responseText=k.value,w.status=Number(k.getAttribute("status"))||w.status,w.statusText=k.getAttribute("statusText")||w.statusText;else if(m){var t=K.getElementsByTagName("pre")[0],n=K.getElementsByTagName("body")[0];t?w.responseText=t.textContent?t.textContent:t.innerText:
n&&(w.responseText=n.textContent?n.textContent:n.innerText)}}else"xml"==l&&(!w.responseXML&&w.responseText)&&(w.responseXML=Q(w.responseText));try{C=X(w,l,p)}catch(u){b="parsererror",w.error=d=u||b}}catch(y){a("error caught: ",y),b="error",w.error=d=y||b}w.aborted&&(a("upload aborted"),b=null);w.status&&(b=200<=w.status&&300>w.status||304===w.status?"success":"error");"success"===b?(p.success&&p.success.call(p.context,C,"success",w),q&&h.event.trigger("ajaxSuccess",[w,p])):b&&(void 0===d&&(d=w.statusText),
p.error&&p.error.call(p.context,w,b,d),q&&h.event.trigger("ajaxError",[w,p,d]));q&&h.event.trigger("ajaxComplete",[w,p]);q&&!--h.active&&h.event.trigger("ajaxStop");p.complete&&p.complete.call(p.context,w,b);E=!0;p.timeout&&clearTimeout(N);setTimeout(function(){p.iframeTarget||s.remove();w.responseXML=null},100)}}}var g=k[0],m,p,q,u,s,r,w,G,J,N;G=!!h.fn.prop;if(h(":input[name=submit],:input[id=submit]",g).length)alert('Error: Form elements must not have name or id of "submit".');else{if(c)for(m=0;m<
n.length;m++)c=h(n[m]),G?c.prop("disabled",!1):c.removeAttr("disabled");p=h.extend(!0,{},h.ajaxSettings,b);p.context=p.context||p;u="jqFormIO"+(new Date).getTime();p.iframeTarget?(s=h(p.iframeTarget),(c=s.attr("name"))?u=c:s.attr("name",u)):(s=h('<iframe name="'+u+'" src="'+p.iframeSrc+'" />'),s.css({position:"absolute",top:"-1000px",left:"-1000px"}));r=s[0];w={aborted:0,responseText:null,responseXML:null,status:0,statusText:"n/a",getAllResponseHeaders:function(){},getResponseHeader:function(){},
setRequestHeader:function(){},abort:function(b){var c="timeout"===b?"timeout":"aborted";a("aborting upload... "+c);this.aborted=1;if(r.contentWindow.document.execCommand)try{r.contentWindow.document.execCommand("Stop")}catch(d){}s.attr("src",p.iframeSrc);w.error=c;p.error&&p.error.call(p.context,w,c,b);q&&h.event.trigger("ajaxError",[w,p,c]);p.complete&&p.complete.call(p.context,w,c)}};(q=p.global)&&0===h.active++&&h.event.trigger("ajaxStart");q&&h.event.trigger("ajaxSend",[w,p]);if(p.beforeSend&&
!1===p.beforeSend.call(p.context,w,p))p.global&&h.active--;else if(!w.aborted){if(G=g.clk)if((c=G.name)&&!G.disabled)p.extraData=p.extraData||{},p.extraData[c]=G.value,"image"==G.type&&(p.extraData[c+".x"]=g.clk_x,p.extraData[c+".y"]=g.clk_y);var O=1,M=2;G=h("meta[name=csrf-token]").attr("content");if((c=h("meta[name=csrf-param]").attr("content"))&&G)p.extraData=p.extraData||{},p.extraData[c]=G;p.forceSync?d():setTimeout(d,10);var C,K,P=50,E,Q=h.parseXML||function(a,b){window.ActiveXObject?(b=new ActiveXObject("Microsoft.XMLDOM"),
b.async="false",b.loadXML(a)):b=(new DOMParser).parseFromString(a,"text/xml");return b&&b.documentElement&&"parsererror"!=b.documentElement.nodeName?b:null},ha=h.parseJSON||function(a){return window.eval("("+a+")")},X=function(a,b,c){var d=a.getResponseHeader("content-type")||"",e="xml"===b||!b&&0<=d.indexOf("xml");a=e?a.responseXML:a.responseText;e&&"parsererror"===a.documentElement.nodeName&&h.error&&h.error("parsererror");c&&c.dataFilter&&(a=c.dataFilter(a,b));"string"===typeof a&&("json"===b||
!b&&0<=d.indexOf("json")?a=ha(a):("script"===b||!b&&0<=d.indexOf("javascript"))&&h.globalEval(a));return a}}}}if(!this.length)return a("ajaxSubmit: skipping submit process - no element selected"),this;var f,m,k=this;"function"==typeof b&&(b={success:b});f=this.attr("method");m=this.attr("action");(m=(m="string"===typeof m?h.trim(m):"")||window.location.href||"")&&(m=(m.match(/^([^#]+)/)||[])[1]);b=h.extend(!0,{url:m,success:h.ajaxSettings.success,type:f||"GET",iframeSrc:/^https/i.test(window.location.href||
"")?"javascript:false":"about:blank"},b);m={};this.trigger("form-pre-serialize",[this,b,m]);if(m.veto)return a("ajaxSubmit: submit vetoed via form-pre-serialize trigger"),this;if(b.beforeSerialize&&!1===b.beforeSerialize(this,b))return a("ajaxSubmit: submit aborted via beforeSerialize callback"),this;var q=b.traditional;void 0===q&&(q=h.ajaxSettings.traditional);var n=[],p,s=this.formToArray(b.semantic,n);b.data&&(b.extraData=b.data,p=h.param(b.data,q));if(b.beforeSubmit&&!1===b.beforeSubmit(s,this,
b))return a("ajaxSubmit: submit aborted via beforeSubmit callback"),this;this.trigger("form-submit-validate",[s,this,b,m]);if(m.veto)return a("ajaxSubmit: submit vetoed via form-submit-validate trigger"),this;m=h.param(s,q);p&&(m=m?m+"&"+p:p);"GET"==b.type.toUpperCase()?(b.url+=(0<=b.url.indexOf("?")?"&":"?")+m,b.data=null):b.data=m;var u=[];b.resetForm&&u.push(function(){k.resetForm()});b.clearForm&&u.push(function(){k.clearForm(b.includeHidden)});if(!b.dataType&&b.target){var r=b.success||function(){};
u.push(function(a){var c=b.replaceTarget?"replaceWith":"html";h(b.target)[c](a).each(r,arguments)})}else b.success&&u.push(b.success);b.success=function(a,c,d){for(var e=b.context||this,g=0,f=u.length;g<f;g++)u[g].apply(e,[a,c,d||k,k])};p=0<h("input:file:enabled[value]",this).length;m="multipart/form-data"==k.attr("enctype")||"multipart/form-data"==k.attr("encoding");q=e&&d;a("fileAPI :"+q);!1!==b.iframe&&(b.iframe||(p||m)&&!q)?b.closeKeepAlive?h.get(b.closeKeepAlive,function(){g(s)}):g(s):(p||m)&&
q?c(s):h.ajax(b);for(p=0;p<n.length;p++)n[p]=null;this.trigger("form-submit-notify",[this,b]);return this};h.fn.ajaxForm=function(b){b=b||{};b.delegation=b.delegation&&h.isFunction(h.fn.on);if(!b.delegation&&0===this.length){var c=this.selector,d=this.context;if(!h.isReady&&c)return a("DOM not ready, queuing ajaxForm"),h(function(){h(c,d).ajaxForm(b)}),this;a("terminating; zero elements found by selector"+(h.isReady?"":" (DOM not ready)"));return this}return b.delegation?(h(document).off("submit.form-plugin",
this.selector,k).off("click.form-plugin",this.selector,f).on("submit.form-plugin",this.selector,b,k).on("click.form-plugin",this.selector,b,f),this):this.ajaxFormUnbind().bind("submit.form-plugin",b,k).bind("click.form-plugin",b,f)};h.fn.ajaxFormUnbind=function(){return this.unbind("submit.form-plugin click.form-plugin")};h.fn.formToArray=function(a,c){var d=[];if(0===this.length)return d;var f=this[0],m=a?f.getElementsByTagName("*"):f.elements;if(!m)return d;var k,q,n,p,s,u;k=0;for(u=m.length;k<
u;k++)if(s=m[k],n=s.name)if(a&&f.clk&&"image"==s.type)!s.disabled&&f.clk==s&&(d.push({name:n,value:h(s).val(),type:s.type}),d.push({name:n+".x",value:f.clk_x},{name:n+".y",value:f.clk_y}));else if((p=h.fieldValue(s,!0))&&p.constructor==Array){c&&c.push(s);q=0;for(s=p.length;q<s;q++)d.push({name:n,value:p[q]})}else if(e&&"file"==s.type&&!s.disabled)if(c&&c.push(s),p=s.files,p.length)for(q=0;q<p.length;q++)d.push({name:n,value:p[q],type:s.type});else d.push({name:n,value:"",type:s.type});else null!==
p&&"undefined"!=typeof p&&(c&&c.push(s),d.push({name:n,value:p,type:s.type,required:s.required}));if(!a&&f.clk&&(m=h(f.clk),k=m[0],(n=k.name)&&!k.disabled&&"image"==k.type))d.push({name:n,value:m.val()}),d.push({name:n+".x",value:f.clk_x},{name:n+".y",value:f.clk_y});return d};h.fn.formSerialize=function(a){return h.param(this.formToArray(a))};h.fn.fieldSerialize=function(a){var c=[];this.each(function(){var d=this.name;if(d){var e=h.fieldValue(this,a);if(e&&e.constructor==Array)for(var f=0,k=e.length;f<
k;f++)c.push({name:d,value:e[f]});else null!==e&&"undefined"!=typeof e&&c.push({name:this.name,value:e})}});return h.param(c)};h.fn.fieldValue=function(a){for(var c=[],d=0,e=this.length;d<e;d++){var f=h.fieldValue(this[d],a);null===f||("undefined"==typeof f||f.constructor==Array&&!f.length)||(f.constructor==Array?h.merge(c,f):c.push(f))}return c};h.fieldValue=function(a,c){var d=a.name,e=a.type,f=a.tagName.toLowerCase();void 0===c&&(c=!0);if(c&&(!d||a.disabled||"reset"==e||"button"==e||("checkbox"==
e||"radio"==e)&&!a.checked||("submit"==e||"image"==e)&&a.form&&a.form.clk!=a||"select"==f&&-1==a.selectedIndex))return null;if("select"==f){var k=a.selectedIndex;if(0>k)return null;for(var d=[],f=a.options,q=(e="select-one"==e)?k+1:f.length,k=e?k:0;k<q;k++){var n=f[k];if(n.selected){var p=n.value;p||(p=n.attributes&&n.attributes.value&&!n.attributes.value.specified?n.text:n.value);if(e)return p;d.push(p)}}return d}return h(a).val()};h.fn.clearForm=function(a){return this.each(function(){h("input,select,textarea",
this).clearFields(a)})};h.fn.clearFields=h.fn.clearInputs=function(a){var c=/^(?:color|date|datetime|email|month|number|password|range|search|tel|text|time|url|week)$/i;return this.each(function(){var d=this.type,e=this.tagName.toLowerCase();if(c.test(d)||"textarea"==e)this.value="";else if("checkbox"==d||"radio"==d)this.checked=!1;else if("select"==e)this.selectedIndex=-1;else if(a&&(!0===a&&/hidden/.test(d)||"string"==typeof a&&h(this).is(a)))this.value=""})};h.fn.resetForm=function(){return this.each(function(){("function"==
typeof this.reset||"object"==typeof this.reset&&!this.reset.nodeType)&&this.reset()})};h.fn.enable=function(a){void 0===a&&(a=!0);return this.each(function(){this.disabled=!a})};h.fn.selected=function(a){void 0===a&&(a=!0);return this.each(function(){var c=this.type;"checkbox"==c||"radio"==c?this.checked=a:"option"==this.tagName.toLowerCase()&&(c=h(this).parent("select"),a&&(c[0]&&"select-one"==c[0].type)&&c.find("option").selected(!1),this.selected=a)})};h.fn.ajaxSubmit.debug=!1})(jQuery);/*

 Software from "jQuery Filedrop 0.1.0", a jQuery plugin for html5 dragging files,
 is Copyright (c) Resopollution and is provided under the following license:
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
(function(h){function k(){}jQuery.event.props.push("dataTransfer");var f={fallback_id:"",url:"",refresh:1E3,paramname:"userfile",allowedfiletypes:[],raw_droppable:[],maxfiles:25,maxfilesize:1,queuefiles:0,queuewait:200,data:{},headers:{},drop:k,rawDrop:k,dragStart:k,dragEnter:k,dragOver:k,dragLeave:k,docEnter:k,docOver:k,docLeave:k,beforeEach:k,afterAll:k,rename:k,error:function(a,b,c,d){alert(a)},uploadStarted:k,uploadFinished:k,progressUpdated:k,globalProgressUpdated:k,speedUpdated:k},a="BrowserNotSupported TooManyFiles FileTooLarge FileTypeNotAllowed NotFound NotReadable AbortError ReadError".split(" "),
e,d=!1,b=0,c;h.fn.filedrop=function(g){function m(a,b){var c="?mimetype="+encodeURIComponent(b.type);p("pasted_image",b.data,b.type,{},c,function(a,b,c){return r.uploadFinished(-1,void 0,a,b,c)},function(){})}function k(a,b,c,d){var e="";if(r.data){var g=h.param(r.data).replace(/\+/g,"%20").split(/&/);h.each(g,function(){var a=this.split("=",2),b=decodeURIComponent(a[0]),a=decodeURIComponent(a[1]);e+="--";e+=d;e+="\r\n";e+='Content-Disposition: form-data; name="'+b+'"';e+="\r\n";e+="\r\n";e+=a;e+=
"\r\n"})}e+="--";e+=d;e+="\r\n";e+='Content-Disposition: form-data; name="'+r.paramname+'"';e+='; filename="'+encodeURIComponent(a)+'"';e+="\r\n";e+="Content-Type: "+c;e+="\r\n";e+="\r\n";e+=b;e+="\r\n";e+="--";e+=d;e+="--";return e+="\r\n"}function q(a){if(a.lengthComputable){var b=Math.round(100*a.loaded/a.total);if(this.currentProgress!==b){this.currentProgress=b;r.progressUpdated(this.index,this.file,this.currentProgress);x[this.global_progress_index]=this.currentProgress;n();var b=(new Date).getTime(),
c=b-this.currentStart;c>=r.refresh&&(r.speedUpdated(this.index,this.file,(a.loaded-this.startData)/c),this.startData=a.loaded,this.currentStart=b)}}}function n(){if(0!==x.length){var a=0,b;for(b in x)x.hasOwnProperty(b)&&(a+=x[b]);r.globalProgressUpdated(Math.round(a/x.length))}}function p(a,b,c,e,g,f,l){var m=new XMLHttpRequest,p=(new Date).getTime(),u=x.length,s="------multipartformboundary"+(new Date).getTime(),J=m.upload;caller.data("filedrop_xhr",m);r.withCredentials&&(m.withCredentials=r.withCredentials);
a=a=k(a,b,c,s);J=h.extend(J,e);J.downloadStartTime=p;J.currentStart=p;J.currentProgress=0;J.global_progress_index=u;J.startData=0;J.addEventListener("progress",q,!1);jQuery.isFunction(r.url)?m.open("POST",r.url()+g,!0):m.open("POST",r.url+g,!0);m.setRequestHeader("content-type","multipart/form-data; boundary="+s);h.each(r.headers,function(a,b){m.setRequestHeader(a,b)});m.sendAsBinary(a);x[u]=0;n();m.onload=function(){var a=null;if(m.responseText)try{a=jQuery.parseJSON(m.responseText)}catch(b){a=m.responseText}var c=
(new Date).getTime()-p,a=f(a,c,m);x[u]=100;n();!1===a&&(d=!0);(200>m.status||299<m.status)&&l(m.statusText,m.status)}}function s(){d=!1;if(!c)return r.error(a[0]),!1;if(r.allowedfiletypes.push&&r.allowedfiletypes.length)for(var e=c.length;e--;)if(!c[e].type||0>h.inArray(c[e].type,r.allowedfiletypes))return r.error(a[3],c[e]),!1;var g=0,f=0;if(b>r.maxfiles&&0===r.queuefiles)return r.error(a[1]),!1;for(var l=[],m=[],k=[],e=0;e<b;e++)l.push(e);var q=function(){var e;if(d)return!1;if(0<r.queuefiles&&
m.length>=r.queuefiles)setTimeout(q,r.queuewait);else{e=l[0];l.splice(0,1);m.push(e);try{if(!1!==r.beforeEach(c[e])){if(e===b)return;var g=new FileReader,h=1048576*r.maxfilesize;g.index=e;if(c[e].size>h)return r.error(a[2],c[e],e),m.forEach(function(a,b){a===e&&m.splice(b,1)}),f++,!0;g.onerror=function(b){switch(b.target.error.code){case b.target.error.NOT_FOUND_ERR:return r.error(a[4]),!1;case b.target.error.NOT_READABLE_ERR:return r.error(a[5]),!1;case b.target.error.ABORT_ERR:return r.error(a[6]),
!1;default:return r.error(a[7]),!1}};g.onloadend=!r.beforeSend?t:function(a){r.beforeSend(c[e],e,function(){t(a)})};g.readAsBinaryString(c[e])}else f++}catch(p){return m.forEach(function(a,b){a===e&&m.splice(b,1)}),r.error(a[0]),!1}0<l.length&&q()}},t=function(a){var e=("undefined"===typeof a.srcElement?a.target:a.srcElement).index;void 0===a.target.index&&(a.target.index=u(a.total));var d=c[a.target.index],l=a.target.index;p("string"===typeof newName?newName:d.name,a.target.result,d.type,{file:c[a.target.index],
index:a.target.index},"",function(a,c,h){g++;a=r.uploadFinished(l,d,a,c,h);g===b-f&&r.afterAll();m.forEach(function(a,b){a===e&&m.splice(b,1)});k.push(e);return a},function(a,b){r.error(a,d,e,b)})};q()}function u(a){for(var e=0;e<b;e++)if(c[e].size===a)return e}var r=h.extend({},f,g),x=[];caller=this;this.on("drop",function(e){if(0===e.dataTransfer.files.length){var d;for(d=0;d<r.raw_droppable.length;d++){var g=r.raw_droppable[d],f;a:{f=e.dataTransfer.types;for(var l=void 0,l=0;l<f.length;l++)if(f[l]===
g){f=!0;break a}f=!1}if(f)return r.rawDrop(e.dataTransfer.getData(g)),!1}}if(!1===r.drop.call(this,e))return!1;c=e.dataTransfer.files;if(null===c||void 0===c||0===c.length)return r.error(a[0]),!1;b=c.length;s();e.preventDefault();return!1}).on("dragstart",r.dragStart).on("dragenter",function(a){clearTimeout(e);a.preventDefault();r.dragEnter.call(this,a)}).on("dragover",function(a){clearTimeout(e);a.preventDefault();r.docOver.call(this,a);r.dragOver.call(this,a)}).on("dragleave",function(a){clearTimeout(e);
r.dragLeave.call(this,a);a.stopPropagation()});this.on("paste",function(a){if(!(void 0===a.originalEvent.clipboardData||void 0===a.originalEvent.clipboardData.items)){for(var b=a.originalEvent.clipboardData.items.length,e=0;e<b;e++)if("string"===a.originalEvent.clipboardData.items[e].kind)return;var c=/image.*/,d;h.each(a.originalEvent.clipboardData.items,function(a,b){if(b.type.match(c))return d=b,!1});if(void 0!==d){if(!1===r.drop.call(this,a))return!1;var g=d.getAsFile();a=new FileReader;a.onload=
function(a){m(a,{type:g.type,data:a.target.result})};a.readAsBinaryString(g)}}});this.on("imagedata-upload.zulip",function(a,b){if(!1===r.drop.call(this,void 0))return!1;m(a,b)});h(document).on("drop",function(a){a.preventDefault();r.docLeave.call(this,a);return!1}).on("dragenter",function(a){clearTimeout(e);a.preventDefault();r.docEnter.call(this,a);return!1}).on("dragover",function(a){clearTimeout(e);a.preventDefault();r.docOver.call(this,a);return!1}).on("dragleave",function(a){e=setTimeout(function(b){return function(){r.docLeave.call(b,
a)}}(this),200)});h("#"+r.fallback_id).change(function(a){r.drop(a);c=a.target.files;b=c.length;s()});return this};try{XMLHttpRequest.prototype.sendAsBinary||(XMLHttpRequest.prototype.sendAsBinary=function(a){a=Array.prototype.map.call(a,function(a){return a.charCodeAt(0)&255});a=new Uint8Array(a);this.send(a.buffer)})}catch(g){}})(jQuery);(function(h,k){var f=document.createElement("input"),a="setSelectionRange"in f||"selectionStart"in f,e="createTextRange"in f||"selection"in document,d=/\r\n/g,b=/\r/g,c=function(a){return"undefined"!==typeof a.value?a.value:h(a).text()},g=function(a,e){var d=c(a).replace(b,"").length;"undefined"===typeof e&&(e=d);e=Math.floor(e);0>e&&(e=d+e);0>e&&(e=0);e>d&&(e=d);return e},l=function(a,b,e,c){this.start=a||0;this.end=b||0;this.length=e||0;this.text=c||""};l.prototype.toString=function(){return JSON.stringify(this,
null,"    ")};var m=function(b){if(!b)return k;if(a)return b.selectionStart;if(e){var g;var f,l,m;b.focus();b.focus();(f=document.selection.createRange())&&f.parentElement()===b?(l=c(b),m=l.length,g=b.createTextRange(),g.moveToBookmark(f.getBookmark()),b=b.createTextRange(),b.collapse(!1),g=-1<g.compareEndPoints("StartToEnd",b)?l.replace(d,"\n").length:-g.moveStart("character",-m)):g=0;return g}return k},t=function(b,c){b.focus();c=g(b,c);if(a)b.setSelectionRange(c,c);else if(e){var d=c,f=b.createTextRange();
f.move("character",d);f.select()}},q=function(b){if(!b)return k;if(a){var d=new l;d.start=b.selectionStart;d.end=b.selectionEnd;var g=Math.min(d.start,d.end),f=Math.max(d.start,d.end);d.length=f-g;d.text=c(b).substring(g,f);return d}if(e){d=new l;b.focus();var m=document.selection.createRange();if(m&&m.parentElement()===b){var h,q;h=f=0;var t=c(b);h=t.length;g=t.replace(/\r\n/g,"\n");q=b.createTextRange();q.moveToBookmark(m.getBookmark());b=b.createTextRange();b.collapse(!1);-1<q.compareEndPoints("StartToEnd",
b)?f=h:(f=-q.moveStart("character",-h),f+=g.slice(0,f).split("\n").length-1,-1<q.compareEndPoints("EndToEnd",b)||(h=-q.moveEnd("character",-h),h+=g.slice(0,h).split("\n").length-1));f-=t.substring(0,f).split("\r\n").length-1;h-=t.substring(0,h).split("\r\n").length-1;d.start=f;d.end=h;d.length=d.end-d.start;d.text=g.substr(d.start,d.length)}return d}return k},n=function(b,d,c){d=g(b,d);c=g(b,c);a?b.setSelectionRange(d,c):e&&(b=b.createTextRange(),b.moveEnd("textedit",-1),b.moveStart("character",d),
b.moveEnd("character",c-d),b.select())};h.extend(h.fn,{caret:function(){var a=this.filter("input, textarea");if(0===arguments.length)return a=a.get(0),m(a);if("number"===typeof arguments[0]){var e=arguments[0];a.each(function(a,b){t(b,e)})}else{var d=arguments[0];a.each(function(a,e){var g=d,f=m(e),l=c(e).replace(b,""),k=+(f+g.length+(l.length-f)),p=+e.getAttribute("maxlength");(e.hasAttribute?e.hasAttribute("maxlength"):"undefined"!==typeof e.maxlength)&&k>p&&(g=g.substr(0,g.length-(k-p)));l=l.substr(0,
f)+g+l.substr(f);"undefined"!==typeof e.value?e.value=l:h(e).text(l);t(e,f+g.length)})}return this},range:function(){var a=this.filter("input, textarea");if(0===arguments.length)return a=a.get(0),q(a);if("number"===typeof arguments[0]){var b=arguments[0],e=arguments[1];a.each(function(a,d){n(d,b,e)})}else{var d=arguments[0];a.each(function(a,b){var e=d,c=h(b),g=c.val(),f=q(b),l=+(f.start+e.length+(g.length-f.end)),m=+c.attr("maxlength");c.is("[maxlength]")&&l>m&&(e=e.substr(0,e.length-(l-m)));l=g.substr(0,
f.start);g=g.substr(f.end);c.val(l+e+g);c=f.start;e=c+e.length;n(b,f.length?c:e,e)})}return this},selectAll:function(){return this.each(function(b,d){var c=h(d);if(c.is("input, textarea")||d.select)c.select();else if(a){var c=window.getSelection(),g=document.createRange();g.selectNodeContents(d);c.removeAllRanges();c.addRange(g)}else e&&(c=document.body.createTextRange(),c.moveToElementText(d),c.select())})}});h.extend(h,{deselectAll:function(){document.selection?document.selection.empty():window.getSelection&&
window.getSelection().removeAllRanges();return this}})})(window.jQuery||window.Zepto||window.$);/*
 XDate v@VERSION
 Docs & Licensing: http://arshaw.com/xdate/
*/
var XDate=function(h,k,f,a){function e(){var a=this instanceof e?this:new e,c=arguments,g=c.length,f;"boolean"==typeof c[g-1]&&(f=c[--g],c=D(c,0,g));if(g)if(1==g)if(g=c[0],g instanceof h||"number"==typeof g)a[0]=new h(+g);else if(g instanceof e){var c=a,l=new h(+g[0]);d(g)&&(l.toString=M);c[0]=l}else{if("string"==typeof g){a[0]=new h(0);a:{for(var c=g,g=f||!1,l=e.parsers,m=0,k;m<l.length;m++)if(k=l[m](c,g,a)){a=k;break a}a[0]=new h(c)}}}else a[0]=new h(O.apply(h,c)),f||(a[0]=A(a[0]));else a[0]=new h;
"boolean"==typeof f&&b(a,f);return a}function d(a){return a[0].toString===M}function b(a,b,e){b?d(a)||(e&&(a[0]=new h(O(a[0].getFullYear(),a[0].getMonth(),a[0].getDate(),a[0].getHours(),a[0].getMinutes(),a[0].getSeconds(),a[0].getMilliseconds()))),a[0].toString=M):d(a)&&(a[0]=e?A(a[0]):new h(+a[0]));return a}function c(a,b,e,c,d){var g=F(y,a[0],d);a=F(z,a[0],d);d=!1;2==c.length&&"boolean"==typeof c[1]&&(d=c[1],c=[e]);e=1==b?(e%12+12)%12:g(1);a(b,c);d&&g(1)!=e&&(a(1,[g(1)-1]),a(2,[B(g(0),g(1))]))}
function g(a,b,e,c){e=Number(e);var d=k.floor(e);a["set"+w[b]](a["get"+w[b]]()+d,c||!1);d!=e&&6>b&&g(a,b+1,(e-d)*J[b],c)}function l(a,b,c){a=a.clone().setUTCMode(!0,!0);b=e(b).setUTCMode(!0,!0);var d=0;if(0==c||1==c){for(var g=6;g>=c;g--)d/=J[g],d+=y(b,!1,g)-y(a,!1,g);1==c&&(d+=12*(b.getFullYear()-a.getFullYear()))}else 2==c?(c=a.toDate().setUTCHours(0,0,0,0),d=b.toDate().setUTCHours(0,0,0,0),d=k.round((d-c)/864E5)+(b-d-(a-c))/864E5):d=(b-a)/[36E5,6E4,1E3,1][c-3];return d}function m(a){var b=a(0),
e=a(1),c=a(2);a=new h(O(b,e,c));b=q(t(b,e,c));return k.floor(k.round((a-b)/864E5)/7)+1}function t(a,b,e){b=new h(O(a,b,e));return b<q(a)?a-1:b>=q(a+1)?a+1:a}function q(a){a=new h(O(a,0,4));a.setUTCDate(a.getUTCDate()-(a.getUTCDay()+6)%7);return a}function n(b,e,c,d){var g=F(y,b,d),f=F(z,b,d);c===a&&(c=t(g(0),g(1),g(2)));c=q(c);d||(c=A(c));b.setTime(+c);f(2,[g(2)+7*(e-1)])}function p(a,b,c,d,g){var f=e.locales,l=f[e.defaultLocale]||{},m=F(y,a,g);c=("string"==typeof c?f[c]:c)||{};return s(a,b,function(a){if(d)for(var b=
(7==a?2:a)-1;0<=b;b--)d.push(m(b));return m(a)},function(a){return c[a]||l[a]},g)}function s(b,c,e,d,g){for(var f,l,m="";f=c.match(N);){m+=c.substr(0,f.index);if(f[1]){l=m;for(var m=b,h=f[1],k=e,p=d,q=g,t=h.length,n=void 0,r="";0<t;)n=u(m,h.substr(0,t),k,p,q),n!==a?(r+=n,h=h.substr(t),t=h.length):t--;m=l+(r+h)}else f[3]?(l=s(b,f[4],e,d,g),parseInt(l.replace(/\D/g,""),10)&&(m+=l)):m+=f[7]||"'";c=c.substr(f.index+f[0].length)}return m+c}function u(a,b,c,d,g){var f=e.formatters[b];if("string"==typeof f)return s(a,
f,c,d,g);if("function"==typeof f)return f(a,g||!1,d);switch(b){case "fff":return L(c(6),3);case "s":return c(5);case "ss":return L(c(5));case "m":return c(4);case "mm":return L(c(4));case "h":return c(3)%12||12;case "hh":return L(c(3)%12||12);case "H":return c(3);case "HH":return L(c(3));case "d":return c(2);case "dd":return L(c(2));case "ddd":return d("dayNamesShort")[c(7)]||"";case "dddd":return d("dayNames")[c(7)]||"";case "M":return c(1)+1;case "MM":return L(c(1)+1);case "MMM":return d("monthNamesShort")[c(1)]||
"";case "MMMM":return d("monthNames")[c(1)]||"";case "yy":return(c(0)+"").substring(2);case "yyyy":return c(0);case "t":return r(c,d).substr(0,1).toLowerCase();case "tt":return r(c,d).toLowerCase();case "T":return r(c,d).substr(0,1);case "TT":return r(c,d);case "z":case "zz":case "zzz":return g?b="Z":(d=a.getTimezoneOffset(),a=0>d?"+":"-",c=k.floor(k.abs(d)/60),d=k.abs(d)%60,g=c,"zz"==b?g=L(c):"zzz"==b&&(g=L(c)+":"+L(d)),b=a+g),b;case "w":return m(c);case "ww":return L(m(c));case "S":return b=c(2),
10<b&&20>b?"th":["st","nd","rd"][b%10-1]||"th"}}function r(a,b){return 12>a(3)?b("amDesignator"):b("pmDesignator")}function x(a){return!isNaN(+a[0])}function y(a,b,c){return a["get"+(b?"UTC":"")+w[c]]()}function z(a,b,c,d){a["set"+(b?"UTC":"")+w[c]].apply(a,d)}function A(a){return new h(a.getUTCFullYear(),a.getUTCMonth(),a.getUTCDate(),a.getUTCHours(),a.getUTCMinutes(),a.getUTCSeconds(),a.getUTCMilliseconds())}function B(a,b){return 32-(new h(O(a,b,32))).getUTCDate()}function v(b){return function(){return b.apply(a,
[this].concat(D(arguments)))}}function F(b){var c=D(arguments,1);return function(){return b.apply(a,c.concat(D(arguments)))}}function D(b,c,d){return f.prototype.slice.call(b,c||0,d===a?b.length:d)}function I(a,b){for(var c=0;c<a.length;c++)b(a[c],c)}function L(a,b){b=b||2;for(a+="";a.length<b;)a="0"+a;return a}var w="FullYear Month Date Hours Minutes Seconds Milliseconds Day Year".split(" "),G=["Years","Months","Days"],J=[12,31,24,60,60,1E3,1],N=/(([a-zA-Z])\2*)|(\((('.*?'|\(.*?\)|.)*?)\))|('(.*?)')/,
O=h.UTC,M=h.prototype.toUTCString,C=e.prototype;C.length=1;C.splice=f.prototype.splice;C.getUTCMode=v(d);C.setUTCMode=v(b);C.getTimezoneOffset=function(){return d(this)?0:this[0].getTimezoneOffset()};I(w,function(a,b){C["get"+a]=function(){return y(this[0],d(this),b)};8!=b&&(C["getUTC"+a]=function(){return y(this[0],!0,b)});7!=b&&(C["set"+a]=function(a){c(this,b,a,arguments,d(this));return this},8!=b&&(C["setUTC"+a]=function(a){c(this,b,a,arguments,!0);return this},C["add"+(G[b]||a)]=function(a,c){g(this,
b,a,c);return this},C["diff"+(G[b]||a)]=function(a){return l(this,a,b)}))});C.getWeek=function(){return m(F(y,this,!1))};C.getUTCWeek=function(){return m(F(y,this,!0))};C.setWeek=function(a,b){n(this,a,b,!1);return this};C.setUTCWeek=function(a,b){n(this,a,b,!0);return this};C.addWeeks=function(a){return this.addDays(7*Number(a))};C.diffWeeks=function(a){return l(this,a,2)/7};e.parsers=[function(a,b,c){if(a=a.match(/^(\d{4})(-(\d{2})(-(\d{2})([T ](\d{2}):(\d{2})(:(\d{2})(\.(\d+))?)?(Z|(([-+])(\d{2})(:?(\d{2}))?))?)?)?)?$/)){var d=
new h(O(a[1],a[3]?a[3]-1:0,a[5]||1,a[7]||0,a[8]||0,a[10]||0,a[12]?1E3*Number("0."+a[12]):0));a[13]?a[14]&&d.setUTCMinutes(d.getUTCMinutes()+("-"==a[15]?1:-1)*(60*Number(a[16])+(a[18]?Number(a[18]):0))):b||(d=A(d));return c.setTime(+d)}}];e.parse=function(a){return+e(""+a)};C.toString=function(b,c,e){return b===a||!x(this)?this[0].toString():p(this,b,c,e,d(this))};C.toUTCString=C.toGMTString=function(b,c,d){return b===a||!x(this)?this[0].toUTCString():p(this,b,c,d,!0)};C.toISOString=function(){return this.toUTCString("yyyy-MM-dd'T'HH:mm:ss(.fff)zzz")};
e.defaultLocale="";e.locales={"":{monthNames:"January February March April May June July August September October November December".split(" "),monthNamesShort:"Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec".split(" "),dayNames:"Sunday Monday Tuesday Wednesday Thursday Friday Saturday".split(" "),dayNamesShort:"Sun Mon Tue Wed Thu Fri Sat".split(" "),amDesignator:"AM",pmDesignator:"PM"}};e.formatters={i:"yyyy-MM-dd'T'HH:mm:ss(.fff)",u:"yyyy-MM-dd'T'HH:mm:ss(.fff)zzz"};I("getTime valueOf toDateString toTimeString toLocaleString toLocaleDateString toLocaleTimeString toJSON".split(" "),
function(a){C[a]=function(){return this[0][a]()}});C.setTime=function(a){this[0].setTime(a);return this};C.valid=v(x);C.clone=function(){return new e(this)};C.clearTime=function(){return this.setHours(0,0,0,0)};C.toDate=function(){return new h(+this[0])};e.now=function(){return+new h};e.today=function(){return(new e).clearTime()};e.UTC=O;e.getDaysInMonth=B;"undefined"!==typeof module&&module.exports&&(module.exports=e);"function"===typeof define&&define.amd&&define([],function(){return e});return e}(Date,
Math,Array);(function(h){function k(a){var d=a||window.event,b=[].slice.call(arguments,1),c=0,g=0,f=0;a=h.event.fix(d);a.type="mousewheel";d.wheelDelta&&(c=d.wheelDelta/120);d.detail&&(c=-d.detail/3);f=c;void 0!==d.axis&&d.axis===d.HORIZONTAL_AXIS&&(f=0,g=-1*c);void 0!==d.wheelDeltaY&&(f=d.wheelDeltaY/120);void 0!==d.wheelDeltaX&&(g=-1*d.wheelDeltaX/120);b.unshift(a,c,g,f);return(h.event.dispatch||h.event.handle).apply(this,b)}var f=["DOMMouseScroll","mousewheel"];if(h.event.fixHooks)for(var a=f.length;a;)h.event.fixHooks[f[--a]]=
h.event.mouseHooks;h.event.special.mousewheel={setup:function(){if(this.addEventListener)for(var a=f.length;a;)this.addEventListener(f[--a],k,!1);else this.onmousewheel=k},teardown:function(){if(this.removeEventListener)for(var a=f.length;a;)this.removeEventListener(f[--a],k,!1);else this.onmousewheel=null}};h.fn.extend({mousewheel:function(a){return a?this.bind("mousewheel",a):this.trigger("mousewheel")},unmousewheel:function(a){return this.unbind("mousewheel",a)}})})(jQuery);(function(h,k){"$:nomunge";var f=h.jQuery||h.Cowboy||(h.Cowboy={}),a;f.throttle=a=function(a,d,b,c){function g(){function g(){m=+new Date;b.apply(h,s)}function f(){l=k}var h=this,p=+new Date-m,s=arguments;c&&!l&&g();l&&clearTimeout(l);c===k&&p>a?g():!0!==d&&(l=setTimeout(c?f:g,c===k?a-p:a))}var l,m=0;"boolean"!==typeof d&&(c=b,b=d,d=k);f.guid&&(g.guid=b.guid=b.guid||f.guid++);return g};f.debounce=function(e,d,b){return b===k?a(e,d,!1):a(e,b,!1!==d)}})(this);/*

 Software from "jQuery Idle", a jQuery plugin that executes a callback function
 if the user is idle, is Copyright (c) 2011-2013 Henrique Boaventura and is
 provided under the following license (the jQuery Idle software has been modified):
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
(function(h){h.fn.idle=function(k){var f=!1,a=h.extend({},{idle:6E4,events:"mousemove keydown DOMMouseScroll mousewheel mousedown touchstart touchmove",onIdle:function(){},onActive:function(){},keepTracking:!1},k),e,d=h(this),b=!1,c=function(c){b||(f&&(a.onActive.call(),f=!1),l())},g=function(){d.off(a.events,c);clearTimeout(e);b=!0},l=function(){f=!1;clearTimeout(e);m()},m=function(){e=setTimeout(function(){f=!0;g();a.onIdle.call();a.keepTracking&&setTimeout(function(){d.on(a.events,c);b=!1;m(a)},
0)},a.idle);t.timerId=e},t={cancel:g,reset:l};m(a);d.on(a.events,c);return t}})(jQuery);/*

 Autosize v1.17.7 - 2013-09-03
 Automatically adjust textarea height based on user input.
 (c) 2013 Jack Moore - http://www.jacklmoore.com/autosize
 license: http://www.opensource.org/licenses/mit-license.php
 ---
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
*/
(function(h){"function"===typeof define&&define.amd?define(["jquery"],h):h(window.jQuery||window.$)})(function(h){var k={className:"autosizejs",append:"",callback:!1,resizeDelay:10},f="fontFamily fontSize fontWeight fontStyle letterSpacing textTransform wordSpacing textIndent".split(" "),a,e=h('<textarea tabindex="-1" style="position:absolute; top:-999px; left:0; right:auto; bottom:auto; border:0; padding: 0; -moz-box-sizing:content-box; -webkit-box-sizing:content-box; box-sizing:content-box; word-wrap:break-word; height:0 !important; min-height:0 !important; overflow:hidden; transition:none; -webkit-transition:none; -moz-transition:none;"/>').data("autosize",
!0)[0];e.style.lineHeight="99px";"99px"===h(e).css("lineHeight")&&f.push("lineHeight");e.style.lineHeight="";h.fn.autosize=function(d){d=h.extend({},k,d||{});e.parentNode!==document.body&&h(document.body).append(e);return this.each(function(){function b(){var a,b;"getComputedStyle"in window?(a=window.getComputedStyle(m),b=m.getBoundingClientRect().width,h.each(["paddingLeft","paddingRight","borderLeftWidth","borderRightWidth"],function(c,d){b-=parseInt(a[d],10)}),e.style.width=b+"px"):e.style.width=
Math.max(k.width(),0)+"px"}function c(){var c={};a=m;e.className=d.className;q=parseInt(k.css("maxHeight"),10);h.each(f,function(a,b){c[b]=k.css(b)});h(e).css(c);b();if(window.chrome){var g=m.style.width;m.style.width="0px";m.style.width=g}}function g(){var g,f;a!==m?c():b();e.value=m.value+d.append;e.style.overflowY=m.style.overflowY;f=parseInt(m.style.height,10);e.scrollTop=0;e.scrollTop=9E4;g=e.scrollTop;q&&g>q?(m.style.overflowY="scroll",g=q):(m.style.overflowY="hidden",g<n&&(g=n));g+=p;f!==g&&
(m.style.height=g+"px",s&&d.callback.call(m,m))}function l(){clearTimeout(r);r=setTimeout(function(){var a=k.width();a!==x&&(x=a,g())},parseInt(d.resizeDelay,10))}var m=this,k=h(m),q,n,p=0,s=h.isFunction(d.callback),u={height:m.style.height,overflow:m.style.overflow,overflowY:m.style.overflowY,wordWrap:m.style.wordWrap,resize:m.style.resize},r,x=k.width();if(!k.data("autosize")){k.data("autosize",!0);if("border-box"===k.css("box-sizing")||"border-box"===k.css("-moz-box-sizing")||"border-box"===k.css("-webkit-box-sizing"))p=
k.outerHeight()-k.height();n=Math.max(parseInt(k.css("minHeight"),10)-p||0,k.height());k.css({overflow:"hidden",overflowY:"hidden",wordWrap:"break-word",resize:"none"===k.css("resize")||"vertical"===k.css("resize")?"none":"horizontal"});if("onpropertychange"in m)if("oninput"in m)k.on("input.autosize keyup.autosize",g);else k.on("propertychange.autosize",function(){"value"===event.propertyName&&g()});else k.on("input.autosize",g);if(!1!==d.resizeDelay)h(window).on("resize.autosize",l);k.on("autosize.resize",
g);k.on("autosize.resizeIncludeStyle",function(){a=null;g()});k.on("autosize.destroy",function(){a=null;clearTimeout(r);h(window).off("resize",l);k.off("autosize").off(".autosize").css(u).removeData("autosize")});g()}})}});(function(h){"function"===typeof define&&define.amd?define(["jquery"],h):h(jQuery)})(function(h){var k={wheelSpeed:10,wheelPropagation:!1,minScrollbarLength:null,useBothWheelAxes:!1,useKeyboard:!0,suppressScrollX:!1,suppressScrollY:!1,scrollXMarginOffset:0,scrollYMarginOffset:0},f=function(){var a=0;return function(){var e=a;a+=1;return".perfect-scrollbar-"+e}}();h.fn.perfectScrollbar=function(a,e){return this.each(function(){var d=h.extend(!0,{},k),b=h(this);"object"===typeof a?h.extend(!0,d,a):
e=a;if("update"===e)return b.data("perfect-scrollbar-update")&&b.data("perfect-scrollbar-update")(),b;if("destroy"===e)return b.data("perfect-scrollbar-destroy")&&b.data("perfect-scrollbar-destroy")(),b;if(b.data("perfect-scrollbar"))return b.data("perfect-scrollbar");b.addClass("ps-container");var c=h("<div class='ps-scrollbar-x-rail'></div>").appendTo(b),g=h("<div class='ps-scrollbar-y-rail'></div>").appendTo(b),l=h("<div class='ps-scrollbar-x'></div>").appendTo(c),m=h("<div class='ps-scrollbar-y'></div>").appendTo(g),
t,q,n,p,s,u,r,x,y=parseInt(c.css("bottom"),10),z,A,B=parseInt(g.css("right"),10),v=f(),F=function(a){d.minScrollbarLength&&(a=Math.max(a,d.minScrollbarLength));return a},D=function(){c.css({left:b.scrollLeft(),bottom:y-b.scrollTop(),width:n,display:t?"inherit":"none"});g.css({top:b.scrollTop(),right:B-b.scrollLeft(),height:p,display:q?"inherit":"none"});l.css({left:x,width:r});m.css({top:A,height:z})},I=function(){n=b.width();p=b.height();s=b.prop("scrollWidth");u=b.prop("scrollHeight");!d.suppressScrollX&&
n+d.scrollXMarginOffset<s?(t=!0,r=F(parseInt(n*n/s,10)),x=parseInt(b.scrollLeft()*(n-r)/(s-n),10)):(t=!1,x=r=0,b.scrollLeft(0));!d.suppressScrollY&&p+d.scrollYMarginOffset<u?(q=!0,z=F(parseInt(p*p/u,10)),A=parseInt(b.scrollTop()*(p-z)/(u-p),10)):(q=!1,A=z=0,b.scrollTop(0));A>=p-z&&(A=p-z);x>=n-r&&(x=n-r);D()},L=function(){var a,d;l.bind("mousedown"+v,function(b){d=b.pageX;a=l.position().left;c.addClass("in-scrolling");b.stopPropagation();b.preventDefault()});h(document).bind("mousemove"+v,function(e){if(c.hasClass("in-scrolling")){var f=
a+(e.pageX-d),l=n-r;x=0>f?0:f>l?l:f;f=parseInt(x*(s-n)/(n-r),10);b.scrollLeft(f);g.css({right:B-f});e.stopPropagation();e.preventDefault()}});h(document).bind("mouseup"+v,function(a){c.hasClass("in-scrolling")&&c.removeClass("in-scrolling")});a=d=null},w=function(){var a,d;m.bind("mousedown"+v,function(b){d=b.pageY;a=m.position().top;g.addClass("in-scrolling");b.stopPropagation();b.preventDefault()});h(document).bind("mousemove"+v,function(e){if(g.hasClass("in-scrolling")){var f=a+(e.pageY-d),l=p-
z;A=0>f?0:f>l?l:f;f=parseInt(A*(u-p)/(p-z),10);b.scrollTop(f);c.css({bottom:y-f});e.stopPropagation();e.preventDefault()}});h(document).bind("mouseup"+v,function(a){g.hasClass("in-scrolling")&&g.removeClass("in-scrolling")});a=d=null},G=function(a,c){var e=b.scrollTop();if(0===a){if(!q)return!1;if(0===e&&0<c||e>=u-p&&0>c)return!d.wheelPropagation}e=b.scrollLeft();if(0===c){if(!t)return!1;if(0===e&&0>a||e>=s-n&&0<a)return!d.wheelPropagation}return!0},J=function(){var a=!1;b.bind("mousewheel"+v,function(c,
e,g,f){e=c.deltaX?c.deltaX/10:g;f=c.deltaY?c.deltaY/10:f;d.useBothWheelAxes?q&&!t?f?b.scrollTop(b.scrollTop()-f*d.wheelSpeed):b.scrollTop(b.scrollTop()+e*d.wheelSpeed):t&&!q&&(e?b.scrollLeft(b.scrollLeft()+e*d.wheelSpeed):b.scrollLeft(b.scrollLeft()-f*d.wheelSpeed)):(b.scrollTop(b.scrollTop()-f*d.wheelSpeed),b.scrollLeft(b.scrollLeft()+e*d.wheelSpeed));I();(a=G(e,f))&&c.preventDefault()});b.bind("MozMousePixelScroll"+v,function(b){a&&b.preventDefault()})},N=function(){var a=!1;b.bind("mouseenter"+
v,function(b){a=!0});b.bind("mouseleave"+v,function(b){a=!1});var c=!1;h(document).bind("keydown"+v,function(e){if(a&&!h(document.activeElement).is(":input,[contenteditable]")){var g=0,f=0;switch(e.which){case 37:g=-3;break;case 38:f=3;break;case 39:g=3;break;case 40:f=-3;break;case 33:f=9;break;case 32:case 34:f=-9;break;case 35:f=-p;break;case 36:f=p;break;default:return}b.scrollTop(b.scrollTop()-f*d.wheelSpeed);b.scrollLeft(b.scrollLeft()+g*d.wheelSpeed);(c=G(g,f))&&e.preventDefault()}})},O=function(){var a=
function(a){a.stopPropagation()};m.bind("click"+v,a);g.bind("click"+v,function(a){var c=parseInt(z/2,10);a=(a.pageY-g.offset().top-c)/(p-z);0>a?a=0:1<a&&(a=1);b.scrollTop((u-p)*a)});l.bind("click"+v,a);c.bind("click"+v,function(a){var d=parseInt(r/2,10);a=(a.pageX-c.offset().left-d)/(n-r);0>a?a=0:1<a&&(a=1);b.scrollLeft((s-n)*a)})},M=function(){var a=function(a,c){b.scrollTop(b.scrollTop()-c);b.scrollLeft(b.scrollLeft()-a);I()},c={},d=0,e,g,f=null,l=!1;h(window).bind("touchstart"+v,function(a){l=
!0});h(window).bind("touchend"+v,function(a){l=!1});b.bind("touchstart"+v,function(a){var b=a.originalEvent.targetTouches[0];c.pageX=b.pageX;c.pageY=b.pageY;d=(new Date).getTime();null!==f&&clearInterval(f);a.stopPropagation()});b.bind("touchmove"+v,function(b){if(!l&&1===b.originalEvent.targetTouches.length){var f=b.originalEvent.targetTouches[0],m={};m.pageX=f.pageX;m.pageY=f.pageY;var f=m.pageX-c.pageX,h=m.pageY-c.pageY;a(f,h);c=m;var m=(new Date).getTime(),k=m-d;0<k&&(e=f/k,g=h/k,d=m);b.preventDefault()}});
b.bind("touchend"+v,function(b){clearInterval(f);f=setInterval(function(){0.01>Math.abs(e)&&0.01>Math.abs(g)?clearInterval(f):(a(30*e,30*g),e*=0.8,g*=0.8)},10)})},C=function(){b.bind("scroll"+v,function(a){I()})},K=function(){b.unbind(v);h(window).unbind(v);h(document).unbind(v);b.data("perfect-scrollbar",null);b.data("perfect-scrollbar-update",null);b.data("perfect-scrollbar-destroy",null);l.remove();m.remove();c.remove();g.remove();l=m=n=p=s=u=r=x=y=z=A=B=null},P=function(a){b.addClass("ie").addClass("ie"+
a);var d=function(){D=function(){l.css({left:x+b.scrollLeft(),bottom:y,width:r});m.css({top:A+b.scrollTop(),right:B,height:z});l.hide().show();m.hide().show()}};6===a&&(function(){var a=function(){h(this).addClass("hover")},d=function(){h(this).removeClass("hover")};b.bind("mouseenter"+v,a).bind("mouseleave"+v,d);c.bind("mouseenter"+v,a).bind("mouseleave"+v,d);g.bind("mouseenter"+v,a).bind("mouseleave"+v,d);l.bind("mouseenter"+v,a).bind("mouseleave"+v,d);m.bind("mouseenter"+v,a).bind("mouseleave"+
v,d)}(),d())},E="ontouchstart"in window||window.DocumentTouch&&document instanceof window.DocumentTouch;(function(){var a=navigator.userAgent.toLowerCase().match(/(msie) ([\w.]+)/);a&&"msie"===a[1]&&P(parseInt(a[2],10));I();C();L();w();O();E&&M();b.mousewheel&&J();d.useKeyboard&&N();b.data("perfect-scrollbar",b);b.data("perfect-scrollbar-update",I);b.data("perfect-scrollbar-destroy",K)})();return b})}});/*

 Software from "LazyLoad" is Copyright (c) 2011 Ryan Grove <ryan@wonko.com>
 and is provided under the following license:
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy of
 this software and associated documentation files (the 'Software'), to deal in
 the Software without restriction, including without limitation the rights to
 use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 the Software, and to permit persons to whom the Software is furnished to do so,
 subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all
 copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 --
/**

/**
LazyLoad makes it easy and painless to lazily load one or more external
JavaScript or CSS files on demand either during or after the rendering of a web
page.

Supported browsers include Firefox 2+, IE6+, Safari 3+ (including Mobile
Safari), Google Chrome, and Opera 9+. Other browsers may or may not work and
are not officially supported.

Visit https://github.com/rgrove/lazyload/ for more info.

@module lazyload
@class LazyLoad
@static
*/
LazyLoad=function(h){function k(a,b){var c=h.createElement(a),d;for(d in b)b.hasOwnProperty(d)&&c.setAttribute(d,b[d]);return c}function f(a){var b=l[a],c,d;b&&(c=b.callback,d=b.urls,d.shift(),m=0,d.length||(c&&c.call(b.context,b.obj),l[a]=null,t[a].length&&e(a)))}function a(){var a=navigator.userAgent;c={async:!0===h.createElement("script").async};(c.webkit=/AppleWebKit\//.test(a))||(c.ie=/MSIE|Trident/.test(a))||(c.opera=/Opera/.test(a))||(c.gecko=/Gecko\//.test(a))||(c.unknown=!0)}function e(e,
m,q,u,r){var x=function(){f(e)},y="css"===e,z=[],A,B,v,F;c||a();if(m)if(m="string"===typeof m?[m]:m.concat(),y||c.async||c.gecko||c.opera)t[e].push({urls:m,callback:q,obj:u,context:r});else{A=0;for(B=m.length;A<B;++A)t[e].push({urls:[m[A]],callback:A===B-1?q:null,obj:u,context:r})}if(!l[e]&&(F=l[e]=t[e].shift())){g||(g=h.head||h.getElementsByTagName("head")[0]);m=F.urls;A=0;for(B=m.length;A<B;++A)q=m[A],y?v=c.gecko?k("style"):k("link",{href:q,rel:"stylesheet"}):(v=k("script",{src:q}),v.async=!1),
v.className="lazyload",v.setAttribute("charset","utf-8"),c.ie&&!y&&"onreadystatechange"in v&&!("draggable"in v)?v.onreadystatechange=function(){/loaded|complete/.test(v.readyState)&&(v.onreadystatechange=null,x())}:y&&(c.gecko||c.webkit)?c.webkit?(F.urls[A]=v.href,b()):(v.innerHTML='@import "'+q+'";',d(v)):v.onload=v.onerror=x,z.push(v);A=0;for(B=z.length;A<B;++A)g.appendChild(z[A])}}function d(a){var b;try{b=!!a.sheet.cssRules}catch(c){m+=1;200>m?setTimeout(function(){d(a)},50):b&&f("css");return}f("css")}
function b(){var a=l.css,c;if(a){for(c=q.length;0<=--c;)if(q[c].href===a.urls[0]){f("css");break}m+=1;a&&(200>m?setTimeout(b,50):f("css"))}}var c,g,l={},m=0,t={css:[],js:[]},q=h.styleSheets;return{css:function(a,b,c,d){e("css",a,b,c,d)},js:function(a,b,c,d){e("js",a,b,c,d)}}}(this.document);(function(h,k,f){function a(a,b,c){for(var d=[],e=0;e<a.length;e++){var g=tinycolor(a[e]),f=0.5>g.toHsl().l?"sp-thumb-el sp-thumb-dark":"sp-thumb-el sp-thumb-light",f=f+(tinycolor.equals(b,a[e])?" sp-thumb-active":""),l=s?"background-color:"+g.toRgbString():"filter:"+g.toFilter();d.push('<span title="'+g.toHexString()+'" data-color="'+g.toRgbString()+'" class="'+f+'"><span class="sp-thumb-inner" style="'+l+';" /></span>')}return"<div class='sp-cf "+c+"'>"+d.join("")+"</div>"}function e(a,b){var c=
k.extend({},q,a);c.callbacks={move:l(c.move,b),change:l(c.change,b),show:l(c.show,b),hide:l(c.hide,b),beforeShow:l(c.beforeShow,b)};return c}function d(c,d){function f(a){Oa&&(ca.push(tinycolor(a).toHexString()),fa&&h.localStorage&&(h.localStorage[fa]=ca.join(",")))}function l(){var a=[],b=ca,c={};if(X){for(var d=0;d<ia.length;d++)for(var e=0;e<ia[d].length;e++){var g=tinycolor(ia[d][e]).toHexString();c[g]=!0}for(d=0;d<b.length;d++)g=tinycolor(b[d]).toHexString(),c.hasOwnProperty(g)||(a.push(b[d]),
c[g]=!0)}return a.reverse().slice(0,E.maxSelectionSize)}function q(){var b=N(),c=k.map(ia,function(c,d){return a(c,b,"sp-palette-row sp-palette-row-"+d)});ca&&c.push(a(l(),b,"sp-palette-row sp-palette-row-selection"));Da.html(c.join(""))}function v(){if(ya){var b=V,c=N();Ea.html(a([b,c],c,"sp-palette-row-initial"))}}function F(){(0===T||0===ba||0===ga)&&P();H.addClass(Fa)}function D(){H.removeClass(Fa)}function I(){var a=tinycolor(R.val());a.ok?J(a):R.addClass("sp-validation-error")}function L(){aa?
G():w()}function w(){if(aa)P();else if(!1!==Z.beforeShow(N())){for(var a=0;a<n.length;a++)n[a]&&n[a].hide();aa=!0;k(ja).bind("click.spectrum",G);k(h).bind("resize.spectrum",Ca);Y.addClass("sp-active");H.show();X&&q();P();M();V=N();v();Z.show(V)}}function G(a){if((!a||!("click"==a.type&&2==a.button))&&aa&&!Q)aa=!1,k(ja).unbind("click.spectrum",G),k(h).unbind("resize.spectrum",Ca),Y.removeClass("sp-active"),H.hide(),tinycolor.equals(N(),V)||(Pa&&"cancel"!==a?K(!0):J(V,!0)),Z.hide(N())}function J(a,
b){if(!tinycolor.equals(a,N())){var c=tinycolor(a),d=c.toHsv();da=d.h;ka=d.s;la=d.v;S=d.a;M();b||(ma=qa||c.format)}}function N(){return tinycolor.fromRatio({h:da,s:ka,v:la,a:Math.round(100*S)/100})}function O(){M();Z.move(N())}function M(){R.removeClass("sp-validation-error");C();var a=tinycolor({h:da,s:"1.0",v:"1.0"});na.css("background-color",a.toHexString());a=ma;if(1>S&&("hex"===a||"name"===a))a="rgb";var b=N(),c=b.toHexString(),d=b.toRgbString();s||1===b.alpha?ra.css("background-color",d):(ra.css("background-color",
"transparent"),ra.css("filter",b.toFilter()));if(Ba){d=b.toRgb();d.a=0;var d=tinycolor(d).toRgbString(),e="linear-gradient(left, "+d+", "+c+")";p?ea.css("filter",tinycolor(d).toFilter({gradientType:1},c)):(ea.css("background","-webkit-"+e),ea.css("background","-moz-"+e),ea.css("background","-ms-"+e),ea.css("background",e))}if(Aa){if(1>S&&("hex"===a||"name"===a))a="rgb";R.val(b.toString(a))}X&&q();v()}function C(){var a=ka*ba,b=T-la*T,a=Math.max(-U,Math.min(ba-U,a-U)),b=Math.max(-U,Math.min(T-U,b-
U));Ga.css({top:b,left:a});Ha.css({left:S*sa-Ia/2});Ja.css({top:da*ga-Ka})}function K(a){var b=N();ta&&W.val(b.toString(ma)).change();var c=!tinycolor.equals(b,V);V=b;f(b);a&&c&&Z.change(b)}function P(){ba=na.width();T=na.height();U=Ga.height();ua.width();ga=ua.height();Ka=Ja.height();sa=La.width();Ia=Ha.width();Q||H.offset(b(H,va));C()}var E=e(d,c),Q=E.flat,ha=E.showPaletteOnly,X=E.showPalette||ha,ya=E.showInitial&&!Q,Aa=E.showInput,Ba=E.showAlpha,Oa=E.showSelectionPalette,fa=E.localStorageKey,za=
E.theme,Z=E.callbacks,Ca=t(P,10),aa=!1,ba=0,T=0,U=0,ga=0,sa=0,Ia=0,Ka=0,da=0,ka=0,la=0,S=1,wa=E.palette.slice(0),ia=k.isArray(wa[0])?wa:[wa],ca=E.selectionPalette.slice(0),Fa="sp-dragging",ja=c.ownerDocument,Qa=E.container||ja.body,W=k(c),H=k(r,ja).addClass(za),na=H.find(".sp-color"),Ga=H.find(".sp-dragger"),ua=H.find(".sp-hue"),Ja=H.find(".sp-slider"),ea=H.find(".sp-alpha-inner"),La=H.find(".sp-alpha"),Ha=H.find(".sp-alpha-handle"),R=H.find(".sp-input"),Da=H.find(".sp-palette"),Ea=H.find(".sp-initial"),
Ma=H.find(".sp-cancel"),Na=H.find(".sp-choose"),ta=W.is("input"),xa=ta&&!Q,Y=xa?k(u).addClass(za):k([]),va=xa?Y:W,ra=Y.find(".sp-preview-inner"),oa=E.color||ta&&W.val(),V=!1,qa=E.preferredFormat,ma=qa,Pa=!E.showButtons||E.clickoutFiresChange;Na.text(E.chooseText);Ma.text(E.cancelText);(function(){function a(b){b.data&&b.data.ignore?(J(k(this).data("color")),O()):(J(k(this).data("color")),K(!0),O(),G());return!1}p&&H.find("*:not(input)").attr("unselectable","on");H.toggleClass("sp-flat",Q);H.toggleClass("sp-input-disabled",
!Aa);H.toggleClass("sp-alpha-enabled",Ba);H.toggleClass("sp-buttons-disabled",!E.showButtons||Q);H.toggleClass("sp-palette-disabled",!X);H.toggleClass("sp-palette-only",ha);H.toggleClass("sp-initial-disabled",!ya);H.addClass(E.className);xa&&W.hide().after(Y);Q?W.after(H).hide():k(Qa).append(H.hide());if(fa&&h.localStorage)try{ca=h.localStorage[fa].split(",")}catch(b){}va.bind("click.spectrum touchstart.spectrum",function(a){L();a.stopPropagation();k(a.target).is("input")||a.preventDefault()});H.click(g);
R.change(I);R.bind("paste",function(){setTimeout(I,1)});R.keydown(function(a){13==a.keyCode&&I()});Ma.bind("click.spectrum",function(a){a.stopPropagation();a.preventDefault();G("cancel")});Na.bind("click.spectrum",function(a){a.stopPropagation();a.preventDefault();R.hasClass("sp-validation-error")||(K(!0),G())});m(La,function(a,b,c){S=a/sa;c.shiftKey&&(S=Math.round(10*S)/10);O()});m(ua,function(a,b){da=b/ga;O()},F,D);m(na,function(a,b){ka=a/ba;la=(T-b)/T;O()},F,D);oa?(J(oa),M(),ma=qa||tinycolor(oa).format,
f(oa)):M();Q&&w();var c=p?"mousedown.spectrum":"click.spectrum touchstart.spectrum";Da.delegate(".sp-thumb-el",c,a);Ea.delegate(".sp-thumb-el::nth-child(1)",c,{ignore:!0},a)})();var pa={show:w,hide:G,toggle:L,reflow:P,set:function(a){J(a);K()},get:N,destroy:function(){W.show();va.unbind("click.spectrum touchstart.spectrum");H.remove();Y.remove();n[pa.id]=null},container:H};pa.id=n.push(pa)-1;return pa}function b(a,b){var c=a.outerWidth(),d=a.outerHeight();b.outerWidth();var e=b.outerHeight(),g=a[0].ownerDocument,
f=g.documentElement,l=f.clientWidth+k(g).scrollLeft(),g=f.clientHeight+k(g).scrollTop(),f=b.offset();f.top+=e;f.left-=Math.min(f.left,f.left+c>l&&l>c?Math.abs(f.left+c-l):0);f.top-=Math.min(f.top,f.top+d>g&&g>d?Math.abs(d+e-0):0);return f}function c(){}function g(a){a.stopPropagation()}function l(a,b){var c=Array.prototype.slice,d=c.call(arguments,2);return function(){return a.apply(b,d.concat(c.call(arguments)))}}function m(a,b,c,d){function e(a){a.stopPropagation&&a.stopPropagation();a.preventDefault&&
a.preventDefault();a.returnValue=!1}function g(c){if(m){if(p&&!(9<=document.documentMode)&&!c.button)return f();var d=c.originalEvent.touches,l=d?d[0].pageY:c.pageY,d=Math.max(0,Math.min((d?d[0].pageX:c.pageX)-q.left,n)),l=Math.max(0,Math.min(l-q.top,t));u&&e(c);b.apply(a,[d,l,c])}}function f(){m&&(k(l).unbind(r),k(l.body).removeClass("sp-dragging"),d.apply(a,arguments));m=!1}b=b||function(){};c=c||function(){};d=d||function(){};var l=a.ownerDocument||document,m=!1,q={},t=0,n=0,u="ontouchstart"in
h,r={};r.selectstart=e;r.dragstart=e;r[u?"touchmove":"mousemove"]=g;r[u?"touchend":"mouseup"]=f;k(a).bind(u?"touchstart":"mousedown",function(b){if(!(b.which?3==b.which:2==b.button)&&!m&&!1!==c.apply(a,arguments))m=!0,t=k(a).height(),n=k(a).width(),q=k(a).offset(),k(l).bind(r),k(l.body).addClass("sp-dragging"),u||g(b),e(b)})}function t(a,b,c){var d;return function(){var e=this,g=arguments,f=function(){d=null;a.apply(e,g)};c&&clearTimeout(d);if(c||!d)d=setTimeout(f,b)}}var q={beforeShow:c,move:c,change:c,
show:c,hide:c,color:!1,flat:!1,showInput:!1,showButtons:!0,clickoutFiresChange:!1,showInitial:!1,showPalette:!1,showPaletteOnly:!1,showSelectionPalette:!0,localStorageKey:!1,maxSelectionSize:7,cancelText:"cancel",chooseText:"choose",preferredFormat:!1,className:"",showAlpha:!1,theme:"sp-light",palette:["fff","000"],selectionPalette:[],container:null},n=[],p=!!/msie/i.exec(h.navigator.userAgent),s=function(){var a=document.createElement("div").style;a.cssText="background-color:rgba(0,0,0,.5)";return!!~(""+
a.backgroundColor).indexOf("rgba")||!!~(""+a.backgroundColor).indexOf("hsla")}(),u="<div class='sp-replacer'><div class='sp-preview'><div class='sp-preview-inner'></div></div><div class='sp-dd'>&#9660;</div></div>",r=function(){var a="";if(p)for(var b=1;6>=b;b++)a+="<div class='sp-"+b+"'></div>";return["<div class='sp-container'><div class='sp-palette-container'><div class='sp-palette sp-thumb sp-cf'></div></div><div class='sp-picker-container'><div class='sp-top sp-cf'><div class='sp-fill'></div><div class='sp-top-inner'><div class='sp-color'><div class='sp-sat'><div class='sp-val'><div class='sp-dragger'></div></div></div></div><div class='sp-hue'><div class='sp-slider'></div>",
a,"</div></div><div class='sp-alpha'><div class='sp-alpha-inner'><div class='sp-alpha-handle'></div></div></div></div><div class='sp-input-container sp-cf'><input class='sp-input' type='text' spellcheck='false'  /></div><div class='sp-initial sp-thumb sp-cf'></div><div class='sp-button-container sp-cf'><a class='sp-cancel' href='#'></a><button class='sp-choose'></button></div></div></div>"].join("")}();k.fn.spectrum=function(a,b){return"string"==typeof a?"get"==a?n[this.eq(0).data("spectrum.id")].get():
"container"==a?n[k(this).data("spectrum.id")].container:this.each(function(){var c=n[k(this).data("spectrum.id")];c&&("show"==a&&c.show(),"hide"==a&&c.hide(),"toggle"==a&&c.toggle(),"reflow"==a&&c.reflow(),"set"==a&&c.set(b),"destroy"==a&&(c.destroy(),k(this).removeData("spectrum.id")))}):this.spectrum("destroy").each(function(){var b=d(this,a);k(this).data("spectrum.id",b.id)})};k.fn.spectrum.load=!0;k.fn.spectrum.loadOpts={};k.fn.spectrum.draggable=m;k.fn.spectrum.defaults=q;k.fn.spectrum.processNativeColorInputs=
function(){var a=k("<input type='color' value='#ffffff' />")[0];"color"===a.type&&"#ffffff"!=a.value||k("input[type=color]").spectrum({preferredFormat:"hex6"})};(function(a){function b(a,e){if("object"==typeof a&&a.hasOwnProperty("_tc_id"))return a;var l=c(a),h=l.r,k=l.g,p=l.b,n=s(l.a);return{ok:l.ok,format:l.format,_tc_id:q++,alpha:n,toHsv:function(){var a=g(h,k,p);return{h:a.h,s:a.s,v:a.v,a:n}},toHsvString:function(){var a=g(h,k,p),b=t(360*a.h),c=t(100*a.s),a=t(100*a.v);return 1==n?"hsv("+b+", "+
c+"%, "+a+"%)":"hsva("+b+", "+c+"%, "+a+"%, "+n+")"},toHsl:function(){var a=d(h,k,p);return{h:a.h,s:a.s,l:a.l,a:n}},toHslString:function(){var a=d(h,k,p),b=t(360*a.h),c=t(100*a.s),a=t(100*a.l);return 1==n?"hsl("+b+", "+c+"%, "+a+"%)":"hsla("+b+", "+c+"%, "+a+"%, "+n+")"},toHex:function(){return f(h,k,p)},toHexString:function(a){return"#"+f(h,k,p,a)},toRgb:function(){return{r:t(h),g:t(k),b:t(p),a:n}},toRgbString:function(){return 1==n?"rgb("+t(h)+", "+t(k)+", "+t(p)+")":"rgba("+t(h)+", "+t(k)+", "+
t(p)+", "+n+")"},toName:function(){return E[f(h,k,p)]||!1},toFilter:function(a,c){var d=secondHex=f(h,k,p,!0),e=secondAlphaHex=Math.round(255*s(n)).toString(16),g=a&&a.gradientType?"GradientType = 1, ":"";if(c){var l=b(c);secondHex=l.toHex();secondAlphaHex=Math.round(255*s(l.alpha)).toString(16)}return"progid:DXImageTransform.Microsoft.gradient("+g+"startColorstr=#"+m(e)+d+",endColorstr=#"+m(secondAlphaHex)+secondHex+")"},toString:function(a){a=a||this.format;var b=!1;"rgb"===a&&(b=this.toRgbString());
"hex"===a&&(b=this.toHexString());"hex6"===a&&(b=this.toHexString(!0));"name"===a&&(b=this.toName());"hsl"===a&&(b=this.toHslString());"hsv"===a&&(b=this.toHsvString());return b||this.toHexString()}}}function c(a){var b={r:0,g:0,b:0},d=1,g=!1,f=!1;if("string"==typeof a)a:{a=a.replace(h,"").replace(k,"").toLowerCase();var m=!1;if(P[a])a=P[a],m=!0;else if("transparent"==a){a={r:0,g:0,b:0,a:0};break a}var q;a=(q=Q.rgb.exec(a))?{r:q[1],g:q[2],b:q[3]}:(q=Q.rgba.exec(a))?{r:q[1],g:q[2],b:q[3],a:q[4]}:(q=
Q.hsl.exec(a))?{h:q[1],s:q[2],l:q[3]}:(q=Q.hsla.exec(a))?{h:q[1],s:q[2],l:q[3],a:q[4]}:(q=Q.hsv.exec(a))?{h:q[1],s:q[2],v:q[3]}:(q=Q.hex6.exec(a))?{r:parseInt(q[1],16),g:parseInt(q[2],16),b:parseInt(q[3],16),format:m?"name":"hex"}:(q=Q.hex3.exec(a))?{r:parseInt(q[1]+""+q[1],16),g:parseInt(q[2]+""+q[2],16),b:parseInt(q[3]+""+q[3],16),format:m?"name":"hex"}:!1}if("object"==typeof a){if(a.hasOwnProperty("r")&&a.hasOwnProperty("g")&&a.hasOwnProperty("b"))b={r:255*l(a.r,255),g:255*l(a.g,255),b:255*l(a.b,
255)},g=!0,f="rgb";else if(a.hasOwnProperty("h")&&a.hasOwnProperty("s")&&a.hasOwnProperty("v")){var f=a.h,m=a.s,b=a.v,f=6*l(f,360),m=l(m,100),b=l(b,100),g=p.floor(f),r=f-g,f=b*(1-m);q=b*(1-r*m);m=b*(1-(1-r)*m);g%=6;b={r:255*[b,q,f,f,m,b][g],g:255*[m,b,b,q,f,f][g],b:255*[f,f,m,b,b,q][g]};g=!0;f="hsv"}else a.hasOwnProperty("h")&&(a.hasOwnProperty("s")&&a.hasOwnProperty("l"))&&(b=e(a.h,a.s,a.l),g=!0,f="hsl");a.hasOwnProperty("a")&&(d=a.a)}b.r=n(255,u(b.r,0));b.g=n(255,u(b.g,0));b.b=n(255,u(b.b,0));1>
b.r&&(b.r=t(b.r));1>b.g&&(b.g=t(b.g));1>b.b&&(b.b=t(b.b));return{ok:g,format:a&&a.format||f,r:b.r,g:b.g,b:b.b,a:d}}function d(a,b,c){a=l(a,255);b=l(b,255);c=l(c,255);var e=u(a,b,c),g=n(a,b,c),f,m=(e+g)/2;if(e==g)f=g=0;else{var h=e-g,g=0.5<m?h/(2-e-g):h/(e+g);switch(e){case a:f=(b-c)/h+(b<c?6:0);break;case b:f=(c-a)/h+2;break;case c:f=(a-b)/h+4}f/=6}return{h:f,s:g,l:m}}function e(a,b,c){function d(a,b,c){0>c&&(c+=1);1<c&&(c-=1);return c<1/6?a+6*(b-a)*c:0.5>c?b:c<2/3?a+6*(b-a)*(2/3-c):a}a=l(a,360);
b=l(b,100);c=l(c,100);if(0==b)c=b=a=c;else{var g=0.5>c?c*(1+b):c+b-c*b,f=2*c-g;c=d(f,g,a+1/3);b=d(f,g,a);a=d(f,g,a-1/3)}return{r:255*c,g:255*b,b:255*a}}function g(a,b,c){a=l(a,255);b=l(b,255);c=l(c,255);var d=u(a,b,c),e=n(a,b,c),f,m=d-e;if(d==e)f=0;else{switch(d){case a:f=(b-c)/m+(b<c?6:0);break;case b:f=(c-a)/m+2;break;case c:f=(a-b)/m+4}f/=6}return{h:f,s:0==d?0:m/d,v:d}}function f(a,b,c,d){a=[m(t(a).toString(16)),m(t(b).toString(16)),m(t(c).toString(16))];return!d&&a[0].charAt(0)==a[0].charAt(1)&&
a[1].charAt(0)==a[1].charAt(1)&&a[2].charAt(0)==a[2].charAt(1)?a[0].charAt(0)+a[1].charAt(0)+a[2].charAt(0):a.join("")}function l(a,b){"string"==typeof a&&(-1!=a.indexOf(".")&&1===s(a))&&(a="100%");var c="string"===typeof a&&-1!=a.indexOf("%");a=n(b,u(0,s(a)));c&&(a*=b/100);return 1E-6>p.abs(a-b)?1:1<=a?a%b/s(b):a}function m(a){return 1==a.length?"0"+a:""+a}var h=/^[\s,#]+/,k=/\s+$/,q=0,p=Math,t=p.round,n=p.min,u=p.max,r=p.random,s=a.parseFloat;b.fromRatio=function(a){if("object"==typeof a)for(var c in a)1===
a[c]&&(a[c]="1.0");return b(a)};b.equals=function(a,c){return!a||!c?!1:b(a).toRgbString()==b(c).toRgbString()};b.random=function(){return b.fromRatio({r:r(),g:r(),b:r()})};b.desaturate=function(a,c){var d=b(a).toHsl();d.s-=(c||10)/100;d.s=n(1,u(0,d.s));return b(d)};b.saturate=function(a,c){var d=b(a).toHsl();d.s+=(c||10)/100;d.s=n(1,u(0,d.s));return b(d)};b.greyscale=function(a){return b.desaturate(a,100)};b.lighten=function(a,c){var d=b(a).toHsl();d.l+=(c||10)/100;d.l=n(1,u(0,d.l));return b(d)};
b.darken=function(a,c){var d=b(a).toHsl();d.l-=(c||10)/100;d.l=n(1,u(0,d.l));return b(d)};b.complement=function(a){a=b(a).toHsl();a.h=(a.h+0.5)%1;return b(a)};b.triad=function(a){var c=b(a).toHsl(),d=360*c.h;return[b(a),b({h:(d+120)%360,s:c.s,l:c.l}),b({h:(d+240)%360,s:c.s,l:c.l})]};b.tetrad=function(a){var c=b(a).toHsl(),d=360*c.h;return[b(a),b({h:(d+90)%360,s:c.s,l:c.l}),b({h:(d+180)%360,s:c.s,l:c.l}),b({h:(d+270)%360,s:c.s,l:c.l})]};b.splitcomplement=function(a){var c=b(a).toHsl(),d=360*c.h;return[b(a),
b({h:(d+72)%360,s:c.s,l:c.l}),b({h:(d+216)%360,s:c.s,l:c.l})]};b.analogous=function(a,c,d){c=c||6;d=d||30;var e=b(a).toHsl();d=360/d;a=[b(a)];e.h*=360;for(e.h=(e.h-(d*c>>1)+720)%360;--c;)e.h=(e.h+d)%360,a.push(b(e));return a};b.monochromatic=function(a,c){c=c||6;for(var d=b(a).toHsv(),e=d.h,g=d.s,d=d.v,f=[],l=1/c;c--;)f.push(b({h:e,s:g,v:d})),d=(d+l)%1;return f};b.readable=function(a,c){var d=b(a).toRgb(),e=b(c).toRgb();return 10404<(e.r-d.r)*(e.r-d.r)+(e.g-d.g)*(e.g-d.g)+(e.b-d.b)*(e.b-d.b)};var P=
b.names={aliceblue:"f0f8ff",antiquewhite:"faebd7",aqua:"0ff",aquamarine:"7fffd4",azure:"f0ffff",beige:"f5f5dc",bisque:"ffe4c4",black:"000",blanchedalmond:"ffebcd",blue:"00f",blueviolet:"8a2be2",brown:"a52a2a",burlywood:"deb887",burntsienna:"ea7e5d",cadetblue:"5f9ea0",chartreuse:"7fff00",chocolate:"d2691e",coral:"ff7f50",cornflowerblue:"6495ed",cornsilk:"fff8dc",crimson:"dc143c",cyan:"0ff",darkblue:"00008b",darkcyan:"008b8b",darkgoldenrod:"b8860b",darkgray:"a9a9a9",darkgreen:"006400",darkgrey:"a9a9a9",
darkkhaki:"bdb76b",darkmagenta:"8b008b",darkolivegreen:"556b2f",darkorange:"ff8c00",darkorchid:"9932cc",darkred:"8b0000",darksalmon:"e9967a",darkseagreen:"8fbc8f",darkslateblue:"483d8b",darkslategray:"2f4f4f",darkslategrey:"2f4f4f",darkturquoise:"00ced1",darkviolet:"9400d3",deeppink:"ff1493",deepskyblue:"00bfff",dimgray:"696969",dimgrey:"696969",dodgerblue:"1e90ff",firebrick:"b22222",floralwhite:"fffaf0",forestgreen:"228b22",fuchsia:"f0f",gainsboro:"dcdcdc",ghostwhite:"f8f8ff",gold:"ffd700",goldenrod:"daa520",
gray:"808080",green:"008000",greenyellow:"adff2f",grey:"808080",honeydew:"f0fff0",hotpink:"ff69b4",indianred:"cd5c5c",indigo:"4b0082",ivory:"fffff0",khaki:"f0e68c",lavender:"e6e6fa",lavenderblush:"fff0f5",lawngreen:"7cfc00",lemonchiffon:"fffacd",lightblue:"add8e6",lightcoral:"f08080",lightcyan:"e0ffff",lightgoldenrodyellow:"fafad2",lightgray:"d3d3d3",lightgreen:"90ee90",lightgrey:"d3d3d3",lightpink:"ffb6c1",lightsalmon:"ffa07a",lightseagreen:"20b2aa",lightskyblue:"87cefa",lightslategray:"789",lightslategrey:"789",
lightsteelblue:"b0c4de",lightyellow:"ffffe0",lime:"0f0",limegreen:"32cd32",linen:"faf0e6",magenta:"f0f",maroon:"800000",mediumaquamarine:"66cdaa",mediumblue:"0000cd",mediumorchid:"ba55d3",mediumpurple:"9370db",mediumseagreen:"3cb371",mediumslateblue:"7b68ee",mediumspringgreen:"00fa9a",mediumturquoise:"48d1cc",mediumvioletred:"c71585",midnightblue:"191970",mintcream:"f5fffa",mistyrose:"ffe4e1",moccasin:"ffe4b5",navajowhite:"ffdead",navy:"000080",oldlace:"fdf5e6",olive:"808000",olivedrab:"6b8e23",orange:"ffa500",
orangered:"ff4500",orchid:"da70d6",palegoldenrod:"eee8aa",palegreen:"98fb98",paleturquoise:"afeeee",palevioletred:"db7093",papayawhip:"ffefd5",peachpuff:"ffdab9",peru:"cd853f",pink:"ffc0cb",plum:"dda0dd",powderblue:"b0e0e6",purple:"800080",red:"f00",rosybrown:"bc8f8f",royalblue:"4169e1",saddlebrown:"8b4513",salmon:"fa8072",sandybrown:"f4a460",seagreen:"2e8b57",seashell:"fff5ee",sienna:"a0522d",silver:"c0c0c0",skyblue:"87ceeb",slateblue:"6a5acd",slategray:"708090",slategrey:"708090",snow:"fffafa",
springgreen:"00ff7f",steelblue:"4682b4",tan:"d2b48c",teal:"008080",thistle:"d8bfd8",tomato:"ff6347",turquoise:"40e0d0",violet:"ee82ee",wheat:"f5deb3",white:"fff",whitesmoke:"f5f5f5",yellow:"ff0",yellowgreen:"9acd32"},E=b.hexNames=function(a){var b={},c;for(c in a)a.hasOwnProperty(c)&&(b[a[c]]=c);return b}(P),Q={rgb:RegExp("rgb[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),rgba:RegExp("rgba[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),
hsl:RegExp("hsl[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),hsla:RegExp("hsla[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),hsv:RegExp("hsv[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),
hex3:/^([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,hex6:/^([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/};a.tinycolor=b})(this);k(function(){k.fn.spectrum.load&&k.fn.spectrum.processNativeColorInputs()})})(this,jQuery);/*

 Software from "SockJS" is Copyright (c) 2011-2012 VMware, Inc. and is provided
 under the following license (the SockJS software has been modified):
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
var JSON;JSON||(JSON={});
(function(){function h(a,c){var e,f,n,p,s=d,u,r=c[a];r&&"object"==typeof r&&"function"==typeof r.toJSON&&(r=r.toJSON(a));"function"==typeof g&&(r=g.call(c,a,r));switch(typeof r){case "string":return k(r);case "number":return isFinite(r)?String(r):"null";case "boolean":case "null":return String(r);case "object":if(!r)return"null";d+=b;u=[];if("[object Array]"===Object.prototype.toString.apply(r)){p=r.length;for(e=0;e<p;e+=1)u[e]=h(e,r)||"null";n=0===u.length?"[]":d?"[\n"+d+u.join(",\n"+d)+"\n"+s+"]":
"["+u.join(",")+"]";d=s;return n}if(g&&"object"==typeof g){p=g.length;for(e=0;e<p;e+=1)"string"==typeof g[e]&&(f=g[e],n=h(f,r),n&&u.push(k(f)+(d?": ":":")+n))}else for(f in r)Object.prototype.hasOwnProperty.call(r,f)&&(n=h(f,r),n&&u.push(k(f)+(d?": ":":")+n));n=0===u.length?"{}":d?"{\n"+d+u.join(",\n"+d)+"\n"+s+"}":"{"+u.join(",")+"}";d=s;return n}}function k(a){e.lastIndex=0;return e.test(a)?'"'+a.replace(e,function(a){var b=c[a];return"string"==typeof b?b:"\\u"+("0000"+a.charCodeAt(0).toString(16)).slice(-4)})+
'"':'"'+a+'"'}function f(a){return 10>a?"0"+a:a}"use strict";"function"!=typeof Date.prototype.toJSON&&(Date.prototype.toJSON=function(a){return isFinite(this.valueOf())?this.getUTCFullYear()+"-"+f(this.getUTCMonth()+1)+"-"+f(this.getUTCDate())+"T"+f(this.getUTCHours())+":"+f(this.getUTCMinutes())+":"+f(this.getUTCSeconds())+"Z":null},String.prototype.toJSON=Number.prototype.toJSON=Boolean.prototype.toJSON=function(a){return this.valueOf()});var a=/[\u0000\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,
e=/[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,d,b,c={"\b":"\\b","\t":"\\t","\n":"\\n","\f":"\\f","\r":"\\r",'"':'\\"',"\\":"\\\\"},g;"function"!=typeof JSON.stringify&&(JSON.stringify=function(a,c,e){var f;b=d="";if("number"==typeof e)for(f=0;f<e;f+=1)b+=" ";else"string"==typeof e&&(b=e);g=c;if(!c||"function"==typeof c||"object"==typeof c&&"number"==typeof c.length)return h("",{"":a});throw Error("JSON.stringify");});"function"!=
typeof JSON.parse&&(JSON.parse=function(b,c){function d(a,b){var e,g,f=a[b];if(f&&"object"==typeof f)for(e in f)Object.prototype.hasOwnProperty.call(f,e)&&(g=d(f,e),void 0!==g?f[e]=g:delete f[e]);return c.call(a,b,f)}var e;b=String(b);a.lastIndex=0;a.test(b)&&(b=b.replace(a,function(a){return"\\u"+("0000"+a.charCodeAt(0).toString(16)).slice(-4)}));if(/^[\],:{}\s]*$/.test(b.replace(/\\(?:["\\\/bfnrt]|u[0-9a-fA-F]{4})/g,"@").replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g,
"]").replace(/(?:^|:|,)(?:\s*\[)+/g,"")))return e=eval("("+b+")"),"function"==typeof c?d({"":e},""):e;throw new SyntaxError("JSON.parse");})})();
SockJS=function(){var h=document,k=window,f={},a=function(){};a.prototype.addEventListener=function(a,b){this._listeners||(this._listeners={});a in this._listeners||(this._listeners[a]=[]);var c=this._listeners[a];-1===f.arrIndexOf(c,b)&&c.push(b)};a.prototype.removeEventListener=function(a,b){if(this._listeners&&a in this._listeners){var c=this._listeners[a],d=f.arrIndexOf(c,b);-1!==d&&(1<c.length?this._listeners[a]=c.slice(0,d).concat(c.slice(d+1)):delete this._listeners[a])}};a.prototype.dispatchEvent=
function(a){var b=a.type,c=Array.prototype.slice.call(arguments,0);this["on"+b]&&this["on"+b].apply(this,c);if(this._listeners&&b in this._listeners)for(var d=0;d<this._listeners[b].length;d++)this._listeners[b][d].apply(this,c)};var e=function(a,b){this.type=a;if("undefined"!==typeof b)for(var c in b)b.hasOwnProperty(c)&&(this[c]=b[c])};e.prototype.toString=function(){var a=[],b;for(b in this)if(this.hasOwnProperty(b)){var c=this[b];"function"===typeof c&&(c="[function]");a.push(b+"="+c)}return"SimpleEvent("+
a.join(", ")+")"};var d=function(a){this._events=a||[];this._listeners={}};d.prototype.emit=function(a){this._verifyType(a);if(!this._nuked){var b=Array.prototype.slice.call(arguments,1);this["on"+a]&&this["on"+a].apply(this,b);if(a in this._listeners)for(var c=0;c<this._listeners[a].length;c++)this._listeners[a][c].apply(this,b)}};d.prototype.on=function(a,b){this._verifyType(a);this._nuked||(a in this._listeners||(this._listeners[a]=[]),this._listeners[a].push(b))};d.prototype._verifyType=function(a){-1===
f.arrIndexOf(this._events,a)&&f.log("Event "+JSON.stringify(a)+" not listed "+JSON.stringify(this._events)+" in "+this)};d.prototype.nuke=function(){this._nuked=!0;for(var a=0;a<this._events.length;a++)delete this[this._events[a]];this._listeners={}};f.random_string=function(a,b){b=b||37;var c,d=[];for(c=0;c<a;c++)d.push("abcdefghijklmnopqrstuvwxyz0123456789_".substr(Math.floor(Math.random()*b),1));return d.join("")};f.random_number=function(a){return Math.floor(Math.random()*a)};f.random_number_string=
function(a){var b=(""+(a-1)).length;return(Array(b+1).join("0")+f.random_number(a)).slice(-b)};f.getOrigin=function(a){return(a+"/").split("/").slice(0,3).join("/")};f.isSameOriginUrl=function(a,b){b||(b=k.location.href);return a.split("/").slice(0,3).join("/")===b.split("/").slice(0,3).join("/")};f.getParentDomain=function(a){return/^[0-9.]*$/.test(a)||/^\[/.test(a)||!/[.]/.test(a)?a:a.split(".").slice(1).join(".")};f.objectExtend=function(a,b){for(var c in b)b.hasOwnProperty(c)&&(a[c]=b[c]);return a};
f.polluteGlobalNamespace=function(){"_jp"in k||(k._jp={})};f.closeFrame=function(a,b){return"c"+JSON.stringify([a,b])};f.userSetCode=function(a){return 1E3===a||3E3<=a&&4999>=a};f.countRTO=function(a){return 100<a?3*a:a+200};f.log=function(){k.console&&(console.log&&console.log.apply)&&console.log.apply(console,arguments)};f.bind=function(a,b){return a.bind?a.bind(b):function(){return a.apply(b,arguments)}};f.flatUrl=function(a){return-1===a.indexOf("?")&&-1===a.indexOf("#")};f.amendUrl=function(a){var b=
h.location;if(!a)throw Error("Wrong url for SockJS");if(!f.flatUrl(a))throw Error("Only basic urls are supported in SockJS");0===a.indexOf("//")&&(a=b.protocol+a);0===a.indexOf("/")&&(a=b.protocol+"//"+b.host+a);return a=a.replace(/[/]+$/,"")};f.arrIndexOf=function(a,b){for(var c=0;c<a.length;c++)if(a[c]===b)return c;return-1};f.arrSkip=function(a,b){var c=f.arrIndexOf(a,b);return-1===c?a.slice():a.slice(0,c).concat(a.slice(c+1))};f.isArray=Array.isArray||function(a){return 0<={}.toString.call(a).indexOf("Array")};
f.delay=function(a,b){"function"===typeof a&&(b=a,a=0);return setTimeout(b,a)};var b=/[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,c={"\x00":"\\u0000","\u0001":"\\u0001","\u0002":"\\u0002","\u0003":"\\u0003","\u0004":"\\u0004","\u0005":"\\u0005","\u0006":"\\u0006","\u0007":"\\u0007","\b":"\\b","\t":"\\t","\n":"\\n","\x0B":"\\u000b","\f":"\\f","\r":"\\r","\u000e":"\\u000e","\u000f":"\\u000f","\u0010":"\\u0010","\u0011":"\\u0011",
"\u0012":"\\u0012","\u0013":"\\u0013","\u0014":"\\u0014","\u0015":"\\u0015","\u0016":"\\u0016","\u0017":"\\u0017","\u0018":"\\u0018","\u0019":"\\u0019","\u001a":"\\u001a","\u001b":"\\u001b","\u001c":"\\u001c","\u001d":"\\u001d","\u001e":"\\u001e","\u001f":"\\u001f",'"':'\\"',"\\":"\\\\","\u007f":"\\u007f","\u0080":"\\u0080","\u0081":"\\u0081","\u0082":"\\u0082","\u0083":"\\u0083","\u0084":"\\u0084","\u0085":"\\u0085","\u0086":"\\u0086","\u0087":"\\u0087","\u0088":"\\u0088","\u0089":"\\u0089","\u008a":"\\u008a",
"\u008b":"\\u008b","\u008c":"\\u008c","\u008d":"\\u008d","\u008e":"\\u008e","\u008f":"\\u008f","\u0090":"\\u0090","\u0091":"\\u0091","\u0092":"\\u0092","\u0093":"\\u0093","\u0094":"\\u0094","\u0095":"\\u0095","\u0096":"\\u0096","\u0097":"\\u0097","\u0098":"\\u0098","\u0099":"\\u0099","\u009a":"\\u009a","\u009b":"\\u009b","\u009c":"\\u009c","\u009d":"\\u009d","\u009e":"\\u009e","\u009f":"\\u009f","\u00ad":"\\u00ad","\u0600":"\\u0600","\u0601":"\\u0601","\u0602":"\\u0602","\u0603":"\\u0603","\u0604":"\\u0604",
"\u070f":"\\u070f","\u17b4":"\\u17b4","\u17b5":"\\u17b5","\u200c":"\\u200c","\u200d":"\\u200d","\u200e":"\\u200e","\u200f":"\\u200f","\u2028":"\\u2028","\u2029":"\\u2029","\u202a":"\\u202a","\u202b":"\\u202b","\u202c":"\\u202c","\u202d":"\\u202d","\u202e":"\\u202e","\u202f":"\\u202f","\u2060":"\\u2060","\u2061":"\\u2061","\u2062":"\\u2062","\u2063":"\\u2063","\u2064":"\\u2064","\u2065":"\\u2065","\u2066":"\\u2066","\u2067":"\\u2067","\u2068":"\\u2068","\u2069":"\\u2069","\u206a":"\\u206a","\u206b":"\\u206b",
"\u206c":"\\u206c","\u206d":"\\u206d","\u206e":"\\u206e","\u206f":"\\u206f","\ufeff":"\\ufeff","\ufff0":"\\ufff0","\ufff1":"\\ufff1","\ufff2":"\\ufff2","\ufff3":"\\ufff3","\ufff4":"\\ufff4","\ufff5":"\\ufff5","\ufff6":"\\ufff6","\ufff7":"\\ufff7","\ufff8":"\\ufff8","\ufff9":"\\ufff9","\ufffa":"\\ufffa","\ufffb":"\\ufffb","\ufffc":"\\ufffc","\ufffd":"\\ufffd","\ufffe":"\\ufffe","\uffff":"\\uffff"},g=/[\x00-\x1f\ud800-\udfff\ufffe\uffff\u0300-\u0333\u033d-\u0346\u034a-\u034c\u0350-\u0352\u0357-\u0358\u035c-\u0362\u0374\u037e\u0387\u0591-\u05af\u05c4\u0610-\u0617\u0653-\u0654\u0657-\u065b\u065d-\u065e\u06df-\u06e2\u06eb-\u06ec\u0730\u0732-\u0733\u0735-\u0736\u073a\u073d\u073f-\u0741\u0743\u0745\u0747\u07eb-\u07f1\u0951\u0958-\u095f\u09dc-\u09dd\u09df\u0a33\u0a36\u0a59-\u0a5b\u0a5e\u0b5c-\u0b5d\u0e38-\u0e39\u0f43\u0f4d\u0f52\u0f57\u0f5c\u0f69\u0f72-\u0f76\u0f78\u0f80-\u0f83\u0f93\u0f9d\u0fa2\u0fa7\u0fac\u0fb9\u1939-\u193a\u1a17\u1b6b\u1cda-\u1cdb\u1dc0-\u1dcf\u1dfc\u1dfe\u1f71\u1f73\u1f75\u1f77\u1f79\u1f7b\u1f7d\u1fbb\u1fbe\u1fc9\u1fcb\u1fd3\u1fdb\u1fe3\u1feb\u1fee-\u1fef\u1ff9\u1ffb\u1ffd\u2000-\u2001\u20d0-\u20d1\u20d4-\u20d7\u20e7-\u20e9\u2126\u212a-\u212b\u2329-\u232a\u2adc\u302b-\u302c\uaab2-\uaab3\uf900-\ufa0d\ufa10\ufa12\ufa15-\ufa1e\ufa20\ufa22\ufa25-\ufa26\ufa2a-\ufa2d\ufa30-\ufa6d\ufa70-\ufad9\ufb1d\ufb1f\ufb2a-\ufb36\ufb38-\ufb3c\ufb3e\ufb40-\ufb41\ufb43-\ufb44\ufb46-\ufb4e\ufff0-\uffff]/g,
l,m=JSON&&JSON.stringify||function(a){b.lastIndex=0;b.test(a)&&(a=a.replace(b,function(a){return c[a]}));return'"'+a+'"'},t=function(a){var b,c={},d=[];for(b=0;65536>b;b++)d.push(String.fromCharCode(b));a.lastIndex=0;d.join("").replace(a,function(a){c[a]="\\u"+("0000"+a.charCodeAt(0).toString(16)).slice(-4);return""});a.lastIndex=0;return c};f.quote=function(a){a=m(a);g.lastIndex=0;if(!g.test(a))return a;l||(l=t(g));return a.replace(g,function(a){return l[a]})};var q="websocket xdr-streaming xhr-streaming iframe-eventsource iframe-htmlfile xdr-polling xhr-polling iframe-xhr-polling jsonp-polling".split(" ");
f.probeProtocols=function(){for(var a={},b=0;b<q.length;b++){var c=q[b];a[c]=r[c]&&r[c].enabled()}return a};f.detectProtocols=function(a,b,c){var d={},e=[];b||(b=q);for(var g=0;g<b.length;g++){var f=b[g];d[f]=a[f]}var l=function(a){var b=a.shift();d[b]?e.push(b):0<a.length&&l(a)};!1!==c.websocket&&l(["websocket"]);d["xhr-streaming"]&&!c.null_origin?e.push("xhr-streaming"):d["xdr-streaming"]&&!c.cookie_needed&&!c.null_origin?e.push("xdr-streaming"):l(["iframe-eventsource","iframe-htmlfile"]);d["xhr-polling"]&&
!c.null_origin?e.push("xhr-polling"):d["xdr-polling"]&&!c.cookie_needed&&!c.null_origin?e.push("xdr-polling"):l(["iframe-xhr-polling","jsonp-polling"]);return e};f.createHook=function(){var a="a"+f.random_string(8);if(!("_sockjs_global"in k)){var b={};k._sockjs_global=function(a){a in b||(b[a]={id:a,del:function(){delete b[a]}});return b[a]}}return k._sockjs_global(a)};f.attachMessage=function(a){f.attachEvent("message",a)};f.attachEvent=function(a,b){"undefined"!==typeof k.addEventListener?k.addEventListener(a,
b,!1):(h.attachEvent("on"+a,b),k.attachEvent("on"+a,b))};f.detachMessage=function(a){f.detachEvent("message",a)};f.detachEvent=function(a,b){"undefined"!==typeof k.addEventListener?k.removeEventListener(a,b,!1):(h.detachEvent("on"+a,b),k.detachEvent("on"+a,b))};var n={},p=!1,s=function(){for(var a in n)n[a](),delete n[a]};f.attachEvent("unload",function(){p||(p=!0,s())});f.unload_add=function(a){var b=f.random_string(8);n[b]=a;p&&f.delay(s);return b};f.unload_del=function(a){a in n&&delete n[a]};
f.createIframe=function(a,b){var c=h.createElement("iframe"),d,e,g=function(){clearTimeout(d);try{c.onload=null}catch(a){}c.onerror=null},l=function(){c&&(g(),setTimeout(function(){c&&c.parentNode.removeChild(c);c=null},0),f.unload_del(e))},m=function(a){c&&(l(),b(a))};c.src=a;c.style.display="none";c.style.position="absolute";c.onerror=function(){m("onerror")};c.onload=function(){clearTimeout(d);d=setTimeout(function(){m("onload timeout")},2E3)};h.body.appendChild(c);d=setTimeout(function(){m("timeout")},
15E3);e=f.unload_add(l);return{post:function(a,b){try{c&&c.contentWindow&&c.contentWindow.postMessage(a,b)}catch(d){}},cleanup:l,loaded:g}};f.createHtmlfile=function(a,b){var c=new ActiveXObject("htmlfile"),d,e,g,l=function(){clearTimeout(d)},m=function(){c&&(l(),f.unload_del(e),g.parentNode.removeChild(g),g=c=null,CollectGarbage())};c.open();c.write('<html><script>document.domain="'+document.domain+'";\x3c/script></html>');c.close();c.parentWindow._jp=k._jp;var h=c.createElement("div");c.body.appendChild(h);
g=c.createElement("iframe");h.appendChild(g);g.src=a;d=setTimeout(function(){c&&(m(),b("timeout"))},15E3);e=f.unload_add(m);return{post:function(a,b){try{g&&g.contentWindow&&g.contentWindow.postMessage(a,b)}catch(c){}},cleanup:m,loaded:l}};var u=function(){};u.prototype=new d(["chunk","finish"]);u.prototype._start=function(a,b,c,d){var e=this;try{e.xhr=new XMLHttpRequest}catch(g){}if(!e.xhr)try{e.xhr=new k.ActiveXObject("Microsoft.XMLHTTP")}catch(l){}if(k.ActiveXObject||k.XDomainRequest)b+=(-1===
b.indexOf("?")?"?":"&")+"t="+ +new Date;e.unload_ref=f.unload_add(function(){e._cleanup(!0)});try{e.xhr.open(a,b,!0)}catch(m){e.emit("finish",0,"");e._cleanup();return}if(!d||!d.no_credentials)e.xhr.withCredentials="true";if(d&&d.headers)for(var h in d.headers)e.xhr.setRequestHeader(h,d.headers[h]);e.xhr.onreadystatechange=function(){if(e.xhr){var a=e.xhr;switch(a.readyState){case 3:try{var b=a.status,c=a.responseText}catch(d){}1223===b&&(b=204);c&&0<c.length&&e.emit("chunk",b,c);break;case 4:b=a.status,
1223===b&&(b=204),e.emit("finish",b,a.responseText),e._cleanup(!1)}}};e.xhr.send(c)};u.prototype._cleanup=function(a){if(this.xhr){f.unload_del(this.unload_ref);this.xhr.onreadystatechange=function(){};if(a)try{this.xhr.abort()}catch(b){}this.unload_ref=this.xhr=null}};u.prototype.close=function(){this.nuke();this._cleanup(!0)};(f.XHRCorsObject=function(){var a=this,b=arguments;f.delay(function(){a._start.apply(a,b)})}).prototype=new u;(f.XHRLocalObject=function(a,b,c){var d=this;f.delay(function(){d._start(a,
b,c,{no_credentials:!0})})}).prototype=new u;u=f.XDRObject=function(a,b,c){var d=this;f.delay(function(){d._start(a,b,c)})};u.prototype=new d(["chunk","finish"]);u.prototype._start=function(a,b,c){var d=this,e=new XDomainRequest;b+=(-1===b.indexOf("?")?"?":"&")+"t="+ +new Date;var g=e.ontimeout=e.onerror=function(){d.emit("finish",0,"");d._cleanup(!1)};e.onprogress=function(){d.emit("chunk",200,e.responseText)};e.onload=function(){d.emit("finish",200,e.responseText);d._cleanup(!1)};d.xdr=e;d.unload_ref=
f.unload_add(function(){d._cleanup(!0)});try{d.xdr.open(a,b),d.xdr.send(c)}catch(l){g()}};u.prototype._cleanup=function(a){if(this.xdr){f.unload_del(this.unload_ref);this.xdr.ontimeout=this.xdr.onerror=this.xdr.onprogress=this.xdr.onload=null;if(a)try{this.xdr.abort()}catch(b){}this.unload_ref=this.xdr=null}};u.prototype.close=function(){this.nuke();this._cleanup(!0)};f.isXHRCorsCapable=function(){return k.XMLHttpRequest&&"withCredentials"in new XMLHttpRequest?1:k.XDomainRequest&&h.domain?2:D.enabled()?
3:4};var r=function(a,b,c){if(this===k)return new r(a,b,c);var d=this,e;d._options={devel:!1,debug:!1,protocols_whitelist:[],info:void 0,rtt:void 0};c&&f.objectExtend(d._options,c);d._base_url=f.amendUrl(a);d._server=d._options.server||f.random_number_string(1E3);d._options.protocols_whitelist&&d._options.protocols_whitelist.length?e=d._options.protocols_whitelist:(e="string"===typeof b&&0<b.length?[b]:f.isArray(b)?b:null)&&d._debug('Deprecated API: Use "protocols_whitelist" option instead of supplying protocol list as a second parameter to SockJS constructor.');
d._protocols=[];d.protocol=null;d.readyState=r.CONNECTING;d._ir=O(d._base_url);d._ir.onfinish=function(a,b){d._ir=null;a?(d._options.info&&(a=f.objectExtend(a,d._options.info)),d._options.rtt&&(b=d._options.rtt),d._applyInfo(a,b,e),d._didClose()):d._didClose(1002,"Can't connect to server",!0)}};r.prototype=new a;r.version="0.3.4";r.CONNECTING=0;r.OPEN=1;r.CLOSING=2;r.CLOSED=3;r.prototype._debug=function(){this._options.debug&&f.log.apply(f,arguments)};r.prototype._dispatchOpen=function(){this.readyState===
r.CONNECTING?(this._transport_tref&&(clearTimeout(this._transport_tref),this._transport_tref=null),this.readyState=r.OPEN,this.dispatchEvent(new e("open"))):this._didClose(1006,"Server lost session")};r.prototype._dispatchMessage=function(a){this.readyState===r.OPEN&&this.dispatchEvent(new e("message",{data:a}))};r.prototype._dispatchHeartbeat=function(a){this.readyState===r.OPEN&&this.dispatchEvent(new e("heartbeat",{}))};r.prototype._didClose=function(a,b,c){var d=this;if(!(d.readyState!==r.CONNECTING&&
d.readyState!==r.OPEN&&d.readyState!==r.CLOSING)){d._ir&&(d._ir.nuke(),d._ir=null);d._transport&&(d._transport.doCleanup(),d._transport=null);var g=new e("close",{code:a,reason:b,wasClean:f.userSetCode(a)});if(!f.userSetCode(a)&&d.readyState===r.CONNECTING&&!c){if(d._try_next_protocol(g))return;g=new e("close",{code:2E3,reason:"All transports failed",wasClean:!1,last_event:g})}d.readyState=r.CLOSED;f.delay(function(){d.dispatchEvent(g)})}};r.prototype._didMessage=function(a){switch(a.slice(0,1)){case "o":this._dispatchOpen();
break;case "a":a=JSON.parse(a.slice(1)||"[]");for(var b=0;b<a.length;b++)this._dispatchMessage(a[b]);break;case "m":a=JSON.parse(a.slice(1)||"null");this._dispatchMessage(a);break;case "c":a=JSON.parse(a.slice(1)||"[]");this._didClose(a[0],a[1]);break;case "h":this._dispatchHeartbeat()}};r.prototype._try_next_protocol=function(a){var b=this;b.protocol&&(b._debug("Closed transport:",b.protocol,""+a),b.protocol=null);b._transport_tref&&(clearTimeout(b._transport_tref),b._transport_tref=null);for(;;){a=
b.protocol=b._protocols.shift();if(!a)return!1;if(r[a]&&!0===r[a].need_body&&(!h.body||"undefined"!==typeof h.readyState&&"complete"!==h.readyState))return b._protocols.unshift(a),b.protocol="waiting-for-load",f.attachEvent("load",function(){b._try_next_protocol()}),!0;if(!r[a]||!r[a].enabled(b._options))b._debug("Skipping transport:",a);else{b._transport_tref=f.delay((b._options.rto||0)*(r[a].roundTrips||1)||5E3,function(){b.readyState===r.CONNECTING&&b._didClose(2007,"Transport timeouted")});var c=
f.random_string(8),c=b._base_url+"/"+b._server+"/"+c;b._debug("Opening transport:",a," url:"+c," RTO:"+b._options.rto);b._transport=new r[a](b,c,b._base_url);return!0}}};r.prototype.close=function(a,b){if(a&&!f.userSetCode(a))throw Error("INVALID_ACCESS_ERR");if(this.readyState!==r.CONNECTING&&this.readyState!==r.OPEN)return!1;this.readyState=r.CLOSING;this._didClose(a||1E3,b||"Normal closure");return!0};r.prototype.send=function(a){if(this.readyState===r.CONNECTING)throw Error("INVALID_STATE_ERR");
this.readyState===r.OPEN&&this._transport.doSend(f.quote(""+a));return!0};r.prototype._applyInfo=function(a,b,c){this._options.info=a;this._options.rtt=b;this._options.rto=f.countRTO(b);this._options.info.null_origin=!h.domain;b=f.probeProtocols();this._protocols=f.detectProtocols(b,c,a)};u=r.websocket=function(a,b){var c=this,d=b+"/websocket",d="https"===d.slice(0,5)?"wss"+d.slice(5):"ws"+d.slice(4);c.ri=a;c.url=d;d=k.WebSocket||k.MozWebSocket;$(document).trigger($.Event("websocket_preopen.zulip",
{}));c.ws=new d(c.url);c.ws.onmessage=function(a){c.ri._didMessage(a.data)};c.unload_ref=f.unload_add(function(){c.ws.close()});c.ws.onclose=function(){c.ri._didMessage(f.closeFrame(1006,"WebSocket connection broken"))}};u.prototype.doSend=function(a){this.ws.send("["+a+"]")};u.prototype.doCleanup=function(){var a=this.ws;a&&(a.onmessage=a.onclose=null,a.close(),f.unload_del(this.unload_ref),this.unload_ref=this.ri=this.ws=null)};u.enabled=function(){return!(!k.WebSocket&&!k.MozWebSocket)};u.roundTrips=
2;var x=function(){};x.prototype.send_constructor=function(a){this.send_buffer=[];this.sender=a};x.prototype.doSend=function(a){this.send_buffer.push(a);this.send_stop||this.send_schedule()};x.prototype.send_schedule_wait=function(){var a=this,b;a.send_stop=function(){a.send_stop=null;clearTimeout(b)};b=f.delay(25,function(){a.send_stop=null;a.send_schedule()})};x.prototype.send_schedule=function(){var a=this;if(0<a.send_buffer.length){var b="["+a.send_buffer.join(",")+"]";a.send_stop=a.sender(a.trans_url,
b,function(b,c){a.send_stop=null;!1===b?a.ri._didClose(1006,"Sending error "+c):a.send_schedule_wait()});a.send_buffer=[]}};x.prototype.send_destructor=function(){this._send_stop&&this._send_stop();this._send_stop=null};var y=function(a,b,c){if(!("_send_form"in this)){var d=this._send_form=h.createElement("form"),e=this._send_area=h.createElement("textarea");e.name="d";d.style.display="none";d.style.position="absolute";d.method="POST";d.enctype="application/x-www-form-urlencoded";d.acceptCharset=
"UTF-8";d.appendChild(e);h.body.appendChild(d)}var d=this._send_form,e=this._send_area,g="a"+f.random_string(8);d.target=g;d.action=a+"/jsonp_send?i="+g;var l;try{l=h.createElement('<iframe name="'+g+'">')}catch(m){l=h.createElement("iframe"),l.name=g}l.id=g;d.appendChild(l);l.style.display="none";try{e.value=b}catch(k){f.log("Your browser is seriously broken. Go home! "+k.message)}d.submit();var q=function(a){l.onerror&&(l.onreadystatechange=l.onerror=l.onload=null,f.delay(500,function(){l.parentNode.removeChild(l);
l=null}),e.value="",c(!0))};l.onerror=l.onload=q;l.onreadystatechange=function(a){"complete"==l.readyState&&q()};return q},z=function(a){return function(b,c,d){(new a("POST",b+"/xhr_send",c)).onfinish=function(a,b){d(200===a||204===a,"http status "+a)};return function(a){d(!1,a)}}},A=function(a,b){var c,d=h.createElement("script"),e,g=function(a){e&&(e.parentNode.removeChild(e),e=null);d&&(clearTimeout(c),d.parentNode.removeChild(d),d=d.onreadystatechange=d.onerror=d.onload=d.onclick=null,b(a),b=
null)},l=!1,m=null;d.id="a"+f.random_string(8);d.src=a;d.type="text/javascript";d.charset="UTF-8";d.onerror=function(a){m||(m=setTimeout(function(){l||g(f.closeFrame(1006,"JSONP script loaded abnormally (onerror)"))},1E3))};d.onload=function(a){g(f.closeFrame(1006,"JSONP script loaded abnormally (onload)"))};d.onreadystatechange=function(a){if(/loaded|closed/.test(d.readyState)){if(d&&d.htmlFor&&d.onclick){l=!0;try{d.onclick()}catch(b){}}d&&g(f.closeFrame(1006,"JSONP script loaded abnormally (onreadystatechange)"))}};
if("undefined"===typeof d.async&&h.attachEvent)if(/opera/i.test(navigator.userAgent))e=h.createElement("script"),e.text="try{var a = document.getElementById('"+d.id+"'); if(a)a.onerror();}catch(x){};",d.async=e.async=!1;else{try{d.htmlFor=d.id,d.event="onclick"}catch(k){}d.async=!0}"undefined"!==typeof d.async&&(d.async=!0);c=setTimeout(function(){g(f.closeFrame(1006,"JSONP script loaded abnormally (timeout)"))},35E3);var q=h.getElementsByTagName("head")[0];q.insertBefore(d,q.firstChild);e&&q.insertBefore(e,
q.firstChild);return g},u=r["jsonp-polling"]=function(a,b){f.polluteGlobalNamespace();this.ri=a;this.trans_url=b;this.send_constructor(y);this._schedule_recv()};u.prototype=new x;u.prototype._schedule_recv=function(){var a=this;a._recv_stop=B(a.trans_url+"/jsonp",A,function(b){a._recv_stop=null;b&&(a._is_closing||a.ri._didMessage(b));a._is_closing||a._schedule_recv()})};u.enabled=function(){return!0};u.need_body=!0;u.prototype.doCleanup=function(){this._is_closing=!0;this._recv_stop&&this._recv_stop();
this.ri=this._recv_stop=null;this.send_destructor()};var B=function(a,b,c){var d="a"+f.random_string(6);a=a+"?c="+escape("_jp."+d);var e=0;b=b(a,function(a){switch(e){case 0:delete k._jp[d];c(a);break;case 1:c(a);e=2;break;case 2:delete k._jp[d]}});k._jp[d]=b;return function(){k._jp[d]&&(e=1,k._jp[d](f.closeFrame(1E3,"JSONP user aborted read")))}},u=function(){};u.prototype=new x;u.prototype.run=function(a,b,c,d,e){this.ri=a;this.trans_url=b;this.send_constructor(z(e));this.poll=new M(a,d,b+c,e)};
u.prototype.doCleanup=function(){this.poll&&(this.poll.abort(),this.poll=null)};var v=r["xhr-streaming"]=function(a,b){this.run(a,b,"/xhr_streaming",E,f.XHRCorsObject)};v.prototype=new u;v.enabled=function(){return k.XMLHttpRequest&&"withCredentials"in new XMLHttpRequest&&!/opera/i.test(navigator.userAgent)};v.roundTrips=2;v.need_body=!0;x=r["xdr-streaming"]=function(a,b){this.run(a,b,"/xhr_streaming",E,f.XDRObject)};x.prototype=new u;x.enabled=function(){return!!k.XDomainRequest};x.roundTrips=2;
var F=r["xhr-polling"]=function(a,b){this.run(a,b,"/xhr",E,f.XHRCorsObject)};F.prototype=new u;F.enabled=v.enabled;F.roundTrips=2;v=r["xdr-polling"]=function(a,b){this.run(a,b,"/xhr",E,f.XDRObject)};v.prototype=new u;v.enabled=x.enabled;v.roundTrips=2;var D=function(){};D.prototype.i_constructor=function(a,b,c){var d=this;d.ri=a;d.origin=f.getOrigin(c);d.base_url=c;d.trans_url=b;a=c+"/iframe.html";d.ri._options.devel&&(a+="?t="+ +new Date);d.window_id=f.random_string(8);a+="#"+d.window_id;d.iframeObj=
f.createIframe(a,function(a){d.ri._didClose(1006,"Unable to load an iframe ("+a+")")});d.onmessage_cb=f.bind(d.onmessage,d);f.attachMessage(d.onmessage_cb)};D.prototype.doCleanup=function(){if(this.iframeObj){f.detachMessage(this.onmessage_cb);try{this.iframeObj.iframe.contentWindow&&this.postMessage("c")}catch(a){}this.iframeObj.cleanup();this.onmessage_cb=this.iframeObj=this.iframeObj=null}};D.prototype.onmessage=function(a){if(a.origin===this.origin){var b=a.data.slice(0,8),c=a.data.slice(8,9);
a=a.data.slice(9);if(b===this.window_id)switch(c){case "s":this.iframeObj.loaded();this.postMessage("s",JSON.stringify([r.version,this.protocol,this.trans_url,this.base_url]));break;case "t":this.ri._didMessage(a)}}};D.prototype.postMessage=function(a,b){this.iframeObj.post(this.window_id+a+(b||""),this.origin)};D.prototype.doSend=function(a){this.postMessage("m",a)};D.enabled=function(){var a=navigator&&navigator.userAgent&&-1!==navigator.userAgent.indexOf("Konqueror");return("function"===typeof k.postMessage||
"object"===typeof k.postMessage)&&!a};var I,L=function(a,b){parent!==k?parent.postMessage(I+a+(b||""),"*"):f.log("Can't postMessage, no parent window.",a,b)},w=function(){};w.prototype._didClose=function(a,b){L("t",f.closeFrame(a,b))};w.prototype._didMessage=function(a){L("t",a)};w.prototype._doSend=function(a){this._transport.doSend(a)};w.prototype._doCleanup=function(){this._transport.doCleanup()};f.parent_origin=void 0;r.bootstrap_iframe=function(){var a;I=h.location.hash.slice(1);f.attachMessage(function(b){if(b.source===
parent&&("undefined"===typeof f.parent_origin&&(f.parent_origin=b.origin),b.origin===f.parent_origin)){var c=b.data.slice(0,8),d=b.data.slice(8,9);b=b.data.slice(9);if(c===I)switch(d){case "s":var e=JSON.parse(b),c=e[0],d=e[1];b=e[2];e=e[3];c!==r.version&&f.log('Incompatibile SockJS! Main site uses: "'+c+'", the iframe: "'+r.version+'".');if(!f.flatUrl(b)||!f.flatUrl(e)){f.log("Only basic urls are supported in SockJS");break}if(!f.isSameOriginUrl(b)||!f.isSameOriginUrl(e)){f.log("Can't connect to different domain from within an iframe. ("+
JSON.stringify([k.location.href,b,e])+")");break}a=new w;a._transport=new w[d](a,b,e);break;case "m":a._doSend(b);break;case "c":a&&a._doCleanup(),a=null}}});L("s")};var G=function(a,b){var c=this;f.delay(function(){c.doXhr(a,b)})};G.prototype=new d(["finish"]);G.prototype.doXhr=function(a,b){var c=this,d=(new Date).getTime(),e=new b("GET",a+"/info?cb="+f.random_string(10)),g=f.delay(8E3,function(){e.ontimeout()});e.onfinish=function(a,b){clearTimeout(g);g=null;if(200===a){var e=(new Date).getTime()-
d,f=JSON.parse(b);"object"!==typeof f&&(f={});c.emit("finish",f,e)}else c.emit("finish")};e.ontimeout=function(){e.close();c.emit("finish")}};var J=function(a){var b=this,c=function(){var c=new D;c.protocol="w-iframe-info-receiver";var d=function(a){"string"===typeof a&&"m"===a.substr(0,1)?(a=JSON.parse(a.substr(1)),b.emit("finish",a[0],a[1])):b.emit("finish");c.doCleanup();c=null};c.i_constructor({_options:{},_didClose:d,_didMessage:d},a,a)};h.body?c():f.attachEvent("load",c)};J.prototype=new d(["finish"]);
var N=function(){var a=this;f.delay(function(){a.emit("finish",{},2E3)})};N.prototype=new d(["finish"]);var O=function(a){if(f.isSameOriginUrl(a))return new G(a,f.XHRLocalObject);switch(f.isXHRCorsCapable()){case 1:return new G(a,f.XHRLocalObject);case 2:return new G(a,f.XDRObject);case 3:return new J(a);default:return new N}};(w["w-iframe-info-receiver"]=function(a,b,c){(new G(c,f.XHRLocalObject)).onfinish=function(b,c){a._didMessage("m"+JSON.stringify([b,c]));a._didClose()}}).prototype.doCleanup=
function(){};d=r["iframe-eventsource"]=function(){this.protocol="w-iframe-eventsource";this.i_constructor.apply(this,arguments)};d.prototype=new D;d.enabled=function(){return"EventSource"in k&&D.enabled()};d.need_body=!0;d.roundTrips=3;(w["w-iframe-eventsource"]=function(a,b){this.run(a,b,"/eventsource",C,f.XHRLocalObject)}).prototype=new u;d=r["iframe-xhr-polling"]=function(){this.protocol="w-iframe-xhr-polling";this.i_constructor.apply(this,arguments)};d.prototype=new D;d.enabled=function(){return k.XMLHttpRequest&&
D.enabled()};d.need_body=!0;d.roundTrips=3;(w["w-iframe-xhr-polling"]=function(a,b){this.run(a,b,"/xhr",E,f.XHRLocalObject)}).prototype=new u;d=r["iframe-htmlfile"]=function(){this.protocol="w-iframe-htmlfile";this.i_constructor.apply(this,arguments)};d.prototype=new D;d.enabled=function(){return D.enabled()};d.need_body=!0;d.roundTrips=3;(w["w-iframe-htmlfile"]=function(a,b){this.run(a,b,"/htmlfile",P,f.XHRLocalObject)}).prototype=new u;var M=function(a,b,c,d){this.ri=a;this.Receiver=b;this.recv_url=
c;this.AjaxObject=d;this._scheduleRecv()};M.prototype._scheduleRecv=function(){var a=this,b=a.poll=new a.Receiver(a.recv_url,a.AjaxObject);b.onmessage=function(b){a.ri._didMessage(b.data)};b.onclose=function(c){a.poll=b=b.onmessage=b.onclose=null;a.poll_is_closing||("permanent"===c.reason?a.ri._didClose(1006,"Polling error ("+c.reason+")"):a._scheduleRecv())}};M.prototype.abort=function(){this.poll_is_closing=!0;this.poll&&this.poll.abort()};var C=function(a){var b=this,c=new EventSource(a);c.onmessage=
function(a){b.dispatchEvent(new e("message",{data:unescape(a.data)}))};b.es_close=c.onerror=function(a,d){var g=d?"user":2!==c.readyState?"network":"permanent";b.es_close=c.onmessage=c.onerror=null;c.close();c=null;f.delay(200,function(){b.dispatchEvent(new e("close",{reason:g}))})}};C.prototype=new a;C.prototype.abort=function(){this.es_close&&this.es_close({},!0)};var K,P=function(a){var b=this;f.polluteGlobalNamespace();b.id="a"+f.random_string(6,26);a+=(-1===a.indexOf("?")?"?":"&")+"c="+escape("_jp."+
b.id);if(void 0===K)if("ActiveXObject"in k)try{K=!!new ActiveXObject("htmlfile")}catch(c){}else K=!1;var d=K?f.createHtmlfile:f.createIframe,g;k._jp[b.id]={start:function(){g.loaded()},message:function(a){b.dispatchEvent(new e("message",{data:a}))},stop:function(){b.iframe_close({},"network")}};b.iframe_close=function(a,c){g.cleanup();b.iframe_close=g=null;delete k._jp[b.id];b.dispatchEvent(new e("close",{reason:c}))};g=d(a,function(a){b.iframe_close({},"permanent")})};P.prototype=new a;P.prototype.abort=
function(){this.iframe_close&&this.iframe_close({},"user")};var E=function(a,b){var c=this,d=0;c.xo=new b("POST",a,null);c.xo.onchunk=function(a,b){if(200===a)for(;;){var g=b.slice(d),f=g.indexOf("\n");if(-1===f)break;d+=f+1;g=g.slice(0,f);c.dispatchEvent(new e("message",{data:g}))}};c.xo.onfinish=function(a,b){c.xo.onchunk(a,b);c.xo=null;c.dispatchEvent(new e("close",{reason:200===a?"network":"permanent"}))}};E.prototype=new a;E.prototype.abort=function(){this.xo&&(this.xo.close(),this.dispatchEvent(new e("close",
{reason:"user"})),this.xo=null)};r.getUtils=function(){return f};r.getIframeTransport=function(){return D};return r}();"_sockjs_onload"in window&&setTimeout(_sockjs_onload,1);"function"===typeof define&&define.amd&&define("sockjs",[],function(){return SockJS});String.prototype.codePointAt||function(){var h=function(){try{var f={},a=Object.defineProperty,e=a(f,f,f)&&a}catch(d){}return e}(),k=function(f){if(null==this)throw TypeError();var a=String(this),e=a.length,d=f?Number(f):0;d!=d&&(d=0);if(!(0>d||d>=e))return f=a.charCodeAt(d),55296<=f&&(56319>=f&&e>d+1)&&(a=a.charCodeAt(d+1),56320<=a&&57343>=a)?1024*(f-55296)+a-56320+65536:f};h?h(String.prototype,"codePointAt",{value:k,configurable:!0,writable:!0}):String.prototype.codePointAt=k}();var WinChan=function(){function h(a,b,c){a.attachEvent?a.attachEvent("on"+b,c):a.addEventListener&&a.addEventListener(b,c,!1)}function k(a,b,c){a.detachEvent?a.detachEvent("on"+b,c):a.removeEventListener&&a.removeEventListener(b,c,!1)}function f(){try{var a=navigator.userAgent;return-1!=a.indexOf("Fennec/")||-1!=a.indexOf("Firefox/")&&-1!=a.indexOf("Android")}catch(b){}return!1}function a(a){/^https?:\/\//.test(a)||(a=window.location.href);var b=/^(https?:\/\/[\-_a-zA-Z\.0-9:]+)/.exec(a);return b?
b[1]:a}function e(){for(var a=window.opener.frames,b=a.length-1;0<=b;b--)try{if(a[b].location.protocol===window.location.protocol&&a[b].location.host===window.location.host&&a[b].name===d)return a[b]}catch(c){}}var d="__winchan_relay_frame",b="die",c=function(){if("undefined"===typeof navigator)return!1;var a=-1,b=navigator.userAgent;if("Microsoft Internet Explorer"===navigator.appName){var c=/MSIE ([0-9]{1,}[.0-9]{0,})/;null!=c.exec(b)&&(a=parseFloat(RegExp.$1))}else-1<b.indexOf("Trident")&&(c=/rv:([0-9]{2,2}[.0-9]{0,})/,
null!==c.exec(b)&&(a=parseFloat(RegExp.$1)));return 8<=a}();return"undefined"!==typeof window&&window.JSON&&window.JSON.stringify&&window.JSON.parse&&window.postMessage?{open:function(e,l){function m(){n&&document.body.removeChild(n);n=void 0;r&&(r=clearInterval(r));k(window,"message",t);k(window,"unload",m);if(u)try{u.close()}catch(a){s.postMessage(b,p)}u=s=void 0}function t(a){if(a.origin===p){try{var b=JSON.parse(a.data)}catch(c){if(l)l(c);else throw c;}"ready"===b.a?s.postMessage(x,p):"error"===
b.a?(m(),l&&(l(b.d),l=null)):"response"===b.a&&(m(),l&&(l(null,b.d),l=null))}}if(!l)throw"missing required callback argument";var q;e.url||(q="missing required 'url' parameter");e.relay_url||(q="missing required 'relay_url' parameter");q&&setTimeout(function(){l(q)},0);e.window_name||(e.window_name=null);if(!e.window_features||f())e.window_features=void 0;var n,p=e.origin||a(e.url);if(p!==a(e.relay_url))return setTimeout(function(){l("invalid arguments: origin of url and relay_url must match")},0);
var s;c&&(n=document.createElement("iframe"),n.setAttribute("src",e.relay_url),n.style.display="none",n.setAttribute("name",d),document.body.appendChild(n),s=n.contentWindow);var u=e.popup||window.open(e.url,e.window_name,e.window_features);e.popup&&(u.location.href=e.url);s||(s=u);var r=setInterval(function(){u&&u.closed&&(m(),l&&(l("User closed the popup window"),l=null))},500),x=JSON.stringify({a:"request",d:e.params});h(window,"unload",m);h(window,"message",t);return{close:m,focus:function(){if(u)try{u.focus()}catch(a){}}}},
onOpen:function(a){function d(a){a=JSON.stringify(a);c?n.doPost(a,q):n.postMessage(a,q)}function f(b){var c;try{c=JSON.parse(b.data)}catch(e){}c&&"request"===c.a&&(k(window,"message",f),q=b.origin,a&&setTimeout(function(){a(q,c.d,function(b){a=void 0;d({a:"response",d:b})})},0))}function t(a){if(a.data===b)try{window.close()}catch(c){}}var q="*",n=c?e():window.opener;if(!n)throw"can't find relay frame";h(c?n:window,"message",f);h(c?n:window,"message",t);try{d({a:"ready"})}catch(p){h(n,"load",function(a){d({a:"ready"})})}var s=
function(){try{k(c?n:window,"message",t)}catch(b){}a&&d({a:"error",d:"client closed window"});a=void 0;try{window.close()}catch(e){}};h(window,"unload",s);return{detach:function(){k(window,"unload",s)}}}}:{open:function(a,b,c,d){setTimeout(function(){d("unsupported browser")},0)},onOpen:function(a){setTimeout(function(){a("unsupported browser")},0)}}}();"undefined"!==typeof module&&module.exports&&(module.exports=WinChan);/*

 handlebars v4.0.6

Copyright (C) 2011-2016 by Yehuda Katz

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.


 handlebars v4.0.6

Copyright (C) 2011-2016 by Yehuda Katz

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.


 handlebars v4.0.6

Copyright (C) 2011-2016 by Yehuda Katz

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

*/
(function(h,k){"object"===typeof exports&&"object"===typeof module?module.exports=k():"function"===typeof define&&define.amd?define([],k):"object"===typeof exports?exports.Handlebars=k():h.Handlebars=k()})(this,function(){return function(h){function k(a){if(f[a])return f[a].exports;var e=f[a]={exports:{},id:a,loaded:!1};h[a].call(e.exports,e,e.exports,k);e.loaded=!0;return e.exports}var f={};k.m=h;k.c=f;k.p="";return k(0)}([function(h,k,f){function a(){var a=new c.HandlebarsEnvironment;m.extend(a,
c);a.SafeString=g["default"];a.Exception=l["default"];a.Utils=m;a.escapeExpression=m.escapeExpression;a.VM=t;a.template=function(b){return t.template(b,a)};return a}var e=f(1)["default"],d=f(2)["default"];k.__esModule=!0;var b=f(3),c=e(b),b=f(20),g=d(b),b=f(5),l=d(b),b=f(4),m=e(b),b=f(21),t=e(b);f=f(22);d=d(f);f=a();f.create=a;d["default"](f);f["default"]=f;k["default"]=f;h.exports=k["default"]},function(h,k){k["default"]=function(f){if(f&&f.__esModule)return f;var a={};if(null!=f)for(var e in f)Object.prototype.hasOwnProperty.call(f,
e)&&(a[e]=f[e]);a["default"]=f;return a};k.__esModule=!0},function(h,k){k["default"]=function(f){return f&&f.__esModule?f:{"default":f}};k.__esModule=!0},function(h,k,f){function a(a,b,d){this.helpers=a||{};this.partials=b||{};this.decorators=d||{};c.registerDefaultHelpers(this);g.registerDefaultDecorators(this)}h=f(2)["default"];k.__esModule=!0;k.HandlebarsEnvironment=a;var e=f(4),d=f(5),b=h(d),c=f(9),g=f(17);f=f(19);f=h(f);k.VERSION="4.0.5";k.COMPILER_REVISION=7;k.REVISION_CHANGES={1:"<= 1.0.rc.2",
2:"== 1.0.0-rc.3",3:"== 1.0.0-rc.4",4:"== 1.x.x",5:"== 2.0.0-alpha.x",6:">= 2.0.0-beta.1",7:">= 4.0.0"};a.prototype={constructor:a,logger:f["default"],log:f["default"].log,registerHelper:function(a,c){if("[object Object]"===e.toString.call(a)){if(c)throw new b["default"]("Arg not supported with multiple helpers");e.extend(this.helpers,a)}else this.helpers[a]=c},unregisterHelper:function(a){delete this.helpers[a]},registerPartial:function(a,c){if("[object Object]"===e.toString.call(a))e.extend(this.partials,
a);else{if("undefined"===typeof c)throw new b["default"]('Attempting to register a partial called "'+a+'" as undefined');this.partials[a]=c}},unregisterPartial:function(a){delete this.partials[a]},registerDecorator:function(a,c){if("[object Object]"===e.toString.call(a)){if(c)throw new b["default"]("Arg not supported with multiple decorators");e.extend(this.decorators,a)}else this.decorators[a]=c},unregisterDecorator:function(a){delete this.decorators[a]}};k.log=f["default"].log;k.createFrame=e.createFrame;
k.logger=f["default"]},function(h,k){function f(a){return e[a]}function a(a){for(var b=1;b<arguments.length;b++)for(var c in arguments[b])Object.prototype.hasOwnProperty.call(arguments[b],c)&&(a[c]=arguments[b][c]);return a}k.__esModule=!0;k.extend=a;k.indexOf=function(a,b){for(var c=0,d=a.length;c<d;c++)if(a[c]===b)return c;return-1};k.escapeExpression=function(a){if("string"!==typeof a){if(a&&a.toHTML)return a.toHTML();if(null==a)return"";if(!a)return a+"";a=""+a}return!b.test(a)?a:a.replace(d,
f)};k.isEmpty=function(a){return!a&&0!==a?!0:l(a)&&0===a.length?!0:!1};k.createFrame=function(b){var c=a({},b);c._parent=b;return c};k.blockParams=function(a,b){a.path=b;return a};k.appendContextPath=function(a,b){return(a?a+".":"")+b};var e={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#x27;","`":"&#x60;","=":"&#x3D;"},d=/[&<>"'`=]/g,b=/[&<>"'`=]/,c=Object.prototype.toString;k.toString=c;var g=function(a){return"function"===typeof a};g(/x/)&&(k.isFunction=g=function(a){return"function"===
typeof a&&"[object Function]"===c.call(a)});k.isFunction=g;var l=Array.isArray||function(a){return a&&"object"===typeof a?"[object Array]"===c.call(a):!1};k.isArray=l},function(h,k,f){function a(b,c){var g=c&&c.loc,f=void 0,m=void 0;g&&(f=g.start.line,m=g.start.column,b+=" - "+f+":"+m);for(var h=Error.prototype.constructor.call(this,b),k=0;k<d.length;k++)this[d[k]]=h[d[k]];Error.captureStackTrace&&Error.captureStackTrace(this,a);try{g&&(this.lineNumber=f,e?Object.defineProperty(this,"column",{value:m}):
this.column=m)}catch(n){}}var e=f(6)["default"];k.__esModule=!0;var d="description fileName lineNumber message name number stack".split(" ");a.prototype=Error();k["default"]=a;h.exports=k["default"]},function(h,k,f){h.exports={"default":f(7),__esModule:!0}},function(h,k,f){var a=f(8);h.exports=function(e,d,b){return a.setDesc(e,d,b)}},function(h,k){var f=Object;h.exports={create:f.create,getProto:f.getPrototypeOf,isEnum:{}.propertyIsEnumerable,getDesc:f.getOwnPropertyDescriptor,setDesc:f.defineProperty,
setDescs:f.defineProperties,getKeys:f.keys,getNames:f.getOwnPropertyNames,getSymbols:f.getOwnPropertySymbols,each:[].forEach}},function(h,k,f){h=f(2)["default"];k.__esModule=!0;k.registerDefaultHelpers=function(f){a["default"](f);e["default"](f);d["default"](f);b["default"](f);c["default"](f);g["default"](f);l["default"](f)};k=f(10);var a=h(k);k=f(11);var e=h(k);k=f(12);var d=h(k);k=f(13);var b=h(k);k=f(14);var c=h(k);k=f(15);var g=h(k);f=f(16);var l=h(f)},function(h,k,f){k.__esModule=!0;var a=f(4);
k["default"]=function(e){e.registerHelper("blockHelperMissing",function(d,b){var c=b.inverse,g=b.fn;if(!0===d)return g(this);if(!1===d||null==d)return c(this);if(a.isArray(d))return 0<d.length?(b.ids&&(b.ids=[b.name]),e.helpers.each(d,b)):c(this);b.data&&b.ids&&(c=a.createFrame(b.data),c.contextPath=a.appendContextPath(b.data.contextPath,b.name),b={data:c});return g(d,b)})};h.exports=k["default"]},function(h,k,f){var a=f(2)["default"];k.__esModule=!0;var e=f(4);f=f(5);var d=a(f);k["default"]=function(a){a.registerHelper("each",
function(a,b){function f(b,d,g){p&&(p.key=b,p.index=d,p.first=0===d,p.last=!!g,s&&(p.contextPath=s+b));n+=m(a[b],{data:p,blockParams:e.blockParams([a[b],b],[s+b,null])})}if(!b)throw new d["default"]("Must pass iterator to #each");var m=b.fn,h=b.inverse,k=0,n="",p=void 0,s=void 0;b.data&&b.ids&&(s=e.appendContextPath(b.data.contextPath,b.ids[0])+".");e.isFunction(a)&&(a=a.call(this));b.data&&(p=e.createFrame(b.data));if(a&&"object"===typeof a)if(e.isArray(a))for(var u=a.length;k<u;k++)k in a&&f(k,
k,k===a.length-1);else{var u=void 0,r;for(r in a)a.hasOwnProperty(r)&&(void 0!==u&&f(u,k-1),u=r,k++);void 0!==u&&f(u,k-1,!0)}0===k&&(n=h(this));return n})};h.exports=k["default"]},function(h,k,f){var a=f(2)["default"];k.__esModule=!0;f=f(5);var e=a(f);k["default"]=function(a){a.registerHelper("helperMissing",function(){if(1!==arguments.length)throw new e["default"]('Missing helper: "'+arguments[arguments.length-1].name+'"');})};h.exports=k["default"]},function(h,k,f){k.__esModule=!0;var a=f(4);k["default"]=
function(e){e.registerHelper("if",function(d,b){a.isFunction(d)&&(d=d.call(this));return!b.hash.includeZero&&!d||a.isEmpty(d)?b.inverse(this):b.fn(this)});e.registerHelper("unless",function(a,b){return e.helpers["if"].call(this,a,{fn:b.inverse,inverse:b.fn,hash:b.hash})})};h.exports=k["default"]},function(h,k){k.__esModule=!0;k["default"]=function(f){f.registerHelper("log",function(){for(var a=[void 0],e=arguments[arguments.length-1],d=0;d<arguments.length-1;d++)a.push(arguments[d]);d=1;null!=e.hash.level?
d=e.hash.level:e.data&&null!=e.data.level&&(d=e.data.level);a[0]=d;f.log.apply(f,a)})};h.exports=k["default"]},function(h,k){k.__esModule=!0;k["default"]=function(f){f.registerHelper("lookup",function(a,e){return a&&a[e]})};h.exports=k["default"]},function(h,k,f){k.__esModule=!0;var a=f(4);k["default"]=function(e){e.registerHelper("with",function(d,b){a.isFunction(d)&&(d=d.call(this));var c=b.fn;if(a.isEmpty(d))return b.inverse(this);var e=b.data;b.data&&b.ids&&(e=a.createFrame(b.data),e.contextPath=
a.appendContextPath(b.data.contextPath,b.ids[0]));return c(d,{data:e,blockParams:a.blockParams([d],[e&&e.contextPath])})})};h.exports=k["default"]},function(h,k,f){h=f(2)["default"];k.__esModule=!0;k.registerDefaultDecorators=function(e){a["default"](e)};k=f(18);var a=h(k)},function(h,k,f){k.__esModule=!0;var a=f(4);k["default"]=function(e){e.registerDecorator("inline",function(d,b,c,e){var f=d;b.partials||(b.partials={},f=function(e,g){var f=c.partials;c.partials=a.extend({},f,b.partials);var l=
d(e,g);c.partials=f;return l});b.partials[e.args[0]]=e.fn;return f})};h.exports=k["default"]},function(h,k,f){k.__esModule=!0;var a=f(4),e={methodMap:["debug","info","warn","error"],level:"info",lookupLevel:function(d){if("string"===typeof d){var b=a.indexOf(e.methodMap,d.toLowerCase());d=0<=b?b:parseInt(d,10)}return d},log:function(a){a=e.lookupLevel(a);if("undefined"!==typeof console&&e.lookupLevel(e.level)<=a){var b=e.methodMap[a];console[b]||(b="log");for(var c=arguments.length,g=Array(1<c?c-
1:0),f=1;f<c;f++)g[f-1]=arguments[f];console[b].apply(console,g)}}};k["default"]=e;h.exports=k["default"]},function(h,k){function f(a){this.string=a}k.__esModule=!0;f.prototype.toString=f.prototype.toHTML=function(){return""+this.string};k["default"]=f;h.exports=k["default"]},function(h,k,f){function a(a,c,d,e,g,f,l){function m(b){var c=1>=arguments.length||void 0===arguments[1]?{}:arguments[1],g=l;l&&b!=l[0]&&(g=[b].concat(l));return d(a,b,a.helpers,a.partials,c.data||e,f&&[c.blockParams].concat(f),
g)}m=b(d,m,a,l,e,f);m.program=c;m.depth=l?l.length:0;m.blockParams=g||0;return m}function e(){return""}function d(a,b){if(!b||!("root"in b))b=b?m.createFrame(b):{},b.root=a;return b}function b(a,b,c,d,e,f){if(a.decorator){var l={};b=a.decorator(b,l,c,d&&d[0],e,f,d);g.extend(b,l)}return b}var c=f(1)["default"];h=f(2)["default"];k.__esModule=!0;k.checkRevision=function(a){var b=a&&a[0]||1,c=m.COMPILER_REVISION;if(b!==c){if(b<c)throw new l["default"]("Template was precompiled with an older version of Handlebars than the current runtime. Please update your precompiler to a newer version ("+
m.REVISION_CHANGES[c]+") or downgrade your runtime to an older version ("+m.REVISION_CHANGES[b]+").");throw new l["default"]("Template was precompiled with a newer version of Handlebars than the current runtime. Please update your runtime to a newer version ("+a[1]+").");}};k.template=function(c,e){function f(a){function e(a){return""+c.main(m,a,m.helpers,m.partials,l,k,h)}var g=1>=arguments.length||void 0===arguments[1]?{}:arguments[1],l=g.data;f._setup(g);!g.partial&&c.useData&&(l=d(a,l));var h=
void 0,k=c.useBlockParams?[]:void 0;c.useDepths&&(h=g.depths?a!=g.depths[0]?[a].concat(g.depths):g.depths:[a]);e=b(c.main,e,m,g.depths||[],l,k);return e(a,g)}if(!e)throw new l["default"]("No environment passed to template");if(!c||!c.main)throw new l["default"]("Unknown template object: "+typeof c);c.main.decorator=c.main_d;e.VM.checkRevision(c.compiler);var m={strict:function(a,b){if(!(b in a))throw new l["default"]('"'+b+'" not defined in '+a);return a[b]},lookup:function(a,b){for(var c=a.length,
d=0;d<c;d++)if(a[d]&&null!=a[d][b])return a[d][b]},lambda:function(a,b){return"function"===typeof a?a.call(b):a},escapeExpression:g.escapeExpression,invokePartial:function(a,b,d){d.hash&&(b=g.extend({},b,d.hash),d.ids&&(d.ids[0]=!0));a=e.VM.resolvePartial.call(this,a,b,d);var f=e.VM.invokePartial.call(this,a,b,d);null==f&&e.compile&&(d.partials[d.name]=e.compile(a,c.compilerOptions,e),f=d.partials[d.name](b,d));if(null!=f){if(d.indent){a=f.split("\n");b=0;for(f=a.length;b<f&&(a[b]||b+1!==f);b++)a[b]=
d.indent+a[b];f=a.join("\n")}return f}throw new l["default"]("The partial "+d.name+" could not be compiled when running in runtime-only mode");},fn:function(a){var b=c[a];b.decorator=c[a+"_d"];return b},programs:[],program:function(b,c,d,e,g){var f=this.programs[b],l=this.fn(b);c||g||e||d?f=a(this,b,l,c,d,e,g):f||(f=this.programs[b]=a(this,b,l));return f},data:function(a,b){for(;a&&b--;)a=a._parent;return a},merge:function(a,b){var c=a||b;a&&(b&&a!==b)&&(c=g.extend({},b,a));return c},noop:e.VM.noop,
compilerInfo:c.compiler};f.isTop=!0;f._setup=function(a){if(a.partial)m.helpers=a.helpers,m.partials=a.partials,m.decorators=a.decorators;else if(m.helpers=m.merge(a.helpers,e.helpers),c.usePartial&&(m.partials=m.merge(a.partials,e.partials)),c.usePartial||c.useDecorators)m.decorators=m.merge(a.decorators,e.decorators)};f._child=function(b,d,e,g){if(c.useBlockParams&&!e)throw new l["default"]("must pass block params");if(c.useDepths&&!g)throw new l["default"]("must pass parent depths");return a(m,
b,c[b],d,0,e,g)};return f};k.wrapProgram=a;k.resolvePartial=function(a,b,c){if(a)!a.call&&!c.name&&(c.name=a,a=c.partials[a]);else if("@partial-block"===c.name){for(b=c.data;b["partial-block"]===e;)b=b._parent;a=b["partial-block"];b["partial-block"]=e}else a=c.partials[c.name];return a};k.invokePartial=function(a,b,c){c.partial=!0;c.ids&&(c.data.contextPath=c.ids[0]||c.data.contextPath);var d=void 0;c.fn&&c.fn!==e&&(c.data=m.createFrame(c.data),d=c.data["partial-block"]=c.fn,d.partials&&(c.partials=
g.extend({},c.partials,d.partials)));void 0===a&&d&&(a=d);if(void 0===a)throw new l["default"]("The partial "+c.name+" could not be found");if(a instanceof Function)return a(b,c)};k.noop=e;k=f(4);var g=c(k);k=f(5);var l=h(k),m=f(3)},function(h,k){(function(f){k.__esModule=!0;k["default"]=function(a){var e="undefined"!==typeof f?f:window,d=e.Handlebars;a.noConflict=function(){e.Handlebars===a&&(e.Handlebars=d);return a}};h.exports=k["default"]}).call(k,function(){return this}())}])});(function(){function h(a){this.tokens=[];this.tokens.links={};this.options=a||l.defaults;this.rules=m.normal;this.options.gfm&&(this.rules=this.options.tables?m.tables:m.gfm)}function k(a,b){this.options=b||l.defaults;this.links=a;this.rules=n.normal;this.renderer=this.options.renderer||new f;this.renderer.options=this.options;if(!this.links)throw Error("Tokens array requires a `links` property.");this.options.zulip?this.rules=n.zulip:this.options.gfm?this.rules=this.options.breaks?n.breaks:n.gfm:
this.options.pedantic&&(this.rules=n.pedantic)}function f(a){this.options=a||{}}function a(a){this.tokens=[];this.token=null;this.options=a||l.defaults;this.options.renderer=this.options.renderer||new f;this.renderer=this.options.renderer;this.renderer.options=this.options}function e(a,b){return a.replace(!b?/&(?!#?\w+;)/g:/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;").replace(/'/g,"&#39;")}function d(a){return a.replace(/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/g,
function(a,b){b=b.toLowerCase();return"colon"===b?":":"#"===b.charAt(0)?"x"===b.charAt(1)?String.fromCharCode(parseInt(b.substring(2),16)):String.fromCharCode(+b.substring(1)):""})}function b(a,b){a=a.source;b=b||"";return function r(c,d){if(!c)return RegExp(a,b);d=d.source||d;d=d.replace(/(^|[^\[])\^/g,"$1");a=a.replace(c,d);return r}}function c(){}function g(a){for(var b=1,c,d;b<arguments.length;b++)for(d in c=arguments[b],c)Object.prototype.hasOwnProperty.call(c,d)&&(a[d]=c[d]);return a}function l(b,
c,d){if(d||"function"===typeof c){d||(d=c,c=null);c=g({},l.defaults,c||{});var f=c.highlight,m,k,n=0;t=0;q=[];for(var A=0;A<c.preprocessors.length;A++)b=c.preprocessors[A](b);try{m=h.lex(b,c)}catch(B){return d(B)}k=m.length;var v=function(b){if(b)return c.highlight=f,d(b);var e;try{e=a.parse(m,c)}catch(g){b=g}c.highlight=f;return b?d(b):d(null,e)};if(!f||3>f.length)return v();delete c.highlight;if(!k)return v();for(;n<m.length;n++)(function(a){return"code"!==a.type?--k||v():f(a.text,a.lang,function(b,
c){if(b)return v(b);if(null==c||c===a.text)return--k||v();a.text=c;a.escaped=!0;--k||v()})})(m[n])}else try{c&&(c=g({},l.defaults,c));t=0;q=[];for(n=0;n<l.defaults.preprocessors.length;n++)b=l.defaults.preprocessors[n](b);return a.parse(h.lex(b,c),c)}catch(F){F.message+="\nPlease report this to https://github.com/chjj/marked.";if((c||l.defaults).silent)return"<p>An error occured:</p><pre>"+e(F.message+"",!0)+"</pre>";throw F;}}var m={newline:/^\n+/,code:/^( {4}[^\n]+\n*)+/,fences:c,hr:/^( *[-*_]){3,} *(?:\n+|$)/,
heading:/^ *(#{1,6}) *([^\n]+?) *#* *(?:\n+|$)/,nptable:c,lheading:/^([^\n]+)\n *(=|-){2,} *(?:\n+|$)/,blockquote:/^( *>[^\n]+(\n(?!def)[^\n]+)*\n*)+/,list:/^( *)(bull) [\s\S]+?(?:hr|def|\n{2,}(?! )(?!\1bull )\n*|\s*$)/,html:/^ *(?:comment *(?:\n|\s*$)|closed *(?:\n{2,}|\s*$)|closing *(?:\n{2,}|\s*$))/,def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +["(]([^\n]+)[")])? *(?:\n+|$)/,table:c,paragraph:/^((?:[^\n]+\n?(?!hr|heading|lheading|blockquote|tag|def))+)\n*/,text:/^[^\n]+/,bullet:/(?:[*+-]|\d+\.)/,item:/^( *)(bull) [^\n]*(?:\n(?!\1bull )[^\n]*)*/};
m.item=b(m.item,"gm")(/bull/g,m.bullet)();m.list=b(m.list)(/bull/g,m.bullet)("hr","\\n+(?=\\1?(?:[-*_] *){3,}(?:\\n+|$))")("def","\\n+(?="+m.def.source+")")();m.blockquote=b(m.blockquote)("def",m.def)();m._tag="(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:/|[^\\w\\s@]*@)\\b";m.html=b(m.html)("comment",/\x3c!--[\s\S]*?--\x3e/)("closed",/<(tag)[\s\S]+?<\/\1>/)("closing",/<tag(?:"[^"]*"|'[^']*'|[^'">])*?>/)(/tag/g,
m._tag)();m.paragraph=b(m.paragraph)("hr",m.hr)("heading",m.heading)("lheading",m.lheading)("blockquote",m.blockquote)("tag","<"+m._tag)("def",m.def)();m.normal=g({},m);m.gfm=g({},m.normal,{fences:/^ *(`{3,}|~{3,})[ \.]*(\S+)? *\n([\s\S]*?)\s*\1 *(?:\n+|$)/,paragraph:/^/,heading:/^ *(#{1,6}) +([^\n]+?) *#* *(?:\n+|$)/});m.gfm.paragraph=b(m.paragraph)("(?!","(?!"+m.gfm.fences.source.replace("\\1","\\2")+"|"+m.list.source.replace("\\1","\\3")+"|")();m.tables=g({},m.gfm,{nptable:/^ *(\S.*\|.*)\n *([-:]+ *\|[-| :]*)\n((?:.*\|.*(?:\n|$))*)\n*/,
table:/^ *\|(.+)\n *\|( *[-:]+[-| :]*)\n((?: *\|.*(?:\n|$))*)\n*/});h.rules=m;h.lex=function(a,b){return(new h(b)).lex(a)};h.prototype.lex=function(a){a=a.replace(/\r\n|\r/g,"\n").replace(/\t/g,"    ").replace(/\u00a0/g," ").replace(/\u2424/g,"\n");return this.token(a,!0)};var t=0,q=[];h.prototype.token=function(a,b,c){a=a.replace(/^ +$/gm,"");for(var d,e,g,f,l,h,k;a;){if(g=this.rules.newline.exec(a))a=a.substring(g[0].length),1<g[0].length&&this.tokens.push({type:"space"});if(g=this.rules.code.exec(a))a=
a.substring(g[0].length),g=g[0].replace(/^ {4}/gm,""),this.tokens.push({type:"code",text:!this.options.pedantic?g.replace(/\n+$/,""):g});else if(g=this.rules.fences.exec(a))a=a.substring(g[0].length),this.tokens.push({type:"code",lang:g[2],text:g[3]||""});else if(g=this.rules.heading.exec(a))a=a.substring(g[0].length),this.tokens.push({type:"heading",depth:g[1].length,text:g[2]});else if(b&&(g=this.rules.nptable.exec(a))){a=a.substring(g[0].length);l={type:"table",header:g[1].replace(/^ *| *\| *$/g,
"").split(/ *\| */),align:g[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:g[3].replace(/\n$/,"").split("\n")};for(h=0;h<l.align.length;h++)/^ *-+: *$/.test(l.align[h])?l.align[h]="right":/^ *:-+: *$/.test(l.align[h])?l.align[h]="center":/^ *:-+ *$/.test(l.align[h])?l.align[h]="left":l.align[h]=null;for(h=0;h<l.cells.length;h++)l.cells[h]=l.cells[h].split(/ *\| */);this.tokens.push(l)}else if(g=this.rules.lheading.exec(a))a=a.substring(g[0].length),this.tokens.push({type:"heading",depth:"="===
g[2]?1:2,text:g[1]});else if(g=this.rules.hr.exec(a))a=a.substring(g[0].length),this.tokens.push({type:"hr"});else if(g=this.rules.blockquote.exec(a))a=a.substring(g[0].length),this.tokens.push({type:"blockquote_start"}),g=g[0].replace(/^ *> ?/gm,""),this.token(g,b,!0),this.tokens.push({type:"blockquote_end"});else if(g=this.rules.list.exec(a)){a=a.substring(g[0].length);f=g[2];this.tokens.push({type:"list_start",ordered:1<f.length});g=g[0].match(this.rules.item);d=!1;k=g.length;for(h=0;h<k;h++)l=
g[h],e=l.length,l=l.replace(/^ *([*+-]|\d+\.) +/,""),~l.indexOf("\n ")&&(e-=l.length,l=!this.options.pedantic?l.replace(RegExp("^ {1,"+e+"}","gm"),""):l.replace(/^ {1,4}/gm,"")),this.options.smartLists&&h!==k-1&&(e=m.bullet.exec(g[h+1])[0],f!==e&&!(1<f.length&&1<e.length)&&(a=g.slice(h+1).join("\n")+a,h=k-1)),e=d||/\n\n(?!\s*$)/.test(l),h!==k-1&&(d="\n"===l.charAt(l.length-1),e||(e=d)),this.tokens.push({type:e?"loose_item_start":"list_item_start"}),this.token(l,!1,c),this.tokens.push({type:"list_item_end"});
this.tokens.push({type:"list_end"})}else if(g=this.rules.html.exec(a))a=a.substring(g[0].length),this.tokens.push({type:this.options.sanitize?"paragraph":"html",pre:!this.options.sanitizer&&("pre"===g[1]||"script"===g[1]||"style"===g[1]),text:g[0]});else if(!c&&b&&(g=this.rules.def.exec(a)))a=a.substring(g[0].length),this.tokens.links[g[1].toLowerCase()]={href:g[2],title:g[3]};else if(b&&(g=this.rules.table.exec(a))){a=a.substring(g[0].length);l={type:"table",header:g[1].replace(/^ *| *\| *$/g,"").split(/ *\| */),
align:g[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:g[3].replace(/(?: *\| *)?\n$/,"").split("\n")};for(h=0;h<l.align.length;h++)/^ *-+: *$/.test(l.align[h])?l.align[h]="right":/^ *:-+: *$/.test(l.align[h])?l.align[h]="center":/^ *:-+ *$/.test(l.align[h])?l.align[h]="left":l.align[h]=null;for(h=0;h<l.cells.length;h++)l.cells[h]=l.cells[h].replace(/^ *\| *| *\| *$/g,"").split(/ *\| */);this.tokens.push(l)}else if(b&&(g=this.rules.paragraph.exec(a)))a=a.substring(g[0].length),this.tokens.push({type:"paragraph",
text:"\n"===g[1].charAt(g[1].length-1)?g[1].slice(0,-1):g[1]});else if(g=this.rules.text.exec(a))a=a.substring(g[0].length),this.tokens.push({type:"text",text:g[0]});else if(a)throw Error("Infinite loop on byte: "+a.charCodeAt(0));}return this.tokens};var n={escape:/^\\([\\`*{}\[\]()#+\-.!_>])/,autolink:/^<([^ >]+(@|:\/)[^ >]+)>/,url:c,tag:/^\x3c!--[\s\S]*?--\x3e|^<\/?\w+(?:"[^"]*"|'[^']*'|[^'">])*?>/,link:/^!?\[(inside)\]\(href\)/,reflink:/^!?\[(inside)\]\s*\[([^\]]*)\]/,nolink:/^!?\[((?:\[[^\]]*\]|[^\[\]])*)\]/,
strong:/^__([\s\S]+?)__(?!_)|^\*\*([\s\S]+?)\*\*(?!\*)/,em:/^\b_((?:[^_]|__)+?)_\b|^\*((?:\*\*|[\s\S])+?)\*(?!\*)/,code:/^(`+)\s*([\s\S]*?[^`])\s*\1(?!`)/,br:/^ {2,}\n(?!\s*$)/,del:c,emoji:c,unicodeemoji:c,usermention:c,stream:c,avatar:c,gravatar:c,realm_filters:[],text:/^[\s\S]+?(?=[\\<!\[_*`]| {2,}\n|$)/,_inside:/(?:\[[^\]]*\]|[^\[\]]|\](?=[^\[]*\]))*/,_href:/\s*<?([\s\S]*?)>?(?:\s+['"]([\s\S]*?)['"])?\s*/};n.link=b(n.link)("inside",n._inside)("href",n._href)();n.reflink=b(n.reflink)("inside",n._inside)();
n.normal=g({},n);n.pedantic=g({},n.normal,{strong:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,em:/^_(?=\S)([\s\S]*?\S)_(?!_)|^\*(?=\S)([\s\S]*?\S)\*(?!\*)/});n.gfm=g({},n.normal,{escape:b(n.escape)("])","~|])")(),url:/^(https?:\/\/[^\s<]+[^<.,:;"')\]\s])/,del:/^~~(?=\S)([\s\S]*?\S)~~/,text:b(n.text)("]|","~]|")("|","|https?://|")()});n.breaks=g({},n.gfm,{br:b(n.br)("{2,}","*")(),text:b(n.gfm.text)("{2,}","*")()});n.zulip=g({},n.breaks,{emoji:/^:([A-Za-z0-9_\-\+]+?):/,unicodeemoji:/^(\ud83c[\udf00-\udfff]|\ud83d[\udc00-\ude4f]|\ud83d[\ude80-\udeff]|[\u2600-\u26FF]|[\u2700-\u27BF])/,
usermention:/^(@(?:\*\*([^\*]+)\*\*|(\w+)))/m,stream:/^#\*\*([^\*]+)\*\*/m,avatar:/^!avatar\(([^)]+)\)/,gravatar:/^!gravatar\(([^)]+)\)/,realm_filters:[],text:b(n.breaks.text)("|","|(\ud83c[\udf00-\udfff]|\ud83d[\udc00-\ude4f]|\ud83d[\ude80-\udeff]|[\u2600-\u26ff]|[\u2700-\u27bf])|")("]|","#@:]|")()});k.rules=n;k.output=function(a,b,c){return(new k(b,c)).output(a)};k.prototype.inlineReplacement=function(a,b,c){var d,e="";a.lastIndex=0;if(d=a.exec(b)){var g=a.lastIndex,f=b.substring(0,g-d[0].length),
f=this.output(f),e=e+f;b=b.substring(g);e+=c(a,d.slice(1),d[0])}return[b,e]};k.prototype.output=function(a){for(var b="",c,d,g;a;)if(g=this.rules.escape.exec(a))a=a.substring(g[0].length),b+=g[1];else{var f=this;this.rules.realm_filters.forEach(function(c){c=f.inlineReplacement(c,a,function(a,b,c){d=f.realm_filter(a,b,c);return void 0!==d?(d=e(d),f.renderer.link(d,d,c)):c});a=c[0];b+=c[1]});if(g=this.rules.autolink.exec(a))a=a.substring(g[0].length),"@"===g[2]?(c=":"===g[1].charAt(6)?this.mangle(g[1].substring(7)):
this.mangle(g[1]),d=this.mangle("mailto:")+c):d=c=e(g[1]),b+=this.renderer.link(d,null,c);else if(!this.inLink&&(g=this.rules.url.exec(a)))a=a.substring(g[0].length),d=c=e(g[1]),b+=this.renderer.link(d,null,c);else if(g=this.rules.tag.exec(a))!this.inLink&&/^<a /i.test(g[0])?this.inLink=!0:this.inLink&&/^<\/a>/i.test(g[0])&&(this.inLink=!1),a=a.substring(g[0].length),b+=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(g[0]):e(g[0]):g[0];else if(g=this.rules.link.exec(a))a=a.substring(g[0].length),
this.inLink=!0,b+=this.outputLink(g,{href:g[2],title:g[3]}),this.inLink=!1;else if((g=this.rules.reflink.exec(a))||(g=this.rules.nolink.exec(a)))a=a.substring(g[0].length),c=(g[2]||g[1]).replace(/\s+/g," "),c=this.links[c.toLowerCase()],!c||!c.href?(b+=g[0].charAt(0),a=g[0].substring(1)+a):(this.inLink=!0,b+=this.outputLink(g,c),this.inLink=!1);else if(g=this.rules.usermention.exec(a))a=a.substring(g[0].length),b+=this.usermention(g[2]||g[3],g[1]);else if(g=this.rules.stream.exec(a))a=a.substring(g[0].length),
b+=this.stream(g[1],g[0]);else if(g=this.rules.strong.exec(a))a=a.substring(g[0].length),b+=this.renderer.strong(this.output(g[2]||g[1]));else if(g=this.rules.em.exec(a))a=a.substring(g[0].length),b+=this.renderer.em(g[1]+g[2]);else if(g=this.rules.code.exec(a))a=a.substring(g[0].length),b+=this.renderer.codespan(e(g[2],!0));else if(g=this.rules.br.exec(a))a=a.substring(g[0].length),b+=this.renderer.br();else if(g=this.rules.del.exec(a))a=a.substring(g[0].length),b+=this.renderer.del(this.output(g[1]));
else if(g=this.rules.emoji.exec(a))a=a.substring(g[0].length),b+=this.emoji(g[1]);else if(g=this.rules.unicodeemoji.exec(a))a=a.substring(g[0].length),b+=this.unicodeEmoji(g[1]);else if(g=this.rules.avatar.exec(a))a=a.substring(g[0].length),b+=this.userAvatar(g[1]);else if(g=this.rules.gravatar.exec(a))a=a.substring(g[0].length),b+=this.userGravatar(g[1]);else if(g=this.rules.text.exec(a))a=a.substring(g[0].length),b+=this.renderer.text(e(this.smartypants(g[0])));else if(a)throw Error("Infinite loop on byte: "+
a.charCodeAt(0));}return b};k.prototype.outputLink=function(a,b){var c=e(b.href),d=b.title?e(b.title):null;return"!"!==a[0].charAt(0)?this.renderer.link(c,d,this.output(a[1])):this.renderer.image(c,d,e(a[1]))};k.prototype.emoji=function(a){return"function"!==typeof this.options.emojiHandler?":"+a+":":this.options.emojiHandler(a)};k.prototype.unicodeEmoji=function(a){return"function"!==typeof this.options.unicodeEmojiHandler?a:this.options.unicodeEmojiHandler(a)};k.prototype.userAvatar=function(a){return"function"!==
typeof this.options.avatarHandler?"!avatar("+a+")":this.options.avatarHandler(a)};k.prototype.userGravatar=function(a){return"function"!==typeof this.options.avatarHandler?"!gravatar("+a+")":this.options.avatarHandler(a)};k.prototype.realm_filter=function(a,b,c){if("function"===typeof this.options.realmFilterHandler)return this.options.realmFilterHandler(a,b)};k.prototype.usermention=function(a,b){if("function"!==typeof this.options.userMentionHandler)return b;var c=this.options.userMentionHandler(a);
return void 0!==c?c:b};k.prototype.stream=function(a,b){if("function"!==typeof this.options.streamHandler)return b;var c=this.options.streamHandler(a);return void 0!==c?c:b};k.prototype.smartypants=function(a){return!this.options.smartypants?a:a.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201c").replace(/"/g,"\u201d").replace(/\.{3}/g,"\u2026")};k.prototype.mangle=function(a){if(!this.options.mangle)return a;
for(var b="",c=a.length,d=0,e;d<c;d++)e=a.charCodeAt(d),0.5<Math.random()&&(e="x"+e.toString(16)),b+="&#"+e+";";return b};f.prototype.code=function(a,b,c){if(this.options.highlight){var d=this.options.highlight(a,b);null!=d&&d!==a&&(c=!0,a=d)}return!b?"<pre><code>"+(c?a:e(a,!0))+"\n</code></pre>":'<pre><code class="'+this.options.langPrefix+e(b,!0)+'">'+(c?a:e(a,!0))+"\n</code></pre>\n"};f.prototype.blockquote=function(a){return"<blockquote>\n"+a+"</blockquote>\n"};f.prototype.html=function(a){return a};
f.prototype.heading=function(a,b,c){return"<h"+b+' id="'+this.options.headerPrefix+c.toLowerCase().replace(/[^\w]+/g,"-")+'">'+a+"</h"+b+">\n"};f.prototype.hr=function(){return this.options.xhtml?"<hr/>\n":"<hr>\n"};f.prototype.list=function(a,b){var c=b?"ol":"ul";return"<"+c+">\n"+a+"</"+c+">\n"};f.prototype.listitem=function(a){return"<li>"+a+"</li>\n"};f.prototype.paragraph=function(a){return"<p>"+a+"</p>\n"};f.prototype.table=function(a,b){return"<table>\n<thead>\n"+a+"</thead>\n<tbody>\n"+b+
"</tbody>\n</table>\n"};f.prototype.tablerow=function(a){return"<tr>\n"+a+"</tr>\n"};f.prototype.tablecell=function(a,b){var c=b.header?"th":"td";return(b.align?"<"+c+' style="text-align:'+b.align+'">':"<"+c+">")+a+"</"+c+">\n"};f.prototype.strong=function(a){return"<strong>"+a+"</strong>"};f.prototype.em=function(a){return"<em>"+a+"</em>"};f.prototype.codespan=function(a){return"<code>"+a+"</code>"};f.prototype.br=function(){return this.options.xhtml?"<br/>":"<br>"};f.prototype.del=function(a){return"<del>"+
a+"</del>"};f.prototype.link=function(a,b,c){if(this.options.sanitize){try{var e=decodeURIComponent(d(a)).replace(/[^\w:]/g,"").toLowerCase()}catch(g){return""}if(0===e.indexOf("javascript:")||0===e.indexOf("vbscript:"))return""}a='<a href="'+a+'"';b&&(a+=' title="'+b+'"');return a+(">"+c+"</a>")};f.prototype.image=function(a,b,c){a='<img src="'+a+'" alt="'+c+'"';b&&(a+=' title="'+b+'"');return a+=this.options.xhtml?"/>":">"};f.prototype.text=function(a){return a};a.parse=function(b,c,d){c=new a(c,
d);b=c.parse(b);return b=c.postprocess(b)};a.prototype.parse=function(a){this.inline=new k(a.links,this.options,this.renderer);this.tokens=a.reverse();for(a="";this.next();)a+=this.tok();return a};a.prototype.postprocess=function(a){for(var b=0;b<q.length;b++){var c=q[b],d=c[0],g=c[1],g=c[2]?g+"\n":e(g);a=a.replace("<p>"+d+"</p>",g)}return a};a.prototype.next=function(){return this.token=this.tokens.pop()};a.prototype.peek=function(){return this.tokens[this.tokens.length-1]||0};a.prototype.parseText=
function(){for(var a=this.token.text;"text"===this.peek().type;)a+="\n"+this.next().text;return this.inline.output(a)};a.prototype.tok=function(){switch(this.token.type){case "space":return"";case "hr":return this.renderer.hr();case "heading":return this.renderer.heading(this.inline.output(this.token.text),this.token.depth,this.token.text);case "code":return this.renderer.code(this.token.text,this.token.lang,this.token.escaped);case "table":var a="",b="",c,d,e,g;e="";for(c=0;c<this.token.header.length;c++)e+=
this.renderer.tablecell(this.inline.output(this.token.header[c]),{header:!0,align:this.token.align[c]});a+=this.renderer.tablerow(e);for(c=0;c<this.token.cells.length;c++){d=this.token.cells[c];e="";for(g=0;g<d.length;g++)e+=this.renderer.tablecell(this.inline.output(d[g]),{header:!1,align:this.token.align[g]});b+=this.renderer.tablerow(e)}return this.renderer.table(a,b);case "blockquote_start":for(b="";"blockquote_end"!==this.next().type;)b+=this.tok();return this.renderer.blockquote(b);case "list_start":b=
"";for(a=this.token.ordered;"list_end"!==this.next().type;)b+=this.tok();return this.renderer.list(b,a);case "list_item_start":for(b="";"list_item_end"!==this.next().type;)b+="text"===this.token.type?this.parseText():this.tok();return this.renderer.listitem(b);case "loose_item_start":for(b="";"list_item_end"!==this.next().type;)b+=this.tok();return this.renderer.listitem(b);case "html":return b=!this.token.pre&&!this.options.pedantic?this.inline.output(this.token.text):this.token.text,this.renderer.html(b);
case "paragraph":return this.renderer.paragraph(this.inline.output(this.token.text));case "text":return this.renderer.paragraph(this.parseText())}};c.exec=c;l.options=l.setOptions=function(a){g(l.defaults,a);return l};l.defaults={gfm:!0,emoji:!1,unicodeemoji:!1,avatar:!1,gravatar:!1,tables:!0,breaks:!1,pedantic:!1,sanitize:!1,sanitizer:null,mangle:!0,smartLists:!1,silent:!1,highlight:null,langPrefix:"lang-",smartypants:!1,headerPrefix:"",renderer:new f,preprocessors:[],xhtml:!1};l.Parser=a;l.parser=
a.parse;l.Renderer=f;l.Lexer=h;l.lexer=h.lex;l.InlineLexer=k;l.inlineLexer=k.output;l.parse=l;l.stashHtml=function(a,b){var c="klzzwxhzsd:"+t;t++;q.push([c,a,b]);return c};"undefined"!==typeof module&&"object"===typeof exports?module.exports=l:"function"===typeof define&&define.amd?define(function(){return l}):this.marked=l}).call(function(){return this||("undefined"!==typeof window?window:global)}());var emoji_codes=function(){return{names:"+1 -1 100 1234 8ball a_button ab_button abc abcd admission_tickets aerial_tramway airplane airplane_arrival airplane_departure alarm_clock alien alien_monster ambulance american_football amphora anchor angel anger angry anguished ant antenna_bars apple aquarius aries arrow_backward arrow_double_down arrow_double_up arrow_down arrow_down_small arrow_forward arrow_heading_down arrow_heading_up arrow_left arrow_lower_left arrow_lower_right arrow_right arrow_right_hook arrow_up arrow_up_down arrow_up_small arrow_upper_left arrow_upper_right arrows_clockwise arrows_counterclockwise art articulated_lorry astonished athletic_shoe atm atom_symbol automobile b_button baby baby_bottle baby_chick baby_symbol back badminton baggage_claim balloon ballot_box_with_ballot ballot_box_with_check bamboo banana bangbang bank bar_chart barber_pole baseball basketball bath bathtub battery beach_with_umbrella bear beating_heart bed bee beer beers beginner bell bellhop_bell bento bicyclist bike bikini billiards bird birthday blossom blowfish blue_book blue_circle blue_heart blush boar boat bomb book bookmark bookmark_tabs books boom boot bottle_with_popping_cork bouquet bow bow_and_arrow bowling boy bread bride_with_veil bridge_at_night briefcase bright_button broken_heart bug building_construction bullettrain_front bullettrain_side burrito bus bus_stop bust_in_silhouette busts_in_silhouette cactus cake calendar calling camel camera camera_with_flash camping cancer candle candy capital_abcd capricorn car card_file_box card_index card_index_dividers carousel_horse cat cat_face cd chains chart_decreasing chart_increasing chart_increasing_with_yen checkered_flag cheese_wedge cherries cherry_blossom chestnut chicken children_crossing chipmunk chocolate_bar christmas_tree church cinema circled_accept_ideograph circled_letter_m circus_tent city_sunrise city_sunset cityscape cl clap clapper_board classical_building clipboard clock1 clock10 clock1030 clock11 clock1130 clock12 clock1230 clock130 clock2 clock230 clock3 clock330 clock4 clock430 clock5 clock530 clock6 clock630 clock7 clock730 clock8 clock830 clock9 clock930 closed_book closed_lock_with_key closed_umbrella cloud cloud_with_lightning cloud_with_lightning_and_rain cloud_with_rain cloud_with_snow clubs cn cocktail coffee coffin cold_sweat compression computer computer_mouse confetti_ball confounded confused congratulations construction construction_worker control_knobs convenience_store cookie cooking cool cop copyright corn couch_and_lamp couple couple_with_heart cow cow_face crab crayon credit_card crescent_moon cricket crocodile cross_mark cross_mark_button crossed_flags crown cry crying_cat_face crystal_ball cupid curly_loop currency_exchange curry custard customs cyclone dagger dancer dancers dango dart dash date de deciduous_tree department_store derelict_house_building desert desert_island desktop_computer detective diamond_with_a_dot diamonds direct_hit disappointed disappointed_relieved dizzy dizzy_face dog dog_face dollar dolphin door double_curly_loop double_exclamation_mark doughnut dove dragon dragon_face dress droplet dvd e-mail ear ear_of_rice earth_africa earth_americas earth_asia egg eggplant eight eight_spoked_asterisk eject_button electric_plug elephant email end envelope envelope_with_arrow es euro european_castle european_post_office evergreen exclamation expressionless eye eyes face_massage face_with_head_bandage face_with_rolling_eyes face_with_thermometer factory fallen_leaf family fast_down_button fast_forward fast_reverse_button fast_up_button fax fearful feet ferris_wheel ferry field_hockey file_cabinet file_folder film_frames film_projector fire fire_engine fireworks first_quarter_moon first_quarter_moon_with_face fish fish_cake fishing_pole fist five flags flashlight fleur_de_lis flexed_biceps floppy_disk flower_playing_cards flushed fog foggy folded_hands footprints fork_and_knife fork_and_knife_with_plate fountain fountain_pen four four_leaf_clover fr frame_with_picture free fried_shrimp fries frog frowning fuel_pump full_moon full_moon_with_face funeral_urn game_die gb gem gemini ghost gift gift_heart girl glasses globe_with_meridians glowing_star goat goblin golf golfer graduation_cap grapes green_apple green_book green_heart grey_exclamation grey_question grimacing grin grinning growing_heart guardsman guitar gun haircut hamburger hammer hammer_and_wrench hamster hand handbag hash hatched_chick hatching_chick headphones hear_no_evil heart heart_decoration heart_eyes heart_eyes_cat heart_with_arrow heartbeat heartpulse hearts heavy_check_mark heavy_division_sign heavy_dollar_sign heavy_large_circle heavy_minus_sign heavy_multiplication_x heavy_plus_sign helicopter helmet_with_white_cross herb hibiscus high_heeled_shoe high_speed_train high_voltage hocho hole honey_pot honeybee horizontal_traffic_light horse horse_face horse_racing hospital hot_dog hot_pepper hotel hotsprings hourglass hourglass_flowing_sand house house_buildings house_with_garden hugging_face hundred_points hushed ice_cream ice_hockey_stick_and_puck ice_skate icecream id ideograph_advantage imp inbox_tray incoming_envelope information_desk_person information_source innocent interrobang iphone it izakaya_lantern jack_o_lantern japan japanese_castle japanese_dolls japanese_post_office jeans joker joy joy_cat joystick jp kaaba key keycap_ten kimono kiss kiss_mark kissing kissing_cat kissing_closed_eyes kissing_heart kissing_smiling_eyes kitchen_knife koala kr label lady_beetle large_orange_diamond last_quarter_moon last_quarter_moon_with_face last_track_button latin_cross laughing leaves ledger left_luggage left_pointing_magnifying_glass left_right_arrow left_speech_bubble lemon leo leopard level_slider libra light_bulb light_rail link linked_paperclips lion_face lips lipstick lock lock_with_pen locomotive lollipop loud_sound loudspeaker love_hotel love_letter low_brightness mag mag_right mahjong mailbox mailbox_closed mailbox_with_mail mailbox_with_no_mail man man_and_woman_holding_hands man_in_business_suit_levitating man_with_gua_pi_mao man_with_turban mantelpiece_clock maple_leaf mask meat_on_bone megaphone melon memo menorah mens_room metro microphone microscope middle_finger military_medal milky_way minibus minidisc mobile_phone mobile_phone_off money_mouth_face money_with_wings moneybag monkey monkey_face monorail moon_ceremony mortar_board mosque motor_boat motorcycle motorway mount_fuji mountain mountain_biker mountain_cableway mountain_railway mouse mouse_face mouth movie_camera moyai muscle mushroom musical_keyboard musical_note musical_notes musical_score mute nail_polish name_badge national_park necktie nerd_face neutral_face new new_moon new_moon_face newspaper next_track_button ng night_with_stars nine no_bell no_bicycles no_entry no_good no_littering no_mobile_phones no_mouth no_one_under_eighteen no_pedestrians no_smoking non-potable_water nose notebook notebook_with_decorative_cover nut_and_bolt o_button ocean octopus oden office ogre oil_drum ok ok_hand ok_woman old_key older_man older_woman om on oncoming_automobile oncoming_bus oncoming_fist oncoming_police_car oncoming_taxi one open_file_folder open_hands open_mouth ophiuchus optical_disc orange_book outbox_tray ox p_button package page_facing_up page_with_curl pager paintbrush palm_tree panda_face paperclip parking part_alternation_mark partly_sunny party_popper passenger_ship passport_control pause_button paw_prints peace_symbol peach pear pedestrian pen pencil penguin pensive performing_arts persevere person_frowning person_in_bed person_pouting person_with_ball person_with_blond_hair phone pick pig pig_face pig_nose pile_of_poo pill pineapple ping_pong pisces pistol pizza place_of_worship play_button play_or_pause_button point_down point_left point_right point_up point_up_2 police_car police_officer poodle poop popcorn postal_horn postbox potable_water pouch poultry_leg pound pouting_cat pray prayer_beads princess printer prohibited punch purple_heart purse pushpin put_litter_in_its_place question rabbit rabbit_face racing_car radio radio_button rage railway_car railway_track rainbow raised_hand_with_fingers_splayed raised_hands raising_hand ram ramen rat record_button recreational_vehicle recycle red_circle registered relaxed relieved reminder_ribbon repeat repeat_one restroom reverse_button revolving_hearts rewind ribbon rice rice_ball rice_cracker rice_scene right_anger_bubble right_arrow_curving_left right_pointing_magnifying_glass ring robot_face rocket rolled_up_newspaper roller_coaster rooster rose rosette rotating_light round_pushpin rowboat ru rugby_football runner running_shirt sagittarius sailboat sake sandal santa satellite satellite_antenna saxophone school school_satchel scissors scorpion scorpius scream scream_cat scroll seat secret see_no_evil seedling seven shaved_ice sheep shell shield shinto_shrine ship shirt shoe shooting_star shopping_bags shower shuffle_tracks_button sign_of_the_horns signal_strength simple_smile six six_pointed_star skier skis skull sleeping sleepy slightly_frowning_face slot_machine small_airplane small_orange_diamond small_red_triangle small_red_triangle_down smile smile_cat smiley smiley_cat smiling_face_with_sunglasses smiling_imp smirk smirk_cat smoking snail snake snow_capped_mountain snowboarder snowflake snowman sob soccer soon sos sound space_invader spades spaghetti sparkle sparkler sparkles sparkling_heart speak_no_evil speaker speaker_loud speaker_off speaker_on speaking_head speech_balloon speedboat spider spider_web spiral_calendar spiral_notepad sports_medal spouting_whale squared_apply_ideograph squared_divide_ideograph squared_empty_ideograph squared_exist_ideograph squared_finger_ideograph squared_fullness_ideograph squared_katakana_koko squared_katakana_sa squared_moon_ideograph squared_negation_ideograph squared_operating_ideograph squared_prohibit_ideograph squared_together_ideograph stadium star star_and_crescent station statue_of_liberty stew stop_button stopwatch straight_ruler strawberry stuck_out_tongue stuck_out_tongue_closed_eyes stuck_out_tongue_winking_eye studio_microphone sun_behind_cloud_with_rain sun_behind_large_cloud sun_behind_small_cloud sun_with_face sunflower sunglasses sunny sunrise sunrise_over_mountains sunset surfer sushi suspension_railway sweat sweat_drops sweat_smile sweet_potato swimmer symbols synagogue syringe taco tada tanabata_tree tangerine taurus taxi tea tear_off_calendar telephone telephone_receiver telescope television tennis tent thermometer thinking_face thought_balloon three thumbs_up thumbs_down ticket tiger tiger_face timer_clock tired_face tm toilet tokyo_tower tomato tongue top top_hat tornado trackball tractor train tram tram_car triangular_flag triangular_ruler trident triumph trolleybus trophy tropical_drink tropical_fish truck trumpet tshirt tulip turkey turtle tv twisted_rightwards_arrows two two_hearts two_hump_camel two_men_holding_hands two_women_holding_hands uk umbrella umbrella_on_ground unamused underage unicorn_face unlock up upside_down_face us vertical_traffic_light vhs vibration_mode victory_hand video_camera video_game videocassette violin virgo volcano volleyball vs vulcan_salute walking waning_crescent_moon waning_gibbous_moon warning wastebasket watch water_buffalo water_closet watermelon wave waving_black_flag waving_white_flag wavy_dash waxing_crescent_moon waxing_gibbous_moon wc weary wedding weight_lifter whale wheelchair wind_chime wind_face wine_glass wink wolf woman womans_clothes womans_hat womens_room world_map worried wrench writing_hand yellow_heart yen yin_yang yum zap zero zipper_mouth_face zzz".split(" "),
codepoints:"0023 0030 0031 0032 0033 0034 0035 0036 0037 0038 0039 00a9 00ae 1f004 1f0cf 1f170 1f171 1f17e 1f17f 1f18e 1f191 1f192 1f193 1f194 1f195 1f196 1f197 1f198 1f199 1f19a 1f1e8 1f1e9 1f1ea 1f1eb 1f1ec 1f1ee 1f1ef 1f1f0 1f1f7 1f1fa 1f201 1f202 1f21a 1f22f 1f232 1f233 1f234 1f235 1f236 1f237 1f238 1f239 1f23a 1f250 1f251 1f300 1f301 1f302 1f303 1f304 1f305 1f306 1f307 1f308 1f309 1f30a 1f30b 1f30c 1f30d 1f30e 1f30f 1f310 1f311 1f312 1f313 1f314 1f315 1f316 1f317 1f318 1f319 1f31a 1f31b 1f31c 1f31d 1f31e 1f31f 1f320 1f321 1f324 1f325 1f326 1f327 1f328 1f329 1f32a 1f32b 1f32c 1f32d 1f32e 1f32f 1f330 1f331 1f332 1f333 1f334 1f335 1f336 1f337 1f338 1f339 1f33a 1f33b 1f33c 1f33d 1f33e 1f33f 1f340 1f341 1f342 1f343 1f344 1f345 1f346 1f347 1f348 1f349 1f34a 1f34b 1f34c 1f34d 1f34e 1f34f 1f350 1f351 1f352 1f353 1f354 1f355 1f356 1f357 1f358 1f359 1f35a 1f35b 1f35c 1f35d 1f35e 1f35f 1f360 1f361 1f362 1f363 1f364 1f365 1f366 1f367 1f368 1f369 1f36a 1f36b 1f36c 1f36d 1f36e 1f36f 1f370 1f371 1f372 1f373 1f374 1f375 1f376 1f377 1f378 1f379 1f37a 1f37b 1f37c 1f37d 1f37e 1f37f 1f380 1f381 1f382 1f383 1f384 1f385 1f386 1f387 1f388 1f389 1f38a 1f38b 1f38c 1f38d 1f38e 1f38f 1f390 1f391 1f392 1f393 1f396 1f397 1f399 1f39a 1f39b 1f39e 1f39f 1f3a0 1f3a1 1f3a2 1f3a3 1f3a4 1f3a5 1f3a6 1f3a7 1f3a8 1f3a9 1f3aa 1f3ab 1f3ac 1f3ad 1f3ae 1f3af 1f3b0 1f3b1 1f3b2 1f3b3 1f3b4 1f3b5 1f3b6 1f3b7 1f3b8 1f3b9 1f3ba 1f3bb 1f3bc 1f3bd 1f3be 1f3bf 1f3c0 1f3c1 1f3c2 1f3c3 1f3c4 1f3c5 1f3c6 1f3c7 1f3c8 1f3c9 1f3ca 1f3cb 1f3cc 1f3cd 1f3ce 1f3cf 1f3d0 1f3d1 1f3d2 1f3d3 1f3d4 1f3d5 1f3d6 1f3d7 1f3d8 1f3d9 1f3da 1f3db 1f3dc 1f3dd 1f3de 1f3df 1f3e0 1f3e1 1f3e2 1f3e3 1f3e4 1f3e5 1f3e6 1f3e7 1f3e8 1f3e9 1f3ea 1f3eb 1f3ec 1f3ed 1f3ee 1f3ef 1f3f0 1f3f3 1f3f4 1f3f5 1f3f7 1f3f8 1f3f9 1f3fa 1f400 1f401 1f402 1f403 1f404 1f405 1f406 1f407 1f408 1f409 1f40a 1f40b 1f40c 1f40d 1f40e 1f40f 1f410 1f411 1f412 1f413 1f414 1f415 1f416 1f417 1f418 1f419 1f41a 1f41b 1f41c 1f41d 1f41e 1f41f 1f420 1f421 1f422 1f423 1f424 1f425 1f426 1f427 1f428 1f429 1f42a 1f42b 1f42c 1f42d 1f42e 1f42f 1f430 1f431 1f432 1f433 1f434 1f435 1f436 1f437 1f438 1f439 1f43a 1f43b 1f43c 1f43d 1f43e 1f43f 1f440 1f441 1f442 1f443 1f444 1f445 1f446 1f447 1f448 1f449 1f44a 1f44b 1f44c 1f44d 1f44e 1f44f 1f450 1f451 1f452 1f453 1f454 1f455 1f456 1f457 1f458 1f459 1f45a 1f45b 1f45c 1f45d 1f45e 1f45f 1f460 1f461 1f462 1f463 1f464 1f465 1f466 1f467 1f468 1f469 1f46a 1f46b 1f46c 1f46d 1f46e 1f46f 1f470 1f471 1f472 1f473 1f474 1f475 1f476 1f477 1f478 1f479 1f47a 1f47b 1f47c 1f47d 1f47e 1f47f 1f480 1f481 1f482 1f483 1f484 1f485 1f486 1f487 1f488 1f489 1f48a 1f48b 1f48c 1f48d 1f48e 1f48f 1f490 1f491 1f492 1f493 1f494 1f495 1f496 1f497 1f498 1f499 1f49a 1f49b 1f49c 1f49d 1f49e 1f49f 1f4a0 1f4a1 1f4a2 1f4a3 1f4a4 1f4a5 1f4a6 1f4a7 1f4a8 1f4a9 1f4aa 1f4ab 1f4ac 1f4ad 1f4ae 1f4af 1f4b0 1f4b1 1f4b2 1f4b3 1f4b4 1f4b5 1f4b6 1f4b7 1f4b8 1f4b9 1f4ba 1f4bb 1f4bc 1f4bd 1f4be 1f4bf 1f4c0 1f4c1 1f4c2 1f4c3 1f4c4 1f4c5 1f4c6 1f4c7 1f4c8 1f4c9 1f4ca 1f4cb 1f4cc 1f4cd 1f4ce 1f4cf 1f4d0 1f4d1 1f4d2 1f4d3 1f4d4 1f4d5 1f4d6 1f4d7 1f4d8 1f4d9 1f4da 1f4db 1f4dc 1f4dd 1f4de 1f4df 1f4e0 1f4e1 1f4e2 1f4e3 1f4e4 1f4e5 1f4e6 1f4e7 1f4e8 1f4e9 1f4ea 1f4eb 1f4ec 1f4ed 1f4ee 1f4ef 1f4f0 1f4f1 1f4f2 1f4f3 1f4f4 1f4f5 1f4f6 1f4f7 1f4f8 1f4f9 1f4fa 1f4fb 1f4fc 1f4fd 1f4ff 1f500 1f501 1f502 1f503 1f504 1f505 1f506 1f507 1f508 1f509 1f50a 1f50b 1f50c 1f50d 1f50e 1f50f 1f510 1f511 1f512 1f513 1f514 1f515 1f516 1f517 1f518 1f519 1f51a 1f51b 1f51c 1f51d 1f51e 1f51f 1f520 1f521 1f522 1f523 1f524 1f525 1f526 1f527 1f528 1f529 1f52a 1f52b 1f52c 1f52d 1f52e 1f52f 1f530 1f531 1f532 1f533 1f534 1f535 1f536 1f537 1f538 1f539 1f53a 1f53b 1f53c 1f53d 1f549 1f54a 1f54b 1f54c 1f54d 1f54e 1f550 1f551 1f552 1f553 1f554 1f555 1f556 1f557 1f558 1f559 1f55a 1f55b 1f55c 1f55d 1f55e 1f55f 1f560 1f561 1f562 1f563 1f564 1f565 1f566 1f567 1f56f 1f570 1f573 1f574 1f575 1f576 1f577 1f578 1f579 1f587 1f58a 1f58b 1f58c 1f58d 1f590 1f595 1f596 1f5a5 1f5a8 1f5b1 1f5b2 1f5bc 1f5c2 1f5c3 1f5c4 1f5d1 1f5d2 1f5d3 1f5dc 1f5dd 1f5de 1f5e1 1f5e3 1f5e8 1f5ef 1f5f3 1f5fa 1f5fb 1f5fc 1f5fd 1f5fe 1f5ff 1f600 1f601 1f602 1f603 1f604 1f605 1f606 1f607 1f608 1f609 1f60a 1f60b 1f60c 1f60d 1f60e 1f60f 1f610 1f611 1f612 1f613 1f614 1f615 1f616 1f617 1f618 1f619 1f61a 1f61b 1f61c 1f61d 1f61e 1f61f 1f620 1f621 1f622 1f623 1f624 1f625 1f626 1f627 1f628 1f629 1f62a 1f62b 1f62c 1f62d 1f62e 1f62f 1f630 1f631 1f632 1f633 1f634 1f635 1f636 1f637 1f638 1f639 1f63a 1f63b 1f63c 1f63d 1f63e 1f63f 1f640 1f641 1f642 1f643 1f644 1f645 1f646 1f647 1f648 1f649 1f64a 1f64b 1f64c 1f64d 1f64e 1f64f 1f680 1f681 1f682 1f683 1f684 1f685 1f686 1f687 1f688 1f689 1f68a 1f68b 1f68c 1f68d 1f68e 1f68f 1f690 1f691 1f692 1f693 1f694 1f695 1f696 1f697 1f698 1f699 1f69a 1f69b 1f69c 1f69d 1f69e 1f69f 1f6a0 1f6a1 1f6a2 1f6a3 1f6a4 1f6a5 1f6a6 1f6a7 1f6a8 1f6a9 1f6aa 1f6ab 1f6ac 1f6ad 1f6ae 1f6af 1f6b0 1f6b1 1f6b2 1f6b3 1f6b4 1f6b5 1f6b6 1f6b7 1f6b8 1f6b9 1f6ba 1f6bb 1f6bc 1f6bd 1f6be 1f6bf 1f6c0 1f6c1 1f6c2 1f6c3 1f6c4 1f6c5 1f6cb 1f6cc 1f6cd 1f6ce 1f6cf 1f6d0 1f6e0 1f6e1 1f6e2 1f6e3 1f6e4 1f6e5 1f6e9 1f6eb 1f6ec 1f6f0 1f6f3 1f910 1f911 1f912 1f913 1f914 1f915 1f916 1f917 1f918 1f980 1f981 1f982 1f983 1f984 1f9c0 203c 2049 2122 2139 2194 2195 2196 2197 2198 2199 21a9 21aa 231a 231b 23cf 23e9 23ea 23eb 23ec 23ed 23ee 23ef 23f0 23f1 23f2 23f3 23f8 23f9 23fa 24c2 25aa 25ab 25b6 25c0 25fb 25fc 25fd 25fe 2600 2601 260e 2611 2614 2615 261d 262a 262e 262f 263a 2648 2649 264a 264b 264c 264d 264e 264f 2650 2651 2652 2653 2660 2663 2665 2666 2668 267b 267f 2693 269b 269c 26a0 26a1 26aa 26ab 26b0 26b1 26bd 26be 26c4 26c5 26c8 26ce 26cf 26d1 26d3 26d4 26e9 26ea 26f0 26f1 26f2 26f3 26f4 26f5 26f7 26f8 26f9 26fa 26fd 2702 2705 2708 2709 270a 270b 270c 270d 270f 2712 2714 2716 271d 2728 2733 2734 2744 2747 274c 274e 2753 2754 2755 2757 2764 2795 2796 2797 27a1 27b0 27bf 2934 2935 2b05 2b06 2b07 2b1b 2b1c 2b50 2b55 3030 303d 3297 3299".split(" ")}}();
"undefined"!==typeof module&&(module.exports=emoji_codes);(function(){var h=Handlebars.template,k=Handlebars.templates=Handlebars.templates||{};k.bot_avatar_row=h({compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;f=f.escapeExpression;return'<li class="bot-information-box grey-bg">\n    <div class="image inline-block overflow-hidden">\n        <img src="'+f((c=null!=(c=e.avatar_url||(null!=a?a.avatar_url:a))?c:g,"function"===typeof c?c.call(d,{name:"avatar_url",hash:{},data:b}):c))+'" class="avatar" />\n    </div>\n    <div class="bot_info inline-block">\n        <div class="name">'+
f((c=null!=(c=e.name||(null!=a?a.name:a))?c:g,"function"===typeof c?c.call(d,{name:"name",hash:{},data:b}):c))+'</div>\n        <div class="email">\n            <span class="field">'+f((e.t||a&&a.t||g).call(d,"Username",{name:"t",hash:{},data:b}))+'</span>\n            <span class="value">'+f((c=null!=(c=e.email||(null!=a?a.email:a))?c:g,"function"===typeof c?c.call(d,{name:"email",hash:{},data:b}):c))+'</span>\n        </div>\n        <div class="api_key">\n            <span class="field">'+f((e.t||
a&&a.t||g).call(d,"API Key",{name:"t",hash:{},data:b}))+'</span>\n            <span class="api-key-value-and-button">\n               <span class="value">'+f((c=null!=(c=e.api_key||(null!=a?a.api_key:a))?c:g,"function"===typeof c?c.call(d,{name:"api_key",hash:{},data:b}):c))+'\n               </span>\n               <button type="submit" class="button no-style btn-secondary regenerate_bot_api_key" title="'+f((e.t||a&&a.t||g).call(d,"Generate new API key",{name:"t",hash:{},data:b}))+'" data-email="'+
f((c=null!=(c=e.email||(null!=a?a.email:a))?c:g,"function"===typeof c?c.call(d,{name:"email",hash:{},data:b}):c))+'">\n                   <i class="icon-vector-refresh"></i>\n               </button>\n            </span>\n            <div class="api_key_error text-error"></div>\n        </div>\n        <div class="edit-bot-buttons">\n           <button type="submit" class="btn btn-primary open_edit_bot_form" title="'+f((e.t||a&&a.t||g).call(d,"Edit bot",{name:"t",hash:{},data:b}))+'" data-email="'+
f((c=null!=(c=e.email||(null!=a?a.email:a))?c:g,"function"===typeof c?c.call(d,{name:"email",hash:{},data:b}):c))+'">\n            <i class="icon-vector-pencil"></i>\n           </button>\n           <a type="submit" download="'+f((c=null!=(c=e.zuliprc||(null!=a?a.zuliprc:a))?c:g,"function"===typeof c?c.call(d,{name:"zuliprc",hash:{},data:b}):c))+'" class="btn btn-success download_bot_zuliprc" title="'+f((e.t||a&&a.t||g).call(d,"Download .zuliprc",{name:"t",hash:{},data:b}))+'" data-email="'+f((c=
null!=(c=e.email||(null!=a?a.email:a))?c:g,"function"===typeof c?c.call(d,{name:"email",hash:{},data:b}):c))+'">\n               <i class="icon-vector-download-alt"></i>\n           </a>\n           <button type="submit" class="btn btn-danger delete_bot" title="'+f((e.t||a&&a.t||g).call(d,"Delete bot",{name:"t",hash:{},data:b}))+'" data-email="'+f((c=null!=(c=e.email||(null!=a?a.email:a))?c:g,"function"===typeof c?c.call(d,{name:"email",hash:{},data:b}):c))+'">\n            <i class="icon-vector-trash"></i>\n           </button>\n        </div>\n        <div id="bot_delete_error'+
f((c=null!=(c=e.id_suffix||(null!=a?a.id_suffix:a))?c:g,"function"===typeof c?c.call(d,{name:"id_suffix",hash:{},data:b}):c))+'" class="alert alert-error hide"></div>\n    </div>\n    <div class=\'edit_bot display-none\'>\n        <form class="edit_bot_form form-horizontal" data-email="'+f((c=null!=(c=e.email||(null!=a?a.email:a))?c:g,"function"===typeof c?c.call(d,{name:"email",hash:{},data:b}):c))+'">\n            <div class="bot_edit_errors alert alert-error hide"></div>\n            <div class="edit_bot_email">'+
f((c=null!=(c=e.email||(null!=a?a.email:a))?c:g,"function"===typeof c?c.call(d,{name:"email",hash:{},data:b}):c))+'</div>\n            <div class="edit-bot-form-box">\n              <div class="control-group">\n               <label for="edit_bot_name'+f((c=null!=(c=e.id_suffix||(null!=a?a.id_suffix:a))?c:g,"function"===typeof c?c.call(d,{name:"id_suffix",hash:{},data:b}):c))+'" class="control-label">'+f((e.t||a&&a.t||g).call(d,"Full name",{name:"t",hash:{},data:b}))+'</label>\n               <div class="controls">\n                  <input type="text" name="bot_name" id="edit_bot_name'+
f((c=null!=(c=e.id_suffix||(null!=a?a.id_suffix:a))?c:g,"function"===typeof c?c.call(d,{name:"id_suffix",hash:{},data:b}):c))+'" class="edit_bot_name required" maxlength=50 />\n                  <div><label for="edit_bot_name'+f((c=null!=(c=e.id_suffix||(null!=a?a.id_suffix:a))?c:g,"function"===typeof c?c.call(d,{name:"id_suffix",hash:{},data:b}):c))+'" generated="true" class="text-error"></label></div>\n               </div>\n              </div>\n              <div class="control-group new-bot-ui">\n                <label for="edit_bot_default_sending_stream'+
f((c=null!=(c=e.id_suffix||(null!=a?a.id_suffix:a))?c:g,"function"===typeof c?c.call(d,{name:"id_suffix",hash:{},data:b}):c))+'" class="control-label">'+f((e.t||a&&a.t||g).call(d,"Send to stream",{name:"t",hash:{},data:b}))+'</label>\n                <select name="bot_default_sending_stream" class="edit_bot_default_sending_stream" id="edit_bot_default_sending_stream'+f((c=null!=(c=e.id_suffix||(null!=a?a.id_suffix:a))?c:g,"function"===typeof c?c.call(d,{name:"id_suffix",hash:{},data:b}):c))+'"></select>\n              </div>\n              <div class="control-group new-bot-ui">\n                <label for="edit_bot_default_events_register_stream'+
f((c=null!=(c=e.id_suffix||(null!=a?a.id_suffix:a))?c:g,"function"===typeof c?c.call(d,{name:"id_suffix",hash:{},data:b}):c))+'" class="control-label">'+f((e.t||a&&a.t||g).call(d,"Listen on",{name:"t",hash:{},data:b}))+'</label>\n                <select name="bot_default_events_register_stream" class="edit_bot_default_events_register_stream" id="edit_bot_default_events_register_stream'+f((c=null!=(c=e.id_suffix||(null!=a?a.id_suffix:a))?c:g,"function"===typeof c?c.call(d,{name:"id_suffix",hash:{},
data:b}):c))+'"></select>\n              </div>\n              <div class="control-group">\n               <label for="bot_avatar_file_input'+f((c=null!=(c=e.id_suffix||(null!=a?a.id_suffix:a))?c:g,"function"===typeof c?c.call(d,{name:"id_suffix",hash:{},data:b}):c))+'" class="control-label">Avatar</label>\n               <input type="file" id="bot_avatar_file_input'+f((c=null!=(c=e.id_suffix||(null!=a?a.id_suffix:a))?c:g,"function"===typeof c?c.call(d,{name:"id_suffix",hash:{},data:b}):c))+'" name="bot_avatar_file_input" class="notvisible edit_bot_avatar_file_input" value="'+
f((e.t||a&&a.t||g).call(d,"Upload avatar",{name:"t",hash:{},data:b}))+'" />\n                <div class="controls">\n                  <div class="edit_bot_avatar_file"></div>\n                  <button type="button" class="btn btn-default edit_bot_avatar_upload_button">'+f((e.t||a&&a.t||g).call(d,"Choose avatar",{name:"t",hash:{},data:b}))+'</button>\n                  <button type="button" class="btn btn-default edit_bot_avatar_clear_button display-none">'+f((e.t||a&&a.t||g).call(d,"Clear avatar",
{name:"t",hash:{},data:b}))+'</button>\n                </div>\n               <div><label for="edit_bot_avatar_file'+f((c=null!=(c=e.id_suffix||(null!=a?a.id_suffix:a))?c:g,"function"===typeof c?c.call(d,{name:"id_suffix",hash:{},data:b}):c))+'" generated="true" class="edit_bot_avatar_error text-error"></label></div>\n              </div>\n              <div class="control-group">\n               <div class="controls">\n                  <input type="submit" class="btn btn-primary edit_bot_button" value="'+
f((e.t||a&&a.t||g).call(d,"Save",{name:"t",hash:{},data:b}))+'" />\n                  <button type="button" class="btn btn-default reset_edit_bot">Cancel</button>\n               </div>\n               <div class="edit_bot_spinner"></div>\n              </div>\n            </div>\n        </form>\n    </div>\n</li>\n'},useData:!0});k.alert_word_settings_item=h({1:function(f,a,e,d,b){d=null!=a?a:{};var c=e.helperMissing;f=f.escapeExpression;return'        <div class="alert-word-settings-form">\n            <div class="add-new-alert-word-box grey-bg">\n                <form id="create_alert_word_form" class="form-horizontal no-padding">\n                    <h4 class="new-alert-word-section-title light no-margin">'+
f((e.t||a&&a.t||c).call(d,"Add a new alert word",{name:"t",hash:{},data:b}))+'</h4>\n                    <div class="new-alert-word-form">\n                        <div class="input-group">\n                            <label for="create_alert_word_name">'+f((e.t||a&&a.t||c).call(d,"New alert word",{name:"t",hash:{},data:b}))+'</label>\n                            <input type="text" name="alert_word_name" id="create_alert_word_name" class="required"\n                                maxlength=100 placeholder="'+
f((e.t||a&&a.t||c).call(d,"Alert Word",{name:"t",hash:{},data:b}))+'" value="" />\n                        </div>\n                        <div class="alert alert-danger" id="empty_alert_word_error" role="alert">\n                            <button type="button" class="close close-empty-alert-word-error" aria-label="Close">\n                                <span aria-hidden="true">&times;</span>\n                            </button>\n                            <span>'+f((e.t||a&&a.t||c).call(d,
"Alert words can't be empty!",{name:"t",hash:{},data:b}))+'</span>\n                        </div>\n                        <button class="button sea-green add-alert-word" id="create_alert_word_button" type="button">\n                            '+f((e.t||a&&a.t||c).call(d,"Add alert word",{name:"t",hash:{},data:b}))+"\n                        </button>\n                    </div>\n                </form>\n            </div>\n        </div>\n"},3:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;
f=f.escapeExpression;return'        <div class="alert-word-information-box list-container">\n            <div class="alert_word_listing">\n                <span class="value">'+f((c=null!=(c=e.word||(null!=a?a.word:a))?c:g,"function"===typeof c?c.call(d,{name:"word",hash:{},data:b}):c))+'</span>\n            </div>\n            <div class="edit-alert-word-buttons">\n                <button type="submit" class="button small btn-small btn-danger remove-alert-word" title="'+f((e.t||a&&a.t||g).call(d,
"Delete Alert Word",{name:"t",hash:{},data:b}))+'" data-word="'+f((c=null!=(c=e.word||(null!=a?a.word:a))?c:g,"function"===typeof c?c.call(d,{name:"word",hash:{},data:b}):c))+'">\n                    <i class="icon-vector-trash"></i>\n                </button>\n            </div>\n        </div>\n'},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};return'<li class="alert-word-item" data-word=\''+f.escapeExpression((g=null!=(g=e.word||(null!=a?a.word:a))?g:e.helperMissing,"function"===
typeof g?g.call(d,{name:"word",hash:{},data:b}):g))+"'>\n"+(null!=(c=e["if"].call(d,null!=a?a.editing:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.program(3,b,0),data:b}))?c:"")+"</li>\n"},useData:!0});k.tab_bar=h({1:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'  <li class="'+m((g=null!=(g=e.active||(null!=a?a.active:a))?g:l,"function"===typeof g?g.call(d,{name:"active",hash:{},data:b}):g))+" "+m((g=null!=(g=e.cls||(null!=a?a.cls:a))?g:l,"function"===
typeof g?g.call(d,{name:"cls",hash:{},data:b}):g))+" "+(null!=(c=e["if"].call(d,null!=a?a.home:a,{name:"if",hash:{},fn:f.program(2,b,0),inverse:f.noop,data:b}))?c:"")+'" '+(null!=(c=e["if"].call(d,null!=a?a.data:a,{name:"if",hash:{},fn:f.program(4,b,0),inverse:f.noop,data:b}))?c:"")+">\n"+(null!=(c=e["if"].call(d,null!=a?a.icon:a,{name:"if",hash:{},fn:f.program(6,b,0),inverse:f.noop,data:b}))?c:"")+(null!=(c=e["if"].call(d,null!=a?a.hash:a,{name:"if",hash:{},fn:f.program(8,b,0),inverse:f.program(13,
b,0),data:b}))?c:"")+"  </li>\n"},2:function(f,a,e,d,b){return"home-link"},4:function(f,a,e,d,b){var c;return'data-name="'+f.escapeExpression((c=null!=(c=e.data||(null!=a?a.data:a))?c:e.helperMissing,"function"===typeof c?c.call(null!=a?a:{},{name:"data",hash:{},data:b}):c))+'"'},6:function(f,a,e,d,b){return'      <i class="icon-vector-narrow icon-vector-small"></i>\n'},8:function(f,a,e,d,b){var c;return null!=(c=e["if"].call(null!=a?a:{},null!=a?a.home:a,{name:"if",hash:{},fn:f.program(9,b,0),inverse:f.program(11,
b,0),data:b}))?c:""},9:function(f,a,e,d,b){var c;return'        <a href="'+f.escapeExpression((c=null!=(c=e.hash||(null!=a?a.hash:a))?c:e.helperMissing,"function"===typeof c?c.call(null!=a?a:{},{name:"hash",hash:{},data:b}):c))+'"><i class="icon-vector-home"></i></a>\n'},11:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;f=f.escapeExpression;return'        <a href="'+f((c=null!=(c=e.hash||(null!=a?a.hash:a))?c:g,"function"===typeof c?c.call(d,{name:"hash",hash:{},data:b}):c))+'">'+
f((c=null!=(c=e.title||(null!=a?a.title:a))?c:g,"function"===typeof c?c.call(d,{name:"title",hash:{},data:b}):c))+"</a>\n"},13:function(f,a,e,d,b){var c;d=null!=a?a:{};return(null!=(c=e["if"].call(d,null!=a?a.home:a,{name:"if",hash:{},fn:f.program(14,b,0),inverse:f.noop,data:b}))?c:"")+(null!=(c=e.unless.call(d,null!=a?a.home:a,{name:"unless",hash:{},fn:f.program(16,b,0),inverse:f.noop,data:b}))?c:"")},14:function(f,a,e,d,b){return'        <i class="icon-vector-home"></i>\n'},16:function(f,a,e,d,
b){var c;return"        "+f.escapeExpression((c=null!=(c=e.title||(null!=a?a.title:a))?c:e.helperMissing,"function"===typeof c?c.call(null!=a?a:{},{name:"title",hash:{},data:b}):c))+"\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;return'<ul id="tab_list">\n'+(null!=(c=e.each.call(null!=a?a:{},null!=a?a.tabs:a,{name:"each",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+"</ul>\n"},useData:!0});k.stream_privacy=h({1:function(f,a,e,d,b){return'  <i class="icon-vector-lock"></i>\n'},
compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;return null!=(c=e["if"].call(null!=a?a:{},null!=a?a.invite_only:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:""},useData:!0});k.admin_default_streams_list=h({1:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'<tr class="default_stream_row" id="'+m((g=null!=(g=e.name||(null!=a?a.name:a))?g:l,"function"===typeof g?g.call(d,{name:"name",hash:{},data:b}):g))+'">\n  <td>\n      '+(null!=
(c=e["if"].call(d,null!=a?a.invite_only:a,{name:"if",hash:{},fn:f.program(2,b,0),inverse:f.noop,data:b}))?c:"")+'\n      <span class="default_stream_name">'+m((g=null!=(g=e.name||(null!=a?a.name:a))?g:l,"function"===typeof g?g.call(d,{name:"name",hash:{},data:b}):g))+'</span>\n  </td>\n  <td>\n      <button class="button remove-default-stream btn-danger">\n        '+m((e.t||a&&a.t||l).call(d,"Remove from default",{name:"t",hash:{},data:b}))+"\n      </button>\n  </td>\n</tr>\n"},2:function(f,a,e,
d,b){return'<i class="icon-vector-lock "></i>'},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;return null!=(c=e["with"].call(null!=a?a:{},null!=a?a.stream:a,{name:"with",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:""},useData:!0});k.message_group=h({1:function(f,a,e,d,b,c,g){var l;return null!=(l=e["with"].call(null!=a?a:{},a,{name:"with",hash:{},fn:f.program(2,b,0,c,g),inverse:f.noop,data:b}))?l:""},2:function(f,a,e,d,b,c,g){var l,m;d=null!=a?a:{};var h=e.helperMissing,k=f.escapeExpression;
return"\n"+(null!=(l=e["if"].call(d,null!=a?a.show_date:a,{name:"if",hash:{},fn:f.program(3,b,0,c,g),inverse:f.noop,data:b}))?l:"")+"\n"+(null!=(l=e["if"].call(d,null!=a?a.bookend_top:a,{name:"if",hash:{},fn:f.program(5,b,0,c,g),inverse:f.noop,data:b}))?l:"")+'\n<div class="recipient_row" id="'+k((m=null!=(m=e.message_group_id||(null!=a?a.message_group_id:a))?m:h,"function"===typeof m?m.call(d,{name:"message_group_id",hash:{},data:b}):m))+'">\n  '+k((e.partial||a&&a.partial||h).call(d,"recipient_row",
"use_match_properties",null!=g[1]?g[1].use_match_properties:g[1],{name:"partial",hash:{},data:b}))+"\n"+(null!=(l=e.each.call(d,null!=a?a.message_containers:a,{name:"each",hash:{},fn:f.program(7,b,0,c,g),inverse:f.noop,data:b}))?l:"")+"</div>\n\n"+(null!=(l=e["if"].call(d,null!=a?a.bookend_bottom:a,{name:"if",hash:{},fn:f.program(5,b,0,c,g),inverse:f.noop,data:b}))?l:"")+"\n"},3:function(f,a,e,d,b){var c,g;return'<div class="date_row">'+(null!=(c=(g=null!=(g=e.show_date||(null!=a?a.show_date:a))?
g:e.helperMissing,"function"===typeof g?g.call(null!=a?a:{},{name:"show_date",hash:{},data:b}):g))?c:"")+"</div>\n"},5:function(f,a,e,d,b){return f.escapeExpression((e.partial||a&&a.partial||e.helperMissing).call(null!=a?a:{},"bookend",{name:"partial",hash:{},data:b}))+"\n"},7:function(f,a,e,d,b,c,g){var l;return null!=(l=e["with"].call(null!=a?a:{},a,{name:"with",hash:{},fn:f.program(8,b,0,c,g),inverse:f.noop,data:b}))?l:""},8:function(f,a,e,d,b,c,g){return"    "+f.escapeExpression((e.partial||a&&
a.partial||e.helperMissing).call(null!=a?a:{},"single_message","use_match_properties",null!=g[2]?g[2].use_match_properties:g[2],"table_name",null!=g[2]?g[2].table_name:g[2],{name:"partial",hash:{},data:b}))+"\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b,c,g){var l;return"\n"+(null!=(l=e.each.call(null!=a?a:{},null!=a?a.message_groups:a,{name:"each",hash:{},fn:f.program(1,b,0,c,g),inverse:f.noop,data:b}))?l:"")},useData:!0,useDepths:!0});k["compose-invite-users"]=h({1:function(f,a,e,d,b){return"<strong>__name__</strong> is not subscribed to this stream."},
compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'<div class="compose_invite_user" data-useremail="'+m((g=null!=(g=e.email||(null!=a?a.email:a))?g:l,"function"===typeof g?g.call(d,{name:"email",hash:{},data:b}):g))+'">\n    '+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'\n    <div class="compose_invite_user_controls">\n        <span class="compose_invite_user_error alert alert-error" style="display: none;">'+
m((e.t||a&&a.t||l).call(d,"Unable to subscribe user",{name:"t",hash:{},data:b}))+'</span>\n        <button href="" class="btn btn-warning compose_invite_link" >'+m((e.t||a&&a.t||l).call(d,"Subscribe",{name:"t",hash:{},data:b}))+'</button><button type="button" class="compose_invite_close close">\u00d7</button>\n    </div>\n</div>\n'},useData:!0});k.message_info_popover_content=h({1:function(f,a,e,d,b){return"Sent by <b>__message.sender_full_name__</b>"},3:function(f,a,e,d,b){return'    <li class="small">('+
f.escapeExpression((e.t||a&&a.t||e.helperMissing).call(null!=a?a:{},"Message sent when you were not subscribed",{name:"t",hash:{},data:b}))+")</li>\n"},5:function(f,a,e,d,b){return"Send __message.sender_full_name__ a private message"},7:function(f,a,e,d,b){return"Narrow to private messages with __message.sender_full_name__"},9:function(f,a,e,d,b){return"Narrow to messages sent by __message.sender_full_name__"},11:function(f,a,e,d,b){return"@ Compose a reply @-mentioning __message.sender_full_name__"},
compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=f.lambda;var l=f.escapeExpression,m=null!=a?a:{},h=e.helperMissing;return'<ul class="nav nav-list actions_popover sender_info_popover" data-email="'+l(d(null!=(c=null!=a?a.message:a)?c.sender_email:c,a))+'" data-user-id="'+l(d(null!=(c=null!=a?a.message:a)?c.sender_id:c,a))+'">\n  <div class="popover_info">\n    <li>'+(null!=(c=(e.tr||a&&a.tr||h).call(m,a,{name:"tr",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+"</li>\n    <li class='my_email'>"+
l(d(null!=(c=null!=a?a.message:a)?c.sender_email:c,a))+"</li>\n    <hr />\n\n    <li>"+l(d(null!=(c=null!=a?a.message:a)?c.full_date_str:c,a))+"</li>\n    <li>"+l(d(null!=(c=null!=a?a.message:a)?c.full_time_str:c,a))+"</li>\n"+(null!=(c=e["if"].call(m,null!=(c=null!=a?a.message:a)?c.historical:c,{name:"if",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+'  </div>\n  <hr />\n  <li>\n    <a href="#" class="respond_personal_button">\n      <i class="icon-vector-edit"></i> '+(null!=(c=(e.tr||
a&&a.tr||h).call(m,a,{name:"tr",hash:{},fn:f.program(5,b,0),inverse:f.noop,data:b}))?c:"")+'\n    </a>\n  </li>\n  <li>\n    <a href="'+l((g=null!=(g=e.pm_with_uri||(null!=a?a.pm_with_uri:a))?g:h,"function"===typeof g?g.call(m,{name:"pm_with_uri",hash:{},data:b}):g))+'" class="narrow_to_private_messages">\n      <i class="icon-vector-user"></i> '+(null!=(c=(e.tr||a&&a.tr||h).call(m,a,{name:"tr",hash:{},fn:f.program(7,b,0),inverse:f.noop,data:b}))?c:"")+'\n    </a>\n  </li>\n  <li>\n    <a href="'+
l((g=null!=(g=e.sent_by_uri||(null!=a?a.sent_by_uri:a))?g:h,"function"===typeof g?g.call(m,{name:"sent_by_uri",hash:{},data:b}):g))+'" class="narrow_to_messages_sent">\n      <i class="icon-vector-bullhorn"></i> '+(null!=(c=(e.tr||a&&a.tr||h).call(m,a,{name:"tr",hash:{},fn:f.program(9,b,0),inverse:f.noop,data:b}))?c:"")+'\n    </a>\n  </li>\n  <li>\n    <a class="mention_user">\n      '+(null!=(c=(e.tr||a&&a.tr||h).call(m,a,{name:"tr",hash:{},fn:f.program(11,b,0),inverse:f.noop,data:b}))?c:"")+"\n    </a>\n  </li>\n</ul>\n"},
useData:!0});k.user_sidebar_actions=h({1:function(f,a,e,d,b){return"Narrow to private messages with <b>__name__</b>"},3:function(f,a,e,d,b){return"Narrow to messages sent by <b>__name__</b>"},5:function(f,a,e,d,b){return"Compose a message to <b>__name__</b>"},7:function(f,a,e,d,b){return"@ Compose a message @-mentioning <b>__name__</b>"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing;return'<ul class="nav nav-list user_popover" data-user-id="'+f.escapeExpression((g=
null!=(g=e.user_id||(null!=a?a.user_id:a))?g:l,"function"===typeof g?g.call(d,{name:"user_id",hash:{},data:b}):g))+'">\n  <li>\n    <a class="narrow_to_private_messages">\n      <i class="icon-vector-user"></i>\n      '+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'\n    </a>\n  </li>\n  <li>\n    <a class="narrow_to_messages_sent">\n      <i class="icon-vector-bullhorn"></i>\n      '+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},
fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+'\n    </a>\n  </li>\n  <li>\n    <a class="compose_private_message">\n      <i class="icon-vector-edit"></i>\n      '+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(5,b,0),inverse:f.noop,data:b}))?c:"")+'\n    </a>\n  </li>\n  <li>\n    <a class="mention_user">\n      '+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(7,b,0),inverse:f.noop,data:b}))?c:"")+"\n    </a>\n  </li>\n</ul>\n"},useData:!0});k.email_address_hint=
h({1:function(f,a,e,d,b){return"You can send emails to __page_params.product_name__! Just copy and use this address as an email recipient, and:"},3:function(f,a,e,d,b){return"The email subject will become the __page_params.product_name__ topic"},5:function(f,a,e,d,b){return"The email body will become the __page_params.product_name__ message"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;return"<div>\n\n<p>"+(null!=(c=(e.tr||a&&a.tr||g).call(d,a,{name:"tr",
hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'</p>\n\n<img class="subscription-email-hint-image" src="/static/images/integrations/zulip_mail.png" />\n\n<ul>\n<li>'+f.escapeExpression((e.t||a&&a.t||g).call(d,"The email will be forwarded to this stream",{name:"t",hash:{},data:b}))+"</li>\n<li>"+(null!=(c=(e.tr||a&&a.tr||g).call(d,a,{name:"tr",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+"</li>\n<li>"+(null!=(c=(e.tr||a&&a.tr||g).call(d,a,{name:"tr",hash:{},fn:f.program(5,
b,0),inverse:f.noop,data:b}))?c:"")+"</li>\n</ul>\n\n</div>\n"},useData:!0});k.settings_tab=h({compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){d=null!=a?a:{};var c=e.helperMissing;f=f.escapeExpression;return'<h1><i class="icon-vector-wrench settings-icon"></i>'+f((e.t||a&&a.t||c).call(d,"Settings",{name:"t",hash:{},data:b}))+'</h1>\n\n<div id="settings-change-box" class="new-style">\n\n  <div class="alert" id="settings-status"></div>\n\n  '+f((e.partial||a&&a.partial||c).call(d,"account-settings",
{name:"partial",hash:{},data:b}))+"\n\n  "+f((e.partial||a&&a.partial||c).call(d,"display-settings",{name:"partial",hash:{},data:b}))+"\n\n  "+f((e.partial||a&&a.partial||c).call(d,"notification-settings",{name:"partial",hash:{},data:b}))+"\n</div>\n\n"+f((e.partial||a&&a.partial||c).call(d,"bot-settings",{name:"partial",hash:{},data:b}))+"\n\n"+f((e.partial||a&&a.partial||c).call(d,"alert-word-settings",{name:"partial",hash:{},data:b}))+"\n\n"+f((e.partial||a&&a.partial||c).call(d,"ui-settings",
{name:"partial",hash:{},data:b}))+"\n"},useData:!0});k.topic_sidebar_actions=h({1:function(f,a,e,d,b){return"Narrow to topic <b>__topic_name__</b>"},3:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'  <li>\n    <a href="#" class="sidebar-popover-mute-topic" data-stream-name="'+m((g=null!=(g=e.stream_name||(null!=a?a.stream_name:a))?g:l,"function"===typeof g?g.call(d,{name:"stream_name",hash:{},data:b}):g))+'" data-topic-name="'+m((g=null!=(g=e.topic_name||
(null!=a?a.topic_name:a))?g:l,"function"===typeof g?g.call(d,{name:"topic_name",hash:{},data:b}):g))+'">\n      <i class="icon-vector-eye-close"></i>\n      '+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(4,b,0),inverse:f.noop,data:b}))?c:"")+"\n    </a>\n  </li>\n"},4:function(f,a,e,d,b){return"Mute the topic <b>__topic_name__</b>"},6:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'  <li>\n    <a href="#" class="sidebar-popover-unmute-topic" data-stream-name="'+
m((g=null!=(g=e.stream_name||(null!=a?a.stream_name:a))?g:l,"function"===typeof g?g.call(d,{name:"stream_name",hash:{},data:b}):g))+'" data-topic-name="'+m((g=null!=(g=e.topic_name||(null!=a?a.topic_name:a))?g:l,"function"===typeof g?g.call(d,{name:"topic_name",hash:{},data:b}):g))+'">\n      <i class="icon-vector-eye-open"></i>\n      '+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(7,b,0),inverse:f.noop,data:b}))?c:"")+"\n    </a>\n  </li>\n"},7:function(f,a,e,d,b){return"Unmute the topic <b>__topic_name__</b>"},
9:function(f,a,e,d,b){return"Mark all messages in <b>__topic_name__</b> as read"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'<ul class="nav nav-list topics_popover">\n  <li>\n    <a class="narrow_to_topic" data-stream-name="'+m((g=null!=(g=e.stream_name||(null!=a?a.stream_name:a))?g:l,"function"===typeof g?g.call(d,{name:"stream_name",hash:{},data:b}):g))+'" data-topic-name="'+m((g=null!=(g=e.topic_name||(null!=a?a.topic_name:
a))?g:l,"function"===typeof g?g.call(d,{name:"topic_name",hash:{},data:b}):g))+'">\n      <i class="icon-vector-bullhorn"></i>\n      '+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+"\n    </a>\n  </li>\n\n\n"+(null!=(c=e["if"].call(d,null!=a?a.can_mute_topic:a,{name:"if",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+"\n"+(null!=(c=e["if"].call(d,null!=a?a.can_unmute_topic:a,{name:"if",hash:{},fn:f.program(6,b,0),inverse:f.noop,
data:b}))?c:"")+'  <li>\n    <a class="sidebar-popover-mark-topic-read" data-stream-name="'+m((g=null!=(g=e.stream_name||(null!=a?a.stream_name:a))?g:l,"function"===typeof g?g.call(d,{name:"stream_name",hash:{},data:b}):g))+'" data-topic-name="'+m((g=null!=(g=e.topic_name||(null!=a?a.topic_name:a))?g:l,"function"===typeof g?g.call(d,{name:"topic_name",hash:{},data:b}):g))+'">\n      <i class="icon-vector-book"></i>\n      '+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(9,b,
0),inverse:f.noop,data:b}))?c:"")+"\n    </a>\n  </li>\n\n\n</ul>\n"},useData:!0});k.tutorial_stream=h({1:function(f,a,e,d,b){return"        <b>Streams</b> are like chat rooms or mailing lists. You can easily\n        <b>join</b>, <b>leave</b>, and <b>make</b> them.\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'\n<div class="tutorial-popover popover-'+m((g=null!=(g=e.placement||(null!=a?a.placement:a))?g:l,"function"===
typeof g?g.call(d,{name:"placement",hash:{},data:b}):g))+'" id="tutorial-stream">\n    <p>\n'+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'    </p>\n\n    <div class="tutorial-done-button">\n      <button class="btn btn-primary" type="submit" id="tutorial-stream-next">'+m((e.t||a&&a.t||l).call(d,"Next",{name:"t",hash:{},data:b}))+"</button>\n    </div>\n</div>\n"},useData:!0});k.subscription_settings=h({1:function(f,a,e,d,b){var c,g,
l;d=null!=a?a:{};var m=e.helperMissing,h=f.escapeExpression,k=e.blockHelperMissing,n='<div class="subscription_settings" data-stream-id="'+h((g=null!=(g=e.stream_id||(null!=a?a.stream_id:a))?g:m,"function"===typeof g?g.call(d,{name:"stream_id",hash:{},data:b}):g))+'" data-stream-name="'+h((g=null!=(g=e.name||(null!=a?a.name:a))?g:m,"function"===typeof g?g.call(d,{name:"name",hash:{},data:b}):g))+'">\n <div class="inner-box">\n  <div class="stream-header">\n'+(null!=(c=e["if"].call(d,null!=a?a.invite_only:
a,{name:"if",hash:{},fn:f.program(2,b,0),inverse:f.program(4,b,0),data:b}))?c:"")+'    <div class="stream-name">\n      <span class="stream-name-editable editable-section">'+h((g=null!=(g=e.name||(null!=a?a.name:a))?g:m,"function"===typeof g?g.call(d,{name:"name",hash:{},data:b}):g))+"</span>\n"+(null!=(c=e["if"].call(d,null!=a?a.is_admin:a,{name:"if",hash:{},fn:f.program(6,b,0),inverse:f.noop,data:b}))?c:"")+'    </div>\n    <button class="button small white rounded subscribe-button sub_unsub_button '+
(null!=(c=e.unless.call(d,null!=a?a.subscribed:a,{name:"unless",hash:{},fn:f.program(8,b,0),inverse:f.noop,data:b}))?c:"")+'" type="button" name="button">\n        '+(null!=(c=e["if"].call(d,null!=a?a.subscribed:a,{name:"if",hash:{},fn:f.program(10,b,0),inverse:f.program(12,b,0),data:b}))?c:"")+'</button>\n  </div>\n  <div class="stream-description" data-no-description="'+h((e.t||a&&a.t||m).call(d,"No description.",{name:"t",hash:{},data:b}))+'">\n      <span class="stream-description-editable editable-section">'+
h((g=null!=(g=e.description||(null!=a?a.description:a))?g:m,"function"===typeof g?g.call(d,{name:"description",hash:{},data:b}):g))+"</span>\n"+(null!=(c=e["if"].call(d,null!=a?a.is_admin:a,{name:"if",hash:{},fn:f.program(14,b,0),inverse:f.noop,data:b}))?c:"")+'  </div>\n  <div class="regular_subscription_settings collapse ';c=(g=null!=(g=e.subscribed||(null!=a?a.subscribed:a))?g:m,l={name:"subscribed",hash:{},fn:f.program(16,b,0),inverse:f.noop,data:b},"function"===typeof g?g.call(d,l):g);e.subscribed||
(c=k.call(a,c,l));null!=c&&(n+=c);n+='">\n    <div class="subscription-type">\n      '+h((e.partial||a&&a.partial||m).call(d,"subscription_type",{name:"partial",hash:{},data:b}))+'\n    </div>\n    <div class="subscription-config">\n    <ul>\n      <li>\n        <div id="sub_setting_not_in_home_view" class="sub_setting_checkbox sub-mute-setting">\n          <input id="mutestream-'+h((g=null!=(g=e.stream_id||(null!=a?a.stream_id:a))?g:m,"function"===typeof g?g.call(d,{name:"stream_id",hash:{},data:b}):
g))+'" class="sub_setting_control" type="checkbox" tabindex="-1" '+(null!=(c=e.unless.call(d,null!=a?a.in_home_view:a,{name:"unless",hash:{},fn:f.program(18,b,0),inverse:f.noop,data:b}))?c:"")+' />\n          <label class="subscription-control-label">Mute stream</label>\n          <p class="mute-note '+(null!=(c=e["if"].call(d,null!=a?a.in_home_view:a,{name:"if",hash:{},fn:f.program(20,b,0),inverse:f.noop,data:b}))?c:"")+'">'+h((e.t||a&&a.t||m).call(d,"Muted streams don't show up in your home view or generate notifications unless you are mentioned.",
{name:"t",hash:{},data:b}))+'</p>\n        </div>\n      </li>\n      <li>\n        <div id="sub_desktop_notifications_setting"\n             class="sub_setting_checkbox sub_notification_setting '+(null!=(c=e.unless.call(d,null!=a?a.in_home_view:a,{name:"unless",hash:{},fn:f.program(22,b,0),inverse:f.noop,data:b}))?c:"")+'">\n          <input id="desktop-notifystream-'+h((g=null!=(g=e.stream_id||(null!=a?a.stream_id:a))?g:m,"function"===typeof g?g.call(d,{name:"stream_id",hash:{},data:b}):g))+'" class="sub_setting_control" type="checkbox" tabindex="-1" '+
(null!=(c=e["if"].call(d,null!=a?a.desktop_notifications:a,{name:"if",hash:{},fn:f.program(18,b,0),inverse:f.noop,data:b}))?c:"")+" "+(null!=(c=e.unless.call(d,null!=a?a.in_home_view:a,{name:"unless",hash:{},fn:f.program(24,b,0),inverse:f.noop,data:b}))?c:"")+'/>\n          <label class="subscription-control-label">'+h((e.t||a&&a.t||m).call(d,"Receive desktop notifications",{name:"t",hash:{},data:b}))+'</label>\n        </div>\n      </li>\n      <li>\n        <div id="sub_audible_notifications_setting"\n             class="sub_setting_checkbox sub_notification_setting '+
(null!=(c=e.unless.call(d,null!=a?a.in_home_view:a,{name:"unless",hash:{},fn:f.program(22,b,0),inverse:f.noop,data:b}))?c:"")+'">\n          <input id="audible-notifystream-'+h((g=null!=(g=e.stream_id||(null!=a?a.stream_id:a))?g:m,"function"===typeof g?g.call(d,{name:"stream_id",hash:{},data:b}):g))+'" class="sub_setting_control" type="checkbox" tabindex="-1" '+(null!=(c=e["if"].call(d,null!=a?a.audible_notifications:a,{name:"if",hash:{},fn:f.program(18,b,0),inverse:f.noop,data:b}))?c:"")+" "+(null!=
(c=e.unless.call(d,null!=a?a.in_home_view:a,{name:"unless",hash:{},fn:f.program(24,b,0),inverse:f.noop,data:b}))?c:"")+'/>\n          <label class="subscription-control-label">'+h((e.t||a&&a.t||m).call(d,"Receive audible notifications",{name:"t",hash:{},data:b}))+'</label>\n        </div>\n\n      </li>\n      <li>\n        <div id="sub_pin_setting" class="sub_setting_checkbox">\n          <input id="pinstream-'+h((g=null!=(g=e.stream_id||(null!=a?a.stream_id:a))?g:m,"function"===typeof g?g.call(d,
{name:"stream_id",hash:{},data:b}):g))+'" class="sub_setting_control" type="checkbox" tabindex="-1" '+(null!=(c=e["if"].call(d,null!=a?a.pin_to_top:a,{name:"if",hash:{},fn:f.program(18,b,0),inverse:f.noop,data:b}))?c:"")+' />\n          <label class="subscription-control-label">'+h((e.t||a&&a.t||m).call(d,"Pin stream to top of left sidebar",{name:"t",hash:{},data:b}))+'</label>\n        </div>\n      </li>\n      <li>\n        <label for="streamcolor" class="subscription-control-label">'+h((e.t||
a&&a.t||m).call(d,"Stream color",{name:"t",hash:{},data:b}))+'</label>\n        <span class="sub_setting_control">\n          <input stream_id="'+h((g=null!=(g=e.stream_id||(null!=a?a.stream_id:a))?g:m,"function"===typeof g?g.call(d,{name:"stream_id",hash:{},data:b}):g))+'" class="colorpicker" id="streamcolor" type="text" value="'+h((g=null!=(g=e.color||(null!=a?a.color:a))?g:m,"function"===typeof g?g.call(d,{name:"color",hash:{},data:b}):g))+'" tabindex="-1" />\n        </span>\n      </li>\n    </ul>\n    </div>\n  </div>\n'+
(null!=(c=(e.if_and||a&&a.if_and||m).call(d,null!=a?a.subscribed:a,null!=a?a.email_address:a,{name:"if_and",hash:{},fn:f.program(26,b,0),inverse:f.noop,data:b}))?c:"")+"\n"+(null!=(c=e["if"].call(d,null!=a?a.is_admin:a,{name:"if",hash:{},fn:f.program(28,b,0),inverse:f.noop,data:b}))?c:"")+"\n";c=(g=null!=(g=e.render_subscribers||(null!=a?a.render_subscribers:a))?g:m,l={name:"render_subscribers",hash:{},fn:f.program(30,b,0),inverse:f.noop,data:b},"function"===typeof g?g.call(d,l):g);e.render_subscribers||
(c=k.call(a,c,l));null!=c&&(n+=c);return n+" </div>\n</div>\n"},2:function(f,a,e,d,b){var c;return'    <div class="large-icon lock" style="color: '+f.escapeExpression((c=null!=(c=e.color||(null!=a?a.color:a))?c:e.helperMissing,"function"===typeof c?c.call(null!=a?a:{},{name:"color",hash:{},data:b}):c))+'">\n      <i class="icon-vector-lock"></i>\n    </div>\n'},4:function(f,a,e,d,b){var c;return'    <div class="large-icon hash" style="color: '+f.escapeExpression((c=null!=(c=e.color||(null!=a?a.color:
a))?c:e.helperMissing,"function"===typeof c?c.call(null!=a?a:{},{name:"color",hash:{},data:b}):c))+'"></div>\n'},6:function(f,a,e,d,b){return'        <span class="editable" data-make-editable=".stream-name-editable"></span>\n        <span class="checkmark" data-finish-editing=".stream-name-editable">\u2713</span>\n'},8:function(f,a,e,d,b){return"unsubscribed"},10:function(f,a,e,d,b){return"Unsubscribe"},12:function(f,a,e,d,b){return"Subscribe"},14:function(f,a,e,d,b){return'        <span class="editable" data-make-editable=".stream-description-editable"></span>\n        <span class="checkmark" data-finish-editing=".stream-description-editable">\u2713</span>\n'},
16:function(f,a,e,d,b){return"in"},18:function(f,a,e,d,b){return"checked"},20:function(f,a,e,d,b){return"hide-mute-note"},22:function(f,a,e,d,b){return"muted-sub"},24:function(f,a,e,d,b){return'disabled="disabled"'},26:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;f=f.escapeExpression;return'  <div class="stream-email-box">\n      <div class="sub_settings_title">Email address <i class="icon-vector-question-sign stream-email-hint" id="email-address-hint-'+f((c=null!=(c=e.stream_id||
(null!=a?a.stream_id:a))?c:g,"function"===typeof c?c.call(d,{name:"stream_id",hash:{},data:b}):c))+'"></i></div>\n  <div class="stream-email">\n      <span class="email-address">'+f((c=null!=(c=e.email_address||(null!=a?a.email_address:a))?c:g,"function"===typeof c?c.call(d,{name:"email_address",hash:{},data:b}):c))+"</span>\n  </div>\n  </div>\n"},28:function(f,a,e,d,b){d=null!=a?a:{};var c=e.helperMissing;f=f.escapeExpression;return'    <div class="admin-settings">\n      <div class="sub_settings_title">'+
f((e.t||a&&a.t||c).call(d,"Administrator settings",{name:"t",hash:{},data:b}))+'</div>\n      <div class="change-stream-privacy">\n        '+f((e.partial||a&&a.partial||c).call(d,"change_stream_privacy",{name:"partial",hash:{},data:b}))+"\n      </div>\n    </div>\n"},30:function(f,a,e,d,b){d=null!=a?a:{};var c=e.helperMissing;f=f.escapeExpression;return'  <div class="subscriber_list_settings">\n    <div class="sub_settings_title">'+f((e.t||a&&a.t||c).call(d,"Stream membership",{name:"t",hash:{},
data:b}))+'</div>\n    <div class="subscriber_list_add">\n      <form class="form-inline">\n        <input type="text" name="principal" placeholder="'+f((e.t||a&&a.t||c).call(d,"Email address",{name:"t",hash:{},data:b}))+'" value="" class="input-block" autocomplete="off" tabindex="-1" />\n        <input type="submit" name="add_subscriber" value="'+f((e.t||a&&a.t||c).call(d,"Add",{name:"t",hash:{},data:b}))+'" class="btn btn-primary add-subscriber-button" tabindex="-1 "/>\n      </form>\n    </div>\n  </div>\n  <div class="subscriber-list-box">\n    <div class="subscriber_list_container">\n      <div class="subscriber_list_loading_indicator"></div>\n      <div class="alert alert-error hide"></div>\n      <div class="alert alert-warning hide"></div>\n      <table class="subscriber-list">\n      </table>\n    </div>\n  </div>\n'},
compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;return null!=(c=e["with"].call(null!=a?a:{},a,{name:"with",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:""},useData:!0});k.single_message=h({1:function(f,a,e,d,b){return" private-message"},3:function(f,a,e,d,b){return" include-sender"},5:function(f,a,e,d,b){return" mention"},7:function(f,a,e,d,b){return" last_message"},9:function(f,a,e,d,b){return" unread"},11:function(f,a,e,d,b){return"local"},13:function(f,a,e,d,b){return" prev_is_same_sender"},
15:function(f,a,e,d,b){return"next_is_same_sender"},17:function(f,a,e,d,b){var c;return f.escapeExpression((c=null!=(c=e.background_color||(null!=a?a.background_color:a))?c:e.helperMissing,"function"===typeof c?c.call(null!=a?a:{},{name:"background_color",hash:{},data:b}):c))},19:function(f,a,e,d,b){return"#444444"},21:function(f,a,e,d,b){var c,g,l=null!=a?a:{},m=e.helperMissing,h=e.blockHelperMissing,k=f.escapeExpression,n='          <span class="message_sender';d=(c=null!=(c=e.status_message||(null!=
a?a.status_message:a))?c:m,g={name:"status_message",hash:{},fn:f.noop,inverse:f.program(22,b,0),data:b},"function"===typeof c?c.call(l,g):c);e.status_message||(d=h.call(a,d,g));null!=d&&(n+=d);n+='">\n            <div class="u-'+k(f.lambda(null!=(d=null!=a?a.msg:a)?d.sender_id:d,a))+" inline_profile_picture";d=(c=null!=(c=e.status_message||(null!=a?a.status_message:a))?c:m,g={name:"status_message",hash:{},fn:f.program(22,b,0),inverse:f.noop,data:b},"function"===typeof c?c.call(l,g):c);e.status_message||
(d=h.call(a,d,g));null!=d&&(n+=d);n+='"\n                 style="background-image: url(\''+k((c=null!=(c=e.small_avatar_url||(null!=a?a.small_avatar_url:a))?c:m,"function"===typeof c?c.call(l,{name:"small_avatar_url",hash:{},data:b}):c))+'\');"/>\n          <span class="';d=(c=null!=(c=e.status_message||(null!=a?a.status_message:a))?c:m,g={name:"status_message",hash:{},fn:f.noop,inverse:f.program(24,b,0),data:b},"function"===typeof c?c.call(l,g):c);e.status_message||(d=h.call(a,d,g));null!=d&&(n+=
d);d=(c=null!=(c=e.status_message||(null!=a?a.status_message:a))?c:m,g={name:"status_message",hash:{},fn:f.program(26,b,0),inverse:f.noop,data:b},"function"===typeof c?c.call(l,g):c);e.status_message||(d=h.call(a,d,g));null!=d&&(n+=d);return n+'">\n\n'+(null!=(d=e.unless.call(l,null!=a?a.status_message:a,{name:"unless",hash:{},fn:f.program(28,b,0),inverse:f.program(30,b,0),data:b}))?d:"")+(null!=(d=(e.if_and||a&&a.if_and||m).call(l,null!=a?a.last_edit_timestr:a,null!=a?a.include_sender:a,{name:"if_and",
hash:{},fn:f.program(33,b,0),inverse:f.noop,data:b}))?d:"")+"          </span>\n          </span>\n"},22:function(f,a,e,d,b){return" sender_info_hover"},24:function(f,a,e,d,b){return"sender_name"},26:function(f,a,e,d,b){return"sender-status"},28:function(f,a,e,d,b){var c;return"              "+f.escapeExpression(f.lambda(null!=(c=null!=a?a.msg:a)?c.sender_full_name:c,a))+"\n"},30:function(f,a,e,d,b){var c,g,l=null!=a?a:{},m=e.helperMissing,h='              <span class="sender_name';d=(c=null!=(c=
e.status_message||(null!=a?a.status_message:a))?c:m,g={name:"status_message",hash:{},fn:f.program(31,b,0),inverse:f.noop,data:b},"function"===typeof c?c.call(l,g):c);e.status_message||(d=e.blockHelperMissing.call(a,d,g));null!=d&&(h+=d);return h+' sender_info_hover">'+f.escapeExpression(f.lambda(null!=(d=null!=a?a.msg:a)?d.sender_full_name:d,a))+"</span>\n                  "+(null!=(d=(c=null!=(c=e.status_message||(null!=a?a.status_message:a))?c:m,"function"===typeof c?c.call(l,{name:"status_message",
hash:{},data:b}):c))?d:"")+"\n"},31:function(f,a,e,d,b){return"-in-status"},33:function(f,a,e,d,b){var c;return null!=(c=e["if"].call(null!=a?a:{},null!=a?a.status_message:a,{name:"if",hash:{},fn:f.program(34,b,0),inverse:f.noop,data:b}))?c:""},34:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;return'                <div class="message_edit_notice" title="'+(null!=(c=(e.tr||a&&a.tr||g).call(d,a,{name:"tr",hash:{},fn:f.program(35,b,0),inverse:f.noop,data:b}))?c:"")+'">'+f.escapeExpression((e.t||
a&&a.t||g).call(d,"EDITED",{name:"t",hash:{},data:b}))+"</div>\n"},35:function(f,a,e,d,b){return"Edited (__last_edit_timestr__)"},37:function(f,a,e,d,b){return" notvisible"},39:function(f,a,e,d,b){return" status-time"},41:function(f,a,e,d,b){var c;return null!=(c=e.unless.call(null!=a?a:{},null!=a?a.status_message:a,{name:"unless",hash:{},fn:f.program(34,b,0),inverse:f.noop,data:b}))?c:""},43:function(f,a,e,d,b){return" sender-status-controls"},45:function(f,a,e,d,b){return"icon-vector-star"},47:function(f,
a,e,d,b){return"icon-vector-star-empty empty-star"},49:function(f,a,e,d,b){var c;return(null!=(c=e["if"].call(null!=a?a:{},null!=(c=null!=a?a.msg:a)?c.starred:c,{name:"if",hash:{},fn:f.program(50,b,0),inverse:f.program(52,b,0),data:b}))?c:"")+" this message"},50:function(f,a,e,d,b){return"Unstar"},52:function(f,a,e,d,b){return"Star"},54:function(f,a,e,d,b){return'            <span class="edit_content"></span>\n'},56:function(f,a,e,d,b){var c;return'            <div class="reactions_hover">\n            <i class="icon-vector-smile reaction_button" data-msgid="'+
f.escapeExpression(f.lambda(null!=(c=null!=a?a.msg:a)?c.id:c,a))+'"></i>\n            </div>\n'},58:function(f,a,e,d,b){return"notvisible"},60:function(f,a,e,d,b){var c;return null!=(c=e["if"].call(null!=a?a:{},null!=a?a.use_match_properties:a,{name:"if",hash:{},fn:f.program(61,b,0),inverse:f.program(63,b,0),data:b}))?c:""},61:function(f,a,e,d,b){var c;return null!=(c=f.lambda(null!=(c=null!=a?a.msg:a)?c.match_content:c,a))?c:""},63:function(f,a,e,d,b){var c;return null!=(c=f.lambda(null!=(c=null!=
a?a.msg:a)?c.content:c,a))?c:""},65:function(f,a,e,d,b){var c;return null!=(c=e.unless.call(null!=a?a:{},null!=a?a.include_sender:a,{name:"unless",hash:{},fn:f.program(66,b,0),inverse:f.noop,data:b}))?c:""},66:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;return'            <div class="message_edit_notice" title="'+(null!=(c=(e.tr||a&&a.tr||g).call(d,a,{name:"tr",hash:{},fn:f.program(35,b,0),inverse:f.noop,data:b}))?c:"")+'">'+f.escapeExpression((e.t||a&&a.t||g).call(d,"EDITED",{name:"t",
hash:{},data:b}))+"</div>\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g,l;d=f.lambda;var m=f.escapeExpression,h=null!=a?a:{},k=e.helperMissing,n=e.blockHelperMissing,p='<div zid="'+m(d(null!=(c=null!=a?a.msg:a)?c.id:c,a))+'" id="'+m((g=null!=(g=e.table_name||(null!=a?a.table_name:a))?g:k,"function"===typeof g?g.call(h,{name:"table_name",hash:{},data:b}):g))+m(d(null!=(c=null!=a?a.msg:a)?c.id:c,a))+'"\n  class="message_row'+(null!=(c=n.call(a,d(null!=(c=null!=a?a.msg:a)?c.is_stream:
c,a),{name:"msg/is_stream",hash:{},fn:f.noop,inverse:f.program(1,b,0),data:b}))?c:"");c=(g=null!=(g=e.include_sender||(null!=a?a.include_sender:a))?g:k,l={name:"include_sender",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b},"function"===typeof g?g.call(h,l):g);e.include_sender||(c=n.call(a,c,l));null!=c&&(p+=c);c=(g=null!=(g=e.contains_mention||(null!=a?a.contains_mention:a))?g:k,l={name:"contains_mention",hash:{},fn:f.program(5,b,0),inverse:f.noop,data:b},"function"===typeof g?g.call(h,l):g);
e.contains_mention||(c=n.call(a,c,l));null!=c&&(p+=c);c=(g=null!=(g=e.include_footer||(null!=a?a.include_footer:a))?g:k,l={name:"include_footer",hash:{},fn:f.program(7,b,0),inverse:f.noop,data:b},"function"===typeof g?g.call(h,l):g);e.include_footer||(c=n.call(a,c,l));null!=c&&(p+=c);p+=(null!=(c=n.call(a,d(null!=(c=null!=a?a.msg:a)?c.unread:c,a),{name:"msg.unread",hash:{},fn:f.program(9,b,0),inverse:f.noop,data:b}))?c:"")+" "+(null!=(c=e["if"].call(h,null!=(c=null!=a?a.msg:a)?c.local_id:c,{name:"if",
hash:{},fn:f.program(11,b,0),inverse:f.noop,data:b}))?c:"")+' selectable_row">\n  <div class="unread_marker"><div class="unread-marker-fill"></div></div>\n  <div class="messagebox';c=(g=null!=(g=e.include_sender||(null!=a?a.include_sender:a))?g:k,l={name:"include_sender",hash:{},fn:f.noop,inverse:f.program(13,b,0),data:b},"function"===typeof g?g.call(h,l):g);e.include_sender||(c=n.call(a,c,l));null!=c&&(p+=c);p+=(null!=(c=n.call(a,d(null!=(c=null!=a?a.msg:a)?c.is_stream:c,a),{name:"msg/is_stream",
hash:{},fn:f.noop,inverse:f.program(1,b,0),data:b}))?c:"")+" "+(null!=(c=e["if"].call(h,null!=a?a.next_is_same_sender:a,{name:"if",hash:{},fn:f.program(15,b,0),inverse:f.noop,data:b}))?c:"")+'"\n       style="box-shadow: inset 2px 0px 0px 0px '+(null!=(c=e["if"].call(h,null!=(c=null!=a?a.msg:a)?c.is_stream:c,{name:"if",hash:{},fn:f.program(17,b,0),inverse:f.program(19,b,0),data:b}))?c:"")+", -1px 0px 0px 0px "+(null!=(c=e["if"].call(h,null!=(c=null!=a?a.msg:a)?c.is_stream:c,{name:"if",hash:{},fn:f.program(17,
b,0),inverse:f.program(19,b,0),data:b}))?c:"")+';">\n    <div class="messagebox-border">\n      <div class="messagebox-content">\n        <div class="message_top_line">\n';c=(g=null!=(g=e.include_sender||(null!=a?a.include_sender:a))?g:k,l={name:"include_sender",hash:{},fn:f.program(21,b,0),inverse:f.noop,data:b},"function"===typeof g?g.call(h,l):g);e.include_sender||(c=n.call(a,c,l));null!=c&&(p+=c);p+='          <span class="message_time'+(null!=(c=e["if"].call(h,null!=(c=null!=a?a.msg:a)?c.local_id:
c,{name:"if",hash:{},fn:f.program(37,b,0),inverse:f.noop,data:b}))?c:"")+(null!=(c=e["if"].call(h,null!=a?a.status_message:a,{name:"if",hash:{},fn:f.program(39,b,0),inverse:f.noop,data:b}))?c:"")+'">'+m((g=null!=(g=e.timestr||(null!=a?a.timestr:a))?g:k,"function"===typeof g?g.call(h,{name:"timestr",hash:{},data:b}):g))+"</span>\n"+(null!=(c=(e.if_and||a&&a.if_and||k).call(h,null!=a?a.last_edit_timestr:a,null!=a?a.include_sender:a,{name:"if_and",hash:{},fn:f.program(41,b,0),inverse:f.noop,data:b}))?
c:"")+'          <div class="message_controls';c=(g=null!=(g=e.status_message||(null!=a?a.status_message:a))?g:k,l={name:"status_message",hash:{},fn:f.program(43,b,0),inverse:f.noop,data:b},"function"===typeof g?g.call(h,l):g);e.status_message||(c=n.call(a,c,l));null!=c&&(p+=c);return p+'">\n            <div class="star">\n              <span class="message_star '+(null!=(c=e["if"].call(h,null!=(c=null!=a?a.msg:a)?c.starred:c,{name:"if",hash:{},fn:f.program(45,b,0),inverse:f.program(47,b,0),data:b}))?
c:"")+'"\n                    title="'+(null!=(c=(e.tr||a&&a.tr||k).call(h,a,{name:"tr",hash:{},fn:f.program(49,b,0),inverse:f.noop,data:b}))?c:"")+'"></span>\n            </div>\n'+(null!=(c=e["if"].call(h,null!=(c=null!=a?a.msg:a)?c.sent_by_me:c,{name:"if",hash:{},fn:f.program(54,b,0),inverse:f.program(56,b,0),data:b}))?c:"")+'            <div class="info actions_hover">\n              <i class="icon-vector-chevron-down"></i>\n            </div>\n            <div class="message_failed '+(null!=
(c=e.unless.call(h,null!=(c=null!=a?a.msg:a)?c.failed_request:c,{name:"unless",hash:{},fn:f.program(58,b,0),inverse:f.noop,data:b}))?c:"")+'">\n              <i class="icon-vector-refresh refresh-failed-message" data-toggle="tooltip" title="'+m((e.t||a&&a.t||k).call(h,"Not Delivered: Resend",{name:"t",hash:{},data:b}))+'"></i>\n              <i class="icon-vector-pencil edit-failed-message" data-toggle="tooltip" title="'+m((e.t||a&&a.t||k).call(h,"Not Delivered: Edit",{name:"t",hash:{},data:b}))+
'"></i>\n              <i class="icon-vector-remove-sign remove-failed-message" data-toggle="tooltip" title="'+m((e.t||a&&a.t||k).call(h,"Not Delivered: Delete",{name:"t",hash:{},data:b}))+'"></i>\n            </div>\n          </div>\n        </div>\n        <div class="message_content">'+(null!=(c=e.unless.call(h,null!=a?a.status_message:a,{name:"unless",hash:{},fn:f.program(60,b,0),inverse:f.noop,data:b}))?c:"")+"</div>\n"+(null!=(c=e["if"].call(h,null!=a?a.last_edit_timestr:a,{name:"if",hash:{},
fn:f.program(65,b,0),inverse:f.noop,data:b}))?c:"")+'        <div class="message_edit">\n          <div class="message_edit_form" id="'+m(d(null!=(c=null!=a?a.msg:a)?c.id:c,a))+'"></div>\n        </div>\n        <div class="message_expander message_length_controller" title="'+m((e.t||a&&a.t||k).call(h,"See the rest of this message",{name:"t",hash:{},data:b}))+'">'+m((e.t||a&&a.t||k).call(h,"[More...]",{name:"t",hash:{},data:b}))+'</div>\n        <div class="message_condenser message_length_controller" title="'+
m((e.t||a&&a.t||k).call(h,"Make this message take up less space on the screen",{name:"t",hash:{},data:b}))+'">'+m((e.t||a&&a.t||k).call(h,"[Condense this message]",{name:"t",hash:{},data:b}))+'</div>\n        <div class="message_reactions" data-message-id="'+m(d(null!=(c=null!=a?a.msg:a)?c.id:c,a))+'">'+m((e.partial||a&&a.partial||k).call(h,"message_reactions",{name:"partial",hash:{},data:b}))+"</div>\n      </div>\n    </div>\n  </div>\n</div>\n"},useData:!0});k.message_edit_form=h({1:function(f,
a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;f=f.escapeExpression;return'    <div class="control-group no-margin">\n        <label class="edit-control-label" for="message_edit_topic">'+f((e.t||a&&a.t||g).call(d,"Topic",{name:"t",hash:{},data:b}))+'</label>\n        <div class="controls edit-controls">\n          <input type="text" placeholder="'+f((c=null!=(c=e.topic||(null!=a?a.topic:a))?c:g,"function"===typeof c?c.call(d,{name:"topic",hash:{},data:b}):c))+'" value="'+f((c=null!=(c=e.topic||
(null!=a?a.topic:a))?c:g,"function"===typeof c?c.call(d,{name:"topic",hash:{},data:b}):c))+'" class="message_edit_topic" id="message_edit_topic" />\n          <select class=\'message_edit_topic_propagate\' style=\'display:none;\'>\n            <option selected="selected" value="change_one"> '+f((e.t||a&&a.t||g).call(d,"Change only this message topic",{name:"t",hash:{},data:b}))+'</option>\n            <option value="change_later"> '+f((e.t||a&&a.t||g).call(d,"Change later messages to this topic",
{name:"t",hash:{},data:b}))+'</option>\n            <option value="change_all"> '+f((e.t||a&&a.t||g).call(d,"Change previous and following messages to this topic",{name:"t",hash:{},data:b}))+"</option>\n          </select>\n        </div>\n    </div>\n"},3:function(f,a,e,d,b){d=null!=a?a:{};var c=e.helperMissing;f=f.escapeExpression;return'            <button type="button" class="message_edit_save btn btn-primary btn-small">'+f((e.t||a&&a.t||c).call(d,"Save",{name:"t",hash:{},data:b}))+'</button>\n            <button type="button" class="message_edit_cancel btn btn-default btn-small">'+
f((e.t||a&&a.t||c).call(d,"Cancel",{name:"t",hash:{},data:b}))+"</button>\n"},5:function(f,a,e,d,b){return'            <button type="button" class="message_edit_close btn btn-primary btn-small">'+f.escapeExpression((e.t||a&&a.t||e.helperMissing).call(null!=a?a:{},"Close",{name:"t",hash:{},data:b}))+"</button>\n"},7:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;return'            <div class="message-edit-timer-control-group">\n                <span class="message_edit_countdown_timer"></span>\n                <div class="message-edit-timer-control-group">\n                <a class="message-control-button icon-vector-font" href="#markdown-help" title="'+
f.escapeExpression((e.t||a&&a.t||g).call(d,"Formatting",{name:"t",hash:{},data:b}))+'" data-toggle="modal" ></a>\n                </div>\n                <span><i id="message_edit_tooltip" class="message_edit_tooltip icon-vector-question-sign" data-toggle="tooltip"\n                         title="'+(null!=(c=(e.tr||a&&a.tr||g).call(d,a,{name:"tr",hash:{},fn:f.program(8,b,0),inverse:f.noop,data:b}))?c:"")+'"></i>\n                </span>\n            </div>\n'},8:function(f,a,e,d,b){return"This organization is configured to restrict editing of message content to __minutes_to_edit__ minutes after it is sent."},
compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'\n<form id="message_edit_form" class="form-horizontal">\n'+(null!=(c=e["if"].call(d,null!=a?a.is_stream:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'    <div class="control-group no-margin">\n        <div class="controls edit-controls">\n            <label class="edit-control-label" for="message_edit_topic">'+m((e.t||a&&a.t||l).call(d,"Content",{name:"t",
hash:{},data:b}))+'</label>\n            <textarea class="message_edit_content" id="message_edit_content">'+m((g=null!=(g=e.content||(null!=a?a.content:a))?g:l,"function"===typeof g?g.call(d,{name:"content",hash:{},data:b}):g))+'</textarea>\n        </div>\n    </div>\n    <div class="control-group action-buttons">\n        <div class="controls edit-controls">\n'+(null!=(c=e["if"].call(d,null!=a?a.is_editable:a,{name:"if",hash:{},fn:f.program(3,b,0),inverse:f.program(5,b,0),data:b}))?c:"")+(null!=
(c=e["if"].call(d,null!=a?a.has_been_editable:a,{name:"if",hash:{},fn:f.program(7,b,0),inverse:f.noop,data:b}))?c:"")+'        </div>\n    </div>\n    <div class="alert alert-error edit_error hide"></div>\n</form>\n'},useData:!0});k.change_stream_privacy=h({1:function(f,a,e,d,b){return'  <button class="btn btn-primary make-stream-public-button" tabindex="-1">\n    '+f.escapeExpression((e.t||a&&a.t||e.helperMissing).call(null!=a?a:{},"Make stream public",{name:"t",hash:{},data:b}))+"\n  </button>\n"},
3:function(f,a,e,d,b){return'  <button class="btn btn-danger make-stream-private-button" tabindex="-1">\n    '+f.escapeExpression((e.t||a&&a.t||e.helperMissing).call(null!=a?a:{},"Make stream private",{name:"t",hash:{},data:b}))+"\n  </button>\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};return(null!=(c=e["if"].call(d,null!=a?a.can_make_public:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+(null!=(c=e["if"].call(d,null!=a?a.can_make_private:a,
{name:"if",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+'<div class="change-stream-privacy-feedback"></div>\n'},useData:!0});k.invite_subscription=h({1:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'  <label class="checkbox">\n    <input type="checkbox" name="stream" value="'+m((g=null!=(g=e.name||(null!=a?a.name:a))?g:l,"function"===typeof g?g.call(d,{name:"name",hash:{},data:b}):g))+'"\n           '+(null!=(c=e.unless.call(d,null!=a?a.invite_only:
a,{name:"unless",hash:{},fn:f.program(2,b,0),inverse:f.noop,data:b}))?c:"")+" /> "+m((g=null!=(g=e.name||(null!=a?a.name:a))?g:l,"function"===typeof g?g.call(d,{name:"name",hash:{},data:b}):g))+"\n    "+(null!=(c=e["if"].call(d,null!=a?a.invite_only:a,{name:"if",hash:{},fn:f.program(4,b,0),inverse:f.noop,data:b}))?c:"")+"\n  </label>\n"},2:function(f,a,e,d,b){return'checked="checked"'},4:function(f,a,e,d,b){return'<i class="icon-vector-lock"></i>'},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;
d=null!=a?a:{};var g=e.helperMissing,l=f.escapeExpression;return'<a href="#" class="invite_check_all_button">'+l((e.t||a&&a.t||g).call(d,"Check all",{name:"t",hash:{},data:b}))+'</a> |\n<a href="#" class="invite_uncheck_all_button">'+l((e.t||a&&a.t||g).call(d,"Uncheck all",{name:"t",hash:{},data:b}))+'</a>\n<div id="invite-stream-checkboxes">\n'+(null!=(c=e.each.call(d,null!=a?a.streams:a,{name:"each",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+"</div>\n"},useData:!0});k.stream_sidebar_row=
h({1:function(f,a,e,d,b){return" out_of_home_view"},3:function(f,a,e,d,b){return" private-stream-swatch"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'\n<li data-name="'+m((g=null!=(g=e.name||(null!=a?a.name:a))?g:l,"function"===typeof g?g.call(d,{name:"name",hash:{},data:b}):g))+'" class="narrow-filter'+(null!=(c=e["if"].call(d,null!=a?a.not_in_home_view:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?
c:"")+'"\n    id="stream_sidebar_'+m((g=null!=(g=e.id||(null!=a?a.id:a))?g:l,"function"===typeof g?g.call(d,{name:"id",hash:{},data:b}):g))+'">\n\n\n    <div class="subscription_block selectable_sidebar_block" data-name="'+m((g=null!=(g=e.name||(null!=a?a.name:a))?g:l,"function"===typeof g?g.call(d,{name:"name",hash:{},data:b}):g))+'">\n\n      <div id="stream_sidebar_swatch_'+m((g=null!=(g=e.id||(null!=a?a.id:a))?g:l,"function"===typeof g?g.call(d,{name:"id",hash:{},data:b}):g))+'" class="streamlist_swatch'+
(null!=(c=e["if"].call(d,null!=a?a.invite_only:a,{name:"if",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+'"\n       style="background-color: '+m((g=null!=(g=e.color||(null!=a?a.color:a))?g:l,"function"===typeof g?g.call(d,{name:"color",hash:{},data:b}):g))+'">&nbsp;</div>\n\n      <a href="'+m((g=null!=(g=e.uri||(null!=a?a.uri:a))?g:l,"function"===typeof g?g.call(d,{name:"uri",hash:{},data:b}):g))+'" class="stream-name">'+m((g=null!=(g=e.name||(null!=a?a.name:a))?g:l,"function"===typeof g?
g.call(d,{name:"name",hash:{},data:b}):g))+'\n      </a>\n\n      <div class="count"><div class="value"></div></div>\n\n      <span id="stream_sidebar_privacy_swatch_'+m((g=null!=(g=e.id||(null!=a?a.id:a))?g:l,"function"===typeof g?g.call(d,{name:"id",hash:{},data:b}):g))+'" class="stream-privacy" style="color: '+m((g=null!=(g=e.color||(null!=a?a.color:a))?g:l,"function"===typeof g?g.call(d,{name:"color",hash:{},data:b}):g))+'">\n        '+m((e.partial||a&&a.partial||l).call(d,"stream_privacy",{name:"partial",
hash:{},data:b}))+'\n      </span>\n\n    </div>\n    <span class="arrow stream-sidebar-arrow"><i class="icon-vector-chevron-down"></i></span>\n\n</li>\n'},useData:!0});k.message_info_popover_title=h({1:function(f,a,e,d,b){var c;return(null!=(c=(e.tr||a&&a.tr||e.helperMissing).call(null!=a?a:{},a,{name:"tr",hash:{},fn:f.program(2,b,0),inverse:f.noop,data:b}))?c:"")+"\n"},2:function(f,a,e,d,b){return"Message to stream <b>__message.stream__</b>"},4:function(f,a,e,d,b){return f.escapeExpression((e.t||
a&&a.t||e.helperMissing).call(null!=a?a:{},"Private message",{name:"t",hash:{},data:b}))+"\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;return null!=(c=e["if"].call(null!=a?a:{},null!=(c=null!=a?a.message:a)?c.is_stream:c,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.program(4,b,0),data:b}))?c:""},useData:!0});k.stream_sidebar_actions=h({1:function(f,a,e,d,b){return"Narrow to stream <b>__stream.name__</b>"},3:function(f,a,e,d,b){var c;return"      "+(null!=(c=(e.tr||a&&a.tr||e.helperMissing).call(null!=
a?a:{},a,{name:"tr",hash:{},fn:f.program(4,b,0),inverse:f.noop,data:b}))?c:"")+"\n"},4:function(f,a,e,d,b){return"Unpin stream <b>__stream.name__</b> from top"},6:function(f,a,e,d,b){var c;return"      "+(null!=(c=(e.tr||a&&a.tr||e.helperMissing).call(null!=a?a:{},a,{name:"tr",hash:{},fn:f.program(7,b,0),inverse:f.noop,data:b}))?c:"")+"\n"},7:function(f,a,e,d,b){return"Pin stream <b>__stream.name__</b> to top"},9:function(f,a,e,d,b){return"Compose a message to stream <b>__stream.name__</b>"},11:function(f,
a,e,d,b){return"Mark all messages in <b>__stream.name__</b> as read"},13:function(f,a,e,d,b){var c;return'      <i class="icon-vector-eye-close"></i>\n      '+(null!=(c=(e.tr||a&&a.tr||e.helperMissing).call(null!=a?a:{},a,{name:"tr",hash:{},fn:f.program(14,b,0),inverse:f.noop,data:b}))?c:"")+"\n"},14:function(f,a,e,d,b){return"Mute the stream <b>__stream.name__</b>"},16:function(f,a,e,d,b){var c;return'      <i class="icon-vector-eye-open"></i>\n      '+(null!=(c=(e.tr||a&&a.tr||e.helperMissing).call(null!=
a?a:{},a,{name:"tr",hash:{},fn:f.program(17,b,0),inverse:f.noop,data:b}))?c:"")+"\n"},17:function(f,a,e,d,b){return"Unmute the stream <b>__stream.name__</b>"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=f.lambda;var g=f.escapeExpression,l=null!=a?a:{},m=e.helperMissing;return'<ul class="nav nav-list streams_popover" data-id="'+g(d(null!=(c=null!=a?a.stream:a)?c.stream_id:c,a))+'" data-name="'+g(d(null!=(c=null!=a?a.stream:a)?c.name:c,a))+'">\n  <li>\n    <a class="open_stream_settings">\n      <i class="icon-vector-cog"></i>\n      '+
g((e.t||a&&a.t||m).call(l,"Stream settings",{name:"t",hash:{},data:b}))+'\n    </a>\n  </li>\n  <li>\n    <a class="narrow_to_stream">\n      <i class="icon-vector-bullhorn"></i>\n      '+(null!=(c=(e.tr||a&&a.tr||m).call(l,a,{name:"tr",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'\n    </a>\n  </li>\n  <li>\n    <a class="pin_to_top">\n      <i class="icon-vector-pushpin stream-pin-icon"></i>\n'+(null!=(c=e["if"].call(l,null!=(c=null!=a?a.stream:a)?c.pin_to_top:c,{name:"if",hash:{},
fn:f.program(3,b,0),inverse:f.program(6,b,0),data:b}))?c:"")+'    </a>\n  </li>\n  <li>\n    <a class="compose_to_stream">\n      <i class="icon-vector-edit"></i>\n      '+(null!=(c=(e.tr||a&&a.tr||m).call(l,a,{name:"tr",hash:{},fn:f.program(9,b,0),inverse:f.noop,data:b}))?c:"")+'\n    </a>\n  </li>\n  <li>\n    <a class="mark_stream_as_read">\n      <i class="icon-vector-book"></i>\n      '+(null!=(c=(e.tr||a&&a.tr||m).call(l,a,{name:"tr",hash:{},fn:f.program(11,b,0),inverse:f.noop,data:b}))?c:"")+
'\n    </a>\n  </li>\n  <li>\n    <a class="toggle_home">\n'+(null!=(c=e["if"].call(l,null!=(c=null!=a?a.stream:a)?c.in_home_view:c,{name:"if",hash:{},fn:f.program(13,b,0),inverse:f.program(16,b,0),data:b}))?c:"")+'    </a>\n  </li>\n  <li>\n    <a class="popover_sub_unsub_button" data-name="'+g(d(null!=(c=null!=a?a.stream:a)?c.name:c,a))+'">\n      <i class=\'icon-vector-envelope\'></i>\n    </a>\n  </li>\n  <li>\n    <span class="colorpicker-container"><input stream_id="'+g(d(null!=(c=null!=a?a.stream:
a)?c.stream_id:c,a))+'" class="colorpicker" type="text" value="'+g(d(null!=(c=null!=a?a.stream:a)?c.color:c,a))+'" /></span>\n    <a class="custom_color">'+g((e.t||a&&a.t||m).call(l,"Choose custom color",{name:"t",hash:{},data:b}))+"</a>\n  </li>\n\n</ul>\n"},useData:!0});k.admin_emoji_list=h({1:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'<tr class="emoji_row" id="emoji_'+m((g=null!=(g=e.name||(null!=a?a.name:a))?g:l,"function"===typeof g?g.call(d,
{name:"name",hash:{},data:b}):g))+'">\n  <td>\n    <span class="emoji_name">'+m((g=null!=(g=e.name||(null!=a?a.name:a))?g:l,"function"===typeof g?g.call(d,{name:"name",hash:{},data:b}):g))+'</span>\n  </td>\n  <td>\n    <span class="emoji_image"><a href="'+m((g=null!=(g=e.source_url||(null!=a?a.source_url:a))?g:l,"function"===typeof g?g.call(d,{name:"source_url",hash:{},data:b}):g))+'"><img src="'+m((g=null!=(g=e.display_url||(null!=a?a.display_url:a))?g:l,"function"===typeof g?g.call(d,{name:"display_url",
hash:{},data:b}):g))+'" alt="'+m((g=null!=(g=e.name||(null!=a?a.name:a))?g:l,"function"===typeof g?g.call(d,{name:"name",hash:{},data:b}):g))+'" /></a></span>\n  </td>\n  <td>\n'+(null!=(c=e["if"].call(d,null!=a?a.author:a,{name:"if",hash:{},fn:f.program(2,b,0),inverse:f.program(4,b,0),data:b}))?c:"")+'  </td>\n  <td>\n    <button class="button delete btn-danger" data-emoji-name="'+m((g=null!=(g=e.name||(null!=a?a.name:a))?g:l,"function"===typeof g?g.call(d,{name:"name",hash:{},data:b}):g))+'">\n      '+
m((e.t||a&&a.t||l).call(d,"Delete",{name:"t",hash:{},data:b}))+"\n    </button>\n  </td>\n</tr>\n"},2:function(f,a,e,d,b){var c;return'      <span class="emoji_author">'+f.escapeExpression(f.lambda(null!=(c=null!=a?a.author:a)?c.full_name:c,a))+"</span>\n"},4:function(f,a,e,d,b){return'      <span class="emoji_author">Unknown Author</span>\n'},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;return null!=(c=e["with"].call(null!=a?a:{},null!=a?a.emoji:a,{name:"with",hash:{},fn:f.program(1,b,
0),inverse:f.noop,data:b}))?c:""},useData:!0});k.tutorial_message=h({1:function(f,a,e,d,b){return"<p>Messages in __page_params.product_name__ go to a <b>stream</b> and have a <b>topic</b>.</p>"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'\n<div class="tutorial-popover popover-'+m((g=null!=(g=e.placement||(null!=a?a.placement:a))?g:l,"function"===typeof g?g.call(d,{name:"placement",hash:{},data:b}):g))+'" id="tutorial-message">\n    '+
(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'\n\n    <div class="tutorial-done-button">\n    <center>\n      <button class="btn btn-skip" type="submit" id="tutorial-message-skip">'+m((e.t||a&&a.t||l).call(d,"Exit Tutorial",{name:"t",hash:{},data:b}))+'</button>\n      <button class="btn btn-primary" type="submit" id="tutorial-message-next">'+m((e.t||a&&a.t||l).call(d,"Next",{name:"t",hash:{},data:b}))+"</button>\n    </center>\n    </div>\n</div>\n"},
useData:!0});k.actions_popover_content=h({1:function(f,a,e,d,b){return"icon-vector-pencil"},3:function(f,a,e,d,b){return"icon-vector-file-text-alt"},5:function(f,a,e,d,b){return"icon-vector-plus"},7:function(f,a,e,d,b){return"icon-vector-minus"},9:function(f,a,e,d,b){return f.escapeExpression((e.t||a&&a.t||e.helperMissing).call(null!=a?a:{},"Un-collapse",{name:"t",hash:{},data:b}))},11:function(f,a,e,d,b){return f.escapeExpression((e.t||a&&a.t||e.helperMissing).call(null!=a?a:{},"Collapse",{name:"t",
hash:{},data:b}))},13:function(f,a,e,d,b){var c;d=f.lambda;var g=f.escapeExpression;return'  <li>\n    <a href="#" class="popover_mute_topic" data-msg-stream="'+g(d(null!=(c=null!=a?a.message:a)?c.stream:c,a))+'" data-msg-topic="'+g(d(null!=(c=null!=a?a.message:a)?c.subject:c,a))+'">\n      <i class="icon-vector-eye-close"></i>\n      '+(null!=(c=(e.tr||a&&a.tr||e.helperMissing).call(null!=a?a:{},null!=a?a.message:a,{name:"tr",hash:{},fn:f.program(14,b,0),inverse:f.noop,data:b}))?c:"")+"\n    </a>\n  </li>\n"},
14:function(f,a,e,d,b){return"Mute the topic <b>__subject__</b>"},16:function(f,a,e,d,b){var c;d=f.lambda;var g=f.escapeExpression;return'  <li>\n    <a href="#" class="popover_unmute_topic" data-msg-stream="'+g(d(null!=(c=null!=a?a.message:a)?c.stream:c,a))+'" data-msg-topic="'+g(d(null!=(c=null!=a?a.message:a)?c.subject:c,a))+'">\n      <i class="icon-vector-eye-open"></i>\n      '+(null!=(c=(e.tr||a&&a.tr||e.helperMissing).call(null!=a?a:{},null!=a?a.message:a,{name:"tr",hash:{},fn:f.program(17,
b,0),inverse:f.noop,data:b}))?c:"")+"\n    </a>\n  </li>\n"},17:function(f,a,e,d,b){return"Unmute the topic <b>__subject__</b>"},19:function(f,a,e,d,b){var c;return'  <li>\n    <a href="#" class="reaction_button" data-msgid="'+f.escapeExpression(f.lambda(null!=(c=null!=a?a.message:a)?c.id:c,a))+'">\n      <i class="icon-vector-smile"></i>\n      '+(null!=(c=(e.tr||a&&a.tr||e.helperMissing).call(null!=a?a:{},null!=a?a.message:a,{name:"tr",hash:{},fn:f.program(20,b,0),inverse:f.noop,data:b}))?c:"")+
"\n    </a>\n  </li>\n"},20:function(f,a,e,d,b){return"Add emoji reaction"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=f.lambda;var l=f.escapeExpression,m=null!=a?a:{},h=e.helperMissing;return'<ul class="nav nav-list actions_popover pull-right">\n  <li>\n    <a href="#" class="popover_edit_message" data-msgid="'+l(d(null!=(c=null!=a?a.message:a)?c.id:c,a))+'">\n      <i class="'+(null!=(c=e["if"].call(m,null!=a?a.use_edit_icon:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.program(3,
b,0),data:b}))?c:"")+'"></i> '+l((g=null!=(g=e.editability_menu_item||(null!=a?a.editability_menu_item:a))?g:h,"function"===typeof g?g.call(m,{name:"editability_menu_item",hash:{},data:b}):g))+'\n    </a>\n  </li>\n\n  <li>\n    <a href="#" class="respond_button">\n      <i class="icon-vector-share-alt"></i> '+l((e.t||a&&a.t||h).call(m,"Reply",{name:"t",hash:{},data:b}))+'\n    </a>\n  </li>\n\n  <li>\n    <a href="#" class="popover_toggle_collapse" data-msgid="'+l(d(null!=(c=null!=a?a.message:a)?
c.id:c,a))+'">\n      <i class="'+(null!=(c=e["if"].call(m,null!=(c=null!=a?a.message:a)?c.collapsed:c,{name:"if",hash:{},fn:f.program(5,b,0),inverse:f.program(7,b,0),data:b}))?c:"")+'"></i>\n        '+(null!=(c=e["if"].call(m,null!=(c=null!=a?a.message:a)?c.collapsed:c,{name:"if",hash:{},fn:f.program(9,b,0),inverse:f.program(11,b,0),data:b}))?c:"")+"\n    </a>\n  </li>\n\n"+(null!=(c=e["if"].call(m,null!=a?a.can_mute_topic:a,{name:"if",hash:{},fn:f.program(13,b,0),inverse:f.noop,data:b}))?c:"")+
"\n"+(null!=(c=e["if"].call(m,null!=a?a.can_unmute_topic:a,{name:"if",hash:{},fn:f.program(16,b,0),inverse:f.noop,data:b}))?c:"")+"\n"+(null!=(c=e["if"].call(m,null!=a?a.should_display_add_reaction_option:a,{name:"if",hash:{},fn:f.program(19,b,0),inverse:f.noop,data:b}))?c:"")+'\n  <li>\n    <a href="'+l((g=null!=(g=e.conversation_time_uri||(null!=a?a.conversation_time_uri:a))?g:h,"function"===typeof g?g.call(m,{name:"conversation_time_uri",hash:{},data:b}):g))+'" class="popover_narrow_by_conversation_and_time" data-msgid="'+
l(d(null!=(c=null!=a?a.message:a)?c.id:c,a))+'">\n      <i class="icon-vector-link"></i> '+l((e.t||a&&a.t||h).call(m,"Link to this conversation",{name:"t",hash:{},data:b}))+"\n    </a>\n  </li>\n\n</ul>\n"},useData:!0});k["auth-methods-settings-admin"]=h({1:function(f,a,e,d,b){return"Configure the authentication methods for the __domain__ organization."},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing,l=f.escapeExpression;return'<div id="organization-settings" class="settings-section">\n    <div class="settings-section-title"><i class="icon-vector-lock settings-section-icon"></i>\n        '+
l((e.t||a&&a.t||g).call(d,"Authentication methods",{name:"t",hash:{},data:b}))+'</div>\n  <form class="form-horizontal admin-realm-form">\n       <div class="alert" id="admin-realm-authentication-methods-status"></div>\n        <div class="admin-table-wrapper">\n          <p>'+(null!=(c=(e.tr||a&&a.tr||g).call(d,a,{name:"tr",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'</p>\n          <table class="table table-condensed table-striped">\n            <tbody id="admin_auth_methods_table" class=" admin_auth_methods_table">\n              <th>'+
l((e.t||a&&a.t||g).call(d,"Method",{name:"t",hash:{},data:b}))+"</th>\n              <th>"+l((e.t||a&&a.t||g).call(d,"Enabled",{name:"t",hash:{},data:b}))+'</th>\n            </tbody>\n          </table>\n        </div>\n        <div id="admin_page_auth_methods_loading_indicator"></div>\n        <div class="input-group">\n            <div class="organization-submission">\n                <input type="submit" class="button" value="'+l((e.t||a&&a.t||g).call(d,"Save changes",{name:"t",hash:{},data:b}))+
'" />\n            </div>\n        </div>\n  </form>\n</div>\n'},useData:!0});k.loader=h({compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){return'<svg width=\'100%\' height=\'100%\' xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid" class="uil-ring">\n    <rect x="0" y="0" width="100" height="100" fill="none" class="bk"></rect>\n    <defs>\n        <filter id="uil-ring-shadow" x="-100%" y="-100%" width="300%" height="300%">\n            <feOffset result="offOut" in="SourceGraphic" dx="0" dy="0"></feOffset>\n            <feGaussianBlur result="blurOut" in="offOut" stdDeviation="0"></feGaussianBlur>\n            <feBlend in="SourceGraphic" in2="blurOut" mode="normal"></feBlend>\n        </filter>\n    </defs>\n    <path d="M10,50c0,0,0,0.5,0.1,1.4c0,0.5,0.1,1,0.2,1.7c0,0.3,0.1,0.7,0.1,1.1c0.1,0.4,0.1,0.8,0.2,1.2c0.2,0.8,0.3,1.8,0.5,2.8 c0.3,1,0.6,2.1,0.9,3.2c0.3,1.1,0.9,2.3,1.4,3.5c0.5,1.2,1.2,2.4,1.8,3.7c0.3,0.6,0.8,1.2,1.2,1.9c0.4,0.6,0.8,1.3,1.3,1.9 c1,1.2,1.9,2.6,3.1,3.7c2.2,2.5,5,4.7,7.9,6.7c3,2,6.5,3.4,10.1,4.6c3.6,1.1,7.5,1.5,11.2,1.6c4-0.1,7.7-0.6,11.3-1.6 c3.6-1.2,7-2.6,10-4.6c3-2,5.8-4.2,7.9-6.7c1.2-1.2,2.1-2.5,3.1-3.7c0.5-0.6,0.9-1.3,1.3-1.9c0.4-0.6,0.8-1.3,1.2-1.9 c0.6-1.3,1.3-2.5,1.8-3.7c0.5-1.2,1-2.4,1.4-3.5c0.3-1.1,0.6-2.2,0.9-3.2c0.2-1,0.4-1.9,0.5-2.8c0.1-0.4,0.1-0.8,0.2-1.2 c0-0.4,0.1-0.7,0.1-1.1c0.1-0.7,0.1-1.2,0.2-1.7C90,50.5,90,50,90,50s0,0.5,0,1.4c0,0.5,0,1,0,1.7c0,0.3,0,0.7,0,1.1 c0,0.4-0.1,0.8-0.1,1.2c-0.1,0.9-0.2,1.8-0.4,2.8c-0.2,1-0.5,2.1-0.7,3.3c-0.3,1.2-0.8,2.4-1.2,3.7c-0.2,0.7-0.5,1.3-0.8,1.9 c-0.3,0.7-0.6,1.3-0.9,2c-0.3,0.7-0.7,1.3-1.1,2c-0.4,0.7-0.7,1.4-1.2,2c-1,1.3-1.9,2.7-3.1,4c-2.2,2.7-5,5-8.1,7.1 c-0.8,0.5-1.6,1-2.4,1.5c-0.8,0.5-1.7,0.9-2.6,1.3L66,87.7l-1.4,0.5c-0.9,0.3-1.8,0.7-2.8,1c-3.8,1.1-7.9,1.7-11.8,1.8L47,90.8 c-1,0-2-0.2-3-0.3l-1.5-0.2l-0.7-0.1L41.1,90c-1-0.3-1.9-0.5-2.9-0.7c-0.9-0.3-1.9-0.7-2.8-1L34,87.7l-1.3-0.6 c-0.9-0.4-1.8-0.8-2.6-1.3c-0.8-0.5-1.6-1-2.4-1.5c-3.1-2.1-5.9-4.5-8.1-7.1c-1.2-1.2-2.1-2.7-3.1-4c-0.5-0.6-0.8-1.4-1.2-2 c-0.4-0.7-0.8-1.3-1.1-2c-0.3-0.7-0.6-1.3-0.9-2c-0.3-0.7-0.6-1.3-0.8-1.9c-0.4-1.3-0.9-2.5-1.2-3.7c-0.3-1.2-0.5-2.3-0.7-3.3 c-0.2-1-0.3-2-0.4-2.8c-0.1-0.4-0.1-0.8-0.1-1.2c0-0.4,0-0.7,0-1.1c0-0.7,0-1.2,0-1.7C10,50.5,10,50,10,50z" fill="#444" filter="url(#uil-ring-shadow)">\n        <animateTransform attributeName="transform" type="rotate" from="0 50 50" to="360 50 50" repeatCount="indefinite" dur="1s"></animateTransform>\n    </path>\n</svg>\n'},
useData:!0});k.new_stream_users=h({1:function(f,a,e,d,b){e=f.lambda;f=f.escapeExpression;return'  <label class="checkbox add-user-label" data-stream-id="'+f(e(null!=a?a.stream_id:a,a))+'" data-stream-name="'+f(e(null!=a?a.name:a,a))+'">\n    <input type="checkbox" name="stream" value="'+f(e(null!=a?a.name:a,a))+'" />\n    <span></span>\n    '+f(e(null!=a?a.name:a,a))+' ( <i class="icon-vector-user"></i> '+f(e(null!=a?a.subscriber_count:a,a))+")\n  </label>\n"},3:function(f,a,e,d,b){e=f.lambda;f=f.escapeExpression;
return'  <label class="checkbox add-user-label" data-user-id="'+f(e(null!=a?a.user_id:a,a))+'" data-email="'+f(e(null!=a?a.email:a,a))+'">\n    <input type="checkbox" name="user" value="'+f(e(null!=a?a.email:a,a))+'" />\n    <span></span>\n    '+f(e(null!=a?a.full_name:a,a))+" ("+f(e(null!=a?a.email:a,a))+")\n  </label>\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing,l=f.escapeExpression;return'\n<div id="copy-from-stream-expand-collapse" class="add-user-label">\n  <i class="toggle icon-vector-caret-right"></i>\n  <span class="control-label">\n    '+
l((e.t||a&&a.t||g).call(d,"Copy from Stream",{name:"t",hash:{},data:b}))+'\n  </span>\n</div>\n\n<div id="stream-checkboxes">\n'+(null!=(c=e.each.call(d,null!=a?a.streams:a,{name:"each",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'</div>\n\n<br />\n<input class="add-user-list-filter" name="user_list_filter" type="text"\n autocomplete="off" placeholder="'+l((e.t||a&&a.t||g).call(d,"Filter",{name:"t",hash:{},data:b}))+'" />\n\n\n<div>\n<a href="#" draggable="false" class="subs_set_all_users">'+
l((e.t||a&&a.t||g).call(d,"Check all",{name:"t",hash:{},data:b}))+'</a> |\n<a href="#" draggable="false" class="subs_unset_all_users">'+l((e.t||a&&a.t||g).call(d,"Uncheck all",{name:"t",hash:{},data:b}))+'</a>\n</div>\n\n<div id="user-checkboxes">\n'+(null!=(c=e.each.call(d,null!=a?a.users:a,{name:"each",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+"</div>\n"},useData:!0});k.stream_member_list_entry=h({1:function(f,a,e,d,b){return'    <td class="unsubscribe">\n        <div class="subscriber_list_remove">\n            <form class="form-inline remove-subscriber-form">\n                    <input type="submit" name="unsubscribe" value="'+
f.escapeExpression((e.t||a&&a.t||e.helperMissing).call(null!=a?a:{},"Unsubscribe",{name:"t",hash:{},data:b}))+'"\n                           class="btn btn-danger remove-subscriber-button" />\n            </form>\n        </div>\n    </td>\n'},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'<tr data-subscriber-email="'+m((g=null!=(g=e.email||(null!=a?a.email:a))?g:l,"function"===typeof g?g.call(d,{name:"email",hash:{},data:b}):
g))+'">\n    <td class="subscriber-name">'+m((g=null!=(g=e.name||(null!=a?a.name:a))?g:l,"function"===typeof g?g.call(d,{name:"name",hash:{},data:b}):g))+'</td>\n    <td class="subscriber-email">'+m((g=null!=(g=e.email||(null!=a?a.email:a))?g:l,"function"===typeof g?g.call(d,{name:"email",hash:{},data:b}):g))+"</td>\n"+(null!=(c=e["if"].call(d,null!=a?a.displaying_for_admin:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+"</tr>\n"},useData:!0});k.propagate_notification_change=
h({compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){d=null!=a?a:{};var c=e.helperMissing;f=f.escapeExpression;return"<div>\n    <p>"+f((e.t||a&&a.t||c).call(d,"Apply this change to all stream subscriptions?",{name:"t",hash:{},data:b}))+'</p>\n\n    <div class="control-group">\n        <div class="controls propagate-notifications-controls">\n            <button type="button"\n                    class="yes_propagate_notifications btn btn-primary btn-small">'+f((e.t||a&&a.t||c).call(d,"Yes",{name:"t",
hash:{},data:b}))+'</button>\n            <button type="button"\n                    class="no_propagate_notifications btn btn-default btn-small">'+f((e.t||a&&a.t||c).call(d,"No",{name:"t",hash:{},data:b}))+"</button>\n        </div>\n    </div>\n</div>\n"},useData:!0});k.group_pms=h({1:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;f=f.escapeExpression;return'<li data-user-ids="'+f((c=null!=(c=e.user_ids_string||(null!=a?a.user_ids_string:a))?c:g,"function"===typeof c?c.call(d,{name:"user_ids_string",
hash:{},data:b}):c))+'" class="group-pms-sidebar-entry narrow-filter">\n  <span class="selectable_sidebar_block">\n    <span class="group-pm-status-indicator" style="background:rgba(68,194,29,'+f((c=null!=(c=e.fraction_present||(null!=a?a.fraction_present:a))?c:g,"function"===typeof c?c.call(d,{name:"fraction_present",hash:{},data:b}):c))+');"></span>\n    <a href="'+f((c=null!=(c=e.href||(null!=a?a.href:a))?c:g,"function"===typeof c?c.call(d,{name:"href",hash:{},data:b}):c))+'" data-name="'+f((c=
null!=(c=e.name||(null!=a?a.name:a))?c:g,"function"===typeof c?c.call(d,{name:"name",hash:{},data:b}):c))+'" title="'+f((c=null!=(c=e.name||(null!=a?a.name:a))?c:g,"function"===typeof c?c.call(d,{name:"name",hash:{},data:b}):c))+'" class="group-pm-link">'+f((c=null!=(c=e.short_name||(null!=a?a.short_name:a))?c:g,"function"===typeof c?c.call(d,{name:"short_name",hash:{},data:b}):c))+'</a>\n  </span>\n  <span class="count"><span class="value"></span></span>\n</li>\n'},compiler:[7,">= 4.0.0"],main:function(f,
a,e,d,b){var c;return null!=(c=e.each.call(null!=a?a:{},null!=a?a.group_pms:a,{name:"each",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:""},useData:!0});k.tutorial_home=h({1:function(f,a,e,d,b){return"    <p>You can <b>narrow</b> to a stream or topic by <b>clicking on it</b>, or\n       see messages from all streams at once from your Home view.</p>\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'\n<div class="tutorial-popover popover-'+
m((g=null!=(g=e.placement||(null!=a?a.placement:a))?g:l,"function"===typeof g?g.call(d,{name:"placement",hash:{},data:b}):g))+'" id="tutorial-home">\n\n'+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'\n    <div class="tutorial-done-button">\n      <button class="btn btn-primary" type="submit" id="tutorial-home-next">'+m((e.t||a&&a.t||l).call(d,"Next",{name:"t",hash:{},data:b}))+"</button>\n    </div>\n</div>\n"},useData:!0});k.subscription=
h({1:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'<div class="stream-row" data-stream-id="'+m((g=null!=(g=e.stream_id||(null!=a?a.stream_id:a))?g:l,"function"===typeof g?g.call(d,{name:"stream_id",hash:{},data:b}):g))+'" data-stream-name="'+m((g=null!=(g=e.name||(null!=a?a.name:a))?g:l,"function"===typeof g?g.call(d,{name:"name",hash:{},data:b}):g))+'">\n    <div class="check '+(null!=(c=e["if"].call(d,null!=a?a.subscribed:a,{name:"if",hash:{},fn:f.program(2,
b,0),inverse:f.noop,data:b}))?c:"")+' sub_unsub_button">\n        <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="100%" height="100%" viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve">\n            <path d="M448,71.9c-17.3-13.4-41.5-9.3-54.1,9.1L214,344.2l-99.1-107.3c-14.6-16.6-39.1-17.4-54.7-1.8 c-15.6,15.5-16.4,41.6-1.7,58.1c0,0,120.4,133.6,137.7,147c17.3,13.4,41.5,9.3,54.1-9.1l206.3-301.7 C469.2,110.9,465.3,85.2,448,71.9z"/>\n        </svg>\n    </div>\n    '+
m((e.partial||a&&a.partial||l).call(d,"subscription_setting_icon",{name:"partial",hash:{},data:b}))+'\n    <div class="sub-info-box">\n        <div class="top-bar">\n            <div class="stream-name">'+m((g=null!=(g=e.name||(null!=a?a.name:a))?g:l,"function"===typeof g?g.call(d,{name:"name",hash:{},data:b}):g))+'</div>\n            <div class="subscriber-count">\n                <span class="subscriber-count-text">'+m((g=null!=(g=e.subscriber_count||(null!=a?a.subscriber_count:a))?g:l,"function"===
typeof g?g.call(d,{name:"subscriber_count",hash:{},data:b}):g))+'</span>\n                <i class="icon-vector-user"></i>\n            </div>\n        </div>\n        <div class="description" data-no-description="'+m((e.t||a&&a.t||l).call(d,"No description.",{name:"t",hash:{},data:b}))+'">'+m((g=null!=(g=e.description||(null!=a?a.description:a))?g:l,"function"===typeof g?g.call(d,{name:"description",hash:{},data:b}):g))+"</div>\n    </div>\n</div>\n"},2:function(f,a,e,d,b){return"checked"},compiler:[7,
">= 4.0.0"],main:function(f,a,e,d,b){var c;return null!=(c=e["with"].call(null!=a?a:{},a,{name:"with",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:""},useData:!0});k.compose_notification=h({1:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;f=f.escapeExpression;return'<a href="#" class="'+f((c=null!=(c=e.link_class||(null!=a?a.link_class:a))?c:g,"function"===typeof c?c.call(d,{name:"link_class",hash:{},data:b}):c))+'" data-msgid="'+f((c=null!=(c=e.link_msg_id||(null!=a?a.link_msg_id:
a))?c:g,"function"===typeof c?c.call(d,{name:"link_msg_id",hash:{},data:b}):c))+'">'+f((c=null!=(c=e.link_text||(null!=a?a.link_text:a))?c:g,"function"===typeof c?c.call(d,{name:"link_text",hash:{},data:b}):c))+"</a>"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};return'<div class="compose-notifications-content">\n    '+f.escapeExpression((g=null!=(g=e.note||(null!=a?a.note:a))?g:e.helperMissing,"function"===typeof g?g.call(d,{name:"note",hash:{},data:b}):g))+" "+(null!=
(c=e["if"].call(d,null!=a?a.link_class:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'\n    <button type="button" class="out-of-view-notification-close close">\u00d7</button>\n</div>\n'},useData:!0});k.topic_edit_form=h({compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){return'\n<form id="topic_edit_form" class="form-horizontal">\n          <input type="text" value="" class="inline_topic_edit header-v" id="inline_topic_edit" />\n            <button type="button" class="topic_edit_save primary"><i class="icon-vector-ok"></i></button>\n            <button type="button" class="topic_edit_cancel primary"><i class="icon-vector-remove"></i></button>\n    <div class="alert alert-error edit_error hide"></div>\n</form>\n'},
useData:!0});k.subscription_type=h({1:function(f,a,e,d,b){return f.escapeExpression((e.t||a&&a.t||e.helperMissing).call(null!=a?a:{},'This is an <span class="icon-vector-lock"></span> <b>invite-only stream</b>. Only people who have been invited can access its content, but&nbsp;any&nbsp;member&nbsp;of&nbsp;the&nbsp;stream can&nbsp;invite&nbsp;others.',{name:"t",hash:{},data:b}))+"\n"},3:function(f,a,e,d,b){return f.escapeExpression((e.t||a&&a.t||e.helperMissing).call(null!=a?a:{},'This is a <span class="icon-vector-globe"></span> <b>public stream</b>. Anybody in your organization can join.',
{name:"t",hash:{},data:b}))},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;return(null!=(c=e["if"].call(null!=a?a:{},null!=a?a.invite_only:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.program(3,b,0),data:b}))?c:"")+"\n"},useData:!0});k.announce_stream_docs=h({1:function(f,a,e,d,b){return"  <p>Lets everyone know about the new stream,<br />\n  even if you don't add them.</p>\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;return"<div>\n\n"+(null!=(c=(e.tr||a&&a.tr||e.helperMissing).call(null!=
a?a:{},a,{name:"tr",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+"\n</div>\n"},useData:!0});k.tutorial_title=h({compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;f=f.escapeExpression;return'\n<h4 class="popover-'+f((c=null!=(c=e.placement||(null!=a?a.placement:a))?c:g,"function"===typeof c?c.call(d,{name:"placement",hash:{},data:b}):c))+'">'+f((c=null!=(c=e.title||(null!=a?a.title:a))?c:g,"function"===typeof c?c.call(d,{name:"title",hash:{},
data:b}):c))+"</h4>\n"},useData:!0});k.subscription_setting_icon=h({1:function(f,a,e,d,b){return'        <i class="icon-vector-lock"></i>\n'},3:function(f,a,e,d,b){return'        <span class="hashtag">#</span>\n'},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};return'<div class="icon" style="background-color: '+f.escapeExpression((g=null!=(g=e.color||(null!=a?a.color:a))?g:e.helperMissing,"function"===typeof g?g.call(d,{name:"color",hash:{},data:b}):g))+'">\n    <div class="flex">\n'+
(null!=(c=e["if"].call(d,null!=a?a.invite_only:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.program(3,b,0),data:b}))?c:"")+"    </div>\n</div>\n"},useData:!0});k.topic_list_item=h({1:function(f,a,e,d,b){return"zero-subject-unreads"},3:function(f,a,e,d,b){return"muted_topic"},5:function(f,a,e,d,b){return"zero_count"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return"<li class='"+(null!=(c=e["if"].call(d,null!=a?a.is_zero:
a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+" "+(null!=(c=e["if"].call(d,null!=a?a.is_muted:a,{name:"if",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+" topic-list-item' data-name='"+m((g=null!=(g=e.topic_name||(null!=a?a.topic_name:a))?g:l,"function"===typeof g?g.call(d,{name:"topic_name",hash:{},data:b}):g))+"'>\n    <span class='topic-box'>\n        <a href='"+m((g=null!=(g=e.url||(null!=a?a.url:a))?g:l,"function"===typeof g?g.call(d,{name:"url",hash:{},
data:b}):g))+'\' class="topic-name">\n            '+m((g=null!=(g=e.topic_name||(null!=a?a.topic_name:a))?g:l,"function"===typeof g?g.call(d,{name:"topic_name",hash:{},data:b}):g))+'\n        </a>\n        <div class="topic-unread-count '+(null!=(c=e["if"].call(d,null!=a?a.is_zero:a,{name:"if",hash:{},fn:f.program(5,b,0),inverse:f.noop,data:b}))?c:"")+'">\n            <div class="value">'+m((g=null!=(g=e.unread||(null!=a?a.unread:a))?g:l,"function"===typeof g?g.call(d,{name:"unread",hash:{},data:b}):
g))+'</div>\n        </div>\n    </span>\n    <span class="arrow topic-sidebar-arrow">\n        <i class="icon-vector-chevron-down"></i>\n    </span>\n</li>\n'},useData:!0});k.bankruptcy_modal=h({1:function(f,a,e,d,b){return"It's been a while! Since you were last here, you received <b>__unread_count__</b> new messages."},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;return'\n<div class="modal-body">\n  <p>'+(null!=(c=(e.tr||a&&a.tr||g).call(d,a,{name:"tr",
hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+"</p>\n  <p>"+f.escapeExpression((e.t||a&&a.t||g).call(d,"Do you want to skip to your latest messages?",{name:"t",hash:{},data:b}))+"</p>\n</div>\n"},useData:!0});k.bookend=h({1:function(f,a,e,d,b){var c,g;d=null!=a?a:{};return'<div class="'+(null!=(c=e["if"].call(d,null!=a?a.trailing:a,{name:"if",hash:{},fn:f.program(2,b,0),inverse:f.noop,data:b}))?c:"")+' bookend sub-unsub-message">\n    <span>'+f.escapeExpression((g=null!=(g=e.bookend_content||
(null!=a?a.bookend_content:a))?g:e.helperMissing,"function"===typeof g?g.call(d,{name:"bookend_content",hash:{},data:b}):g))+'</span>\n    <div class="sub_button_row">\n        <button class="btn stream_sub_unsub_button btn-default" type="button" name="subscription">\n'+(null!=(c=e["if"].call(d,null!=a?a.subscribed:a,{name:"if",hash:{},fn:f.program(4,b,0),inverse:f.program(6,b,0),data:b}))?c:"")+"        </button>\n    </div>\n</div>\n"},2:function(f,a,e,d,b){return"trailing_bookend"},4:function(f,
a,e,d,b){return"            Unsubscribe\n"},6:function(f,a,e,d,b){return"            Subscribe\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;return"\n"+(null!=(c=e["if"].call(null!=a?a:{},null!=a?a.bookend_content:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")},useData:!0});k.admin_filter_list=h({1:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;f=f.escapeExpression;return'<tr class="filter_row">\n  <td>\n      <span class="filter_pattern">'+f((c=
null!=(c=e.pattern||(null!=a?a.pattern:a))?c:g,"function"===typeof c?c.call(d,{name:"pattern",hash:{},data:b}):c))+'</span>\n  </td>\n  <td>\n      <span class="filter_url_format_string">'+f((c=null!=(c=e.url_format_string||(null!=a?a.url_format_string:a))?c:g,"function"===typeof c?c.call(d,{name:"url_format_string",hash:{},data:b}):c))+'</span>\n  </td>\n  <td>\n      <button class="btn delete btn-danger" data-filter-id="'+f((c=null!=(c=e.id||(null!=a?a.id:a))?c:g,"function"===typeof c?c.call(d,
{name:"id",hash:{},data:b}):c))+'">\n        '+f((e.t||a&&a.t||g).call(d,"Delete",{name:"t",hash:{},data:b}))+"\n      </button>\n  </td>\n</tr>\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;return null!=(c=e["with"].call(null!=a?a:{},null!=a?a.filter:a,{name:"with",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:""},useData:!0});k.sidebar_private_message_list=h({1:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return"    <li class='"+(null!=
(c=e["if"].call(d,null!=a?a.is_zero:a,{name:"if",hash:{},fn:f.program(2,b,0),inverse:f.noop,data:b}))?c:"")+" "+(null!=(c=e["if"].call(d,null!=a?a.zoom_out_hide:a,{name:"if",hash:{},fn:f.program(4,b,0),inverse:f.noop,data:b}))?c:"")+" expanded_private_message' data-user-ids-string='"+m((g=null!=(g=e.user_ids_string||(null!=a?a.user_ids_string:a))?g:l,"function"===typeof g?g.call(d,{name:"user_ids_string",hash:{},data:b}):g))+"'>\n      <span class='pm-box'>\n        <a href='"+m((g=null!=(g=e.url||
(null!=a?a.url:a))?g:l,"function"===typeof g?g.call(d,{name:"url",hash:{},data:b}):g))+'\' class="conversation-partners">\n          '+m((g=null!=(g=e.recipients||(null!=a?a.recipients:a))?g:l,"function"===typeof g?g.call(d,{name:"recipients",hash:{},data:b}):g))+'\n        </a>\n        <div class="private_message_count '+(null!=(c=e["if"].call(d,null!=a?a.is_zero:a,{name:"if",hash:{},fn:f.program(6,b,0),inverse:f.noop,data:b}))?c:"")+'">\n            <div class="value">'+m((g=null!=(g=e.unread||
(null!=a?a.unread:a))?g:l,"function"===typeof g?g.call(d,{name:"unread",hash:{},data:b}):g))+'</div>\n        </div>\n      </span>\n      <span class="arrow topic-sidebar-arrow">\n        <i class="icon-vector-chevron-down"></i>\n      </span>\n    </li>\n'},2:function(f,a,e,d,b){return"zero-subject-unreads"},4:function(f,a,e,d,b){return"zoom-out-hide"},6:function(f,a,e,d,b){return"zero_count"},8:function(f,a,e,d,b){return'    <li class="show-more-private-messages" data-name=\'more-private-messages\'>\n      <a href="#">('+
f.escapeExpression((e.t||a&&a.t||e.helperMissing).call(null!=a?a:{},"more conversations",{name:"t",hash:{},data:b}))+")</a>\n    </li>\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};return"<ul class='expanded_private_messages "+f.escapeExpression((g=null!=(g=e.zoom_class||(null!=a?a.zoom_class:a))?g:e.helperMissing,"function"===typeof g?g.call(d,{name:"zoom_class",hash:{},data:b}):g))+"' data-name='private'>\n"+(null!=(c=e.each.call(d,null!=a?a.messages:a,{name:"each",
hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+(null!=(c=e["if"].call(d,null!=a?a.want_show_more_messages_links:a,{name:"if",hash:{},fn:f.program(8,b,0),inverse:f.noop,data:b}))?c:"")+"</ul>\n"},useData:!0});k.reaction_popover_content=h({1:function(f,a,e,d,b){var c,g;d=null!=a?a:{};return'      <div class="reaction-popover-reaction '+(null!=(c=e["if"].call(d,null!=a?a.has_reacted:a,{name:"if",hash:{},fn:f.program(2,b,0),inverse:f.noop,data:b}))?c:"")+'" title='+f.escapeExpression((g=null!=
(g=e.key||b&&b.key)?g:e.helperMissing,"function"===typeof g?g.call(d,{name:"key",hash:{},data:b}):g))+">\n"+(null!=(c=e["if"].call(d,null!=a?a.is_realm_emoji:a,{name:"if",hash:{},fn:f.program(4,b,0),inverse:f.program(6,b,0),data:b}))?c:"")+"      </div>\n"},2:function(f,a,e,d,b){return" reacted "},4:function(f,a,e,d,b){var c;d=f.escapeExpression;return'          <img src="'+d(f.lambda(null!=a?a.url:a,a))+'" class="emoji" title= ":'+d((c=null!=(c=e.key||b&&b.key)?c:e.helperMissing,"function"===typeof c?
c.call(null!=a?a:{},{name:"key",hash:{},data:b}):c))+':" />\n'},6:function(f,a,e,d,b){var c,g;d=null!=a?a:{};return'          <div class="emoji emoji-'+(null!=(c=e["if"].call(d,null!=a?a.has_reacted:a,{name:"if",hash:{},fn:f.program(7,b,0),inverse:f.program(9,b,0),data:b}))?c:"")+'" title= ":'+f.escapeExpression((g=null!=(g=e.key||b&&b.key)?g:e.helperMissing,"function"===typeof g?g.call(d,{name:"key",hash:{},data:b}):g))+':" />\n'},7:function(f,a,e,d,b){return f.escapeExpression(f.lambda(null!=a?
a.css_class:a,a))},9:function(f,a,e,d,b){return f.escapeExpression(f.lambda(a,a))},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'<div class="reaction-popover">\n  <div class="reaction-popover-top">\n    <input class="reaction-popover-filter" type="text" autofocus placeholder='+m((e.t||a&&a.t||l).call(d,"Search",{name:"t",hash:{},data:b}))+' />\n    <i class="icon-vector-search"></i>\n  </div>\n  <div class="reaction-popover-emoji-map" data-message-id="'+
m((g=null!=(g=e.message_id||(null!=a?a.message_id:a))?g:l,"function"===typeof g?g.call(d,{name:"message_id",hash:{},data:b}):g))+'">\n'+(null!=(c=e.each.call(d,null!=a?a.emojis:a,{name:"each",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+"  </div>\n</div>\n"},useData:!0});k.user_presence_row=h({1:function(f,a,e,d,b){return"user-with-count "},3:function(f,a,e,d,b){return""},5:function(f,a,e,d,b){return" my_fullname"},7:function(f,a,e,d,b){var c;return f.escapeExpression((c=null!=(c=e.num_unread||
(null!=a?a.num_unread:a))?c:e.helperMissing,"function"===typeof c?c.call(null!=a?a:{},{name:"num_unread",hash:{},data:b}):c))},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'<li data-user-id="'+m((g=null!=(g=e.user_id||(null!=a?a.user_id:a))?g:l,"function"===typeof g?g.call(d,{name:"user_id",hash:{},data:b}):g))+'" class="user_sidebar_entry '+(null!=(c=e["if"].call(d,null!=a?a.num_unread:a,{name:"if",hash:{},fn:f.program(1,
b,0),inverse:f.noop,data:b}))?c:"")+"narrow-filter user_"+m((g=null!=(g=e.type||(null!=a?a.type:a))?g:l,"function"===typeof g?g.call(d,{name:"type",hash:{},data:b}):g))+'">\n  <span class="selectable_sidebar_block'+(null!=(c=e["if"].call(d,null!=a?a.mobile:a,{name:"if",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+'">\n    <span class="user-status-indicator"></span>\n    <span class="user-device-indicator">'+(null!=(c=e["if"].call(d,null!=a?a.mobile:a,{name:"if",hash:{},fn:f.program(3,
b,0),inverse:f.noop,data:b}))?c:"")+'</span>\n      <a href="'+m((g=null!=(g=e.href||(null!=a?a.href:a))?g:l,"function"===typeof g?g.call(d,{name:"href",hash:{},data:b}):g))+'" data-user-id="'+m((g=null!=(g=e.user_id||(null!=a?a.user_id:a))?g:l,"function"===typeof g?g.call(d,{name:"user_id",hash:{},data:b}):g))+'" data-name="'+m((g=null!=(g=e.name||(null!=a?a.name:a))?g:l,"function"===typeof g?g.call(d,{name:"name",hash:{},data:b}):g))+'" title="'+m((g=null!=(g=e.name||(null!=a?a.name:a))?g:l,"function"===
typeof g?g.call(d,{name:"name",hash:{},data:b}):g))+" "+m((g=null!=(g=e.type_desc||(null!=a?a.type_desc:a))?g:l,"function"===typeof g?g.call(d,{name:"type_desc",hash:{},data:b}):g))+'"\n         class="'+(null!=(c=e["if"].call(d,null!=a?a.my_fullname:a,{name:"if",hash:{},fn:f.program(5,b,0),inverse:f.noop,data:b}))?c:"")+'">'+m((g=null!=(g=e.name||(null!=a?a.name:a))?g:l,"function"===typeof g?g.call(d,{name:"name",hash:{},data:b}):g))+'</a>\n  </span>\n  <span class="count"><span class="value">'+
(null!=(c=e["if"].call(d,null!=a?a.num_unread:a,{name:"if",hash:{},fn:f.program(7,b,0),inverse:f.noop,data:b}))?c:"")+'</span></span>\n  <span class="arrow"><i class="icon-vector-chevron-down"></i></span>\n</li>\n'},useData:!0});k.subscription_creation_form=h({compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){d=null!=a?a:{};var c=e.helperMissing;f=f.escapeExpression;return'<div class="hide" id="stream-creation" tabindex="-1" role="dialog"\n     aria-labelledby="stream-creation-label" aria-hidden="true">\n  <form id="stream_creation_form" class="form-inline">\n      <div class="stream-creation-body">\n          <section class="block">\n              <div class="create-stream-title">\n                  '+
f((e.t||a&&a.t||c).call(d,"Stream name",{name:"t",hash:{},data:b}))+'\n              </div>\n            <input type="text" name="stream_name" id="create_stream_name"\n                 placeholder="'+f((e.t||a&&a.t||c).call(d,"Stream name",{name:"t",hash:{},data:b}))+'" value="" autocomplete="off" />\n            <div id="stream_name_error"></div>\n          </section>\n          <section class="block">\n            <b>'+f((e.t||a&&a.t||c).call(d,"Stream description (optional)",{name:"t",hash:{},
data:b}))+'</b><br />\n            <textarea name="stream_description" id="create_stream_description"\n               placeholder="'+f((e.t||a&&a.t||c).call(d,"Stream description",{name:"t",hash:{},data:b}))+'" value="" autocomplete="off"></textarea>\n          </section>\n          <section class="block" id="make-invite-only">\n              <div class="create-stream-title">\n                  '+f((e.t||a&&a.t||c).call(d,"Stream accessibility",{name:"t",hash:{},data:b}))+'\n              </div>\n            <label class="radio">\n              <input type="radio" name="privacy" value="public" checked />\n              <span class="icon-vector-globe"></span>\n              '+
f((e.t||a&&a.t||c).call(d,"Anyone can join",{name:"t",hash:{},data:b}))+'\n            </label><br />\n            <label class="radio">\n              <input type="radio" name="privacy" value="invite-only" />\n              <span class="icon-vector-lock"></span>\n              '+f((e.t||a&&a.t||c).call(d,"People must be invited",{name:"t",hash:{},data:b}))+'\n            </label>\n            <div id="announce-new-stream">\n                <label class="checkbox">\n                  <input type="checkbox" name="announce" value="announce" checked />\n                  <span></span>\n                  <div class="icon-vector-bullhorn"></div>\n                  '+
f((e.t||a&&a.t||c).call(d,"Announce stream",{name:"t",hash:{},data:b}))+'\n                </label>\n                <span class="icon-vector-question-sign" id="announce-stream-docs"></span>\n            </div>\n          </section>\n          <section class="block">\n            <label class="control-label" for="people_to_add">\n                '+f((e.t||a&&a.t||c).call(d,"People to add",{name:"t",hash:{},data:b}))+'\n            </label>\n            <div class="controls" id="people_to_add"></div>\n          </section>\n      </div>\n      <div class="modal-footer">\n          <button class="btn btn-default" data-dismiss="modal" aria-hidden="true">'+
f((e.t||a&&a.t||c).call(d,"Cancel",{name:"t",hash:{},data:b}))+'</button>\n          <button class="btn btn-primary" type="submit">'+f((e.t||a&&a.t||c).call(d,"Create",{name:"t",hash:{},data:b}))+"</button>\n      </div>\n  </form>\n</div>\n"},useData:!0});k.recipient_row=h({1:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'  <div class="message_header message_header_stream right_part">\n    <div class="message-header-wrapper">\n      <div class="message-header-contents">\n        <a class="message_label_clickable narrows_by_recipient stream_label '+
m((g=null!=(g=e.color_class||(null!=a?a.color_class:a))?g:l,"function"===typeof g?g.call(d,{name:"color_class",hash:{},data:b}):g))+'"\n           style="background: '+m((g=null!=(g=e.background_color||(null!=a?a.background_color:a))?g:l,"function"===typeof g?g.call(d,{name:"background_color",hash:{},data:b}):g))+"; border-left-color: "+m((g=null!=(g=e.background_color||(null!=a?a.background_color:a))?g:l,"function"===typeof g?g.call(d,{name:"background_color",hash:{},data:b}):g))+';"\n           href="'+
m((g=null!=(g=e.stream_url||(null!=a?a.stream_url:a))?g:l,"function"===typeof g?g.call(d,{name:"stream_url",hash:{},data:b}):g))+'"\n           title="'+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(2,b,0),inverse:f.noop,data:b}))?c:"")+'">\n'+(null!=(c=e["if"].call(d,null!=a?a.invite_only:a,{name:"if",hash:{},fn:f.program(4,b,0),inverse:f.noop,data:b}))?c:"")+"             "+m((g=null!=(g=e.display_recipient||(null!=a?a.display_recipient:a))?g:l,"function"===typeof g?g.call(d,
{name:"display_recipient",hash:{},data:b}):g))+'\n        </a>\n\n        <span class="copy-paste-text">&gt;</span>\n\n        <span class="stream_topic">\n          <a class="message_label_clickable narrows_by_subject"\n             href="'+m((g=null!=(g=e.topic_url||(null!=a?a.topic_url:a))?g:l,"function"===typeof g?g.call(d,{name:"topic_url",hash:{},data:b}):g))+'"\n             title="'+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(6,b,0),inverse:f.noop,data:b}))?c:"")+
'">\n'+(null!=(c=e["if"].call(d,null!=a?a.use_match_properties:a,{name:"if",hash:{},fn:f.program(8,b,0),inverse:f.program(10,b,0),data:b}))?c:"")+"          </a>\n\n"+(null!=(c=e["if"].call(d,null!=a?a.always_visible_topic_edit:a,{name:"if",hash:{},fn:f.program(12,b,0),inverse:f.program(14,b,0),data:b}))?c:"")+"\n"+(null!=(c=e.each.call(d,null!=a?a.subject_links:a,{name:"each",hash:{},fn:f.program(17,b,0),inverse:f.noop,data:b}))?c:"")+'        </span>\n\n        <span class="topic_edit">\n          <span class="topic_edit_form" id="'+
m((g=null!=(g=e.id||(null!=a?a.id:a))?g:l,"function"===typeof g?g.call(d,{name:"id",hash:{},data:b}):g))+'"></span>\n        </span>\n\n        <span class="recipient_row_date '+(null!=(c=e["if"].call(d,null!=a?a.show_date:a,{name:"if",hash:{},fn:f.program(19,b,0),inverse:f.program(21,b,0),data:b}))?c:"")+'">'+(null!=(c=(g=null!=(g=e.date||(null!=a?a.date:a))?g:l,"function"===typeof g?g.call(d,{name:"date",hash:{},data:b}):g))?c:"")+"</span>\n      </div>\n    </div>\n  </div>\n"},2:function(f,a,
e,d,b){return"Narrow to stream &quot;__display_recipient__&quot;"},4:function(f,a,e,d,b){return'             <i class="icon-vector-lock invite-stream-icon" title="'+f.escapeExpression((e.t||a&&a.t||e.helperMissing).call(null!=a?a:{},"This is an invite-only stream",{name:"t",hash:{},data:b}))+'"></i>\n'},6:function(f,a,e,d,b){return"Narrow to stream &quot;__display_recipient__&quot;, topic &quot;__subject__&quot;"},8:function(f,a,e,d,b){var c,g;return"              "+(null!=(c=(g=null!=(g=e.match_subject||
(null!=a?a.match_subject:a))?g:e.helperMissing,"function"===typeof g?g.call(null!=a?a:{},{name:"match_subject",hash:{},data:b}):g))?c:"")+"\n"},10:function(f,a,e,d,b){var c;return"              "+f.escapeExpression((c=null!=(c=e.subject||(null!=a?a.subject:a))?c:e.helperMissing,"function"===typeof c?c.call(null!=a?a:{},{name:"subject",hash:{},data:b}):c))+"\n"},12:function(f,a,e,d,b){return'            <i class="icon-vector-pencil always_visible_topic_edit"></i>\n'},14:function(f,a,e,d,b){var c;return null!=
(c=e["if"].call(null!=a?a:{},null!=a?a.on_hover_topic_edit:a,{name:"if",hash:{},fn:f.program(15,b,0),inverse:f.noop,data:b}))?c:""},15:function(f,a,e,d,b){return'            <i class="icon-vector-pencil on_hover_topic_edit"></i>\n'},17:function(f,a,e,d,b){return'          <a href="'+f.escapeExpression(f.lambda(a,a))+'" target="_blank">\n            <i class="icon-vector-external-link-sign"></i>\n          </a>\n'},19:function(f,a,e,d,b){return""},21:function(f,a,e,d,b){return"hide-date"},23:function(f,
a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing;return'  <div class="message_header message_header_private_message dark_background">\n    <div class="message-header-wrapper">\n      <div class="message-header-contents">\n        <a class="message_label_clickable narrows_by_recipient stream_label"\n           href="'+f.escapeExpression((g=null!=(g=e.pm_with_url||(null!=a?a.pm_with_url:a))?g:l,"function"===typeof g?g.call(d,{name:"pm_with_url",hash:{},data:b}):g))+'"\n           title="'+(null!=
(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(24,b,0),inverse:f.noop,data:b}))?c:"")+'">\n        '+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(26,b,0),inverse:f.noop,data:b}))?c:"")+'\n        </a>\n\n        <span class="recipient_row_date '+(null!=(c=e["if"].call(d,null!=a?a.show_date:a,{name:"if",hash:{},fn:f.program(19,b,0),inverse:f.program(21,b,0),data:b}))?c:"")+'">'+(null!=(c=(g=null!=(g=e.date||(null!=a?a.date:a))?g:l,"function"===typeof g?g.call(d,
{name:"date",hash:{},data:b}):g))?c:"")+"</span>\n      </div>\n    </div>\n  </div>\n"},24:function(f,a,e,d,b){return"Narrow to your private messages with __display_reply_to__"},26:function(f,a,e,d,b){return"You and __display_reply_to__"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;return null!=(c=e["if"].call(null!=a?a:{},null!=a?a.is_stream:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.program(23,b,0),data:b}))?c:""},useData:!0});k.tutorial_subject=h({1:function(f,a,e,d,b){return"        The <b>topic</b> of a conversation is one or two words that describe\n        what it is about, for example: <b>Bug #345</b>, <b>lunch</b>, or\n        <b>logo</b>. Don't overthink it.\n"},
compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'\n<div class="tutorial-popover popover-'+m((g=null!=(g=e.placement||(null!=a?a.placement:a))?g:l,"function"===typeof g?g.call(d,{name:"placement",hash:{},data:b}):g))+'" id="tutorial-subject">\n\n    <p>\n'+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'    </p>\n\n    <div class="tutorial-done-button">\n      <button class="btn btn-primary" type="submit" id="tutorial-subject-next">'+
m((e.t||a&&a.t||l).call(d,"Next",{name:"t",hash:{},data:b}))+"</button>\n    </div>\n</div>\n"},useData:!0});k.user_presence_rows=h({1:function(f,a,e,d,b){return f.escapeExpression((e.partial||a&&a.partial||e.helperMissing).call(null!=a?a:{},"user_presence_row",{name:"partial",hash:{},data:b}))+"\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;return null!=(c=e.each.call(null!=a?a:{},null!=a?a.users:a,{name:"each",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:""},useData:!0});
k.admin_tab=h({1:function(f,a,e,d,b){return'By deactivating <strong><span class="user_name"></span></strong> &lt;<span class="email"></span>&gt;, they will be logged out immediately.'},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing,l=f.escapeExpression;return'<div class="row-fluid">\n  <div class="span12">\n    <div class="administration">\n      <div class="alert" id="administration-status"></div>\n      <h1><i class="icon-vector-bolt administration-icon"></i>'+
l((e.t||a&&a.t||g).call(d,"Administration",{name:"t",hash:{},data:b}))+'</h1>\n      <ul class="nav nav-tabs" role="tablist">\n        <li role="presentation" class="active">\n          <a href="#organization" aria-controls="organization" role="tab" data-toggle="tab"><i class="icon-vector-gear settings-section-icon"></i> '+l((e.t||a&&a.t||g).call(d,"Organization settings",{name:"t",hash:{},data:b}))+'</a>\n        </li>\n        <li role="presentation">\n          <a href="#users" aria-controls="users" role="tab" data-toggle="tab"><i class="icon-vector-user settings-section-icon"></i> '+
l((e.t||a&&a.t||g).call(d,"Users",{name:"t",hash:{},data:b}))+'</a>\n        </li>\n        <li role="presentation">\n          <a href="#deactivated-users" aria-controls="deactivated-users" role="tab" data-toggle="tab"><i class="icon-vector-trash settings-section-icon"></i> '+l((e.t||a&&a.t||g).call(d,"Deactivated users",{name:"t",hash:{},data:b}))+'</a>\n        </li>\n        <li role="presentation">\n          <a href="#bots" aria-controls="bots" role="tab" data-toggle="tab"><i class="icon-vector-github settings-section-icon"></i> '+
l((e.t||a&&a.t||g).call(d,"Bots",{name:"t",hash:{},data:b}))+'</a>\n        </li>\n        <li role="presentation">\n          <a href="#streams" aria-controls="streams" role="tab" data-toggle="tab"><i class="icon-vector-exchange settings-section-icon"></i> '+l((e.t||a&&a.t||g).call(d,"Delete streams",{name:"t",hash:{},data:b}))+'</a>\n        </li>\n        <li role="presentation">\n          <a href="#default-streams" aria-controls="default-streams" role="tab" data-toggle="tab"><i class="icon-vector-exchange settings-section-icon"></i> '+
l((e.t||a&&a.t||g).call(d,"Default streams",{name:"t",hash:{},data:b}))+'</a>\n        </li>\n      </ul>\n      <div class="tab-content">\n        <div role="tabpanel" class="tab-pane active" id="organization">\n          '+l((e.partial||a&&a.partial||g).call(d,"organization-settings-admin",{name:"partial",hash:{},data:b}))+"\n          "+l((e.partial||a&&a.partial||g).call(d,"emoji-settings-admin",{name:"partial",hash:{},data:b}))+"\n          "+l((e.partial||a&&a.partial||g).call(d,"realm-filter-settings-admin",
{name:"partial",hash:{},data:b}))+"\n          "+l((e.partial||a&&a.partial||g).call(d,"auth-methods-settings-admin",{name:"partial",hash:{},data:b}))+'\n        </div>\n        <div role="tabpanel" class="tab-pane" id="users">\n          '+l((e.partial||a&&a.partial||g).call(d,"user-list-admin",{name:"partial",hash:{},data:b}))+'\n        </div>\n        <div role="tabpanel" class="tab-pane" id="deactivated-users">\n          '+l((e.partial||a&&a.partial||g).call(d,"deactivated-users-admin",{name:"partial",
hash:{},data:b}))+'\n        </div>\n        <div role="tabpanel" class="tab-pane" id="bots">\n          '+l((e.partial||a&&a.partial||g).call(d,"bot-list-admin",{name:"partial",hash:{},data:b}))+'\n        </div>\n        <div role="tabpanel" class="tab-pane" id="streams">\n          '+l((e.partial||a&&a.partial||g).call(d,"streams-list-admin",{name:"partial",hash:{},data:b}))+'\n        </div>\n        <div role="tabpanel" class="tab-pane" id="default-streams">\n          '+l((e.partial||a&&a.partial||
g).call(d,"default-streams-list-admin",{name:"partial",hash:{},data:b}))+'\n        </div>\n      </div>\n\n      <div id="deactivation_user_modal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="deactivation_user_modal_label" aria-hidden="true">\n        <div class="modal-header">\n          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">\u00d7</button>\n          <h3 id="deactivation_user_modal_label">'+l((e.t||a&&a.t||g).call(d,"Deactivate",{name:"t",
hash:{},data:b}))+' <span class="email"></span></h3>\n        </div>\n        <div class="modal-body">\n          <p>'+(null!=(c=(e.tr||a&&a.tr||g).call(d,a,{name:"tr",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+"</p>\n          <p>"+l((e.t||a&&a.t||g).call(d,"Their password will be cleared from our systems, and any bots they maintain will be disabled.",{name:"t",hash:{},data:b}))+'</p>\n        </div>\n        <div class="modal-footer">\n          <button class="btn btn-default" data-dismiss="modal" aria-hidden="true">'+
l((e.t||a&&a.t||g).call(d,"Cancel",{name:"t",hash:{},data:b}))+'</button>\n          <button class="button btn-danger" id="do_deactivate_user_button">'+l((e.t||a&&a.t||g).call(d,"Deactivate now",{name:"t",hash:{},data:b}))+'</button>\n        </div>\n      </div>\n      <div id="deactivation_stream_modal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="deactivation_stream_modal_label" aria-hidden="true">\n        <div class="modal-header">\n          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">\u00d7</button>\n          <h3 id="deactivation_stream_modal_label">'+
l((e.t||a&&a.t||g).call(d,"Delete stream",{name:"t",hash:{},data:b}))+' <span class="stream_name"></span></h3>\n        </div>\n        <div class="modal-body">\n          <p>'+l((e.t||a&&a.t||g).call(d,"Deleting this stream will immediately unsubscribe everyone, and the stream's content will not be recoverable.",{name:"t",hash:{},data:b}))+" <strong>"+l((e.t||a&&a.t||g).call(d,"Are you sure you want to do this?",{name:"t",hash:{},data:b}))+'</strong></p>\n        </div>\n        <div class="modal-footer">\n          <button class="btn btn-default" data-dismiss="modal" aria-hidden="true">'+
l((e.t||a&&a.t||g).call(d,"Cancel",{name:"t",hash:{},data:b}))+'</button>\n          <button class="button btn-danger" id="do_deactivate_stream_button">'+l((e.t||a&&a.t||g).call(d,"Yes, delete this stream",{name:"t",hash:{},data:b}))+'</button>\n        </div>\n      </div>\n      <div id="realm_aliases_modal" class="modal hide" tabindex="-1" role="dialog" aria-labelledby="realm_aliases_modal_label" aria-hidden="true">\n        <div class="modal-header">\n          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">\u00d7</button>\n          <h3 id="realm_aliases_modal_label">'+
l((e.t||a&&a.t||g).call(d,"Allowed domains",{name:"t",hash:{},data:b}))+'</h3>\n        </div>\n        <div class="modal-body">\n          <table class="table table-condensed table-stripped" id="alias_table">\n            <thead>\n              <th>'+l((e.t||a&&a.t||g).call(d,"Domain",{name:"t",hash:{},data:b}))+"</th>\n              <th>"+l((e.t||a&&a.t||g).call(d,"Action",{name:"t",hash:{},data:b}))+'</th>\n            </thead>\n            <tbody>\n            </tbody>\n            <tfoot>\n              <tr>\n                <td><input type="text" id="new_alias" placeholder='+
l((e.t||a&&a.t||g).call(d,"acme.com",{name:"t",hash:{},data:b}))+'></input></td>\n                <td><button type="button" class="btn btn-primary" id="add_alias">'+l((e.t||a&&a.t||g).call(d,"Add",{name:"t",hash:{},data:b}))+'</button></td>\n              </tr>\n            </tfoot>\n          </table>\n        </div>\n        <div class="modal-footer centered-footer">\n          <div class="aliases_info"></div>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n'},useData:!0});k.message_reactions=
h({1:function(f,a,e,d,b){return"  "+f.escapeExpression((e.partial||a&&a.partial||e.helperMissing).call(null!=a?a:{},"message_reaction",{name:"partial",hash:{},data:b}))+"\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};return(null!=(c=e.each.call(d,null!=(c=null!=a?a.msg:a)?c.message_reactions:c,{name:"each",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'<div class="reaction_button" title="'+f.escapeExpression((e.t||a&&a.t||e.helperMissing).call(d,"Add reaction...",
{name:"t",hash:{},data:b}))+'">\n  <i class="icon-vector-smile"></i>\n  <div class="message_reaction_count">+</div>\n</div>\n'},useData:!0});k.subscription_table_body=h({1:function(f,a,e,d,b){return'                            <input type="submit" class=""\n                              id="create_stream_button" value="+" />\n'},3:function(f,a,e,d,b){return"                    "+f.escapeExpression((e.partial||a&&a.partial||e.helperMissing).call(null!=a?a:{},"subscription",{name:"partial",hash:{},
data:b}))+"\n"},5:function(f,a,e,d,b){return"                    "+f.escapeExpression((e.partial||a&&a.partial||e.helperMissing).call(null!=a?a:{},"subscription_settings",{name:"partial",hash:{},data:b}))+"\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing,l=f.escapeExpression;return'<div id="subscription_overlay" class="new-style">\n    <div class="flex">\n        <div class="subscriptions-container">\n            <div class="subscriptions-header">\n                '+
l((e.t||a&&a.t||g).call(d,"Subscriptions",{name:"t",hash:{},data:b}))+'\n                <div class="exit">\n                    <span class="exit-sign">&times;</span>\n                </div>\n            </div>\n            <div class="left">\n                <div class="search-container">\n                    <form id="add_new_subscription" class="form-inline" action="">\n                        <input type="text" name="stream_name" id="search_stream_name"\n                          placeholder="'+
l((e.t||a&&a.t||g).call(d,"Filter streams",{name:"t",hash:{},data:b}))+'" value="" autocomplete="off" />\n'+(null!=(c=e["if"].call(d,null!=a?a.can_create_streams:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'                        <div class="float-clear"></div>\n                    </form>\n                    <div class="clear-float"></div>\n                </div>\n                <div class="streams-list">\n'+(null!=(c=e.each.call(d,null!=a?a.subscriptions:a,{name:"each",
hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+'                </div>\n            </div>\n            <div class="right">\n                <div class="display-type">\n                    <div id="add_new_stream_title" class="stream-info-title">'+l((e.t||a&&a.t||g).call(d,"Create stream",{name:"t",hash:{},data:b}))+'</div>\n                    <div id="stream_settings_title" class="stream-info-title">'+l((e.t||a&&a.t||g).call(d,"Stream settings",{name:"t",hash:{},data:b}))+'</div>\n                </div>\n                <div class="nothing-selected">\n                    '+
l((e.t||a&&a.t||g).call(d,"Nothing selected.",{name:"t",hash:{},data:b}))+'\n                </div>\n                <div class="settings">\n'+(null!=(c=e.each.call(d,null!=a?a.subscriptions:a,{name:"each",hash:{},fn:f.program(5,b,0),inverse:f.noop,data:b}))?c:"")+"                </div>\n                "+l((e.partial||a&&a.partial||g).call(d,"subscription_creation_form",{name:"partial",hash:{},data:b}))+"\n            </div>\n        </div>\n    </div>\n</div>\n"},useData:!0});k.emoji_popover_content=
h({1:function(f,a,e,d,b){var c;return null!=(c=e["with"].call(null!=a?a:{},a,{name:"with",hash:{},fn:f.program(2,b,0),inverse:f.noop,data:b}))?c:""},2:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;f=f.escapeExpression;return'    <div class="emoji emoji-'+f((c=null!=(c=e.css_name||(null!=a?a.css_name:a))?c:g,"function"===typeof c?c.call(d,{name:"css_name",hash:{},data:b}):c))+'" title=":'+f((c=null!=(c=e.name||(null!=a?a.name:a))?c:g,"function"===typeof c?c.call(d,{name:"name",hash:{},
data:b}):c))+':" />\n'},4:function(f,a,e,d,b){var c;return null!=(c=e["with"].call(null!=a?a:{},a,{name:"with",hash:{},fn:f.program(5,b,0),inverse:f.noop,data:b}))?c:""},5:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;f=f.escapeExpression;return'    <div class="emoji realm-emoji emoji-'+f((c=null!=(c=e.emoji_name||(null!=a?a.emoji_name:a))?c:g,"function"===typeof c?c.call(d,{name:"emoji_name",hash:{},data:b}):c))+'" title=":'+f((c=null!=(c=e.emoji_name||(null!=a?a.emoji_name:a))?
c:g,"function"===typeof c?c.call(d,{name:"emoji_name",hash:{},data:b}):c))+':" style="background-image: url(\''+f((c=null!=(c=e.emoji_url||(null!=a?a.emoji_url:a))?c:g,"function"===typeof c?c.call(d,{name:"emoji_url",hash:{},data:b}):c))+"')\"></div>\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};return(null!=(c=e.each.call(d,null!=a?a.emoji_list:a,{name:"each",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+(null!=(c=e.each.call(d,null!=a?a.realm_emoji:a,{name:"each",
hash:{},fn:f.program(4,b,0),inverse:f.noop,data:b}))?c:"")},useData:!0});k.notification=h({compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;f=f.escapeExpression;return'<div class="notification" data-message-id="'+f((c=null!=(c=e.message_id||(null!=a?a.message_id:a))?c:g,"function"===typeof c?c.call(d,{name:"message_id",hash:{},data:b}):c))+'">\n    <div class="notifications-gravatar">\n        <img src="'+f((c=null!=(c=e.gravatar_url||(null!=a?a.gravatar_url:
a))?c:g,"function"===typeof c?c.call(d,{name:"gravatar_url",hash:{},data:b}):c))+'" />\n    </div>\n    <div class="notifications-content">\n        <div class="title">'+f((c=null!=(c=e.title||(null!=a?a.title:a))?c:g,"function"===typeof c?c.call(d,{name:"title",hash:{},data:b}):c))+"</div>\n        "+f((c=null!=(c=e.content||(null!=a?a.content:a))?c:g,"function"===typeof c?c.call(d,{name:"content",hash:{},data:b}):c))+"\n    </div>\n</div>\n"},useData:!0});k.tutorial_reply=h({1:function(f,a,e,d,
b){return"    <p><b>Reply</b> to a message by <b>clicking on it</b>. The stream\n        and topic will automatically be filled in.</p>\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'\n<div class="tutorial-popover popover-'+m((g=null!=(g=e.placement||(null!=a?a.placement:a))?g:l,"function"===typeof g?g.call(d,{name:"placement",hash:{},data:b}):g))+'" id="tutorial-reply">\n\n'+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",
hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'\n    <div class="tutorial-done-button">\n      <button class="btn btn-primary" type="submit" id="tutorial-reply-next">'+m((e.t||a&&a.t||l).call(d,"Next",{name:"t",hash:{},data:b}))+"</button>\n    </div>\n</div>\n"},useData:!0});k.admin_streams_list=h({1:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'<tr class="stream_row">\n  <td>\n      '+(null!=(c=e["if"].call(d,null!=a?a.invite_only:a,{name:"if",
hash:{},fn:f.program(2,b,0),inverse:f.noop,data:b}))?c:"")+'\n      <span class="stream_name">'+m((g=null!=(g=e.name||(null!=a?a.name:a))?g:l,"function"===typeof g?g.call(d,{name:"name",hash:{},data:b}):g))+'</span>\n  </td>\n  <td>\n      <button class="button deactivate btn-danger">\n        '+m((e.t||a&&a.t||l).call(d,"Delete stream",{name:"t",hash:{},data:b}))+"\n      </button>\n  </td>\n</tr>\n"},2:function(f,a,e,d,b){return'<i class="icon-vector-lock "></i>'},compiler:[7,">= 4.0.0"],main:function(f,
a,e,d,b){var c;return null!=(c=e["with"].call(null!=a?a:{},null!=a?a.stream:a,{name:"with",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:""},useData:!0});k.admin_user_list=h({1:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'<tr class="user_row" id="user_'+m((g=null!=(g=e.email||(null!=a?a.email:a))?g:l,"function"===typeof g?g.call(d,{name:"email",hash:{},data:b}):g))+'">\n  <td>\n    <span class="user_name">'+m((g=null!=(g=e.full_name||(null!=
a?a.full_name:a))?g:l,"function"===typeof g?g.call(d,{name:"full_name",hash:{},data:b}):g))+'</span>\n  </td>\n  <td>\n    <span class="email">'+m((g=null!=(g=e.email||(null!=a?a.email:a))?g:l,"function"===typeof g?g.call(d,{name:"email",hash:{},data:b}):g))+"</span>\n  </td>\n"+(null!=(c=e["if"].call(d,null!=a?a.is_bot:a,{name:"if",hash:{},fn:f.program(2,b,0),inverse:f.noop,data:b}))?c:"")+"  <td>\n"+(null!=(c=e["if"].call(d,null!=a?a.is_active:a,{name:"if",hash:{},fn:f.program(4,b,0),inverse:f.program(6,
b,0),data:b}))?c:"")+'    <span class="user-admin-settings">\n'+(null!=(c=e["if"].call(d,null!=a?a.is_active_human:a,{name:"if",hash:{},fn:f.program(8,b,0),inverse:f.noop,data:b}))?c:"")+"    </span>\n"+(null!=(c=e["if"].call(d,null!=a?a.is_active:a,{name:"if",hash:{},fn:f.program(13,b,0),inverse:f.noop,data:b}))?c:"")+"    <div class='admin-user-status'>\n    </div>\n  </td>\n</tr>\n"+(null!=(c=e["if"].call(d,null!=a?a.is_active:a,{name:"if",hash:{},fn:f.program(15,b,0),inverse:f.noop,data:b}))?
c:"")},2:function(f,a,e,d,b){var c;return'    <td>\n      <span class="owner">'+f.escapeExpression((c=null!=(c=e.bot_owner||(null!=a?a.bot_owner:a))?c:e.helperMissing,"function"===typeof c?c.call(null!=a?a:{},{name:"bot_owner",hash:{},data:b}):c))+"</span>\n    </td>\n"},4:function(f,a,e,d,b){return'      <button class="button deactivate btn-danger">\n        '+f.escapeExpression((e.t||a&&a.t||e.helperMissing).call(null!=a?a:{},"Deactivate",{name:"t",hash:{},data:b}))+"\n      </button>\n"},6:function(f,
a,e,d,b){return'      <button class="button reactivate btn-warning">\n        '+f.escapeExpression((e.t||a&&a.t||e.helperMissing).call(null!=a?a:{},"Reactivate",{name:"t",hash:{},data:b}))+"\n      </button>\n"},8:function(f,a,e,d,b){var c;return null!=(c=e["if"].call(null!=a?a:{},null!=a?a.is_admin:a,{name:"if",hash:{},fn:f.program(9,b,0),inverse:f.program(11,b,0),data:b}))?c:""},9:function(f,a,e,d,b){return'          <button class="button remove-admin btn-danger">\n            '+f.escapeExpression((e.t||
a&&a.t||e.helperMissing).call(null!=a?a:{},"Remove admin",{name:"t",hash:{},data:b}))+"\n          </button>\n"},11:function(f,a,e,d,b){return'          <button class="button make-admin btn-warning">\n            '+f.escapeExpression((e.t||a&&a.t||e.helperMissing).call(null!=a?a:{},"Make admin",{name:"t",hash:{},data:b}))+"\n          </button>\n"},13:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;f=f.escapeExpression;return'      <button class="button btn-primary open-user-form" title="'+
f((e.t||a&&a.t||g).call(d,"Edit User",{name:"t",hash:{},data:b}))+'" data-email="'+f((c=null!=(c=e.email||(null!=a?a.email:a))?c:g,"function"===typeof c?c.call(d,{name:"email",hash:{},data:b}):c))+'">\n          <i class="icon-vector-pencil"></i>\n      </button>\n'},15:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'<tr class="user-name-form display-none" id="user_form_'+m((g=null!=(g=e.email||(null!=a?a.email:a))?g:l,"function"===typeof g?g.call(d,{name:"email",
hash:{},data:b}):g))+'">\n  <td colspan="'+(null!=(c=e["if"].call(d,null!=a?a.is_bot:a,{name:"if",hash:{},fn:f.program(16,b,0),inverse:f.program(18,b,0),data:b}))?c:"")+'">\n    <form class="form-horizontal name-setting">\n      <input type="hidden" name="is_full_name" value="true" />\n      <div class="input-group name_change_container">\n        <label for="full_name">'+m((e.t||a&&a.t||l).call(d,"Full name",{name:"t",hash:{},data:b}))+'</label>\n        <input type="text" name="full_name" value="'+
m((g=null!=(g=e.full_name||(null!=a?a.full_name:a))?g:l,"function"===typeof g?g.call(d,{name:"full_name",hash:{},data:b}):g))+'" />\n      </div>\n      <div class="input-group">\n        <input type="button" class="btn btn-primary submit_name_changes" value="'+m((e.t||a&&a.t||l).call(d,"Save changes",{name:"t",hash:{},data:b}))+'" />\n        <button type="button" class="btn btn-default reset_edit_user">'+m((e.t||a&&a.t||l).call(d,"Cancel",{name:"t",hash:{},data:b}))+"</button>\n      </div>\n    </form>\n  </td>\n</tr>\n"},
16:function(f,a,e,d,b){return"4"},18:function(f,a,e,d,b){return"3"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;return null!=(c=e["with"].call(null!=a?a:{},null!=a?a.user:a,{name:"with",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:""},useData:!0});k.message_reaction=h({1:function(f,a,e,d,b){return'    <img src="'+f.escapeExpression(f.lambda(null!=a?a.url:a,a))+'" class="emoji" />\n'},3:function(f,a,e,d,b){return'    <div class="emoji emoji-'+f.escapeExpression(f.lambda(null!=
a?a.emoji_name_css_class:a,a))+'" />\n'},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=f.lambda;var g=f.escapeExpression;return'<div class="message_reaction" title="'+g(d(null!=a?a.title:a,a))+'" data-emoji-name="'+g(d(null!=a?a.emoji_name:a,a))+'">\n'+(null!=(c=e["if"].call(null!=a?a:{},null!=a?a.is_realm_emoji:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.program(3,b,0),data:b}))?c:"")+'  <div class="message_reaction_count">'+g(d(null!=a?a.count:a,a))+"</div>\n</div>\n"},useData:!0});
k.compose_all_everyone=h({1:function(f,a,e,d,b){return"Are you sure you want to mention all <strong>__count__</strong> people in this stream?"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;return'<div class="compose-all-everyone">\n    <span class="compose-all-everyone-msg">\n        '+(null!=(c=(e.tr||a&&a.tr||g).call(d,a,{name:"tr",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'\n    </span>\n    <span class="compose-all-everyone-controls">\n        <button type="button" class="btn btn-warning compose-all-everyone-confirm">'+
f.escapeExpression((e.t||a&&a.t||g).call(d,"Yes, send",{name:"t",hash:{},data:b}))+"</button>\n    </span>\n</div>\n"},useData:!0});k["account-settings"]=h({1:function(f,a,e,d,b){d=null!=a?a:{};var c=e.helperMissing;f=f.escapeExpression;return'      <div class="input-group" id="pw_change_link">\n        <label for="change_password_button">'+f((e.t||a&&a.t||c).call(d,"Password",{name:"t",hash:{},data:b}))+'</label>\n        <button class="change_password_button button" data-dismiss="modal" aria-hidden="true">'+
f((e.t||a&&a.t||c).call(d,"Change password",{name:"t",hash:{},data:b}))+'</button>\n      </div>\n\n      <div id="pw_change_controls">\n        <div class="input-group">\n          <label for="old_password">'+f((e.t||a&&a.t||c).call(d,"Old password",{name:"t",hash:{},data:b}))+'</label>\n          <input type="password" autocomplete="off" name="old_password" id="old_password" value="" />\n          (<a href="/accounts/password/reset/" target="_blank">'+f((e.t||a&&a.t||c).call(d,"Forgotten it?",{name:"t",
hash:{},data:b}))+'</a>)\n        </div>\n\n        <div class="input-group">\n          <label for="new_password">'+f((e.t||a&&a.t||c).call(d,"New password",{name:"t",hash:{},data:b}))+'</label>\n          <input type="password" autocomplete="off" name="new_password" id="new_password" value="" />\n        </div>\n\n        <div class="input-group">\n          <label>'+f((e.t||a&&a.t||c).call(d,"Password strength",{name:"t",hash:{},data:b}))+'</label>\n          <div class="progress" id="pw_strength">\n            <div class="bar bar-danger fade" style="width: 10%;"></div>\n          </div>\n        </div>\n\n        <div class="input-group">\n          <label for="confirm_password">'+
f((e.t||a&&a.t||c).call(d,"Confirm password",{name:"t",hash:{},data:b}))+'</label>\n          <input type="password" autocomplete="off" name="confirm_password" id="confirm_password" value="" />\n        </div>\n\n      </div>\n'},3:function(f,a,e,d,b){return"By deactivating your account, you will be logged out immediately."},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'<div id="account-settings" class="settings-section show" data-name="your-account">\n  <div class="settings-section-title">\n    <i class="icon-vector-user settings-section-icon"></i>\n    '+
m((e.t||a&&a.t||l).call(d,"Your account",{name:"t",hash:{},data:b}))+'\n  </div>\n  <div class="account-settings-form">\n    <form action="/json/settings/change" method="post"\n          class="form-horizontal your-account-settings">\n      <div class="input-group name_change_container">\n        <label for="full_name">'+m((e.t||a&&a.t||l).call(d,"Full name",{name:"t",hash:{},data:b}))+'</label>\n        <input type="text" name="full_name" value="'+m((g=null!=(g=e.full_name||(null!=a?a.full_name:
a))?g:l,"function"===typeof g?g.call(d,{name:"full_name",hash:{},data:b}):g))+'" />\n      </div>\n\n      \x3c!-- password start --\x3e\n'+(null!=(c=e["if"].call(d,null!=(c=null!=a?a.page_params:a)?c.password_auth_enabled:c,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'\n      <div class="input-group">\n        <input type="submit" class="button green" name="change_settings" value="Save changes" />\n      </div>\n\n      <div class="input-group">\n        <img id="user-settings-avatar" src="'+
m(f.lambda(null!=(c=null!=a?a.page_params:a)?c.avatar_url:c,a))+'" />\n        <div id="user_avatar_file_input_error" class="text-error"></div>\n        <div id="user_avatar_file"></div>\n        <input type="file" name="user_avatar_file_input" class="notvisible" id="user_avatar_file_input" value="'+m((e.t||a&&a.t||l).call(d,"Upload avatar",{name:"t",hash:{},data:b}))+'" />\n        <div id="upload_avatar_spinner"></div>\n        <button class="button standalone" id="user_avatar_upload_button">'+
m((e.t||a&&a.t||l).call(d,"Customize avatar",{name:"t",hash:{},data:b}))+'</button>\n        <button class="button standalone btn-danger" id="user_avatar_delete_button">'+m((e.t||a&&a.t||l).call(d,"Delete avatar",{name:"t",hash:{},data:b}))+'</button>\n        <button class="button standalone btn-danger" id="user_deactivate_account_button">'+m((e.t||a&&a.t||l).call(d,"Deactivate account",{name:"t",hash:{},data:b}))+'</button>\n      </div>\n\n    </form>\n\n      <div id="deactivate_self_modal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="deactivation_self_modal_label" aria-hidden="true">\n        <div class="modal-header">\n          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">\u00d7</button>\n          <h3 id="deactivation_user_modal_label">'+
m((e.t||a&&a.t||l).call(d,"Deactivate your account",{name:"t",hash:{},data:b}))+' </h3>\n        </div>\n        <div class="modal-body">\n          <p>'+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+"</p>\n          <p>"+m((e.t||a&&a.t||l).call(d,"Note that any bots that you maintain will be disabled.",{name:"t",hash:{},data:b}))+'</p>\n        </div>\n        <div class="modal-footer">\n          <button class="btn btn-default" data-dismiss="modal" aria-hidden="true">'+
m((e.t||a&&a.t||l).call(d,"Cancel",{name:"t",hash:{},data:b}))+'</button>\n          <button class="button btn-danger" id="do_deactivate_self_button">'+m((e.t||a&&a.t||l).call(d,"Deactivate now",{name:"t",hash:{},data:b}))+"</button>\n\n        </div>\n      </div>\n\n  </div>\n</div>\n"},useData:!0});k["notification-settings"]=h({1:function(f,a,e,d,b){return"You'll receive notifications when a message arrives and __page_params.product_name__ isn't in focus or the message is offscreen."},3:function(f,
a,e,d,b){return'                 checked="checked"\n                 '},5:function(f,a,e,d,b){return'Change notification settings for individual streams on your <a href="/#subscriptions">Streams page</a>.'},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing,l=f.escapeExpression;return'<div id="notification-settings" class="settings-section" data-name="notifications">\n  <div class="settings-section-title">\n    <i class="icon-vector-warning-sign settings-section-icon"></i>\n    '+
l((e.t||a&&a.t||g).call(d,"Notifications",{name:"t",hash:{},data:b}))+'\n  </div>\n\n  <form class="notification-settings-form">\n    <div class="notification-reminder w-70 padded-container center-block">'+(null!=(c=(e.tr||a&&a.tr||g).call(d,a,{name:"tr",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'</div>\n    <div class="alert" id="notify-settings-status"></div>\n\n    <h4>'+l((e.t||a&&a.t||g).call(d,"Stream messages",{name:"t",hash:{},data:b}))+'</h4>\n\n    <div class="padded-container">\n      <p>'+
l((e.t||a&&a.t||g).call(d,"Unless I say otherwise for a particular stream, I want:",{name:"t",hash:{},data:b}))+'</p>\n\n      <div class="input-group">\n        <label class="checkbox">\n          <input type="checkbox" class="inline-block" name="enable_stream_desktop_notifications"\n                 id="enable_stream_desktop_notifications"\n'+(null!=(c=e["if"].call(d,null!=(c=null!=a?a.page_params:a)?c.stream_desktop_notifications_enabled:c,{name:"if",hash:{},fn:f.program(3,b,0),inverse:f.noop,
data:b}))?c:"")+' />\n          <span></span>\n        </label>\n        <label for="enable_stream_desktop_notifications" class="inline-block">\n          '+l((e.t||a&&a.t||g).call(d,"Desktop notifications",{name:"t",hash:{},data:b}))+'\n        </label>\n        <div class="propagate_stream_notifications_change"></div>\n      </div>\n\n      <div class="input-group">\n        <label class="checkbox">\n          <input type="checkbox" class="inline-block" name="enable_stream_sounds" id="enable_stream_sounds"\n'+
(null!=(c=e["if"].call(d,null!=(c=null!=a?a.page_params:a)?c.stream_sounds_enabled:c,{name:"if",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+' />\n          <span></span>\n        </label>\n        <label for="enable_stream_sounds" class="inline-block no-border">\n          '+l((e.t||a&&a.t||g).call(d,"Audible notifications",{name:"t",hash:{},data:b}))+'\n        </label>\n        <div class="propagate_stream_notifications_change"></div>\n      </div>\n\n      <p class="notification-settings-note">\n        '+
(null!=(c=(e.tr||a&&a.tr||g).call(d,a,{name:"tr",hash:{},fn:f.program(5,b,0),inverse:f.noop,data:b}))?c:"")+"\n      </p>\n    </div>\n\n    <h4>"+l((e.t||a&&a.t||g).call(d,"Private messages and @-mentions",{name:"t",hash:{},data:b}))+'</h4>\n\n    <div class="padded-container">\n      <p>'+l((e.t||a&&a.t||g).call(d,"I want:",{name:"t",hash:{},data:b}))+'</p>\n\n      <div class="input-group">\n        <label class="checkbox">\n          <input type="checkbox" name="enable_desktop_notifications" id="enable_desktop_notifications"\n'+
(null!=(c=e["if"].call(d,null!=(c=null!=a?a.page_params:a)?c.desktop_notifications_enabled:c,{name:"if",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+' />\n          <span></span>\n        </label>\n        <label for="enable_desktop_notifications" class="inline-block">\n          '+l((e.t||a&&a.t||g).call(d,"Desktop notifications",{name:"t",hash:{},data:b}))+'\n        </label>\n      </div>\n\n      <div class="input-group">\n        <label class="checkbox">\n          <input type="checkbox" name="pm_content_in_desktop_notifications"\n                    id="pm_content_in_desktop_notifications"\n'+
(null!=(c=e["if"].call(d,null!=(c=null!=a?a.page_params:a)?c.pm_content_in_desktop_notifications:c,{name:"if",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+' />\n          <span></span>\n        </label>\n        <label for="pm_content_in_desktop_notifications" class="inline-block">\n          '+l((e.t||a&&a.t||g).call(d,"Include content of private messages in desktop notifications",{name:"t",hash:{},data:b}))+'\n        </label>\n      </div>\n\n      <div class="input-group">\n        <label class="checkbox">\n          <input type="checkbox" name="enable_sounds" id="enable_sounds"\n'+
(null!=(c=e["if"].call(d,null!=(c=null!=a?a.page_params:a)?c.sounds_enabled:c,{name:"if",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+' />\n          <span></span>\n        </label>\n        <label for="enable_sounds" class="inline-block">\n          '+l((e.t||a&&a.t||g).call(d,"Audible notifications",{name:"t",hash:{},data:b}))+'\n        </label>\n      </div>\n\n      <div class="input-group">\n        <label class="checkbox">\n          <input type="checkbox" name="enable_offline_email_notifications" id="enable_offline_email_notifications"\n'+
(null!=(c=e["if"].call(d,null!=(c=null!=a?a.page_params:a)?c.enable_offline_email_notifications:c,{name:"if",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+' />\n          <span></span>\n        </label>\n        <label for="enable_offline_email_notifications" class="inline-block">\n          '+l((e.t||a&&a.t||g).call(d,"Email notifications when offline",{name:"t",hash:{},data:b}))+'\n        </label>\n      </div>\n\n      <div class="input-group">\n        <label class="checkbox">\n          <input type="checkbox" name="enable_offline_push_notifications" id="enable_offline_push_notifications"\n'+
(null!=(c=e["if"].call(d,null!=(c=null!=a?a.page_params:a)?c.enable_offline_push_notifications:c,{name:"if",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+' />\n          <span></span>\n        </label>\n        <label for="enable_offline_push_notifications" class="inline-block">\n          '+l((e.t||a&&a.t||g).call(d,"Mobile push notifications when offline",{name:"t",hash:{},data:b}))+'\n        </label>\n      </div>\n\n      <div class="input-group">\n        <label class="checkbox">\n          <input type="checkbox" name="enable_online_push_notifications" id="enable_online_push_notifications"\n'+
(null!=(c=e["if"].call(d,null!=(c=null!=a?a.page_params:a)?c.enable_online_push_notifications:c,{name:"if",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+' />\n          <span></span>\n        </label>\n        <label for="enable_online_push_notifications" class="inline-block">\n          '+l((e.t||a&&a.t||g).call(d,"Mobile push notifications always (even when online)",{name:"t",hash:{},data:b}))+'\n        </label>\n      </div>\n\n    </div>\n\n    <div id="other_notifications">\n\n    <h4>'+
l((e.t||a&&a.t||g).call(d,"Other notifications I want:",{name:"t",hash:{},data:b}))+'</h4>\n\n    <div class="padded-container">\n      <div class="input-group no-margin" id="digest_container">\n        <label class="checkbox">\n          <input type="checkbox" name="enable_digest_emails" id="enable_digest_emails"\n'+(null!=(c=e["if"].call(d,null!=(c=null!=a?a.page_params:a)?c.enable_digest_emails:c,{name:"if",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+' />\n          <span></span>\n        </label>\n        <label for="enable_digest_emails" class="inline-block">\n          '+
l((e.t||a&&a.t||g).call(d,"Digest emails when I'm away",{name:"t",hash:{},data:b}))+'\n        </label>\n      </div>\n    </div>\n    </div>\n\n    <div class="input-group no-border">\n      <div class="controls notification-submission">\n        <input type="submit" id="change_notification_settings"\n               name="change_notification_settings" value="'+l((e.t||a&&a.t||g).call(d,"Save changes",{name:"t",hash:{},data:b}))+'"\n               class="button sea-green" />\n      </div>\n    </div>\n  </form>\n\n</div>\n'},
useData:!0});k["deactivated-users-admin"]=h({compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){d=null!=a?a:{};var c=e.helperMissing;f=f.escapeExpression;return'<div id="admin-deactivated-users-list" class="settings-section">\n<div class="settings-section-title"><i class="icon-vector-trash settings-section-icon"></i>\n'+f((e.t||a&&a.t||c).call(d,"Deactivated users",{name:"t",hash:{},data:b}))+'</div>\n<table class="table table-condensed table-striped">\n  <tbody id="admin_deactivated_users_table" class="admin_user_table">\n    <th>'+
f((e.t||a&&a.t||c).call(d,"Name",{name:"t",hash:{},data:b}))+"</th>\n    <th>"+f((e.t||a&&a.t||c).call(d,"Email",{name:"t",hash:{},data:b}))+"</th>\n    <th>"+f((e.t||a&&a.t||c).call(d,"Actions",{name:"t",hash:{},data:b}))+'</th>\n  </tbody>\n</table>\n<div id="admin_page_deactivated_users_loading_indicator"></div>\n</div>\n'},useData:!0});k.admin_auth_methods_list=h({1:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'<tr class="method_row" data-method="'+
m((g=null!=(g=e.method||(null!=a?a.method:a))?g:l,"function"===typeof g?g.call(d,{name:"method",hash:{},data:b}):g))+'">\n  <td>\n    <span class="method">'+m((g=null!=(g=e.method||(null!=a?a.method:a))?g:l,"function"===typeof g?g.call(d,{name:"method",hash:{},data:b}):g))+'</span>\n  </td>\n  <td>\n  <input type="checkbox"\n    '+(null!=(c=e["if"].call(d,null!=a?a.enabled:a,{name:"if",hash:{},fn:f.program(2,b,0),inverse:f.noop,data:b}))?c:"")+" />\n  </td>\n</tr>\n"},2:function(f,a,e,d,b){return'checked="checked"'},
compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;return null!=(c=e["with"].call(null!=a?a:{},null!=a?a.method:a,{name:"with",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:""},useData:!0});k["alert-word-settings"]=h({compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){d=null!=a?a:{};var c=e.helperMissing;f=f.escapeExpression;return'<div id="alert-word-settings" class="settings-section" data-name="custom-alert-words">\n  <div class="settings-section-title">\n    <i class="icon-vector-book settings-section-icon"></i>\n    '+
f((e.t||a&&a.t||c).call(d,"Custom alert words",{name:"t",hash:{},data:b}))+'\n  </div>\n  <form class="form-horizontal" id="alert_word_info_box">\n    <p class="alert-word-settings-note">\n      '+f((e.t||a&&a.t||c).call(d,"Alert words allow you to be notified as if you were @-mentioned when certain words or phrases are used in Zulip.",{name:"t",hash:{},data:b}))+'\n    </p>\n  </form>\n  <ul id="alert_words_list"></ul>\n</div>\n'},useData:!0});k["default-streams-list-admin"]=h({1:function(f,a,e,
d,b){var c;return"Configure the default streams new users are subscribed to when joining the "+f.escapeExpression((c=null!=(c=e.domain||(null!=a?a.domain:a))?c:e.helperMissing,"function"===typeof c?c.call(null!=a?a:{},{name:"domain",hash:{},data:b}):c))+" organization."},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing,l=f.escapeExpression;return'<div id="admin-default-streams-list" class="settings-section">\n<div class="settings-section-title"><i class="icon-vector-exchange settings-section-icon"></i>\n'+
l((e.t||a&&a.t||g).call(d,"Default streams",{name:"t",hash:{},data:b}))+'</div>\n\n<div class="side-padded-container">\n  <p>'+(null!=(c=(e.tr||a&&a.tr||g).call(d,a,{name:"tr",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'</p>\n</div>\n\n<table class="table table-condensed table-striped">\n  <tbody id="admin_default_streams_table" class="admin_default_stream_table">\n    <th>'+l((e.t||a&&a.t||g).call(d,"Name",{name:"t",hash:{},data:b}))+'</th>\n    <th class="actions">'+l((e.t||a&&a.t||
g).call(d,"Actions",{name:"t",hash:{},data:b}))+'</th>\n  </tbody>\n</table>\n\n<div id="admin_page_default_streams_loading_indicator"></div>\n  <form class="form-horizontal default-stream-form">\n    <div class="add-new-default-stream-box grey-bg green-bg">\n      <div class="new-default-stream-section-title">'+l((e.t||a&&a.t||g).call(d,"Add new default stream",{name:"t",hash:{},data:b}))+'</div>\n      <div class="control-group" id="default_stream_inputs">\n        <label for="default_stream_name" class="control-label">'+
l((e.t||a&&a.t||g).call(d,"Stream Name",{name:"t",hash:{},data:b}))+'</label>\n        <input class="create_default_stream" type="text" placeholder="'+l((e.t||a&&a.t||g).call(d,"Stream Name",{name:"t",hash:{},data:b}))+'" name="stream_name" autocomplete="off"></input>\n      </div>\n    </div>\n  </form>\n</div>\n'},useData:!0});k["realm-filter-settings-admin"]=h({1:function(f,a,e,d,b){return"      Configure regular expression patterns that will be\n      automatically linkified when used in Zulip message bodies or\n      topics.  For example to automatically linkify commit IDs and\n      issue numbers (e.g. #123) to the corresponding items in a GitHub\n      project, you could use the following:\n"},
compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing,l=f.escapeExpression;return'<div id="filter-settings" class="settings-section" data-name="filter-settings">\n  <div class="settings-section-title"><i class="icon-vector-filter settings-section-icon"></i>'+l((e.t||a&&a.t||g).call(d,"Custom linkification filters",{name:"t",hash:{},data:b}))+'</div>\n  <div class="admin-table-wrapper">\n\n    <p>\n'+(null!=(c=(e.tr||a&&a.tr||g).call(d,a,{name:"tr",hash:{},fn:f.program(1,
b,0),inverse:f.noop,data:b}))?c:"")+"    </p>\n    <ul>\n        <li>\n          <code>#(?P&lt;id&gt;[0-9]+)</code>\n          "+l((e.t||a&&a.t||g).call(d,"and",{name:"t",hash:{},data:b}))+"\n          <code>https://github.com/zulip/zulip/issues/%(id)s</code>\n        </li>\n        <li>\n          <code>(?P&lt;id&gt;[0-9a-f]{40})</code>\n          "+l((e.t||a&&a.t||g).call(d,"and",{name:"t",hash:{},data:b}))+'\n          <code>https://github.com/zulip/zulip/commit/%(id)s</code>\n        </li>\n    </ul>\n\n    <table class="table table-condensed table-striped admin_filters_table">\n      <tbody id="admin_filters_table">\n        <th>'+
l((e.t||a&&a.t||g).call(d,"Pattern",{name:"t",hash:{},data:b}))+"</th>\n        <th>"+l((e.t||a&&a.t||g).call(d,"URL format string",{name:"t",hash:{},data:b}))+"</th>\n        <th>"+l((e.t||a&&a.t||g).call(d,"Actions",{name:"t",hash:{},data:b}))+'</th>\n      </tbody>\n    </table>\n  </div>\n  <form class="form-horizontal admin-filter-form">\n    <div class="add-new-filter-box grey-bg green-bg">\n      <div class="new-filter-form">\n        <div class="settings-section-title new-filter-section-title">'+
l((e.t||a&&a.t||g).call(d,"Add a new filter",{name:"t",hash:{},data:b}))+'</div>\n        <div class="alert" id="admin-filter-status"></div>\n        <div class="control-group">\n          <label for="filter_pattern" class="control-label">'+l((e.t||a&&a.t||g).call(d,"Regular expression",{name:"t",hash:{},data:b}))+'</label>\n          <input type="text" id="filter_pattern" name="pattern" placeholder="#(?P<id>[0-9]+)" />\n          <div class="alert" id="admin-filter-pattern-status"></div>\n        </div>\n        <div class="control-group">\n          <label for="filter_format_string" class="control-label">'+
l((e.t||a&&a.t||g).call(d,"URL format string",{name:"t",hash:{},data:b}))+'</label>\n          <input type="text" id="filter_format_string" name="url_format_string" placeholder="https://github.com/zulip/zulip/issues/%(id)s" />\n          <div class="alert" id="admin-filter-format-status"></div>\n        </div>\n        <div class="control-group">\n          <div class="controls">\n            <input type="submit" class="btn btn-big btn-primary" value="'+l((e.t||a&&a.t||g).call(d,"Add filter",{name:"t",
hash:{},data:b}))+'" />\n          </div>\n        </div>\n      </div>\n    </div>\n  </form>\n</div>\n'},useData:!0});k["streams-list-admin"]=h({compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){d=null!=a?a:{};var c=e.helperMissing;f=f.escapeExpression;return'<div id="admin-streams-list" class="settings-section">\n<div class="settings-section-title"><i class="icon-vector-exchange settings-section-icon"></i>\n'+f((e.t||a&&a.t||c).call(d,"Delete streams",{name:"t",hash:{},data:b}))+'</div>\n\n<div class="side-padded-container">\n  <p class="admin-streams-note">Most stream administration is done on the <a href="/#subscriptions">subscriptions page</a>.</p>\n</div>\n\n<table class="table table-condensed table-striped">\n  <tbody id="admin_streams_table" class="admin_stream_table">\n    <th>'+
f((e.t||a&&a.t||c).call(d,"Name",{name:"t",hash:{},data:b}))+"</th>\n    <th>"+f((e.t||a&&a.t||c).call(d,"Actions",{name:"t",hash:{},data:b}))+'</th>\n  </tbody>\n</table>\n<div id="admin_page_streams_loading_indicator"></div>\n</div>\n'},useData:!0});k["display-settings"]=h({1:function(f,a,e,d,b){var c;d=f.lambda;var g=f.escapeExpression,l=null!=a?a:{};return'              <tr>\n                <td>\n                  <a class="language" data-code="'+g(d(null!=(c=null!=a?a.first:a)?c.code:c,a))+
'" data-name="'+g(d(null!=(c=null!=a?a.first:a)?c.name:c,a))+'">\n'+(null!=(c=e["if"].call(l,null!=(c=null!=a?a.first:a)?c.selected:c,{name:"if",hash:{},fn:f.program(2,b,0),inverse:f.program(4,b,0),data:b}))?c:"")+'                  </a>\n                </td>\n                <td>\n                  <a class="language" data-code="'+g(d(null!=(c=null!=a?a.second:a)?c.code:c,a))+'" data-name="'+g(d(null!=(c=null!=a?a.second:a)?c.name:c,a))+'">\n'+(null!=(c=e["if"].call(l,null!=(c=null!=a?a.second:
a)?c.selected:c,{name:"if",hash:{},fn:f.program(6,b,0),inverse:f.program(8,b,0),data:b}))?c:"")+"                  </a>\n                </td>\n              </tr>\n"},2:function(f,a,e,d,b){var c;return"                    <b>"+f.escapeExpression(f.lambda(null!=(c=null!=a?a.first:a)?c.percent:c,a))+"</b>\n"},4:function(f,a,e,d,b){var c;return"                    "+f.escapeExpression(f.lambda(null!=(c=null!=a?a.first:a)?c.percent:c,a))+"\n"},6:function(f,a,e,d,b){var c;return"                    <b>"+
f.escapeExpression(f.lambda(null!=(c=null!=a?a.second:a)?c.percent:c,a))+"</b>\n"},8:function(f,a,e,d,b){var c;return"                    "+f.escapeExpression(f.lambda(null!=(c=null!=a?a.second:a)?c.percent:c,a))+"\n"},10:function(f,a,e,d,b){return'          checked="checked"\n        '},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing,l=f.escapeExpression;return'<div id="display-settings" class="settings-section" data-name="display-settings">\n  <div class="settings-section-title">\n    <i class="icon-vector-time settings-section-icon"></i>\n    '+
l((e.t||a&&a.t||g).call(d,"Display settings",{name:"t",hash:{},data:b}))+'\n  </div>\n  <div class="alert" id="display-settings-status"></div>\n  <form class="display-settings-form">\n\n    <p for="default_language" class="inline-block title">\n      '+l((e.t||a&&a.t||g).call(d,"Default language",{name:"t",hash:{},data:b}))+": <span id='default_language_name'>"+l(f.lambda(null!=(c=null!=a?a.page_params:a)?c.default_language_name:c,a))+'</span>\n      <a id="default_language" href="#default_language" title="'+
l((e.t||a&&a.t||g).call(d,"Change default language",{name:"t",hash:{},data:b}))+'">[Change]</a>\n    </p>\n\n    <div id="default_language_modal" class="modal hide" tabindex="-1" role="dialog"\n          aria-labelledby="default_language_modal_label" aria-hidden="true">\n      <div class="modal-header">\n        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">\u00d7</button>\n        <h3 id="default_language_modal_label">'+l((e.t||a&&a.t||g).call(d,"Select default language",
{name:"t",hash:{},data:b}))+"</h3>\n      </div>\n      <div class=\"modal-body\">\n        <p>\n        The following is a few of the languages we have started to\n        support or are hoping to support in the near future. We would\n        love help translating; if you're interested in helping, make an\n        account at <a href='https://www.transifex.com/zulip/zulip/'>\n        https://www.transifex.com/zulip/zulip/</a>, and sign up for a\n        language! You can also request any language we don't currently\n        have. It only takes a few hours to translate the most important\n        parts of the app.\n        </p>\n        <div>\n          <table>\n"+
(null!=(c=e.each.call(d,null!=(c=null!=a?a.page_params:a)?c.language_list_dbl_col:c,{name:"each",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'          </table>\n        </div>\n      </div>\n      <div class="modal-footer">\n        <button class="btn btn-primary" data-dismiss="modal" aria-hidden="true">'+l((e.t||a&&a.t||g).call(d,"Close",{name:"t",hash:{},data:b}))+'</button>\n      </div>\n    </div>\n\n    <div class="input-group">\n      <label class="checkbox">\n        <input type="checkbox" name="left_side_userlist" id="left_side_userlist"\n'+
(null!=(c=e["if"].call(d,null!=(c=null!=a?a.page_params:a)?c.left_side_userlist:c,{name:"if",hash:{},fn:f.program(10,b,0),inverse:f.noop,data:b}))?c:"")+' />\n        <span></span>\n      </label>\n        <label for="left_side_userlist" class="inline-block">'+l((e.t||a&&a.t||g).call(d,"Display user list on left side in narrow windows.",{name:"t",hash:{},data:b}))+'</label>\n    </div>\n\n    <div class="input-group">\n      <label class="checkbox">\n        <input type="checkbox" name="twenty_four_hour_time" id="twenty_four_hour_time"\n'+
(null!=(c=e["if"].call(d,null!=(c=null!=a?a.page_params:a)?c.twenty_four_hour_time:c,{name:"if",hash:{},fn:f.program(10,b,0),inverse:f.noop,data:b}))?c:"")+' />\n        <span></span>\n      </label>\n      <label for="twenty_four_hour_time" class="inline-block">\n        '+l((e.t||a&&a.t||g).call(d,"Display time in 24-hour format (17:00 instead of 5:00 PM)",{name:"t",hash:{},data:b}))+"\n      </label>\n    </div>\n  </form>\n</div>\n"},useData:!0});k["organization-settings-admin"]=h({1:function(f,
a,e,d,b){return'checked="checked"'},3:function(f,a,e,d,b){return"If checked, only users with an e-mail address ending in these domains will be able to join the organization."},5:function(f,a,e,d,b){return"control-label-disabled"},7:function(f,a,e,d,b){return'disabled="disabled"'},9:function(f,a,e,d,b){e=f.lambda;f=f.escapeExpression;return"        <option value='"+f(e(null!=a?a.code:a,a))+"'>"+f(e(null!=a?a.name:a,a))+"</option>\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=
a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'<div id="organization-settings" class="settings-section">\n<div class="settings-section-title"><i class="icon-vector-gear settings-section-icon"></i>\n'+m((e.t||a&&a.t||l).call(d,"Organization settings",{name:"t",hash:{},data:b}))+'</div>\n  <form class="form-horizontal admin-realm-form">\n    <div class="alert" id="admin-realm-name-status"></div>\n    <div class="alert" id="admin-realm-restricted-to-domain-status"></div>\n    <div class="alert" id="admin-realm-invite-required-status"></div>\n    <div class="alert" id="admin-realm-invite-by-admins-only-status"></div>\n    <div class="alert" id="admin-realm-create-stream-by-admins-only-status"></div>\n    <div class="alert" id="admin-realm-add-emoji-by-admins-only-status"></div>\n    <div class="alert" id="admin-realm-message-editing-status"></div>\n    <div class="alert" id="admin-realm-default-language-status"></div>\n    <div class="alert" id="admin-realm-waiting_period_threshold_status"></div>\n\n    <div class="input-group admin-realm">\n      <label for="realm_name">'+
m((e.t||a&&a.t||l).call(d,"Your organization's name",{name:"t",hash:{},data:b}))+'</label>\n      <input type="text" id="id_realm_name" name="realm_name" class="admin-realm-name"\n             value="'+m((g=null!=(g=e.realm_name||(null!=a?a.realm_name:a))?g:l,"function"===typeof g?g.call(d,{name:"realm_name",hash:{},data:b}):g))+'" />\n    </div>\n    <div class="input-group admin-restricted-to-domain">\n      <input type="checkbox" class="inline-block" id="id_realm_restricted_to_domain" name="realm_restricted_to_domain"\n         '+
(null!=(c=e["if"].call(d,null!=a?a.realm_restricted_to_domain:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+' />\n      <label for="id_realm_restricted_to_domain" class="inline" id="realm_restricted_to_domains_label"\n        title="'+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+'">\n      </label>\n      <a data-toggle="modal" href="#realm_aliases_modal">'+m((e.t||a&&a.t||l).call(d,"[Add or Change]",{name:"t",
hash:{},data:b}))+'</a>\n    </div>\n    <div class="input-group">\n      <input type="checkbox" class="inline-block" id="id_realm_invite_required" name="realm_invite_required"\n        '+(null!=(c=e["if"].call(d,null!=a?a.realm_invite_required:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+' />\n      <label for="id_realm_invite_required" class="inline-block"\n        title="'+m((e.t||a&&a.t||l).call(d,"If checked, users must be invited in order to join your organization.",
{name:"t",hash:{},data:b}))+'">\n        '+m((e.t||a&&a.t||l).call(d,"E-mail invitation required",{name:"t",hash:{},data:b}))+'\n      </label>\n    </div>\n    <div class="input-group disableable '+(null!=(c=e.unless.call(d,null!=a?a.realm_invite_required:a,{name:"unless",hash:{},fn:f.program(5,b,0),inverse:f.noop,data:b}))?c:"")+'">\n      <input type="checkbox" class="inline-block" id="id_realm_invite_by_admins_only" name="realm_invite_by_admins_only"\n        '+(null!=(c=e.unless.call(d,null!=
a?a.realm_invite_required:a,{name:"unless",hash:{},fn:f.program(7,b,0),inverse:f.noop,data:b}))?c:"")+"\n        "+(null!=(c=e["if"].call(d,null!=a?a.realm_invite_by_admins_only:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+' />\n      <label for="id_realm_invite_by_admins_only"\n        id="id_realm_invite_by_admins_only_label"\n        title="'+m((e.t||a&&a.t||l).call(d,"If checked, only administrators may invite new users.",{name:"t",hash:{},data:b}))+'"\n        class="inline-block">\n        '+
m((e.t||a&&a.t||l).call(d,"Only admins may invite",{name:"t",hash:{},data:b}))+'\n      </label>\n    </div>\n    <div class="input-group">\n      <input type="checkbox" class="inline-block" id="id_realm_create_stream_by_admins_only"\n             name="realm_create_stream_by_admins_only"\n        '+(null!=(c=e["if"].call(d,null!=a?a.realm_create_stream_by_admins_only:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+' />\n\n      <label for="id_realm_create_stream_by_admins_only" class="inline-block"\n        id="id_realm_create_stream_by_admins_only_label"\n        title="'+
m((e.t||a&&a.t||l).call(d,"If checked, only administrators may create new streams.",{name:"t",hash:{},data:b}))+'">\n        '+m((e.t||a&&a.t||l).call(d,"Only admins may create streams",{name:"t",hash:{},data:b}))+'\n      </label>\n    </div>\n    <div class="input-group">\n      <input type="checkbox" class="inline-block" id="id_realm_add_emoji_by_admins_only"\n             name="realm_add_emoji_by_admins_only"\n        '+(null!=(c=e["if"].call(d,null!=a?a.realm_add_emoji_by_admins_only:a,{name:"if",
hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+' />\n\n      <label for="id_realm_add_emoji_by_admins_only" class="inline-block"\n        id="id_realm_add_emoji_by_admins_only_label"\n        title="'+m((e.t||a&&a.t||l).call(d,"If checked, only administrators may add new emoji.",{name:"t",hash:{},data:b}))+'">\n        '+m((e.t||a&&a.t||l).call(d,"Only admins may add emoji",{name:"t",hash:{},data:b}))+'\n      </label>\n    </div>\n    <div class="input-group">\n      <input type="checkbox" class="inline-block" id="id_realm_allow_message_editing" name="realm_allow_message_editing"\n        '+
(null!=(c=e["if"].call(d,null!=a?a.realm_allow_message_editing:a,{name:"if",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+' />\n\n      <label for="id_realm_allow_message_editing"\n        title="'+m((e.t||a&&a.t||l).call(d,"If checked, users can edit the content and topics of their old messages.",{name:"t",hash:{},data:b}))+'"\n        class="inline-block">\n        '+m((e.t||a&&a.t||l).call(d,"Users can edit old messages",{name:"t",hash:{},data:b}))+'\n      </label>\n    </div>\n    <div class="input-group disableable '+
(null!=(c=e.unless.call(d,null!=a?a.realm_allow_message_editing:a,{name:"unless",hash:{},fn:f.program(5,b,0),inverse:f.noop,data:b}))?c:"")+'">\n      <label for="realm_message_content_edit_limit_minutes"\n        id="id_realm_message_content_edit_limit_minutes_label"\n        title="'+m((e.t||a&&a.t||l).call(d,"If non-zero, users can edit their message for this many minutes after it is sent. If zero, users can edit all their past messages.",{name:"t",hash:{},data:b}))+'">\n        '+m((e.t||a&&a.t||
l).call(d,"Message edit limit in minutes (0 for no limit)",{name:"t",hash:{},data:b}))+'\n      </label>\n      <input type="text" id="id_realm_message_content_edit_limit_minutes"\n             name="realm_message_content_edit_limit_minutes"\n             class="admin-realm-message-content-edit-limit-minutes"\n             value="'+m((g=null!=(g=e.realm_message_content_edit_limit_minutes||(null!=a?a.realm_message_content_edit_limit_minutes:a))?g:l,"function"===typeof g?g.call(d,{name:"realm_message_content_edit_limit_minutes",
hash:{},data:b}):g))+'"\n        '+(null!=(c=e.unless.call(d,null!=a?a.realm_allow_message_editing:a,{name:"unless",hash:{},fn:f.program(7,b,0),inverse:f.noop,data:b}))?c:"")+' />\n    </div>\n    <div class="input-group">\n      <label for="realm_default_language">'+m((e.t||a&&a.t||l).call(d,"Default language",{name:"t",hash:{},data:b}))+':</label>\n      <select name="realm_default_language" id="id_realm_default_language">\n'+(null!=(c=e.each.call(d,null!=a?a.language_list:a,{name:"each",hash:{},
fn:f.program(9,b,0),inverse:f.noop,data:b}))?c:"")+'      </select>\n    </div>\n    <div class="input-group">\n        <label for="realm_waiting_period_threshold">'+m((e.t||a&&a.t||l).call(d,"Waiting period for stream creation (in days)",{name:"t",hash:{},data:b}))+'</label>\n        <input type="text" id="id_realm_waiting_period_threshold"\n             name="realm_waiting_period_threshold"\n             class="admin-realm-message-content-edit-limit-minutes"\n             value="'+m((g=null!=(g=
e.realm_waiting_period_threshold||(null!=a?a.realm_waiting_period_threshold:a))?g:l,"function"===typeof g?g.call(d,{name:"realm_waiting_period_threshold",hash:{},data:b}):g))+'"/>\n    </div>\n    <div class="input-group organization-submission">\n      <input type="submit" class="button" value="'+m((e.t||a&&a.t||l).call(d,"Save changes",{name:"t",hash:{},data:b}))+'" />\n    </div>\n  </form>\n</div>\n'},useData:!0});k["bot-list-admin"]=h({compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){d=null!=
a?a:{};var c=e.helperMissing;f=f.escapeExpression;return'<div id="admin-user-list" class="settings-section">\n<div class="settings-section-title"><i class="icon-vector-github settings-section-icon"></i>\n'+f((e.t||a&&a.t||c).call(d,"Bots",{name:"t",hash:{},data:b}))+'</div>\n<table class="table table-condensed table-striped wrapped-table">\n  <tbody id="admin_bots_table" class="admin_bot_table">\n    <th class="wrapped-cell">'+f((e.t||a&&a.t||c).call(d,"Name",{name:"t",hash:{},data:b}))+"</th>\n    <th>"+
f((e.t||a&&a.t||c).call(d,"Email",{name:"t",hash:{},data:b}))+"</th>\n    <th>"+f((e.t||a&&a.t||c).call(d,"Owner",{name:"t",hash:{},data:b}))+"</th>\n    <th>"+f((e.t||a&&a.t||c).call(d,"Actions",{name:"t",hash:{},data:b}))+'</th>\n  </tbody>\n</table>\n<div id="admin_page_bots_loading_indicator"></div>\n</div>\n'},useData:!0});k["ui-settings"]=h({1:function(f,a,e,d,b){return"Experimental settings"},3:function(f,a,e,d,b){return'               checked="checked"\n             '},5:function(f,a,e,d,
b){return'               checked="checked"\n            '},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing,l=f.escapeExpression;return'<div id="ui-settings" class="settings-section" data-name="zulip-labs">\n  <div class="settings-section-title"><i class="icon-vector-beaker settings-section-icon"></i> '+(null!=(c=(e.tr||a&&a.tr||g).call(d,a,{name:"tr",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'</div>\n  <div class="alert" id="ui-settings-status"></div>\n  <form class="ui-settings-form">\n    <p>\n      '+
l((e.t||a&&a.t||g).call(d,"Warning: the below features are experimental, and may not work as well as you would like.",{name:"t",hash:{},data:b}))+'\n    </p>\n    <div class="input-group">\n      <label class="checkbox">\n        <input type="checkbox" class="inline-block" name="autoscroll_forever" id="autoscroll_forever"\n'+(null!=(c=e["if"].call(d,null!=(c=null!=a?a.page_params:a)?c.autoscroll_forever:c,{name:"if",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+' />\n        <span></span>\n      </label>\n      <label for="autoscroll_forever" class="inline-block">\n        '+
l((e.t||a&&a.t||g).call(d,"Always auto-scroll to new messages",{name:"t",hash:{},data:b}))+'\n      </label>\n    </div>\n    <div class="input-group">\n      <label class="checkbox">\n        <input type="checkbox" class="inline-block" name="default_desktop_notifications" id="default_desktop_notifications"\n'+(null!=(c=e["if"].call(d,null!=(c=null!=a?a.page_params:a)?c.default_desktop_notifications:c,{name:"if",hash:{},fn:f.program(5,b,0),inverse:f.noop,data:b}))?c:"")+' />\n      <span></span>\n      </label>\n      <label for="default_desktop_notifications" class="inline-block">\n        '+
l((e.t||a&&a.t||g).call(d,"Enable desktop notifications for new streams",{name:"t",hash:{},data:b}))+'\n      </label>\n\n    </div>\n    <div class="input-group no-border">\n      <div class="ui-submission">\n        <input type="submit" name="change_settings" value="'+l((e.t||a&&a.t||g).call(d,"Save changes",{name:"t",hash:{},data:b}))+'" class="button sea-green" />\n      </div>\n    </div>\n  </form>\n</div>\n'},useData:!0});k["emoji-settings-admin"]=h({1:function(f,a,e,d,b){return"Add extra emoji for members of the __realm_name__ organization."},
compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing,l=f.escapeExpression;return'<div id="emoji-settings" class="settings-section">\n  <div class="settings-section-title"><i class="icon-vector-smile settings-section-icon"></i>\n  '+l((e.t||a&&a.t||g).call(d,"Custom emoji",{name:"t",hash:{},data:b}))+'</div>\n  <div class="admin-table-wrapper">\n  <p>'+(null!=(c=(e.tr||a&&a.tr||g).call(d,a,{name:"tr",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+
'</p>\n    <table class="table table-condensed table-striped admin_emoji_table">\n      <tbody id="admin_emoji_table">\n        <th>'+l((e.t||a&&a.t||g).call(d,"Name",{name:"t",hash:{},data:b}))+'</th>\n        <th class="image">'+l((e.t||a&&a.t||g).call(d,"Image",{name:"t",hash:{},data:b}))+'</th>\n        <th class="image">'+l((e.t||a&&a.t||g).call(d,"Author",{name:"t",hash:{},data:b}))+'</th>\n        <th class="actions">'+l((e.t||a&&a.t||g).call(d,"Actions",{name:"t",hash:{},data:b}))+'</th>\n      </tbody>\n    </table>\n  </div>\n  <form class="form-horizontal admin-emoji-form">\n    <div class="add-new-emoji-box grey-bg green-bg">\n      <div class="new-emoji-form">\n        <div class="settings-section-title new-emoji-section-title no-padding">'+
l((e.t||a&&a.t||g).call(d,"Add a new emoji",{name:"t",hash:{},data:b}))+'</div>\n        <div class="alert" id="admin-emoji-status"></div>\n        <div class="input-group">\n          <label for="emoji_name">'+l((e.t||a&&a.t||g).call(d,"Emoji name",{name:"t",hash:{},data:b}))+'</label>\n          <input type="text" name="name" id="emoji_name" placeholder="mouse_face" />\n        </div>\n        <div class="input-group">\n          <label for="emoji_url">'+l((e.t||a&&a.t||g).call(d,"Emoji URL",{name:"t",
hash:{},data:b}))+'</label>\n          <input type="text" name="url" id="emoji_url" placeholder="http://emojipedia-us.s3.amazonaws.com/cache/46/7f/467fe69069c408e07517621f263ea9b5.png" />\n        </div>\n        <input type="submit" class="button" value="'+l((e.t||a&&a.t||g).call(d,"Add emoji",{name:"t",hash:{},data:b}))+'" />\n      </div>\n    </div>\n  </form>\n</div>\n'},useData:!0});k["user-list-admin"]=h({compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){d=null!=a?a:{};var c=e.helperMissing;
f=f.escapeExpression;return'<div id="admin-user-list" class="settings-section">\n<div class="settings-section-title"><i class="icon-vector-user settings-section-icon"></i>\n'+f((e.t||a&&a.t||c).call(d,"Users",{name:"t",hash:{},data:b}))+'</div>\n<table class="table table-condensed table-striped wrapped-table">\n  <tbody id="admin_users_table" class="admin_user_table">\n    <th class="wrapped-cell">'+f((e.t||a&&a.t||c).call(d,"Name",{name:"t",hash:{},data:b}))+"</th>\n    <th>"+f((e.t||a&&a.t||c).call(d,
"Email",{name:"t",hash:{},data:b}))+"</th>\n    <th>"+f((e.t||a&&a.t||c).call(d,"Actions",{name:"t",hash:{},data:b}))+'</th>\n  </tbody>\n</table>\n<div id="admin_page_users_loading_indicator"></div>\n</div>\n'},useData:!0});k["admin-alias-list"]=h({1:function(f,a,e,d,b){var c;d=null!=a?a:{};var g=e.helperMissing;f=f.escapeExpression;return'  <tr>\n    <td class="domain">'+f((c=null!=(c=e.domain||(null!=a?a.domain:a))?c:g,"function"===typeof c?c.call(d,{name:"domain",hash:{},data:b}):c))+'</td>\n    <td><button class="btn btn-danger btn-sm delete_alias">'+
f((e.t||a&&a.t||g).call(d,"Remove",{name:"t",hash:{},data:b}))+"</button></td>\n  </tr>\n"},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c;return null!=(c=e["with"].call(null!=a?a:{},null!=a?a.alias:a,{name:"with",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:""},useData:!0});k["bot-settings"]=h({1:function(f,a,e,d,b){var c;return'    <p class="bot-settings-note padded-container">\n      Looking for our <a href="/integrations" target="_blank">Integrations</a>\n      or <a href="'+
f.escapeExpression((c=null!=(c=e.server_uri||(null!=a?a.server_uri:a))?c:e.helperMissing,"function"===typeof c?c.call(null!=a?a:{},{name:"server_uri",hash:{},data:b}):c))+'/api" target="_blank">API</a> documentation?\n    </p>\n'},3:function(f,a,e,d,b){return'        <p class="api-key-note">For most bots using the API, you\'ll want to give each bot\n          its own name and API key using the above section.  But if you\n          want to write a bot that can access your own private\n          messages, you should use your personal API key.\n        </p>\n'},
5:function(f,a,e,d,b){return'      <p>Please re-enter your password to confirm your identity.\n        (<a href="/accounts/password/reset/" target="_blank">Forgotten it?</a>)</p>\n'},compiler:[7,">= 4.0.0"],main:function(f,a,e,d,b){var c,g;d=null!=a?a:{};var l=e.helperMissing,m=f.escapeExpression;return'<div id="bot-settings" class="settings-section" data-name="your-bots">\n\n  <div class="settings-section-title">\n    <i class="icon-vector-github settings-section-icon"></i>\n    '+m((e.t||a&&a.t||
l).call(d,"Your bots",{name:"t",hash:{},data:b}))+'\n  </div>\n\n  <div class="bot-settings-form">\n'+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(1,b,0),inverse:f.noop,data:b}))?c:"")+'\n    <ol id="bots_list">\n    </ol>\n    <div id="bot_table_error" class="alert alert-error hide"></div>\n\n    <div class="add-new-bot-box grey-bg">\n      <form id="create_bot_form" class="form-horizontal no-padding">\n        <h4 class="new-bot-section-title light no-margin">Add a new bot</h4>\n        <div class="new-bot-form">\n          <div class="input-group">\n            <label for="create_bot_name">'+
m((e.t||a&&a.t||l).call(d,"Full name",{name:"t",hash:{},data:b}))+'</label>\n            <input type="text" name="bot_name" id="create_bot_name" class="required"\n                   maxlength=100 placeholder="'+m((e.t||a&&a.t||l).call(d,"Full Bot Name",{name:"t",hash:{},data:b}))+'" value="" />\n            <div><label for="create_bot_name" generated="true" class="text-error"></label></div>\n          </div>\n          <div class="input-group">\n            <label for="bot_short_name">'+m((e.t||a&&
a.t||l).call(d,"Username",{name:"t",hash:{},data:b}))+'</label>\n            <input type="text" name="bot_short_name" id="create_bot_short_name" class="required bot_local_part"\n                   placeholder="bot_user_name" value="" />\n                   -'+m((e.t||a&&a.t||l).call(d,"bot",{name:"t",hash:{},data:b}))+"@"+m(f.lambda(null!=(c=null!=a?a.page_params:a)?c.domain:c,a))+'\n            <div>\n              <label for="create_bot_short_name" generated="true" class="text-error"></label>\n            </div>\n          </div>\n          <div class="input-group new-bot-ui">\n            <label for="create_bot_default_sending_stream">'+
m((e.t||a&&a.t||l).call(d,"Send to stream",{name:"t",hash:{},data:b}))+'</label>\n            <select name="bot_default_sending_stream" id="create_bot_default_sending_stream"></select>\n          </div>\n          <div class="input-group new-bot-ui">\n            <label for="create_bot_default_events_register_stream">'+m((e.t||a&&a.t||l).call(d,"Listen on",{name:"t",hash:{},data:b}))+'</label>\n            <select name="bot_default_events_register_stream" id="create_bot_default_events_register_stream"></select>\n          </div>\n          <div class="input-group">\n            <div id="bot_avatar_file"></div>\n            <input type="file" name="bot_avatar_file_input" class="notvisible" id="bot_avatar_file_input" value="'+
m((e.t||a&&a.t||l).call(d,"Upload avatar",{name:"t",hash:{},data:b}))+'" />\n            <button class="btn btn-default display-none" id="bot_avatar_clear_button">'+m((e.t||a&&a.t||l).call(d,"Clear avatar",{name:"t",hash:{},data:b}))+'</button>\n            <button class="button white" id="bot_avatar_upload_button">'+m((e.t||a&&a.t||l).call(d,"Customize avatar",{name:"t",hash:{},data:b}))+"</button> ("+m((e.t||a&&a.t||l).call(d,"Optional",{name:"t",hash:{},data:b}))+')\n          </div>\n          <p>\n            <div id="bot_avatar_file_input_error" class="text-error"></div>\n          </p>\n          <input type="submit" class="button sea-green" id="create_bot_button" value="'+
m((e.t||a&&a.t||l).call(d,"Create bot",{name:"t",hash:{},data:b}))+'" />\n        </div>\n      </form>\n    </div>\n\n    <hr class="settings_separator" />\n\n    <div class="form-horizontal" id="api_key_button_box">\n      <div class="input-group side-padded-container">\n'+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(3,b,0),inverse:f.noop,data:b}))?c:"")+'        <button class="button white" id="api_key_button">'+m((e.t||a&&a.t||l).call(d,"Show/change your API key",{name:"t",
hash:{},data:b}))+'</button>\n      </div>\n    </div>\n    <div id="get_api_key_box" class="side-padded-container">\n'+(null!=(c=(e.tr||a&&a.tr||l).call(d,a,{name:"tr",hash:{},fn:f.program(5,b,0),inverse:f.noop,data:b}))?c:"")+'      <form action="/json/fetch_api_key" method="post" class="form-horizontal">\n        <div class="control-group">\n          <label for="password" class="control-label">'+m((e.t||a&&a.t||l).call(d,"Current password",{name:"t",hash:{},data:b}))+'</label>\n          <input type="password" autocomplete="off"\n                 name="password" id="get_api_key_password" value="" />\n        </div>\n        <div class="control-group">\n          <input type="submit" name="view_api_key" value="'+
m((e.t||a&&a.t||l).call(d,"Get API key",{name:"t",hash:{},data:b}))+'"\n                 class="btn btn-primary" />\n        </div>\n      </form>\n    </div>\n    <div id="show_api_key_box" class="side-padded-container">\n      <p>'+m((e.t||a&&a.t||l).call(d,"Your API key:",{name:"t",hash:{},data:b}))+'</p>\n      <p><b><span id="api_key_value"></span></b></p>\n      <button type="submit" class="btn btn-primary regenerate_api_key">\n        '+m((e.t||a&&a.t||l).call(d,"Generate new API Key",{name:"t",
hash:{},data:b}))+'\n      </button>\n      <a id="download_zuliprc" download="'+m((g=null!=(g=e.zuliprc||(null!=a?a.zuliprc:a))?g:l,"function"===typeof g?g.call(d,{name:"zuliprc",hash:{},data:b}):g))+'" class="btn btn-success">\n          '+m((e.t||a&&a.t||l).call(d,"Download .zuliprc",{name:"t",hash:{},data:b}))+'\n      </a>\n      <div id="user_api_key_error text-error">\n      </div>\n    </div>\n\n  </div>\n</div>\n'},useData:!0})})();var feature_flags=function(){return{log_send_times:!1,collect_send_times:!1,local_echo:!0,full_width:!1,new_bot_ui:!1,fade_at_stream_granularity:!1,cleanup_before_reload:!0,fade_users_when_composing:!0,mark_read_at_bottom:!0,propagate_topic_edits:!0,clicking_notification_causes_narrow:!0,collapsible:!1,dropbox_integration:!1}}();"undefined"!==typeof module&&(module.exports=feature_flags);var loading=function(){return{make_indicator:function(h,k){k=k||{};var f=h;f.empty();if(void 0!==k.abs_positioned&&k.abs_positioned){var a=f.attr("id"),e=$('<div id="'+a+'_box_container"></div>');f.append(e);f=e;e=$('<div id="'+a+'_box"></div>');f.append(e);f=e}a=$('<div class="loading_indicator_spinner"></div>');a.html(templates.render("loader"));f.append(a);a=0;void 0!==k.text&&""!==k.text&&(a=$('<span class="loading_indicator_text"></span>'),a.text(k.text),f.append(a),a=20+a.width());f.css({width:38+
a,height:38});h.css({display:"block","white-space":"nowrap"});h.data("destroying",!1)},destroy_indicator:function(h){if(!h.data("destroying")){h.data("destroying",!0);var k=h.data("spinner_obj");void 0!==k&&k.stop();h.removeData("spinner_obj");h.empty();h.css({width:0,height:0,display:"none"})}}}}();"undefined"!==typeof module&&(module.exports=loading);var util=function(){var h={random_int:function(f,a){return Math.floor(Math.random()*(a-f+1))+f},lower_bound:function(f,a,e,d,b){var c,g;void 0===d?(c=0,g=f.length):(c=a,g=e,a=d,e=b);void 0===e&&(e=function(a,b){return a<b});for(g-=c;0<g;)d=Math.floor(g/2),b=c+d,e(f[b],a,b)?(c=b,c+=1,g=g-d-1):g=d;return c},same_stream_and_topic:function(f,a){return f.stream.toLowerCase()===a.stream.toLowerCase()&&f.subject.toLowerCase()===a.subject.toLowerCase()},is_pm_recipient:function(f,a){return-1!==a.reply_to.toLowerCase().split(",").indexOf(f.toLowerCase())},
extract_pm_recipients:function(f){return _.filter(f.split(/\s*[,;]\s*/),function(a){return""!==a.trim()})},same_major_recipient:function(f,a){if(void 0===f||void 0===a||f.type!==a.type)return!1;switch(f.type){case "private":return f.reply_to.toLowerCase()===a.reply_to.toLowerCase();case "stream":return f.stream.toLowerCase()===a.stream.toLowerCase()}return!1},same_recipient:function(f,a){if(void 0===f||void 0===a||f.type!==a.type)return!1;switch(f.type){case "private":return f.reply_to.toLowerCase()===
a.reply_to.toLowerCase();case "stream":return h.same_stream_and_topic(f,a)}return!1},same_sender:function(f,a){return void 0!==f&&void 0!==a&&f.sender_email.toLowerCase()===a.sender_email.toLowerCase()},normalize_recipients:function(f){f=_.map(f.split(","),function(a){return a.trim()});f=_.map(f,function(a){return a.toLowerCase()});f=_.filter(f,function(a){return 0<a.length});f.sort();return f.join(",")},robust_uri_decode:function(f){for(var a=f.length;0<a;)try{return decodeURIComponent(f.substring(0,
a))}catch(e){if(!(e instanceof URIError))throw e;a-=1}return""}};h.strcmp=function(){try{return(new Intl.Collator).compare}catch(f){}return function(a,e){return a<e?-1:a>e?1:0}}();h.escape_regexp=function(f){return f.replace(/([.*+?\^=!:${}()|\[\]\/\\])/g,"\\$1")};h.array_compare=function(f,a){if(f.length!==a.length)return!1;var e;for(e=0;e<f.length;e+=1)if(f[e]!==a[e])return!1;return!0};var k={};h.CachedValue=function(f){this._value=k;_.extend(this,f)};h.CachedValue.prototype={get:function(){this._value===
k&&(this._value=this.compute_value());return this._value},reset:function(){this._value=k}};h.execute_early=function(f){if(page_params.test_suite)$(document).one("phantom_page_loaded",f);else $(f)};h.is_all_or_everyone_mentioned=function(f){return/(^|\s)(@\*{2}(all|everyone)\*{2})|(@(all|everyone))($|\s)/.test(f)};h.move_array_elements_to_front=function(f,a){var e,d={};for(e=0;e<a.length;e+=1)d[a[e]]=!0;var b=[],c=[];for(e=0;e<f.length;e+=1)d[f[e]]?b.push(f[e]):c.push(f[e]);return b.concat(c)};return h}();
"undefined"!==typeof module&&(module.exports=util);function Dict(h){this._items={};this._opts=_.extend({},{fold_case:!1},h)}Dict.from=function(h,k){if("object"!==typeof h||null===h)throw new TypeError("Cannot convert argument to Dict");var f=new Dict(k);_.each(h,function(a,e){f.set(e,a)});return f};Dict.from_array=function(h,k){if(!(h instanceof Array))throw new TypeError("Argument is not an array");var f=new Dict(k);_.each(h,function(a){f.set(a,!0)});return f};
(function(){Dict.prototype={_munge:function(h){if(void 0===h)blueslip.error("Tried to call a Dict method with an undefined key.");else return this._opts.fold_case&&(h=h.toLowerCase()),":"+h},clone:function(){var h=new Dict(this._opts);h._items=_.clone(this._items);return h},get:function(h){h=this._items[this._munge(h)];return void 0===h?void 0:h.v},set:function(h,k){this._items[this._munge(h)]={k:h,v:k};return k},setdefault:function(h,k){var f=this._items[this._munge(h)];return void 0===f?this.set(h,
k):f.v},has:function(h){return _.has(this._items,this._munge(h))},del:function(h){return delete this._items[this._munge(h)]},keys:function(){return _.pluck(_.values(this._items),"k")},values:function(){return _.pluck(_.values(this._items),"v")},items:function(){return _.map(_.values(this._items),function(h){return[h.k,h.v]})},num_items:function(){return _.keys(this._items).length},each:function(h){return _.each(this._items,function(k){h(k.v,k.k)})}}})();
"undefined"!==typeof module&&(module.exports=Dict);var components=function(){var h={};h.toggle=function(){var h={},f=function(a){var e=function(a){var b=$("<div class='tab-switcher'></div>");a.values.forEach(function(a,c){var d=$("<div class='ind-tab' data-tab-id='"+c+"'>"+a.label+"</div>");0===c?d.addClass("first"):d.addClass("second");b.append(d)});return b}(a),d=e.find(".ind-tab");(function(){var b=null;d.each(function(){$(this).click(function(){d.removeClass("selected");$(this).addClass("selected");if(a.callback){var e=+$(this).data("tab-id");
b!==a.values[e].label&&(b=a.values[e].label,a.callback(b))}})});"number"===typeof a.selected&&$(e).find(".ind-tab[data-tab-id='"+a.selected+"']").click()})();var b={value:function(){var b=e.find(".selected");if(0<b.length)return b=+b.eq(0).data("tab-id"),a.values[b].label},get:function(){return e},"goto":function(b){var e=_.find(a.values,function(a){return a.label===b}),f=a.values.indexOf(e);-1!==f&&(d.removeClass("selected"),d.filter("[data-tab-id='"+f+"']").addClass("selected"),e.label=b,a.callback(b))}};
a.name&&(h[a.name]={opts:a,component:e,value:b.value,"goto":b.goto});return b};f.lookup=function(a){return h[a]};return f}();return h}();"undefined"!==typeof module&&(module.exports=components);var localstorage=function(){var h={},k=!1;h.supported=function(){try{return window.hasOwnProperty("localStorage")&&null!==window.localStorage}catch(f){return k||(blueslip.error("Client browser does not support local storage, will lose socket message on reload"),k=!0),!1}};return h}();"undefined"!==typeof module&&(module.exports=localstorage);var channel=function(){function h(a){feature_flags.cleanup_before_reload&&(e.push(a),50<e.length&&blueslip.warn("The length of pending_requests is over 50. Most likely they are not being correctly removed."))}function k(a){feature_flags.cleanup_before_reload&&(a=_.indexOf(e,a),-1!==a&&e.splice(a,1))}function f(a,b){var c=a.error;void 0===c&&(c=function(){});a.error=function(b,e,g){k(b);if(403===b.status)try{-1!==JSON.parse(b.responseText).msg.indexOf("CSRF Error:")&&reload.initiate({immediate:!0,
save_pointer:!0,save_narrow:!0,save_compose:!0})}catch(f){blueslip.error("Unexpected 403 response from server",{xhr:b.responseText,args:a},f.stack)}return c(b,e,g)};var e=a.success;void 0===e&&(e=function(){});a.success=function(c,f,l){k(l);if(!c&&b)blueslip.log("Retrying idempotent"+a),setTimeout(function(){var b=$.ajax(a);h(b)},0);else return e(c,f,l)};var f=$.ajax(a);h(f);return f}var a={},e=[];a.abort_all=function(){_.each(e,function(a){a.abort()})};a.get=function(a){var b=_.extend({type:"GET",
dataType:"json"},a);return f(b,a.idempotent)};a.post=function(a){var b=_.extend({type:"POST",dataType:"json"},a);return f(b,a.idempotent)};a.put=function(a){var b=_.extend({type:"PUT",dataType:"json"},a);return f(b,a.idempotent)};a.del=function(a){var b=_.extend({type:"DELETE",dataType:"json"},a);return f(b,a.idempotent)};a.patch=function(d){!1===d.processData?d.data.append("method","PATCH"):d.data=_.extend({},d.data,{method:"PATCH"});return a.post(d,d.idempotent)};a.xhr_error_message=function(a,
b){"4"===b.status.toString().charAt(0)&&(a+=": "+JSON.parse(b.responseText).msg);return a};return a}();"undefined"!==typeof module&&(module.exports=channel);var csrf_token;
$(function(){page_params.have_initial_messages&&!page_params.needs_tutorial?loading.make_indicator($("#page_loading_indicator"),{text:"Loading..."}):page_params.needs_tutorial||$("#first_run_message").show();csrf_token=$('input[name="csrfmiddlewaretoken"]').attr("value");$.ajaxSetup({beforeSend:function(h,k){!/^http:.*/.test(k.url)&&!/^https:.*/.test(k.url)&&h.setRequestHeader("X-CSRFToken",csrf_token)}});$(document).ajaxError(function(h,k){401===k.status&&window.location.replace(page_params.login_page)});"undefined"!==
typeof $&&($.fn.expectOne=function(){blueslip&&1!==this.length&&blueslip.error("Expected one element in jQuery set, "+this.length+" found");return this})});var unread_ui=function(){function h(a){a.addClass("new_messages");setTimeout(function(){a.removeClass("new_messages");a.addClass("new_messages_fadeout")},3E3);setTimeout(function(){a.removeClass("new_messages_fadeout")},6E3)}var k={},f=0,a=0;k.animate_private_message_changes=function(a,d){d>f&&h(a);f=d};k.animate_mention_changes=function(e,d){d>a&&h(e);a=d};k.set_count_toggle_button=function(a,d){if(0===d)return a.is(":animated")?a.stop(!0,!0).hide():a.hide(500);if(0<d&&1E3>d)return a.show(500),a.text(d);
a.show(500);return a.text("1k+")};return k}();"undefined"!==typeof module&&(module.exports=unread_ui);var muting=function(){var h={},k=new Dict({fold_case:!0});h.mute_topic=function(f,a){var e=k.get(f);e||(e=new Dict({fold_case:!0}),k.set(f,e));e.set(a,!0);unread.update_unread_counts()};h.unmute_topic=function(f,a){var e=k.get(f);e&&e.del(a);unread.update_unread_counts()};h.is_topic_muted=function(f,a){if(void 0===f)return!1;var e=k.get(f);return e&&e.get(a)};h.get_muted_topics=function(){var f=[];k.each(function(a,e){_.each(a.keys(),function(a){f.push([e,a])})});return f};h.set_muted_topics=function(f){k=
new Dict({fold_case:!0});_.each(f,function(a){h.mute_topic(a[0],a[1])})};return h}();"undefined"!==typeof module&&(module.exports=muting);var muting_ui=function(){var h={},k=0;h.rerender=function(){stream_list.update_streams_sidebar();current_msg_list.rerender_after_muting_changes();current_msg_list!==home_msg_list&&home_msg_list.rerender_after_muting_changes()};h.notify_with_undo_option=function(){var f=null,a=null,e=null,d=!1,b=null,c={fadeOut:function(){b&&b.fadeOut(500).removeClass("show")},fadeIn:function(){b&&b.fadeIn(500).addClass("show")}};setInterval(function(){e<(new Date).getTime()&&!d&&c.fadeOut()},100);return function(g,
l){var m=$("#unmute_muted_topic_notification .exit-me");b||(b=$("#unmute_muted_topic_notification"),m.click(function(){c.fadeOut()}),b.find("#unmute").click(function(){popovers.topic_ops.unmute(f,a);c.fadeOut()}));f=g;a=l;e=(new Date).getTime()+4E3;b.find(".topic").html(l);b.find(".stream").html(g);c.fadeIn();b.mouseenter(function(){d=!0});b.mouseleave(function(){d=!1;e=Math.max(e,(new Date).getTime()+2E3)})}}();h.persist_and_rerender=function(){h.rerender();var f={muted_topics:JSON.stringify(muting.get_muted_topics())};
k=(new Date).getTime();channel.post({url:"/json/set_muted_topics",idempotent:!0,data:f})};h.handle_updates=function(f){(new Date).getTime()<k+1E3||(muting.set_muted_topics(f),h.rerender())};$(function(){muting.set_muted_topics(page_params.muted_topics)});return h}();"undefined"!==typeof module&&(module.exports=muting_ui);var viewport=function(){function h(a,b,c,d,e,g){_.every(a,function(a){var f=a.getBoundingClientRect();f=e?f.top>c&&(f.bottom<d||f.height>d-c&&f.top<d):f.bottom>c&&f.top<d;return f?(b.push(g(a)),!0):!1})}function k(a,b,d,e,f){var k=g.get()-c.get(),s=Math.floor(k/b);b=[];k=a.prevAll("div."+e+":lt("+s+")");e=a.nextAll("div."+e+":lt("+s+")");h(a,b,c.get(),g.get(),f,d);h(k,b,c.get(),g.get(),f,d);h(e,b,c.get(),g.get(),f,d);return b}function f(b,c){d[b]=new util.CachedValue({compute_value:function(){return c.call(a.message_pane)}});
return function(){return 0!==arguments.length?(d[b].reset(),c.apply(a.message_pane,arguments)):d[b].get()}}var a={},e,d={},b=!1;a.last_movement_direction=1;a.at_top=function(){return 0>=a.scrollTop()};a.message_viewport_info=function(){var a={},b=$(".floating_recipient");a.visible_top=b.offset().top+b.outerHeight();b=$("#compose");a.visible_height=b.position().top-a.visible_top;return a};a.at_bottom=function(){var b=a.scrollTop()+a.height(),c=a.message_pane.prop("scrollHeight");return b+2>=c};a.bottom_message_visible=
function(){var a=rows.last_visible();return a.length?(a=a[0].getBoundingClientRect().bottom,$("#compose")[0].getBoundingClientRect().top>a):!1};a.is_below_visible_bottom=function(b){return b>a.scrollTop()+a.height()-$("#compose").height()};a.set_message_position=function(b,c,d,e){e*=d.visible_height;e+c>d.visible_height&&(e=d.visible_height-c,0>e&&(e=0));c=d.visible_top-a.scrollTop();pointer.suppress_scroll_pointer_update=!0;a.scrollTop(b-(e+c))};var c=new util.CachedValue({compute_value:function(){return $(".floating_recipient").offset().top+
$(".floating_recipient").outerHeight()}}),g=new util.CachedValue({compute_value:function(){return $("#compose")[0].getBoundingClientRect().top}});a.visible_groups=function(a){var b=current_msg_list.selected_row();if(void 0===b||0===b.length)return[];b=rows.get_message_recipient_row(b);return k(b,75,function(a){return a},"recipient_row",a)};a.visible_messages=function(a){var b=current_msg_list.selected_row();return k(b,25,function(a){return current_msg_list.get(rows.id($(a)))},"message_row",a)};a.scrollTop=
function(b){var c=a.message_pane.scrollTop();if(void 0===b)return c;var d=a.message_pane.scrollTop(b),e=a.message_pane.scrollTop(),g=$("#bottom_whitespace").offset().top-viewport.height();0<g&&(0<b&&0===c&&0===e)&&(blueslip.info("ScrollTop did nothing when scrolling to "+b+", fixing..."),a.message_pane.scrollTop(1),d=a.message_pane.scrollTop(b),0===a.message_pane.scrollTop()&&blueslip.info("ScrollTop fix did not work when scrolling to "+b+"!  space_to_scroll was "+g));return d};a.set_message_offset=
function(b){var c=current_msg_list.selected_row();a.scrollTop(a.scrollTop()+c.offset().top-b)};a.height=f("height",$(a.message_pane).height);a.width=f("width",$(a.message_pane).width);a.stop_auto_scrolling=function(){b&&a.message_pane.stop()};a.is_narrow=function(){return 975>=window.innerWidth};a.system_initiated_animate_scroll=function(c){pointer.suppress_scroll_pointer_update=!0;var d=a.scrollTop();b=!0;a.message_pane.animate({scrollTop:d+c,always:function(){b=!1}})};a.user_initiated_animate_scroll=
function(c){pointer.suppress_scroll_pointer_update=!0;b=!1;var d=a.scrollTop();a.message_pane.animate({scrollTop:d+c})};a.recenter_view=function(b,c){c=c||{};var d=a.message_viewport_info(),e=d.visible_top,g=d.visible_top+d.visible_height,f=b.offset().top,h=b.outerHeight(!0),e=f<e,g=f+h>g;if(!c.from_scroll||!(e&&0<=a.last_movement_direction||g&&0>=a.last_movement_direction))e||c.force_center?a.set_message_position(f,h,d,0.5):g&&a.set_message_position(f,h,d,1/7)};$(function(){e=$(window);a.message_pane=
$(".app");e.resize(function(){d.height.reset();d.width.reset();c.reset();g.reset()});$(document).on("compose_started compose_canceled compose_finished",function(){g.reset()})});return a}();"undefined"!==typeof module&&(module.exports=viewport);var rows=function(){var h={next_visible:function(f){if(void 0===f||0===f.length)return $();var a=f.next(".selectable_row");if(0!==a.length)return a;f=h.get_message_recipient_row(f);f=$(f).nextAll(".recipient_row");return 0===f.length?$():$(".selectable_row:first",f[0])},prev_visible:function(f){if(void 0===f||0===f.length)return $();var a=f.prev(".selectable_row");if(0!==a.length)return a;f=h.get_message_recipient_row(f);f=$(f).prevAll(".recipient_row");return 0===f.length?$():$(".selectable_row:last",
f[0])},first_visible:function(){return $(".focused_table .selectable_row:first")},last_visible:function(){return $(".focused_table .selectable_row:last")},id:function(f){return parseFloat(f.attr("zid"),10)}},k={zhome:!0,zfilt:!0};h.get_table=function(f){return!k.hasOwnProperty(f)?$():$("#"+f)};h.get_closest_group=function(f){return $(f).closest("div.recipient_row")};h.first_message_in_group=function(f){return $("div.message_row:first",f)};h.get_message_recipient_row=function(f){return $(f).parent(".recipient_row").expectOne()};
h.get_message_recipient_header=function(f){return $(f).parent(".recipient_row").find(".message_header").expectOne()};h.recipient_from_group=function(f){return message_store.get(h.id($(f).children(".message_row").first().expectOne()))};h.id_for_recipient_row=function(f){var a=h.first_message_in_group(f);return 0===a.length?h.id(f):h.id(a)};return h}();"undefined"!==typeof module&&(module.exports=rows);var people=function(){function h(a,b){var c=util.strcmp(a.full_name,b.full_name);return 0>c?-1:0<c?1:util.strcmp(a.email,b.email)}var k={},f,a,e,d,b,c,g;k.init=function(){f=new Dict({fold_case:!0});a=new Dict({fold_case:!0});e=new Dict;d=new Dict({fold_case:!0});b=new Dict({fold_case:!0});c=new Dict({fold_case:!0})};k.init();k.get_person_from_user_id=function(a){if(e.has(a))return e.get(a);blueslip.error("Unknown user_id in get_person_from_user_id: "+a)};k.get_by_email=function(a){return f.get(a)};
k.get_user_id=function(a){var b=f.get(a);if(void 0===b){var c="Unknown email for get_user_id: "+a;blueslip.debug(c);setTimeout(function(){f.has(a)||blueslip.error(c)},5E3)}else{if(b=b.user_id)return b;blueslip.error("No userid found for "+a)}};k.user_ids_string_to_emails_string=function(a){var b=a.split(","),b=_.map(b,function(a){if(a=e.get(a))return a.email});if(_.all(b))return b=_.map(b,function(a){return a.toLowerCase()}),b.sort(),b.join(",");blueslip.error("Unknown user ids: "+a)};k.emails_strings_to_user_ids_string=
function(a){var b=a.split(","),b=_.map(b,function(a){if(a=f.get(a))return a.user_id});if(_.all(b))return b.sort(),b.join(",");blueslip.warn("Unknown emails: "+a)};k.get_full_name=function(a){return e.get(a).full_name};k.get_recipients=function(a){a=a.split(",");a=_.reject(a,k.is_my_user_id);return 0===a.length?k.my_full_name():_.map(a,k.get_full_name).sort().join(", ")};k.emails_to_slug=function(a){var b=k.emails_strings_to_user_ids_string(a);if(b)return b+="-",a=a.split(","),b=1===a.length?b+a[0].split("@")[0].toLowerCase():
b+"group"};k.slug_to_emails=function(a){if(a=/^([\d,]+)-/.exec(a))return k.user_ids_string_to_emails_string(a[1])};k.format_small_avatar_url=function(a,b){var c=a+"&s=50";b&&(c+="&stamp="+settings.avatar_stamp);return c};k.small_avatar_url=function(a){var b="",c;a.sender_id&&(c=k.get_person_from_user_id(a.sender_id));c&&c.avatar_url?b=c.avatar_url:a.avatar_url&&(b=a.avatar_url,c&&(c.avatar_url=b));b&&(b=k.format_small_avatar_url(b,a.sent_by_me));return b};k.realm_get=function(a){return d.get(a)};
k.get_all_persons=function(){return f.values()};k.get_realm_persons=function(){return d.values()};k.is_cross_realm_email=function(a){return b.has(a)};k.get_recipient_count=function(a){return a.pm_recipient_count?a.pm_recipient_count:c.get(a.email)||0};k.incr_recipient_count=function(a){var b=c.get(a)||0;c.set(a,b+1)};k.filter_people_by_search_terms=function(a,b){var c=new Dict,d=_.map(b,function(a){var b=a.toLowerCase().split(/\s+/),b=_.map(b,function(a){return a.trim()});return function(c,d){return 0===
c.indexOf(a.trim())?!0:_.all(b,function(a){return _.any(d,function(b){if(0===b.indexOf(a))return!0})})}});_.each(a,function(a){var b=k.get_by_email(a.email);if(b&&b.full_name){var e=a.email.toLowerCase(),g=b.full_name.toLowerCase().split(/\s+/),g=_.map(g,function(a){return a.trim()});_.any(d,function(a){return a(e,g)})&&c.set(b.user_id,!0)}});return c};k.get_by_name=function(b){return a.get(b)};k.get_rest_of_realm=function(){var a=[];d.each(function(b){k.is_current_user(b.email)||a.push({email:b.email,
user_id:b.user_id,full_name:b.full_name})});return a.sort(h)};k.add=function(b){b.user_id?e.set(b.user_id,b):blueslip.warn("No user_id provided for "+b.email);f.set(b.email,b);a.set(b.full_name,b)};k.add_in_realm=function(a){d.set(a.email,a);k.add(a)};k.deactivate=function(a){d.del(a.email)};k.extract_people_from_message=function(a){var b;switch(a.type){case "stream":b=[{full_name:a.sender_full_name,user_id:a.sender_id,email:a.sender_email}];break;case "private":b=a.display_recipient}_.each(b,function(b){b.unknown_local_echo_user||
(k.get_by_email(b.email)||k.add({email:b.email,user_id:b.user_id||b.id,full_name:b.full_name,is_admin:b.is_realm_admin||!1,is_bot:b.is_bot||!1}),"private"===a.type&&a.sent_by_me&&k.incr_recipient_count(b.email))})};k.set_full_name=function(b,c){a.has(b.full_name)&&a.del(b.full_name);a.set(c,b);b.full_name=c};k.is_current_user=function(a){return null===a||void 0===a?!1:a.toLowerCase()===k.my_current_email().toLowerCase()};k.initialize_current_user=function(a){g=a};k.my_full_name=function(){return e.get(g).full_name};
k.my_current_email=function(){return e.get(g).email};k.my_current_user_id=function(){return g};k.is_my_user_id=function(a){return!a?!1:a.toString()===g.toString()};$(function(){_.each(page_params.people_list,function(a){k.add_in_realm(a)});_.each(page_params.cross_realm_bots,function(a){f.has(a.email)||k.add(a);b.set(a.email,a)});k.initialize_current_user(page_params.user_id);delete page_params.people_list;delete page_params.cross_realm_bots});return k}();
"undefined"!==typeof module&&(module.exports=people);var unread=function(){var h={},k=new Dict,f=new Dict;h.suppress_unread_counts=!0;h.messages_read_in_narrow=!1;h.unread_topic_counter=function(){function a(){return new Dict({fold_case:!0})}var e={},d=a();e.clear=function(){d=a()};e.update=function(a,c,e,f){d.has(a)&&(d.get(a).has(c)&&d.get(a).get(c).get(f))&&(d.get(a).get(c).del(f),0===d.get(a).get(c).num_items()&&d.get(a).del(c),d.get(a).setdefault(e,new Dict),d.get(a).get(e).set(f,!0))};e.add=function(b,c,e){d.setdefault(b,a());d.get(b).setdefault(c,
new Dict);d.get(b).get(c).set(e,!0)};e.del=function(a,c,e){if(a=d.get(a))(c=a.get(c))&&c.del(e)};e.get_counts=function(){var b={stream_unread_messages:0};b.stream_count=a();b.subject_count=a();d.each(function(c,e){if(!stream_data.is_subscribed(e))return!0;if(d.has(e)){b.subject_count.set(e,a());var f=0;d.get(e).each(function(a,c){var d=a.num_items();b.subject_count.get(e).set(c,d);muting.is_topic_muted(e,c)||(f+=d)});b.stream_count.set(e,f);stream_data.in_home_view(e)&&(b.stream_unread_messages+=
f)}});return b};e.get_stream_count=function(a){var c=0;if(!d.has(a))return 0;d.get(a).each(function(d,e){muting.is_topic_muted(a,e)||(c+=d.num_items())});return c};e.get=function(a,c){var e=0;d.has(a)&&d.get(a).has(c)&&(e=d.get(a).get(c).num_items());return e};return e}();h.message_unread=function(a){return void 0===a?!1:void 0===a.flags||-1===a.flags.indexOf("read")};h.update_unread_topics=function(a,e){void 0!==e.subject&&h.unread_topic_counter.update(a.stream,a.subject,e.subject,a.id)};h.process_loaded_messages=
function(a){_.each(a,function(a){if(h.message_unread(a)){if("private"===a.type){var d=people.emails_strings_to_user_ids_string(a.reply_to);d&&(f.setdefault(d,new Dict),f.get(d).set(a.id,!0))}"stream"===a.type&&h.unread_topic_counter.add(a.stream,a.subject,a.id);a.mentioned&&k.set(a.id,!0)}})};h.process_read_message=function(a){if("private"===a.type){var e=people.emails_strings_to_user_ids_string(a.reply_to);e&&(e=f.get(e))&&e.del(a.id)}"stream"===a.type&&h.unread_topic_counter.del(a.stream,a.subject,
a.id);k.del(a.id)};h.declare_bankruptcy=function(){f=new Dict;h.unread_topic_counter.clear()};h.num_unread_current_messages=function(){var a=0;_.each(current_msg_list.all_messages(),function(e){e.id>current_msg_list.selected_id()&&h.message_unread(e)&&(a+=1)});return a};h.get_counts=function(){var a={private_message_count:0};a.mentioned_message_count=k.num_items();a.pm_count=new Dict;var e=h.unread_topic_counter.get_counts(a);a.home_unread_messages=e.stream_unread_messages;a.stream_count=e.stream_count;
a.subject_count=e.subject_count;var d=0;f.each(function(b,c){var e=b.num_items();a.pm_count.set(c,e);d+=e});a.private_message_count=d;a.home_unread_messages+=d;narrow.active()?a.unread_in_current_view=h.num_unread_current_messages():a.unread_in_current_view=a.home_unread_messages;return a};h.num_unread_for_stream=function(a){return h.unread_topic_counter.get_stream_count(a)};h.num_unread_for_subject=function(a,e){return h.unread_topic_counter.get(a,e)};h.num_unread_for_person=function(a){return!a||
!f.has(a)?0:f.get(a).num_items()};h.update_unread_counts=function(){if(!h.suppress_unread_counts){var a=unread.get_counts();activity.update_dom_with_unread_counts(a);stream_list.update_dom_with_unread_counts(a);pm_list.update_dom_with_unread_counts(a);notifications.update_title_count(a.home_unread_messages);notifications.update_pm_count(a.private_message_count)}};h.enable=function(){h.suppress_unread_counts=!1;h.update_unread_counts()};h.mark_all_as_read=function(a){_.each(message_list.all.all_messages(),
function(a){a.flags=a.flags||[];a.flags.push("read")});unread.declare_bankruptcy();h.update_unread_counts();channel.post({url:"/json/messages/flags",idempotent:!0,data:{messages:JSON.stringify([]),all:!0,op:"add",flag:"read"},success:a})};h.mark_messages_as_read=function(a,e){e=e||{};var d=!1;_.each(a,function(a){unread.message_unread(a)&&(current_msg_list===message_list.narrowed&&(unread.messages_read_in_narrow=!0),"server"!==e.from&&message_flags.send_read(a),a.flags=a.flags||[],a.flags.push("read"),
a.unread=!1,unread.process_read_message(a,e),home_msg_list.show_message_as_read(a,e),message_list.all.show_message_as_read(a,e),message_list.narrowed&&message_list.narrowed.show_message_as_read(a,e),notifications.close_notification(a),d=!0)});d&&h.update_unread_counts()};h.mark_message_as_read=function(a,e){h.mark_messages_as_read([a],e)};h.process_visible=function(){notifications.window_has_focus()&&(feature_flags.mark_read_at_bottom?viewport.bottom_message_visible()&&h.mark_current_list_as_read():
h.mark_messages_as_read(viewport.visible_messages(!0)))};h.mark_current_list_as_read=function(a){h.mark_messages_as_read(current_msg_list.all_messages(),a)};h.mark_stream_as_read=function(a,e){channel.post({url:"/json/messages/flags",idempotent:!0,data:{messages:JSON.stringify([]),all:!1,op:"add",flag:"read",stream_name:a},success:e})};h.mark_topic_as_read=function(a,e,d){channel.post({url:"/json/messages/flags",idempotent:!0,data:{messages:JSON.stringify([]),all:!1,op:"add",flag:"read",topic_name:e,
stream_name:a},success:d})};h.initialize=function(){if(page_params.furthest_read_time){var a=(new XDate(!0)).getTime()/1E3;500<page_params.unread_count&&172800<a-page_params.furthest_read_time?(a=templates.render("bankruptcy_modal",{unread_count:page_params.unread_count}),$("#bankruptcy-unread-count").html(a),$("#bankruptcy").modal("show")):unread.enable()}else unread.enable()};return h}();"undefined"!==typeof module&&(module.exports=unread);var topic_list=function(){var h={},k,f=!1;h.remove_expanded_topics=function(){popovers.hide_topic_sidebar_popover();k&&k.remove()};h.set_count=function(a,e,d){k&&k.is_for_stream(a)&&k.set_count(e,d)};h.build_widget=function(a,e,d,b){var c={};c.topic_items=new Dict({fold_case:!0});c.get_parent=function(){return a};c.is_for_stream=function(a){return e.toLowerCase()===a.toLowerCase()};c.get_stream_name=function(){return e};c.get_dom=function(){return c.dom};c.remove=function(){c.dom.remove()};c.set_count=
function(a,b){if(c.topic_items.has(a)){var d=c.topic_items.get(a).find(".topic-unread-count").expectOne(),e=d.find(".value");0===e.length?blueslip.error("malformed dom for unread count"):0===b?(d.hide(),e.text("")):(d.removeClass("zero_count"),d.show(),e.text(b))}};c.activate_topic=function(a){(a=c.topic_items.get(a))&&a.addClass("active-sub-filter")};c.dom=function(a,b,d){var e=stream_data.get_recent_topics(a)||[];b&&(b=b.toLowerCase());var h=!1,k=$('<ul class="topic-list">');k.attr("data-stream",
a);_.each(e,function(e,t){var p,x=e.subject,y=unread.num_unread_for_subject(a,e.canon_subject);if(!f&&(p=t<d||0<y||b===x.toLowerCase(),!p)){h=!0;return}p={topic_name:x,unread:y,is_zero:0===y,is_muted:muting.is_topic_muted(a,x),url:narrow.by_stream_subject_uri(a,x)};p=$(templates.render("topic_list_item",p));c.topic_items.set(x,p);k.append(p)});if(h){e=$('<li class="show-more-topics">');e.attr("data-stream",a);var p=$('<a href="#">');p.html(i18n.t("more topics"));e.html(p);k.append(e)}return k}(e,
d,b);a.append(c.dom);d&&c.activate_topic(d);return c};h.rebuild=function(a,e){var d=narrow.topic();h.remove_expanded_topics();k=h.build_widget(a,e,d,5)};h.zoom_in=function(){f=!0;k?h.rebuild(k.get_parent(),k.get_stream_name()):blueslip.error("Cannot find widget for topic history zooming.")};h.zoom_out=function(a){f=!1;a&&a.clear_topics?h.remove_expanded_topics():h.rebuild(k.get_parent(),k.get_stream_name())};h.is_zoomed=function(){return f};h.set_click_handlers=function(a){$("#stream_filters").on("click",
".show-more-topics",function(e){a.zoom_in();e.preventDefault();e.stopPropagation()});$(".show-all-streams").on("click",function(e){a.zoom_out({clear_topics:!1});e.preventDefault();e.stopPropagation()});$("#stream_filters").on("click",".topic-box",function(a){if(!a.metaKey&&!a.ctrlKey){ui.home_tab_obscured()&&ui.change_tab_to("#home");var d=$(a.target).parents("ul").attr("data-stream"),b=$(a.target).parents("li").attr("data-name");narrow.activate([{operator:"stream",operand:d},{operator:"topic",operand:b}],
{select_first_unread:!0,trigger:"sidebar"});a.preventDefault()}})};return h}();"undefined"!==typeof module&&(module.exports=topic_list);var pm_list=function(){function h(){return $("#global_filters > li[data-name='private']")}function k(a,b,d){0===d?(a.hide(),b.text("")):(a.show(),b.text(d))}function f(a,b,d){a=h(a,b).find(".count");b=a.find(".value");k(a,b,d)}function a(){popovers.hide_topic_sidebar_popover();$("ul.expanded_private_messages").remove();resize.resize_stream_filters_container()}var e={},d=!1,b=!1;e.get_conversation_li=function(a){var b=people.emails_strings_to_user_ids_string(a);if(b)return e.get_li_for_user_ids_string(b);
blueslip.warn("Unknown conversation: "+a)};e.get_li_for_user_ids_string=function(a){return h().find("li[data-user-ids-string='"+a+"']")};e.close=function(){b=d=!1;a()};e._build_private_messages_list=function(a,d){var e=message_store.recent_private_messages||[],f=[],h=!1;a&&(a=people.emails_strings_to_user_ids_string(a));_.each(e,function(e,l){var k=e.user_ids_string,s=people.user_ids_string_to_emails_string(k),u=people.get_recipients(k),r=unread.num_unread_for_person(k),x=l<d||0<r||k===a;x||b||(h=
!0);k={recipients:u,user_ids_string:k,unread:r,is_zero:0===r,zoom_out_hide:!x,url:narrow.pm_with_uri(s)};f.push(k)});return templates.render("sidebar_private_message_list",{messages:f,zoom_class:b?"zoomed-in":"zoomed-out",want_show_more_messages_links:h})};e.rebuild_recent=function(b){a();if(d){var g=h(),f=e._build_private_messages_list(b,5);g.append(f)}b&&e.get_conversation_li(b).addClass("active-sub-filter");resize.resize_stream_filters_container()};e.update_private_messages=function(){e._build_private_messages_list();
if(narrow.active()){var a=_.contains(narrow.filter().operands("is"),"private"),b=narrow.filter().operands("pm-with");1===b.length?e.rebuild_recent(b[0]):0!==b.length?e.rebuild_recent(""):a&&(e.rebuild_recent(""),$("#global_filters li[data-name='private']").addClass("active-filter"))}};e.set_click_handlers=function(){$("#global_filters").on("click",".show-more-private-messages",function(a){popovers.hide_all();b=!0;$("ul.expanded_private_messages").expectOne().removeClass("zoomed-out").addClass("zoomed-in");
a.preventDefault();a.stopPropagation()})};e.expand=function(a){d=!0;1===a.length?e.rebuild_recent(a[0]):e.rebuild_recent("")};e.update_dom_with_unread_counts=function(a){f("global","private",a.private_message_count);a.pm_count.each(function(a,b){var c=people.user_ids_string_to_emails_string(b);var c=pm_list.get_conversation_li(c).find(".private_message_count"),d=c.find(".value");0===c.length||0===d.length||(c.removeClass("zero_count"),k(c,d,a))});unread_ui.set_count_toggle_button($("#userlist-toggle-unreadcount"),
a.private_message_count);unread_ui.animate_private_message_changes(h(),a.private_message_count)};return e}();"undefined"!==typeof module&&(module.exports=pm_list);var stream_list=function(){function h(a,b){var c=a.find(".count"),d=c.find(".value");0===b?(c.hide(),c.parent().hasClass("subscription_block")&&c.parent(".subscription_block").removeClass("stream-with-count"),d.text("")):(c.show(),c.parent().hasClass("subscription_block")&&c.parent(".subscription_block").addClass("stream-with-count"),d.text(b))}function k(a){var b=$(".stream-list-filter").expectOne().val().trim();if(""===b)return a;var c=b.toLowerCase().split(","),c=_.map(c,function(a){return a.trim()});
return _.filter(a,function(a){return _.any(c,function(b){var c=a.toLowerCase().split(" ");return _.any(c,function(a){return 0===a.indexOf(b)})})})}function f(a,b,c){var d=b.toLowerCase();return(a=_.find($(a,c),function(a){return $(a).attr("data-name").toLowerCase()===d}))?$(a):$()}function a(a,b){if("stream"===a){var c=stream_data.get_sub(b);return $("#stream_sidebar_"+c.stream_id)}return f("#"+a+"_filters > li",b)}function e(){popovers.hide_all();topic_list.zoom_in();$("#streams_list").expectOne().removeClass("zoom-out").addClass("zoom-in");
u=narrow.stream();$(".stream-filters-label").each(function(){$(this).hide()});$(".pinned-stream-split").each(function(){$(this).hide()});$("#stream_filters li.narrow-filter").each(function(){var a=$(this);a.attr("data-name")===u?a.show():a.hide()})}function d(a){popovers.hide_all();topic_list.zoom_out(a);$(".stream-filters-label").each(function(){$(this).show()});$(".pinned-stream-split").each(function(){$(this).show()});$("#streams_list").expectOne().removeClass("zoom-in").addClass("zoom-out");$("#stream_filters li.narrow-filter").show()}
function b(a){topic_list.is_zoomed()&&!0!==a?d({clear_topics:!0}):topic_list.remove_expanded_topics()}function c(a){var b=a.name;a={name:b,id:a.stream_id,uri:narrow.by_stream_uri(b),not_in_home_view:!1===stream_data.in_home_view(b),invite_only:a.invite_only,color:stream_data.get_color(b),pin_to_top:a.pin_to_top};a.dark_background=stream_color.get_color_class(a.color);return $(templates.render("stream_sidebar_row",a))}function g(a){var b={},d=c(a),e=a.name;b.update_whether_active=function(){stream_data.is_active(e)?
d.removeClass("inactive_stream"):d.addClass("inactive_stream")};b.get_li=function(){return d};b.remove=function(){d.remove()};b.update_unread_count=function(){var a=unread.num_unread_for_stream(e);h(d,a)};b.update_unread_count();s.stream_sidebar.set_row(a.stream_id,b)}function l(b,c,d){b=a(b,c);h(b,d)}function m(b){var c=a("stream",b);topic_list.rebuild(c,b)}function t(){$("ul.filters li").removeClass("active-filter active-sub-filter")}function q(a){a.stopPropagation()}function n(a){if(13===a.keyCode){var b=
$("#stream_filters li.narrow-filter").first().data("name");void 0!==b&&(ui.home_tab_obscured()&&ui.change_tab_to("#home"),s.clear_and_hide_search(),narrow.by("stream",b,{select_first_unread:!0,trigger:"sidebar enter key"}),a.preventDefault(),a.stopPropagation())}}function p(a){"streams_inline_cog"!==a.target.id&&(0===$(".stream-list-filter.notdisplayed").length?s.clear_and_hide_search():s.initiate_search(),a.preventDefault())}var s={},u="",r,x;s.stream_sidebar=function(){var a={};a.rows=new Dict;
a.set_row=function(b,c){a.rows.set(b,c)};a.get_row=function(b){return a.rows.get(b)};a.has_row_for=function(b){return a.rows.has(b)};a.remove_row=function(b){var c=a.rows.get(b);c?(c.remove(),a.rows.del(b)):blueslip.warn("Cannot remove stream id "+b)};return a}();s.create_initial_sidebar_rows=function(){var a=stream_data.subscribed_subs();_.each(a,function(a){s.create_sidebar_row(a)})};s.build_stream_list=function(){function a(b){b=stream_data.get_sub(b);b=s.stream_sidebar.get_row(b.stream_id);c&&
b.update_whether_active();f.push(b.get_li().get(0))}var b=stream_data.subscribed_streams();if(0!==b.length){var b=k(b),c=40<b.length,d=[],e=[],g=$("#stream_filters"),f=[];_.each(b,function(a){stream_data.get_sub(a).pin_to_top?d.push(a):e.push(a)});e.sort(function(a,b){if(c){if(stream_data.is_active(b)&&!stream_data.is_active(a))return 1;if(!stream_data.is_active(b)&&stream_data.is_active(a))return-1}return util.strcmp(a,b)});b=d.concat(e);void 0!==r&&util.array_compare(r,b)&&util.array_compare(x,
e)||(r=b,x=e,g.empty(),0<d.length&&(_.each(d,a),f.push($('<hr class="pinned-stream-split">').get(0))),0<e.length&&_.each(e,a),$(f).appendTo(g))}};s.set_in_home_view=function(b,c){var d=a("stream",b);c?d.removeClass("out_of_home_view"):d.addClass("out_of_home_view")};s.create_sidebar_row=function(a){s.stream_sidebar.has_row_for(a.stream_id)?blueslip.warn("Dup try to build sidebar row for stream "+a.stream_id):g(a)};s.redraw_stream_privacy=function(a){var b=s.get_stream_li(a),c=b.find(".stream-privacy"),
b=b.find(".streamlist_swatch"),d=stream_data.get_sub(a);a=stream_data.get_color(a);a=stream_color.get_color_class(a);a={invite_only:d.invite_only,dark_background:a};d.invite_only?b.addClass("private-stream-swatch"):b.removeClass("private-stream-swatch");b=templates.render("stream_privacy",a);c.html(b)};s.get_stream_li=function(b){return a("stream",b)};s.update_streams_sidebar=function(){s.build_stream_list();if(narrow.active()){var a=narrow.filter().operands("stream");0!==a.length&&stream_data.is_subscribed(a[0])&&
m(a[0])}};s.update_dom_with_unread_counts=function(b){b.stream_count.each(function(a,b){l("stream",b,a)});b.subject_count.each(function(a,b){a.each(function(a,c){topic_list.set_count(b,c,a)})});l("global","mentioned",b.mentioned_message_count);l("global","home",b.home_unread_messages);unread_ui.set_count_toggle_button($("#streamlist-toggle-unreadcount"),b.home_unread_messages);unread_ui.animate_mention_changes(a("global","mentioned"),b.mentioned_message_count)};s.rename_stream=function(a){g(a);s.build_stream_list()};
s.refresh_pinned_or_unpinned_stream=function(a){g(a);s.update_streams_sidebar()};$(function(){topic_list.set_click_handlers({zoom_in:e,zoom_out:d});pm_list.set_click_handlers();$(document).on("narrow_activated.zulip",function(c){t();b(narrow.stream()===u);var d=c.filter.operands("in");0!==d.length&&-1!==["all","home"].indexOf(d[0])&&$("#global_filters li[data-name='"+d[0]+"']").addClass("active-filter");d=c.filter.operands("is");0!==d.length&&-1!==["starred","mentioned"].indexOf(d[0])&&$("#global_filters li[data-name='"+
d[0]+"']").addClass("active-filter");var e=c.filter.operands("pm-with");0!==d.length&&_.contains(d,"private")||0!==e.length?pm_list.expand(e):pm_list.close();d=c.filter.operands("stream");0!==d.length&&stream_data.is_subscribed(d[0])&&(e=a("stream",d[0]),0===c.filter.operands("topic").length&&e.addClass("active-filter"),m(d[0]),unread.process_visible())});$(document).on("narrow_deactivated.zulip",function(){t();b();pm_list.close();$("#global_filters li[data-name='home']").addClass("active-filter")});
$(document).on("subscription_add_done.zulip",function(a){s.create_sidebar_row(a.sub);s.build_stream_list()});$(document).on("subscription_remove_done.zulip",function(a){s.stream_sidebar.remove_row(a.sub.stream_id);x=r=void 0});$("#stream_filters").on("click","li .subscription_block",function(a){if(!a.metaKey&&!a.ctrlKey){ui.home_tab_obscured()&&ui.change_tab_to("#home");var b=$(a.target).parents("li").attr("data-name");popovers.hide_all();narrow.by("stream",b,{select_first_unread:!0,trigger:"sidebar"});
a.preventDefault();a.stopPropagation()}})});var y=_.throttle(function(){s.update_streams_sidebar();resize.resize_page_components()},50);s.searching=function(){return $(".stream-list-filter").expectOne().is(":focus")};s.escape_search=function(){var a=$(".stream-list-filter").expectOne();""===a.val()?s.clear_and_hide_search():(a.val(""),y())};s.initiate_search=function(){var a=$(".stream-list-filter").expectOne();a.removeClass("notdisplayed");a.focus()};s.clear_and_hide_search=function(){var a=$(".stream-list-filter");
""!==a.val()&&(a.val(""),y());a.blur();a.addClass("notdisplayed")};$(function(){$(".stream-list-filter").expectOne().on("click",q).on("input",y).on("keydown",n)});$(function(){$("#streams_header").expectOne().on("click",p)});return s}();"undefined"!==typeof module&&(module.exports=stream_list);var Filter=function(){function h(a,e,d){switch(e){case "is":if("private"===d)return"private"===a.type;if("starred"===d)return a.starred;if("mentioned"===d)return a.mentioned;if("alerted"===d)return a.alerted;break;case "in":if("home"===d)return a="private"===a.type||a.mentioned||void 0!==page_params.narrow_stream&&a.stream.toLowerCase()===page_params.narrow_stream.toLowerCase()?!0:stream_data.in_home_view(a.stream),a;break;case "id":return a.id.toString()===d;case "stream":if("stream"!==a.type)return!1;
d=d.toLowerCase();return page_params.is_zephyr_mirror_realm?(e=/^(?:un)*(.+?)(?:\.d)*$/i.exec(d),null!==e&&void 0!==e[1]&&(d=e[1]),RegExp(/^(un)*/.source+util.escape_regexp(d)+/(\.d)*$/.source,"i").test(a.stream)):a.stream.toLowerCase()===d;case "topic":if("stream"!==a.type)return!1;d=d.toLowerCase();return page_params.is_zephyr_mirror_realm?(e=/^(.*?)(?:\.d)*$/i.exec(d)[1],(""===e||"personal"===e.toLowerCase()||'(instance "")'===e.toLowerCase()?/^(|personal|\(instance ""\))(\.d)*$/i:RegExp(/^/.source+
util.escape_regexp(e)+/(\.d)*$/.source,"i")).test(a.subject)):a.subject.toLowerCase()===d;case "sender":return a.sender_email.toLowerCase()===d.toLowerCase();case "pm-with":return"private"===a.type&&util.normalize_recipients(a.reply_to)===util.normalize_recipients(d)}return!0}function k(a){this._operators=void 0===a?[]:this._canonicalize_operators(a)}var f={from:"sender",subject:"topic"};k.canonicalize_operator=function(a){a=a.toLowerCase();return f.hasOwnProperty(a)?f[a]:a};k.canonicalize_term=function(a){var e=
a.negated,d=a.operator;a=a.operand;e||(e=!1);d=k.canonicalize_operator(d);switch(d){case "has":a=a.replace(/s$/,"");break;case "stream":a=stream_data.get_name(a);break;case "topic":break;case "sender":case "pm-with":a=a.toString().toLowerCase();"me"===a&&(a=people.my_current_email());break;case "search":a=a.toString().toLowerCase().replace(/[\u201c\u201d]/g,'"');break;default:a=a.toString().toLowerCase()}return{negated:e,operator:d,operand:a}};k.parse=function(a){var e=[],d=[],b,c,g;a=a.match(/"[^"]+"|\S+/g);
if(null===a)return e;_.each(a,function(a){var f,h;f=a.split(":");'"'===a[0]||1===f.length?d.push(a):(b=!1,h=f.shift(),"-"===h[0]&&(b=!0,h=h.slice(1)),f=f.join(":"),"pm-with"!==h&&("sender"!==h&&"from"!==h)&&(f=f.replace(/\+/g," ")),c=util.robust_uri_decode(f),""===k.operator_to_prefix(h,b)?d.push(a):(g={negated:b,operator:h,operand:c},e.push(g)))});0<d.length&&(c=d.join(" "),g={operator:"search",operand:c,negated:!1},e.push(g));return e};k.unparse=function(a){return _.map(a,function(a){return"search"===
a.operator?a.operand:(a.negated?"-":"")+a.operator+":"+a.operand.toString().replace(/%/g,"%25").replace(/\+/g,"%2B").replace(/ /g,"+")}).join(" ")};k.prototype={predicate:function(){void 0===this._predicate&&(this._predicate=this._build_predicate());return this._predicate},operators:function(){return this._operators},public_operators:function(){return _.filter(this._operators,function(a){return!(void 0!==page_params.narrow_stream&&"stream"===a.operator&&a.operand.toLowerCase()===page_params.narrow_stream.toLowerCase())})},
operands:function(a){return _.chain(this._operators).filter(function(e){return!e.negated&&e.operator===a}).map(function(a){return a.operand}).value()},has_operand:function(a,e){return _.any(this._operators,function(d){return!d.negated&&d.operator===a&&d.operand===e})},has_operator:function(a){return _.any(this._operators,function(e){return e.negated&&!_.contains(["search","has"],e.operator)?!1:e.operator===a})},is_search:function(){return this.has_operator("search")},can_apply_locally:function(){return!this.is_search()&&
!this.has_operator("has")},_canonicalize_operators:function(a){return _.map(a,function(a){return k.canonicalize_term(a)})},filter_with_new_topic:function(a){var e=_.map(this._operators,function(d){d=_.clone(d);"topic"===d.operator&&!d.negated&&(d.operand=a);return d});return new k(e)},has_topic:function(a,e){return this.has_operand("stream",a)&&this.has_operand("topic",e)},_build_predicate:function(){var a=this._operators;return!this.can_apply_locally()?function(){return!0}:function(e){return _.all(a,
function(a){var b=h(e,a.operator,a.operand);a.negated&&(b=!b);return b})}}};k.operator_to_prefix=function(a,e){var d;if("search"===a)return e?"Exclude":"Search for";d=e?"Exclude ":"Narrow to ";switch(a){case "stream":return d+"stream";case "near":return d+"messages around";case "has":return d+"messages with one or more";case "id":return d+"message ID";case "subject":case "topic":return d+"topic";case "from":case "sender":return d+"messages sent by";case "pm-with":return d+"private messages with";
case "in":return d+"messages in";case "is":return d+"messages that are"}return""};k.describe=function(a){if(0===a.length)return"Go to Home view";var e=[];2<=a.length&&("stream"===a[0].operator&&!a[0].negated&&"topic"===a[1].operator&&!a[1].negated)&&(e=["Narrow to "+a[0].operand+" > "+a[1].operand],a=a.slice(2));a=_.map(a,function(a){var b=a.operand,c=k.canonicalize_operator(a.operator);if("is"===c){a=a.negated?"Exclude ":"Narrow to ";if("private"===b)return a+"all private messages";if("starred"===
b)return a+"starred messages";if("mentioned"===b)return a+"mentioned messages";if("alerted"===b)return a+"alerted messages"}else if(a=k.operator_to_prefix(c,a.negated),""!==a)return a+" "+b;return"Narrow to (unknown operator)"});return e.concat(a).join(", ")};return k}();"undefined"!==typeof module&&(module.exports=Filter);function MessageListView(h,k,f){this.list=h;this.collapse_messages=f;this._rows={};this.message_containers={};(this.table_name=k)&&this.clear_table();this._message_groups=[];this._render_win_end=this._render_win_start=0}
(function(){function h(a){return page_params.twenty_four_hour_time?a.toString("HH:mm"):a.toString("h:mm TT")}function k(a,c){if(void 0===a||void 0===c)return!1;var d=new XDate(1E3*a.msg.timestamp),e=new XDate(1E3*c.msg.timestamp);return d.toDateString()===e.toDateString()}function f(a,c){return void 0===a||void 0===c?!1:util.same_sender(a.msg,c.msg)}function a(a,c){return void 0===a||void 0===c?!1:util.same_recipient(a.msg,c.msg)}function e(a,c,d){var e=new XDate(1E3*c.msg.timestamp);void 0!==d?(d=
new XDate(1E3*d.msg.timestamp),e.toDateString()!==d.toDateString()&&(a.show_date=timerender.render_date(e,d)[0].outerHTML)):a.show_date=timerender.render_date(e)[0].outerHTML;void 0===c.timestr&&(c.timestr=h(e))}function d(a,c){a.is_stream=c.msg.is_stream;a.is_private=c.msg.is_private;a.is_stream?(a.background_color=stream_data.get_color(c.msg.stream),a.color_class=stream_color.get_color_class(a.background_color),a.invite_only=stream_data.get_invite_only(c.msg.stream),a.subject=c.msg.subject,a.match_subject=
c.msg.match_subject,a.stream_url=c.stream_url,a.topic_url=c.topic_url):a.is_private&&(a.pm_with_url=c.pm_with_url,a.display_reply_to=message_store.get_pm_full_names(c.msg));a.display_recipient=c.msg.display_recipient;a.always_visible_topic_edit=c.msg.always_visible_topic_edit;a.on_hover_topic_edit=c.msg.on_hover_topic_edit;a.subject_links=c.msg.subject_links;var d=new XDate(1E3*c.msg.timestamp),d=timerender.render_date(d)[0];a.date=d.outerHTML}MessageListView.prototype={_RENDER_WINDOW_SIZE:400,_RENDER_THRESHOLD:50,
_add_msg_timestring:function(a){if(void 0!==a.msg.last_edit_timestamp){var c=new XDate(1E3*a.msg.last_edit_timestamp);a.last_edit_timestr=timerender.render_date(c)[0].textContent+" at "+h(c)}},add_subscription_marker:function(a,c,d){void 0!==c&&d.msg.historical!==c.msg.historical&&(a.bookend_top=!0,d.msg.historical?(a.unsubscribed=d.msg.stream,a.bookend_content=this.list.unsubscribed_bookend_content(d.msg.stream)):(a.subscribed=d.msg.stream,a.bookend_content=this.list.subscribed_bookend_content(d.msg.stream)))},
build_message_groups:function(b){function c(){return{message_containers:[],message_group_id:_.uniqueId("message_group_")}}function g(a){f(n,a)&&(n.next_is_same_sender=!0);t.message_containers.push(a)}function h(){0<t.message_containers.length&&(d(t,t.message_containers[0]),t.message_containers[t.message_containers.length-1].include_footer=!0,q.push(t))}var m=this,t=c(),q=[],n;_.each(b,function(b){var d=reactions.get_message_reactions(b.msg);b.msg.message_reactions=d;b.include_recipient=!1;b.include_footer=
!1;a(n,b)&&m.collapse_messages&&n.msg.historical===b.msg.historical&&k(n,b)?g(b):(h(),t=c(),g(b),b.include_recipient=!0,b.subscribed=!1,b.unsubscribed=!1,m.list!==home_msg_list&&m.add_subscription_marker(t,n,b),b.msg.stream?(b.stream_url=narrow.by_stream_uri(b.msg.stream),b.topic_url=narrow.by_stream_subject_uri(b.msg.stream,b.msg.subject)):b.pm_with_url=narrow.pm_with_uri(b.msg.reply_to));e(t,b,n);b.include_sender=!0;!b.include_recipient&&(!n.status_message&&f(n,b))&&(b.include_sender=!1);m._add_msg_timestring(b);
b.small_avatar_url=people.small_avatar_url(b.msg);void 0!==b.msg.stream&&(b.background_color=stream_data.get_color(b.msg.stream));b.contains_mention=notifications.speaking_at_me(b.msg);b.msg.unread=unread.message_unread(b.msg);m._maybe_format_me_message(b);n=b});h();return q},join_message_groups:function(b,c){if(void 0===b||void 0===c)return!1;var d=_.last(b.message_containers),e=_.first(c.message_containers);if(this.collapse_messages&&a(d,e)&&k(d,e)&&d.msg.historical===e.msg.historical)return!d.status_message&&
(!e.msg.is_me_message&&f(d,e))&&(e.include_sender=!1),f(d,e)&&(d.next_is_same_sender=!0),b.message_containers=b.message_containers.concat(c.message_containers),!0;this.list!==home_msg_list&&d.msg.historical!==e.msg.historical&&(b.bookend_bottom=!0,this.add_subscription_marker(b,d,e));return!1},merge_message_groups:function(a,c){var d={append_groups:[],prepend_groups:[],rerender_groups:[],append_messages:[],rerender_messages:[]},f,h;if("top"===c)f=_.last(a),h=_.first(this._message_groups),this.join_message_groups(f,
h)?(f.message_group_id=h.message_group_id,d.rerender_groups.push(f),this._message_groups.shift(),this._message_groups.unshift(f),a=_.initial(a)):k(h.message_containers[0],f.message_containers[0])||(e(h,_.first(h.message_containers),_.last(f.message_containers)),d.rerender_groups.push(h)),d.prepend_groups=a,this._message_groups=a.concat(this._message_groups);else{f=_.last(this._message_groups);h=_.first(a);if(this.join_message_groups(f,h))d.rerender_messages.push(f.message_containers[f.message_containers.length-
h.message_containers.length-1]),d.append_messages=_.first(a).message_containers,a=_.rest(a);else if(void 0!==f&&void 0!==h){f=_.last(f.message_containers);var t=_.first(h.message_containers);k(f,t)&&(h.show_date=void 0)}d.append_groups=a;this._message_groups=this._message_groups.concat(a)}return d},_post_process_dom_messages:function(a){var c=this;_.each(a,function(a){_.isElement(a)||blueslip.warn("Only DOM nodes can be passed to _post_process_messages");var b=$(a);b.hasClass("message_row")&&(c._rows[b.attr("zid")]=
a);b.hasClass("mention")&&b.find(".user-mention").each(function(){var a;a=$(this).attr("data-user-id");"*"===a||people.is_my_user_id(a)?a=!0:(a=$(this).attr("data-user-email"),a="*"===a||people.is_current_user(a)?!0:!1);a&&$(this).addClass("user-mention-me")});a=rows.id(b);message_edit.maybe_show_edit(b,a);a=$.Event("message_rendered.zulip",{target:b});try{$(document).trigger(a)}catch(d){blueslip.error("Problem with message rendering",{message_id:rows.id($(b))},d.stack)}})},render:function(a,c,d){function e(){void 0===
n&&0<s.selected_row().length&&(n=s.selected_row().offset().top)}if(!(0===a.length||void 0===this.table_name)){var f=this.list,h=rows.get_table(this.table_name),k=rows.id(rows.last_visible())===f.selected_id(),n,p,s=this;p=_.map(a,function(a){return{msg:a}});if(!(0===p.length||void 0===this.table_name)){a=this.build_message_groups(p,this.table_name);var u=this.merge_message_groups(a,c);c=[];var r,x;_.each(p,function(a){s.message_containers[a.msg.id]=a});0<u.prepend_groups.length&&(e(),r=$(templates.render("message_group",
{message_groups:u.prepend_groups,use_match_properties:s.list.filter.is_search(),table_name:s.table_name})),x=r.find(".message_row"),c=c.concat(r),s._post_process_dom_messages(x.get()),h.find(".recipient_row").first().prev(".date_row").remove(),h.prepend(r),condense.condense_and_collapse(x));0<u.rerender_groups.length&&(e(),_.each(u.rerender_groups,function(a){var b=$("#"+a.message_group_id);b.prev(".date_row").remove();r=$(templates.render("message_group",{message_groups:[a],use_match_properties:s.list.filter.is_search(),
table_name:s.table_name}));x=r.find(".message_row");s._post_process_dom_messages(x.get());b.replaceWith(r);condense.condense_and_collapse(x)}));0<u.rerender_messages.length&&_.each(u.rerender_messages,function(a){var b=s.get_row(a.msg.id),c=reactions.get_message_reactions(a.msg);a.msg.message_reactions=c;a=_.extend(a,{table_name:this.table_name});a=$(templates.render("single_message",a));s._post_process_dom_messages(a.get());b.replaceWith(a);condense.condense_and_collapse(a);f.reselect_selected_id()});
0<u.append_messages.length&&(p=h.find(".message_row:last").expectOne(),p=rows.get_message_recipient_row(p),x=$(_.map(u.append_messages,function(a){var b=reactions.get_message_reactions(a.msg);a.msg.message_reactions=b;a=_.extend(a,{table_name:this.table_name});return templates.render("single_message",a)}).join("")).filter(".message_row"),s._post_process_dom_messages(x.get()),p.append(x),c=c.concat(x));0<u.append_groups.length&&(s.clear_trailing_bookend(),r=$(templates.render("message_group",{message_groups:u.append_groups,
use_match_properties:s.list.filter.is_search(),table_name:s.table_name})),x=r.find(".message_row"),c=c.concat(r),s._post_process_dom_messages(x.get()),h.append(r),condense.condense_and_collapse(x));f===current_msg_list&&void 0!==n&&(viewport.set_message_offset(n),f.reselect_selected_id());h=_.last(s._message_groups);void 0!==h&&(f.last_message_historical=_.last(h.message_containers).msg.historical);h=narrow.stream();void 0!==h&&(h=stream_data.get_sub(h),(void 0===h||!h.subscribed)&&f.update_trailing_bookend());
f===current_msg_list&&compose_fade.update_rendered_message_groups(a,function(a){a=s.get_row(a.message_containers[0].msg.id);return rows.get_message_recipient_row(a)});f===current_msg_list&&d&&s._maybe_autoscroll(c,k)}}},_maybe_autoscroll:function(a,c){var d=0,e=-1;_.each(a.reverse(),function(a){if(a.is("div")&&(d+=a.height(),!(-1<e))){var b=rows.id(a);-1<b&&people.is_current_user(this.get_message(b).sender_email)&&(e=rows.id(a))}},this);if(c&&page_params.autoscroll_forever)this.list.select_id(this.list.last().id,
{from_rendering:!0}),navigate.scroll_to_selected(),this.list.reselect_selected_id();else{var f=this.selected_row(),h=rows.last_visible();if(f&&0<f.length&&h){var k=f.offset().top,f=viewport.message_viewport_info(),k=k-f.visible_top,n=rows.last_visible().offset().top-this.list.selected_row().offset().top;page_params.autoscroll_forever&&-1<e&&n<viewport.height()?(this.list.select_id(e,{from_rendering:!0}),navigate.scroll_to_selected()):!(0>=k)&&!(0>=d)&&(n=d,n>k&&(n=k),h.offset().top+h.height()-d>f.visible_top+
f.visible_height||viewport.system_initiated_animate_scroll(n))}}},clear_rendering_state:function(a){a&&this.clear_table();this.list.last_message_historical=!1;this._render_win_end=this._render_win_start=0},update_render_window:function(a,c){var d=Math.max(a-this._RENDER_WINDOW_SIZE/2,0);if(c&&d===this._render_win_start)return!1;this._render_win_start=d;this._render_win_end=Math.min(this._render_win_start+this._RENDER_WINDOW_SIZE,this.list.num_items());return!0},maybe_rerender:function(){if(void 0===
this.table_name)return!1;var a=this.list.selected_idx();if(!(a-this._render_win_start<this._RENDER_THRESHOLD&&0!==this._render_win_start||this._render_win_end-a<=this._RENDER_THRESHOLD&&this._render_win_end!==this.list.num_items())||!this.update_render_window(a,!0))return!1;this.rerender_preserving_scrolltop();return!0},rerender_preserving_scrolltop:function(){var a,c=this.selected_row(),d=0<c.length;d&&(a=c.offset().top);this.clear_table();this.render(this.list.all_messages().slice(this._render_win_start,
this._render_win_end),"bottom");d&&(0===this.selected_row().length&&-1<this.list.selected_id()&&this.list.select_id(this.list.selected_id(),{use_closest:!0}),viewport.scrollTop(viewport.scrollTop()+this.selected_row().offset().top-a))},_rerender_header:function(a){if(0!==a.length){var c=this.get_row(a[0].msg.id);if(0!==c.length){var c=rows.get_message_recipient_row(c).find(".message_header"),e={message_containers:a};d(e,a[0]);a=$(templates.render("recipient_row",e));c.replaceWith(a)}}},_rerender_message:function(a){var c=
this.get_row(a.msg.id),d=this.list.selected_message()===a.msg;this._add_msg_timestring(a);this._maybe_format_me_message(a);var e=reactions.get_message_reactions(a.msg);a.msg.message_reactions=e;e=_.extend(a,{table_name:this.table_name});e=$(templates.render("single_message",e));this._post_process_dom_messages(e.get());c.replaceWith(e);d&&this.list.select_id(a.msg.id)},rerender_messages:function(b){var c=this;b=_.map(b,function(a){return c.message_containers[a.id]});b=_.reject(b,function(a){return void 0===
a});var d=[],e=[];_.each(b,function(b){0===e.length||a(e[e.length-1],b)?e.push(b):(d.push(e),e=[]);c._rerender_message(b)});0!==e.length&&d.push(e);_.each(d,function(a){c._rerender_header(a)})},append:function(a,c){var d=this._render_win_end-this._render_win_start;d<this._RENDER_WINDOW_SIZE&&(d=a.slice(0,this._RENDER_WINDOW_SIZE-d),this.render(d,"bottom",c),this._render_win_end+=d.length);this.maybe_rerender()},prepend:function(a){this._render_win_start+=a.length;this._render_win_end+=a.length;var c=
this._render_win_end-this._render_win_start;c<this._RENDER_WINDOW_SIZE&&(a=a.slice(a.length-(this._RENDER_WINDOW_SIZE-c)),this.render(a,"top",!1),this._render_win_start-=a.length)},rerender_the_whole_thing:function(){this.clear_rendering_state(!0);this.update_render_window(this.list.selected_idx(),!1);this.render(this.list.all_messages().slice(this._render_win_start,this._render_win_end),"bottom")},clear_table:function(){rows.get_table(this.table_name).children().detach();this._rows={};this._message_groups=
[];this.message_containers={}},get_row:function(a){return $(this._rows[a])},clear_trailing_bookend:function(){rows.get_table(this.table_name).find(".trailing_bookend").remove()},render_trailing_bookend:function(a,c){var d=$(templates.render("bookend",{bookend_content:a,trailing:!0,subscribed:c}));rows.get_table(this.table_name).append(d)},selected_row:function(){return this.get_row(this.list.selected_id())},get_message:function(a){return this.list.get(a)},change_message_id:function(a,c){if(void 0!==
this._rows[a]){var d=this._rows[a];delete this._rows[a];d.setAttribute("zid",c);d.setAttribute("id",this.table_name+c);$(d).removeClass("local");this._rows[c]=d}void 0!==this.message_containers[a]&&(d=this.message_containers[a],delete this.message_containers[a],this.message_containers[c]=d)},_maybe_format_me_message:function(a){a.msg.is_me_message?(a.status_message=a.msg.content.slice(7,-4),a.include_sender=!0):a.status_message=!1}}})();"undefined"!==typeof module&&(module.exports=MessageListView);var message_list=function(){var h={narrowed:void 0,MessageList:function(h,f,a){_.extend(this,{collapse_messages:!0,muting_enabled:!0},a);this.view=new MessageListView(this,h,this.collapse_messages);this.muting_enabled&&(this._all_items=[]);this._items=[];this._hash={};this._local_only={};this.table_name=h;this.filter=f;this._selected_id=-1;void 0===this.filter&&(this.filter=new Filter);this.narrowed="zfilt"===this.table_name;this.num_appends=0;return this}};h.MessageList.prototype={add_messages:function(k,
f){var a=this,e=a.filter.predicate(),d=[],b=[],c=[];if(-1===a.selected_id()&&a.empty())var g=_.filter(k,e),b=_.reject(g,function(b){return a.get(b.id)});else _.each(k,function(f){void 0===a.get(f.id)&&e(f)&&(a.empty()||f.id>a.last().id?b.push(f):f.id<a.first().id?d.push(f):c.push(f))});if(0<c.length)return a.add_and_rerender(d.concat(c).concat(b)),!0;0<d.length&&a.prepend(d);0<b.length&&a.append(b,f);a===h.narrowed&&!a.empty()&&narrow.hide_empty_narrow_message();a===h.narrowed&&(!a.empty()&&-1===
a.selected_id()&&!f.delay_render)&&a.select_id(a.selected_id(),{then_scroll:!0,use_closest:!0})},get:function(h){h=parseFloat(h);return isNaN(h)?void 0:this._hash[h]},num_items:function(){return this._items.length},empty:function(){return 0===this._items.length},first:function(){return this._items[0]},last:function(){return this._items[this._items.length-1]},nth_most_recent_id:function(h){h=this._items.length-h;return 0>h?-1:this._items[h].id},clear:function(h){h=_.extend({clear_selected_id:!0},h);
this.muting_enabled&&(this._all_items=[]);this._items=[];this._hash={};this.view.clear_rendering_state(!0);h.clear_selected_id&&(this._selected_id=-1)},selected_id:function(){return this._selected_id},select_id:function(h,f){f=_.extend({then_scroll:!1,target_scroll_offset:void 0,use_closest:!1,empty_ok:!1,mark_read:!0,force_rerender:!1},f,{id:h,msg_list:this,previously_selected:this._selected_id});h=parseFloat(h);isNaN(h)&&blueslip.fatal("Bad message id");var a=this.closest_id(h);!f.use_closest&&
a!==h&&blueslip.error("Selected message id not in MessageList",{table_name:this.table_name,id:h});-1===a&&!f.empty_ok&&blueslip.fatal("Cannot select id -1",{table_name:this.table_name,id:h,items_length:this._items.length});h=a;this._selected_id=f.id=h;f.force_rerender?this.rerender():f.from_rendering||this.view.maybe_rerender();$(document).trigger($.Event("message_selected.zulip",f))},reselect_selected_id:function(){this.select_id(this._selected_id,{from_rendering:!0})},selected_message:function(){return this.get(this._selected_id)},
selected_row:function(){return this.get_row(this._selected_id)},_lower_bound:function(h){var f=this;return util.lower_bound(f._items,h,function(a,e,d){return f._is_localonly_id(a.id)&&(d=f._next_nonlocal_message(f._items,d,function(a){return a-1}))?(a=parseFloat((a.id%1).toFixed(0.02)),d.id+a<e):a.id<e})},closest_id:function(h){if(this._local_only.hasOwnProperty(h))return h;var f=this._items;if(0===f.length)return-1;var a=this._lower_bound(h);if(a<f.length&&h===f[a].id)return f[a].id;var e=[];if(0<
a&&this._is_localonly_id(f[a-1].id)){do e.push(a),a-=1;while(0<a&&this._is_localonly_id(f[a-1].id))}e.push(a);if(a===f.length)a-=1;else{e.unshift(_.last(e)-1);var d=f[a].id;_.each(e,function(b){if(!(0>b)){var c=f[b].id;Math.abs(h-c)<Math.abs(d-h)&&(d=c,a=b)}})}return f[a].id},advance_past_messages:function(h){var f=0,a={};_.each(h,function(d){a[d]=!0});for(h=this.selected_idx()+1;h<this._items.length;){var e=this._items[h].id;if(!a[e])break;f=e;h+=1}0<f&&(this._selected_id=f)},_add_to_hash:function(h){var f=
this;h.forEach(function(a){var e=parseFloat(a.id);isNaN(e)&&blueslip.fatal("Bad message id");f._is_localonly_id(e)&&(f._local_only[e]=a);void 0!==f._hash[e]?blueslip.error("Duplicate message added to MessageList"):f._hash[e]=a})},selected_idx:function(){return this._lower_bound(this._selected_id)},subscribed_bookend_content:function(h){return"--- Subscribed to stream "+h+" ---"},unsubscribed_bookend_content:function(h){return"--- Unsubscribed from stream "+h+" ---"},not_subscribed_bookend_content:function(h){return"--- Not subscribed to stream "+
h+" ---"},update_trailing_bookend:function(){this.view.clear_trailing_bookend();if(this.narrowed){var h=narrow.stream();if(void 0!==h){var f=stream_data.is_subscribed(h),h=f?this.subscribed_bookend_content(h):this.last_message_historical?this.not_subscribed_bookend_content(h):this.unsubscribed_bookend_content(h);void 0!==h&&this.view.render_trailing_bookend(h,f)}}},unmuted_messages:function(h){return _.reject(h,function(f){return muting.is_topic_muted(f.stream,f.subject)&&!f.mentioned})},append:function(h,
f){f=_.extend({delay_render:!1,messages_are_new:!1},f);var a;this.muting_enabled?(this._all_items=this._all_items.concat(h),a=this.unmuted_messages(h)):a=h;this._items=this._items.concat(a);this.num_appends+=1;this._add_to_hash(h);f.delay_render||this.view.append(a,f.messages_are_new)},prepend:function(h){var f;this.muting_enabled?(this._all_items=h.concat(this._all_items),f=this.unmuted_messages(h)):f=h;this._items=f.concat(this._items);this._add_to_hash(h);this.view.prepend(f)},add_and_rerender:function(h){var f;
this.muting_enabled?(this._all_items=h.concat(this._all_items),this._all_items.sort(function(a,e){return a.id-e.id}),f=this.unmuted_messages(h),this._items=f.concat(this._items)):this._items=h.concat(this._items);this._items.sort(function(a,e){return a.id-e.id});this._add_to_hash(h);this.view.rerender_the_whole_thing()},remove_and_rerender:function(h){var f=this;_.each(h,function(a){var d=f._hash[a.id];void 0!==d&&delete f._hash[d];delete f._local_only[a.id]});var a={};_.each(h,function(e){a[e.id]=
!0});this._items=_.filter(this._items,function(e){return!a.hasOwnProperty(e.id)});this.muting_enabled&&(this._all_items=_.filter(this._all_items,function(e){return!a.hasOwnProperty(e.id)}));this.rerender()},show_edit_message:function(h,f){h.find(".message_edit_form").empty().append(f.form);h.find(".message_content").hide();h.find(".message_edit").show();h.find(".message_edit_content").autosize()},hide_edit_message:function(h){h.find(".message_content").show();h.find(".message_edit").hide()},show_edit_topic:function(h,
f){h.find(".topic_edit_form").empty().append(f);h.find(".stream_topic").hide();h.find(".topic_edit").show()},hide_edit_topic:function(h){h.find(".stream_topic").show();h.find(".topic_edit").hide()},show_message_as_read:function(h,f){var a=this.get_row(h.id);"pointer"===f.from&&feature_flags.mark_read_at_bottom||"server"===f.from?a.find(".unread_marker").addClass("fast_fade"):a.find(".unread_marker").addClass("slow_fade");a.removeClass("unread")},rerender:function(){this._selected_id=this.closest_id(this._selected_id);
this.view.clear_rendering_state(!1);this.view.update_render_window(this.selected_idx(),!1);this.view.rerender_preserving_scrolltop();-1!==this._selected_id&&this.select_id(this._selected_id)},rerender_after_muting_changes:function(){this.muting_enabled&&(this._items=this.unmuted_messages(this._all_items),this.rerender())},all_messages:function(){return this._items},message_range:function(h,f){-1===h&&blueslip.error("message_range given a start of -1");var a=this._lower_bound(h),e=this._lower_bound(f);
return this._items.slice(a,e+1)},get_row:function(h){return this.view.get_row(h)},_is_localonly_id:function(h){return 0!==h%1},_next_nonlocal_message:function(h,f,a){do f=a(f);while(void 0!==h[f]&&this._is_localonly_id(h[f].id));return h[f]},update_user_full_name:function(h,f){_.each(this._items,function(a){a.sender_id&&a.sender_id===h&&(a.sender_full_name=f)});this.view.rerender_the_whole_thing()},update_stream_name:function(h,f){_.each(this._items,function(a){a.stream_id&&a.stream_id===h&&(a.display_recipient=
f,a.stream=f)});this.view.rerender_the_whole_thing()},change_message_id:function(h,f){function a(a,c){return a.id-c.id}if(this._hash.hasOwnProperty(h)){var e=this._hash[h];delete this._hash[h];this._hash[f]=e;this._local_only.hasOwnProperty(h)&&(this._is_localonly_id(f)&&(this._local_only[f]=this._local_only[h]),delete this._local_only[h]);this._selected_id===h&&(this._selected_id=f);var d=this;setTimeout(function(){var b=d._hash[f],c=d._items.indexOf(b);if(-1===c)!d.muting_enabled&&current_msg_list===
d&&blueslip.error("Trying to re-order message but can't find message with new_id in _items!");else{var e=d._next_nonlocal_message(d._items,c,function(a){return a+1}),c=d._next_nonlocal_message(d._items,c,function(a){return a-1});if(void 0!==e&&b.id>e.id||void 0!==c&&b.id<c.id)blueslip.debug("Changed message ID from server caused out-of-order list, reordering"),d._items.sort(a),d.muting_enabled&&d._all_items.sort(a),d.view.rerender_preserving_scrolltop(),-1!==d._selected_id&&d.select_id(d._selected_id)}},
0)}}};h.all=new h.MessageList(void 0,void 0,{muting_enabled:!1});$(document).on("message_selected.zulip zuliphashchange.zulip mousewheel",function(){viewport.stop_auto_scrolling()});return h}();"undefined"!==typeof module&&(module.exports=message_list);var message_live_update=function(){return{update_stream_name:function(h,k){_.each([home_msg_list,current_msg_list,message_list.all],function(f){f.update_stream_name(h,k)})},update_user_full_name:function(h,k){_.each([home_msg_list,current_msg_list,message_list.all],function(f){f.update_user_full_name(h,k)})},update_avatar:function(h){var k=people.is_my_user_id(h.user_id),f=h.avatar_url,f=people.format_small_avatar_url(f,k);$(".inline_profile_picture.u-"+h.user_id).css({"background-image":"url("+f+
")"})}}}();"undefined"!==typeof module&&(module.exports=message_live_update);var narrow=function(){function h(a){var c=new Dict,d=new Dict;_.each(a,function(a){var b=a.operator;c.has(b)?d.del(b):(d.set(b,a.operand),c.set(b,!0))});return d}function k(a){void 0===a.network_time||(void 0===a.initial_core_time||void 0===a.initial_free_time)||channel.post({url:"/json/report_narrow_time",data:{initial_core:(a.initial_core_time-a.start_time).toString(),initial_free:(a.initial_free_time-a.start_time).toString(),network:(a.network_time-a.start_time).toString()}})}function f(){var a=
$("#empty_narrow_message");if(void 0===e)return a;var c=e.operators()[0],d=c.operator,c=c.operand;if(1===e.operators().length)if("is"===d){if("starred"===c)return $("#empty_star_narrow_message");if("mentioned"===c)return $("#empty_narrow_all_mentioned");if("private"===c)return $("#empty_narrow_all_private_message")}else{if("stream"===d&&!stream_data.is_subscribed(c))return!stream_data.get_sub(narrow.stream())?$("#nonsubbed_private_nonexistent_stream_narrow_message"):$("#nonsubbed_stream_narrow_message");
if("search"===d)return $("#empty_search_narrow_message");if("pm-with"===d)return-1===c.indexOf(",")?$("#empty_narrow_private_message"):$("#empty_narrow_multi_private_message");if("sender"===d)return people.get_by_email(c)?$("#silent_user"):$("#non_existing_user")}return a}var a={},e,d;a._set_current_filter=function(a){e=a};a.active=function(){return void 0!==e};a.filter=function(){return e};a.predicate=function(){return void 0===e?function(){return!0}:e.predicate()};a.operators=function(){return void 0===
e?(new Filter(page_params.narrow)).operators():e.operators()};a.public_operators=function(){return void 0===e?void 0:e.public_operators()};a.search_string=function(){return Filter.unparse(a.operators())};a.set_compose_defaults=function(b){var c=h(a.operators());c.has("stream")&&(b.stream=stream_data.get_name(c.get("stream")));c.has("topic")&&(b.subject=c.get("topic"));c.has("pm-with")&&(b.private_message_recipient=c.get("pm-with"))};a.stream=function(){if(void 0!==e){var a=e.operands("stream");if(1===
a.length)return a[0]}};a.topic=function(){if(void 0!==e){var a=e.operands("topic");if(1===a.length)return a[0]}};a.narrow_title="home";a.activate=function(b,c){function d(){if(!message_list.narrowed.empty()){if(c.select_first_unread){p=message_list.narrowed.last().id;var a=_.find(message_list.narrowed.all_messages(),unread.message_unread);a&&(p=a.id)}a=!c.select_first_unread&&void 0!==message_list.narrowed.get(p)&&void 0!==s;message_list.narrowed.select_id(p,{then_scroll:!a,use_closest:!0,force_rerender:!0});
a&&viewport.set_message_offset(s)}}var f=new Date,h=a.active();notifications.clear_compose_notifications();if(0===b.length)return a.deactivate();var t=new Filter(b),q=t.operators();t.has_operator("stream")?t.has_operator("topic")?a.narrow_title=t.operands("topic")[0]:a.narrow_title=t.operands("stream")[0]:t.has_operator("is")?a.narrow_title=t.operands("is")[0]:t.has_operator("pm-with")&&(a.narrow_title="private");notifications.redraw_title();blueslip.debug("Narrowed",{operators:_.map(q,function(a){return a.operator}),
trigger:c?c.trigger:void 0,previous_id:current_msg_list.selected_id()});var n=compose.has_message_content();n?compose_fade.update_message_list():compose.cancel();c=_.defaults({},c,{then_select_id:home_msg_list.selected_id(),select_first_unread:!1,first_unread_from_server:!1,from_reload:!1,change_hash:!0,trigger:"unknown"});t.has_operator("near")&&(c.then_select_id=parseInt(t.operands("near")[0],10),c.select_first_unread=!1);t.has_operator("id")&&(c.then_select_id=parseInt(t.operands("id")[0],10),
c.select_first_unread=!1);-1===c.then_select_id&&!c.first_unread_from_server&&(blueslip.warn("Setting then_select_id to page_params.initial_pointer."),c.then_select_id=page_params.initial_pointer,c.select_first_unread=!1);var p=c.then_select_id,s;h||(unread.messages_read_in_narrow=!1);!c.select_first_unread&&0<current_msg_list.get_row(p).length&&(s=current_msg_list.get_row(p).offset().top);e=t;h=a.muting_enabled();-1!==current_msg_list.selected_id()&&(0===current_msg_list.selected_row().length&&blueslip.debug("narrow.activate missing selected row",
{selected_id:current_msg_list.selected_id(),selected_idx:current_msg_list.selected_idx(),selected_idx_exact:current_msg_list._items.indexOf(current_msg_list.get(current_msg_list.selected_id())),render_start:current_msg_list.view._render_win_start,render_end:current_msg_list.view._render_win_end}),current_msg_list.pre_narrow_offset=current_msg_list.selected_row().offset().top);c.first_unread_from_server&&c.from_reload&&(p=page_params.initial_narrow_pointer,s=page_params.initial_narrow_offset,c.first_unread_from_server=
!1,c.select_first_unread=!1,home_msg_list.pre_narrow_offset=page_params.initial_offset);var u=new message_list.MessageList("zfilt",e,{collapse_messages:!e.is_search(),muting_enabled:h});u.start_time=f;$("body").addClass("narrowed_view");$("#zfilt").addClass("focused_table");$("#zhome").removeClass("focused_table");ui.change_tab_to("#home");message_list.narrowed=u;current_msg_list=message_list.narrowed;void 0!==message_list.all.get(p)&&e.can_apply_locally()&&message_store.add_messages(message_list.all.all_messages(),
message_list.narrowed,{delay_render:!0});var r=message_list.narrowed.empty();message_store.load_old_messages({anchor:p.toFixed(),num_before:50,num_after:50,msg_list:message_list.narrowed,use_first_unread_anchor:c.first_unread_from_server,cont:function(){ui.hide_loading_more_messages_indicator();r&&d();u.network_time=new Date;k(u)},cont_will_add_messages:!1});r?ui.show_loading_more_messages_indicator():(message_store.reset_load_more_status(),d());c.change_hash&&hashchange.save_narrow(q);$("#search_query").val(Filter.unparse(q));
search.update_button_visibility();!n&&("sidebar"===c.trigger&&a.narrowed_by_reply())&&(a.narrowed_to_topic()?compose.start("stream"):compose.start("private"));$(document).trigger($.Event("narrow_activated.zulip",{msg_list:message_list.narrowed,filter:e,trigger:c.trigger}));u.initial_core_time=new Date;setTimeout(function(){u.initial_free_time=new Date;k(u)},0)};a.by=function(b,c,d){a.activate([{operator:b,operand:c}],d)};a.by_subject=function(b,c){var d=message_store.get(b);"stream"!==d.type?a.by_recipient(b,
c):(unread.mark_message_as_read(d),d=[{operator:"stream",operand:d.stream},{operator:"topic",operand:d.subject}],c=_.defaults({},c,{then_select_id:b}),a.activate(d,c))};a.by_recipient=function(b,c){c=_.defaults({},c,{then_select_id:b});var d=message_store.get(b);unread.mark_message_as_read(d);switch(d.type){case "private":a.by("pm-with",d.reply_to,c);break;case "stream":a.by("stream",d.stream,c)}};a.by_time_travel=function(a,c){c=_.defaults({},c,{then_select_id:a});narrow.activate([{operator:"near",
operand:a}],c)};a.by_id=function(a,c){c=_.defaults({},c,{then_select_id:a});narrow.activate([{operator:"id",operand:a}],c)};a.by_conversation_and_time=function(a,c){var d=[{operator:"near",operand:a}],e=message_store.get(a);c=_.defaults({},c,{then_select_id:a});"stream"!==e.type?d.push({operator:"pm-with",operand:e.reply_to}):(d.push({operator:"stream",operand:e.stream}),d.push({operator:"topic",operand:e.subject}));narrow.activate(d,c)};a.deactivate=function(){if(void 0!==e)if(d={start_time:new Date},
blueslip.debug("Unnarrowed"),ui.actively_scrolling())setTimeout(a.deactivate,50);else{compose.has_message_content()||compose.cancel();e=void 0;a.hide_empty_narrow_message();$("body").removeClass("narrowed_view");$("#zfilt").removeClass("focused_table");$("#zhome").addClass("focused_table");current_msg_list=home_msg_list;condense.condense_and_collapse($("#zhome tr.message_row"));$("#search_query").val("");message_store.reset_load_more_status();hashchange.save_narrow();if(-1!==current_msg_list.selected_id()){var b=
0<current_msg_list.selected_row().length&&void 0!==current_msg_list.pre_narrow_offset,c={then_scroll:!0,use_closest:!0,empty_ok:!0};unread.messages_read_in_narrow?b=(b=_.find(current_msg_list.all_messages(),unread.message_unread))?b.id:current_msg_list.last().id:(b&&(c.target_scroll_offset=current_msg_list.pre_narrow_offset),b=current_msg_list.selected_id());current_msg_list.select_id(b,c)}compose_fade.update_message_list();$(document).trigger($.Event("narrow_deactivated.zulip",{msg_list:current_msg_list}));
a.narrow_title="home";notifications.redraw_title();d.initial_core_time=new Date;setTimeout(function(){d.initial_free_time=new Date;void 0===d||(void 0===d.start_time||void 0===d.initial_core_time||void 0===d.initial_free_time)||(channel.post({url:"/json/report_unnarrow_time",data:{initial_core:(d.initial_core_time-d.start_time).toString(),initial_free:(d.initial_free_time-d.start_time).toString()}}),d={})})}};a.restore_home_state=function(){ui.home_tab_obscured()||a.deactivate();navigate.maybe_scroll_to_selected()};
a.show_empty_narrow_message=function(){$(".empty_feed_notice").hide();f().show()};a.hide_empty_narrow_message=function(){$(".empty_feed_notice").hide()};a.pm_with_uri=function(a){return hashchange.operators_to_hash([{operator:"pm-with",operand:a}])};a.huddle_with_uri=function(a){return"#narrow/pm-with/"+a+"-group"};a.by_sender_uri=function(a){return hashchange.operators_to_hash([{operator:"sender",operand:a}])};a.by_stream_uri=function(a){return"#narrow/stream/"+hashchange.encodeHashComponent(a)};
a.by_stream_subject_uri=function(a,c){return"#narrow/stream/"+hashchange.encodeHashComponent(a)+"/subject/"+hashchange.encodeHashComponent(c)};a.by_message_uri=function(a){return"#narrow/id/"+hashchange.encodeHashComponent(a)};a.by_near_uri=function(a){return"#narrow/near/"+hashchange.encodeHashComponent(a)};a.by_conversation_and_time_uri=function(a){return"stream"===a.type?"#narrow/stream/"+hashchange.encodeHashComponent(a.stream)+"/subject/"+hashchange.encodeHashComponent(a.subject)+"/near/"+hashchange.encodeHashComponent(a.id):
"#narrow/pm-with/"+hashchange.encodeHashComponent(a.reply_to)+"/near/"+hashchange.encodeHashComponent(a.id)};a.narrowed_to_pms=function(){return void 0===e?!1:e.has_operator("pm-with")||e.has_operand("is","private")};a.narrowed_by_reply=function(){if(void 0===e)return!1;var a=e.operators();return 1===a.length&&1===e.operands("pm-with").length||2===a.length&&1===e.operands("stream").length&&1===e.operands("topic").length};a.narrowed_to_topic=function(){return void 0===e?!1:e.has_operator("stream")&&
e.has_operator("topic")};a.narrowed_to_search=function(){return void 0!==e&&e.is_search()};a.muting_enabled=function(){return!a.narrowed_to_topic()&&!a.narrowed_to_search()&&!a.narrowed_to_pms()};return a}();"undefined"!==typeof module&&(module.exports=narrow);var reload=function(){function h(a){a&&(a.clear(),a._items=[{id:1}])}function k(d,b,c,e,f){if(!a){if(b||c||e)void 0===d&&(d=0),d="#reload:send_after_reload="+Number(d),d+="+csrf_token="+encodeURIComponent(csrf_token),e&&("stream"===compose.composing()?(d=d+"+msg_type=stream"+("+stream="+encodeURIComponent(compose.stream_name())),d+="+subject="+encodeURIComponent(compose.subject())):"private"===compose.composing()&&(d+="+msg_type=private",d+="+recipient="+encodeURIComponent(compose.recipient())),compose.composing()&&
(d+="+msg="+encodeURIComponent(compose.message_content()))),b&&(b=home_msg_list.selected_id(),-1!==b&&(d+="+pointer="+b)),c&&(c=home_msg_list.selected_row(),narrow.active()?(d+="+offset="+home_msg_list.pre_narrow_offset,c=message_list.narrowed.selected_id(),-1!==c&&(d+="+narrow_pointer="+c),c=message_list.narrowed.selected_row(),0<c.length&&(d+="+narrow_offset="+c.offset().top)):0<c.length&&(d+="+offset="+c.offset().top)),c=window.location.hash,0!==c.length&&"#"===c[0]&&(c=c.slice(1)),d+="+oldhash="+
encodeURIComponent(c),window.location.replace(d);void 0===f&&(f="Reloading");ui.report_message(f,$("#reloading-application"));blueslip.log("Starting server requested page reload");a=!0;if(feature_flags.cleanup_before_reload)try{$("*").off();try{channel.abort_all()}catch(m){blueslip.debug("Error aborting XHR requests on reload; ignoring")}$("#main_div").empty();server_events.cleanup_event_queue();h(message_list.all);h(home_msg_list);h(message_list.narrowed);message_store.clear()}catch(k){blueslip.error("Failed to cleanup before reloading",
void 0,k.stack)}window.location.reload(!0)}}var f={},a=!1,e=!1;f.is_pending=function(){return e};f.is_in_progress=function(){return a};f.initialize=function(){var a=window.location.toString(),a=a.substring(a.indexOf("#")+1);if(0===a.search("reload:")){var a=a.replace(/^reload:/,""),a=a.split("+"),b={};_.each(a,function(a){a=a.split("=");b[a[0]]=decodeURIComponent(a[1])});if(b.csrf_token===csrf_token){void 0!==b.msg&&(a=parseInt(b.send_after_reload,10),compose.start(b.msg_type,{stream:b.stream||"",
subject:b.subject||"",private_message_recipient:b.recipient||"",content:b.msg||""}),a&&compose.finish());if(a=parseInt(b.pointer,10))page_params.orig_initial_pointer=page_params.initial_pointer,page_params.initial_pointer=a;if(a=parseInt(b.offset,10))page_params.initial_offset=a;if(a=parseInt(b.narrow_pointer,10))page_params.initial_narrow_pointer=a;if(a=parseInt(b.narrow_offset,10))page_params.initial_narrow_offset=a;activity.new_user_input=!1;hashchange.changehash(b.oldhash)}}};f.initiate=function(a){function b(){k(!1,
a.save_pointer,a.save_narrow,a.save_compose,a.message)}a=_.defaults({},a,{immediate:!1,save_pointer:!0,save_narrow:!0,save_compose:!0,send_after_reload:!1});(void 0===a.save_pointer||void 0===a.save_narrow||void 0===a.save_compose)&&blueslip.error("reload.initiate() called without explicit save options.");a.immediate&&k(a.send_after_reload,a.save_pointer,a.save_narrow,a.save_compose,a.message);if(!e){e=!0;var c,f=18E5+util.random_int(0,3E5),h=3E5+util.random_int(0,6E4),m=6E4+util.random_int(0,6E4),
t,q;setTimeout(b,f);t=function(){c.cancel();c=$(document).idle({idle:m,onIdle:b});$(document).off("compose_canceled.zulip compose_finished.zulip",t);$(document).on("compose_started.zulip",q)};q=function(){c.cancel();c=$(document).idle({idle:h,onIdle:b});$(document).off("compose_started.zulip",q);$(document).on("compose_canceled.zulip compose_finished.zulip",t)};compose.composing()?(c=$(document).idle({idle:h,onIdle:b}),$(document).on("compose_canceled.zulip compose_finished.zulip",t)):(c=$(document).idle({idle:m,
onIdle:b}),$(document).on("compose_started.zulip",q))}};window.addEventListener("beforeunload",function(){a=!0});return f}();"undefined"!==typeof module&&(module.exports=reload);var compose_fade=function(){function h(){rows.get_table(current_msg_list.table_name).find(".recipient_row, .message_row").removeClass("faded").removeClass("unfaded");l=!0;floating_recipient_bar.update()}function k(){feature_flags.fade_users_when_composing&&$(".user_sidebar_entry").removeClass("faded").removeClass("unfaded")}function f(a,b){b?a.removeClass("unfaded").addClass("faded"):a.removeClass("faded").addClass("unfaded")}function a(){var a,b,c=!1,d=viewport.visible_groups(!1);l=!1;for(a=0;a<
d.length;a+=1)b=rows.first_message_in_group(d[a]),b=current_msg_list.get(rows.id(b)),c=!m(g,b),f($(d[a]),c);setTimeout(function(b,d){var e=rows.get_table(current_msg_list.table_name).find(".recipient_row");if(!(current_msg_list!==b||!compose.composing()||compose.recipient()!==d)){c=!1;for(a=0;a<e.length;a+=1){var h=$(e[a]);c=!m(g,rows.recipient_from_group(h));f(h,c)}floating_recipient_bar.update()}},0,current_msg_list,compose.recipient())}function e(){feature_flags.fade_users_when_composing&&_.forEach($(".user_sidebar_entry"),
function(a){a=$(a);var b=a.attr("data-user-id"),b=people.get_person_from_user_id(b).email,b=c.would_receive_message(b);!0===b?a.addClass("unfaded").removeClass("faded"):!1===b?a.addClass("faded").removeClass("unfaded"):a.removeClass("faded").removeClass("unfaded")})}function d(){return void 0===g||"stream"===g.type&&(!stream_data.get_sub(g.stream)||""===g.subject)?!0:"private"===g.type&&""===g.reply_to}function b(){d()?l||(h(),k()):(a(),e())}var c={},g,l=!1,m=feature_flags.fade_at_stream_granularity?
util.same_major_recipient:util.same_recipient;c.set_focused_recipient=function(a){void 0===a&&(g=void 0);g={type:a};"stream"===g.type?(g.stream=$("#stream").val(),g.subject=$("#subject").val()):g.reply_to=util.normalize_recipients($("#private_message_recipient").val())};c.would_receive_message=function(a){if(people.is_current_user(a))return!0;if("stream"===g.type){var b=people.realm_get(a),c=stream_data.get_sub(g.stream);return b&&c&&b.is_bot&&!c.invite_only?void 0:stream_data.user_is_subscribed(g.stream,
a)}return util.is_pm_recipient(a,g)};c.update_faded_users=function(){d()?k():e()};c.update_faded_messages=_.debounce(b,50);c.start_compose=function(a){c.set_focused_recipient(a);b()};c.clear_compose=function(){g=void 0;h();k()};c.update_message_list=function(){d()?h():a()};c.update_rendered_message_groups=function(a,b){d()||_.each(a,function(a){var c=b(a);a=!m(g,a.message_containers[0].msg);f(c,a)})};$(function(){$(document).on("peer_subscribe.zulip",function(){c.update_faded_users()});$(document).on("peer_unsubscribe.zulip",
function(){c.update_faded_users()})});return c}();"undefined"!==typeof module&&(module.exports=compose_fade);var fenced_code=function(){function h(a){a=a.split("\n\n");var b=[];_.each(a,function(a){a=a.split("\n");b.push(_.map(_.reject(a,function(a){return""===a}),function(a){return"> "+a}).join("\n"))});return b.join("\n\n")}var k={},f=/^(~{3,}|`{3,})[ ]*(\{?\.?([a-zA-Z0-9_+-]*)\}?[ ]*)$/,a=function(a){return a},e=function(a){return a};k.set_stash_func=function(d){a=d};k.set_escape_func=function(a){e=a};k.process_fenced_code=function(d){function b(b,c,d){return function(){var f=[];return"quote"===d?{handle_line:function(a){a===
c?this.done():l(f,a)},done:function(){var a=h(f.join("\n"));b.push("");b.push(a);b.push("");g.pop()}}:{handle_line:function(a){a===c?this.done():f.push(a)},done:function(){var c;c=f.join("\n");for(c+="\n";2<c.length&&"\n\n"===c.substr(c.length-2);)c=c.substring(0,c.length-1);c='<div class="codehilite"><pre><span></span>'+e(c)+"</pre></div>\n";c=a(c,!0);b.push("");b.push(c);b.push("");g.pop()}}}()}d=d.split("\n");var c=[],g=[],l;l=function(a,c){var d=f.exec(c);d?(d=b(a,d[1],d[3]),g.push(d)):a.push(c)};
var m=function(){return{handle_line:function(a){l(c,a)},done:function(){g.pop()}}}();g.push(m);for(_.each(d,function(a){g[g.length-1].handle_line(a)});0!==g.length;)g[g.length-1].done();2<c.length&&""!==c[c.length-2]&&c.push("");return c.join("\n")};return k}();"undefined"!==typeof module&&(module.exports=fenced_code);var echo=function(){function h(a,b){a.content=a.raw_content;var c=b.find(".refresh-failed-message");c.toggleClass("rotating",!0);a.queue_id=page_params.event_queue_id;var d=new Date;compose.transmit_message(a,function(b){c.toggleClass("rotating",!1);b=b.id;c.toggleClass("rotating",!1);compose.send_message_success(a.local_id,b,d,!0);message_store.get(b).failed_request=!1;ui.show_failed_message_success(b)},function(b){p.message_send_error(a.local_id,b);c.toggleClass("rotating",!1);blueslip.log("Manual resend of message failed")})}
function k(a){0===a.raw_content.indexOf("/me ")&&(0===a.content.indexOf("<p>")&&a.content.lastIndexOf("</p>")===a.content.length-4)&&a.flags.push("is_me_message")}function f(a){var b=a.subject,c=[];_.each(x,function(a){var d=a[0];a=a[1];for(var e;null!==(e=d.exec(b));){var f=a;e=e.slice(1);for(var g=0;g<e.length;)f=f.replace("\\"+(g+1),e[g]),g+=1;c.push(f)}});a.subject_links=c}function a(){var a=page_params.max_message_id;"undefined"!==typeof message_list.all&&void 0!==message_list.all.last()&&(a=
message_list.all.last().id);a=Math.max(0,a);return parseFloat((a+0.01).toFixed(3))}function e(a,b){var c=$.extend({},a);c.flags=["read"];c.raw_content=c.content;p.apply_markdown(c);c.content_type="text/html";c.sender_email=people.my_current_email();c.sender_full_name=people.my_full_name();c.avatar_url=page_params.avatar_url;c.timestamp=(new XDate).getTime()/1E3;c.local_id=b;c.id=c.local_id;k(c);f(c);s[c.local_id]=c;u[c.local_id]=c;if("stream"===c.type)c.display_recipient=c.stream;else{var d=util.extract_pm_recipients(a.private_message_recipient);
c.display_recipient=_.map(d,function(a){a=a.trim();var b=people.get_by_email(a);return void 0===b?{email:a,full_name:a,unknown_local_echo_user:!0}:b})}message_store.insert_new_messages([c],b);return c.local_id}function d(a){_.each([message_list.all,home_msg_list,current_msg_list],function(b){b.remove_and_rerender([a])})}function b(a){message_edit.start_local_failed_edit(current_msg_list.get_row(a.local_id),a)}function c(a,b){return a.replace(!b?/&(?!#?\w+;)/g:/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,
"&gt;").replace(/"/g,"&quot;").replace(/'/g,"&#39;")}function g(a){var b=a.codePointAt(0).toString(16);return emoji.emojis_by_unicode.hasOwnProperty(b)?'<img alt="'+a+'" class="emoji" src="'+emoji.emojis_by_unicode[b]+'" title="'+a+'">':a}function l(a){var b=":"+a+":";return emoji.emojis_by_name.hasOwnProperty(a)?'<img alt="'+b+'" class="emoji" src="'+emoji.emojis_by_name[a]+'" title="'+b+'">':b}function m(a){return'<img alt="'+a+'" class="message_body_gravatar" src="/avatar/'+a+'?s=30" title="'+
a+'">'}function t(a){a=stream_data.get_sub(a);return void 0===a?void 0:'<a class="stream" data-stream-id="'+a.stream_id+'" href="'+window.location.origin+"/#narrow/stream/"+hashchange.encodeHashComponent(a.name)+'">#'+a.name+"</a>"}function q(a,b){var c=r[a],d=1;_.each(b,function(a){c=c.replace("\\"+d,a);d+=1});return c}function n(a,b){for(var c=/\(?P<([^>]+?)>/g,d=c.exec(a),e=1;d;)d=d[1],a=a.replace("(?P<"+d+">","("),b=b.replace("%("+d+")s","\\"+e),d=c.exec(a),e+=1;var f="g",c=/\(\?([iLmsux]+)\)/;
if(d=c.exec(a))d=d[1].split(""),_.each(d,function(a){-1!=="im".indexOf(a)&&(f+=a)}),a=a.replace(c,"");return[RegExp(a,f),b]}var p={},s={},u={},r={},x=[],y=!1,z=[/[^\s]*(?:\.bmp|\.gif|\.jpg|\.jpeg|\.png|\.webp)\s+/m,/[^\s]*(?:\.bmp|\.gif|\.jpg|\.jpeg|\.png|\.webp)$/m,/[^\s]*(?:twitter|youtube).com\/[^\s]*/];p.contains_bugdown=function(a){return void 0!==_.find(z,function(b){return b.test(a)})};p.apply_markdown=function(a){void 0===a.flags&&(a.flags=[]);a.content=marked(a.raw_content+"\n\n",{userMentionHandler:function(b){var c=
people.get_by_name(b);if(void 0!==c)return people.is_my_user_id(c.user_id)&&(b=a.flags,_.contains(b,"mentioned")||b.push("mentioned")),'<span class="user-mention" data-user-id="'+c.user_id+'">@'+c.full_name+"</span>";if("all"===b||"everyone"===b)return c=a.flags,_.contains(c,"mentioned")||c.push("mentioned"),'<span class="user-mention" data-user-id="*">@'+b+"</span>"}}).trim()};p._add_subject_links=f;p._add_message_flags=k;p.try_deliver_locally=function(b){var c=a();if(0===c%1)blueslip.error("Incremented local id to next integer---100 local messages queued");
else return p.contains_bugdown(b.content)||narrow.active()&&!narrow.filter().can_apply_locally()?void 0:e(b,c)};p.edit_locally=function(a,b,c){a.raw_content=b;void 0!==c&&(stream_data.process_message_for_recent_topics(a,!0),a.subject=c,stream_data.process_message_for_recent_topics(a));p.apply_markdown(a);home_msg_list.view.rerender_messages([a]);current_msg_list===message_list.narrowed&&message_list.narrowed.view.rerender_messages([a]);stream_list.update_streams_sidebar();pm_list.update_private_messages()};
p.reify_message_id=function(a,b){var c=s[a];delete s[a];void 0!==c&&(c.id=b,delete c.local_id,$(document).trigger($.Event("message_id_changed",{old_id:a,new_id:b})))};p.process_from_server=function(a){var b=!1,c=[],d=[];a=_.filter(a,function(a){p.reify_message_id(a.local_id,a.id);var e=u[a.local_id];return void 0!==e?(e.content!==a.content&&(e.content=a.content,b=!0,compose.mark_rendered_content_disparity(a.id,!0)),d.push(e),c.push(e.id),compose.report_as_received(e),delete u[e.id],!1):!0});b?(home_msg_list.view.rerender_messages(d),
current_msg_list===message_list.narrowed&&message_list.narrowed.view.rerender_messages(d)):_.each(c,function(a){ui.show_local_message_arrived(a)});return a};p.message_send_error=function(a,b){message_store.get(a).failed_request=!0;ui.show_message_failed(a,b)};p.set_realm_filters=function(a){if(feature_flags.local_echo){r={};x=[];var b=[];_.each(a,function(a){a=n(a[0],a[1]);r[a[0]]=a[1];x.push([a[0],a[1]]);b.push(a[0])});marked.InlineLexer.rules.zulip.realm_filters=b}};$(function(){function a(b,c){b[c]=
{exec:function(){return!1}}}function e(a,b){$("#main_div").on("click","."+a+"-failed-message",function(a){a.stopPropagation();popovers.hide_all();a=$(this).closest(".message_row");var c=rows.id(a),d=u[c];void 0===d?blueslip.warn("Got resend or retry on failure request but did not find message in ack list "+c):b(d,a)})}var f=new marked.Renderer;f.code=function(a,b){return"quote"===b?"<blockquote>\n<p>"+c(a,!0)+"</p>\n</blockquote>\n\n\n":'<div class="codehilite"><pre>'+c(a,!0)+"\n</pre></div>\n\n\n"};
f.link=function(a,b,c){return'<a href="'+a+'" target="_blank" title="'+(b||a)+'">'+c+"</a>"};f.br=function(){return"<br>\n"};marked.Lexer.rules.tables.list=/^( *)((?:\*)) [\s\S]+?(?:\n+(?=(?: *[\-*_]){3,} *(?:\n+|$))|\n{2,}(?! )(?!\1(?:\*) )\n*|\s*$)/;a(marked.Lexer.rules.tables,"heading");a(marked.Lexer.rules.tables,"lheading");marked.InlineLexer.rules.zulip.strong=/^\*\*([\s\S]+?)\*\*(?!\*)/;marked.InlineLexer.rules.zulip.del=/^(?!<\~)\~\~([^~]+)\~\~(?!\~)/;marked.InlineLexer.rules.zulip.em=/^\*(?!\s+)((?:\*\*|[\s\S])+?)((?:[\S]))\*(?!\*)/;
a(marked.InlineLexer.rules.zulip,"autolink");p.set_realm_filters(page_params.realm_filters);fenced_code.set_stash_func(function(a){return marked.stashHtml(a,!0)});fenced_code.set_escape_func(c);marked.setOptions({gfm:!0,tables:!0,breaks:!0,pedantic:!1,sanitize:!0,smartLists:!0,smartypants:!1,zulip:!0,emojiHandler:l,avatarHandler:m,unicodeEmojiHandler:g,streamHandler:t,realmFilterHandler:q,renderer:f,preprocessors:[function(a){return fenced_code.process_fenced_code(a)}]});e("remove",d);e("refresh",
h);e("edit",b);$(document).on("home_view_loaded.zulip",function(){y=!0})});$(document).on("socket_loaded_requests.zulip",function(b,c){function d(){_.each(f,function(a){e(a,a.local_id)})}var f=[],g=a();_.each(c.requests,function(a){a=a.msg;void 0===a.stream||void 0===a.local_id||(a.local_id=g,a.queue_id=page_params.event_queue_id,g=parseFloat((g+0.01).toFixed(3)),f.push(a))});if(y)d();else $(document).on("home_view_loaded.zulip",function(){d()})});return p}();
"undefined"!==typeof module&&(module.exports=echo);var Socket=function(){function h(f){this.url=f;this._is_reconnecting=this._is_authenticated=this._is_open=!1;this._reconnect_initiation_time=null;this._connection_failures=this._next_req_id_counter=0;this._heartbeat_timeout_id=this._reconnect_timeout_id=null;this._localstorage_requests_key="zulip_socket_requests";this._requests=this._localstorage_requests();var a=this;this._is_unloading=!1;$(window).on("unload",function(){a._is_unloading=!0});$(document).on("unsuspend",function(){a._try_to_reconnect({reason:"unsuspend"})});
0!==Object.keys(this._requests).length&&$(document).trigger("socket_loaded_requests.zulip",{requests:this._requests});this._supported_protocols="websocket xdr-streaming xhr-streaming xdr-polling xhr-polling jsonp-polling".split(" ");page_params.test_suite?this._supported_protocols=_.reject(this._supported_protocols,function(a){return"xhr-streaming"===a}):this._create_sockjs_object()}var k={none_given:{code:4E3,msg:"No reason provided"},no_heartbeat:{code:4001,msg:"Missed too many heartbeats"},auth_fail:{code:4002,
msg:"Authentication failed"},ack_timeout:{code:4003,msg:"ACK timeout"},cant_send:{code:4004,msg:"User attempted to send while Socket was not ready"},unsuspend:{code:4005,msg:"Got unsuspend event"}};h.prototype={_create_sockjs_object:function(){this._sockjs=new SockJS(this.url,null,{protocols_whitelist:this._supported_protocols});this._setup_sockjs_callbacks(this._sockjs)},_make_request:function(f){return{req_id:this._get_next_req_id(),type:f,state:"pending"}},send:function(f,a,e){var d=this._make_request("request");
d.msg=f;d.success=a;d.error=e;this._save_request(d);this._can_send()?this._do_send(d):this._try_to_reconnect({reason:"cant_send"})},_get_next_req_id:function(){var f=page_params.event_queue_id+":"+this._next_req_id_counter;this._next_req_id_counter+=1;return f},_req_id_too_new:function(f){f=f.split(":")[2];return parseInt(f,10)>=this._next_req_id_counter},_req_id_sorter:function(f,a){var e=parseInt(f.split(":")[2],10),d=parseInt(a.split(":")[2],10);return e-d},_do_send:function(f){var a=this;this._requests[f.req_id].ack_timeout_id=
setTimeout(function(){blueslip.info("Timeout on ACK for request "+f.req_id);a._try_to_reconnect({reason:"ack_timeout"})},2E3);try{this._update_request_state(f.req_id,"sent"),this._sockjs.send(JSON.stringify({req_id:f.req_id,type:f.type,request:f.msg}))}catch(e){if(this._update_request_state(f.req_id,"pending"),!(e instanceof Error&&"INVALID_STATE_ERR"===e.message))if(e instanceof Error&&-1!==e.message.indexOf("NS_ERROR_NOT_CONNECTED"))this._sockjs.close();else throw e;}},_can_send:function(){return this._is_open&&
this._is_authenticated},_resend:function(f){f=this._requests[f];null!==f.ack_timeout_id&&(clearTimeout(f.ack_timeout_id),f.ack_timeout_id=null);"request"===f.type&&this._do_send(f)},_process_response:function(f,a){var e=this._requests[f];void 0===e?this._req_id_too_new(f)&&blueslip.error("Got a response for an unknown request",{request_id:f,next_id:this._next_req_id_counter,outstanding_ids:_.keys(this._requests)}):("success"===a.result&&void 0!==e.success?e.success(a):void 0!==e.error&&e.error("response",
a),this._remove_request(f))},_process_ack:function(f){var a=this._requests[f];void 0===a?blueslip.error("Got an ACK for an unknown request",{request_id:f,next_id:this._next_req_id_counter,outstanding_ids:_.keys(this._requests)}):null!==a.ack_timeout_id&&(clearTimeout(a.ack_timeout_id),a.ack_timeout_id=null)},_setup_sockjs_callbacks:function(f){var a=this;f.onopen=function(){blueslip.info("Socket connected [transport="+f.protocol+"]");null!==a._reconnect_initiation_time&&server_events.restart_get_events();
a._is_open=!0;$(document).trigger($.Event("websocket_postopen.zulip",{}));$(function(){var e=a._make_request("auth");e.msg={csrf_token:csrf_token,queue_id:page_params.event_queue_id,status_inquiries:_.keys(a._requests)};e.success=function(d){a._is_authenticated=!0;a._is_reconnecting=!1;a._reconnect_initiation_time=null;a._connection_failures=0;var b=[];_.each(d.status_inquiries,function(c,d){"complete"===c.status?a._process_response(d,c.response):"received"===c.status?a._update_request_state(d,"sent"):
"not_received"===c.status&&b.push(d)});b.sort(a._req_id_sorter);_.each(b,function(b){a._resend(b)})};e.error=function(d,b){blueslip.info("Could not authenticate with server: "+b.msg);a._connection_failures+=1;a._try_to_reconnect({reason:"auth_fail",wait_time:a._reconnect_wait_time()})};a._save_request(e);a._do_send(e)})};f.onmessage=function(e){"ack"===e.data.type?a._process_ack(e.data.req_id):a._process_response(e.data.req_id,e.data.response)};f.onheartbeat=function(){null!==a._heartbeat_timeout_id&&
(clearTimeout(a._heartbeat_timeout_id),a._heartbeat_timeout_id=null);a._heartbeat_timeout_id=setTimeout(function(){a._heartbeat_timeout_id=null;blueslip.info("Missed too many hearbeats");a._try_to_reconnect({reason:"no_heartbeat"})},6E4)};f.onclose=function(e){a._is_unloading||($(document).trigger($.Event("websocket_postopen.zulip",{})),blueslip.info("SockJS connection lost.  Attempting to reconnect soon. ("+e.code.toString()+", "+e.reason+")"),a._connection_failures+=1,a._is_reconnecting=!1,a._try_to_reconnect({wait_time:a._reconnect_wait_time()}))}},
_reconnect_wait_time:function(){return 1===this._connection_failures?30:1E3*Math.min(90,Math.exp(this._connection_failures/2))},_try_to_reconnect:function(f){f=_.extend({wait_time:0,reason:"none_given"},f);var a=this,e=(new Date).getTime();this._is_reconnecting&&1E3>e-this._reconnect_initiation_time||(null!==this._reconnect_timeout_id&&(clearTimeout(this._reconnect_timeout_id),this._reconnect_timeout_id=null),null!==this._heartbeat_timeout_id&&(clearTimeout(a._heartbeat_timeout_id),this._heartbeat_timeout_id=
null),_.each(this._requests,function(d,b){null!==d.ack_timeout_id&&(clearTimeout(d.ack_timeout_id),d.ack_timeout_id=null);"auth"===d.type&&a._remove_request(b)}),this._is_authenticated=this._is_open=!1,this._is_reconnecting=!0,this._reconnect_initiation_time=e,void 0!==this._sockjs&&(e=k[f.reason],this._sockjs.close(e.code,e.msg)),this._reconnect_timeout_id=setTimeout(function(){a._reconnect_timeout_id=null;blueslip.info("Attempting socket reconnect.");a._create_sockjs_object()},f.wait_time))},_localstorage_requests:function(){return!localstorage.supported()?
{}:JSON.parse(window.localStorage[this._localstorage_requests_key]||"{}")},_save_localstorage_requests:function(){if(localstorage.supported()){var f={};_.each(this._requests,function(a,d){"auth"!==a.type&&(f[d]=a)});try{window.localStorage[this._localstorage_requests_key]=JSON.stringify(f)}catch(a){blueslip.warn("Failed to save to local storage, caught exception when saving "+a)}}},_save_request:function(f){this._requests[f.req_id]=f;localstorage.supported()&&this._save_localstorage_requests()},_remove_request:function(f){delete this._requests[f];
localstorage.supported()&&this._save_localstorage_requests()},_update_request_state:function(f,a){this._requests[f].state=a;localstorage.supported()&&this._save_localstorage_requests()}};return h}();"undefined"!==typeof module&&(module.exports=Socket);var compose=function(){function h(){return void 0!==window.bridge&&void 0!==window.bridge.desktopAppVersion?"desktop app "+window.bridge.desktopAppVersion():"website"}function k(a,b,c){"stream"===a?($("#private-message").hide(),$("#stream-message").show(),$("#stream_toggle").addClass("active"),$("#private_message_toggle").removeClass("active")):($("#private-message").show(),$("#stream-message").hide(),$("#stream_toggle").removeClass("active"),$("#private_message_toggle").addClass("active"));$("#send-status").removeClass(status_classes).hide();
$("#compose").css({visibility:"visible"});$(".new_message_textarea").css("min-height","3em");void 0!==b&&(""===window.getSelection().toString()||"message click"!==c.trigger)&&b.focus().select();-1!==current_msg_list.selected_id()&&(a=current_msg_list.selected_row(),a=a.offset().top+a.height()-$("#compose").offset().top,0<a&&viewport.user_initiated_animate_scroll(a+5))}function f(){var a=stream_data.get_sub(compose.stream_name()).subscribers.num_items(),a=templates.render("compose_all_everyone",{count:a}),
b=$("#compose-all-everyone");b.is(":visible")||b.append(a);b.show();D=!1}function a(){$("#compose-all-everyone").hide();$("#compose-all-everyone").empty();$("#send-status").hide()}function e(){$("#compose_invite_users").hide();$("#compose_invite_users").empty()}function d(){v.snapshot_message();e();a();D=void 0;$("#compose").find("input[type=text], textarea").val("");v.autosize_textarea();$("#send-status").hide(0)}function b(){$("#new_message_content").show();$("#undo_markdown_preview").hide();$("#preview_message_area").hide();
$("#preview_content").empty();$("#markdown_preview").show();void 0!==I&&$("#restore-draft").show()}function c(){F&&(compose_fade.set_focused_recipient(F),compose_fade.update_faded_messages())}function g(){$("#compose-send-button").removeAttr("disabled");var a=$("#compose").data("filedrop_xhr");void 0!==a&&(a.abort(),$("#compose").removeData("filedrop_xhr"))}function l(){var a=compose.subject();""===a&&(a=compose.empty_topic_placeholder());var b;b=compose.message_content().replace(G,"]($1)");a={client:h(),
type:compose.composing(),subject:a,stream:compose.stream_name(),private_message_recipient:compose.recipient(),content:b,sender_id:page_params.user_id,queue_id:page_params.event_queue_id};"private"===a.type?(a.to=util.extract_pm_recipients(compose.recipient()),a.reply_to=compose.recipient()):a.to=compose.stream_name();return a}function m(){$("#restore-draft").hide();I=void 0}function t(a,b){$("#send-status").removeClass(status_classes).addClass("alert-error").stop(!0).fadeTo(0,1);$("#error-msg").html(a);
$("#compose-send-button").removeAttr("disabled");$("#sending-indicator").hide();void 0!==b&&b.focus().select()}function q(a,b,c){channel.post({url:"/json/messages",data:a,success:b,error:function(a,b){if("timeout"!==b&&reload.is_pending())reload.initiate({immediate:!0,save_pointer:!0,save_narrow:!0,save_compose:!0,send_after_reload:!0});else{var d=channel.xhr_error_message("Error sending message",a);c(d)}}})}function n(a,b,c){J.send(a,b,function(a,b){var d="Error sending message";"response"===a&&
(d+=": "+b.msg);c(d)})}function p(a){a=v.send_times_data[a];if(!(void 0===a.send_finished||void 0===a.received||void 0===a.displayed)){var b=a.locally_echoed,c={time:(a.send_finished-a.start).toString(),received:(a.received-a.start).toString(),displayed:(a.displayed-a.start).toString(),locally_echoed:b};b&&(c.rendered_content_disparity=a.rendered_content_disparity||!1);channel.post({url:"/json/report_send_time",data:c})}}function s(a){void 0===v.send_times_data[a]&&(v.send_times_data[a]={});v.send_times_data[a].received=
new Date;p(a)}function u(a,b,c){var d=new Date,e=d-b;feature_flags.log_send_times&&blueslip.log("send time: "+e);feature_flags.collect_send_times&&v.send_times_log.push(e);void 0===v.send_times_data[a]&&(v.send_times_data[a]={});v.send_times_data[a].start=b;v.send_times_data[a].send_finished=d;v.send_times_data[a].locally_echoed=c;p(a)}function r(){$("#new_message_content").val("").focus();v.autosize_textarea();$("#send-status").hide(0);m();$("#compose-send-button").removeAttr("disabled");$("#sending-indicator").hide();
resize.resize_bottom_whitespace()}function x(a){void 0===a&&(a=l());v.snapshot_message(a);a.to="private"===a.type?JSON.stringify(a.to):JSON.stringify([a.to]);var b=new Date,c;feature_flags.local_echo&&(c=echo.try_deliver_locally(a),void 0!==c&&(a.local_id=c));var d=void 0!==c;v.transmit_message(a,function(a){v.send_message_success(c,a.id,b,d)},function(b){!feature_flags.local_echo||void 0===a.local_id?t(b,$("#new_message_content")):echo.message_send_error(c,b)});server_events.assert_get_events_running("Restarting get_events because it was not running during send");
feature_flags.local_echo&&d&&r()}function y(a,b){return function(c){var d=$("#"+a),e=d.val();void 0!==c&&d.val(c);return b?e:$.trim(e)}}function z(a){if(!stream_data.is_subscribed(a)){var b=v.check_stream_existence(a,void 0!==page_params.narrow_stream);"error"===b&&(t(i18n.t("Error checking subscription"),$("#stream")),$("#compose-send-button").removeAttr("disabled"),$("#sending-indicator").hide());switch(b){case "does-not-exist":return a="<p>The stream <b>"+Handlebars.Utils.escapeExpression(a)+"</b> does not exist.</p><p>Manage your subscriptions <a href='#subscriptions'>on your Streams page</a>.</p>",
t(a,$("#stream")),!1;case "error":return!1;case "not-subscribed":return a="<p>You're not subscribed to the stream <b>"+Handlebars.Utils.escapeExpression(a)+"</b>.</p><p>Manage your subscriptions <a href='#subscriptions'>on your Streams page</a>.</p>",t(a,$("#stream")),!1}}return!0}function A(){var b=v.stream_name();if(""===b)return t(i18n.t("Please specify a stream"),$("#stream")),!1;if(page_params.mandatory_topics&&""===v.subject())return t(i18n.t("Please specify a topic"),$("#subject")),!1;var c;
if(!(c=!z(b))){a:{b=stream_data.get_sub(b).subscribers.num_items();if(util.is_all_or_everyone_mentioned(v.message_content())&&b>compose.all_everyone_warn_threshold){if(void 0===D||!1===D){f();$("#compose-send-button").removeAttr("disabled");$("#sending-indicator").hide();b=!1;break a}}else a();D=void 0;b=!0}c=!b}return c?!1:!0}function B(){if(""===v.recipient())return t(i18n.t("Please specify at least one recipient"),$("#private_message_recipient")),!1;if(page_params.is_zephyr_mirror_realm)return!0;
var a=util.extract_pm_recipients(compose.recipient()),b=[],c={};_.each(a,function(a){""!==a&&void 0===people.realm_get(a)&&(people.is_cross_realm_email(a)||b.push(a))});return 1===b.length?(c={recipient:b.join()},t(i18n.t("The recipient __recipient__ is not valid ",c),$("#private_message_recipient")),!1):1<b.length?(c={recipients:b.join()},t(i18n.t("The recipients __recipients__ are not valid ",c),$("#private_message_recipient")),!1):!0}var v={},F=!1,D;v.all_everyone_warn_threshold=15;var I,L=document.location.protocol+
"//"+document.location.host,w="/user_uploads",G=RegExp("\\]\\("+L+"("+w+"[^\\)]+)\\)","g");v.autosize_textarea=function(){$("#new_message_content").trigger("autosize.resize")};v.decorate_stream_bar=function(a){var b=stream_data.get_color(a),c=$("#compose-lock-icon"),d=$("#stream");stream_data.get_invite_only(a)?(c.show(),d.addClass("lock-padding")):(c.hide(),d.removeClass("lock-padding"));$("#stream-message .message_header_stream").css("background-color",b).removeClass(stream_color.color_classes).addClass(stream_color.get_color_class(b))};
$(function(){$("#stream,#subject,#private_message_recipient").bind({keyup:c,change:c})});v.start=function(a,b){if(!reload.is_in_progress()){notifications.clear_compose_notifications();$("#compose_close").show();$("#compose_controls").hide();$(".message_comp").show();var c=b,e={message_type:a,stream:"",subject:"",private_message_recipient:"",trigger:"unknown"};narrow.set_compose_defaults(e);b=c=_.extend(e,c);"compose_hotkey"===b.trigger&&(b.subject="",b.private_message_recipient="");compose.composing()&&
!(compose.composing()===a&&("stream"===a&&b.stream===compose.stream_name()&&b.subject===compose.subject()||"private"===a&&b.private_message_recipient===compose.recipient()))&&d();compose.stream_name(b.stream);compose.subject(b.subject);compose.recipient(b.private_message_recipient.replace(/,\s*/g,", "));void 0!==b.content&&compose.message_content(b.content);ui.change_tab_to("#home");F=a;var c=b,f;if("stream"===a&&c.stream&&!c.subject)f="subject";else if("stream"===a&&c.stream||"private"===a&&c.private_message_recipient)f=
"new_message_content";"stream"===a?k("stream",$("#"+(f||"stream")),c):k("private",$("#"+(f||"private_message_recipient")),c);compose_fade.start_compose(a);v.decorate_stream_bar(b.stream);$(document).trigger($.Event("compose_started.zulip",b));resize.resize_bottom_whitespace()}};v.cancel=function(){void 0!==page_params.narrow?(compose_fade.clear_compose(),void 0!==page_params.narrow_topic?compose.subject(page_params.narrow_topic):compose.subject("")):($(".message_comp").find("input, textarea, button").blur(),
$("#stream-message").hide(),$("#private-message").hide(),$(".new_message_textarea").css("min-height",""),compose_fade.clear_compose(),$(".message_comp").hide(),$("#compose_controls").show(),b(),$("#compose_close").hide(),resize.resize_bottom_whitespace(),d(),notifications.clear_compose_notifications(),g(),F=!1,void 0!==I&&$("#restore-draft").show(),$(document).trigger($.Event("compose_canceled.zulip")))};v.empty_topic_placeholder=function(){return i18n.t("(no topic)")};v.snapshot_message=function(a){v.composing()&&
""!==v.message_content()&&(I=void 0!==a?_.extend({},a):l())};v.restore_message=function(){if(I){var a=_.extend({},I);if("stream"===a.type&&0<a.stream.length&&0<a.subject.length||"private"===a.type&&0<a.reply_to.length)a=_.extend({replying_to_message:a},a);m();compose_fade.clear_compose();compose.start(a.type,a);void 0!==a.content&&util.is_all_or_everyone_mentioned(a.content)&&f()}};var J;page_params.use_websockets&&(J=new Socket("/sockjs"));v._socket=J;v.send_times_log=[];v.send_times_data={};v.mark_rendered_content_disparity=
function(a,b){void 0===v.send_times_data[a]&&(v.send_times_data[a]={});v.send_times_data[a].rendered_content_disparity=b};v.report_as_received=function(a){a.sent_by_me&&(s(a.id),setTimeout(function(){var b=a.id;void 0===v.send_times_data[b]&&(v.send_times_data[b]={});v.send_times_data[b].displayed=new Date;p(b)},0))};v.send_message_success=function(a,b,c,d){(!feature_flags.local_echo||!d)&&r();u(b,c,d);feature_flags.local_echo&&echo.reify_message_id(a,b);setTimeout(function(){void 0===v.send_times_data[b].received&&
(blueslip.log("Restarting get_events due to delayed receipt of sent message "+b),server_events.restart_get_events())},5E3)};v.transmit_message=function(a,b,c){delete v.send_times_data[a.id];page_params.use_websockets?n(a,b,c):q(a,b,c)};v.respond_to_message=function(a){var b,c;compose.snapshot_message();b=current_msg_list.selected_message();if(void 0!==b){unread.mark_message_as_read(b);var d="",e="";"stream"===b.type&&(d=b.stream,e=b.subject);var f=b.reply_to;"personal"===a.reply_type&&"private"===
b.type&&(f=b.sender_email);c="personal"===a.reply_type||"private"===b.type?"private":b.type;compose.start(c,{stream:d,subject:e,private_message_recipient:f,replying_to_message:b,trigger:a.trigger})}};v.test_send_many_messages=function(a,b,c){function d(){var f={};e+=1;f.type="stream";f.to=a;f.subject=b;f.content=e.toString();f.client=h();x(f);e!==c&&setTimeout(d,1E3)}var e=0;d()};v.finish=function(){e();if(!compose.validate())return!1;x();b();$(document).trigger($.Event("compose_finished.zulip"));
return!0};$(function(){$("#compose form").on("submit",function(a){a.preventDefault();compose.finish()})});v.composing=function(){return F};v.stream_name=y("stream");v.subject=y("subject");v.message_content=y("new_message_content",!0);v.recipient=y("private_message_recipient");v.has_message_content=function(){return""!==v.message_content()};v.check_stream_existence=function(a,b){var c="error",d={stream:a};b&&(d.autosubscribe=!0);channel.post({url:"/json/subscriptions/exists",data:d,async:!1,success:function(a){c=
a.subscribed?"subscribed":"not-subscribed"},error:function(a){c=404===a.status?"does-not-exist":"error"}});return c};v.validate=function(){$("#compose-send-button").attr("disabled","disabled").blur();$("#sending-indicator").show();return/^\s*$/.test(v.message_content())?(t(i18n.t("You have nothing to send!"),$("#new_message_content")),!1):$("#zephyr-mirror-error").is(":visible")?(t(i18n.t("You need to be running Zephyr mirroring in order to send messages!")),!1):"private"===v.composing()?B():A()};
$(function(){function c(){$("#compose-send-button").attr("disabled","");$("#send-status").addClass("alert-info").show();$(".send-status-close").one("click",g);$("#error-msg").html($("<p>").text("Uploading\u2026").after('<div class="progress progress-striped active"><div class="bar" id="upload-bar" style="width: 00%;"></div></div>'))}function d(a,b,c){$("#upload-bar").width(c+"%")}function e(a,b){var c;$("#send-status").addClass("alert-error").removeClass("alert-info");$("#compose-send-button").removeAttr("disabled");
switch(a){case "BrowserNotSupported":c="File upload is not yet available for your browser.";break;case "TooManyFiles":c="Unable to upload that many files at once.";break;case "FileTooLarge":c='"'+b.name+'" was too large; the maximum file size is 25MiB.';break;case "REQUEST ENTITY TOO LARGE":c="Sorry, the file was too large.";break;default:c="An unknown error occured."}$("#error-msg").text(c)}function f(a,b,c){if(void 0!==c.uri){b=$("#new_message_content");var d=c.uri.split("/"),d=d[d.length-1];compose.composing()||
compose.start("stream");c=c.uri;c=0===c.indexOf(w)?L+c:c;-1===a?b.val(b.val()+"[pasted image]("+c+") "):b.val(b.val()+"["+d+"]("+c+") ");v.autosize_textarea();$("#compose-send-button").removeAttr("disabled");$("#send-status").removeClass("alert-info").hide();a=$("#file_input");b=a.clone(!0);a.replaceWith(b)}}$("#new_message_content").autosize();window.XMLHttpRequest&&(new XMLHttpRequest).upload&&$("#compose #attach_files").removeClass("notdisplayed");feature_flags.dropbox_integration&&LazyLoad.js("https://www.dropbox.com/static/api/1/dropins.js",
function(){_.has(window,"Dropbox")?Dropbox.isBrowserSupported()&&(Dropbox.init({appKey:window.dropboxAppKey}),$("#compose #attach_dropbox_files").removeClass("notdisplayed")):blueslip.error("Dropbox script reports loading but window.Dropbox undefined")});$(document).on("usermention_completed.zulip",function(a,b){if(!("stream"!==F||page_params.is_zephyr_mirror_realm)&&void 0!==b&&void 0!==b.mentioned){var c=b.mentioned.email;if(!("all"===b.mentioned.full_name||"everyone"===b.mentioned.full_name)&&
!1===compose_fade.would_receive_message(c)){var d=templates.render("compose-invite-users",{email:c,name:b.mentioned.full_name}),e=$("#compose_invite_users");-1===_.map($(".compose_invite_user",e),function(a){return $(a).data("useremail")}).indexOf(c)&&e.append(d);e.show()}}});$("#compose-all-everyone").on("click",".compose-all-everyone-confirm",function(b){b.preventDefault();$(b.target).parents(".compose-all-everyone").remove();D=!0;a();compose.finish()});$("#compose_invite_users").on("click",".compose_invite_link",
function(a){a.preventDefault();var b=$(a.target).parents(".compose_invite_user"),c=$(b).data("useremail");void 0!==c&&subs.invite_user_to_stream(c,compose.stream_name(),function(){var a=$("#compose_invite_users");b.remove();0===a.children().length&&a.hide()},function(){b.find(".compose_invite_user_error").show();$(a.target).attr("disabled",!0)})});$("#compose_invite_users").on("click",".compose_invite_close",function(a){a=$(a.target).parents(".compose_invite_user");var b=$("#compose_invite_users");
a.remove();0===b.children().length&&b.hide()});$("#compose").on("click","#attach_files",function(a){a.preventDefault();$("#compose #file_input").trigger("click")});$("#compose").on("click","#markdown_preview",function(a){a.preventDefault();var b=$("#new_message_content").val();$("#new_message_content").hide();$("#markdown_preview").hide();$("#restore-draft").hide();$("#undo_markdown_preview").show();$("#preview_message_area").show();0===b.length?$("#preview_content").html(i18n.t("Nothing to preview")):
(echo.contains_bugdown(b)?(a=$("#markdown_preview_spinner").expectOne(),loading.make_indicator(a)):$("#preview_content").html(echo.apply_markdown(b)),channel.post({url:"/json/messages/render",idempotent:!0,data:{content:b},success:function(a){echo.contains_bugdown(b)&&loading.destroy_indicator($("#markdown_preview_spinner"));$("#preview_content").html(a.rendered)},error:function(){echo.contains_bugdown(b)&&loading.destroy_indicator($("#markdown_preview_spinner"));$("#preview_content").html(i18n.t("Failed to generate preview"))}}))});
$("#compose").on("click","#undo_markdown_preview",function(a){a.preventDefault();b()});$("#compose").on("click","#attach_dropbox_files",function(a){a.preventDefault();Dropbox.choose({success:function(a){var b=$("#new_message_content");a=_.map(a,function(a){return"["+a.name+"]("+a.link+")"}).join(" ")+" ";b.val(b.val()+a)},multiselect:!0,iframe:!0})});window.bridge&&(v.uploadStarted=c,v.progressUpdated=d,v.uploadError=e,v.uploadFinished=f);$("#compose").filedrop({url:"/json/upload_file",fallback_id:"file_input",
paramname:"file",maxfilesize:page_params.maxfilesize,data:{csrfmiddlewaretoken:csrf_token},raw_droppable:["text/uri-list","text/plain"],drop:c,progressUpdated:d,error:e,uploadFinished:f,rawDrop:function(a){var b=$("#new_message_content");compose.composing()||compose.start("stream");b.val(b.val()+a);v.autosize_textarea()}});void 0!==page_params.narrow&&(void 0!==page_params.narrow_topic?compose.start("stream",{subject:page_params.narrow_topic}):compose.start("stream",{}));$(document).on("message_id_changed",
function(a){if(void 0!==v.send_times_data[a.old_id]){var b=v.send_times_data[a.old_id];delete v.send_times_data[a.old_id];v.send_times_data[a.new_id]=_.extend({},v.send_times_data[a.old_id],b)}})});return v}();"undefined"!==typeof module&&(module.exports=compose);var stream_color=function(){function h(a,b,d){var e=f.get_color_class(d);a=$("#floating_recipient_bar").add(a).find(".stream_label");_.each(a,function(a){a=$(a);$.trim(a.text())===b&&(a.closest(".recipient_row").children(".message_row").children(".messagebox").css("box-shadow","inset 2px 0px 0px 0px "+d+", -1px 0px 0px 0px "+d),a.css({background:d,"border-left-color":d}),a.removeClass(f.color_classes),a.addClass(e))})}function k(a){var b=$(this).attr("stream_id");a=a.toHexString();subs.set_color(b,
a)}var f={default_color:"#c2c2c2"},a="#76ce90 #fae589 #a6c7e5 #e79ab5 #bfd56f #f4ae55 #b0a5fd #addfe5 #f5ce6e #c2726a #94c849 #bd86e5 #ee7e4a #a6dcbf #95a5fd #53a063 #9987e1 #e4523d #c2c2c2 #4f8de4 #c6a8ad #e7cc4d #c8bebf #a47462".split(" ");f.color_classes="dark_background";f.pick_color=function(b){var d=_.shuffle(a),e={};_.each(b,function(a){e[a]=!0});return(b=_.find(d,function(a){return!_.has(e,a)}))?b:d[0]};var e=["a47462 c2726a e4523d e7664d ee7e4a f4ae55".split(" "),"76ce90 53a063 94c849 bfd56f fae589 f5ce6e".split(" "),
"a6dcbf addfe5 a6c7e5 4f8de4 95a5fd b0a5fd".split(" "),"c2c2c2 c8bebf c6a8ad e79ab5 bd86e5 9987e1".split(" ")],d={clickoutFiresChange:!0,showPalette:!0,showInput:!0,palette:e};f.set_colorpicker_color=function(a,b){a.spectrum(_.extend(d,{color:b,container:"#subscription_overlay .subscription_settings.show"}))};f.update_stream_color=function(a,b,d,e){e=_.defaults({},e,{update_historical:!1});a.color=d;a=parseInt(a.stream_id,10);$(".stream-row[data-stream-id='"+a+"'] .icon").css("background-color",d);
f.set_colorpicker_color($("#subscription_overlay .subscription_settings[data-stream-id='"+a+"'] .colorpicker"),d);$("#subscription_overlay .subscription_settings[data-stream-id='"+a+"'] .large-icon").css("color",d);e.update_historical&&(h($(".focused_table"),b,d),"#zhome"!==$(".focused_table").attr("id")&&h($("#zhome"),b,d));$("#stream_sidebar_swatch_"+a).css("background-color",d);$("#stream_sidebar_privacy_swatch_"+a).css("color",d);tab_bar.colorize_tab_bar()};d.change=k;f.sidebar_popover_colorpicker_options=
{clickoutFiresChange:!0,showPaletteOnly:!0,showPalette:!0,showInput:!0,flat:!0,palette:e,change:k};f.sidebar_popover_colorpicker_options_full={clickoutFiresChange:!0,showPalette:!0,showInput:!0,flat:!0,cancelText:"",chooseText:"choose",palette:e,change:k};var b;$(function(){b=(colorspace.luminance_to_lightness(colorspace.sRGB_to_linear(51))+100)/2});f.get_color_class=_.memoize(function(a){var d,e=[0,0,0],f=1;d=/^#([\da-fA-F]{2})([\da-fA-F]{2})([\da-fA-F]{2})$/.exec(a);if(!d&&(f=17,d=/^#([\da-fA-F])([\da-fA-F])([\da-fA-F])$/.exec(a),
!d))return"";for(a=0;3>a;a+=1)e[a]=colorspace.sRGB_to_linear(f*parseInt(d[a+1],16));return colorspace.luminance_to_lightness(colorspace.rgb_luminance(e))<b?"dark_background":""});return f}();"undefined"!==typeof module&&(module.exports=stream_color);var admin=function(){var h,k;function f(a){var b={};b.user_row=$("tr[id='user_"+a+"']");b.form_row=$("tr[id='user_form_"+a+"']");return b}function a(a){return a.find(".email").text()}function e(a){loading.destroy_indicator($("#subs_page_loading_indicator"));ui.report_error(i18n.t("Error listing users or bots"),a,$("#administration-status"))}function d(a){ui.report_error(i18n.t("Error listing streams"),a,$("#administration-status"))}function b(a){ui.report_error(i18n.t("Error changing name"),a,$("#administration-status"))}
function c(a){var b=$("#admin_users_table"),c=$("#admin_deactivated_users_table"),d=$("#admin_bots_table");b.find("tr.user_row").remove();c.find("tr.user_row").remove();d.find("tr.user_row").remove();var e=[],f=[],g=[];_.each(a.members,function(a){a.is_active_human=a.is_active&&!a.is_bot;a.is_bot?g.push(a):a.is_active?e.push(a):f.push(a)});e=_.sortBy(e,"full_name");f=_.sortBy(f,"full_name");g=_.sortBy(g,"full_name");_.each(g,function(a){d.append(templates.render("admin_user_list",{user:a}))});_.each(e,
function(a){b.append(templates.render("admin_user_list",{user:a}))});_.each(f,function(a){c.append(templates.render("admin_user_list",{user:a}))});loading.destroy_indicator($("#admin_page_users_loading_indicator"));loading.destroy_indicator($("#admin_page_bots_loading_indicator"));loading.destroy_indicator($("#admin_page_deactivated_users_loading_indicator"))}function g(a){var b=$("#admin_streams_table").expectOne();p=a;b.find("tr.stream_row").remove();_.each(a.streams,function(a){b.append(templates.render("admin_streams_list",
{stream:a}))});loading.destroy_indicator($("#admin_page_streams_loading_indicator"))}function l(a){var b=$("#admin_default_streams_table").expectOne();_.each(a,function(a){b.append(templates.render("admin_default_streams_list",{stream:a}))});loading.destroy_indicator($("#admin_page_default_streams_loading_indicator"))}function m(a){var b=[],c=[];_.each(page_params.realm_default_streams,function(a){c.push(a.name)});_.each(a.streams,function(a){0>c.indexOf(a.name)&&b.push(a.name)});return b}function t(a){channel.post({url:"/json/default_streams",
data:{stream_name:a},error:function(a){"4"===a.status.toString().charAt(0)?$(".active_stream_row button").closest("td").html($("<p>").addClass("text-error").text(JSON.parse(a.responseText).msg)):$(".active_stream_row button").text("Failed!")}})}function q(){var l={realm_name:page_params.realm_name,realm_restricted_to_domain:page_params.realm_restricted_to_domain,realm_invite_required:page_params.realm_invite_required,realm_invite_by_admins_only:page_params.realm_invite_by_admins_only,realm_authentication_methods:page_params.realm_authentication_methods,
realm_create_stream_by_admins_only:page_params.realm_create_stream_by_admins_only,realm_add_emoji_by_admins_only:page_params.realm_add_emoji_by_admins_only,realm_allow_message_editing:page_params.realm_allow_message_editing,realm_message_content_edit_limit_minutes:Math.ceil(page_params.realm_message_content_edit_limit_seconds/60),language_list:page_params.language_list,realm_default_language:page_params.realm_default_language,realm_waiting_period_threshold:page_params.realm_waiting_period_threshold},
l=templates.render("admin_tab",l);$("#administration").html(l);$("#administration-status").expectOne().hide();$("#admin-realm-name-status").expectOne().hide();$("#admin-realm-restricted-to-domain-status").expectOne().hide();$("#admin-realm-invite-required-status").expectOne().hide();$("#admin-realm-invite-by-admins-only-status").expectOne().hide();$("#admin-realm-authentication-methods-status").expectOne().hide();$("#admin-realm-create-stream-by-admins-only-status").expectOne().hide();$("#admin-realm-add-emoji-by-admins-only-status").expectOne().hide();
$("#admin-realm-message-editing-status").expectOne().hide();$("#admin-realm-default-language-status").expectOne().hide();$("#admin-realm-waiting_period_threshold_status").expectOne().hide();$("#admin-emoji-status").expectOne().hide();$("#admin-filter-status").expectOne().hide();$("#admin-filter-pattern-status").expectOne().hide();$("#admin-filter-format-status").expectOne().hide();$("#id_realm_default_language").val(page_params.realm_default_language);loading.make_indicator($("#admin_page_users_loading_indicator"));
loading.make_indicator($("#admin_page_bots_loading_indicator"));loading.make_indicator($("#admin_page_streams_loading_indicator"));loading.make_indicator($("#admin_page_deactivated_users_loading_indicator"));loading.make_indicator($("#admin_page_emoji_loading_indicator"));loading.make_indicator($("#admin_page_auth_methods_loading_indicator"));loading.make_indicator($("#admin_page_filters_loading_indicator"));channel.get({url:"/json/users",idempotent:!0,timeout:1E4,success:c,error:e});channel.get({url:"/json/streams?include_public=true&include_subscribed=true&include_default=true",
timeout:1E4,idempotent:!0,success:g,error:d});h=!0;n.populate_auth_methods(page_params.realm_authentication_methods);n.populate_emoji(page_params.realm_emoji);n.update_default_streams_table();n.populate_filters(page_params.realm_filters);n.populate_realm_aliases(page_params.domains);$(".admin_user_table").on("click",".deactivate",function(b){b.preventDefault();b.stopPropagation();b=$(b.target).closest(".user_row");var c=b.find(".user_name").text(),d=a(b);$("#deactivation_user_modal .email").text(d);
$("#deactivation_user_modal .user_name").text(c);$("#deactivation_user_modal").modal("show");k=b});$(".admin_stream_table").on("click",".deactivate",function(a){a.preventDefault();a.stopPropagation();$(".active_stream_row").removeClass("active_stream_row");a=$(a.target).closest(".stream_row");a.addClass("active_stream_row");a=a.find(".stream_name").text();$("#deactivation_stream_modal .stream_name").text(a);$("#deactivation_stream_modal").modal("show")});$(".admin_default_stream_table").on("click",
".remove-default-stream",function(a){a.preventDefault();a.stopPropagation();$(".active_default_stream_row").removeClass("active_default_stream_row");a=$(a.target).closest(".default_stream_row");a.addClass("active_default_stream_row");a=a.find(".default_stream_name").text();channel.del({url:"/json/default_streams?"+$.param({stream_name:a}),error:function(a){"4"===a.status.toString().charAt(0)?$(".active_default_stream_row button").closest("td").html($("<p>").addClass("text-error").text(JSON.parse(a.responseText).msg)):
$(".active_default_stream_row button").text("Failed!")},success:function(){$(".active_default_stream_row").remove()}})});$(".create_default_stream").keypress(function(a){13===a.which&&(a.preventDefault(),a.stopPropagation())});$(".create_default_stream").typeahead({items:5,fixed:!0,source:function(){return m(p)},highlight:!0,updater:function(a){t(a)}});$("#do_deactivate_user_button").expectOne().click(function(){var a=k.find(".email").text();$("#deactivation_user_modal .email").html()!==a&&(blueslip.error("User deactivation canceled due to non-matching fields."),
ui.report_message("Deactivation encountered an error. Please reload and try again.",$("#home-error"),"alert-error"));$("#deactivation_user_modal").modal("hide");k.find("button").eq(0).prop("disabled",!0).text("Working\u2026");channel.del({url:"/json/users/"+encodeURIComponent(a),error:function(a){"4"===a.status.toString().charAt(0)?k.find("button").closest("td").html($("<p>").addClass("text-error").text(JSON.parse(a.responseText).msg)):k.find("button").text("Failed!")},success:function(){var a=k.find("button.deactivate");
a.prop("disabled",!1);a.addClass("btn-warning reactivate").removeClass("btn-danger deactivate");a.text(i18n.t("Reactivate"));k.addClass("deactivated_user");k.find(".user-admin-settings").hide()}})});$(".admin_bot_table").on("click",".deactivate",function(b){b.preventDefault();b.stopPropagation();var c=$(b.target).closest(".user_row");b=a(c);channel.del({url:"/json/bots/"+encodeURIComponent(b),error:function(a){"4"===a.status.toString().charAt(0)?c.find("button").closest("td").html($("<p>").addClass("text-error").text(JSON.parse(a.responseText).msg)):
c.find("button").text("Failed!")},success:function(){var a=c.find("button.deactivate");a.addClass("btn-warning");a.removeClass("btn-danger");a.addClass("reactivate");a.removeClass("deactivate");a.text(i18n.t("Reactivate"));c.addClass("deactivated_user")}})});$(".admin_user_table, .admin_bot_table").on("click",".reactivate",function(b){b.preventDefault();b.stopPropagation();var c=$(b.target).closest(".user_row");b=a(c);channel.post({url:"/json/users/"+encodeURIComponent(b)+"/reactivate",error:function(a){var b=
c.find("button");"4"===a.status.toString().charAt(0)?b.closest("td").html($("<p>").addClass("text-error").text(JSON.parse(a.responseText).msg)):b.text(i18n.t("Failed!"))},success:function(){c.find(".user-admin-settings").show();var a=c.find("button.reactivate");a.addClass("btn-danger");a.removeClass("btn-warning");a.addClass("deactivate");a.removeClass("reactivate");a.text(i18n.t("Deactivate"));c.removeClass("deactivated_user")}})});$("#id_realm_invite_required").change(function(){this.checked?($("#id_realm_invite_by_admins_only").removeAttr("disabled"),
$("#id_realm_invite_by_admins_only_label").parent().removeClass("control-label-disabled")):($("#id_realm_invite_by_admins_only").attr("disabled",!0),$("#id_realm_invite_by_admins_only_label").parent().addClass("control-label-disabled"))});$("#id_realm_allow_message_editing").change(function(){this.checked?($("#id_realm_message_content_edit_limit_minutes").removeAttr("disabled"),$("#id_realm_message_content_edit_limit_minutes_label").parent().removeClass("control-label-disabled")):($("#id_realm_message_content_edit_limit_minutes").attr("disabled",
!0),$("#id_realm_message_content_edit_limit_minutes_label").parent().addClass("control-label-disabled"))});$(".administration").on("submit","form.admin-realm-form",function(a){var b=$("#admin-realm-name-status").expectOne(),c=$("#admin-realm-restricted-to-domain-status").expectOne(),d=$("#admin-realm-invite-required-status").expectOne(),e=$("#admin-realm-invite-by-admins-only-status").expectOne(),f=$("#admin-realm-authentication-methods-status").expectOne(),g=$("#admin-realm-create-stream-by-admins-only-status").expectOne(),
h=$("#admin-realm-add-emoji-by-admins-only-status").expectOne(),l=$("#admin-realm-message-editing-status").expectOne(),m=$("#admin-realm-default-language-status").expectOne(),k=$("#admin-realm-waiting_period_threshold_status").expectOne();b.hide();c.hide();d.hide();e.hide();f.hide();g.hide();h.hide();l.hide();m.hide();k.hide();a.preventDefault();a.stopPropagation();a=$("#id_realm_name").val();var q=$("#id_realm_restricted_to_domain").prop("checked"),n=$("#id_realm_invite_required").prop("checked"),
p=$("#id_realm_invite_by_admins_only").prop("checked"),t=$("#id_realm_create_stream_by_admins_only").prop("checked"),s=$("#id_realm_add_emoji_by_admins_only").prop("checked"),O=$("#id_realm_allow_message_editing").prop("checked"),M=$("#id_realm_message_content_edit_limit_minutes").val(),C=$("#id_realm_default_language").val(),K=$("#id_realm_waiting_period_threshold").val(),P={};_.each($("#admin_auth_methods_table").find("tr.method_row"),function(a){P[$(a).data("method")]=$(a).find("input").prop("checked")});
if(!O&&(parseInt(M,10).toString()!==M||0>M))M=10;a={name:JSON.stringify(a),restricted_to_domain:JSON.stringify(q),invite_required:JSON.stringify(n),invite_by_admins_only:JSON.stringify(p),authentication_methods:JSON.stringify(P),create_stream_by_admins_only:JSON.stringify(t),add_emoji_by_admins_only:JSON.stringify(s),allow_message_editing:JSON.stringify(O),message_content_edit_limit_seconds:JSON.stringify(60*parseInt(M,10)),default_language:JSON.stringify(C),waiting_period_threshold:JSON.stringify(parseInt(K,
10))};channel.patch({url:"/json/realm",data:a,success:function(a){void 0!==a.name&&ui.report_success(i18n.t("Name changed!"),b);void 0!==a.restricted_to_domain&&(a.restricted_to_domain?ui.report_success(i18n.t("New user e-mails now restricted to certain domains!"),c):ui.report_success(i18n.t("New users may have arbitrary e-mails!"),c));void 0!==a.invite_required&&(a.invite_required?ui.report_success(i18n.t("New users must be invited by e-mail!"),d):ui.report_success(i18n.t("New users may sign up online!"),
d));void 0!==a.invite_by_admins_only&&(a.invite_by_admins_only?ui.report_success(i18n.t("New users must be invited by an admin!"),e):ui.report_success(i18n.t("Any user may now invite new users!"),e));void 0!==a.create_stream_by_admins_only&&(a.create_stream_by_admins_only?ui.report_success(i18n.t("Only Admins may now create new streams!"),g):ui.report_success(i18n.t("Any user may now create new streams!"),g));void 0!==a.add_emoji_by_admins_only&&(a.add_emoji_by_admins_only?ui.report_success(i18n.t("Only Admins may now add new emoji!"),
h):ui.report_success(i18n.t("Any user may now add new emoji!"),h));void 0!==a.authentication_methods&&a.authentication_methods&&ui.report_success(i18n.t("Authentication methods saved!"),f);if(void 0!==a.allow_message_editing){var q=Math.ceil(a.message_content_edit_limit_seconds/60);a.allow_message_editing?0<a.message_content_edit_limit_seconds?ui.report_success(i18n.t("Users can now edit topics for all their messages, and the content of messages which are less than __num_minutes__ minutes old.",{num_minutes:q}),
l):ui.report_success(i18n.t("Users can now edit the content and topics of all their past messages!"),l):ui.report_success(i18n.t("Users can no longer edit their past messages!"),l);$("#id_realm_message_content_edit_limit_minutes").val(q)}void 0!==a.default_language&&a.default_language&&ui.report_success(i18n.t("Default language changed!"),m);void 0!==a.waiting_period_threshold&&0<a.waiting_period_threshold&&ui.report_success(i18n.t("waiting period threshold changed!"),k);var q=!0,n;for(n in a)0>["msg",
"result"].indexOf(n)&&(q=!1);q&&ui.report_success(i18n.t("No changes to save!"),b)},error:function(a){"no authentication"===$.parseJSON(a.responseText).reason?ui.report_error(i18n.t("Failed!"),a,f):ui.report_error(i18n.t("Failed!"),a,b)}})});$(".admin_user_table").on("click",".make-admin",function(b){b.preventDefault();b.stopPropagation();var c=$(b.target).closest(".user_row");b=a(c);b="/json/users/"+encodeURIComponent(b);var d={is_admin:JSON.stringify(!0)};channel.patch({url:b,data:d,success:function(){var a=
c.find("button.make-admin");a.addClass("btn-danger");a.removeClass("btn-warning");a.addClass("remove-admin");a.removeClass("make-admin");a.text(i18n.t("Remove admin"))},error:function(a){var b=c.find(".admin-user-status");ui.report_error(i18n.t("Failed!"),a,b)}})});$(".admin_user_table").on("click",".remove-admin",function(b){b.preventDefault();b.stopPropagation();var c=$(b.target).closest(".user_row");b=a(c);b="/json/users/"+encodeURIComponent(b);var d={is_admin:JSON.stringify(!1)};channel.patch({url:b,
data:d,success:function(){var a=c.find("button.remove-admin");a.addClass("btn-warning");a.removeClass("btn-danger");a.addClass("make-admin");a.removeClass("remove-admin");a.text(i18n.t("Make admin"))},error:function(a){var b=c.find(".admin-user-status");ui.report_error(i18n.t("Failed!"),a,b)}})});$(".admin_user_table, .admin_bot_table").on("click",".open-user-form",function(a){var c=$(a.currentTarget).data("email");a=f(c);var d=a.user_row,e=a.form_row;a=e.find(".reset_edit_user");var g=e.find(".submit_name_changes"),
h=e.find("input[name='full_name']"),l=$("#administration-status").expectOne();d.hide();e.show();a.on("click",function(){e.hide();d.show()});g.on("click",function(a){a.preventDefault();a.stopPropagation();a="/json/users/"+encodeURIComponent(c);var d={full_name:JSON.stringify(h.val())};channel.patch({url:a,data:d,success:function(){ui.report_success(i18n.t("Name successfully updated!"),l)},error:b})})});$("#do_deactivate_stream_button").click(function(){$("#deactivation_stream_modal .stream_name").text()!==
$(".active_stream_row").find(".stream_name").text()&&(blueslip.error("Stream deactivation canceled due to non-matching fields."),ui.report_message("Deactivation encountered an error. Please reload and try again.",$("#home-error"),"alert-error"));$("#deactivation_stream_modal").modal("hide");$(".active_stream_row button").prop("disabled",!0).text("Working\u2026");var a=$(".active_stream_row").find(".stream_name").text(),a=stream_data.get_sub(a).stream_id;channel.del({url:"/json/streams/"+a,error:function(a){"4"===
a.status.toString().charAt(0)?$(".active_stream_row button").closest("td").html($("<p>").addClass("text-error").text(JSON.parse(a.responseText).msg)):$(".active_stream_row button").text("Failed!")},success:function(){$(".active_stream_row").remove()}})});$(".admin_emoji_table").on("click",".delete",function(a){a.preventDefault();a.stopPropagation();var b=$(this);channel.del({url:"/json/realm/emoji/"+encodeURIComponent(b.attr("data-emoji-name")),error:function(a){"4"===a.status.toString().charAt(0)?
b.closest("td").html($("<p>").addClass("text-error").text(JSON.parse(a.responseText).msg)):b.text("Failed!")},success:function(){b.parents("tr").remove()}})});$(".administration").on("submit","form.admin-emoji-form",function(a){a.preventDefault();a.stopPropagation();var b=$("#admin-emoji-status"),c={};_.each($(this).serializeArray(),function(a){c[a.name]=a.value});channel.put({url:"/json/realm/emoji/"+encodeURIComponent(c.name),data:$(this).serialize(),success:function(){$("#admin-emoji-status").hide();
ui.report_success(i18n.t("Custom emoji added!"),b);$("form.admin-emoji-form input[type='text']").val("")},error:function(a){$("#admin-emoji-status").hide();var c=JSON.parse(a.responseText).msg;a.responseText=JSON.stringify({msg:c});ui.report_error(i18n.t("Failed!"),a,b)}})});$(".admin_filters_table").on("click",".delete",function(a){a.preventDefault();a.stopPropagation();var b=$(this);channel.del({url:"/json/realm/filters/"+encodeURIComponent(b.attr("data-filter-id")),error:function(a){"4"===a.status.toString().charAt(0)?
b.closest("td").html($("<p>").addClass("text-error").text($.parseJSON(a.responseText).msg)):b.text("Failed!")},success:function(){b.parents("tr").remove()}})});$(".administration").on("submit","form.admin-filter-form",function(a){a.preventDefault();a.stopPropagation();var b=$("#admin-filter-status"),c=$("#admin-filter-pattern-status"),d=$("#admin-filter-format-status");b.hide();c.hide();d.hide();_.each($(this).serializeArray(),function(a){});channel.post({url:"/json/realm/filters",data:$(this).serialize(),
success:function(a){ui.report_success(i18n.t("Custom filter added!"),b)},error:function(a){var e=$.parseJSON(a.responseText).errors;void 0!==e.pattern&&(a.responseText=JSON.stringify({msg:e.pattern}),ui.report_error(i18n.t("Failed"),a,c));void 0!==e.url_format_string&&(a.responseText=JSON.stringify({msg:e.url_format_string}),ui.report_error(i18n.t("Failed"),a,d));void 0!==e.__all__&&(a.responseText=JSON.stringify({msg:e.__all__}),ui.report_error(i18n.t("Failed"),a,b))}})});$("#alias_table").on("click",
".delete_alias",function(){var a="/json/realm/domains/"+$(this).parents("tr").find(".domain").text(),b=$("#realm_aliases_modal").find(".aliases_info");channel.del({url:a,success:function(){b.removeClass("text-error");b.addClass("text-success");b.text("Deleted successfully!")},error:function(a){b.removeClass("text-success");b.addClass("text-error");b.text(JSON.parse(a.responseText).msg)}})});$("#add_alias").click(function(){var a=$("#realm_aliases_modal").find(".aliases_info"),b={domain:JSON.stringify($("#new_alias").val())};
channel.post({url:"/json/realm/domains",data:b,success:function(){$("#new_alias").val("");a.removeClass("text-error");a.addClass("text-success");a.text("Added successfully!")},error:function(b){a.removeClass("text-success");a.addClass("text-error");a.text(JSON.parse(b.responseText).msg)}})})}h=!1;k=void 0;var n={},p=[];n.show_or_hide_menu_item=function(){var a=$(".admin-menu-item").expectOne();page_params.is_admin?a.show():a.hide()};n.update_user_full_name=function(a,b){if(h){var c=f(a),d=c.user_row,
c=c.form_row;d.find(".user_name").text(b);c.find("input[name='full_name']").val(b);c.hide();d.show()}};n.update_default_streams_table=function(){h&&$("#administration").hasClass("active")&&($("#admin_default_streams_table").expectOne().find("tr.default_stream_row").remove(),l(page_params.realm_default_streams))};n.populate_emoji=function(a){if(h){var b=$("#admin_emoji_table").expectOne();b.find("tr.emoji_row").remove();_.each(a,function(a,c){b.append(templates.render("admin_emoji_list",{emoji:{name:c,
source_url:a.source_url,display_url:a.display_url,author:a.author}}))});loading.destroy_indicator($("#admin_page_emoji_loading_indicator"))}};n.populate_filters=function(a){if(h){var b=$("#admin_filters_table").expectOne();b.find("tr.filter_row").remove();_.each(a,function(a){b.append(templates.render("admin_filter_list",{filter:{pattern:a[0],url_format_string:a[1],id:a[2]}}))});loading.destroy_indicator($("#admin_page_filters_loading_indicator"))}};n.populate_realm_aliases=function(a){if(h){var b=
_.map(page_params.domains,function(a){return a.domain}).join(", ");0===b.length&&(b=i18n.t("None"));$("#realm_restricted_to_domains_label").text(i18n.t("New users restricted to the following domains: __domains__",{domains:b}));var c=$("#alias_table tbody").expectOne();c.find("tr").remove();_.each(a,function(a){c.append(templates.render("admin-alias-list",{alias:a}))})}};n.reset_realm_default_language=function(){h&&$("#id_realm_default_language").val(page_params.realm_default_language)};n.populate_auth_methods=
function(a){if(h){var b=$("#admin_auth_methods_table").expectOne();b.find("tr.method_row").remove();_.each(_.keys(a).sort(),function(c){b.append(templates.render("admin_auth_methods_list",{method:{method:c,enabled:a[c]}}))});loading.destroy_indicator($("#admin_page_auth_methods_loading_indicator"))}};n.setup_page=function(){i18n.ensure_i18n(q)};return n}();"undefined"!==typeof module&&(module.exports=admin);var stream_data=function(){var h={},k,f,a=new Dict({fold_case:!0});h.clear_subscriptions=function(){k=new Dict({fold_case:!0});f=new Dict};h.clear_subscriptions();h.is_active=function(e){return a.has(e)};h.rename_sub=function(a,d){var b=f.get(a),c=b.name;b.name=d;k.del(c);k.set(d,b);return b};h.subscribe_myself=function(a){var d=people.my_current_user_id();h.add_subscriber(a.name,d);a.subscribed=!0};h.unsubscribe_myself=function(a){var d=people.my_current_user_id();h.remove_subscriber(a.name,d);a.subscribed=
!1};h.add_sub=function(a,d){_.has(d,"subscribers")||(d.subscribers=Dict.from_array([]));k.set(a,d);f.set(d.stream_id,d)};h.get_sub=function(a){return k.get(a)};h.get_sub_by_id=function(a){return f.get(a)};h.delete_sub=function(a){k.del(a)};h.subscribed_subs=function(){return _.where(k.values(),{subscribed:!0})};h.unsubscribed_subs=function(){return _.where(k.values(),{subscribed:!1})};h.subscribed_streams=function(){return _.pluck(h.subscribed_subs(),"name")};h.get_colors=function(){return _.pluck(h.subscribed_subs(),
"color")};h.update_subscribers_count=function(a){var d=a.subscribers.num_items();a.subscriber_count=d};h.all_subscribed_streams_are_in_home_view=function(){return _.every(h.subscribed_subs(),function(a){return a.in_home_view})};h.home_view_stream_names=function(){var a=_.filter(h.subscribed_subs(),function(a){return a.in_home_view});return _.map(a,function(a){return a.name})};h.canonicalized_name=function(a){return a.toString().toLowerCase()};h.get_color=function(a){a=h.get_sub(a);return void 0===
a?stream_color.default_color:a.color};h.in_home_view=function(a){a=h.get_sub(a);return void 0!==a&&a.in_home_view};h.is_subscribed=function(a){a=h.get_sub(a);return void 0!==a&&a.subscribed};h.get_invite_only=function(a){a=h.get_sub(a);return void 0===a?!1:a.invite_only};h.get_name=function(a){var d=h.get_sub(a);return void 0===d?a:d.name};h.set_subscribers=function(a,d){a.subscribers=Dict.from_array(d||[])};h.set_subscriber_emails=function(a,d){_.each(d,function(b){var c=people.get_user_id(b);c?
a.subscribers.set(c,!0):blueslip.error("We tried to set invalid subscriber: "+b)})};h.add_subscriber=function(a,d){var b=h.get_sub(a);"undefined"===typeof b?blueslip.warn("We got an add_subscriber call for a non-existent stream."):void 0===people.get_person_from_user_id(d)?blueslip.error("We tried to add invalid subscriber: "+d):b.subscribers.set(d,!0)};h.remove_subscriber=function(a,d){var b=h.get_sub(a);"undefined"===typeof b?blueslip.warn("We got a remove_subscriber call for a non-existent stream "+
a):b.subscribers.has(d)?b.subscribers.del(d):blueslip.warn("We tried to remove invalid subscriber: "+d)};h.user_is_subscribed=function(a,d){var b=h.get_sub(a);if("undefined"===typeof b||!b.subscribed)blueslip.warn("We got a user_is_subscribed call for a non-existent or unsubscribed stream.");else{var c=people.get_user_id(d);return!c?(blueslip.warn("Bad email passed to user_is_subscribed: "+d),!1):b.subscribers.has(c)}};h.create_streams=function(a){_.each(a,function(a){var b=_.defaults(a,{subscribers:[],
subscribed:!1});h.create_sub_from_server_data(a.name,b)})};h.create_sub_from_server_data=function(a,d){var b=h.get_sub(a);if(void 0!==b)return b;if(d.stream_id){var c=d.subscribers,b=_.omit(d,"subscribers"),b=_.defaults(b,{name:a,render_subscribers:!page_params.is_zephyr_mirror_realm||!0===d.invite_only,subscribed:!0,in_home_view:!0,invite_only:!1,desktop_notifications:page_params.stream_desktop_notifications_enabled,audible_notifications:page_params.stream_sounds_enabled,description:""});h.set_subscribers(b,
c);b.color||(c=h.get_colors(),b.color=stream_color.pick_color(c));h.add_sub(a,b);return b}blueslip.fatal("We cannot create a sub without a stream_id")};h.receives_desktop_notifications=function(a){a=h.get_sub(a);return void 0===a?!1:a.desktop_notifications};h.receives_audible_notifications=function(a){a=h.get_sub(a);return void 0===a?!1:a.audible_notifications};h.add_admin_options=function(a){return _.extend(a,{is_admin:page_params.is_admin,can_make_public:page_params.is_admin&&a.invite_only&&a.subscribed,
can_make_private:page_params.is_admin&&!a.invite_only})};h.process_message_for_recent_topics=function(e,d){var b=0,c=0,f=e.stream,l=h.canonicalized_name(e.subject);a.has(f)?a.set(f,_.filter(a.get(f),function(a){var d=a.canon_subject.toLowerCase()===l.toLowerCase();d&&(b=a.timestamp,c=a.count);return!d})):a.set(f,[]);var m=a.get(f),c=void 0!==d?c-1:c+1;0!==c&&m.push({subject:e.subject,canon_subject:l,count:c,timestamp:Math.max(e.timestamp,b)});m.sort(function(a,b){return b.timestamp-a.timestamp});
a.set(f,m)};h.get_streams_for_settings_page=function(){function a(b,c){return util.strcmp(b.name,c.name)}var d=h.subscribed_subs(),b=h.unsubscribed_subs();d.sort(a);b.sort(a);var d=b.concat(d),c=[];_.each(d,function(a){a=h.add_admin_options(a);h.update_subscribers_count(a);c.push(a)});return c};h.initialize_from_page_params=function(){function a(d,b){d.forEach(function(a){var d=a.name;a.subscribed=b;h.create_sub_from_server_data(d,a)})}a(page_params.subbed_info,!0);a(page_params.unsubbed_info,!1);
a(page_params.neversubbed_info,!1);delete page_params.subbed_info;delete page_params.unsubbed_info;delete page_params.neversubbed_info};h.get_recent_topics=function(e){return a.get(e)};h.populate_stream_topics_for_tests=function(e){a=Dict.from(e,{fold_case:!0})};h.get_newbie_stream=function(){if(h.is_subscribed("new members"))return"new members";if(h.in_home_view(page_params.notifications_stream))return page_params.notifications_stream};return h}();"undefined"!==typeof module&&(module.exports=stream_data);var subs=function(){function h(a){a=parseInt(a.stream_id,10);return $("#subscription_overlay .subscription_settings[data-stream-id='"+a+"']")}function k(a){a=parseInt(a.stream_id,10);return $(".stream-row[data-stream-id='"+a+"'] .check")}function f(a){a=parseInt(a.stream_id,10);return $(".subscription_settings[data-stream-id='"+a+"'] .subscribe-button")}function a(a,b,c){return channel.post({url:"/json/subscriptions/property",data:{subscription_data:JSON.stringify([{stream:a,property:b,value:c}])},
timeout:1E4})}function e(b,c){_.each(stream_data.subscribed_subs(),function(d){d[b]!==c&&a(d.name,b,c)})}function d(a){a.constructor!==jQuery&&(a=$(a));return a.closest(".stream-row, .subscription_settings").attr("data-stream-id")}function b(a){if(a=stream_data.get_sub_by_id(d(a)))return a.name}function c(a){a=b(a.target);var c=stream_data.get_sub(a),d=h(c),e=d.find(".sub_notification_setting");subs.toggle_home(a);c.in_home_view?(d.find(".mute-note").addClass("hide-mute-note"),e.removeClass("muted-sub"),
e.find("input[type='checkbox']").removeAttr("disabled")):(d.find(".mute-note").removeClass("hide-mute-note"),e.addClass("muted-sub"),e.find("input[type='checkbox']").attr("disabled",!0))}function g(a,b){a.in_home_view=b;setTimeout(function(){var a,b;ui.home_tab_obscured()?b=viewport.scrollTop():home_msg_list===current_msg_list&&null!==current_msg_list.selected_row().offset()&&(a=current_msg_list.selected_row().offset().top);home_msg_list.clear({clear_selected_id:!1});message_store.add_messages(message_list.all.all_messages(),
home_msg_list);ui.home_tab_obscured()?viewport.scrollTop(b):home_msg_list===current_msg_list&&(home_msg_list.select_id(home_msg_list.selected_id(),{use_closest:!0,empty_ok:!0}),-1!==current_msg_list.selected_id()&&viewport.set_message_offset(a));pointer.recenter_pointer_on_display=!0;pointer.suppress_scroll_pointer_update=!0;home_msg_list.empty()||message_store.do_unread_count_updates(home_msg_list.all_messages())},0);stream_list.set_in_home_view(a.name,a.in_home_view);$(".subscription_settings[data-stream-id='"+
a.stream_id+"'] #sub_setting_not_in_home_view .sub_setting_control").prop("checked",!b)}function l(c){c=b(c.target);var d=stream_data.get_sub(c);d.desktop_notifications=!d.desktop_notifications;a(c,"desktop_notifications",d.desktop_notifications)}function m(c){c=b(c.target);var d=stream_data.get_sub(c);d.audible_notifications=!d.audible_notifications;a(c,"audible_notifications",d.audible_notifications)}function t(a){a=b(a.target);w.toggle_pin_to_top_stream(a)}function q(a,b){var c="#email-address-hint-"+
a.stream_id,d=$(c);d.popover({placement:"bottom",title:"Email integration",content:b,trigger:"manual"});$("body").on("mouseover",c,function(a){d.popover("show");a.stopPropagation()});$("body").on("mouseout",c,function(a){d.popover("hide");a.stopPropagation()})}function n(a){var b=people.get_by_email(a);return templates.render("stream_member_list_entry",{name:b.full_name,email:a,displaying_for_admin:page_params.is_admin})}function p(a){a=a.data("stream-id");return $('.subscription_settings[data-stream-id="'+
a+'"] .subscriber-list')}function s(a){var b=a.data("stream-id");a=stream_data.get_sub_by_id(b);var c=h(a),d=c.find(".subscriber_list_container .alert-warning"),e=c.find(".subscriber_list_container .alert-error"),f=c.find(".subscriber_list_loading_indicator");if(a.render_subscribers){var g=p(c);d.addClass("hide");e.addClass("hide");g.empty();loading.make_indicator(f);channel.get({url:"/json/streams/"+b+"/members",idempotent:!0,success:function(a){loading.destroy_indicator(f);a=_.map(a.subscribers,
function(a){return void 0===people.get_by_email(a)?a:n(a)});_.each(a.sort(),function(a){g.append(a)})},error:function(){loading.destroy_indicator(f);e.removeClass("hide").text("Could not fetch subscriber list")}});c.find('input[name="principal"]').typeahead({source:people.get_realm_persons,items:5,highlighter:function(a){a=typeahead_helper.render_person(a);return typeahead_helper.highlight_with_escaping(this.query,a)},matcher:function(a){var b=$.trim(this.query.toLowerCase());return""===b||b===a.email?
!1:-1!==a.email.toLowerCase().indexOf(b)||-1!==a.full_name.toLowerCase().indexOf(b)},sorter:typeahead_helper.sort_recipientbox_typeahead,updater:function(a){return a.email}});b=c.find(".colorpicker");a=stream_data.get_color(a.name);stream_color.set_colorpicker_color(b,a)}}function u(){$("[data-temp-view]").removeAttr("data-temp-view","false")}function r(a,b){var c=a.input.toLowerCase().split(",").map(function(a){return a.trim()}),d;return d=(d=function(){var a=b.name.toLowerCase();return _.any(c,
function(b){if(-1!==a.indexOf(b))return!0})}())&&(b.subscribed||!a.subscribed_only||"true"===b.data_temp_view)}function x(){var a=$("#add_new_subscription input[type='text']").expectOne().val().trim(),b;b=components.toggle.lookup("stream-filter-toggle")?"Subscribed"===components.toggle.lookup("stream-filter-toggle").value():!1;w.filter_table({input:a,subscribed_only:b})}function y(a){var b;return channel.post({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([{name:a}])},success:function(a,
c,d){subs.is_open&&($("#create_stream_name").val(""),x());a=JSON.parse(d.responseText);$.isEmptyObject(a.already_subscribed)||(b=a.already_subscribed[people.my_current_email()][0],ui.report_success(i18n.t("Already subscribed to __stream__",{stream:b}),$("#subscriptions-status"),"subscriptions-status"))},error:function(a){ui.report_error(i18n.t("Error adding subscription"),a,$("#subscriptions-status"),"subscriptions-status")}})}function z(a){return channel.del({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([a])},
success:function(){$("#subscriptions-status").hide()},error:function(a){ui.report_error(i18n.t("Error removing subscription"),a,$("#subscriptions-status"),"subscriptions-status")}})}function A(a,b,c,d,e){return channel.post({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([{name:a,description:b}]),principals:JSON.stringify(c),invite_only:JSON.stringify(d),announce:JSON.stringify(e)},success:function(){$("#create_stream_name").val("");$("#create_stream_description").val("");$("#subscriptions-status").hide()},
error:function(a){ui.report_error(i18n.t("Error creating stream"),a,$("#subscriptions-status"),"subscriptions-status")}})}function B(){var a=$("#announce-new-stream input"),b=!1;"invite-only"===$("input:radio[name=privacy]:checked").val()?(b=!0,a.prop("checked",!1)):b=$("#user-checkboxes input").length===$("#user-checkboxes input:checked").length;a.prop("disabled",b)}function v(){$("#stream-creation").removeClass("hide");$(".right .settings").hide();$("#people_to_add").html(templates.render("new_stream_users",
{users:people.get_rest_of_realm(),streams:stream_data.get_streams_for_settings_page()}));$("#make-invite-only input:radio[value=public]").prop("checked",!0);$("#announce-new-stream input").prop("disabled",!1);$("#announce-new-stream input").prop("checked",!0);$("#stream_name_error").hide();$("#stream-checkboxes label.checkbox").on("change",function(a){var b=$(this),c=b.attr("data-stream-id"),d=b.find("input").prop("checked"),e=stream_data.get_sub_by_id(c).subscribers;$("#user-checkboxes label.checkbox").each(function(){var a=
$(this),b=a.attr("data-user-id");e.has(b)&&a.find("input").prop("checked",d)});B();a.preventDefault()})}function F(){var a=narrow.stream();void 0!==a&&void 0===stream_data.get_sub(a)&&$("#create_stream_name").val(a)}var D={},I=!1,L=!1,w={set_all_stream_desktop_notifications_to:function(a){e("desktop_notifications",a)},set_all_stream_audible_notifications_to:function(a){e("audible_notifications",a)},toggle_home:function(b){var c=stream_data.get_sub(b);g(c,!c.in_home_view);a(b,"in_home_view",c.in_home_view)},
toggle_pin_to_top_stream:function(b){var c=stream_data.get_sub(b);a(b,"pin_to_top",!c.pin_to_top)},set_color:function(b,c){var d=stream_data.get_sub_by_id(b);a(d.name,"color",c)},rerender_subscribers_count:function(a){var b=parseInt(a.stream_id,10);stream_data.update_subscribers_count(a);$(".stream-row[data-stream-id='"+b+"'] .subscriber-count-text").text(a.subscriber_count)},show_settings_for:function(a){var b=stream_data.get_sub_by_id(a),b=h(b);a=$(".subscription_settings[data-stream-id='"+a+"']");
$(".subscription_settings[data-stream].show").removeClass("show");$("#subscription_overlay .subscription_settings.show").removeClass("show");b.addClass("show");s(a)},mark_subscribed:function(a,b){var c=stream_data.get_sub(a);if(void 0===c)blueslip.error("Unknown stream in mark_subscribed: "+a);else if(!c.subscribed){var d=stream_data.get_colors(),d=stream_color.pick_color(d);w.set_color(c.stream_id,d);stream_data.subscribe_myself(c);b&&stream_data.set_subscriber_emails(c,b.subscribers);var d=h(c),
e=k(c),g=f(c).removeClass("unsubscribed");if(0!==e.length)w.rerender_subscribers_count(c),e.toggleClass("checked"),g.text(i18n.t("Unsubscribe")),c.render_subscribers&&d.hasClass("in")&&(e=people.my_current_email(),p(d).prepend(n(e)));else{e=stream_data.add_admin_options(c);stream_data.update_subscribers_count(e);var g=templates.render("subscription",e),l=templates.render("subscription_settings",e);$(".streams-list").append(g);$(".subscriptions .settings").append($(l));g=templates.render("email_address_hint",
{page_params:page_params});q(e,g);I&&($(".stream-row[data-stream-id='"+stream_data.get_sub(I).stream_id+"']").click(),I=!1)}d=d.closest(".stream-row");d.find(".color_swatch").addClass("in");d.find(".regular_subscription_settings").collapse("show");current_msg_list.narrowed&&current_msg_list.update_trailing_bookend();message_store.do_unread_count_updates(message_list.all.all_messages());$(document).trigger($.Event("subscription_add_done.zulip",{sub:c}))}},mark_unsubscribed:function(a){a=stream_data.get_sub(a);
w.mark_sub_unsubscribed(a)},mark_sub_unsubscribed:function(a){if(void 0!==a&&a.subscribed){stream_data.unsubscribe_myself(a);var b=k(a),c=f(a).addClass("unsubscribed");b.toggleClass("checked");c.text(i18n.t("Subscribe"));b=h(a);b.hasClass("in")&&b.collapse("hide");w.rerender_subscribers_count(a);b=b.closest(".stream-row");b.find(".color_swatch").removeClass("in");a.render_subscribers&&b.find(".regular_subscription_settings").collapse("hide");current_msg_list.narrowed&&current_msg_list.update_trailing_bookend();
$(document).trigger($.Event("subscription_remove_done.zulip",{sub:a}));$(".stream-row[data-stream-id='"+a.stream_id+"']").attr("data-temp-view",!0)}}};w.remove_miscategorized_streams=u;w.filter_table=function(a){_.each($("#subscriptions_table .stream-row"),function(b){var c=stream_data.get_sub_by_id($(b).attr("data-stream-id"));c.data_temp_view=$(b).attr("data-temp-view");r(a,c)?$(b).removeClass("notdisplayed"):$(b).addClass("notdisplayed")});$(".stream-row.active").hasClass("notdisplayed")&&($(".right .settings").hide(),
$(".nothing-selected").show(),$(".stream-row.active").removeClass("active"))};var G=_.throttle(x,50);w.setup_page=function(a){function b(){var a=components.toggle({name:"stream-filter-toggle",selected:0,values:[{label:"Subscribed"},{label:"All streams"}],callback:function(){x();u()}}).get();page_params.is_zephyr_mirror_realm||$("#subscriptions_table .search-container").prepend(a);$(".display-type #stream_settings_title").show()}function c(){var d=stream_data.get_streams_for_settings_page();$("#subscriptions_table").empty();
var e=templates.render("subscription_table_body",{can_create_streams:page_params.can_create_streams,subscriptions:d,hide_all_streams:!!page_params.is_zephyr_mirror_realm});$("#subscriptions_table").append(e);b();x();var f=templates.render("email_address_hint",{page_params:page_params});_.each(d,function(a){q(a,f)});$("#add_new_subscription input[type='text']").on("input",function(){u();G()});$(document).trigger($.Event("subs_page_loaded.zulip"));a&&(a(),w.onlaunchtrigger())}(function(){i18n.ensure_i18n(function(){c()})})();
page_params.is_zephyr_mirror_realm&&$("#create_stream_button").val(i18n.t("Subscribe"))};w.onlaunch=function(a,b,c){D[a]={func:b,keep:c}};w.onlaunchtrigger=function(){for(var a in D)"function"===typeof D[a].func&&(D[a].func(),D[a].keep||delete D[a])};w.launch=function(){L=!0;w.setup_page(function(){$("#subscription_overlay").fadeIn(300)})};Object.defineProperty(w,"is_open",{get:function(){return L},enumerable:!1});w.close=function(){hashchange.exit_settings();L=!1;$("#subscription_overlay").fadeOut(500);
subs.remove_miscategorized_streams()};w.update_subscription_properties=function(a,b,c){var d=stream_data.get_sub(a);if(void 0===d)blueslip.warn("Update for an unknown subscription",{stream_name:a,property:b,value:c});else switch(b){case "color":stream_color.update_stream_color(d,a,c,{update_historical:!0});break;case "in_home_view":g(d,c);break;case "desktop_notifications":$(".subscription_settings[data-stream-id='"+d.stream_id+"'] #sub_desktop_notifications_setting .sub_setting_control").prop("checked",
c);d.desktop_notifications=c;break;case "audible_notifications":$(".subscription_settings[data-stream-id='"+d.stream_id+"'] #sub_audible_notifications_setting .sub_setting_control").prop("checked",c);d.audible_notifications=c;break;case "name":a=d.stream_id;b=stream_data.rename_sub(a,c);stream_list.rename_stream(b,c);d=h(stream_data.get_sub_by_id(a));d.find(".email-address").text(b.email_address);d.find(".stream-name-editable").text(c);$(".stream-row[data-stream-id='"+b.stream_id+"']").find(".stream-name").text(c);
message_live_update.update_stream_name(a,c);break;case "description":d.description=c;$(".stream-row[data-stream-id="+d.stream_id+"]").find(".description").text(c);a=h(d);a.find("input.description").val(c);a.find(".stream-description-editable").text(c);break;case "email_address":d.email_address=c;break;case "pin_to_top":$("#pinstream-"+d.stream_id).prop("checked",c);d.pin_to_top=c;stream_list.refresh_pinned_or_unpinned_stream(d);break;default:blueslip.warn("Unexpected subscription property type",{property:b,
value:c})}};w.invite_user_to_stream=function(a,b,c,d){return channel.post({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([{name:b}]),principals:JSON.stringify([a])},success:c,error:d})};w.remove_user_from_stream=function(a,b,c,d){return channel.del({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([b]),principals:JSON.stringify([a])},success:c,error:d})};w.change_stream_description=function(a){a.preventDefault();a=$(a.target).closest(".subscription_settings");
var c=b(a),c=stream_data.get_sub(c).stream_id;a=a.find(".stream-description-editable").text().trim();$("#subscriptions-status").hide();channel.patch({url:"/json/streams/"+c,data:{description:JSON.stringify(a)},success:function(){ui.report_success(i18n.t("The stream description has been updated!"),$("#subscriptions-status"),"subscriptions-status")},error:function(a){ui.report_error(i18n.t("Error updating the stream description"),a,$("#subscriptions-status"),"subscriptions-status")}})};w.change_stream_name=
function(a){a.preventDefault();var b=$(a.target).closest(".subscription_settings");a=$(a.target).closest(".subscription_settings").attr("data-stream-id");var c=b.find(".stream-name-editable"),b=$.trim(c.text());$("#subscriptions-status").hide();channel.patch({url:"/json/streams/"+a,data:{new_name:JSON.stringify(b)},success:function(){c.val("");ui.report_success(i18n.t("The stream has been renamed!"),$("#subscriptions-status "),"subscriptions-status")},error:function(a){ui.report_error(i18n.t("Error renaming stream"),
a,$("#subscriptions-status"),"subscriptions-status")}})};$(function(){function a(b,c){$(".display-type #add_new_stream_title").hide();$(".display-type #stream_settings_title, .right .settings").show();$(".stream-row.active").removeClass("active");c?(f.settings(),$(b).addClass("active"),w.show_settings_for(d(b))):f.nothing_selected()}function e(a,b,c,d,f){a.preventDefault();var g=$(a.target).closest(".subscription_settings").attr("data-stream-id"),l=stream_data.get_sub_by_id(g);$("#subscriptions-status").hide();
channel.patch({url:"/json/streams/"+g,data:{stream_name:l.name,is_private:b},success:function(){l=stream_data.get_sub_by_id(g);var a=h(l),b=$(".stream-row[data-stream-id='"+g+"']");l.invite_only=f;var d=l,e=h(d),m,d=stream_data.add_admin_options(d);m=templates.render("subscription_setting_icon",d);b.find(".icon").expectOne().replaceWith($(m));m=templates.render("subscription_type",d);e.find(".subscription-type").expectOne().html(m);d.invite_only?e.find(".large-icon").removeClass("hash").addClass("lock").html("<i class='icon-vector-lock'></i>"):
e.find(".large-icon").addClass("hash").removeClass("lock").html("");m=templates.render("change_stream_privacy",d);e.find(".change-stream-privacy").expectOne().html(m);stream_list.redraw_stream_privacy(d.name);a=a.find(".change-stream-privacy-feedback").expectOne();ui.report_success(c,a)},error:function(a){var b=h(l).find(".change-stream-privacy-feedback").expectOne();ui.report_error(d,a,b)}})}stream_data.initialize_from_page_params();stream_list.create_initial_sidebar_rows();stream_list.build_stream_list();
var f={nothing_selected:function(){$(".nothing-selected, #stream_settings_title").show();$("#add_new_stream_title, .settings, #stream-creation").hide()},stream_creation:function(){$("#stream-creation, #add_new_stream_title").show();$("#stream_settings_title, .settings, .nothing-selected").hide()},settings:function(){$(".settings, #stream_settings_title").show();$("#add_new_stream_title, #stream-creation, .nothing-selected").hide()}};$("#subscriptions_table").on("click","#create_stream_button",function(a){a.preventDefault();
$(".display-type #add_new_stream_title").show();$(".display-type #stream_settings_title").hide();$(".stream-row.active").removeClass("active");f.stream_creation();page_params.is_zephyr_mirror_realm?y($("#search_stream_name").val()):(a=$.trim($("#search_stream_name").val()),$("#create_stream_name").val(a),v(),$("#create_stream_name").focus())});$("body").on("change","#user-checkboxes input, #make-invite-only input",B);$(".subscriptions").on("click","[data-dismiss]",function(a){a.preventDefault();0!==
a.clientY&&f.nothing_selected()});$(document).on("click",".subs_set_all_users",function(a){$("#user-checkboxes .checkbox").each(function(a,b){"none"!==b.style.display&&$(b.firstElementChild).prop("checked",!0)});a.preventDefault();B()});$(document).on("click",".subs_unset_all_users",function(a){$("#user-checkboxes .checkbox").each(function(a,b){"none"!==b.style.display&&$(b.firstElementChild).prop("checked",!1)});a.preventDefault();B()});$(document).on("click","#copy-from-stream-expand-collapse",
function(a){$("#stream-checkboxes").toggle();$("#copy-from-stream-expand-collapse .toggle").toggleClass("icon-vector-caret-right icon-vector-caret-down");a.preventDefault();B()});$(document).on("input",".add-user-list-filter",function(a){var b=$(".add-user-list-filter");if(0!==b){var c=b.expectOne().val().trim(),d=c.toLowerCase().split(",");(function(){var a=$("#user-checkboxes label.add-user-label");if(""===c)a.css({display:"block"});else{var b=people.get_rest_of_realm(),e=people.filter_people_by_search_terms(b,
d);a.each(function(){var a=$(this),b=a.attr("data-user-id"),b=e.has(b)?"block":"none";a.css({display:b})})}})();B();a.preventDefault()}});$("body").on("mouseover","#announce-stream-docs",function(a){var b=$("#announce-stream-docs");b.popover({placement:"right",content:templates.render("announce_stream_docs"),trigger:"manual"});b.popover("show");b.data("popover").tip().css("z-index",2E3);a.stopPropagation()});$("body").on("mouseout","#announce-stream-docs",function(a){$("#announce-stream-docs").popover("hide");
a.stopPropagation()});$(".subscriptions").on("focusout","#create_stream_name",function(){var a=$.trim($("#create_stream_name").val());0!==a.length?"does-not-exist"!==compose.check_stream_existence(a)?($("#stream_name_error").text(i18n.t("A stream with this name already exists")),$("#stream_name_error").show()):$("#stream_name_error").hide():($("#stream_name_error").text(i18n.t("A stream needs to have a name")),$("#stream_name_error").show())});$(".subscriptions").on("submit","#stream_creation_form",
function(a){a.preventDefault();a=$.trim($("#create_stream_name").val());var b=$.trim($("#create_stream_description").val());if(!$("#stream_name_error").is(":visible")){var c=_.map($("#stream_creation_form input:checkbox[name=user]:checked"),function(a){return $(a).val()});c.push(people.my_current_email());I=a;A(a,b,c,"invite-only"===$("#stream_creation_form input[name=privacy]:checked").val(),$("#announce-new-stream input").prop("checked"))}});$("body").on("mouseover",".subscribed-button",function(a){$(a.target).addClass("btn-danger").text(i18n.t("Unsubscribe"))}).on("mouseout",
".subscribed-button",function(a){$(a.target).removeClass("btn-danger").text(i18n.t("Subscribed"))});$(".subscriptions").on("click","#close-subscriptions-status",function(){$("#subscriptions-status").hide()});$("#subscriptions_table").on("click",".email-address",function(){var a,b;window.getSelection?(b=window.getSelection(),a=document.createRange(),a.selectNodeContents(this),b.removeAllRanges(),b.addRange(a)):document.body.createTextRange&&(a=document.body.createTextRange(),a.moveToElementText(this),
a.select())});$("#subscriptions_table").on("click",".sub_unsub_button",function(a){var c=b(a.target);stream_data.get_sub(c).subscribed?z(c):y(c);a.preventDefault();a.stopPropagation()});$("body").on("click",".popover_sub_unsub_button",function(a){$(this).toggleClass("unsub");$(this).closest(".popover").fadeOut(500).delay(500).remove();var b=$(a.target).data("name");stream_data.get_sub(b).subscribed?z(b):y(b);a.preventDefault();a.stopPropagation()});$("#zfilt").on("click",".stream_sub_unsub_button",
function(a){a.preventDefault();a.stopPropagation();a=narrow.stream();void 0!==a&&(stream_data.get_sub(a).subscribed?z(a):y(a))});$(".empty_feed_sub_unsub").click(function(a){a.preventDefault();$("#subscription-status").hide();a=narrow.stream();void 0!==a&&(stream_data.get_sub(a).subscribed?z(a):y(a),$(".empty_feed_notice").hide(),$("#empty_narrow_message").show())});$("#subscriptions_table").on("click",".sub_setting_checkbox",function(a){var b=$(a.target).closest(".sub_setting_checkbox").find(".sub_setting_control");
b[0]!==a.target&&b.prop("checked",!b.prop("checked"))});$("#subscriptions_table").on("click","#sub_setting_not_in_home_view",c);$("#subscriptions_table").on("click","#sub_desktop_notifications_setting",l);$("#subscriptions_table").on("click","#sub_audible_notifications_setting",m);$("#subscriptions_table").on("click","#sub_pin_setting",t);$("#subscriptions_table").on("submit",".subscriber_list_add form",function(a){a.preventDefault();a=$(a.target).closest(".subscription_settings");var c=b(a),d=a.find('input[name="principal"]'),
e=$.trim(d.val()),f=a.find(".subscriber_list_container .alert-error"),g=a.find(".subscriber_list_container .alert-warning");w.invite_user_to_stream(e,c,function(a){d.val("");a.subscribed.hasOwnProperty(e)?(f.addClass("hide"),g.addClass("hide"),people.is_current_user(e)&&w.mark_subscribed(c)):(f.addClass("hide"),g.removeClass("hide").text("User already subscribed"))},function(){g.addClass("hide");f.removeClass("hide").text("Could not add user to this stream")})});$("#subscriptions_table").on("click",
".stream-row",function(b){0===$(b.target).closest(".check, .subscription_settings").length&&a(this,b)});(function(){$("#subscriptions_table").on("click",".search-container, .streams-list, .subscriptions-header",function(b){$(b.target).is(".search-container, .streams-list, .subscriptions-header")&&a(this)})})();$("#subscriptions_table").on("submit",".subscriber_list_remove form",function(a){a.preventDefault();var c=$(a.target).closest("tr"),d=c.children(".subscriber-email").text();a=$(a.target).closest(".subscription_settings");
var e=b(a),f=a.find(".subscriber_list_container .alert-error"),g=a.find(".subscriber_list_container .alert-warning");w.remove_user_from_stream(d,e,function(a){0<a.removed.length?(f.addClass("hide"),g.addClass("hide"),c.remove(),people.is_current_user(d)&&w.mark_unsubscribed(e)):(f.addClass("hide"),g.removeClass("hide").text("User already not subscribed"))},function(){g.addClass("hide");f.removeClass("hide").text("Could not remove user from this stream")})});$("#subscriptions_table").on("click",".make-stream-public-button",
function(a){e(a,!1,"The stream has been made public!","Error making stream public",!1)});$("#subscriptions_table").on("click",".make-stream-private-button",function(a){e(a,!0,"The stream has been made private!","Error making stream private",!0)});$("#subscriptions_table").on("show",".regular_subscription_settings",function(a){a.stopPropagation()});$("#subscriptions_table").on("hide",".subscription_settings",function(a){a=$(a.target).closest(".stream-row").find(".sub_arrow i");a.removeClass("icon-vector-chevron-up");
a.addClass("icon-vector-chevron-down")});$(document).on("peer_subscribe.zulip",function(a,b){var c=stream_data.get_sub(b.stream_name);w.rerender_subscribers_count(c);var c=h(c),d=b.user_email;p(c).prepend(n(d))});$(document).on("peer_unsubscribe.zulip",function(a,b){var c=stream_data.get_sub(b.stream_name);w.rerender_subscribers_count(c);h(c).find("tr[data-subscriber-email='"+b.user_email+"']").remove()})});w.show_and_focus_on_narrow=function(){$(document).one("subs_page_loaded.zulip",F);ui.change_tab_to("#subscriptions")};
return w}();"undefined"!==typeof module&&(module.exports=subs);var message_edit=function(){function h(a,b){b=b||0;if(!a||!a.sent_by_me)return c.NO;if(a.failed_request)return c.FULL;if(void 0!==a.local_id||!page_params.realm_allow_message_editing)return c.NO;if(0===page_params.realm_message_content_edit_limit_seconds)return c.FULL;var d=new XDate;return 0<page_params.realm_message_content_edit_limit_seconds+b+d.diffSeconds(1E3*a.timestamp)?c.FULL:"stream"===a.type?c.TOPIC_ONLY:c.NO_LONGER}function k(a,b){var c;c=b.keyCode||b.which;if("message_edit_content"===
b.target.id&&13===c&&(b.metaKey||b.ctrlKey))c=$(".message_edit_content").filter(":focus").closest(".message_row");else if("message_edit_topic"===b.target.id&&13===c)c=$(b.target).closest(".message_row");else if("inline_topic_edit"===b.target.id&&13===c)c=$(b.target).closest(".recipient_row");else return;b.stopPropagation();b.preventDefault();message_edit.save(c,a)}function f(a){var b=Math.floor(a/60),c=a%60;return 1<=b?i18n.t("__minutes__ min to edit",{minutes:b.toString()}):10<=a?i18n.t("__seconds__ sec to edit",
{seconds:(c-c%5).toString()}):i18n.t("__seconds__ sec to edit",{seconds:c.toString()})}function a(a,d){var e=a.find(".message_content")[0].getBoundingClientRect().top,t=current_msg_list.get(rows.id(a)),q=h(t,5),n=q===message_edit.editability_types.TOPIC_ONLY||q===message_edit.editability_types.FULL,p=$(templates.render("message_edit_form",{is_stream:"stream"===t.type,is_editable:n,has_been_editable:q!==c.NO,topic:t.subject,content:d,minutes_to_edit:Math.floor(page_params.realm_message_content_edit_limit_seconds/
60)})),s={form:p,raw_content:d};b[t.id]=s;current_msg_list.show_edit_message(a,s);p.keydown(_.partial(k,!1));var u=a.find("textarea.message_edit_content"),r=a.find("input.message_edit_topic"),x=a.find("select.message_edit_topic_propagate"),y=a.find(".message_edit_countdown_timer");q===c.NO?(u.prop("readonly","readonly"),r.prop("readonly","readonly")):q===c.NO_LONGER?(u.prop("readonly","readonly"),y.text(i18n.t("View source"))):q===c.TOPIC_ONLY?(u.prop("readonly","readonly"),y.text(i18n.t("Topic editing only"))):
q===c.FULL&&composebox_typeahead.initialize_compose_typeahead("#message_edit_content",{emoji:!0,stream:!0});q!==c.NO&&0<page_params.realm_message_content_edit_limit_seconds&&(a.find(".message-edit-timer-control-group").show(),a.find("#message_edit_tooltip").tooltip({animation:!1,placement:"left",template:'<div class="tooltip" role="tooltip"><div class="tooltip-arrow"></div><div class="tooltip-inner message-edit-tooltip-inner"></div></div>'}));if(q===c.FULL&&0<page_params.realm_message_content_edit_limit_seconds){var p=
new XDate,z=page_params.realm_message_content_edit_limit_seconds+p.diffSeconds(1E3*t.timestamp),z=Math.floor(Math.max(z,10)),A=a.find("button.message_edit_save");y.text(f(z));var B=setInterval(function(){0>=z-1?(clearInterval(B),u.prop("readonly","readonly"),"stream"===t.type&&(r.prop("readonly","readonly"),x.hide()),A.addClass("disabled"),y.text(i18n.t("Time's up!"))):y.text(f(z))},1E3)}n?"stream"===t.type&&t.subject===compose.empty_topic_placeholder()?(r.val(""),r.focus()):q===c.TOPIC_ONLY?a.find(".message_edit_cancel").focus():
(u.focus(),q=u.val(),u.val(""),u.val(q)):a.find(".message_edit_close").focus();e=u[0].getBoundingClientRect().top-e+5;s.scrolled_by=e;viewport.scrollTop(viewport.scrollTop()+e);if(feature_flags.propagate_topic_edits&&void 0===t.local_id){var v=t.subject;r.keyup(function(){var a=r.val();x.toggle(a!==v&&""!==a)})}}function e(b,c){a(b,c);var d=b.height()+b.offset().top,e=$("#compose").offset().top;d>e&&viewport.scrollTop(viewport.scrollTop()+d-e)}var d={},b={},c={NO:1,NO_LONGER:2,TOPIC_ONLY:3,FULL:4};
d.editability_types=c;d.get_editability=h;d.save=function(a,b){var c=current_msg_list,d;d=a.hasClass("recipient_row")?rows.id_for_recipient_row(a):rows.id(a);var e=current_msg_list.get(d),f=!1,h=a.find(".message_edit_content").val(),k=!1,u;"stream"===e.type&&(u=b?a.find(".inline_topic_edit").val():a.find(".message_edit_topic").val(),k=u!==e.subject&&""!==u.trim());if(void 0!==e.local_id){if(h!==e.raw_content||k)echo.edit_locally(e,h,k?u:void 0),a=current_msg_list.get_row(d);message_edit.end(a)}else d=
{message_id:e.id},k&&(d.subject=u,feature_flags.propagate_topic_edits&&(f=a.find("select.message_edit_topic_propagate").val()||"change_later",d.propagate_mode=f),f=!0),h!==e.raw_content&&!b&&(d.content=h,e.is_me_message=0===h.lastIndexOf("/me",0),f=!0),f?channel.patch({url:"/json/messages/"+e.id,data:d,success:function(){c===current_msg_list&&a.find(".edit_error").text("Message successfully edited!").removeClass("alert-error").addClass("alert-success").show()},error:function(b){c===current_msg_list&&
(b=channel.xhr_error_message("Error saving edit",b),a.find(".edit_error").text(b).show())}}):message_edit.end(a)};d.start=function(a){var b=current_msg_list.get(rows.id(a)),c=current_msg_list;channel.get({url:"/json/messages/"+b.id,idempotent:!0,success:function(d){current_msg_list===c&&(b.raw_content=d.raw_content,e(a,d.raw_content))}})};d.start_local_failed_edit=function(a,b){e(a,b.raw_content)};d.start_topic_edit=function(a){var b=$(templates.render("topic_edit_form"));current_msg_list.show_edit_topic(a,
b);b.keydown(_.partial(k,!0));a=rows.id_for_recipient_row(a);a=current_msg_list.get(a).subject;a===compose.empty_topic_placeholder()&&(a="");b.find(".inline_topic_edit").val(a).select().focus()};d.is_editing=function(a){return void 0!==b[a]};d.end=function(a){var c=current_msg_list.get(rows.id(a));if(void 0!==c&&void 0!==b[c.id]){var d=b[c.id].scrolled_by;viewport.scrollTop(viewport.scrollTop()-d);delete b[c.id];current_msg_list.hide_edit_message(a)}void 0!==a&&current_msg_list.hide_edit_topic(a)};
d.maybe_show_edit=function(a,c){void 0!==b[c]&&current_msg_list.show_edit_message(a,b[c])};$(document).on("narrow_deactivated.zulip",function(){_.each(b,function(a,b){if(void 0!==current_msg_list.get(b)){var c=current_msg_list.get_row(b);current_msg_list.show_edit_message(c,a)}})});return d}();"undefined"!==typeof module&&(module.exports=message_edit);var condense=function(){function h(a){a.find(".message_condenser").hide();a.find(".message_expander").show()}function k(a){a.find(".message_content").addClass("condensed");h(a)}function f(a){a.find(".message_content").removeClass("condensed");a.find(".message_expander").hide();a.find(".message_condenser").show()}var a={},e=new Dict;a.uncollapse=function(a){var b=current_msg_list.get(rows.id(a));b.collapsed=!1;message_flags.send_collapsed([b],!1);var c=function(a){var c=a.find(".message_content");
c.removeClass("collapsed");!0===b.condensed?k(a):!1===b.condensed?f(a):c.hasClass("could-be-condensed")?k(a):a.find(".message_expander").hide()},e=home_msg_list.get_row(rows.id(a));c(a);c(e)};a.collapse=function(a){var b=current_msg_list.get(rows.id(a));b.collapsed=!0;message_flags.send_collapsed([b],!0);var b=function(a){a.find(".message_content").addClass("collapsed");h(a)},c=home_msg_list.get_row(rows.id(a));b(a);b(c)};a.clear_message_content_height_cache=function(){e=new Dict};a.un_cache_message_content_height=
function(a){e.del(a)};a.condense_and_collapse=function(a){var b=0.65*viewport.height();_.each(a,function(a){var d=$(a).find(".message_content"),h=current_msg_list.get(rows.id($(a)));if(void 0!==d&&void 0!==h){var m;m=h.id;if(e.has(m))m=e.get(m);else{var t=a.offsetHeight;e.set(m,t);m=t}(m=m>b)?d.addClass("could-be-condensed"):d.removeClass("could-be-condensed");!0===h.condensed?k($(a)):!1===h.condensed?f($(a)):(m?k($(a)):(d.removeClass("condensed"),$(a).find(".message_expander").hide()),h.collapsed&&
(d.addClass("collapsed"),$(a).find(".message_expander").show()))}})};$(function(){$("#home").on("click",".message_expander",function(){var d=$(this).closest(".message_row"),b=current_msg_list.get(rows.id(d)),c=d.find(".message_content");b.collapsed?a.uncollapse(d):c.hasClass("condensed")&&(b.condensed=!1,c.removeClass("condensed"),$(this).hide(),d.find(".message_condenser").show())});$("#home").on("click",".message_condenser",function(){var a=$(this).closest(".message_row");current_msg_list.get(rows.id(a)).condensed=
!0;k(a)})});return a}();"undefined"!==typeof module&&(module.exports=condense);var resize=function(){function h(a,c){var d=0;_.each(a,function(a){d+=a.real_height});_.each(a,function(a){var b=a.real_height/d,b=0.05>b?0.05:0.85<b?0.85:b;a.max_height=80>c*b?80:c*b>1.2*a.real_height?1.2*a.real_height:c*b})}function k(){var a={},c=viewport.height(),d=$("#top_navbar").outerHeight(!0),e=$("#invite-user-link").outerHeight(!0)||0;a.bottom_whitespace_height=0.4*c;a.main_div_min_height=c-d;a.bottom_sidebar_height=c-d-40;a.right_sidebar_height=c-parseInt($("#right-sidebar").css("marginTop"),
10);a.stream_filters_max_height=a.bottom_sidebar_height-$("#global_filters").outerHeight(!0)-$("#streams_header").outerHeight(!0)-10;$("#share-the-love").is(":visible")&&(a.stream_filters_max_height-=$("#share-the-love").outerHeight(!0)+20);a.stream_filters_max_height=Math.max(80,a.stream_filters_max_height);c=$("#user_presences").expectOne();d=$("#group-pms").expectOne();e=a.right_sidebar_height-$("#feedback_section").outerHeight(!0)-parseInt(c.css("marginTop"),10)-parseInt(c.css("marginBottom"),
10)-$("#userlist-header").outerHeight(!0)-$(".user-list-filter").outerHeight(!0)-e-parseInt(d.css("marginTop"),10)-parseInt(d.css("marginBottom"),10)-$("#group-pm-header").outerHeight(!0);c=[{real_height:c.prop("scrollHeight")},{real_height:d.prop("scrollHeight")}];h(c,e);a.user_presences_max_height=c[0].max_height;a.group_pms_max_height=c[1].max_height;return a}function f(){var a={},c=viewport.height(),d=viewport.width(),e=$(".header").outerHeight(!0),f=$("#stream_filters").expectOne(),k=$("#user_presences").expectOne(),
q=$("#group-pms").expectOne(),n=f.prop("scrollHeight"),p=k.prop("scrollHeight"),s=q.prop("scrollHeight");a.bottom_whitespace_height=0.4*c;a.main_div_min_height=c-e;a.bottom_sidebar_height=c-parseInt($("#left-sidebar").css("marginTop"),10)-parseInt($(".bottom_sidebar").css("marginTop"),10);a.total_leftlist_height=a.bottom_sidebar_height-$("#global_filters").outerHeight(!0)-$("#streams_header").outerHeight(!0)-$("#userlist-header").outerHeight(!0)-$(".user-list-filter").outerHeight(!0)-$("#group-pm-header").outerHeight(!0)-
parseInt(f.css("marginBottom"),10)-parseInt(k.css("marginTop"),10)-parseInt(k.css("marginBottom"),10)-parseInt(q.css("marginTop"),10)-parseInt(q.css("marginBottom"),10)-15;e=[{real_height:n},{real_height:p},{real_height:s}];h(e,a.total_leftlist_height);a.stream_filters_max_height=e[0].max_height;a.user_presences_max_height=e[1].max_height;a.group_pms_max_height=e[2].max_height;a.viewport_height=c;a.viewport_width=d;return a}var a={},e=!1;a.resize_bottom_whitespace=function(a){page_params.autoscroll_forever?
$("#bottom_whitespace").height($("#compose-container")[0].offsetHeight):void 0!==a&&$("#bottom_whitespace").height(a.bottom_whitespace_height)};a.resize_stream_filters_container=function(b){b=e?f():k();a.resize_bottom_whitespace(b);$("#stream-filters-container").css("max-height",b.stream_filters_max_height);$("#stream-filters-container").perfectScrollbar("update")};a.resize_page_components=function(){var b;page_params.left_side_userlist&&(b=viewport.is_narrow(),$("#top_navbar").removeClass("rightside-userlist"),
b&&!e?(e=!0,popovers.set_userlist_placement("left"),b=$(".bottom_sidebar").expectOne(),b.append($("#user-list").expectOne()),b.append($("#group-pm-list").expectOne()),b.append($("#share-the-love").expectOne()),$("#user_presences").css("margin","0px"),$("#group-pms").css("margin","0px"),$("#userlist-toggle").css("display","none"),$("#invite-user-link").hide()):!b&&e&&(e=!1,popovers.set_userlist_placement("right"),b=$("#right-sidebar").expectOne(),b.append($("#user-list").expectOne()),b.append($("#group-pm-list").expectOne()),
$("#user_presences").css("margin",""),$("#group-pms").css("margin",""),$("#userlist-toggle").css("display",""),$("#invite-user-link").show()));b=e?f():k();a.resize_bottom_whitespace(b);$("#stream-filters-container").css("max-height",b.stream_filters_max_height);$("#user_presences").css("max-height",b.user_presences_max_height);$("#group-pms").css("max-height",b.group_pms_max_height);$("#stream-filters-container").perfectScrollbar("update")};var d=$(window).width();a.handler=function(){var b=$(window).width();
b!==d&&(d=b,condense.clear_message_content_height_cache());popovers.hide_all();a.resize_page_components();-1!==current_msg_list.selected_id()&&navigate.scroll_to_selected()};return a}();"undefined"!==typeof module&&(module.exports=resize);var floating_recipient_bar=function(){var h={},k=!1,f;h.hide=function(){k&&($("#floating_recipient_bar").css("visibility","hidden"),k=!1)};h.update=function(){var a=$("#floating_recipient_bar"),e=a.offset().top+a.outerHeight(),a=current_msg_list.selected_row();if(!(void 0===a||0===a.length))if(a=rows.get_message_recipient_row(a),void 0!==a){for(;;){if(0===a.length){h.hide();return}if(a.is(".recipient_row")&&a.offset().top<e)break;a=a.prev()}var d=$(a).find(".message_header").outerHeight();if(e<=a.offset().top+
d)h.hide();else{var b;a!==f&&(0!==a.children(".message_header_stream").length?(e=$("#current_label_stream"),d=$("#current_label_private_message"),b=a.children(".message_header_stream")):(e=$("#current_label_private_message"),d=$("#current_label_stream"),b=a.children(".message_header_private_message")),e.find(".message_header").replaceWith(b.clone()),d.css("display","none"),e.css("display","block"),e.attr("zid",rows.id(rows.first_message_in_group(a))),e.toggleClass("faded",a.hasClass("faded")),f=a);
k||($("#floating_recipient_bar").css("visibility","visible"),k=!0)}}};return h}();"undefined"!==typeof module&&(module.exports=floating_recipient_bar);var ui=function(){function h(){var a=viewport.message_viewport_info().visible_height-55;1>a&&(a=1);return a}function k(){void 0!==b&&(b.find("span.edit_content").html(""),b.removeClass("message_hovered"),b=void 0)}function f(a,b){_.each([message_list.all,home_msg_list,message_list.narrowed],function(c){void 0!==c&&(c=c.get_row(a),void 0!==c&&b(c))})}function a(){d=!1;$("#home").hasClass("active")&&(pointer.suppress_scroll_pointer_update?pointer.suppress_scroll_pointer_update=!1:pointer.keep_pointer_in_view(),
floating_recipient_bar.update(),0===viewport.scrollTop()&&ui.have_scrolled_away_from_top?(ui.have_scrolled_away_from_top=!1,message_store.load_more_messages(current_msg_list)):ui.have_scrolled_away_from_top||(ui.have_scrolled_away_from_top=!0),setTimeout(unread.process_visible,0))}var e={},d=!1;e.have_scrolled_away_from_top=!0;e.actively_scrolling=function(){return d};e.home_tab_obscured=function(){return 0<$(".modal:visible").length?"modal":!$("#home").hasClass("active")?"other_tab":!1};e.change_tab_to=
function(a){$('#gear-menu a[href="'+a+'"]').tab("show")};e.focus_on=function(a){$("#"+a).focus()};e.blur_active_element=function(){document.activeElement.blur()};e.page_up_the_right_amount=function(){var a=h();viewport.scrollTop(viewport.scrollTop()-a)};e.page_down_the_right_amount=function(){var a=h();viewport.scrollTop(viewport.scrollTop()+a)};e.replace_emoji_with_text=function(a){a.find(".emoji").replaceWith(function(){return $(this).attr("alt")})};var b;e.report_message=function(a,b,c,d){void 0===
c&&(c="alert");void 0===d&&(d=" ");"subscriptions-status"===d?b.removeClass(status_classes).addClass(c).children("#response").text(a).stop(!0).fadeTo(0,1):b.removeClass(status_classes).addClass(c).text(a).stop(!0).fadeTo(0,1);b.show()};e.report_error=function(a,b,c,d){b&&"4"===b.status.toString().charAt(0)&&(a+=": "+JSON.parse(b.responseText).msg);ui.report_message(a,c,"alert-error",d)};e.report_success=function(a,b,c){ui.report_message(a,b,"alert-success",c)};e.find_message=function(a){var b;_.each([message_list.all,
home_msg_list,message_list.narrowed],function(c){void 0!==c&&void 0===b&&(b=c.get(a))});return b};e.update_starred=function(a,b){var c=e.find_message(a);void 0!==c&&(unread.mark_message_as_read(c),c.starred=b,f(a,function(a){a=a.find(".message_star");b?a.addClass("icon-vector-star").removeClass("icon-vector-star-empty").removeClass("empty-star"):a.removeClass("icon-vector-star").addClass("icon-vector-star-empty").addClass("empty-star");a.attr("title",(c.starred?"Unstar":"Star")+" this message")}))};
var c=[],g=_.throttle(function(){_.each(c,function(a){f(a,function(a){a.find(".message_time").toggleClass("notvisible",!1)})});c=[]},100);e.show_local_message_arrived=function(a){c.push(a);g()};e.show_message_failed=function(a,b){f(a,function(a){a=a.find(".message_failed");a.toggleClass("notvisible",!1);a.find(".failed_text").attr("title",b)})};e.show_failed_message_success=function(a){f(a,function(a){a.find(".message_failed").toggleClass("notvisible",!0)})};e.lightbox=function(a){switch(a.type){case "photo":e.lightbox_photo(a.image,
a.user);break;case "youtube":e.youtube_video(a.id)}$("#overlay").addClass("show");popovers.hide_all()};e.lightbox_photo=function(a,b){var c=$(a).attr("src"),d=$(a).parent().attr("title");$("#overlay .player-container").hide();$("#overlay .image-actions, .image-description, .download").show();var e=new Image;e.src=c;$("#overlay .image-preview").html("").show().append(e);$(".image-description .title").text(d||"N/A");$(".image-description .user").text(b);$(".image-actions .open, .image-actions .download").attr("href",
c)};e.exit_lightbox_photo=function(){$("#overlay").removeClass("show");$(".player-container iframe").remove();document.activeElement.blur()};e.youtube_video=function(a){$("#overlay .image-preview, .image-description, .download").hide();var b=document.createElement("iframe");b.width=window.innerWidth;b.height=0.5625*window.innerWidth;b.src="https://www.youtube.com/embed/"+a;b.setAttribute("frameborder",0);b.setAttribute("allowfullscreen",!0);$("#overlay .player-container").html("").show().append(b);
$(".image-actions .open").attr("href","https://youtu.be/"+a)};var l=!1;e.show_loading_more_messages_indicator=function(){l||(loading.make_indicator($("#loading_more_messages_indicator"),{abs_positioned:!0}),l=!0,floating_recipient_bar.hide())};e.hide_loading_more_messages_indicator=function(){l&&(loading.destroy_indicator($("#loading_more_messages_indicator")),l=!1)};e.switchToFullWidth=function(){$("#full-width-style").remove();$("head").append('<style id="full-width-style" type="text/css">#home .alert-bar, .recipient-bar-content, #compose-container, .app-main, .header-main { max-width: none; }</style>');
return"Switched to full width"};$(function(){var a=$.throttle(50,function(a,b){0<b?viewport.at_top()&&navigate.up():0>b&&viewport.at_bottom()&&navigate.down();viewport.last_movement_direction=b});viewport.message_pane.mousewheel(function(b,c){var d=e.home_tab_obscured();d?"modal"===d&&b.preventDefault():a(b,c)});$(window).resize($.throttle(50,resize.handler));$(".modal-body, .scrolling_list, input, textarea").mousewheel(function(a,b){var c=$(this),d=c.scrollTop(),c=this.scrollHeight-c.innerHeight()-
1;a.stopPropagation();(0<b&&0>=d||0>b&&d>=c)&&a.preventDefault()});$(".emoji_popover").mousewheel(function(a){a.stopPropagation()});$("#compose").mousewheel(function(a){a.stopPropagation();a.preventDefault()});resize.handler();page_params.left_side_userlist||$("#navbar-buttons").addClass("right-userlist");$("#main_div").on("mouseover",".message_row",function(){var a=$(this).closest(".message_row"),c,d=parseInt(a.attr("zid"),10);if((!b||!(a&&b.attr("zid")===a.attr("zid")))&&!a.hasClass("local"))c=
current_msg_list.get(rows.id(a)),k(),a.addClass("message_hovered"),b=a,c.sent_by_me&&(message_edit.get_editability(c)===message_edit.editability_types.FULL&&!c.status_message?a.find(".edit_content").html('<i class="icon-vector-pencil edit_content_button"></i>'):a.find(".edit_content").html('<i class="icon-vector-file-text-alt edit_content_button" data-msgid="'+d+'"></i>'))});$("#main_div").on("mouseleave",".message_row",function(){k()});$("#main_div").on("mouseover",".message_sender",function(){$(this).closest(".message_row").addClass("sender_name_hovered")});
$("#main_div").on("mouseout",".message_sender",function(){$(this).closest(".message_row").removeClass("sender_name_hovered")});$("#subscriptions_table").on("mouseover",".subscription_header",function(){$(this).addClass("active")});$("#subscriptions_table").on("mouseout",".subscription_header",function(){$(this).removeClass("active")});$("#stream").on("blur",function(){compose.decorate_stream_bar(this.value)});$(window).on("blur",function(){$(document.body).addClass("window_blurred")});$(window).on("focus",
function(){$(document.body).removeClass("window_blurred")});$(document).on("message_selected.zulip",function(a){if(current_msg_list===a.msg_list&&-1!==a.id){var b=a.msg_list.get_row(a.id);$(".selected_message").removeClass("selected_message");b.addClass("selected_message");if(a.then_scroll){if(0===b.length){var c=current_msg_list.get_row(a.id);blueslip.debug("message_selected missing selected row",{previously_selected:a.previously_selected,selected_id:a.id,selected_idx:a.msg_list.selected_idx(),selected_idx_exact:a.msg_list._items.indexOf(a.msg_list.get(a.id)),
render_start:a.msg_list.view._render_win_start,render_end:a.msg_list.view._render_win_end,selected_id_from_idx:a.msg_list._items[a.msg_list.selected_idx()].id,msg_list_sorted:_.isEqual(_.pluck(a.msg_list._items,"id"),_.chain(current_msg_list._items).pluck("id").clone().value().sort()),found_in_dom:c.length})}void 0!==a.target_scroll_offset?viewport.set_message_offset(a.target_scroll_offset):viewport.recenter_view(b,{from_scroll:a.from_scroll,force_center:-1===a.previously_selected})}}});$("#main_div").on("mouseenter",
".message_time",function(a){a=$(a.target);var b=a.closest(".message_row"),b=current_msg_list.get(rows.id(b));timerender.set_full_datetime(b,a)});$("#streams_header h4").tooltip({placement:"right",animation:!1});$('#streams_header i[data-toggle="tooltip"]').tooltip({placement:"left",animation:!1});$('.message_failed i[data-toggle="tooltip"]').tooltip();page_params.realm_allow_message_editing||$("#edit-message-hotkey-help").hide();page_params.presence_disabled&&($("#user-list").hide(),$("#group-pm-list").hide());
feature_flags.full_width&&e.switchToFullWidth();reload.initialize();composebox_typeahead.initialize();search.initialize();tutorial.initialize();notifications.initialize();gear_menu.initialize();hashchange.initialize();invite.initialize();pointer.initialize();unread.initialize();activity.initialize();emoji.initialize()});var m,t=0;$(function(){viewport.message_pane.scroll($.throttle(50,function(){unread.process_visible();d=!0;clearTimeout(m);m=setTimeout(a,100)}));$("#new_message_content").blur(function(){t=
$(this).caret()})});e.restore_compose_cursor=function(){$("#new_message_content").focus().caret(t)};$(function(){void 0!==window.bridge&&($("#new_message_content").attr("spellcheck","false"),$("#webathena_login_menu").hide(),$("#normal-zephyr-mirror-error-text").addClass("notdisplayed"),$("#desktop-zephyr-mirror-error-text").removeClass("notdisplayed"))});return e}();"undefined"!==typeof module&&(module.exports=ui);var pointer=function(){function h(){return!a?(a=!0,channel.post({url:"/json/users/me/pointer",idempotent:!0,data:{pointer:pointer.furthest_read},success:function(){pointer.server_furthest_read=pointer.furthest_read;a=!1},error:function(){a=!1}})):$.when()}function k(){if(a){var e=$.Deferred();setTimeout(function(){e.resolve(k())},100);return e}return h()}var f={recenter_pointer_on_display:!1,suppress_scroll_pointer_update:!1,furthest_read:-1,server_furthest_read:-1},a=!1;f.send_pointer_update=function(){pointer.furthest_read>
pointer.server_furthest_read&&h()};f.fast_forward_pointer=function(){channel.get({url:"/json/users/me",idempotent:!0,success:function(a){unread.mark_all_as_read(function(){pointer.furthest_read=a.max_message_id;k().then(function(){ui.change_tab_to("#home");reload.initiate({immediate:!0,save_pointer:!1,save_narrow:!1,save_compose:!0})})})}})};f.keep_pointer_in_view=function(){function a(){if(viewport.at_top())return!0;var b=f.offset().top;return b>=h.visible_top||b+f.outerHeight(!0)>=m?!0:!1}function d(){return viewport.at_bottom()||
f.offset().top<=k}function b(a,b){if(a(f))return!1;for(;!a(f);){c=b(f);if(0===c.length)break;f=c}return!0}var c,f=current_msg_list.selected_row();if(0!==f.length){var h=viewport.message_viewport_info(),m=h.visible_top+0.1*h.visible_height,k=h.visible_top+0.9*h.visible_height;b(a,rows.next_visible)||b(d,rows.prev_visible);current_msg_list.select_id(rows.id(f),{from_scroll:!0})}};f.initialize=function(){pointer.server_furthest_read=page_params.initial_pointer;void 0!==page_params.orig_initial_pointer&&
page_params.orig_initial_pointer>pointer.server_furthest_read&&(pointer.server_furthest_read=page_params.orig_initial_pointer);pointer.furthest_read=pointer.server_furthest_read;$(document).idle({idle:1E3,onIdle:pointer.send_pointer_update,keepTracking:!0});$(document).on("message_selected.zulip",function(a){-1!==a.id&&(a.msg_list===home_msg_list&&void 0===page_params.narrow_stream&&(a.id>pointer.furthest_read&&void 0===home_msg_list.get(a.id).local_id)&&(pointer.furthest_read=a.id),a.mark_read&&
-1!==a.previously_selected&&(a=a.id<a.previously_selected?a.msg_list.message_range(a.id,a.previously_selected):a.msg_list.message_range(a.previously_selected,a.id),unread.mark_messages_as_read(a,{from:"pointer"})))})};return f}();"undefined"!==typeof module&&(module.exports=pointer);var click_handlers=function(){$(function(){function h(a){a=rows.get_closest_group(a);a=rows.id_for_recipient_row(a);a=current_msg_list.get(a);var b=current_msg_list.selected_message();return util.same_recipient(a,b)?b.id:a.id}function k(a){$(a.target).is("#emoji_map, .emoji_popover, .emoji_popover.inner, img.emoji, .drag")||($(a.target).is("a")||a.stopPropagation(),popovers.hide_all())}var f=!1,a=!1,e;$("#main_div").on("mousedown",".messagebox",function(){a=!1;f=!0});$("#main_div").on("mousemove",
".messagebox",function(){f&&(a=!0)});$("#main_div").on("click",".messagebox",function(d){var b=$(d.target);if(!b.is("a")&&!b.is("img.message_inline_image")&&!b.is("img.twitter-avatar")&&!b.is("div.message_length_controller")&&!b.is("textarea")&&!b.is("input")&&!b.is("i.edit_content_button")){if(!f||!a){b=$(this).closest(".message_row");b=rows.id(b);if(message_edit.is_editing(b))return;current_msg_list.select_id(b);compose.respond_to_message({trigger:"message click"});d.stopPropagation();popovers.hide_all()}f=
a=!1}});$("#main_div").on("click",".star",function(a){a.stopPropagation();popovers.hide_all();a=rows.id($(this).closest(".message_row"));a=ui.find_message(a);unread.mark_message_as_read(a);ui.update_starred(a.id,!0!==a.starred);message_flags.send_starred([a],a.starred)});$("#main_div").on("click",".message_reaction",function(a){a.stopPropagation();a=$(this).attr("data-emoji-name");var b=$(this).parent().attr("data-message-id");reactions.message_reaction_on_click(b,a)});$("#main_div").on("click","a.stream",
function(a){a.preventDefault();a=stream_data.get_sub_by_id($(this).attr("data-stream-id"));window.location.href=a?"/#narrow/stream/"+hashchange.encodeHashComponent(a.name):$(this).attr("href")});$("body").on("click",".notification",function(){var a=$(this).data("narrow");ui.change_tab_to("#home");narrow.activate(a.raw_operators,a.opts_notif)});$("body").on("click",".edit_content_button",function(a){var b=current_msg_list.get_row(rows.id($(this).closest(".message_row")));current_msg_list.select_id(rows.id(b));
message_edit.start(b);a.stopPropagation();popovers.hide_all()});$("body").on("click",".always_visible_topic_edit,.on_hover_topic_edit",function(a){var b=$(this).closest(".recipient_row");message_edit.start_topic_edit(b);a.stopPropagation();popovers.hide_all()});$("body").on("click",".topic_edit_save",function(a){var b=$(this).closest(".recipient_row");message_edit.save(b,!0);a.stopPropagation();popovers.hide_all()});$("body").on("click",".topic_edit_cancel",function(a){var b=$(this).closest(".recipient_row");
current_msg_list.hide_edit_topic(b);a.stopPropagation();popovers.hide_all()});$("body").on("click",".message_edit_save",function(a){var b=$(this).closest(".message_row");message_edit.save(b,!1);a.stopPropagation();popovers.hide_all()});$("body").on("click",".message_edit_cancel",function(a){var b=$(this).closest(".message_row");message_edit.end(b);a.stopPropagation();popovers.hide_all()});$("body").on("click",".message_edit_close",function(a){var b=$(this).closest(".message_row");message_edit.end(b);
a.stopPropagation();popovers.hide_all()});$("body").on("click","a",function(){document.activeElement===this&&ui.blur_active_element()});$(window).on("focus",function(){e=!0});$("#home").on("click",".narrows_by_recipient",function(a){!a.metaKey&&!a.ctrlKey&&(a.preventDefault(),a=h(this),narrow.by_recipient(a,{trigger:"message header"}))});$("#home").on("click",".narrows_by_subject",function(a){!a.metaKey&&!a.ctrlKey&&(a.preventDefault(),a=h(this),narrow.by_subject(a,{trigger:"message header"}))});
$("#userlist-toggle-button").on("click",function(a){a.preventDefault();a.stopPropagation();a=!$(".app-main .column-right").hasClass("expanded");popovers.hide_all();a&&popovers.show_userlist_sidebar()});$("#streamlist-toggle-button").on("click",function(a){a.preventDefault();a.stopPropagation();a=!$(".app-main .column-left").hasClass("expanded");popovers.hide_all();a&&popovers.show_streamlist_sidebar()});$("#user_presences").expectOne().on("click",".selectable_sidebar_block",function(a){var b=$(a.target).parents("li").attr("data-user-id"),
b=people.get_person_from_user_id(b).email;narrow.by("pm-with",b,{select_first_unread:!0,trigger:"sidebar"});a.preventDefault();a.stopPropagation();popovers.hide_all()});$("#group-pms").expectOne().on("click",".selectable_sidebar_block",function(a){var b=$(a.target).parents("li").attr("data-user-ids"),b=people.user_ids_string_to_emails_string(b);narrow.by("pm-with",b,{select_first_unread:!0,trigger:"sidebar"});a.preventDefault();a.stopPropagation();popovers.hide_all()});$("#subscriptions_table").on("click",
".exit, #subscription_overlay",function(a){e?e=!1:$(a.target).is(".exit, .exit-sign, #subscription_overlay, #subscription_overlay > .flex")&&subs.close()});$(document).on("click",".home-link[data-name='home']",function(a){ui.change_tab_to("#home");narrow.deactivate();setTimeout(navigate.maybe_scroll_to_selected,0);a.preventDefault()});$(".brand").on("click",function(a){ui.home_tab_obscured()?ui.change_tab_to("#home"):narrow.restore_home_state();navigate.maybe_scroll_to_selected();a.preventDefault()});
(function(){$("#group-pm-list, #stream_filters, #global_filters, #user_presences").on("click","a",function(){this.blur()})})();popovers.register_click_handlers();notifications.register_click_handlers();$(".logout_button").click(function(){$("#logout_form").submit()});$(".restart_get_events_button").click(function(){server_events.restart_get_events({dont_block:!0})});$("#send-status .send-status-close").click(function(){$("#send-status").stop(!0).fadeOut(500)});$(".compose_stream_button").click(function(){compose.start("stream")});
$(".compose_private_button").click(function(){compose.start("private")});$(".empty_feed_compose_stream").click(function(a){compose.start("stream",{trigger:"empty feed message"});a.preventDefault()});$(".empty_feed_compose_private").click(function(a){compose.start("private",{trigger:"empty feed message"});a.preventDefault()});$("#compose_buttons").click(k);$(".compose-content").click(k);$("#compose_close").click(function(){compose.cancel()});$("#join_unsub_stream").click(function(a){a.preventDefault();
a.stopPropagation();subs.launch();components.toggle.lookup("stream-filter-toggle").goto("All streams")});$(".feedback").click(function(){compose.start("private",{private_message_recipient:"feedback@zulip.com",trigger:"feedback menu item"})});$("#feedback_button").click(function(a){a.stopPropagation();popovers.hide_all();compose.start("private",{private_message_recipient:"feedback@zulip.com",trigger:"feedback button"})});$("#right-sidebar, #top_navbar").on("click",".webathena_login",function(a){$("#zephyr-mirror-error").hide();
WinChan.open({url:"https://webathena.mit.edu/#!request_ticket_v1",relay_url:"https://webathena.mit.edu/relay.html",params:{realm:"ATHENA.MIT.EDU",principal:["zephyr","zephyr"]}},function(a,c){a?blueslip.warn(a):"OK"!==c.status?blueslip.warn(c):channel.post({url:"/accounts/webathena_kerberos_login/",data:{cred:JSON.stringify(c.session)},success:function(){$("#zephyr-mirror-error").hide()},error:function(){$("#zephyr-mirror-error").show()}})});$("#settings-dropdown").dropdown("toggle");a.preventDefault();
a.stopPropagation()});$(".bankruptcy_button").click(function(){unread.enable()});(function(){var a={".stream-description-editable":subs.change_stream_description,".stream-name-editable":subs.change_stream_name};$(document).on("keydown",".editable-section",function(a){a.stopPropagation()});$("body").on("click","[data-make-editable]",function(){var a=$(this).attr("data-make-editable"),c=$(this).parent().find(a);"true"===c.attr("contenteditable")?($("[data-finish-editing='"+a+"']").hide(),c.attr("contenteditable",
!1),c.text(c.attr("data-prev-text")),$(this).html("")):($("[data-finish-editing='"+a+"']").show(),c.attr("data-prev-text",c.text().trim()).attr("contenteditable",!0),a=c[0],a.focus(),"undefined"!==typeof window.getSelection&&"undefined"!==typeof document.createRange?(c=document.createRange(),c.selectNodeContents(a),c.collapse(!1),a=window.getSelection(),a.removeAllRanges(),a.addRange(c)):"undefined"!==typeof document.body.createTextRange&&(c=document.body.createTextRange(),c.moveToElementText(a),
c.collapse(!1),c.select()),$(this).html("&times;"))});$("body").on("click","[data-finish-editing]",function(b){var c=$(this).attr("data-finish-editing");a[c]&&(a[c](b),$(this).hide(),$(this).parent().find(c).attr("contenteditable",!1),$("[data-make-editable='"+c+"']").html(""))})})();$("#yes-bankrupt").click(function(){pointer.fast_forward_pointer();$("#yes-bankrupt").hide();$("#no-bankrupt").hide();$(this).after($("<div>").addClass("alert alert-info settings_committed").text("Bringing you to your latest messages\u2026"))});
(function(){$("#main_div").on("click",".message_inline_image a",function(a){var b=a.target,c=rows.id($(b).closest(".message_row")),c=current_msg_list.get(c).sender_full_name,e=$(this);a.preventDefault();a.stopPropagation();e.parent().hasClass("youtube-video")?ui.lightbox({type:"youtube",id:e.data("id")}):ui.lightbox({type:"photo",image:b,user:c})});$("#overlay .exit, #overlay .image-preview").click(function(a){$(a.target).is(".exit, .image-preview")&&ui.exit_lightbox_photo()});$("#overlay .download").click(function(){this.blur()})})();
$(document).on("click",function(a){0!==a.button||$(a.target).is(".drag")||(0===$(".popover-inner").has(a.target).length&&popovers.hide_all(),compose.composing()&&(!$(a.target).is("a")&&0===$(a.target).closest(".modal").length&&""===window.getSelection().toString()&&0===$(a.target).closest("#emoji_map").length)&&compose.cancel())});$("a.dropdown-toggle, .dropdown-menu a").on("touchstart",function(a){a.stopPropagation()})});return{}}();"undefined"!==typeof module&&(module.exports=click_handlers);$(function(){$("#stream-filters-container").perfectScrollbar({suppressScrollX:!0,useKeyboard:!1,wheelSpeed:20})});
function scrollbarWidth(){$("body").prepend('<div id="outertest" style="width:200px; height:150px; position: absolute; top: 0; left: 0; overflow-x:hidden; overflow-y:scroll; background: #ff0000; visibility: hidden;"><div id="innertest" style="width:100%; height: 200px; overflow-y: visible;">&nbsp;</div></div>');var h=$("#outertest").outerWidth()-$("#innertest").outerWidth();$("#outertest").remove();return h}
$(function(){var h=scrollbarWidth();0<h&&($(".header").css("left","-"+h+"px"),$(".header-main").css("left",h+"px"),$(".header-main").css("max-width",1400+h+"px"),$(".header-main .column-middle").css("margin-right",250+h+"px"),$(".fixed-app").css("left","-"+h+"px"),$(".fixed-app .app-main").css("max-width",1400+h+"px"),$(".fixed-app .column-middle").css("margin-left",250+h+"px"),$(".column-right").css("right",h+"px"),$(".app-main .right-sidebar").css({"margin-left":h+"px",width:250-h+"px"}),$("#compose").css("left",
"-"+h+"px"),$(".compose-content").css({left:h+"px","margin-right":250+h+"px"}),$("#compose-container").css("max-width",1400+h+"px"),$("head").append("<style> @media (max-width: 975px) { .compose-content, .header-main .column-middle { margin-right: "+(7+h)+"px !important; } } @media (max-width: 775px) { .fixed-app .column-middle { margin-left: "+(7+h)+"px !important; } } </style>"))});var gear_menu=function(){var h={},k={};h.initialize=function(){admin.show_or_hide_menu_item();$('#gear-menu a[data-toggle="tab"]').on("show",function(f){f=$(f.relatedTarget).attr("href");k[f]=viewport.scrollTop()});$('#gear-menu a[data-toggle="tab"]').on("shown",function(f){f=$(f.target).attr("href");resize.resize_bottom_whitespace();$(".alert-error").hide();$(".alert-success").hide();$(".alert-info").hide();$(".alert").hide();var a=f;"#home"===a&&(a="");hashchange.changehash(a);k.hasOwnProperty(f)?
viewport.scrollTop(k[f]):"#home"===f?navigate.scroll_to_selected():viewport.scrollTop(0)});$('#gear-menu a[href="#administration"]').on("shown",admin.setup_page);$('#gear-menu a[href="#settings"]').on("shown",settings.setup_page)};return h}();"undefined"!==typeof module&&(module.exports=gear_menu);var copy_and_paste=function(){function h(f,a){var e,d=!1,b=f;if(0!==b.length){for(e=0;!b.is(".message_row")&&10>e;e+=1)b=a(b);if(10!==e)return 0!==e&&(d=!0),[rows.id(b),d]}}function k(){var f=window.getSelection(),a,e,d=[],b,c,g,l,m,k=!1,q=$("<div>");for(a=0;a<f.rangeCount;a+=1){e=f.getRangeAt(a);d.push(e);b=$(e.startContainer);l=h($(b.parents(".selectable_row, .message_header")[0]),function(a){return a.next()});if(void 0===l)return;g=l[0];c=$(e.endContainer);"bottom_whitespace"===c.attr("id")||"compose_close"===
c.attr("id")?(e=$(".message_row:last"),k=!0):e=$(c.parents(".selectable_row")[0]);m=h(e,function(a){return a.prev()});if(void 0===m)return;e=m[0];if(l[1]||m[1])k=!0;if(!k&&b.parents(".selectable_row>div")[0]===c.parents(".selectable_row>div")[0])return;for(b=current_msg_list.get_row(g);rows.id(b)<=e;b=rows.next_visible(b))b.prev().hasClass("message_header")&&(g=$("<div>").text(b.prev().text().replace(/\s+/g," ").replace(/^\s/,"").replace(/\s$/,"")),q.append($("<p>").append($("<strong>").text(g.text())))),
g=current_msg_list.get(rows.id(b)),l=$(g.content).slice(0,1),l.prepend(g.sender_full_name+": "),q.append(l),q.append($(g.content).slice(1))}void 0!==window.bridge&&ui.replace_emoji_with_text(q);q.css({position:"absolute",left:"-99999px"}).attr("id","copytempdiv");$("body").append(q);f.selectAllChildren(q[0]);window.setTimeout(function(){f=window.getSelection();f.removeAllRanges();_.each(d,function(a){f.addRange(a)});$("#copytempdiv").remove()},0)}$(function(){$(document).bind("copy",k)});return{}}();
"undefined"!==typeof module&&(module.exports=copy_and_paste);var popovers=function(){function h(){return $("li:not(.divider):visible a",f.data("popover").$tip)}var k={},f,a,e,d=!1,b="right",c=[];(function(a){$.fn.popover=function(){a.apply(this,arguments);this.data("popover")&&c.push(this.data("popover"))};for(var b in a)a.hasOwnProperty(b)&&($.fn.popover[b]=a[b])})($.fn.popover);k.toggle_reactions_popover=function(a,b){var c=e;popovers.hide_all();$(a).closest(".message_row").toggleClass("has_popover has_reactions_popover");if(!(void 0!==c&&c.get()[0]===a)&&
(current_msg_list.select_id(b),c=$(a),void 0===c.data("popover"))){var d=_.clone(emoji.emojis_name_to_css_class),f=reactions.get_emojis_used_by_user_for_message_id(b);_.each(emoji.realm_emojis,function(a,b){d[b]={name:b,is_realm_emoji:!0,url:a.emoji_url}});_.each(f,function(a){var b=d[a].is_realm_emoji,c=d[a].url;d[a]={name:a,has_reacted:!0,css_class:emoji.emoji_name_to_css_class(a),is_realm_emoji:b,url:c}});var f={message_id:b,emojis:d},g=viewport.height()-c.offset().top,h=viewport.width()-c.offset().left,
g=400>g,m=400>c.offset().top,l=200>c.offset().left,h=200>h,k="bottom";g&&!m&&(k="top");h&&!l&&(k="left");l&&!h&&(k="right");c.prop("title","");c.popover({placement:k,title:"",content:templates.render("reaction_popover_content",f),trigger:"manual"});c.popover("show");c.prop("title","Add reaction...");$(".reaction-popover-filter").focus();e=c}};k.toggle_actions_popover=function(a,b){var c=f;popovers.hide_all();$(a).closest(".message_row").toggleClass("has_popover has_actions_popover");if(!(void 0!==
c&&c.get()[0]===a)&&(current_msg_list.select_id(b),c=$(a),void 0===c.data("popover"))){var d=current_msg_list.get(b),e=message_edit.get_editability(d),g;e===message_edit.editability_types.FULL?(e=!0,g=i18n.t("Edit")):e===message_edit.editability_types.TOPIC_ONLY?(e=!1,g=i18n.t("View Source / Edit Topic")):(e=!1,g=i18n.t("View Source"));var h=d.stream&&d.subject&&!muting.is_topic_muted(d.stream,d.subject),m=d.stream&&d.subject&&muting.is_topic_muted(d.stream,d.subject),d={message:d,use_edit_icon:e,
editability_menu_item:g,can_mute_topic:h,can_unmute_topic:m,should_display_add_reaction_option:d.sent_by_me,conversation_time_uri:narrow.by_conversation_and_time_uri(d),narrowed:narrow.active()},e=c.offset().top-viewport.scrollTop();c.popover({placement:e>viewport.height()-300?"top":"bottom",title:"",content:templates.render("actions_popover_content",d),trigger:"manual"});c.popover("show");f=c}};k.open_message_menu=function(){var a=current_msg_list.selected_id();popovers.toggle_actions_popover($(".selected_message .actions_hover")[0],
a);f&&h().eq(0).expectOne().focus();return!0};k.actions_menu_handle_keyboard=function(a){var b=h(),c=b.index(b.filter(":focus"));if("enter"===a&&0<=c&&c<b.length)return b.eq(c).trigger("click");if(-1===c)c=0;else if(("down_arrow"===a||"vim_down"===a)&&c<b.length-1)c+=1;else if(("up_arrow"===a||"vim_up"===a)&&0<c)c-=1;b.eq(c).focus()};k.actions_popped=function(){return void 0!==f};k.hide_actions_popover=function(){popovers.actions_popped()&&(f.popover("destroy"),f=void 0)};k.topic_ops={mute:function(a,
b){popovers.hide_topic_sidebar_popover();muting.mute_topic(a,b);muting_ui.persist_and_rerender();muting_ui.notify_with_undo_option(a,b)},unmute:function(a,b){popovers.hide_topic_sidebar_popover();muting.unmute_topic(a,b);muting_ui.persist_and_rerender()}};k.hide_message_info_popover=function(){void 0!==a&&(a.popover("destroy"),a=void 0)};k.hide_reactions_popover=function(){void 0!==e&&(e.popover("destroy"),e=void 0)};k.hide_userlist_sidebar=function(){$(".app-main .column-right").removeClass("expanded")};
k.hide_streamlist_sidebar=function(){$(".app-main .column-left").removeClass("expanded")};k.hide_pm_list_sidebar=function(){$(".app-main .column-left").removeClass("expanded")};k.show_userlist_sidebar=function(){$(".app-main .column-right").addClass("expanded");resize.resize_page_components()};k.show_streamlist_sidebar=function(){$(".app-main .column-left").addClass("expanded");resize.resize_page_components()};k.show_pm_list_sidebar=function(){$(".app-main .column-left").addClass("expanded");resize.resize_page_components()};
var g,l,m,t;k.hide_emoji_map_popover=function(){d&&($(".emoji_popover").css("display","none"),$(".drag").css("display","none"),d=!1)};k.hide_stream_sidebar_popover=function(){void 0!==g&&($(g).popover("destroy"),g=void 0)};k.hide_topic_sidebar_popover=function(){void 0!==l&&($(l).popover("destroy"),l=void 0)};k.hide_user_sidebar_popover=function(){void 0!==t&&($("#user_presences").data("popover",t),$("#user_presences").popover("destroy"),t=m=void 0)};k.register_click_handlers=function(){$("#main_div").on("click",
".actions_hover",function(a){var b=$(this).closest(".message_row");a.stopPropagation();popovers.toggle_actions_popover(this,rows.id(b))});$("#main_div").on("click",".reaction_button",function(a){var b=$(this).closest(".message_row");a.stopPropagation();popovers.toggle_reactions_popover(this,rows.id(b))});$("body").on("click",".actions_popover .reaction_button",function(a){var b=$(a.currentTarget).data("msgid");a.preventDefault();a.stopPropagation();popovers.toggle_reactions_popover($(".selected_message .icon-vector-chevron-down")[0],
b)});$("#main_div").on("click",".sender_info_hover",function(b){var c=$(this).closest(".message_row");b.stopPropagation();c=rows.id(c);b=a;popovers.hide_all();if(!(void 0!==b&&b.get()[0]===this)&&(current_msg_list.select_id(c),b=$(this),void 0===b.data("popover"))){timerender.set_full_datetime(current_msg_list.get(c),b.closest(".message_row").find(".message_time"));var c=current_msg_list.get(c),c={message:c,pm_with_uri:narrow.pm_with_uri(c.sender_email),sent_by_uri:narrow.by_sender_uri(c.sender_email),
narrowed:narrow.active()},d=b.offset().top-viewport.scrollTop();b.popover({placement:d>viewport.height()-300?"top":"bottom",title:templates.render("message_info_popover_title",c),content:templates.render("message_info_popover_content",c),trigger:"manual"});b.popover("show");a=b}});(function(){var a=!1,b=null,c=$(".emoji_popover");$(".drag").on("mousedown",function(c){a=!0;b=c.screenY});$("body").on("mousemove",function(d){if(a){var e=d.screenY-b,e=c.height()-e;25<e&&300>e&&c.height(e);b=d.screenY}});
$("body").on("mouseup",function(){a=!1})})();$("body").on("click",".emoji_popover",function(a){a.stopPropagation()});$(".emoji_popover").on("click",".emoji",function(a){var b=$(a.target).attr("title"),c=$("#new_message_content");c.caret(b);c.focus();a.stopPropagation()});$("#compose").on("click","#emoji_map",function(a){a.preventDefault();a.stopPropagation();if(d)popovers.hide_emoji_map_popover();else{popovers.hide_all();var b;a={};for(b in emoji.emojis_name_to_css_class)emoji.realm_emojis[b]||(a[b]=
{name:b,css_name:emoji.emojis_name_to_css_class[b],url:emoji.emojis_by_name[b]});b=templates.render("emoji_popover_content",{emoji_list:a,realm_emoji:emoji.realm_emojis});$(".emoji_popover").append(b);$(".drag").show();$(".emoji_popover").css("display","inline-block");$("#new_message_content").focus();d=!0}});$("body").on("click",".user_popover .narrow_to_private_messages",function(a){var b=$(a.target).parents("ul").attr("data-user-id"),b=people.get_person_from_user_id(b).email;popovers.hide_user_sidebar_popover();
narrow.by("pm-with",b,{select_first_unread:!0,trigger:"user sidebar popover"});a.stopPropagation()});$("body").on("click",".user_popover .narrow_to_messages_sent",function(a){var b=$(a.target).parents("ul").attr("data-user-id"),b=people.get_person_from_user_id(b).email;popovers.hide_user_sidebar_popover();narrow.by("sender",b,{select_first_unread:!0,trigger:"user sidebar popover"});a.stopPropagation()});$("body").on("click",".user_popover .compose_private_message",function(a){var b=$(a.target).parents("ul").attr("data-user-id"),
b=people.get_person_from_user_id(b).email;popovers.hide_user_sidebar_popover();compose.start("private",{private_message_recipient:b,trigger:"sidebar user actions"});a.stopPropagation()});$("body").on("click",".user_popover .mention_user",function(a){var b=$(a.target).parents("ul").attr("data-user-id");compose.start("stream",{trigger:"sidebar user actions"});b=people.get_person_from_user_id(b).full_name;$("#new_message_content").val("@**"+b+"** ");popovers.hide_user_sidebar_popover();a.stopPropagation();
a.preventDefault()});$("body").on("click",".sender_info_popover .narrow_to_private_messages",function(a){var b=$(a.target).parents("ul").attr("data-email");narrow.by("pm-with",b,{select_first_unread:!0,trigger:"user sidebar popover"});popovers.hide_message_info_popover();a.stopPropagation();a.preventDefault()});$("body").on("click",".sender_info_popover .narrow_to_messages_sent",function(a){var b=$(a.target).parents("ul").attr("data-email");narrow.by("sender",b,{select_first_unread:!0,trigger:"user sidebar popover"});
popovers.hide_message_info_popover();a.stopPropagation();a.preventDefault()});$("body").on("click",".sender_info_popover .mention_user",function(a){compose.respond_to_message({trigger:"user sidebar popover"});var b=$(a.target).parents("ul").attr("data-user-id"),b=people.get_person_from_user_id(b).full_name;$("#new_message_content").val("@**"+b+"** ");popovers.hide_message_info_popover();a.stopPropagation();a.preventDefault()});$("#user_presences").on("click","span.arrow",function(a){a.stopPropagation();
a=$(this).closest("li");var c=a.find("a").attr("data-user-id"),d=a.find("a").attr("data-name");m===c?popovers.hide_all():(popovers.hide_all(),"right"===b&&popovers.show_userlist_sidebar(),d=templates.render("user_sidebar_actions",{user_id:c,name:d}),a.popover({content:d,placement:"left"===b?"right":"left",trigger:"manual",fixed:!0}),a.popover("show"),m=c,t=a.data("popover"))});$("#stream_filters").on("click",".topic-sidebar-arrow",function(a){var b=a.target;if(void 0!==l&&l===b)popovers.hide_topic_sidebar_popover();
else{popovers.hide_all();popovers.show_streamlist_sidebar();var c=$(b).closest(".topic-list").expectOne().attr("data-stream"),d=$(b).closest("li").expectOne().attr("data-name"),e=muting.is_topic_muted(c,d),c=templates.render("topic_sidebar_actions",{stream_name:c,topic_name:d,can_mute_topic:!e,can_unmute_topic:e});$(b).popover({content:c,trigger:"manual",fixed:!0});$(b).popover("show");l=b}a.stopPropagation()});$("body").on("click",".narrow_to_topic",function(a){popovers.hide_topic_sidebar_popover();
var b=$(a.currentTarget).closest(".narrow_to_topic").expectOne(),c=b.attr("data-stream-name"),b=b.attr("data-topic-name");narrow.activate([{operator:"stream",operand:c},{operator:"topic",operand:b}],{select_first_unread:!0,trigger:"sidebar"});a.stopPropagation()});$("body").on("click",".sidebar-popover-mute-topic",function(a){var b=$(a.currentTarget).attr("data-stream-name"),c=$(a.currentTarget).attr("data-topic-name");k.topic_ops.mute(b,c);a.stopPropagation();a.preventDefault()});$("body").on("click",
".sidebar-popover-unmute-topic",function(a){var b=$(a.currentTarget).attr("data-stream-name"),c=$(a.currentTarget).attr("data-topic-name");k.topic_ops.unmute(b,c);a.stopPropagation();a.preventDefault()});$("body").on("click",".sidebar-popover-mark-topic-read",function(a){var b=$(a.currentTarget).attr("data-topic-name"),c=$(a.currentTarget).attr("data-stream-name");popovers.hide_topic_sidebar_popover();unread.mark_topic_as_read(c,b);a.stopPropagation()});$("#stream_filters").on("click",".stream-sidebar-arrow",
function(a){function b(a,c){var d=a[0].offsetHeight,e=a.find(".colorpicker-container").find(".colorpicker");c(e);var e=a[0].offsetHeight,f=a.closest(".popover"),g=parseFloat(f.css("top").replace("px",""));f.css("top",g+0.5*-(e-d)+"px")}var c=a.target;if(void 0!==g&&g===c)popovers.hide_stream_sidebar_popover();else{popovers.hide_all();popovers.show_streamlist_sidebar();var d=$(c).parents("li").attr("data-name");$(c).popover({content:templates.render("stream_sidebar_actions",{stream:stream_data.get_sub(d)}),
trigger:"manual",fixed:!0});$(c).popover("show");d=stream_data.get_sub(d).stream_id;d=$(".streams_popover[data-id="+d+"]");b(d,function(a){a.spectrum(stream_color.sidebar_popover_colorpicker_options)});$(".streams_popover").on("click",".custom_color",function(a){b($(a.target).closest(".streams_popover"),function(b){b.spectrum("destroy");b.spectrum(stream_color.sidebar_popover_colorpicker_options_full);b.parent().find(".sp-container").removeClass("sp-buttons-disabled");$(a.target).hide()});$(".streams_popover").on("click",
"a.sp-cancel",function(){popovers.hide_stream_sidebar_popover()})});g=c}a.stopPropagation()});$("body").on("click",".respond_button",function(a){compose.respond_to_message({trigger:"popover respond"});popovers.hide_actions_popover();a.stopPropagation();a.preventDefault()});$("body").on("click",".respond_personal_button",function(a){compose.respond_to_message({reply_type:"personal",trigger:"popover respond pm"});popovers.hide_all();a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_narrow_by_id",
function(a){var b=$(a.currentTarget).data("msgid");popovers.hide_actions_popover();narrow.by_id(b,{trigger:"popover"});a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_narrow_by_conversation_and_time",function(a){var b=$(a.currentTarget).data("msgid");popovers.hide_actions_popover();narrow.by_conversation_and_time(b,{trigger:"popover"});a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_toggle_collapse",function(a){var b=$(a.currentTarget).data("msgid"),
b=current_msg_list.get_row(b),c=current_msg_list.get(rows.id(b));popovers.hide_actions_popover();b&&(c.collapsed?condense.uncollapse(b):condense.collapse(b));a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_edit_message",function(a){var b=$(a.currentTarget).data("msgid"),b=current_msg_list.get_row(b);popovers.hide_actions_popover();message_edit.start(b);a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_mute_topic",function(a){var b=$(a.currentTarget).data("msg-stream"),
c=$(a.currentTarget).data("msg-topic");popovers.hide_actions_popover();k.topic_ops.mute(b,c);a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_unmute_topic",function(a){var b=$(a.currentTarget).data("msg-stream"),c=$(a.currentTarget).data("msg-topic");popovers.hide_actions_popover();muting.unmute_topic(b,c);muting_ui.persist_and_rerender();a.stopPropagation();a.preventDefault()});$("body").on("click",".toggle_home",function(a){var b=$(a.currentTarget).parents("ul").attr("data-name");
popovers.hide_stream_sidebar_popover();subs.toggle_home(b);a.stopPropagation()});$("body").on("click",".narrow_to_stream",function(a){var b=$(a.currentTarget).parents("ul").attr("data-name");popovers.hide_stream_sidebar_popover();narrow.by("stream",b,{select_first_unread:!0,trigger:"sidebar popover"});a.stopPropagation()});$("body").on("click",".compose_to_stream",function(a){var b=$(a.currentTarget).parents("ul").attr("data-name");popovers.hide_stream_sidebar_popover();compose.start("stream",{stream:b,
trigger:"sidebar stream actions"});a.stopPropagation()});$("body").on("click",".mark_stream_as_read",function(a){var b=$(a.currentTarget).parents("ul").attr("data-name");popovers.hide_stream_sidebar_popover();unread.mark_stream_as_read(b);a.stopPropagation()});$("body").on("click",".pin_to_top",function(a){var b=$(a.currentTarget).parents("ul").attr("data-name");popovers.hide_stream_sidebar_popover();subs.toggle_pin_to_top_stream(b);a.stopPropagation()});$("body").on("click",".open_stream_settings",
function(a){var b=$(a.currentTarget).parents("ul").attr("data-name");popovers.hide_stream_sidebar_popover();window.location.hash="#subscriptions";subs.onlaunch("narrow_to_row",function(){$(".stream-row[data-stream-name='"+b+"']").click()},!0)});(function(){var a=0;$(".app").on("scroll",function(){var b=(new Date).getTime();250<b-a&&popovers.hide_all();a=b})})()};k.any_active=function(){return popovers.actions_popped()||void 0!==t||void 0!==g||void 0!==l||void 0!==a||d||void 0!==e};k.hide_all=function(){$(".has_popover").removeClass("has_popover has_actions_popover has_reactions_popover");
popovers.hide_actions_popover();popovers.hide_message_info_popover();popovers.hide_reactions_popover();popovers.hide_stream_sidebar_popover();popovers.hide_topic_sidebar_popover();popovers.hide_user_sidebar_popover();popovers.hide_userlist_sidebar();popovers.hide_streamlist_sidebar();popovers.hide_emoji_map_popover();c.forEach(function(a){!document.body.contains(a.$element[0])&&a.$tip&&a.$tip.remove()})};k.set_userlist_placement=function(a){b=a||"right"};return k}();
"undefined"!==typeof module&&(module.exports=popovers);var typeahead_helper=function(){function h(a,e,d){for(var b=[],c=[],f=[],h=e.shift();h;){var m;m=d?d(h):h;0===m.indexOf(a)?b.push(h):0===m.toLowerCase().indexOf(a.toLowerCase())?c.push(h):f.push(h);h=e.shift()}return{matches:b.concat(c),rest:f}}function k(a){var e=[],d=[],b=compose.stream_name();if(""===b)return{subs:a,non_subs:[]};_.each(a,function(a){"all"===a.email||"everyone"===a.email?e.push(a):stream_data.user_is_subscribed(b,a.email)?e.push(a):d.push(a)});return{subs:e,non_subs:d}}var f={highlight_with_escaping:function(a,
e){a=a.replace(/[\-\[\]{}()*+?.,\\\^$|#\s]/g,"\\$&");var d=RegExp("("+a+")","ig"),b=e.split(d),c="";_.each(b,function(a){c=a.match(d)?c+("<strong>"+Handlebars.Utils.escapeExpression(a)+"</strong>"):c+Handlebars.Utils.escapeExpression(a)});return c},highlight_with_escaping_and_regex:function(a,e){var d=e.split(a),b="";_.each(d,function(c){b=c.match(a)?b+("<strong>"+Handlebars.Utils.escapeExpression(c)+"</strong>"):b+Handlebars.Utils.escapeExpression(c)});return b},highlight_query_in_phrase:function(a,
e){var d;a=a.toLowerCase();a=a.replace(/[\-\[\]{}()*+?.,\\\^$|#\s]/g,"\\$&");var b=RegExp("(^"+a+")","ig"),c="",g=e.split(" ");for(d=0;d<g.length;d+=1)0<d&&(c+=" "),c+=f.highlight_with_escaping_and_regex(b,g[d]);return c},render_person:function(a){return a.special_item_text?a.special_item_text:a.full_name+" <"+a.email+">"},render_stream:function(a,e){var d=e.description,b=d.substring(0,35),d=d===b?f.highlight_with_escaping(a,d):f.highlight_with_escaping(a,b)+"...";return f.highlight_with_escaping(a,
e.name)+'&nbsp;&nbsp;<small class = "autocomplete_secondary">'+d+"</small>"},sorter:function(a,e,d){a=h(a,e,d);return a.matches.concat(a.rest)},compare_by_pms:function(a,e){var d=people.get_recipient_count(a),b=people.get_recipient_count(e);return d>b?-1:d<b?1:!a.is_bot&&e.is_bot?-1:a.is_bot&&!e.is_bot?1:a.full_name<e.full_name?-1:a===e?0:1},sort_for_at_mentioning:function(a){var e=k(a);a=e.subs.sort(f.compare_by_pms);e=e.non_subs.sort(f.compare_by_pms);return a.concat(e)},sort_recipients:function(a,
e){var d=h(e,a,function(a){return a.full_name}),b=h(e,d.rest,function(a){return a.email}),d=f.sort_for_at_mentioning(d.matches.concat(b.matches)),b=f.sort_for_at_mentioning(b.rest);return d.concat(b)},sort_emojis:function(a,e){var d=h(e,a,function(a){return a.emoji_name});return d.matches.concat(d.rest)},compare_by_sub_count:function(a,e){return a.subscribers.num_items()<e.subscribers.num_items()},sort_streams:function(a,e){var d=h(e,a,function(a){return a.name}),b=h(e,d.rest,function(a){return a.description});
d.matches=d.matches.sort(f.compare_by_sub_count);b.matches=b.matches.sort(f.compare_by_sub_count);b.rest=b.rest.sort(f.compare_by_sub_count);return d.matches.concat(b.matches.concat(b.rest))},sort_recipientbox_typeahead:function(a){var e=composebox_typeahead.get_cleaned_pm_recipients(this.query);return f.sort_recipients(a,e[e.length-1])}};return f}();"undefined"!==typeof module&&(module.exports=typeahead_helper);var search_suggestion=function(){function h(a,b){var c;b=b.toLowerCase();a=a.toLowerCase();if(0===a.indexOf(b))return!0;var d=a.split(" ");for(c=0;c<d.length;c+=1)if(0===d[c].indexOf(b))return!0;return!1}function k(a,b){var c=typeahead_helper.highlight_query_in_phrase;return c(a,b.full_name)+" &lt;"+c(a,b.email)+"&gt;"}function f(a){var b;switch(a.length){case 0:b="";break;case 1:var c=a[0].operator;b=a[0].operand;if(!("stream"===c||"search"===c))return[];break;default:return[]}a=stream_data.subscribed_streams();
a=_.filter(a,function(a){return h(a,b)});a=typeahead_helper.sorter(b,a);return _.map(a,function(a){var c="Narrow to stream "+typeahead_helper.highlight_query_in_phrase(b,a);a=Filter.unparse([{operator:"stream",operand:a}]);return{description:c,search_string:a}})}function a(a,b,c){if(0===b.length)return[];var d=!1;"is"===b[0].operator&&"private"===b[0].operand?(b=b.slice(1),d=!0):_.each(c,function(a){b[0].operator===a&&(d=!0)});if(!d)return[];var e,f,g=!1;if(0===b.length)e="",f=c[0];else if(1===b.length){var l=
b[0].operator;"search"===l?(e=b[0].operand,f=c[0]):_.each(c,function(a){l===a&&(e=b[0].operand,f=a,g=b[0].negated)});if(void 0===e)return[]}else return[];a=_.filter(a,function(a){return""===e||h(a.full_name,e)||h(a.email,e)});a.sort(typeahead_helper.compare_by_pms);a=a.slice(0,15);var x=Filter.operator_to_prefix(f,g);a=_.map(a,function(a){var b={operator:f,operand:a.email,negated:g};a=k(e,a);a=x+" "+a;var c=[b];g&&(c=[{operator:"is",operand:"private"},b]);b=Filter.unparse(c);return{description:a,
search_string:b}});a.push({search_string:"is:private",description:"Private messages"});return a}function e(a,b,c){if(""===b)return[];a=_.filter(a,function(a){return h(a.full_name,b)||h(a.email,b)});a.sort(typeahead_helper.compare_by_pms);var d=Filter.operator_to_prefix(c);return _.map(a,function(a){var e=k(b,a);return{description:d+" "+e,search_string:c+":"+a.email}})}function d(a){var b=Filter.unparse(a);a=Filter.describe(a);a=Handlebars.Utils.escapeExpression(a);return{description:a,search_string:b}}
function b(a){if(0===a.length)return[];var b=a.slice(-1)[0],c=Filter.canonicalize_operator(b.operator),d=b.operand,e="topic"===c&&b.negated,f;switch(c){case "stream":b=new Filter(a);if(b.has_operator("topic"))return[];f="";break;case "topic":case "search":f=d;a=a.slice(0,-1);b=new Filter(a);if(b.has_operator("topic"))return[];b.has_operator("stream")?d=b.operands("stream")[0]:(d=narrow.stream(),a.push({operator:"stream",operand:d}));break;default:return[]}if(!d)return[];b=stream_data.get_recent_topics(d);
d=stream_data.get_name(d);if(!b)return[];b=b.slice(0,300);b=_.map(b,function(a){return a.subject});""!==f&&(b=_.filter(b,function(a){return h(a,f)}));b=b.slice(0,10);b.sort();return _.map(b,function(b){b=a.concat([{operator:"topic",operand:b,negated:e}]);var c=Filter.unparse(b);return{description:Filter.describe(b),search_string:c}})}function c(a,b){if(1>b.length)return[];var c,d=[];for(c=b.length-1;1<=c;c-=1){var e=b.slice(0,c),f=Filter.unparse(e),e={description:Filter.describe(e),search_string:f};
d.push(e)}return d}function g(a,b){if(2<=b.length)return[];var c=[{search_string:"",description:"Home"},{search_string:"in:all",description:"All messages"},{search_string:"is:private",description:"Private messages"},{search_string:"is:starred",description:"Starred messages"},{search_string:"is:mentioned",description:"@-mentions"},{search_string:"is:alerted",description:"Alerted messages"}];a=a.toLowerCase();return c=_.filter(c,function(b){return b.search_string.toLowerCase()===a?!1:""===a?!0:0===
b.search_string.toLowerCase().indexOf(a)||0===b.description.toLowerCase().indexOf(a)})}function l(a,b){if(2<=b.length)return[];var c="sender:"+people.my_current_email(),d="from:"+people.my_current_email();a=a.toLowerCase();if(!(a===c||a===d)){if(""===a||0===c.indexOf(a)||0==="sent by me".indexOf(a))return[{search_string:c,description:"Sent by me"}];if(0===d.indexOf(a))return[{search_string:d,description:"Sent by me"}]}return[]}return{get_suggestions:function(h){var k=[],q,n=Filter.parse(h),k=[d(n)];
q=g(h,n);k=k.concat(q);q=l(h,n);k=k.concat(q);q=f(n);var k=k.concat(q),p=people.get_all_persons();q=e(p,h,"pm-with");k=k.concat(q);q=e(p,h,"sender");k=k.concat(q);q=a(p,n,["pm-with","sender","from"]);k=k.concat(q);q=b(n);k=k.concat(q);q=c(h,n);var k=k.concat(q),s={},u=[];_.each(k,function(a){s[a.search_string]||(s[a.search_string]=a,u.push(a))});return{strings:_.map(u,function(a){return a.search_string}),lookup_table:s}}}}();"undefined"!==typeof module&&(module.exports=search_suggestion);var search=function(){function h(a){var e=$("#search_query");ui.change_tab_to("#home");a=Filter.parse(a);narrow.activate(a,{trigger:"search"});e.blur();return e.val()}function k(a){var e=$("#search_query");a||e.val()||narrow.active()?$(".search_button").removeAttr("disabled"):$(".search_button").attr("disabled","disabled")}var f={update_button_visibility:function(){k($("#search_query").is(":focus"))},initialize:function(){var a={};$("#search_query").typeahead({source:function(d){d=search_suggestion.get_suggestions(d);
a=d.lookup_table;return d.strings},fixed:!0,items:30,helpOnEmptyStrings:!0,naturalSearch:!0,highlighter:function(d){return a[d].description},matcher:function(){return!0},updater:h,sorter:function(a){return a}});$("#searchbox_form").keydown(function(a){f.update_button_visibility();var b=a.which,c=$("#search_query");if(13===b&&c.is(":focus"))return a.preventDefault(),!1}).keyup(function(a){a=a.which;var b=$("#search_query");13===a&&b.is(":focus")&&(narrow.activate(Filter.parse(b.val()),{trigger:"search"}),
b.blur(),k(!1))});$("#search_exit").on("click",f.clear_search);var e=$("#search_query");e.on("focus",f.focus_search).on("blur",function(){setTimeout(function(){var a=narrow.search_string();e.val(a);f.update_button_visibility()},100)})},focus_search:function(){k(!0)},initiate_search:function(){$("#search_query").select()},clear_search:function(){narrow.deactivate();$("#search_query").blur();f.update_button_visibility()}};return f}();"undefined"!==typeof module&&(module.exports=search);var composebox_typeahead=function(){function h(a){a=util.extract_pm_recipients(a);return a[a.length-1]}function k(a){return typeahead_helper.highlight_with_escaping(this.query,a)}function f(a,b){a=a.toLowerCase();return-1!==b.email.toLowerCase().indexOf(a)||-1!==b.full_name.toLowerCase().indexOf(a)}function a(a){var b=a.keyCode||a.which;if(13===b||9===b&&!a.shiftKey)if(("stream"===a.target.id||"subject"===a.target.id||"private_message_recipient"===a.target.id)&&a.preventDefault(),"new_message_content"===
a.target.id&&13!==b&&a.preventDefault(),"stream"===a.target.id?l="subject":"subject"===a.target.id?(13===b&&a.preventDefault(),l="new_message_content"):l="private_message_recipient"===a.target.id?"new_message_content":"new_message_content"===a.target.id?13===b?!1:"compose-send-button":!1,!$("#subject").data().typeahead.shown&&!$("#stream").data().typeahead.shown&&!$("#private_message_recipient").data().typeahead.shown&&!$("#new_message_content").data().typeahead.shown){if("zulip.com"===page_params.domain&&
"compose-send-button"===l||"zulip.com"!==page_params.domain&&l)ui.focus_on(l),l=!1;"new_message_content"===a.target.id&&13===b&&(a.preventDefault(),!page_params.enter_sends&&(a.metaKey||a.ctrlKey)||page_params.enter_sends&&!a.shiftKey&&!a.ctrlKey&&!a.metaKey&&!a.altKey?"disabled"!==$("#compose-send-button").attr("disabled")&&($("#compose-send-button").attr("disabled","disabled"),compose.finish()):($("#new_message_content").caret("\n"),compose.autosize_textarea()))}}function e(a){var b=a.keyCode||
a.which;if((13===b||9===b&&!a.shiftKey)&&l)ui.focus_on(l),l=!1}function d(a){var b=!1;$("#"+a).focus(function(){b||(b=!0,$("#"+a).select().one("mouseup",function(a){a.preventDefault()}),b=!1)})}function b(a,b){var c=a.lastIndexOf(b);return-1===c||c<a.length-1-30||0<c&&-1==="\n\t \"'(){}[]".indexOf(a[c-1])?!1:!0}var c={get_cleaned_pm_recipients:function(a){a=util.extract_pm_recipients(a);return a=_.filter(a,function(a){return a.match(/\S/)})}},g=new Dict;c.add_topic=function(a,b){var c=a.toLowerCase(),
d=b.toLowerCase();g.has(c)||g.set(c,new Dict);c=g.get(c);c.has(d)||c.set(d,b)};c.topics_seen_for=function(a){a=a.toLowerCase();return g.has(a)?g.get(a).values().sort():[]};var l=!1;c.split_at_cursor=function(a,b){var c=b.caret();return[a.slice(0,c),a.slice(c)]};c.tokenize_compose_str=function(a){var b=a.length,c=a.length-25;for(0>c&&(c=0);b>c;)switch(b-=1,a[b]){case "#":case "@":case ":":if(0===b||/[\s(){}\[\]]/.test(a[b-1]))return a.slice(b)}return""};c.compose_content_begins_typeahead=function(a){a=
c.split_at_cursor(a,this.$element)[0];var d=c.tokenize_compose_str(a);if(""===d)return!1;if(this.options.completions.emoji&&":"===d[0]){if(/^:-?.?$/.test(d))return!1;this.completing="emoji";this.token=d.substring(1);return emoji.emojis}if(this.options.completions.mention&&"@"===d[0]){if(!b(a,"@"))return!1;d=a.substring(a.lastIndexOf("@")+1);if(1>d.length||-1!==d.lastIndexOf("*"))return!1;this.completing="mention";this.token=d.substring(d.indexOf("@")+1);a=people.get_realm_persons();return[].concat(a,
[{special_item_text:"all (Notify everyone)",email:"all",pm_recipient_count:Infinity,full_name:"all"},{special_item_text:"everyone (Notify everyone)",email:"everyone",full_name:"everyone"}])}if(this.options.completions.stream&&"#"===d[0]){if(!b(a,"#"))return!1;d=a.substring(a.lastIndexOf("#")+1);if(1>d.length)return!1;this.completing="stream";this.token=d.substring(d.indexOf("#")+1);return stream_data.subscribed_subs()}return!1};c.content_highlighter=function(a){if("emoji"===this.completing)return"<img class='emoji' src='"+
a.emoji_url+"' /> "+a.emoji_name;if("mention"===this.completing)return a=typeahead_helper.render_person(a),typeahead_helper.highlight_with_escaping(this.token,a);if("stream"===this.completing)return typeahead_helper.render_stream(this.token,a)};c.content_typeahead_selected=function(a){var b=c.split_at_cursor(this.query,this.$element),d=b[0],b=b[1];"emoji"===this.completing?d=0===d.lastIndexOf(":")||" "===d.charAt(d.lastIndexOf(":")-1)?d.replace(/:\S+$/,"")+":"+a.emoji_name+": ":d.replace(/:\S+$/,
"")+" :"+a.emoji_name+": ":"mention"===this.completing?(d=d.substring(0,d.length-this.token.length-1)+"@**"+a.full_name+"** ",$(document).trigger("usermention_completed.zulip",{mentioned:a})):"stream"===this.completing&&(d=d.substring(0,d.length-this.token.length-1)+"#**"+a.name+"** ",$(document).trigger("streamname_completed.zulip",{stream:a}));setTimeout(function(){$("#new_message_content").caret(d.length,d.length)},0);return d+b};c.initialize_compose_typeahead=function(a,b){b=$.extend({mention:!1,
emoji:!1,stream:!1},b);$(a).typeahead({items:5,dropup:!0,fixed:!0,source:c.compose_content_begins_typeahead,highlighter:c.content_highlighter,matcher:function(a){if("emoji"===this.completing)return-1!==a.emoji_name.toLowerCase().indexOf(this.token.toLowerCase());if("mention"===this.completing)return f(this.token,a);if("stream"===this.completing){var b=this.token,b=b.toLowerCase();return-1!==a.name.toLowerCase().indexOf(b)||-1!==a.description.toLowerCase().indexOf(b)}},sorter:function(a){if("emoji"===
this.completing)return typeahead_helper.sort_emojis(a,this.token);if("mention"===this.completing)return typeahead_helper.sort_recipients(a,this.token);if("stream"===this.completing)return typeahead_helper.sort_streams(a,this.token)},updater:c.content_typeahead_selected,stopAdvance:!0,completions:b})};c.initialize=function(){d("stream");d("subject");d("private_message_recipient");$("form#send_message_form").keydown(a);$("form#send_message_form").keyup(e);$("#enter_sends").click(function(){var a=$("#compose-send-button");
page_params.enter_sends=$("#enter_sends").is(":checked");page_params.enter_sends?a.fadeOut():a.fadeIn();$("#new_message_content").focus();return channel.post({url:"/json/users/me/enter-sends",idempotent:!0,data:{enter_sends:page_params.enter_sends}})});$("#enter_sends").prop("checked",page_params.enter_sends);page_params.enter_sends&&$("#compose-send-button").hide();$("#stream").typeahead({source:function(){return stream_data.subscribed_streams()},items:3,fixed:!0,highlighter:function(a){return typeahead_helper.highlight_query_in_phrase(this.query,
a)},matcher:function(a){var b=this.query.trim().toLowerCase();return 0===a.toLowerCase().indexOf(b)}});$("#subject").typeahead({source:function(){var a=$("#stream").val();return c.topics_seen_for(a)},items:3,fixed:!0,highlighter:k,sorter:function(a){a=typeahead_helper.sorter(this.query,a,function(a){return a});0<a.length&&-1===a.indexOf(this.query)&&a.unshift(this.query);return a}});$("#private_message_recipient").typeahead({source:people.get_all_persons,items:5,dropup:!0,fixed:!0,highlighter:function(a){var b=
h(this.query);a=typeahead_helper.render_person(a);return typeahead_helper.highlight_with_escaping(b,a)},matcher:function(a){var b=h(this.query);return!b||!b.match(/\S/)||-1<util.extract_pm_recipients(this.query).indexOf(a.email)?!1:f(b,a)},sorter:typeahead_helper.sort_recipientbox_typeahead,updater:function(a,b){var d=c.get_cleaned_pm_recipients(this.query);d.pop();d=d.join(", ");0!==d.length&&(d+=", ");b&&"click"===b.type&&ui.focus_on("private_message_recipient");return d+a.email+", "},stopAdvance:!0});
c.initialize_compose_typeahead("#new_message_content",{mention:!0,emoji:!0,stream:!0});$("#private_message_recipient").blur(function(){var a=$(this).val(),a=c.get_cleaned_pm_recipients(a);$(this).val(a.join(", "))})};return c}();"undefined"!==typeof module&&(module.exports=composebox_typeahead);var navigate=function(){function h(f){current_msg_list.select_id(rows.id(f),{then_scroll:!0,from_scroll:!0})}var k={up:function(){viewport.last_movement_direction=-1;var f=rows.prev_visible(current_msg_list.selected_row());0!==f.length&&h(f)},down:function(f){viewport.last_movement_direction=1;var a=rows.next_visible(current_msg_list.selected_row());0!==a.length&&h(a);f&&0===a.length&&(f=rows.get_table(current_msg_list.table_name),viewport.scrollTop(f.outerHeight(!0)-0.1*viewport.height()),unread.mark_current_list_as_read())},
to_home:function(){viewport.last_movement_direction=-1;var f=rows.first_visible(current_msg_list.selected_row());0!==f.length&&h(f)},to_end:function(){var f=current_msg_list.last().id;viewport.last_movement_direction=1;current_msg_list.select_id(f,{then_scroll:!0,from_scroll:!0});unread.mark_current_list_as_read()},page_up:function(){viewport.at_top()&&!current_msg_list.empty()?current_msg_list.select_id(current_msg_list.first().id,{then_scroll:!1}):ui.page_up_the_right_amount()},page_down:function(){viewport.at_bottom()&&
!current_msg_list.empty()?(current_msg_list.select_id(current_msg_list.last().id,{then_scroll:!1}),unread.mark_current_list_as_read()):ui.page_down_the_right_amount()},cycle_stream:function(f){var a,e;void 0!==narrow.stream()&&(a=stream_list.get_stream_li(narrow.stream()));switch(f){case "forward":void 0===narrow.stream()?e=$("#stream_filters").children(".narrow-filter").first():(e=a.next(".narrow-filter"),0===e.length&&(e=$("#stream_filters").children(".narrow-filter").first()));break;case "backward":void 0===
narrow.stream()?e=$("#stream_filters").children(".narrow-filter").last():(e=a.prev(".narrow-filter"),0===e.length&&(e=$("#stream_filters").children(".narrow-filter").last()));break;default:blueslip.error("Invalid parameter to cycle_stream",{value:f})}narrow.by("stream",e.data("name"))},scroll_to_selected:function(){var f=current_msg_list.selected_row();f&&0!==f.length&&viewport.recenter_view(f)},maybe_scroll_to_selected:function(){pointer.recenter_pointer_on_display&&(k.scroll_to_selected(),pointer.recenter_pointer_on_display=
!1)}};return k}();"undefined"!==typeof module&&(module.exports=navigate);var hotkeys=function(){function h(a){a(current_msg_list.selected_id(),{trigger:"hotkey"});return!0}function k(c){var g,l;g=c.metaKey||c.ctrlKey?{name:"ignore",message_view_only:!1}:c.shiftKey&&void 0!==a[c.which]?a[c.which]:!c.shiftKey&&void 0!==e[c.which]?e[c.which]:void 0!==d[c.which]?d[c.which]:{name:"ignore",message_view_only:!1};l=g.name;activity.new_user_input=!0;if(ui.home_tab_obscured()&&g.message_view_only)return!1;if($(c.target).is(".editable-section"))return"enter"===l&&$(c.target).parent().find(".checkmark").click(),
!1;c=b(c);if(c.flag){if("up_arrow"===g.name)return c.prev().focus(),!0;if("down_arrow"===g.name)return c.next().focus(),!0}if("ignore"===l)return!1;if(popovers.actions_popped()&&-1!==f.indexOf(l))return popovers.actions_menu_handle_keyboard(l),!0;if($("#compose-send-button").is(":focus")){if("backspace"===l)return!0;if("shift_tab"===l)return ui.restore_compose_cursor(),!0}if("tab"===l){g=$(".edit-alert-word").filter(":focus");if(0<g.length)return g.closest(".alert-word-item").find(".add-alert-word").focus(),
!0;g=$(".message_edit_content").filter(":focus");if(0<g.length)return l=g.closest(".message_edit_form"),l.find(".message_edit_save").focus(),!0;g=$(".message_edit_save").filter(":focus");if(0<g.length)return l=g.closest(".message_edit_form"),l.find(".message_edit_cancel").focus(),!0}if("shift_tab"===l){if(0<$(".message_edit_cancel").filter(":focus").length)return $(".message_edit_save").focus(),!0;g=$(".message_edit_save").filter(":focus");if(0<g.length)return g.closest(".message_edit_form").find(".message_edit_content").focus(),
!0}if("escape"===l){if($("#overlay").hasClass("show"))return ui.exit_lightbox_photo(),!0;if($("#subscription_overlay").is(":visible"))return subs.close(),!0;if($("#markdown-help").hasClass("in")||$("#keyboard-shortcuts").hasClass("in")||$("#search-operators").hasClass("in")||$("#invite-user").hasClass("in"))return!1}if(0<$("input:focus,select:focus,textarea:focus,#compose-send-button:focus").length){if("escape"===l){if("inline-block"===$(".emoji_popover").css("display")){popovers.hide_emoji_map_popover();
return}if($("#subject").data().typeahead.shown||$("#stream").data().typeahead.shown||$("#private_message_recipient").data().typeahead.shown||$("#new_message_content").data().typeahead.shown||$("#search_query").data().typeahead.shown)return!0;if(0<$(".message_edit_content").filter(":focus").length)g=$(".message_edit_content").filter(":focus").closest(".message_row"),message_edit.end(g);else return activity.searching()?activity.escape_search():stream_list.searching()?stream_list.escape_search():compose.composing()?
compose.cancel():$("input:focus,textarea:focus").blur(),!0}if("enter"===l){if(activity.searching())return activity.blur_search(),!0;if(stream_list.searching())return stream_list.clear_and_hide_search(),!0}if(("up_arrow"===l||"down_arrow"===l)&&compose.composing()&&""===compose.message_content()&&$("#new_message_content").is(":focus"))compose.cancel();else return!1}if(0<$("a:focus,button:focus").length&&"enter"===l)return!1;switch(l){case "narrow_private":return h(function(a,b){narrow.by("is","private",
b)});case "escape":return"inline-block"===$(".emoji_popover").css("display")?popovers.hide_emoji_map_popover():popovers.any_active()?popovers.hide_all():compose.composing()?compose.cancel():search.clear_search(),!0;case "compose":return compose.start("stream",{trigger:"compose_hotkey"}),!0;case "compose_private_message":return compose.start("private",{trigger:"compose_hotkey"}),!0;case "query_users":return activity.initiate_search(),!0;case "query_streams":return stream_list.initiate_search(),!0;
case "search":return search.initiate_search(),!0;case "show_shortcuts":return $("#keyboard-shortcuts").modal("show"),!0;case "stream_cycle_backward":return navigate.cycle_stream("backward"),!0;case "stream_cycle_forward":return navigate.cycle_stream("forward"),!0}if(current_msg_list.empty())return!1;switch(l){case "down_arrow":case "vim_down":return navigate.down(!0),!0;case "up_arrow":case "vim_up":return navigate.up(),!0;case "home":return navigate.to_home(),!0;case "end":return navigate.to_end(),
!0;case "page_up":return navigate.page_up(),!0;case "page_down":return navigate.page_down(),!0}switch(l){case "message_actions":return popovers.open_message_menu();case "narrow_by_recipient":return h(narrow.by_recipient);case "narrow_by_subject":return h(narrow.by_subject);case "enter":return compose.respond_to_message({trigger:"hotkey enter"}),!0;case "reply_message":return compose.respond_to_message({trigger:"hotkey"}),!0;case "respond_to_author":return compose.respond_to_message({reply_type:"personal",
trigger:"hotkey pm"}),!0;case "compose_reply_with_mention":return compose.respond_to_message({trigger:"hotkey"}),l=current_msg_list.selected_message(),$("#new_message_content").val("@**"+l.sender_full_name+"** "),!0}return!1}var f=["down_arrow","up_arrow","vim_up","vim_down","enter"],a={9:{name:"shift_tab",message_view_only:!1},32:{name:"page_up",message_view_only:!0}},e={9:{name:"tab",message_view_only:!1},32:{name:"page_down",message_view_only:!0},33:{name:"page_up",message_view_only:!0},34:{name:"page_down",
message_view_only:!0},35:{name:"end",message_view_only:!0},36:{name:"home",message_view_only:!0},38:{name:"up_arrow",message_view_only:!0},40:{name:"down_arrow",message_view_only:!0}},d={8:{name:"backspace",message_view_only:!0},13:{name:"enter",message_view_only:!1},27:{name:"escape",message_view_only:!1},47:{name:"search",message_view_only:!1},63:{name:"show_shortcuts",message_view_only:!1},64:{name:"compose_reply_with_mention",message_view_only:!0},65:{name:"stream_cycle_backward",message_view_only:!0},
67:{name:"compose_private_message",message_view_only:!0},68:{name:"stream_cycle_forward",message_view_only:!0},74:{name:"page_down",message_view_only:!0},75:{name:"page_up",message_view_only:!0},82:{name:"respond_to_author",message_view_only:!0},83:{name:"narrow_by_subject",message_view_only:!0},99:{name:"compose",message_view_only:!0},105:{name:"message_actions",message_view_only:!0},106:{name:"vim_down",message_view_only:!0},107:{name:"vim_up",message_view_only:!0},113:{name:"query_users",message_view_only:!1},
114:{name:"reply_message",message_view_only:!0},115:{name:"narrow_by_recipient",message_view_only:!0},118:{name:"narrow_private",message_view_only:!0},119:{name:"query_streams",message_view_only:!1}},b=function(){var a=["#group-pm-list","#stream_filters","#global_filters","#user_presences"];return function(b){var d=$(b.target);return{flag:0<d.closest(a.join(", ")).length,next:function(){return d.closest("li").next().find("a")},prev:function(){return d.closest("li").prev().find("a")}}}}();$(document).keydown(function(a){(48>
a.which||90<a.which||27===a.which)&&k(a)&&a.preventDefault();resize.resize_bottom_whitespace()});$(document).keypress(function(a){0!==a.which&&0!==a.charCode&&k(a)&&a.preventDefault()});return{}}();"undefined"!==typeof module&&(module.exports=hotkeys);var favicon=function(){return{reset:function(){$('link[rel="shortcut icon"]').detach().appendTo("head")},set:function(h){/webkit/i.test(navigator.userAgent)?$('link[rel="shortcut icon"]').attr("href",h):($('link[rel="shortcut icon"]').remove(),$("head").append($("<link>").attr("rel","shortcut icon").attr("href",h)))}}}();"undefined"!==typeof module&&(module.exports=favicon);var notifications=function(){function h(a){a.onclose=function(){};a.onclick=function(){};a.cancel()}function k(){0<unread.get_counts().private_message_count?(t===m?(favicon.set(q),t=q,q=m):(favicon.set(m),q=t,t=m),setTimeout(k,2E3)):(n=!1,favicon.set(t))}function f(a,b,c,d,e){b=$(templates.render("notification",{gravatar_url:people.small_avatar_url(a),title:b,content:c,message_id:a.id}));$(".top-right").notify({message:{html:b},fadeOut:{enabled:!0,delay:4E3}}).show();$(".notification[data-message-id='"+
a.id+"']").expectOne().data("narrow",{raw_operators:d,opts_notif:e})}function a(a){var c,d,e,g,l,k=a.message,m=k.sender_full_name,q=1,n,t=[],s={select_first_unread:!0,trigger:"notification click"};g=$("<div/>").html(k.content);ui.replace_emoji_with_text(g);g=g.text();k.is_me_message&&(g=k.sender_full_name+g.slice(3));"private"===k.type?(void 0!==page_params.pm_content_in_desktop_notifications&&!page_params.pm_content_in_desktop_notifications&&(g="New private message from "+k.sender_full_name),l=e=
k.display_reply_to,l=l.replace(", "+k.sender_full_name,""),l=l.replace(k.sender_full_name+", ",""),n="pm"):(e=k.sender_full_name+" to "+k.stream+" > "+k.subject,n=k.mentioned?"mention":k.alerted?"alert":"stream");if(150<g.length){for(c=150;0<c&&" "!==g[c];c-=1);g=g.substring(0,c);g+=" [...]"}void 0===window.bridge&&void 0!==b[e]&&(q=b[e].msg_count+1,m=q+" messages from "+m,d=b[e].obj,h(d));"private"===k.type&&(2<k.display_recipient.length?(230<g.length+m.length+l.length&&(l=l.replace(/[^,]/g,"").length+
" other people"),m+=" (to you and "+l+")"):m+=" (to you)",t=[{operand:k.reply_to,operator:"pm-with"}]);"stream"===k.type&&(m+=" (to "+k.stream+" > "+k.subject+")",t=[{operator:"stream",operand:k.stream},{operator:"topic",operand:k.subject}]);void 0===window.bridge&&!0===a.webkit_notify?(a=people.small_avatar_url(k),b[e]={obj:p.createNotification(a,m,g,k.id),msg_count:q,message_id:k.id},d=b[e].obj,d.onclick=function(){d.cancel();feature_flags.clicking_notification_causes_narrow&&narrow.by_subject(k.id,
{trigger:"notification"});window.focus()},d.onclose=function(){delete b[e]},d.show()):!1===a.webkit_notify&&"undefined"!==typeof Notification&&!0===/mozilla/i.test(navigator.userAgent)?Notification.requestPermission(function(a){"granted"===a?d=new Notification(m,{body:g,iconUrl:people.small_avatar_url(k),tag:k.id}):f(k,m,g,t,s)}):!1===a.webkit_notify?f(k,m,g,t,s):window.bridge.desktopNotification(m,g,n)}function e(a){return"stream"===a.type?a.stream+">"+a.subject:2<a.display_recipient.length?"group PM with "+
a.display_reply_to:people.is_current_user(a.reply_to)?"PM with yourself":"PM with "+a.display_reply_to}var d={},b={},c=document.hasFocus&&document.hasFocus(),g=!1,l,m="/static/images/favicon/favicon-pms.png",t,q,n=!1,p;window.webkitNotifications?p=window.webkitNotifications:window.Notification&&(p={checkPermission:function(){return"granted"===window.Notification.permission?0:2},requestPermission:window.Notification.requestPermission,createNotification:function(a,b,c,d){var e=new window.Notification(b,
{icon:a,body:c,tag:d});e.show=function(){};e.cancel=function(){e.close()};return e}});d.initialize=function(){$(window).focus(function(){c=!0;_.each(b,function(a){h(a.obj)});b={};unread.process_visible()}).blur(function(){c=!1});if(void 0!==window.bridge)l=!0;else{var a=$("<audio>");void 0===a[0].canPlayType?l=!1:(l=!0,$("#notifications-area").append(a),a[0].canPlayType('audio/ogg; codecs="vorbis"')?a.append($("<source>").attr("type","audio/ogg").attr("loop","yes").attr("src","/static/audio/zulip.ogg")):
a.append($("<source>").attr("type","audio/mpeg").attr("loop","yes").attr("src","/static/audio/zulip.mp3")));p&&$(document).click(function(){page_params.desktop_notifications_enabled&&!g&&0!==p.checkPermission()&&(tutorial.is_running()?tutorial.defer(function(){p.requestPermission(function(){g=!0})}):p.requestPermission(function(){g=!0}))})}};void 0!==window.bridge&&window.bridge.updateCount(0);var s=0;d.update_title_count=function(a){s=a;d.redraw_title()};d.redraw_title=function(){var a;a=(s?"("+
s+") ":"")+narrow.narrow_title+" - "+page_params.realm_name+" - "+page_params.product_name;document.title!==a&&(document.title=a,/msie/i.test(navigator.userAgent)||(s?(a=+s,99<a&&(a="infinite"),t=q="/static/images/favicon/favicon-"+a+".png"):t=q="/static/favicon.ico?v=2",favicon.set(t)),void 0!==window.bridge&&window.bridge.updateCount(s))};d.update_pm_count=function(a){void 0!==window.bridge&&void 0!==window.bridge.updatePMCount&&window.bridge.updatePMCount(a);n||(n=!0,k())};d.window_has_focus=function(){return c};
d.notify_above_composebox=function(a,b,c,e){a=$(templates.render("compose_notification",{note:a,link_class:b,link_msg_id:c,link_text:e}));d.clear_compose_notifications();$("#out-of-view-notification").append(a);$("#out-of-view-notification").show()};d.close_notification=function(a){_.each(Object.keys(b),function(c){b[c].message_id===a.id&&(h(b[c].obj),delete b[c])})};d.speaking_at_me=function(a){return void 0===a?!1:a.mentioned_me_directly};d.received_messages=function(b){_.each(b,function(b){if((b.sent_by_me||
b.notification_sent?0:d.speaking_at_me(b)||!("stream"===b.type&&!stream_data.in_home_view(b.stream)||"stream"===b.type&&muting.is_topic_muted(b.stream,b.subject)))&&(unread.message_unread(b)||page_params.autoscroll_forever))b.notification_sent=!0,("stream"===b.type&&stream_data.receives_desktop_notifications(b.stream)||"private"===b.type&&page_params.desktop_notifications_enabled||alert_words.notifies(b)&&page_params.desktop_notifications_enabled||d.speaking_at_me(b)&&page_params.desktop_notifications_enabled)&&
(p&&/webkit/i.test(navigator.userAgent)&&0===p.checkPermission()||void 0!==window.bridge?a({message:b,webkit_notify:!0}):a({message:b,webkit_notify:!1})),("stream"===b.type&&stream_data.receives_audible_notifications(b.stream)||"private"===b.type&&page_params.sounds_enabled||alert_words.notifies(b)&&page_params.sounds_enabled||d.speaking_at_me(b)&&page_params.sounds_enabled)&&l&&(void 0!==window.bridge?window.bridge.bell():$("#notifications-area").find("audio")[0].play())})};d.possibly_notify_new_messages_outside_viewport=
function(a,b){_.each(a,function(a){if(people.is_current_user(a.sender_email)&&void 0!==b){var c,f=a.id;0===current_msg_list.get_row(a.id).length&&(c="stream"===a.type&&muting.is_topic_muted(a.stream,a.subject)?"Sent! Your message was sent to a topic you have muted.":"stream"===a.type&&!stream_data.in_home_view(a.stream)?"Sent! Your message was sent to a stream you have muted.":"Sent! Your message is outside your current narrow.",a="Narrow to "+e(a),d.notify_above_composebox(c,"compose_notification_narrow_by_subject",
f,a))}})};d.notify_messages_outside_current_search=function(a){_.each(a,function(a){people.is_current_user(a.sender_email)&&d.notify_above_composebox("Sent! Your recent message is outside the current search.","compose_notification_narrow_by_subject",a.id,"Narrow to "+e(a))})};d.clear_compose_notifications=function(){$("#out-of-view-notification").empty();$("#out-of-view-notification").stop(!0,!0);$("#out-of-view-notification").hide()};$(function(){"undefined"!==typeof bridge&&void 0===window.bridge&&
(window.bridge=bridge);$(document).on("message_id_changed",function(a){var b=a.old_id,c=a.new_id;_.each($("#out-of-view-notification a"),function(a){a=$(a);a.data("msgid")===b&&a.data("msgid",c)})})});d.register_click_handlers=function(){$("#out-of-view-notification").on("click",".compose_notification_narrow_by_subject",function(a){var b=$(a.currentTarget).data("msgid");narrow.by_subject(b,{trigger:"compose_notification"});a.stopPropagation();a.preventDefault()});$("#out-of-view-notification").on("click",
".compose_notification_scroll_to_message",function(a){var b=$(a.currentTarget).data("msgid");current_msg_list.select_id(b);navigate.scroll_to_selected();a.stopPropagation();a.preventDefault()});$("#out-of-view-notification").on("click",".out-of-view-notification-close",function(a){d.clear_compose_notifications();a.stopPropagation();a.preventDefault()})};d.handle_global_notification_updates=function(a,b){"enable_stream_desktop_notifications"===a?page_params.stream_desktop_notifications_enabled=b:"enable_stream_sounds"===
a?page_params.stream_sounds_enabled=b:"enable_desktop_notifications"===a?page_params.desktop_notifications_enabled=b:"enable_sounds"===a?page_params.sounds_enabled=b:"enable_offline_email_notifications"===a?page_params.enable_offline_email_notifications=b:"enable_offline_push_notifications"===a?page_params.enable_offline_push_notifications=b:"enable_online_push_notifications"===a?page_params.enable_online_push_notifications=b:"enable_digest_emails"===a?page_params.enable_digest_emails=b:"pm_content_in_desktop_notifications"===
a&&(page_params.pm_content_in_desktop_notifications=b)};return d}();"undefined"!==typeof module&&(module.exports=notifications);var hashchange=function(){function h(a){var b=window.location;if(history.pushState){if(""===a||"#"!==a.charAt(0))a="#"+a;var c=b.pathname;if(void 0===c)c="/";else if(""===c||"/"!==c.charAt(0))c="/"+c;history.pushState(null,null,b.protocol+"//"+b.host+c+a)}else b.hash=a}function k(){ui.change_tab_to("#home");narrow.deactivate();floating_recipient_bar.update()}function f(a){a=a.replace(/^#/,"").split(/\//)[0];return-1<["subscriptions"].indexOf(a)}function a(a,l){var m;l&&(m="#"+(l.oldURL||c.old_hash).split(/#/).slice(1).join(""),
c.last=m,c.old_hash=window.location.hash);var t=window.location.hash.replace(/^#/,"").split(/\//)[0];if(f(window.location.hash))f(m||"#")||("subscriptions"===t&&subs.launch(),c.prev=m);else{if(!f(window.location.hash)&&!c.flag){subs.close();b=!0;a:{if(!(window.location.hash===d||void 0!==d&&""===window.location.hash.replace(/^#/,"")&&""===d.replace(/^#/,"")))switch($(document).trigger($.Event("zuliphashchange.zulip")),m=window.location.hash.split("/"),m[0]){case "#narrow":ui.change_tab_to("#home");
m=e.parse_narrow(m);if(void 0===m){h("");k();break}t={select_first_unread:!0,change_hash:!1,trigger:"hash change"};void 0!==a&&void 0!==page_params.initial_narrow_pointer&&(t.from_reload=!0,t.first_unread_from_server=!0);narrow.activate(m,t);floating_recipient_bar.update();m=!0;break a;case "":case "#":k();break;case "#subscriptions":ui.change_tab_to("#subscriptions");break;case "#administration":ui.change_tab_to("#administration");break;case "#settings":ui.change_tab_to("#settings")}m=!1}b=!1;return m}c.flag&&
(c.flag=!1)}}var e={},d,b=!1;e.encodeHashComponent=function(a){return encodeURIComponent(a).replace(/\./g,"%2E").replace(/%/g,".")};e.encode_operand=function(a,b){if("pm-with"===a||"sender"===a){var c=people.emails_to_slug(b);if(c)return c}return e.encodeHashComponent(b)};e.decode_operand=function(a,b){if("pm-with"===a||"sender"===a){var c=people.slug_to_emails(b);if(c)return c}return decodeURIComponent(b.replace(/\./g,"%"))};e.changehash=function(a){b||($(document).trigger($.Event("zuliphashchange.zulip")),
h(a),favicon.reset())};e.operators_to_hash=function(a){var b="#";void 0!==a&&(b="#narrow",_.each(a,function(a){var c=a.operator,d=a.operand;b+="/"+(a.negated?"-":"")+hashchange.encodeHashComponent(c)+"/"+hashchange.encode_operand(c,d)}));return b};e.save_narrow=function(a){b||(a=e.operators_to_hash(a),e.changehash(a))};e.parse_narrow=function(a){var b,c=[];for(b=1;b<a.length;b+=2)try{var d=decodeURIComponent(a[b].replace(/\./g,"%")),f=e.decode_operand(d,a[b+1]||""),h=!1;"-"===d[0]&&(h=!0,d=d.slice(1));
c.push({negated:h,operator:d,operand:f})}catch(k){return}return c};var c={flag:!1,prev:null,old_hash:"undefined"!==typeof window?window.location.hash:"#"};e.initialize=function(){window.onhashchange=blueslip.wrap_function(function(b){a(!1,b)});a(!0)};e.exit_settings=function(a){f(window.location.hash)&&(ui.blur_active_element(),c.flag=!0,window.location.hash=c.prev||"#","function"===typeof a&&a())};return e}();"undefined"!==typeof module&&(module.exports=hashchange);var invite=function(){function h(){var a=[];_.each(stream_data.subscribed_streams(),function(e){var d=e===page_params.notifications_stream;(1===stream_data.subscribed_streams().length||!d||d&&stream_data.get_invite_only(e))&&a.push({name:e,invite_only:stream_data.get_invite_only(e)})});$("#streams_to_add").html(templates.render("invite_subscription",{streams:a}))}function k(){var a=$("#invite_status"),e=$("#invitee_emails").closest(".control-group");a.hide().text("").removeClass("alert-error alert-warning alert-success");
e.removeClass("warning error");page_params.development_environment&&$("#dev_env_msg").hide().text("").removeClass("alert-error alert-warning alert-success")}function f(){$("#invitee_emails").val("");h();k()}return{initialize:function(){var a=$("#invite_status"),e=$("#invitee_emails"),d=e.closest(".control-group");$("#submit-invitation").button();$("#invite-user").on("show",f);$("#invite-user").on("shown",function(){e.focus().autosize()});$("#invite_user_form").ajaxForm({dataType:"json",beforeSubmit:function(){k();
$("#submit-invitation").button("loading");return!0},success:function(){$("#submit-invitation").button("reset");a.text(i18n.t("User invited successfully.",{count:(e.val().match(/@/g)||[]).length})).addClass("alert-success").show();e.val("");page_params.development_environment&&$("#dev_env_msg").text("In the Zulip development environment, outgoing emails are printed to the run-dev.py console.").addClass("alert-info").show()},error:function(b){$("#submit-invitation").button("reset");b=JSON.parse(b.responseText);
if(void 0===b.errors)a.text(b.msg).addClass("alert-error").show();else{var c=[],f=$("<ul>");_.each(b.errors,function(a){f.append($("<li>").text(a.join(": ")));c.push(a[0])});a.addClass("alert-warning").empty().append($("<p>").text(b.msg)).append(f).show();d.addClass("warning");b.sent_invitations?e.val(c.join("\n")):(b=e.val().split(/\n|,/),e.val(util.move_array_elements_to_front(b,c).join("\n")))}}});$(document).on("click",".invite_check_all_button",function(a){$("#streams_to_add :checkbox").prop("checked",
!0);a.preventDefault()});$(document).on("click",".invite_uncheck_all_button",function(a){$("#streams_to_add :checkbox").prop("checked",!1);a.preventDefault()})}}}();"undefined"!==typeof module&&(module.exports=invite);var message_flags=function(){function h(a,d,b){function c(){var b=_.filter(f,function(a){return void 0===a.local_id}),b=_.map(b,function(a){return a.id});0===b.length?setTimeout(k,100):channel.post({url:"/json/messages/flags",idempotent:!0,data:{messages:JSON.stringify(b),op:d,flag:a},success:h})}var f=[],h,k;k=b?c:_.debounce(c,1E3);h=function(a){void 0===a||void 0===a.messages||(f=_.filter(f,function(b){return-1===a.messages.indexOf(b.id)}),0<f.length&&k())};return function(b){void 0===b.flags&&
(b.flags=[]);"add"===d?b.flags.push(a):b.flags=_.without(b.flags,a);f.push(b);k()}}function k(e,d,b){b=b?"add":"remove";var c=d+"_"+b,f;a.hasOwnProperty(c)?f=a[c]:(f=h(d,b,!0),a[c]=f);_.each(e,function(a){f(a)})}var f={},a={};f.send_read=h("read","add");f.send_collapsed=function(a,d){k(a,"collapsed",d)};f.send_starred=function(a,d){k(a,"starred",d)};f.send_force_expand=function(a,d){k(a,"force_expand",d)};f.send_force_collapse=function(a,d){k(a,"force_collapse",d)};return f}();
"undefined"!==typeof module&&(module.exports=message_flags);var alert_words=function(){var h={};h.words=page_params.alert_words;var k=/href=['"][\w:\/\.]+$/,f=/title=['"][\w:\/\.]+$/;h.process_message=function(a){h.notifies(a)&&_.each(h.words,function(e){e=e.replace(/[\-\[\]{}()*+?.,\\\^$|#\s]/g,"\\$&");a.content=a.content.replace(RegExp("(\\s|^|>|[\\(\\\".,';\\[])("+e+")(\\s|$|<|[\\)\\\"\\?!:.,';\\]!])","ig"),function(a,b,c,e,h,m){a=m.substring(0,h);return k.exec(a)||f.exec(a)?b+c+e:b+"<span class='alert-word'>"+c+"</span>"+e})})};h.notifies=function(a){return!people.is_current_user(a.sender_email)&&
a.alerted};return h}();"undefined"!==typeof module&&(module.exports=alert_words);var alert_words_ui=function(){function h(){var f=_.map($(".alert-word-item"),function(a){return $(a).data("word").toString()}),f=_.filter(f,function(a){return""!==a});channel.post({url:"/json/users/me/alert_words",idempotent:!0,data:{alert_words:JSON.stringify(f)}})}function k(f,a){if(""===f)$("#empty_alert_word_error").show();else{var e=templates.render("alert_word_settings_item",{word:f,editing:!1});$(a.target).parents("li").replaceWith(e);var e=templates.render("alert_word_settings_item",{word:"",
editing:!0}),d=$("#alert_words_list");d.append(e);0<d.find("input").length&&d.find("input").focus();h()}}return{set_up_alert_words:function(){var f=$("#alert_words_list");_.each(alert_words.words,function(a){a=templates.render("alert_word_settings_item",{word:a});f.append(a)});var a=templates.render("alert_word_settings_item",{word:"",editing:!0});f.append(a);$("#alert_words_list").on("click","#create_alert_word_button",function(a){var d=$("#create_alert_word_name").val();k(d,a)});$("#alert_words_list").on("click",
".remove-alert-word",function(a){$(a.currentTarget).parents("li").remove();h()});$("#alert_words_list").on("keypress","#create_alert_word_name",function(a){if(13===a.which){a.preventDefault();var d=$(a.target).val();k(d,a)}});$("#alert_words_list").on("click",".close-empty-alert-word-error",function(a){a.preventDefault();$(a.currentTarget).parents(".alert").hide()})}}}();"undefined"!==typeof module&&(module.exports=alert_words_ui);var message_store=function(){function h(a){a.always_visible_topic_edit=!1;a.on_hover_topic_edit=!1;page_params.realm_allow_message_editing&&(a.subject===compose.empty_topic_placeholder()?a.always_visible_topic_edit=!0:page_params.is_admin&&(a.on_hover_topic_edit=!0))}function k(a){var c=b[a.id];if(void 0!==c)return void 0!==a.match_subject&&(c.match_subject=a.match_subject,c.match_content=a.match_content),c;a.sent_by_me=people.is_current_user(a.sender_email);a.flags=a.flags||[];a.historical=void 0!==
a.flags&&-1!==a.flags.indexOf("historical");a.starred=-1!==a.flags.indexOf("starred");a.mentioned=-1!==a.flags.indexOf("mentioned")||-1!==a.flags.indexOf("wildcard_mentioned");a.mentioned_me_directly=-1!==a.flags.indexOf("mentioned");a.collapsed=-1!==a.flags.indexOf("collapsed");a.alerted=-1!==a.flags.indexOf("has_alert_word");a.is_me_message=-1!==a.flags.indexOf("is_me_message");people.extract_people_from_message(a);if(c=people.get_person_from_user_id(a.sender_id))a.sender_full_name=c.full_name;
switch(a.type){case "stream":a.is_stream=!0;a.stream=a.display_recipient;composebox_typeahead.add_topic(a.stream,a.subject);a.reply_to=a.sender_email;stream_data.process_message_for_recent_topics(a);h(a);break;case "private":a.is_private=!0,a.reply_to=util.normalize_recipients(d.get_pm_emails(a)),a.display_reply_to=d.get_pm_full_names(a),d.process_message_for_recent_private_messages(a)}alert_words.process_message(a);a.reactions||(a.reactions=[]);return b[a.id]=a}function f(a,b,c,e){var h=[];_.each(a,
function(a){h.push(a.id)});channel.post({url:"/json/messages_in_narrow",idempotent:!0,data:{msg_ids:JSON.stringify(h),narrow:JSON.stringify(narrow.public_operators())},timeout:5E3,success:function(f){if(b===current_msg_list){var h=[],q=[];_.each(a,function(a){f.messages.hasOwnProperty(a.id)?(a.match_subject=f.messages[a.id].match_subject,a.match_content=f.messages[a.id].match_content,h.push(a)):q.push(a)});h=_.map(h,k);d.add_messages(h,b,{messages_are_new:c});unread.process_visible();notifications.possibly_notify_new_messages_outside_viewport(h,
e);notifications.notify_messages_outside_current_search(q)}},error:function(){setTimeout(function(){b===current_msg_list&&f(a,b,c,e)},5E3)}})}function a(a,b){$("#get_old_messages_error").hide();0===a.length&&(current_msg_list===message_list.narrowed&&message_list.narrowed.empty())&&narrow.show_empty_narrow_message();a=_.map(a,k);b.msg_list===home_msg_list&&(d.do_unread_count_updates(a),d.add_messages(a,message_list.all,{messages_are_new:!1}));0!==a.length&&!b.cont_will_add_messages&&d.add_messages(a,
b.msg_list,{messages_are_new:!1});activity.process_loaded_messages(a);stream_list.update_streams_sidebar();pm_list.update_private_messages();void 0!==b.cont&&b.cont(a)}function e(b,c){tutorial.is_running()?(loading.destroy_indicator($("#page_loading_indicator")),tutorial.defer(function(){e(b,c)})):c.msg_list.narrowed&&c.msg_list!==current_msg_list||(b?(a(b.messages,c),resize.resize_bottom_whitespace()):setTimeout(function(){d.load_old_messages(c)},0))}var d={},b={},c=!0;d.recent_private_messages=
[];d.get=function(a){return b[a]};d.get_pm_emails=function(a){var b,c=_.filter(a.display_recipient,function(a){return!people.is_current_user(a.email)});if(0===c.length)return a.display_recipient[0].email;a=c[0].email;for(b=1;b<c.length;b+=1)a+=", "+c[b].email;return a};d.get_pm_full_names=function(a){function b(a){if(a.id){var c=people.get_person_from_user_id(a.id);if(c)return c.full_name}return a.full_name}var c=_.filter(a.display_recipient,function(a){return!people.is_current_user(a.email)});return 0===
c.length?b(a.display_recipient[0]):_.map(c,b).sort().join(", ")};d.process_message_for_recent_private_messages=function(a){var b=people.emails_strings_to_user_ids_string(a.reply_to);b?(d.recent_private_messages=_.filter(d.recent_private_messages,function(a){return a.user_ids_string!==b}),a={user_ids_string:b,timestamp:Math.max(a.timestamp,0)},d.recent_private_messages.push(a),d.recent_private_messages.sort(function(a,b){return b.timestamp-a.timestamp})):blueslip.warn("Unknown reply_to in message: "+
b)};d.add_messages=function(a,b,c){a&&(c=_.extend({messages_are_new:!1,delay_render:!1},c),loading.destroy_indicator($("#page_loading_indicator")),$("#first_run_message").remove(),b.add_messages(a,c),b===home_msg_list&&c.messages_are_new&&_.each(a,function(a){void 0===a.local_id&&compose.report_as_received(a)}))};d.update_messages=function(a){var c=[],d=!1,e=!1;_.each(a,function(a){var f=b[a.message_id];if(void 0!==f){c.push(f);f.alerted=-1!==a.flags.indexOf("has_alert_word");f.mentioned=-1!==a.flags.indexOf("mentioned")||
-1!==a.flags.indexOf("wildcard_mentioned");condense.un_cache_message_content_height(f.id);void 0!==a.rendered_content&&(f.content=a.rendered_content);var g=current_msg_list.get_row(a.message_id);0<g.length&&message_edit.end(g);if(void 0!==a.subject){d=!0;var k=0<=_.indexOf(["change_later","change_all"],a.propagate_mode),g=stream_data.get_sub_by_id(a.stream_id).name,u=compose.stream_name();k&&g&&u&&g.toLowerCase()===u.toLowerCase()&&a.orig_subject===compose.subject()&&compose.subject(a.subject);if(k&&
(k=current_msg_list.selected_id(),0<=_.indexOf(a.message_ids,k)&&(u=narrow.filter())&&g&&u.has_topic(g,a.orig_subject)))g=u.filter_with_new_topic(a.subject).operators(),narrow.activate(g,{trigger:"topic change",then_select_id:k}),e=!0;_.each(a.message_ids,function(b){b=message_store.get(b);void 0!==b&&(stream_data.process_message_for_recent_topics(b,!0),unread.update_unread_topics(b,a),b.subject=a.subject,b.subject_links=a.subject_links,h(b),stream_data.process_message_for_recent_topics(b))})}f.last_edit_timestamp=
a.edit_timestamp;delete f.last_edit_timestr;notifications.received_messages([f]);alert_words.process_message(f)}});d?(home_msg_list.rerender(),!e&&current_msg_list===message_list.narrowed&&message_list.narrowed.rerender()):(home_msg_list.view.rerender_messages(c),current_msg_list===message_list.narrowed&&message_list.narrowed.view.rerender_messages(c));unread.update_unread_counts();stream_list.update_streams_sidebar();pm_list.update_private_messages()};d.do_unread_count_updates=function(a){unread.process_loaded_messages(a);
unread.update_unread_counts();resize.resize_page_components()};d.insert_new_messages=function(a,b){a=_.map(a,k);d.add_messages(a,home_msg_list,{messages_are_new:!0});d.add_messages(a,message_list.all,{messages_are_new:!0});narrow.active()?narrow.filter().can_apply_locally()?(d.add_messages(a,message_list.narrowed,{messages_are_new:!0}),notifications.possibly_notify_new_messages_outside_viewport(a,b)):f(a,message_list.narrowed,!0,b):notifications.possibly_notify_new_messages_outside_viewport(a,b);
activity.process_loaded_messages(a);d.do_unread_count_updates(a);if(narrow.narrowed_by_reply()){var c,e=current_msg_list.selected_id();for(c=a.length-1;0<=c;c-=1){var h=a[c].id;if(h<=e)break;if(a[c].sent_by_me&&void 0!==current_msg_list.get(h)){current_msg_list.select_id(a[c].id,{then_scroll:!0,from_scroll:!0});break}}}unread.process_visible();notifications.received_messages(a);stream_list.update_streams_sidebar();pm_list.update_private_messages()};d.load_old_messages=function(b){b=_.extend({cont_will_add_messages:!1},
b);var c={anchor:b.anchor,num_before:b.num_before,num_after:b.num_after};if(b.msg_list.narrowed&&narrow.active()){var f=narrow.public_operators();void 0!==page_params.narrow&&(f=f.concat(page_params.narrow));c.narrow=JSON.stringify(f)}b.msg_list===home_msg_list&&void 0!==page_params.narrow_stream&&(c.narrow=JSON.stringify(page_params.narrow));b.use_first_unread_anchor&&(c.use_first_unread_anchor=!0);channel.get({url:"/json/messages",data:c,idempotent:!0,success:function(a){e(a,b)},error:function(c){b.msg_list.narrowed&&
b.msg_list!==current_msg_list||(400===c.status?a([],b):($("#get_old_messages_error").show(),setTimeout(function(){d.load_old_messages(b)},5E3)))}})};d.reset_load_more_status=function(){c=!0;ui.have_scrolled_away_from_top=!0;ui.hide_loading_more_messages_indicator()};d.load_more_messages=function(a){var b;c&&(ui.show_loading_more_messages_indicator(),c=!1,b=void 0===a.first()?page_params.initial_pointer:a.first().id,d.load_old_messages({anchor:b.toFixed(),num_before:100,num_after:0,msg_list:a,cont:function(a){ui.hide_loading_more_messages_indicator();
100<=a.length&&(c=!0)}}))};d.clear=function(){this.stored_messages={}};util.execute_early(function(){function a(b){-1===home_msg_list.selected_id()&&!home_msg_list.empty()&&home_msg_list.select_id(page_params.initial_pointer,{then_scroll:!0,use_closest:!0,target_scroll_offset:page_params.initial_offset});if(0!==b.length&&(b=b[b.length-1].id,b<page_params.max_message_id)){d.load_old_messages({anchor:b.toFixed(),num_before:0,num_after:400,msg_list:home_msg_list,cont:a});return}server_events.home_view_loaded();
$(document).idle({idle:1E4,onIdle:function(){var a=message_list.all.first().id;d.load_old_messages({anchor:a,num_before:1E3,num_after:0,msg_list:home_msg_list})}})}page_params.have_initial_messages?d.load_old_messages({anchor:page_params.initial_pointer,num_before:200,num_after:200,msg_list:home_msg_list,cont:a}):server_events.home_view_loaded();$(document).on("message_id_changed",function(a){var c=a.old_id,d=a.new_id;pointer.furthest_read===c&&(pointer.furthest_read=d);b[c]&&(b[d]=b[c],delete b[c]);
_.each([message_list.all,home_msg_list,message_list.narrowed],function(a){void 0!==a&&(a.change_message_id(c,d),void 0!==a.view&&a.view.change_message_id(c,d))})})});d._add_message_metadata=k;return d}();"undefined"!==typeof module&&(module.exports=message_store);var server_events=function(){function h(a){switch(a.type){case "alert_words":alert_words.words=a.alert_words;break;case "default_streams":page_params.realm_default_streams=a.default_streams;admin.update_default_streams_table();break;case "muted_topics":muting_ui.handle_updates(a.muted_topics);break;case "presence":var b={};b[a.email]=a.presence;activity.set_user_statuses(b,a.server_timestamp);break;case "restart":b={save_pointer:!0,save_narrow:!0,save_compose:!0,message:"The application has been updated; reloading!"};
a.immediate&&(b.immediate=!0);reload.initiate(b);break;case "reaction":"add"===a.op?reactions.add_reaction(a):"remove"===a.op&&reactions.remove_reaction(a);break;case "realm":"update"===a.op&&"name"===a.property?(page_params.realm_name=a.value,notifications.redraw_title()):"update"===a.op&&"invite_required"===a.property?page_params.realm_invite_required=a.value:"update"===a.op&&"invite_by_admins_only"===a.property?page_params.realm_invite_by_admins_only=a.value:"update"===a.op&&"create_stream_by_admins_only"===
a.property?(page_params.realm_create_stream_by_admins_only=a.value,page_params.is_admin||(page_params.can_create_streams=!page_params.realm_create_stream_by_admins_only)):"update"===a.op&&"add_emoji_by_admins_only"===a.property?page_params.add_emoji_by_admins_only=a.value:"update"===a.op&&"restricted_to_domain"===a.property?page_params.realm_restricted_to_domain=a.value:"update_dict"===a.op&&"default"===a.property?($.each(a.data,function(a,b){page_params["realm_"+a]=b}),void 0!==a.data.authentication_methods&&
admin.populate_auth_methods(a.data.authentication_methods)):"update"===a.op&&"default_language"===a.property?(page_params.realm_default_language=a.value,admin.reset_realm_default_language()):"update"===a.op&&"waiting_period_threshold"===a.property&&(page_params.realm_waiting_period_threshold=a.value);break;case "realm_bot":"add"===a.op?bot_data.add(a.bot):"remove"===a.op?bot_data.remove(a.bot.email):"update"===a.op&&(bot_data.update(a.bot.email,a.bot),admin.update_user_full_name(a.bot.email,a.bot.full_name));
break;case "realm_emoji":emoji.update_emojis(a.realm_emoji);admin.populate_emoji(a.realm_emoji);break;case "realm_filters":page_params.realm_filters=a.realm_filters;echo.set_realm_filters(page_params.realm_filters);admin.populate_filters(page_params.realm_filters);break;case "realm_domains":if("add"===a.op)page_params.domains.push(a.alias);else if("remove"===a.op)for(b=0;b<page_params.domains.length;b+=1)if(page_params.domains[b].domain===a.domain){page_params.domains.splice(b,1);break}admin.populate_realm_aliases(page_params.domains);
break;case "realm_user":"add"===a.op?people.add_in_realm(a.person):"remove"===a.op?people.deactivate(a.person):"update"===a.op&&user_events.update_person(a.person);break;case "referral":referral.update_state(a.referrals.granted,a.referrals.used);break;case "stream":"update"===a.op?(subs.update_subscription_properties(a.name,a.property,a.value),admin.update_default_streams_table()):"create"===a.op&&stream_data.create_streams(a.streams);break;case "subscription":var c;"add"===a.op?_.each(a.subscriptions,
function(a){subs.mark_subscribed(a.name,a)}):"peer_add"===a.op?(b=people.get_person_from_user_id(a.user_id),c=b.email,_.each(a.subscriptions,function(b){stream_data.add_subscriber(b,a.user_id);$(document).trigger("peer_subscribe.zulip",{stream_name:b,user_email:c})})):"peer_remove"===a.op?(b=people.get_person_from_user_id(a.user_id),c=b.email,_.each(a.subscriptions,function(b){stream_data.remove_subscriber(b,a.user_id);$(document).trigger("peer_unsubscribe.zulip",{stream_name:b,user_email:c})})):
"remove"===a.op?_.each(a.subscriptions,function(a){a=stream_data.get_sub_by_id(a.stream_id);subs.mark_sub_unsubscribed(a)}):"update"===a.op&&subs.update_subscription_properties(a.name,a.property,a.value);break;case "update_display_settings":"twenty_four_hour_time"===a.setting_name&&(page_params.twenty_four_hour_time=a.setting);"left_side_userlist"===a.setting_name&&(page_params.left_side_userlist=a.setting);"default_language"===a.setting_name&&(page_params.default_language=a.setting);$("#settings.tab-pane.active").length&&
settings.update_page();break;case "update_global_notifications":notifications.handle_global_notification_updates(a.notification_name,a.setting);$("#settings.tab-pane.active").length&&settings.update_page();break;case "update_message_flags":var d="add"===a.operation;switch(a.flag){case "starred":_.each(a.messages,function(a){ui.update_starred(a,d)});break;case "read":b=_.map(a.messages,function(a){return message_store.get(a)}),unread.mark_messages_as_read(b,{from:"server"})}}}function k(a){var c=[],
f=[],g;_.each(a,function(a){try{m.last_event_id=Math.max(m.last_event_id,a.id)}catch(b){blueslip.error("Failed to update last_event_id",{event:_.pick(a,"id","type","op")},b.stack)}});if(tutorial.is_running())d=d.concat(a);else if(0<d.length&&(a=d.concat(a),d=[]),e)b=b.concat(a);else{0<b.length&&(a=b.concat(a),b=[]);_.each(a,function(a){try{switch(a.type){case "message":var b=a.message;b.flags=a.flags;void 0!==a.local_message_id&&(b.local_id=a.local_message_id);c.push(b);break;case "pointer":g=a.pointer;
break;case "update_message":f.push(a);break;default:h(a)}}catch(d){blueslip.error("Failed to process an event\n"+blueslip.exception_msg(d),{event:_.pick(a,"id","type","op")},d.stack)}});if(0!==c.length)try{c=echo.process_from_server(c),message_store.insert_new_messages(c)}catch(k){blueslip.error("Failed to insert new messages\n"+blueslip.exception_msg(k),void 0,k.stack)}void 0!==g&&g>pointer.furthest_read&&(pointer.furthest_read=g,pointer.server_furthest_read=g,home_msg_list.select_id(g,{then_scroll:!0,
use_closest:!0}));-1===home_msg_list.selected_id()&&!home_msg_list.empty()&&home_msg_list.select_id(home_msg_list.first().id,{then_scroll:!1});if(0!==f.length)try{message_store.update_messages(f)}catch(l){blueslip.error("Failed to update messages\n"+blueslip.exception_msg(l),void 0,l.stack)}}}function f(a){a=_.extend({dont_block:!1},a);reload.is_in_progress()||(m.dont_block=a.dont_block||0<l,void 0===m.queue_id&&(m.queue_id=page_params.event_queue_id,m.last_event_id=page_params.last_event_id),void 0!==
c&&c.abort(),void 0!==g&&clearTimeout(g),g=void 0,c=channel.get({url:"/json/events",data:m,idempotent:!0,timeout:page_params.poll_timeout,success:function(a){try{c=void 0,l=0,$("#connection-error").hide(),k(a.events)}catch(b){blueslip.error("Failed to handle get_events success\n"+blueslip.exception_msg(b),void 0,b.stack)}g=setTimeout(f,0)},error:function(a,b){try{c=void 0;if(400===a.status&&(-1!==JSON.parse(a.responseText).msg.indexOf("too old")||-1!==JSON.parse(a.responseText).msg.indexOf("Bad event queue id")))page_params.event_queue_expired=
!0,reload.initiate({immediate:!0,save_pointer:!1,save_narrow:!1,save_compose:!0});if("abort"===b)return;"timeout"===b?(l=0,$("#connection-error").hide()):l+=1;5<=l?$("#connection-error").show():$("#connection-error").hide()}catch(d){blueslip.error("Failed to handle get_events error\n"+blueslip.exception_msg(d),void 0,d.stack)}var e=Math.min(90,Math.exp(l/2));g=setTimeout(f,1E3*e)}}))}var a={},e=!0,d=[],b=[],c,g,l=0,m={};a.assert_get_events_running=function(b){void 0===c&&void 0===g&&(a.restart_get_events({dont_block:!0}),
blueslip.error(b))};a.restart_get_events=function(a){f(a)};a.force_get_events=function(){g=setTimeout(f,0)};a.home_view_loaded=function(){e=!1;k([]);$(document).trigger("home_view_loaded.zulip")};var t=$.now();setInterval(function(){var a=$.now();2E4<a-t&&(t=a,$(document).trigger($.Event("unsuspend")));t=a},5E3);util.execute_early(function(){$(document).on("unsuspend",function(){blueslip.log("Restarting get_events due to unsuspend");l=0;a.restart_get_events({dont_block:!0})});f()});a.cleanup_event_queue=
function(){!0!==page_params.event_queue_expired&&(page_params.event_queue_expired=!0,channel.del({url:"/json/events",data:{queue_id:page_params.event_queue_id}}))};window.addEventListener("beforeunload",function(){a.cleanup_event_queue()});a._get_events_success=k;return a}();"undefined"!==typeof module&&(module.exports=server_events);var home_msg_list=new message_list.MessageList("zhome",new Filter([{operator:"in",operand:"home"}]),{muting_enabled:!0}),current_msg_list=home_msg_list;"undefined"!==typeof module&&(module.exports.current_msg_list=current_msg_list);var activity=function(){function h(a,b){var c;c=0>name.indexOf(",")?$("li.user_sidebar_entry[data-user-id='"+a+"']"):$("li.group-pms-sidebar-entry[data-user-ids='"+a+"']");c=c.find(".count");var d=c.find(".value");0===b?(c.hide(),c.parent().hasClass("user_sidebar_entry")?c.parent(".user_sidebar_entry").removeClass("user-with-count"):c.parent().hasClass("group-pms-sidebar-entry")&&c.parent(".group-pms-sidebar-entry").removeClass("group-with-count"),d.text("")):(c.show(),c.parent().hasClass("user_sidebar_entry")?
c.parent(".user_sidebar_entry").addClass("user-with-count"):c.parent().hasClass("group-pms-sidebar-entry")&&c.parent(".group-pms-sidebar-entry").addClass("group-with-count"),d.text(b))}function k(a,b){a.sort(function(a,c){if("active"===b[a].status&&"active"!==b[c].status)return-1;if("active"===b[c].status&&"active"!==b[a].status)return 1;if("idle"===b[a].status&&"idle"!==b[c].status)return-1;if("idle"===b[c].status&&"idle"!==b[a].status)return 1;var d=a,e=c;people.get_person_from_user_id(a)&&(d=people.get_person_from_user_id(a).full_name);
people.get_person_from_user_id(c)&&(e=people.get_person_from_user_id(c).full_name);return util.strcmp(d,e)});return a}function f(){if(!m.has_focus)return!1;m.has_focus=!1}function a(a){var b=$(".user-list-filter");if(0===b.length)return a;b=b.expectOne().val().trim();if(""===b)return a;b=b.toLowerCase().split(",");b=_.map(b,function(a){return a.trim()});a=_.map(a,function(a){return people.get_person_from_user_id(a)});return people.filter_people_by_search_terms(a,b).keys()}function e(b){b=Object.keys(b);
b=a(b);return b=k(b,m.presence_info)}function d(a,b){var c="offline",d=!1,e=!1;_.each(b,function(b,f){var g=a-b.timestamp;-1!==q.indexOf(f)&&(d=b.pushable||d);if(g<t)switch(b.status){case "active":-1!==q.indexOf(f)?d=!0:e=!0;c=b.status;break;case "idle":"active"!==c&&(c=b.status);break;case "offline":"active"!==c&&"idle"!==c&&(c=b.status);break;default:blueslip.error("Unexpected status",{presence_object:b,device:f},void 0)}});return{status:c,mobile:!e&&d}}function b(){channel.post({url:"/json/users/me/presence",
data:{status:m.has_focus?m.ACTIVE:m.IDLE,new_user_input:m.new_user_input},idempotent:!0,success:function(a){m.presence_info={};!1===a.zephyr_mirror_active?$("#zephyr-mirror-error").show():$("#zephyr-mirror-error").hide();m.new_user_input=!1;_.each(a.presences,function(b,c){if(!people.is_current_user(c)){var e=people.get_user_id(c);if(e){var f=d(a.server_timestamp,b);m.presence_info[e]=f}}});m.update_users();m.update_huddles()}})}function c(){m.has_focus||(m.has_focus=!0,b())}function g(a){if(13===
a.keyCode){a.preventDefault();a=$("#user_presences li.user_sidebar_entry").first().attr("data-user-id");var b=$(".user-list-filter").expectOne().val().trim();void 0!==a&&""!==b&&(a=people.get_person_from_user_id(a).email,compose.start("private",{trigger:"sidebar enter key",private_message_recipient:a}));m.escape_search()}}function l(a){a.stopPropagation()}var m={},t=140;m._OFFLINE_THRESHOLD_SECS=t;var q=["Android","ZulipiOS","ios"],n={active:"is active",idle:"is not active"};m.ACTIVE="active";m.IDLE=
"idle";m.has_focus=document.hasFocus&&document.hasFocus();m.new_user_input=!0;$("html").on("mousemove",function(){m.new_user_input=!0});m.presence_info={};var p=new Dict;m.update_dom_with_unread_counts=function(a){a.pm_count.each(function(a,b){h(b,a)})};m.process_loaded_messages=function(a){var b=!1;_.each(a,function(a){if("private"===a.type&&0<a.reply_to.indexOf(",")){var c=people.emails_strings_to_user_ids_string(a.reply_to);c||blueslip.warn("Bad reply_to for huddle: "+a.reply_to);var d=p.get(c);
if(!d||d<a.timestamp)p.set(c,a.timestamp),b=!0}});m.update_huddles();b&&resize.resize_page_components()};m.get_huddles=function(){var a=p.keys(),a=_.sortBy(a,function(a){return p.get(a)});return a.reverse()};m.full_huddle_name=function(a){a=a.split(",");return _.map(a,function(a){return people.get_person_from_user_id(a).full_name}).join(", ")};m.short_huddle_name=function(a){var b=a.split(",");a=_.map(b,function(a){return people.get_person_from_user_id(a).full_name});a=_.sortBy(a,function(a){return a.toLowerCase()});
a=a.slice(0,3);b=b.length-3;1===b?a.push("+ 1 other"):2<=b&&a.push("+ "+b+" others");return a.join(", ")};m.huddle_fraction_present=function(a,b){var c=a.split(","),d=0;_.each(c,function(a){b[a]&&(a=b[a].status)&&"offline"!==a&&(d+=1)});return(d/c.length).toFixed(2)};m._sort_users=k;m._filter_and_sort=e;m.update_users=function(a){function b(a){var c=m.presence_info[a].status,d=people.get_person_from_user_id(a),e=narrow.pm_with_uri(d.email),d=d.full_name,f;f=unread.suppress_unread_counts?0:unread.num_unread_for_person(a);
return{href:e,name:d,user_id:a,num_unread:f,type:c,type_desc:n[c],mobile:m.presence_info[a].mobile}}if(!page_params.presence_disabled){var c=m.presence_info,d;void 0!==a&&(d=e(c),c=a);c=e(c);c=_.map(c,b);void 0!==a?_.each(c,function(a){var b=d.indexOf(a.user_id);$("#user_presences").find('[data-user-id="'+a.user_id+'"]').remove();$("#user_presences li").eq(b).before(templates.render("user_presence_row",a))}):$("#user_presences").html(templates.render("user_presence_rows",{users:c}));compose_fade.update_faded_users();
return c}};var s=_.throttle(function(){m.update_users();resize.resize_page_components()},50);m.update_huddles=function(){if(!page_params.presence_disabled){var a=m.get_huddles().slice(0,10);if(0===a.length)$("#group-pm-list").removeClass("show");else{var b=_.map(a,function(a){return{user_ids_string:a,name:m.full_huddle_name(a),href:narrow.huddle_with_uri(a),fraction_present:m.huddle_fraction_present(a,m.presence_info),short_name:m.short_huddle_name(a)}}),b=templates.render("group_pms",{group_pms:b});
$("#group-pms").expectOne().html(b);_.each(a,function(a){var b=unread.num_unread_for_person(a);h(a,b)});$("#group-pm-list").addClass("show")}}};m._status_from_timestamp=d;m.initialize=function(){$(window).focus(c);$(window).idle({idle:3E5,onIdle:f,onActive:c,keepTracking:!0});setInterval(b,5E4);b();activity.set_user_statuses(page_params.initial_presences,page_params.initial_servertime)};m.set_user_statuses=function(a,b){var c={},e;_.each(a,function(a,f){if(!people.is_current_user(f)){e=d(b,a);var g=
people.get_user_id(f);g?(m.presence_info[g]=e,c[g]=e):blueslip.warn("unknown email: "+f)}});m.update_users(c);m.update_huddles()};m.redraw=function(){m.update_users();m.update_huddles()};m.searching=function(){return $(".user-list-filter").expectOne().is(":focus")};m.escape_search=function(){var a=$(".user-list-filter").expectOne();""===a.val()?a.blur():(a.val(""),s())};m.initiate_search=function(){$(".user-list-filter").expectOne().focus()};m.blur_search=function(){$(".user-list-filter").blur()};
$(function(){$(".user-list-filter").expectOne().on("click",l).on("input",s).on("keydown",g)});return m}();"undefined"!==typeof module&&(module.exports=activity);var user_events=function(){return{update_person:function(h){var k=people.get_person_from_user_id(h.user_id);if(k){if(_.has(h,"full_name")&&(people.set_full_name(k,h.full_name),admin.update_user_full_name(h.email,h.full_name),activity.redraw(),message_live_update.update_user_full_name(h.user_id,h.full_name),pm_list.update_private_messages()),_.has(h,"is_admin")&&(k.is_admin=h.is_admin,people.is_my_user_id(h.user_id)&&(page_params.is_admin=h.is_admin,admin.show_or_hide_menu_item())),_.has(h,"avatar_url")){var f=
h.avatar_url+"&y="+(new Date).getTime();k.avatar_url=f;people.is_my_user_id(h.user_id)&&(page_params.avatar_url=f,$("#user-settings-avatar").attr("src",f));message_live_update.update_avatar(k)}}else blueslip.error("Got update_person event for unexpected user",{email:h.user_id})}}}();"undefined"!==typeof module&&(module.exports=user_events);var colorspace=function(){return{sRGB_to_linear:function(h){h/=255;return 0.04045>=h?h/12.92:Math.pow((h+0.055)/1.055,2.4)},rgb_luminance:function(h){return 0.2126*h[0]+0.7152*h[1]+0.0722*h[2]},luminance_to_lightness:function(h){return 116*(h<=216/24389?841/108*h+4/29:Math.pow(h,1/3))-16},getDecimalColor:function(h){return{r:parseInt(h.substr(1,2),16),g:parseInt(h.substr(3,2),16),b:parseInt(h.substr(5,2),16)}},getLighterColor:function(h,k){return{r:(255*k+(1-k)*h.r).toFixed(),g:(255*k+(1-k)*h.g).toFixed(),
b:(255*k+(1-k)*h.b).toFixed()}},getHexColor:function(h){return"#"+parseInt(h.r,10).toString(16)+parseInt(h.g,10).toString(16)+parseInt(h.b,10).toString(16)}}}();"undefined"!==typeof module&&(module.exports=colorspace);var timerender=function(){function h(a,c,d){a.text("");return void 0!==d?a.append('<i class="date-direction icon-vector-caret-up"></i>'+d).append($('<hr class="date-line">')).append('<i class="date-direction icon-vector-caret-down"></i>'+c):a.append(c)}var k={},f=0,a=function(a){return a.setMilliseconds(0).setSeconds(0).setMinutes(0).setHours(0)};k.render_now=function(b){var c=a(new XDate),d=a(b.clone()),c=Math.round(d.diffDays(c));return 0===c?["Today",!0]:1===c?["Yesterday",!0]:365<=c?[b.toString("MMM\u00a0dd,\u00a0yyyy"),
!1]:[b.toString("MMM\u00a0dd"),!1]};var e=[],d;$(function(){d=a(new XDate).addDays(1)});k.render_date=function(a,c){var d="timerender"+f;f+=1;var l=k.render_now(a),m=$("<span />").attr("id",d);if(void 0!==c)var t=k.render_now(c),m=h(m,l[0],t[0]);else m=h(m,l[0]);l[1]&&(void 0!==c?e.push([d,a,c]):e.push([d,a]));return m};k.update_timestamps=function(){var b=new XDate;if(b>=d){var c=e;e=[];_.each(c,function(a){var b=a[0],c=document.getElementById(b);if(null!==c){var d=a[1],f,n=k.render_now(d);3===a.length?
(f=a[2],a=k.render_now(f),h($(c),n[0],a[0])):h($(c),n[0]);n[1]&&(void 0!==f?e.push([b,d,f]):e.push([b,d]))}});d=a(b.clone().addDays(1))}};setInterval(k.update_timestamps,6E4);k.set_full_datetime=function(a,c){if(void 0===a.full_date_str){var d=new XDate(1E3*a.timestamp),e=-d.getTimezoneOffset()/60;a.full_date_str=d.toLocaleDateString();a.full_time_str=d.toLocaleTimeString()+" (UTC"+(0>e?"":"+")+e+")";c.attr("title",a.full_date_str+" "+a.full_time_str)}};return k}();
"undefined"!==typeof module&&(module.exports=timerender);var tutorial=function(){function h(a,b,c,d){var e={type:JSON.stringify("stream"),recipient:JSON.stringify(a),topic:JSON.stringify(b),content:JSON.stringify(c)};setTimeout(function(){$.ajax({dataType:"json",url:"/json/tutorial_send_message",type:"POST",data:e})},1E3*d)}function k(){$("body").css({overflow:"hidden"});_.each(["keydown","keyup","keypress","scroll"],function(a){var b=$._data(document,"events")[a];void 0===b&&(b=[]);x[a]=b;$._data(document,"events")[a]=[]})}function f(){$("body").css({overflow:"auto"});
_.each(["keydown","keyup","keypress","scroll"],function(a){$._data(document,"events")[a]=x[a]})}function a(a,b){return channel.post({url:"/json/tutorial_status",data:{status:JSON.stringify(a)},success:b})}function e(a,b,c,d){var e=$(document).width(),f=$(document).height();$("#top-screen").css({opacity:0.7,width:e,height:b});$("#bottom-screen").offset({top:b+d,left:0});$("#bottom-screen").css({opacity:0.7,width:e,height:f});$("#left-screen").offset({top:b,left:0});$("#left-screen").css({opacity:0.7,
width:a,height:d});$("#right-screen").offset({top:b,left:a+c});$("#right-screen").css({opacity:0.7,width:a,height:d});$("#clear-screen").css({opacity:0,width:e,height:f})}function d(){var a=viewport.message_viewport_info(),b=a.visible_top,c=a.visible_height,a=rows.get_message_recipient_row(rows.last_visible());return $.merge(a,a.prevAll()).filter(function(a,d){var e=$(d).offset();return e.top>b&&e.top<b+c})}function b(a){if($("#left-sidebar").is(":visible"))return a;if("left"===a)return"bottom";if("bottom"===
a)return"right"}function c(a,b,c,d){$(".popover").remove();a.popover("destroy");a.popover({placement:b,title:templates.render("tutorial_title",{title:c,placement:b}),content:templates.render(d,{placement:b,page_params:page_params}),trigger:"manual"});a.popover("show");$(".popover").css("z-index",20001);$(".popover-title").addClass("popover-"+b)}function g(b){var c=$("#tutorial-finale");b?(c.modal("hide"),$(".screen").css({opacity:0,width:0,height:0})):($(".screen").css({opacity:0}),c.css("z-index",
20001),c.modal("show"),$("#tutorial-get-started").click(function(){c.modal("hide");$(".screen").css({opacity:0,width:0,height:0})}).focus());a("finished");r=!1;current_msg_list.clear();z=void 0;server_events.force_get_events();stream_color.default_color=A;$("#first_run_message").show();current_msg_list.rerender();f();_.each(y,function(a){a()});y=[];(b=stream_data.get_newbie_stream())&&narrow.activate([{operator:"stream",operand:b}]);page_params.first_in_realm&&(b=stream_data.in_home_view("engineering")?
"engineering":_.find(stream_data.home_view_stream_names(),function(a){return"social"!==a&&a!==page_params.notifications_stream}),stream_data.in_home_view(page_params.notifications_stream)&&(h(page_params.notifications_stream,"welcome","Practice sending sending some messages here, or starting a new topic.",15),h(page_params.notifications_stream,page_params.product_name+" tips","Here's a message on a new topic: `"+page_params.product_name+" tips`.\n\nAs you settle into "+page_params.product_name+", customize your account and notifications on your [Settings page](#settings).",
30),h(page_params.notifications_stream,page_params.product_name+" tips","You might also enjoy:\n\n* Our lightweight !modal_link(#markdown-help, message formatting) (including emoji! :thumbsup:)\n* !modal_link(#keyboard-shortcuts, Keyboard shortcuts)\n* [Desktop and mobile apps](/apps)",40)),void 0!==b&&(h(b,"projects","This is a message on stream `"+b+"` with the topic `projects`.",60),h(b,"projects","Take a peek at our [integrations](/integrations). Now's a great time to set one up!",65)),stream_data.in_home_view("social")&&
h("social","cute animals","This is a message on stream `social` with the topic `cute animals`. Try uploading or pasting in some pictures. Here's a [guinea pig](/static/images/cute/guinea.jpg) to get you started:",75))}function l(){var a=rows.first_visible(),b=rows.get_message_recipient_row(a),c=b.find(".message_header"),d=b.offset().left,f=b.offset().top,a=c.height()+a.height(),b=b.width();e(d,f,b,a)}function m(){var a=rows.get_message_recipient_row(rows.first_visible()),b=a.offset().left,c=a.offset().top,
f=0;_.each(d(),function(a){f+=$(a).height()});e(b,c,a.width(),f)}function t(){var a=rows.get_message_recipient_row(rows.first_visible());m();c(a,b("left"),"Replying","tutorial_reply");var d=$("#tutorial-reply").closest(".popover");d.offset({left:d.offset().left-10});z=t;$("#tutorial-reply-next").click(function(){a.popover("destroy");g(!1)}).focus()}function q(){var a=rows.get_message_recipient_header(rows.first_visible());m();c(a,b("left"),"Narrowing","tutorial_home");var d=$("#tutorial-home").closest(".popover");
d.offset({left:d.offset().left-10});z=q;$("#tutorial-home-next").click(function(){a.popover("destroy");t()}).focus()}function n(){var a=rows.first_visible(),d=rows.get_message_recipient_header(a),a=b("bottom");l();c(d,a,"Topics","tutorial_subject");var e=$("#tutorial-subject").closest(".popover");"bottom"===a?e.offset({left:d.offset().left+140-e.width()/2}):e.offset({left:d.offset().left+194});z=n;$("#tutorial-subject-next").click(function(){d.popover("destroy");q()}).focus()}function p(){var a=rows.get_message_recipient_header(rows.first_visible()),
d=b("bottom");l();c(a,d,"Streams","tutorial_stream");var e=$("#tutorial-stream").closest(".popover");"bottom"===d?e.offset({left:a.offset().left+50-e.width()/2}):e.offset({left:a.offset().left+98});z=p;$("#tutorial-stream-next").click(function(){a.popover("destroy");n()}).focus()}function s(){$("#top-screen").css({opacity:0.7,width:$(document).width(),height:$(document).height()});var a=rows.first_visible(),d=rows.get_message_recipient_header(a);l();c(d,b("left"),"Welcome to "+page_params.product_name,
"tutorial_message");a=$("#tutorial-message").closest(".popover");a.offset({left:a.offset().left-10});z=s;$("#tutorial-message-next").click(function(){d.popover("destroy");p()}).focus();$("#tutorial-message-skip").click(function(){d.popover("destroy");g(!0)})}var u={},r=!1,x={},y=[],z,A,B=(new Date).getTime()/1E3,v=[{id:1,content:"<p>We're working on some new screenshots for our landing page!</p>",is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",
display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:11",timestamp:B,type:"stream"},{id:2,content:"<p>Here's the <a href='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png' target='_blank' title='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png'>latest version</a>:<div class='message_inline_image'><a href='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png' target='_blank' title='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png'><img src='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png'></a></div> for the Windows app -- thoughts? I'm particularly wondering whether people think the screenshot should be from Windows 7 or some other version.</p>",
is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:11",timestamp:B,type:"stream"},{id:3,content:"<p>Looks good to me! <img alt=':+1:' class='emoji' src='/static/generated/emoji/images/emoji/+1.png' title=':+1:'></p>",is_stream:!0,sender_full_name:"Jeff Arnold",sender_email:"jeff@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/dd0cf69d6d1989aa0b0d8c722f7d5840",
display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:16",timestamp:B,type:"stream"},{id:4,content:"<p>Adam and I just finished a brainstorming session for the next set of integrations we want to support.</p><p><a href=''>Here</a> are our notes. I'll open tickets for the action items.</p>",is_stream:!0,sender_full_name:"Jessica McKellar",sender_email:"jessica@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/2a1ffb4ef0b4a20c04d540a35f430cf6",display_recipient:"engineering",
stream:"engineering",subject:"integrations",timestr:"12:25",timestamp:B,type:"stream"},{id:5,content:"<p>Yay, Twitter integration. <img alt=':heart_eyes:' class='emoji' src='/static/generated/emoji/images/emoji/heart_eyes.png' title=':heart_eyes:'></p>",is_stream:!0,sender_full_name:"Leo Franchi",sender_email:"leo@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/4309007c980e1e8b9a2453488586482a",display_recipient:"engineering",stream:"engineering",subject:"integrations",timestr:"12:25",timestamp:B,
type:"stream"},{id:6,content:"<p>We need to add support for a few more markdown features before we can do GitHub integration.</p>",is_stream:!0,sender_full_name:"Li Jing",sender_email:"li@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/2950c2c87fe7daaa56fd6a403ecc2ee0",display_recipient:"engineering",stream:"engineering",subject:"integrations",timestr:"12:26",timestamp:B,type:"stream"},{id:7,content:"<p>Good point, I'll add that to the ticket.</p>",is_stream:!0,sender_full_name:"Jessica McKellar",
sender_email:"jessica@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/2a1ffb4ef0b4a20c04d540a35f430cf6",display_recipient:"engineering",stream:"engineering",subject:"integrations",timestr:"12:26",timestamp:B,type:"stream"},{id:8,content:"<p><img alt=':clock1130:' class='emoji' src='/static/generated/emoji/images/emoji/clock1130.png' title=':clock1130:'> Reminder: engineering meeting in 1 hour. <img alt=':clock1130:' class='emoji' src='/static/generated/emoji/images/emoji/clock1130.png' title=':clock1130:'></p>",
is_stream:!0,sender_full_name:"Reminder Bot",sender_email:"reminder-bot@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/78873d7213d102dc36773046560d403a",display_recipient:"engineering",stream:"engineering",subject:"weekly meeting",timestr:"12:30",timestamp:B,type:"stream"},{id:9,content:"<p>Quickly brainstorming my remaining TODO list out loud for you all:</p>",is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",
display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:32",timestamp:B,type:"stream"},{id:10,content:"<p><ul><li>Redo iPhone shot</li><li>Double-check layout on iPad</li><li>Update copy for new iOS app version</li><li>Check with Android team on timeline for login redesign</li></ul></p>",is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",display_recipient:"engineering",
stream:"engineering",subject:"screenshots",timestr:"12:32",timestamp:B,type:"stream"},{id:11,content:"<p>Oops, I actually took care of the text for iOS and forgot to update the ticket -- I'll do that now.</p>",is_stream:!0,sender_full_name:"Jeff Arnold",sender_email:"jeff@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/dd0cf69d6d1989aa0b0d8c722f7d5840",display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:16",timestamp:B,type:"stream"},{id:12,content:"<p>No problem, less work for me. <img alt=':smile:' class='emoji' src='/static/generated/emoji/images/emoji/smile.png' title=':smile:'></p>",
is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:32",timestamp:B,type:"stream"}];u.is_running=function(){return r};u.defer=function(a){y.push(a)};u.start=function(){ui.home_tab_obscured()&&ui.change_tab_to("#home");narrow.deactivate();A=stream_color.default_color;stream_color.default_color="#76ce90";current_msg_list.add_and_rerender(v);
k();r=!0;a("started");s()};u.initialize=function(){page_params.needs_tutorial&&u.start();$(window).resize($.debounce(100,function(){void 0!==z&&z()}))};return u}();"undefined"!==typeof module&&(module.exports=tutorial);var templates=function(){var h={render:function(h,f){if(void 0===Handlebars.templates)throw Error("Cannot find compiled templates!");if(void 0===Handlebars.templates[h])throw Error("Cannot find a template with this name: "+h+". If you are developing a new feature, this likelymeans you need to add the file static/templates/"+h+".handlebars");return Handlebars.templates[h](f)}};Handlebars.registerHelper("partial",function(k){var f={},a=arguments.length,e;for(e=1;e<a-2;e+=2)f[arguments[e]]=arguments[e+
1];f=_.extend({},this,f);return new Handlebars.SafeString(h.render(k,f))});Handlebars.registerHelper("plural",function(h,f,a){return 1===h?f:a});Handlebars.registerHelper("if_and",function(){var h=arguments[arguments.length-1],f;for(f=0;f<arguments.length-1;f+=1)if(!arguments[f])return h.inverse(this);return h.fn(this)});Handlebars.registerHelper("if_or",function(){var h=arguments[arguments.length-1],f;for(f=0;f<arguments.length-1;f+=1)if(arguments[f])return h.fn(this);return h.inverse(this)});Handlebars.registerHelper("t",
function(h){h=i18n.t(h);return new Handlebars.SafeString(h)});Handlebars.registerHelper("tr",function(h,f){var a=i18n.t(f.fn(h),h);return new Handlebars.SafeString(a)});return h}();"undefined"!==typeof module&&(module.exports=templates);var avatar=function(){function h(f){f=f.type;return!f?!1:0<=_.indexOf(["image/jpeg","image/png","image/gif","image/tiff"],f)}var k={build_bot_create_widget:function(){var f=$("#bot_avatar_file"),a=$("#bot_avatar_file_input_error"),e=$("#bot_avatar_clear_button"),d=$("#bot_avatar_upload_button");return k.build_widget(function(){return $("#bot_avatar_file_input")},f,a,e,d)},build_bot_edit_widget:function(f){var a=f.find(".edit_bot_avatar_file"),e=f.find(".edit_bot_avatar_error"),d=f.find(".edit_bot_avatar_clear_button"),
b=f.find(".edit_bot_avatar_upload_button");return k.build_widget(function(){return f.find(".edit_bot_avatar_file_input")},a,e,d,b)},build_widget:function(f,a,e,d,b){function c(){var c=f(),e=c.clone(!0);c.replaceWith(e);a.text("");d.hide();b.show()}d.on("click",function(a){c();a.preventDefault()});b.on("drop",function(a){var b=a.dataTransfer.files;if(null===b||void 0===b||0===b.length)return!1;f().get(0).files=b;a.preventDefault();return!1});f().on("change",function(f){0===f.target.files.length?e.hide():
1===f.target.files.length?(f=f.target.files[0],5242880<f.size?(e.text("File size must be < 5Mb."),e.show(),c()):h(f)?(a.text(f.name),e.hide(),d.show(),b.hide()):(e.text("File type is not supported."),e.show(),c())):e.text("Please just upload one file.")});b.on("click",function(a){f().trigger("click");a.preventDefault()});return{clear:c,close:function(){c();d.off("click");b.off("drop");f().off("change");b.off("click")}}},build_user_avatar_widget:function(f){"G"===page_params.avatar_source&&$("#user_avatar_delete_button").hide();
$("#user_avatar_delete_button").on("click",function(a){a.preventDefault();a.stopPropagation();channel.del({url:"/json/users/me/avatar",success:function(a){$("#user-settings-avatar").expectOne().attr("src",a.avatar_url);$("#user_avatar_delete_button").hide();a=$("#user_avatar_file_input");a.replaceWith(a.clone(!0))}})});return k.build_direct_upload_widget(function(){return $("#user_avatar_file_input").expectOne()},$("#user_avatar_file_input_error").expectOne(),$("#user_avatar_upload_button").expectOne(),
f)},build_direct_upload_widget:function(f,a,e,d){function b(){var a=f(),b=a.clone(!0);a.replaceWith(b)}e.on("drop",function(a){var b=a.dataTransfer.files;if(null===b||void 0===b||0===b.length)return!1;f().get(0).files=b;a.preventDefault();return!1});f().on("change",function(c){0===c.target.files.length?a.hide():1===c.target.files.length?(c=c.target.files[0],5242880<c.size?(a.text("File size must be < 5Mb."),a.show(),b()):h(c)?(a.hide(),d(f())):(a.text("File type is not supported."),a.show(),b())):
a.text("Please just upload one file.")});e.on("click",function(a){f().trigger("click");a.preventDefault()})}};return k}();"undefined"!==typeof module&&(module.exports=avatar);var settings=function(){function h(a,b){void 0===b&&(b=[]);c.done(function(c){var d=function(a){return $("<option>").attr("value",a[0]).text(a[1])},e=_.chain(c).where({invite_only:!1}).pluck("name").map(function(a){return[a,a]}).value(),e=_.chain(b.concat(e)).map(d).reduce(function(a,b){return a.append(b)},$('<optgroup label="Public"/>')).value();c=_.chain(c).where({invite_only:!0}).pluck("name").map(function(a){return[a,a]}).map(d).reduce(function(a,b){return a.append(b)},$('<optgroup label="Private"/>')).value();
a.empty();a.append(e);a.append(c)})}function k(a,b,c){feature_flags.new_bot_ui&&(""!==b&&a.append("default_sending_stream",b),"__all_public__"===c?(a.append("default_all_public_streams",JSON.stringify(!0)),a.append("default_events_register_stream",null)):""!==c&&(a.append("default_all_public_streams",JSON.stringify(!1)),a.append("default_events_register_stream",c)))}function f(){$("#bots_list").empty();_.each(bot_data.get_editable(),function(a){a={name:a.full_name,email:a.email,avatar_url:a.avatar_url,
api_key:a.api_key,zuliprc:"zuliprc",default_sending_stream:a.default_sending_stream,default_events_register_stream:a.default_events_register_stream,default_all_public_streams:a.default_all_public_streams};a.id_suffix=_.uniqueId("_bot_");var b=$(templates.render("bot_avatar_row",a)),c=b.find("select[name=bot_default_sending_stream]"),d=b.find("select[name=bot_default_events_register_stream]");feature_flags.new_bot_ui||b.find(".new-bot-ui").hide();var e=[];null===a.default_sending_stream&&e.push(["",
"No default selected"]);h(c,e);c.val(a.default_sending_stream,e);c=[["__all_public__","All public streams"]];null===a.default_events_register_stream&&!a.default_all_public_streams&&c.unshift(["","No default selected"]);h(d,c);a.default_all_public_streams?d.val("__all_public__"):d.val(a.default_events_register_stream);$("#bots_list").append(b);$("#bots_list").show()})}function a(){function a(){$("#old_password, #new_password, #confirm_password").val("")}function c(a,b){viewport.scrollTop(0);ui.report_error(a,
b,$("#settings-status").expectOne())}function e(a,b,c){a=JSON.parse(c.responseText);b=$("#notify-settings-status").expectOne();void 0!==a.enable_stream_desktop_notifications&&(page_params.stream_desktop_notifications_enabled=a.enable_stream_desktop_notifications);void 0!==a.enable_stream_sounds&&(page_params.stream_sounds_enabled=a.enable_stream_sounds);void 0!==a.enable_desktop_notifications&&(page_params.desktop_notifications_enabled=a.enable_desktop_notifications);void 0!==a.enable_sounds&&(page_params.sounds_enabled=
a.enable_sounds);void 0!==a.enable_offline_email_notifications&&(page_params.enable_offline_email_notifications=a.enable_offline_email_notifications);void 0!==a.enable_offline_push_notifications&&(page_params.enable_offline_push_notifications=a.enable_offline_push_notifications);void 0!==a.enable_online_push_notifications&&(page_params.enable_online_push_notifications=a.enable_online_push_notifications);void 0!==a.pm_content_in_desktop_notifications&&(page_params.pm_content_in_desktop_notifications=
a.pm_content_in_desktop_notifications);void 0!==a.enable_digest_emails&&(page_params.enable_digest_emails=a.enable_digest_emails);ui.report_success(i18n.t("Updated notification settings!"),b)}function t(a){ui.report_error(i18n.t("Error changing settings"),a,$("#notify-settings-status").expectOne())}function q(a,b){var c={};c[a]=b;channel.patch({url:"/json/settings/notifications",data:c,success:e,error:t})}function n(a){q("enable_stream_desktop_notifications",a);subs.set_all_stream_desktop_notifications_to(a)}
function p(a){q("enable_stream_sounds",a);subs.set_all_stream_audible_notifications_to(a)}function s(a,b){var c=templates.render("propagate_notification_change"),d=a.closest(".control-group"),e=a.is(":checked");d.find(".propagate_stream_notifications_change").html(c);d.find(".yes_propagate_notifications").on("click",function(){b(e);d.find(".propagate_stream_notifications_change").empty()});d.find(".no_propagate_notifications").on("click",function(){d.find(".propagate_stream_notifications_change").empty()})}
"resolved"!==b.state()&&channel.get({url:"/json/streams",success:function(a){b.resolve(a.streams);h($("#create_bot_default_sending_stream"));h($("#create_bot_default_events_register_stream"),[["__all_public__","All public streams"]])}});var u=templates.render("settings_tab",{full_name:people.my_full_name(),page_params:page_params,zuliprc:"zuliprc"});$("#settings").html(u);$("#settings-status").hide();$("#notify-settings-status").hide();$("#display-settings-status").hide();$("#ui-settings-status").hide();
alert_words_ui.set_up_alert_words();$("#api_key_value").text("");$("#get_api_key_box").hide();$("#show_api_key_box").hide();$("#api_key_button_box").show();a();$("#api_key_button").click(function(){!1!==page_params.password_auth_enabled?$("#get_api_key_box").show():$("#get_api_key_box form").submit();$("#api_key_button_box").hide()});$("#pw_change_link").on("click",function(a){a.preventDefault();$("#pw_change_link").hide();$("#pw_change_controls").show();!1!==page_params.password_auth_enabled&&(a=
"/static/min/zxcvbn.js",page_params.development_environment&&(a="/static/node_modules/zxcvbn/dist/zxcvbn.js"),$.getScript(a,function(){$("#pw_strength .bar").removeClass("fade")}))});$("#new_password").on("change keyup",function(){var a=$("#new_password");password_quality(a.val(),$("#pw_strength .bar"),a)});page_params.show_digest_email||$("#other_notifications").hide();feature_flags.new_bot_ui||$(".new-bot-ui").hide();$("form.your-account-settings").ajaxForm({dataType:"json",beforeSubmit:function(){if(!1!==
page_params.password_auth_enabled){var a=$("#new_password"),b=$("#new_password").val();if(""!==b){a=password_quality(b,void 0,a);if(void 0===a)return c("An internal error occurred; try reloading the page. Sorry for the trouble!"),!1;if(!a)return c("New password is too weak"),!1}}return!0},success:function(){viewport.scrollTop(0);ui.report_success("Updated settings!",$("#settings-status").expectOne())},error:function(a){c("Error changing settings",a)},complete:function(){a()}});$("#change_notification_settings").on("click",
function(a){a.preventDefault();var b={};_.each("enable_stream_desktop_notifications enable_stream_sounds enable_desktop_notifications pm_content_in_desktop_notifications enable_sounds enable_offline_email_notifications enable_offline_push_notifications enable_online_push_notifications enable_digest_emails".split(" "),function(a){b[a]=$("#"+a).is(":checked")});channel.patch({url:"/json/settings/notifications",data:b,success:e,error:t})});$("#enable_stream_desktop_notifications").on("click",function(){var a=
$("#enable_stream_desktop_notifications");s(a,n)});$("#enable_stream_sounds").on("click",function(){var a=$("#enable_stream_sounds");s(a,p)});$("#left_side_userlist").change(function(){var a={};a.left_side_userlist=JSON.stringify(this.checked);var b={};b.side="true"===a.left_side_userlist?i18n.t("left"):i18n.t("right");channel.patch({url:"/json/settings/display",data:a,success:function(){ui.report_success(i18n.t("User list will appear on the __side__ hand side! You will need to reload the window for your changes to take effect.",
b),$("#display-settings-status").expectOne())},error:function(a){ui.report_error(i18n.t("Error updating user list placement setting"),a,$("#display-settings-status").expectOne())}})});$("#twenty_four_hour_time").change(function(){var a={},b=$("#twenty_four_hour_time").is(":checked");a.twenty_four_hour_time=JSON.stringify(b);var c={};c.format="true"===a.twenty_four_hour_time?"24":"12";channel.patch({url:"/json/settings/display",data:a,success:function(){ui.report_success(i18n.t("Time will be displayed in the __format__-hour format!  You will need to reload the window for your changes to take effect",
c),$("#display-settings-status").expectOne())},error:function(a){ui.report_error(i18n.t("Error updating time format setting"),a,$("#display-settings-status").expectOne())}})});$("#default_language_modal .language").click(function(a){a.preventDefault();a.stopPropagation();$("#default_language_modal").modal("hide");var b={};a=$(a.target).closest("a[data-code]");var c=a.attr("data-code");b.default_language=JSON.stringify(c);a=a.attr("data-name");$("#default_language_name").text(a);var d={};d.lang=a;
channel.patch({url:"/json/settings/display",data:b,success:function(){ui.report_success(i18n.t("__lang__ is now the default language!  You will need to reload the window for your changes to take effect",d),$("#display-settings-status").expectOne())},error:function(a){ui.report_error(i18n.t("Error updating default language setting"),a,$("#display-settings-status").expectOne())}})});$("#default_language").on("click",function(a){a.preventDefault();a.stopPropagation();$("#default_language_modal").modal("show")});
$("#user_deactivate_account_button").on("click",function(a){a.preventDefault();a.stopPropagation();$("#deactivate_self_modal").modal("show")});$("#do_deactivate_self_button").on("click",function(){$("#deactivate_self_modal").modal("hide");channel.del({url:"/json/users/me",success:function(){window.location.href="/login"},error:function(a){ui.report_error(i18n.t("Error deactivating account"),a,$("#settings-status").expectOne())}})});$("#get_api_key_box").hide();$("#show_api_key_box").hide();$("#get_api_key_box form").ajaxForm({dataType:"json",
success:function(a,b,c){a=JSON.parse(c.responseText);b=$("#settings-status").expectOne();$("#get_api_key_password").val("");$("#api_key_value").text(a.api_key);$("#show_api_key_box").show();$("#get_api_key_box").hide();b.hide()},error:function(a){ui.report_error(i18n.t("Error getting API key"),a,$("#settings-status").expectOne());$("#show_api_key_box").hide();$("#get_api_key_box").show()}});avatar.build_user_avatar_widget(function(a){var b=new FormData;b.append("csrfmiddlewaretoken",csrf_token);jQuery.each(a[0].files,
function(a,c){b.append("file-"+a,c)});a=$("#upload_avatar_spinner").expectOne();loading.make_indicator(a,{text:"Uploading avatar."});channel.put({url:"/json/users/me/avatar",data:b,cache:!1,processData:!1,contentType:!1,success:function(a){loading.destroy_indicator($("#upload_avatar_spinner"));a=a.avatar_url+"&stamp="+d.avatar_stamp;$("#user-settings-avatar").expectOne().attr("src",a);$("#user_avatar_delete_button").show();d.avatar_stamp+=1}})});page_params.name_changes_disabled&&$(".name_change_container").hide();
f();$(document).on("zulip.bot_data_changed",f);$.validator.addMethod("bot_local_part",function(a,b){return this.optional(b)||/^[\-!#$%&'*+\/=?\^_`{}|~0-9A-Z]+(\.[\-!#$%&'*+\/=?\^_`{}|~0-9A-Z]+)*$/i.test(a+"-bot")},"Please only use characters that are valid in an email address");var r=avatar.build_bot_create_widget();$("#create_bot_form").validate({errorClass:"text-error",success:function(){$("#bot_table_error").hide()},submitHandler:function(){var a=$("#create_bot_name").val(),b=$("#create_bot_short_name").val()||
$("#create_bot_short_name").text(),c=$("#create_bot_default_sending_stream").val(),d=$("#create_bot_default_events_register_stream").val(),e=new FormData;e.append("csrfmiddlewaretoken",csrf_token);e.append("full_name",a);e.append("short_name",b);k(e,c,d);jQuery.each($("#bot_avatar_file_input")[0].files,function(a,b){e.append("file-"+a,b)});$("#create_bot_button").val("Adding bot...").prop("disabled",!0);channel.post({url:"/json/bots",data:e,cache:!1,processData:!1,contentType:!1,success:function(){$("#bot_table_error").hide();
$("#create_bot_name").val("");$("#create_bot_short_name").val("");$("#create_bot_button").show();r.clear()},error:function(a){$("#bot_table_error").text(JSON.parse(a.responseText).msg).show()},complete:function(){$("#create_bot_button").val("Create bot").prop("disabled",!1)}})}});$("#bots_list").on("click","button.delete_bot",function(a){var b=$(a.currentTarget).data("email");channel.del({url:"/json/bots/"+encodeURIComponent(b),success:function(){var b=$(a.currentTarget).closest("li");b.hide("slow",
function(){b.remove()})},error:function(a){$("#bot_delete_error").text(JSON.parse(a.responseText).msg).show()}})});$("#bots_list").on("click","button.regenerate_bot_api_key",function(a){var b=$(a.currentTarget).data("email");channel.post({url:"/json/bots/"+encodeURIComponent(b)+"/api_key/regenerate",idempotent:!0,success:function(b){var c=$(a.currentTarget).closest("li");c.find(".api_key").find(".value").text(b.api_key);c.find("api_key_error").hide()},error:function(b){$(a.currentTarget).closest("li").find(".api_key_error").text(JSON.parse(b.responseText).msg).show()}})});
var x=0;$("#bots_list").on("click","button.open_edit_bot_form",function(a){function b(){f.show();g.show();d.hide();l.close()}var c=$(a.currentTarget).closest("li"),d=c.find("div.edit_bot"),e=c.find(".edit_bot_form"),f=c.find(".image"),g=c.find(".bot_info");a=c.find(".reset_edit_bot");var h=g.find(".name").text();e.find(".edit_bot_name").attr("value",h);f.hide();g.hide();d.show();var l=avatar.build_bot_edit_widget(c);a.click(function(a){e.find(".edit_bot_name").val(h);b();$(this).off(a)});var m=e.find(".bot_edit_errors");
e.validate({errorClass:"text-error",success:function(){m.hide()},submitHandler:function(){var a=e.data("email"),d=e.find(".edit_bot_name").val(),h=c.find(".edit_bot_avatar_file_input"),l=e.find(".edit_bot_default_sending_stream").val(),n=e.find(".edit_bot_default_events_register_stream").val(),p=e.find(".edit_bot_spinner"),q=e.find(".edit_bot_button"),r=new FormData;r.append("csrfmiddlewaretoken",csrf_token);r.append("full_name",d);k(r,l,n);jQuery.each(h[0].files,function(a,b){r.append("file-"+a,
b)});loading.make_indicator(p,{text:"Editing bot"});q.hide();channel.patch({url:"/json/bots/"+encodeURIComponent(a),data:r,cache:!1,processData:!1,contentType:!1,success:function(a){loading.destroy_indicator(p);m.hide();q.show();b();g.find(".name").text(d);a.avatar_url&&(x+=1,f.find("img").attr("src",a.avatar_url+"&v="+x.toString()))},error:function(a){loading.destroy_indicator(p);q.show();m.text(JSON.parse(a.responseText).msg).show()}})}})});$("#bots_list").on("click","a.download_bot_zuliprc",function(){var a=
$(this).parent().parent(),b=a.find(".email .value").text(),a=a.find(".api_key .api-key-value-and-button .value").text();$(this).attr("href",settings.generate_zuliprc_uri($.trim(b),$.trim(a)))});$("#download_zuliprc").on("click",function(){$(this).attr("href",settings.generate_zuliprc_uri(people.my_current_email(),$("#api_key_value").text()))});$("#show_api_key_box").on("click","button.regenerate_api_key",function(){channel.post({url:"/json/users/me/api_key/regenerate",idempotent:!0,success:function(a){$("#api_key_value").text(a.api_key)},
error:function(a){$("#user_api_key_error").text(JSON.parse(a.responseText).msg).show()}})});$("#ui-settings").on("click","input[name='change_settings']",function(a){a.preventDefault();var b={};_.each(["autoscroll_forever","default_desktop_notifications"],function(a){b[a]=$("#"+a).is(":checked")});channel.patch({url:"/json/settings/ui",data:b,success:function(a,b,c){a=i18n.t("Updated settings!  You will need to reload for these changes to take effect.",page_params);c=JSON.parse(c.responseText);b=$("#ui-settings-status").expectOne();
void 0!==c.autoscroll_forever&&(page_params.autoscroll_forever=c.autoscroll_forever,resize.resize_page_components());ui.report_success(a,b)},error:function(a){ui.report_error(i18n.t("Error changing settings"),a,$("#ui-settings-status").expectOne())}})})}function e(){$("#twenty_four_hour_time").prop("checked",page_params.twenty_four_hour_time);$("#left_side_userlist").prop("checked",page_params.left_side_userlist);$("#default_language_name").text(page_params.default_language_name);$("#enable_stream_desktop_notifications").prop("checked",
page_params.stream_desktop_notifications_enabled);$("#enable_stream_sounds").prop("checked",page_params.stream_sounds_enabled);$("#enable_desktop_notifications").prop("checked",page_params.desktop_notifications_enabled);$("#enable_sounds").prop("checked",page_params.sounds_enabled);$("#enable_offline_email_notifications").prop("checked",page_params.enable_offline_email_notifications);$("#enable_offline_push_notifications").prop("checked",page_params.enable_offline_push_notifications);$("#enable_online_push_notifications").prop("checked",
page_params.enable_online_push_notifications);$("#pm_content_in_desktop_notifications").prop("checked",page_params.pm_content_in_desktop_notifications);$("#enable_digest_emails").prop("checked",page_params.enable_digest_emails)}var d={},b=$.Deferred(),c=b.promise();d.generate_zuliprc_uri=function(a,b){var c=settings.generate_zuliprc_content(a,b);return"data:application/octet-stream;charset=utf-8,"+encodeURIComponent(c)};d.generate_zuliprc_content=function(a,b){return"[api]\nemail="+a+"\nkey="+b+"\nsite="+
page_params.realm_uri+"\n"};d.avatar_stamp=Math.floor(100*Math.random());d.setup_page=function(){i18n.ensure_i18n(a)};d.update_page=function(){i18n.ensure_i18n(e)};return d}();"undefined"!==typeof module&&(module.exports=settings);var tab_bar=function(){function h(a,d,b,c,f){return{active:"inactive",cls:c||"",title:a,hash:d,data:b,home:f||!1}}function k(){var a=[],d=narrow.filter();void 0!==d&&(d.has_operator("stream")&&!stream_data.in_home_view(d.operands("stream")[0])||d.has_operand("in","all"))?a.push(h("All Messages","#narrow/in/all",void 0,"root")):void 0!==page_params.narrow?(a.push(h("Stream "+page_params.narrow_stream,hashchange.operators_to_hash([page_params.narrow[0]]),page_params.narrow_stream,"stream")),void 0!==
page_params.narrow_topic&&a.push(h("Topic "+page_params.narrow_topic,hashchange.operators_to_hash(page_params.narrow),null))):a.push(h("Home","#","home","root",!0));if(narrow.active()&&0<narrow.operators().length){var b,c=narrow.operators(),f=hashchange.operators_to_hash(c.slice(0,1));d.has_operator("stream")?(b=d.operands("stream")[0],a.push(h(b,f,b,"stream"))):d.has_operator("pm-with")||d.has_operand("is","private")?(a.push(h("Private Messages","#narrow/is/private",void 0,"private_message ")),d.has_operator("pm-with")&&
(b=d.operands("pm-with")[0].split(","),b=_.map(b,function(a){return!people.get_by_email(a)?a:people.get_by_email(a).full_name}),a.push(h(b.join(", "),f)))):d.has_operand("is","starred")?a.push(h("Starred",f)):d.has_operator("near")?a.push(h("Near "+d.operands("near")[0],f)):d.has_operator("id")?a.push(h("ID "+d.operands("id")[0],f)):d.has_operand("is","mentioned")?a.push(h("Mentions",f)):d.has_operator("sender")?(b=d.operands("sender")[0],people.get_by_email(b)&&(b=people.get_by_email(b).full_name),
a.push(h("Sent by "+b,f))):d.has_operator("search")&&a.push(h("Search results",!1));d.has_operator("stream")&&d.has_operator("topic")&&(b=d.operands("stream")[0],d=d.operands("topic")[0],f=hashchange.operators_to_hash(c.slice(0,2)),a.push(h(d,f,null)))}a[a.length-1].hash=null;return a}function f(){var e=k(),d=$("#tab_bar");d.empty();e[e.length-1].active="active";e=templates.render("tab_bar",{tabs:e});d.append(e);a.colorize_tab_bar();d.removeClass("notdisplayed")}var a={colorize_tab_bar:function(){var a=
$("#tab_list .stream");if(0<a.length){var d=a.data("name");if(void 0!==d){var d=d.toString(),b=stream_data.get_color(d),d=stream_color.get_color_class(b),c=colorspace.getHexColor(colorspace.getLighterColor(colorspace.getDecimalColor(b),0.2));a.hasClass("stream")&&(a.css("border-left-color",b).css("background-color",b),a.hasClass("inactive")&&a.hover(function(){$(this).css("border-left-color",c).css("background-color",c)},function(){$(this).css("border-left-color",b).css("background-color",b)}),a.removeClass(stream_color.color_classes),
a.addClass(d))}}}};$(function(){$(document).on("narrow_activated.zulip",function(){f()});$(document).on("narrow_deactivated.zulip",function(){f()});f()});return a}();"undefined"!==typeof module&&(module.exports=tab_bar);var emoji=function(){var h={emojis:[],realm_emojis:{},emojis_by_name:{},emojis_name_to_css_class:{},emojis_by_unicode:{}},k=[],f=[];emoji_codes.names.push("zulip");h.realm_emojis.zulip={emoji_name:"zulip",emoji_url:"/static/generated/emoji/images/emoji/zulip.png"};_.each(emoji_codes.names,function(a){k.push({emoji_name:a,emoji_url:"/static/generated/emoji/images/emoji/"+a+".png"})});_.each(emoji_codes.codepoints,function(a){f.push({emoji_name:a,emoji_url:"/static/generated/emoji/images/emoji/unicode/"+
a+".png"})});h.emoji_name_to_css_class=function(a){return 0<=a.indexOf("+")?a.replace("+",""):a};h.update_emojis=function(a){h.emojis=k.slice(0);_.each(a,function(a,d){h.emojis.push({emoji_name:d,emoji_url:a.display_url,is_realm_emoji:!0});h.realm_emojis[d]={emoji_name:d,emoji_url:a.display_url}});h.emojis_by_name={};h.emojis_name_to_css_class={};_.each(h.emojis,function(a){var d=h.emoji_name_to_css_class(a.emoji_name);h.emojis_name_to_css_class[a.emoji_name]=d;h.emojis_by_name[a.emoji_name]=a.emoji_url});
h.emojis_by_unicode={};_.each(f,function(a){h.emojis_by_unicode[a.emoji_name]=a.emoji_url})};h.initialize=function(){(new Image).src="/static/generated/emoji/sprite.png"};h.update_emojis(page_params.realm_emoji);return h}();"undefined"!==typeof module&&(module.exports=emoji);var referral=function(){function h(a){a.stop();a.css({opacity:100});a.show().delay(4E3).fadeOut(1E3,ui.resize_page_components)}var k={},f="nikola.tesla@example.com sam.morse@example.com c.shannon@example.com hedy.lamarr@example.com grace.hopper@example.com ada.lovelace@example.com".split(" "),a,e,d=!1;k.update_state=function(b,c){if(!(a===b&&e===c)){a=b;e=c;if(0>=b||!page_params.share_the_love)$("#share-the-love").hide();else{$("#referral-form input").attr("placeholder",_.shuffle(f).pop());$("#invite-hearts").empty();
var g;for(g=0;g<c;g+=1)$("#invite-hearts").append($('<i class="icon-vector-heart"> </i>'));var h=Math.max(0,b-c);for(g=0;g<h;g+=1)$("#invite-hearts").append($('<i class="icon-vector-heart-empty"> </i>'));g=i18n.t("__count__ invite remaining",{count:h});$(".invite-count").text(g);0<h?(d=!0,$(".still-have-invites").show(),$(".no-more-invites").hide()):($(".still-have-invites").hide(),$("#referral-form input").blur(),d&&$(".no-more-invites").show());0<c&&$("#encouraging-invite-message").hide();$("#share-the-love").show()}resize.resize_page_components()}};
$(function(){var b=$("#referral-form").validate({errorClass:"text-error",submitHandler:function(){channel.post({url:"/json/refer_friend",data:{email:$("#referral-form input").val()},error:function(){}});h($("#tell-a-friend-success"));$("#referral-form input").val("");k.update_state(a,e+1)},success:function(){resize.resize_page_components()},showErrors:function(){this.defaultShowErrors();resize.resize_page_components()}});$("#referral-form input").on("blur",function(){""===$("#referral-form input").val()&&
(b.resetForm(),resize.resize_page_components())});$("#referral-form").on("click",function(a){a.stopPropagation()});$("#share-the-love-expand-collapse").click(function(a){$("#share-the-love-contents").toggle();$("#share-the-love-expand-collapse .toggle").toggleClass("icon-vector-caret-right icon-vector-caret-down");resize.resize_page_components();a.stopPropagation()});k.update_state(page_params.referrals.granted,page_params.referrals.used)});return k}();
"undefined"!==typeof module&&(module.exports=referral);var custom_markdown=function(){(function(){function h(a,c){channel.post({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([{name:a}])}}).then(function(a){if(!$.isEmptyObject(a.already_subscribed)){var b=people.my_current_email();ui.report_success(i18n.t("Already subscribed to __stream__",{stream:a.already_subscribed[b][0]}),c)}},function(a){ui.report_error(i18n.t("Error adding subscription"),a,c)})}function k(a,c){channel.del({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([a])}}).then(function(){c.hide()},
function(a){ui.report_error(i18n.t("Error removing subscription"),a,c)})}function f(a,c){a.text(i18n.t("Subscribe to __stream__",{stream:stream_data.canonicalized_name(c)})).removeClass("btn-success").addClass("btn-default")}function a(a,c){a.text(i18n.t("Unsubscribe from __stream__",{stream:stream_data.canonicalized_name(c)})).removeClass("btn-default").addClass("btn-success")}var e={};$(function(){$("#main_div").delegate(".inline-subscribe-button","click",function(a){var c=$(a.target),d=c.closest(".inline-subscribe").attr("data-stream-name"),
c=c.siblings(".inline-subscribe-error");a.preventDefault();a.stopPropagation();stream_data.is_subscribed(d)?k(d,c):h(d,c)})});$(document).on("message_rendered.zulip",function(b){var c,d,h;b=$(b.target).find(".inline-subscribe");0!==b.length&&(d=b.attr("data-stream-name"),c=b.find(".inline-subscribe-button"),e[d]?h=e[d]:(h=_.uniqueId("inline-subscribe-id-"),e[d]=h),b.attr("data-stream-ui-id",h),stream_data.is_subscribed(d)?a(c,d):f(c,d))});var d=function(b){b=b.sub.name;var c=e[b],c=$("#main_div").find('.inline-subscribe[data-stream-ui-id="'+
c+'"] .inline-subscribe-button');stream_data.is_subscribed(b)?a(c,b):f(c,b)};$(document).on("subscription_add_done.zulip",d);$(document).on("subscription_remove_done.zulip",d)})();return{}}();"undefined"!==typeof module&&(module.exports=custom_markdown);var bot_data=function(){var h={},k={},f="api_key avatar_url default_all_public_streams default_events_register_stream default_sending_stream email full_name owner".split(" "),a=_.debounce(function(){$(document).trigger("zulip.bot_data_changed")},50),e=function(a){page_params.is_admin?a.can_admin=!0:void 0!==a.owner&&people.is_current_user(a.owner)?a.can_admin=!0:a.can_admin=!1};h.add=function(d){var b=_.pick(d,f);k[d.email]=b;e(b);a()};h.remove=function(d){delete k[d];a()};h.update=function(d,b){var c=
k[d];_.extend(c,_.pick(b,f));e(c);a()};h.get_editable=function(){return _.filter(k,function(a){return people.is_current_user(a.owner)})};h.get=function(a){return k[a]};$(function(){_.each(page_params.bot_list,function(a){h.add(a)})});return h}();"undefined"!==typeof module&&(module.exports=bot_data);var reactions=function(){function h(a,b,c){emoji.emojis_by_name[b]&&(a={url:"/json/messages/"+a+"/emoji_reactions/"+encodeURIComponent(b),data:{},success:function(){},error:function(a){a=channel.xhr_error_message("Error sending reaction",a);blueslip.error(a)}},"add"===c?channel.put(a):"remove"===c&&channel.del(a))}function k(a,b){return message_store.get(a).reactions.filter(function(a){return a.emoji_name===b}).map(function(a){return a.user.id})}function f(a){return a===page_params.user_id?"You (click to remove)":
people.get_person_from_user_id(a).full_name}function a(a,b){var c=b.indexOf(page_params.user_id);-1!==c&&(b.splice(c,1),b.unshift(page_params.user_id));var c=" reacted with :"+a+":",e=b.map(f);return 1===e.length?e[0]+c:_.initial(e).join(", ")+" and "+_.last(e)+c}var e={message_reaction_on_click:function(a,b){var c="remove";-1===k(a,b).indexOf(page_params.user_id)&&(c="add");h(a,b,c)}};$(document).on("click",".reaction-popover-reaction",function(){var a=this.title,b=$(this).parent().attr("data-message-id"),
c="add";-1!==k(b,a).indexOf(page_params.user_id)&&($(this).removeClass("reacted"),c="remove");h(b,a,c);popovers.hide_reactions_popover()});$(document).on("input",".reaction-popover-filter",function(){var a=$(".reaction-popover-filter").expectOne().val().trim(),b=$(".reaction-popover-reaction");""!==a?(b.filter(function(){return-1===this.title.indexOf(a)}).css("display","none"),b.filter(function(){return-1!==this.title.indexOf(a)}).css("display","block")):b.css("display","block")});e.add_reaction=
function(d){d.emoji_name_css_class=emoji.emoji_name_to_css_class(d.emoji_name);d.user.id=d.user.user_id;var b=message_store.get(d.message_id);if(void 0!==b){b.reactions.push(d);var c=$(".message_table").find("[zid='"+d.message_id+"']").find(".message_reactions"),b=k(d.message_id,d.emoji_name),e=a(d.emoji_name,b);1===b.length?(emoji.realm_emojis[d.emoji_name]&&(d.is_realm_emoji=!0,d.url=emoji.realm_emojis[d.emoji_name].emoji_url),d.count=1,d.title=e,b=c.find(".reaction_button"),$(templates.render("message_reaction",
d)).insertBefore(b)):(d=c.find("[data-emoji-name='"+d.emoji_name+"']"),d.find(".message_reaction_count").html(b.length),d.prop("title",e))}};e.remove_reaction=function(d){var b=d.emoji_name,c=d.message_id,e=d.user.user_id,f=-1;d=message_store.get(c);if(void 0!==d){_.each(d.reactions,function(a,c){a.emoji_name===b&&a.user.id===e&&(f=c)});-1!==f&&d.reactions.splice(f,1);d=k(c,b);var h=a(b,d),c=$(".message_table").find("[zid='"+c+"']").find(".message_reactions").find('[data-emoji-name="'+b+'"]'),t=c.find(".message_reaction_count");
c.prop("title",h);t.html(d.length);0===d.length&&c.remove()}};e.get_emojis_used_by_user_for_message_id=function(a){var b=page_params.user_id;return message_store.get(a).reactions.filter(function(a){return a.user.id===b}).map(function(a){return a.emoji_name})};e.get_message_reactions=function(d){var b=new Dict;_.each(d.reactions,function(a){b.setdefault(a.emoji_name,[]).push(a.user.id)});return b.items().map(function(b){b={emoji_name:b[0],emoji_name_css_class:emoji.emoji_name_to_css_class(b[0]),count:b[1].length,
title:a(b[0],b[1])};emoji.realm_emojis[b.emoji_name]&&(b.is_realm_emoji=!0,b.url=emoji.realm_emojis[b.emoji_name].emoji_url);return b})};return e}();"undefined"!==typeof module&&(module.exports=reactions);(function(h){function k(a){if(f[a])return f[a].exports;var e=f[a]={exports:{},id:a,loaded:!1};h[a].call(e.exports,e,e.exports,k);e.loaded=!0;return e.exports}var f={};k.m=h;k.c=f;k.p="";return k(0)})([function(h,k,f){(function(){var a=window.i18n=f(1),e=f(17),d=f(20),b=f(28),c=[],g=!1,h={order:["htmlTag"],htmlTag:document.documentElement},k={enabled:!0,prefix:page_params.server_generation+":"};a.use(e).use(d).use(b).init({nsSeparator:!1,keySeparator:!1,interpolation:{prefix:"__",suffix:"__"},backend:{loadPath:"/static/locale/__lng__/translations.json"},
detection:h,cache:k,fallbackLng:"en"},function(){var a;g=!0;for(a=0;a<c.length;a+=1)c[a]()});a.ensure_i18n=function(a){g?a():c.push(a)}})()},function(h,k,f){h.exports=f(2).default},function(h,k,f){Object.defineProperty(k,"__esModule",{value:!0});h=f(3);k.default=(h&&h.__esModule?h:{"default":h}).default},function(h,k,f){function a(a){return a&&a.__esModule?a:{"default":a}}function e(a,b){if("function"!==typeof b&&null!==b)throw new TypeError("Super expression must either be null or a function, not "+
typeof b);a.prototype=Object.create(b&&b.prototype,{constructor:{value:a,enumerable:!1,writable:!0,configurable:!0}});if(b)if(Object.setPrototypeOf)Object.setPrototypeOf(a,b);else for(var c=Object.getOwnPropertyNames(b),d=0;d<c.length;d++){var e=c[d],f=Object.getOwnPropertyDescriptor(b,e);f&&(f.configurable&&void 0===a[e])&&Object.defineProperty(a,e,f)}}Object.defineProperty(k,"__esModule",{value:!0});var d="function"===typeof Symbol&&"symbol"===typeof Symbol.iterator?function(a){return typeof a}:
function(a){return a&&"function"===typeof Symbol&&a.constructor===Symbol?"symbol":typeof a},b=Object.assign||function(a){for(var b=1;b<arguments.length;b++){var c=arguments[b],d;for(d in c)Object.prototype.hasOwnProperty.call(c,d)&&(a[d]=c[d])}return a};h=f(4);var c=a(h);h=f(5);h=a(h);var g=f(6),l=a(g),g=f(8),m=a(g),g=f(11),t=a(g),g=f(12),q=a(g),g=f(13),n=a(g),g=f(14),p=a(g),g=f(15),s=a(g),u=f(16),g=f(9),r=a(g),x=function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var c in a)Object.prototype.hasOwnProperty.call(a,
c)&&(b[c]=a[c]);b.default=a;return b}(f(10));f=function(a){function f(){var b=0>=arguments.length||void 0===arguments[0]?{}:arguments[0],d=arguments[1];if(!(this instanceof f))throw new TypeError("Cannot call a class as a function");var e;e=a.call(this);if(!this)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");e=e&&("object"===typeof e||"function"===typeof e)?e:this;e.options=(0,u.transformOptions)(b);e.services={};e.logger=c.default;e.modules={};d&&!e.isInitialized&&
e.init(b,d);return e}e(f,a);f.prototype.init=function(a,d){function e(a){if(a)return"function"===typeof a?new a:a}var f=this;"function"===typeof a&&(d=a,a={});a||(a={});this.options="v1"===a.compatibilityAPI?b({},(0,u.get)(),(0,u.transformOptions)(x.convertAPIOptions(a)),{}):"v1"===a.compatibilityJSON?b({},(0,u.get)(),(0,u.transformOptions)(x.convertJSONOptions(a)),{}):b({},(0,u.get)(),this.options,(0,u.transformOptions)(a));d||(d=function(){});if(!this.options.isClone){this.modules.logger?c.default.init(e(this.modules.logger),
this.options):c.default.init(null,this.options);var g=new t.default(this.options);this.store=new l.default(this.options.resources,this.options);var h=this.services;h.logger=c.default;h.resourceStore=this.store;h.resourceStore.on("added removed",function(a,b){h.cacheConnector.save()});h.languageUtils=g;h.pluralResolver=new q.default(g,{prepend:this.options.pluralSeparator,compatibilityJSON:this.options.compatibilityJSON});h.interpolator=new n.default(this.options);h.backendConnector=new p.default(e(this.modules.backend),
h.resourceStore,h,this.options);h.backendConnector.on("*",function(a){for(var b=arguments.length,c=Array(1<b?b-1:0),d=1;d<b;d++)c[d-1]=arguments[d];f.emit.apply(f,[a].concat(c))});h.backendConnector.on("loaded",function(a){h.cacheConnector.save()});h.cacheConnector=new s.default(e(this.modules.cache),h.resourceStore,h,this.options);h.cacheConnector.on("*",function(a){for(var b=arguments.length,c=Array(1<b?b-1:0),d=1;d<b;d++)c[d-1]=arguments[d];f.emit.apply(f,[a].concat(c))});this.modules.languageDetector&&
(h.languageDetector=e(this.modules.languageDetector),h.languageDetector.init(h,this.options.detection,this.options));this.translator=new m.default(this.services,this.options);this.translator.on("*",function(a){for(var b=arguments.length,c=Array(1<b?b-1:0),d=1;d<b;d++)c[d-1]=arguments[d];f.emit.apply(f,[a].concat(c))})}"getResource addResource addResources addResourceBundle removeResourceBundle hasResourceBundle getResourceBundle".split(" ").forEach(function(a){f[a]=function(){return this.store[a].apply(this.store,
arguments)}});"v1"===this.options.compatibilityAPI&&x.appendBackwardsAPI(this);g=function(){f.changeLanguage(f.options.lng,function(a,b){f.emit("initialized",f.options);f.logger.log("initialized",f.options);d(a,b)})};this.options.resources||!this.options.initImmediate?g():setTimeout(g,0);return this};f.prototype.loadResources=function(a){var b=this;a||(a=function(){});if(this.options.resources)a(null);else{var c=function(){if(b.language&&"cimode"===b.language.toLowerCase())return{v:a()};var c=[],
d=function(a){b.services.languageUtils.toResolveHierarchy(a).forEach(function(a){0>c.indexOf(a)&&c.push(a)})};d(b.language);b.options.preload&&b.options.preload.forEach(function(a){d(a)});b.services.cacheConnector.load(c,b.options.ns,function(){b.services.backendConnector.load(c,b.options.ns,a)})}();if("object"===("undefined"===typeof c?"undefined":d(c)))return c.v}};f.prototype.use=function(a){"backend"===a.type&&(this.modules.backend=a);"cache"===a.type&&(this.modules.cache=a);if("logger"===a.type||
a.log&&a.warn&&a.warn)this.modules.logger=a;"languageDetector"===a.type&&(this.modules.languageDetector=a);"postProcessor"===a.type&&r.default.addPostProcessor(a);return this};f.prototype.changeLanguage=function(a,b){var c=this,d=function(d){a&&(c.emit("languageChanged",a),c.logger.log("languageChanged",a));b&&b(d,function(){for(var a=arguments.length,b=Array(a),d=0;d<a;d++)b[d]=arguments[d];return c.t.apply(c,b)})};!a&&this.services.languageDetector&&(a=this.services.languageDetector.detect());a&&
(this.language=a,this.languages=this.services.languageUtils.toResolveHierarchy(a),this.translator.changeLanguage(a),this.services.languageDetector&&this.services.languageDetector.cacheUserLanguage(a));this.loadResources(function(a){d(a)})};f.prototype.getFixedT=function(a,b){var c=this,d=function I(a,b){b=b||{};b.lng=b.lng||I.lng;b.ns=b.ns||I.ns;return c.t(a,b)};d.lng=a;d.ns=b;return d};f.prototype.t=function(){return this.translator&&this.translator.translate.apply(this.translator,arguments)};f.prototype.exists=
function(){return this.translator&&this.translator.exists.apply(this.translator,arguments)};f.prototype.setDefaultNamespace=function(a){this.options.defaultNS=a};f.prototype.loadNamespaces=function(a,b){var c=this;if(!this.options.ns)return b&&b();"string"===typeof a&&(a=[a]);a.forEach(function(a){0>c.options.ns.indexOf(a)&&c.options.ns.push(a)});this.loadResources(b)};f.prototype.loadLanguages=function(a,b){"string"===typeof a&&(a=[a]);var c=this.options.preload||[],d=a.filter(function(a){return 0>
c.indexOf(a)});if(!d.length)return b();this.options.preload=c.concat(d);this.loadResources(b)};f.prototype.dir=function(a){a||(a=this.language);return 0<="ar shu sqr ssh xaa yhd yud aao abh abv acm acq acw acx acy adf ads aeb aec afb ajp apc apd arb arq ars ary arz auz avl ayh ayl ayn ayp bbz pga he iw ps pbt pbu pst prp prd ur ydd yds yih ji yi hbo men xmn fa jpr peo pes prs dv sam".split(" ").indexOf(this.services.languageUtils.getLanguagePartFromCode(a))?"rtl":"ltr"};f.prototype.createInstance=
function(){return new f(0>=arguments.length||void 0===arguments[0]?{}:arguments[0],arguments[1])};f.prototype.cloneInstance=function(){var a=this,c=arguments[1],d=new f(b({},0>=arguments.length||void 0===arguments[0]?{}:arguments[0],this.options,{isClone:!0}),c);["store","translator","services","language"].forEach(function(b){d[b]=a[b]});return d};return f}(h.default);k.default=new f},function(h,k){Object.defineProperty(k,"__esModule",{value:!0});var f=Object.assign||function(a){for(var b=1;b<arguments.length;b++){var c=
arguments[b],e;for(e in c)Object.prototype.hasOwnProperty.call(c,e)&&(a[e]=c[e])}return a},a={type:"logger",log:function(a){this._output("log",a)},warn:function(a){this._output("warn",a)},error:function(a){this._output("error",a)},_output:function(a,b){console&&console[a]&&console[a].apply(console,Array.prototype.slice.call(b))}},e=function(){function d(a){var c=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];if(!(this instanceof d))throw new TypeError("Cannot call a class as a function");
this.subs=[];this.init(a,c)}d.prototype.init=function(b){var c=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];this.prefix=c.prefix||"i18next:";this.logger=b||a;this.options=c;this.debug=!1===c.debug?!1:!0};d.prototype.setDebug=function(a){this.debug=a;this.subs.forEach(function(c){c.setDebug(a)})};d.prototype.log=function(){this.forward(arguments,"log","",!0)};d.prototype.warn=function(){this.forward(arguments,"warn","",!0)};d.prototype.error=function(){this.forward(arguments,"error",
"")};d.prototype.deprecate=function(){this.forward(arguments,"warn","WARNING DEPRECATED: ",!0)};d.prototype.forward=function(a,c,d,e){if(!e||this.debug)"string"===typeof a[0]&&(a[0]=d+this.prefix+" "+a[0]),this.logger[c](a)};d.prototype.create=function(a){a=new d(this.logger,f({prefix:this.prefix+":"+a+":"},this.options));this.subs.push(a);return a};return d}();k.default=new e},function(h,k){Object.defineProperty(k,"__esModule",{value:!0});var f=function(){function a(){if(!(this instanceof a))throw new TypeError("Cannot call a class as a function");
this.observers={}}a.prototype.on=function(a,d){var b=this;a.split(" ").forEach(function(a){b.observers[a]=b.observers[a]||[];b.observers[a].push(d)})};a.prototype.off=function(a,d){var b=this;this.observers[a]&&this.observers[a].forEach(function(){if(d){var c=b.observers[a].indexOf(d);-1<c&&b.observers[a].splice(c,1)}else delete b.observers[a]})};a.prototype.emit=function(a){for(var d=arguments.length,b=Array(1<d?d-1:0),c=1;c<d;c++)b[c-1]=arguments[c];this.observers[a]&&this.observers[a].forEach(function(a){a.apply(void 0,
b)});this.observers["*"]&&this.observers["*"].forEach(function(c){var d;c.apply(c,(d=[a]).concat.apply(d,b))})};return a}();k.default=f},function(h,k,f){function a(a,c){if("function"!==typeof c&&null!==c)throw new TypeError("Super expression must either be null or a function, not "+typeof c);a.prototype=Object.create(c&&c.prototype,{constructor:{value:a,enumerable:!1,writable:!0,configurable:!0}});if(c)if(Object.setPrototypeOf)Object.setPrototypeOf(a,c);else for(var d=Object.getOwnPropertyNames(c),
e=0;e<d.length;e++){var f=d[e],h=Object.getOwnPropertyDescriptor(c,f);h&&(h.configurable&&void 0===a[f])&&Object.defineProperty(a,f,h)}}Object.defineProperty(k,"__esModule",{value:!0});var e=Object.assign||function(a){for(var c=1;c<arguments.length;c++){var d=arguments[c],e;for(e in d)Object.prototype.hasOwnProperty.call(d,e)&&(a[e]=d[e])}return a};h=(h=f(5))&&h.__esModule?h:{"default":h};var d=function(a){if(a&&a.__esModule)return a;var c={};if(null!=a)for(var d in a)Object.prototype.hasOwnProperty.call(a,
d)&&(c[d]=a[d]);c.default=a;return c}(f(7));f=function(b){function c(){var a=0>=arguments.length||void 0===arguments[0]?{}:arguments[0],d=1>=arguments.length||void 0===arguments[1]?{ns:["translation"],defaultNS:"translation"}:arguments[1];if(!(this instanceof c))throw new TypeError("Cannot call a class as a function");var e;e=b.call(this);if(!this)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");e=e&&("object"===typeof e||"function"===typeof e)?e:this;e.data=a;
e.options=d;return e}a(c,b);c.prototype.addNamespaces=function(a){0>this.options.ns.indexOf(a)&&this.options.ns.push(a)};c.prototype.removeNamespaces=function(a){a=this.options.ns.indexOf(a);-1<a&&this.options.ns.splice(a,1)};c.prototype.getResource=function(a,b,c){var e=(3>=arguments.length||void 0===arguments[3]?{}:arguments[3]).keySeparator||this.options.keySeparator;void 0===e&&(e=".");var f=[a,b];c&&"string"!==typeof c&&(f=f.concat(c));c&&"string"===typeof c&&(f=f.concat(e?c.split(e):c));-1<
a.indexOf(".")&&(f=a.split("."));return d.getPath(this.data,f)};c.prototype.addResource=function(a,b,c,e){var f=4>=arguments.length||void 0===arguments[4]?{silent:!1}:arguments[4],h=this.options.keySeparator;void 0===h&&(h=".");var k=[a,b];c&&(k=k.concat(h?c.split(h):c));-1<a.indexOf(".")&&(k=a.split("."),e=b,b=k[1]);this.addNamespaces(b);d.setPath(this.data,k,e);f.silent||this.emit("added",a,b,c,e)};c.prototype.addResources=function(a,b,c){for(var d in c)"string"===typeof c[d]&&this.addResource(a,
b,d,c[d],{silent:!0});this.emit("added",a,b,c)};c.prototype.addResourceBundle=function(a,b,c,f,h){var k=[a,b];-1<a.indexOf(".")&&(k=a.split("."),f=c,c=b,b=k[1]);this.addNamespaces(b);var p=d.getPath(this.data,k)||{};f?d.deepExtend(p,c,h):p=e({},p,c);d.setPath(this.data,k,p);this.emit("added",a,b,c)};c.prototype.removeResourceBundle=function(a,b){this.hasResourceBundle(a,b)&&delete this.data[a][b];this.removeNamespaces(b);this.emit("removed",a,b)};c.prototype.hasResourceBundle=function(a,b){return void 0!==
this.getResource(a,b)};c.prototype.getResourceBundle=function(a,b){b||(b=this.options.defaultNS);return"v1"===this.options.compatibilityAPI?e({},this.getResource(a,b)):this.getResource(a,b)};c.prototype.toJSON=function(){return this.data};return c}(h.default);k.default=f},function(h,k){function f(a,b,c){function e(a){return a&&-1<a.indexOf("###")?a.replace(/###/g,"."):a}for(b="string"!==typeof b?[].concat(b):b.split(".");1<b.length;){if(!a)return{};var f=e(b.shift());!a[f]&&c&&(a[f]=new c);a=a[f]}return!a?
{}:{obj:a,k:e(b.shift())}}function a(d,b,c){for(var e in b)e in d?"string"===typeof d[e]||d[e]instanceof String||"string"===typeof b[e]||b[e]instanceof String?c&&(d[e]=b[e]):a(d[e],b[e],c):d[e]=b[e];return d}Object.defineProperty(k,"__esModule",{value:!0});k.makeString=function(a){return null==a?"":""+a};k.copy=function(a,b,c){a.forEach(function(a){b[a]&&(c[a]=b[a])})};k.setPath=function(a,b,c){a=f(a,b,Object);a.obj[a.k]=c};k.pushPath=function(a,b,c,e){b=f(a,b,Object);a=b.obj;b=b.k;a[b]=a[b]||[];
e&&(a[b]=a[b].concat(c));e||a[b].push(c)};k.getPath=function(a,b){var c=f(a,b),e=c.obj;return!e?void 0:e[c.k]};k.deepExtend=a;k.regexEscape=function(a){return a.replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g,"\\$&")};k.escape=function(a){return"string"===typeof a?a.replace(/[&<>"'\/]/g,function(a){return e[a]}):a};var e={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;","/":"&#x2F;"}},function(h,k,f){function a(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var c in a)Object.prototype.hasOwnProperty.call(a,
c)&&(b[c]=a[c]);b.default=a;return b}function e(a){return a&&a.__esModule?a:{"default":a}}function d(a,b){if("function"!==typeof b&&null!==b)throw new TypeError("Super expression must either be null or a function, not "+typeof b);a.prototype=Object.create(b&&b.prototype,{constructor:{value:a,enumerable:!1,writable:!0,configurable:!0}});if(b)if(Object.setPrototypeOf)Object.setPrototypeOf(a,b);else for(var c=Object.getOwnPropertyNames(b),d=0;d<c.length;d++){var e=c[d],f=Object.getOwnPropertyDescriptor(b,
e);f&&(f.configurable&&void 0===a[e])&&Object.defineProperty(a,e,f)}}Object.defineProperty(k,"__esModule",{value:!0});var b=Object.assign||function(a){for(var b=1;b<arguments.length;b++){var c=arguments[b],d;for(d in c)Object.prototype.hasOwnProperty.call(c,d)&&(a[d]=c[d])}return a},c="function"===typeof Symbol&&"symbol"===typeof Symbol.iterator?function(a){return typeof a}:function(a){return a&&"function"===typeof Symbol&&a.constructor===Symbol?"symbol":typeof a};h=f(4);var g=e(h);h=f(5);h=e(h);
var l=f(9),m=e(l),l=f(10),t=a(l);f=f(7);var q=a(f);f=function(a){function e(b){var c=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];if(!(this instanceof e))throw new TypeError("Cannot call a class as a function");var d;d=a.call(this);if(!this)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");d=d&&("object"===typeof d||"function"===typeof d)?d:this;q.copy(["resourceStore","languageUtils","pluralResolver","interpolator","backendConnector"],b,d);d.options=
c;d.logger=g.default.create("translator");return d}d(e,a);e.prototype.changeLanguage=function(a){a&&(this.language=a)};e.prototype.exists=function(a){var b=1>=arguments.length||void 0===arguments[1]?{interpolation:{}}:arguments[1];"v1"===this.options.compatibilityAPI&&(b=t.convertTOptions(b));return void 0!==this.resolve(a,b)};e.prototype.extractFromKey=function(a,b){var c=b.nsSeparator||this.options.nsSeparator;void 0===c&&(c=":");var d=b.ns||this.options.defaultNS;c&&-1<a.indexOf(c)&&(c=a.split(c),
d=c[0],a=c[1]);"string"===typeof d&&(d=[d]);return{key:a,namespaces:d}};e.prototype.translate=function(a){var d=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];"object"!==("undefined"===typeof d?"undefined":c(d))?d=this.options.overloadTranslationOptionHandler(arguments):"v1"===this.options.compatibilityAPI&&(d=t.convertTOptions(d));if(void 0===a||null===a||""===a)return"";"number"===typeof a&&(a=String(a));"string"===typeof a&&(a=[a]);var e=d.lng||this.language;if(e&&"cimode"===e.toLowerCase())return a[a.length-
1];var f=d.keySeparator||this.options.keySeparator||".",g=this.extractFromKey(a[a.length-1],d),h=g.key,k=g.namespaces,l=k[k.length-1],g=this.resolve(a,d),m=Object.prototype.toString.apply(g),p=["[object Number]","[object Function]","[object RegExp]"],n=void 0!==d.joinArrays?d.joinArrays:this.options.joinArrays;if(g&&"string"!==typeof g&&0>p.indexOf(m)&&!(n&&"[object Array]"===m)){if(!d.returnObjects&&!this.options.returnObjects)return this.logger.warn("accessing an object - but returnObjects options is not enabled!"),
this.options.returnedObjectHandler?this.options.returnedObjectHandler(h,g,d):"key '"+h+" ("+this.language+")' returned an object instead of string.";var l="[object Array]"===m?[]:{},q;for(q in g)l[q]=this.translate(""+h+f+q,b({joinArrays:!1,ns:k},d));g=l}else if(n&&"[object Array]"===m)(g=g.join(n))&&(g=this.extendTranslation(g,h,d));else{f=q=!1;!this.isValidLookup(g)&&void 0!==d.defaultValue&&(q=!0,g=d.defaultValue);this.isValidLookup(g)||(f=!0,g=h);if(f||q)if(this.logger.log("missingKey",e,l,h,
g),this.options.saveMissing){e=[];if("fallback"===this.options.saveMissingTo&&this.options.fallbackLng&&this.options.fallbackLng[0])for(q=0;q<this.options.fallbackLng.length;q++)e.push(this.options.fallbackLng[q]);else"all"===this.options.saveMissingTo?e=this.languageUtils.toResolveHierarchy(d.lng||this.language):e.push(d.lng||this.language);this.options.missingKeyHandler?this.options.missingKeyHandler(e,l,h,g):this.backendConnector&&this.backendConnector.saveMissing&&this.backendConnector.saveMissing(e,
l,h,g);this.emit("missingKey",e,l,h,g)}g=this.extendTranslation(g,h,d);f&&(g===h&&this.options.appendNamespaceToMissingKey)&&(g=l+":"+h);f&&this.options.parseMissingKeyHandler&&(g=this.options.parseMissingKeyHandler(g))}return g};e.prototype.extendTranslation=function(a,c,d){var e=this;d.interpolation&&this.interpolator.init(d);var f=d.replace&&"string"!==typeof d.replace?d.replace:d;this.options.interpolation.defaultVariables&&(f=b({},this.options.interpolation.defaultVariables,f));a=this.interpolator.interpolate(a,
f);a=this.interpolator.nest(a,function(){for(var a=arguments.length,b=Array(a),c=0;c<a;c++)b[c]=arguments[c];return e.translate.apply(e,b)},d);d.interpolation&&this.interpolator.reset();f=d.postProcess||this.options.postProcess;f="string"===typeof f?[f]:f;void 0!==a&&(f&&f.length&&!1!==d.applyPostProcessor)&&(a=m.default.handle(f,a,c,d,this));return a};e.prototype.resolve=function(a){var b=this,c=1>=arguments.length||void 0===arguments[1]?{}:arguments[1],d=void 0;"string"===typeof a&&(a=[a]);a.forEach(function(a){if(!b.isValidLookup(d)){a=
b.extractFromKey(a,c);var e=a.key;a=a.namespaces;b.options.fallbackNS&&(a=a.concat(b.options.fallbackNS));var f=void 0!==c.count&&"string"!==typeof c.count,g=void 0!==c.context&&"string"===typeof c.context&&""!==c.context,h=c.lngs?c.lngs:b.languageUtils.toResolveHierarchy(c.lng||b.language);a.forEach(function(a){b.isValidLookup(d)||h.forEach(function(h){if(!b.isValidLookup(d)){var k=e,l=[k],m=void 0;f&&(m=b.pluralResolver.getSuffix(h,c.count));f&&g&&l.push(k+m);g&&l.push(k+=""+b.options.contextSeparator+
c.context);f&&l.push(k+m);for(k=void 0;k=l.pop();)b.isValidLookup(d)||(d=b.getResource(h,a,k,c))}})})}});return d};e.prototype.isValidLookup=function(a){return void 0!==a&&!(!this.options.returnNull&&null===a)&&!(!this.options.returnEmptyString&&""===a)};e.prototype.getResource=function(a,b,c){return this.resourceStore.getResource(a,b,c,3>=arguments.length||void 0===arguments[3]?{}:arguments[3])};return e}(h.default);k.default=f},function(h,k){Object.defineProperty(k,"__esModule",{value:!0});k.default=
{processors:{},addPostProcessor:function(f){this.processors[f.name]=f},handle:function(f,a,e,d,b){var c=this;f.forEach(function(f){c.processors[f]&&(a=c.processors[f].process(a,e,d,b))});return a}}},function(h,k,f){function a(a){a.interpolation={unescapeSuffix:"HTML"};a.interpolation.prefix=a.interpolationPrefix||"__";a.interpolation.suffix=a.interpolationSuffix||"__";a.interpolation.escapeValue=a.escapeInterpolation||!1;a.interpolation.nestingPrefix=a.reusePrefix||"$t(";a.interpolation.nestingSuffix=
a.reuseSuffix||")";return a}Object.defineProperty(k,"__esModule",{value:!0});k.convertAPIOptions=function(d){d.resStore&&(d.resources=d.resStore);d.ns&&d.ns.defaultNs?(d.defaultNS=d.ns.defaultNs,d.ns=d.ns.namespaces):d.defaultNS=d.ns||"translation";d.fallbackToDefaultNS&&d.defaultNS&&(d.fallbackNS=d.defaultNS);d.saveMissing=d.sendMissing;d.saveMissingTo=d.sendMissingTo||"current";d.returnNull=d.fallbackOnNull?!1:!0;d.returnEmptyString=d.fallbackOnEmpty?!1:!0;d.returnObjects=d.returnObjectTrees;d.joinArrays=
"\n";d.returnedObjectHandler=d.objectTreeKeyHandler;d.parseMissingKeyHandler=d.parseMissingKey;d.appendNamespaceToMissingKey=!0;d.nsSeparator=d.nsseparator;d.keySeparator=d.keyseparator;"sprintf"===d.shortcutFunction&&(d.overloadTranslationOptionHandler=function(a){for(var c=[],d=1;d<a.length;d++)c.push(a[d]);return{postProcess:"sprintf",sprintf:c}});d.whitelist=d.lngWhitelist;d.preload=d.preload;"current"===d.load&&(d.load="currentOnly");"unspecific"===d.load&&(d.load="languageOnly");d.backend=d.backend||
{};d.backend.loadPath=d.resGetPath||"locales/__lng__/__ns__.json";d.backend.addPath=d.resPostPath||"locales/add/__lng__/__ns__";d.backend.allowMultiLoading=d.dynamicLoad;d.cache=d.cache||{};d.cache.prefix="res_";d.cache.expirationTime=6048E5;d.cache.enabled=d.useLocalStorage?!0:!1;d=a(d);d.defaultVariables&&(d.interpolation.defaultVariables=d.defaultVariables);return d};k.convertJSONOptions=function(d){d=a(d);d.joinArrays="\n";return d};k.convertTOptions=function(d){if(d.interpolationPrefix||d.interpolationSuffix||
d.escapeInterpolation)d=a(d);d.nsSeparator=d.nsseparator;d.keySeparator=d.keyseparator;d.returnObjects=d.returnObjectTrees;return d};k.appendBackwardsAPI=function(a){a.lng=function(){e.default.deprecate("i18next.lng() can be replaced by i18next.language for detected language or i18next.languages for languages ordered by translation lookup.");return a.services.languageUtils.toResolveHierarchy(a.language)[0]};a.preload=function(b,c){e.default.deprecate("i18next.preload() can be replaced with i18next.loadLanguages()");
a.loadLanguages(b,c)};a.setLng=function(b,c,f){e.default.deprecate("i18next.setLng() can be replaced with i18next.changeLanguage() or i18next.getFixedT() to get a translation function with fixed language or namespace.");"function"===typeof c&&(f=c,c={});c||(c={});if(!0===c.fixLng&&f)return f(null,a.getFixedT(b));a.changeLanguage(b,f)};a.addPostProcessor=function(b,c){e.default.deprecate("i18next.addPostProcessor() can be replaced by i18next.use({ type: 'postProcessor', name: 'name', process: fc })");
a.use({type:"postProcessor",name:b,process:c})}};var e=(h=f(4))&&h.__esModule?h:{"default":h}},function(h,k,f){function a(a){return a.charAt(0).toUpperCase()+a.slice(1)}Object.defineProperty(k,"__esModule",{value:!0});var e=(h=f(4))&&h.__esModule?h:{"default":h};h=function(){function d(a){if(!(this instanceof d))throw new TypeError("Cannot call a class as a function");this.options=a;this.whitelist=this.options.whitelist||!1;this.logger=e.default.create("languageUtils")}d.prototype.getLanguagePartFromCode=
function(a){if(0>a.indexOf("-"))return a;var c=a.split("-");return this.formatLanguageCode(-1<"NB-NO NN-NO nb-NO nn-NO nb-no nn-no".split(" ").indexOf(a)?c[1].toLowerCase():c[0])};d.prototype.formatLanguageCode=function(b){if("string"===typeof b&&-1<b.indexOf("-")){var c="hans hant latn cyrl cans mong arab".split(" ");b=b.split("-");this.options.lowerCaseLng?b=b.map(function(a){return a.toLowerCase()}):2===b.length?(b[0]=b[0].toLowerCase(),b[1]=b[1].toUpperCase(),-1<c.indexOf(b[1].toLowerCase())&&
(b[1]=a(b[1].toLowerCase()))):3===b.length&&(b[0]=b[0].toLowerCase(),2===b[1].length&&(b[1]=b[1].toUpperCase()),"sgn"!==b[0]&&2===b[2].length&&(b[2]=b[2].toUpperCase()),-1<c.indexOf(b[1].toLowerCase())&&(b[1]=a(b[1].toLowerCase())),-1<c.indexOf(b[2].toLowerCase())&&(b[2]=a(b[2].toLowerCase())));return b.join("-")}return this.options.cleanCode||this.options.lowerCaseLng?b.toLowerCase():b};d.prototype.isWhitelisted=function(a){"languageOnly"===this.options.load&&(a=this.getLanguagePartFromCode(a));
return!this.whitelist||!this.whitelist.length||-1<this.whitelist.indexOf(a)?!0:!1};d.prototype.toResolveHierarchy=function(a,c){var d=this;c=c||this.options.fallbackLng||[];"string"===typeof c&&(c=[c]);var e=[],f=function(a){d.isWhitelisted(a)?e.push(a):d.logger.warn("rejecting non-whitelisted language code: "+a)};"string"===typeof a&&-1<a.indexOf("-")?("languageOnly"!==this.options.load&&f(this.formatLanguageCode(a)),"currentOnly"!==this.options.load&&f(this.getLanguagePartFromCode(a))):"string"===
typeof a&&f(this.formatLanguageCode(a));c.forEach(function(a){0>e.indexOf(a)&&f(d.formatLanguageCode(a))});return e};return d}();k.default=h},function(h,k,f){function a(){var a={};b.forEach(function(b){b.lngs.forEach(function(d){return a[d]={numbers:b.nr,plurals:c[b.fc]}})});return a}Object.defineProperty(k,"__esModule",{value:!0});var e="function"===typeof Symbol&&"symbol"===typeof Symbol.iterator?function(a){return typeof a}:function(a){return a&&"function"===typeof Symbol&&a.constructor===Symbol?
"symbol":typeof a},d=(h=f(4))&&h.__esModule?h:{"default":h},b=[{lngs:"ach ak am arn br fil gun ln mfe mg mi oc tg ti tr uz wa".split(" "),nr:[1,2],fc:1},{lngs:"af an ast az bg bn ca da de dev el en eo es es_ar et eu fi fo fur fy gl gu ha he hi hu hy ia it kn ku lb mai ml mn mr nah nap nb ne nl nn no nso pa pap pms ps pt pt_br rm sco se si so son sq sv sw ta te tk ur yo".split(" "),nr:[1,2],fc:2},{lngs:"ay bo cgg fa id ja jbo ka kk km ko ky lo ms sah su th tt ug vi wo zh".split(" "),nr:[1],fc:3},{lngs:"be bs dz hr ru sr uk".split(" "),
nr:[1,2,5],fc:4},{lngs:["ar"],nr:[0,1,2,3,11,100],fc:5},{lngs:["cs","sk"],nr:[1,2,5],fc:6},{lngs:["csb","pl"],nr:[1,2,5],fc:7},{lngs:["cy"],nr:[1,2,3,8],fc:8},{lngs:["fr"],nr:[1,2],fc:9},{lngs:["ga"],nr:[1,2,3,7,11],fc:10},{lngs:["gd"],nr:[1,2,3,20],fc:11},{lngs:["is"],nr:[1,2],fc:12},{lngs:["jv"],nr:[0,1],fc:13},{lngs:["kw"],nr:[1,2,3,4],fc:14},{lngs:["lt"],nr:[1,2,10],fc:15},{lngs:["lv"],nr:[1,2,0],fc:16},{lngs:["mk"],nr:[1,2],fc:17},{lngs:["mnk"],nr:[0,1,2],fc:18},{lngs:["mt"],nr:[1,2,11,20],fc:19},
{lngs:["or"],nr:[2,1],fc:2},{lngs:["ro"],nr:[1,2,20],fc:20},{lngs:["sl"],nr:[5,1,2,3],fc:21}],c={1:function(a){return Number(1<a)},2:function(a){return Number(1!=a)},3:function(a){return 0},4:function(a){return Number(1==a%10&&11!=a%100?0:2<=a%10&&4>=a%10&&(10>a%100||20<=a%100)?1:2)},5:function(a){return Number(0===a?0:1==a?1:2==a?2:3<=a%100&&10>=a%100?3:11<=a%100?4:5)},6:function(a){return Number(1==a?0:2<=a&&4>=a?1:2)},7:function(a){return Number(1==a?0:2<=a%10&&4>=a%10&&(10>a%100||20<=a%100)?1:
2)},8:function(a){return Number(1==a?0:2==a?1:8!=a&&11!=a?2:3)},9:function(a){return Number(2<=a)},10:function(a){return Number(1==a?0:2==a?1:7>a?2:11>a?3:4)},11:function(a){return Number(1==a||11==a?0:2==a||12==a?1:2<a&&20>a?2:3)},12:function(a){return Number(1!=a%10||11==a%100)},13:function(a){return Number(0!==a)},14:function(a){return Number(1==a?0:2==a?1:3==a?2:3)},15:function(a){return Number(1==a%10&&11!=a%100?0:2<=a%10&&(10>a%100||20<=a%100)?1:2)},16:function(a){return Number(1==a%10&&11!=
a%100?0:0!==a?1:2)},17:function(a){return Number(1==a||1==a%10?0:1)},18:function(a){return Number(0==a?0:1==a?1:2)},19:function(a){return Number(1==a?0:0===a||1<a%100&&11>a%100?1:10<a%100&&20>a%100?2:3)},20:function(a){return Number(1==a?0:0===a||0<a%100&&20>a%100?1:2)},21:function(a){return Number(1==a%100?1:2==a%100?2:3==a%100||4==a%100?3:0)}};h=function(){function b(c){var e=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];if(!(this instanceof b))throw new TypeError("Cannot call a class as a function");
this.languageUtils=c;this.options=e;this.logger=d.default.create("pluralResolver");this.rules=a()}b.prototype.addRule=function(a,b){this.rules[a]=b};b.prototype.getRule=function(a){return this.rules[this.languageUtils.getLanguagePartFromCode(a)]};b.prototype.needsPlural=function(a){return(a=this.getRule(a))&&1>=a.numbers.length?!1:!0};b.prototype.getSuffix=function(a,b){var c=this,d=this.getRule(a);if(d){var f=function(){if(1===d.numbers.length)return{v:""};var a=d.noAbs?d.plurals(b):d.plurals(Math.abs(b)),
e=d.numbers[a];2===d.numbers.length&&1===d.numbers[0]&&(2===e?e="plural":1===e&&(e=""));var f=function(){return c.options.prepend&&e.toString()?c.options.prepend+e.toString():e.toString()};return"v1"===c.options.compatibilityJSON?1===e?{v:""}:"number"===typeof e?{v:"_plural_"+e.toString()}:{v:f()}:"v2"===c.options.compatibilityJSON||2===d.numbers.length&&1===d.numbers[0]||2===d.numbers.length&&1===d.numbers[0]?{v:f()}:{v:c.options.prepend&&a.toString()?c.options.prepend+a.toString():a.toString()}}();
if("object"===("undefined"===typeof f?"undefined":e(f)))return f.v}else return this.logger.warn("no plural rule found for: "+a),""};return b}();k.default=h},function(h,k,f){Object.defineProperty(k,"__esModule",{value:!0});var a=function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var c in a)Object.prototype.hasOwnProperty.call(a,c)&&(b[c]=a[c]);b.default=a;return b}(f(7)),e=(h=f(4))&&h.__esModule?h:{"default":h};h=function(){function d(){var a=0>=arguments.length||void 0===arguments[0]?
{}:arguments[0];if(!(this instanceof d))throw new TypeError("Cannot call a class as a function");this.logger=e.default.create("interpolator");this.init(a,!0)}d.prototype.init=function(){var b=0>=arguments.length||void 0===arguments[0]?{}:arguments[0];arguments[1]&&(this.options=b);b.interpolation||(b.interpolation={escapeValue:!0});b=b.interpolation;this.escapeValue=b.escapeValue;this.prefix=b.prefix?a.regexEscape(b.prefix):b.prefixEscaped||"{{";this.suffix=b.suffix?a.regexEscape(b.suffix):b.suffixEscaped||
"}}";this.unescapeSuffix=(this.unescapePrefix=b.unescapeSuffix?"":b.unescapePrefix||"-")?"":b.unescapeSuffix||"";this.nestingPrefix=b.nestingPrefix?a.regexEscape(b.nestingPrefix):b.nestingPrefixEscaped||a.regexEscape("$t(");this.nestingSuffix=b.nestingSuffix?a.regexEscape(b.nestingSuffix):b.nestingSuffixEscaped||a.regexEscape(")");this.regexp=RegExp(this.prefix+"(.+?)"+this.suffix,"g");this.regexpUnescape=RegExp(this.prefix+this.unescapePrefix+"(.+?)"+this.unescapeSuffix+this.suffix,"g");this.nestingRegexp=
RegExp(this.nestingPrefix+"(.+?)"+this.nestingSuffix,"g")};d.prototype.reset=function(){this.options&&this.init(this.options)};d.prototype.interpolate=function(b,c){for(var d=void 0,e=void 0;d=this.regexpUnescape.exec(b);)e=a.getPath(c,d[1].trim()),b=b.replace(d[0],e);for(;d=this.regexp.exec(b);)e=a.getPath(c,d[1].trim()),"string"!==typeof e&&(e=a.makeString(e)),e||(this.logger.warn("missed to pass in variable "+d[1]+" for interpolating "+b),e=""),e=this.escapeValue?a.escape(e).replace(/\$/g,"$$$$"):
e.replace(/\$/g,"$$$$"),b=b.replace(d[0],e),this.regexp.lastIndex=0;return b};d.prototype.nest=function(b,c){function d(a){return a.replace(/\$/g,"$$$$")}function e(a){if(0>a.indexOf(","))return a;var b=a.split(",");a=b.shift();b=b.join(",");b=this.interpolate(b,k);try{k=JSON.parse(b)}catch(c){this.logger.error("failed parsing options string in nesting for key "+a,c)}return a}var f=void 0,h=void 0,k=JSON.parse(JSON.stringify(2>=arguments.length||void 0===arguments[2]?{}:arguments[2]));for(k.applyPostProcessor=
!1;f=this.nestingRegexp.exec(b);)h=c(e.call(this,f[1].trim()),k),"string"!==typeof h&&(h=a.makeString(h)),h||(this.logger.warn("missed to pass in variable "+f[1]+" for interpolating "+b),h=""),h=this.escapeValue?d(a.escape(h)):d(h),b=b.replace(f[0],h),this.regexp.lastIndex=0;return b};return d}();k.default=h},function(h,k,f){function a(a,b){if("function"!==typeof b&&null!==b)throw new TypeError("Super expression must either be null or a function, not "+typeof b);a.prototype=Object.create(b&&b.prototype,
{constructor:{value:a,enumerable:!1,writable:!0,configurable:!0}});if(b)if(Object.setPrototypeOf)Object.setPrototypeOf(a,b);else for(var c=Object.getOwnPropertyNames(b),d=0;d<c.length;d++){var e=c[d],f=Object.getOwnPropertyDescriptor(b,e);f&&(f.configurable&&void 0===a[e])&&Object.defineProperty(a,e,f)}}Object.defineProperty(k,"__esModule",{value:!0});var e=Object.assign||function(a){for(var b=1;b<arguments.length;b++){var c=arguments[b],d;for(d in c)Object.prototype.hasOwnProperty.call(c,d)&&(a[d]=
c[d])}return a},d=function(){return function(a,b){if(Array.isArray(a))return a;if(Symbol.iterator in Object(a)){var c=[],d=!0,e=!1,f=void 0;try{for(var h=a[Symbol.iterator](),k;!(d=(k=h.next()).done)&&!(c.push(k.value),b&&c.length===b);d=!0);}catch(u){e=!0,f=u}finally{try{if(!d&&h["return"])h["return"]()}finally{if(e)throw f;}}return c}throw new TypeError("Invalid attempt to destructure non-iterable instance");}}(),b=function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var c in a)Object.prototype.hasOwnProperty.call(a,
c)&&(b[c]=a[c]);b.default=a;return b}(f(7)),c=(h=f(4))&&h.__esModule?h:{"default":h};f=f(5);f=function(f){function h(a,b,d){var e=3>=arguments.length||void 0===arguments[3]?{}:arguments[3];if(!(this instanceof h))throw new TypeError("Cannot call a class as a function");var k;k=f.call(this);if(!this)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");k=k&&("object"===typeof k||"function"===typeof k)?k:this;k.backend=a;k.store=b;k.services=d;k.options=e;k.logger=c.default.create("backendConnector");
k.state={};k.queue=[];k.backend&&k.backend.init&&k.backend.init(d,e.backend,e);return k}a(h,f);h.prototype.queueLoad=function(a,b,c){var d=this,e=[],f=[],g=[],h=[];a.forEach(function(a){var c=!0;b.forEach(function(b){var g=a+"|"+b;d.store.hasResourceBundle(a,b)?d.state[g]=2:0>d.state[g]||(1===d.state[g]?0>f.indexOf(g)&&f.push(g):(d.state[g]=1,c=!1,0>f.indexOf(g)&&f.push(g),0>e.indexOf(g)&&e.push(g),0>h.indexOf(b)&&h.push(b)))});c||g.push(a)});(e.length||f.length)&&this.queue.push({pending:f,loaded:{},
errors:[],callback:c});return{toLoad:e,pending:f,toLoadLanguages:g,toLoadNamespaces:h}};h.prototype.loaded=function(a,c,e){var f=this,g=a.split("|"),g=d(g,2),h=g[0],k=g[1];c&&this.emit("failedLoading",h,k,c);e&&this.store.addResourceBundle(h,k,e);this.state[a]=c?-1:2;this.queue.forEach(function(d){b.pushPath(d.loaded,[h],k);for(var e=d.pending,g=e.indexOf(a);-1!==g;)e.splice(g,1),g=e.indexOf(a);c&&d.errors.push(c);0===d.pending.length&&!d.done&&(d.errors.length?d.callback(d.errors):d.callback(),f.emit("loaded",
d.loaded),d.done=!0)});this.queue=this.queue.filter(function(a){return!a.done})};h.prototype.read=function(a,b,c,d,e,f){var g=this;d||(d=0);e||(e=250);if(!a.length)return f(null,{});this.backend[c](a,b,function(h,k){h&&k&&5>d?setTimeout(function(){g.read.call(g,a,b,c,++d,2*e,f)},e):f(h,k)})};h.prototype.load=function(a,c,f){var g=this;if(!this.backend)return this.logger.warn("No backend was added via i18next.use. Will not load resources."),f&&f();var h=e({},this.backend.options,this.options.backend);
"string"===typeof a&&(a=this.services.languageUtils.toResolveHierarchy(a));"string"===typeof c&&(c=[c]);var k=this.queueLoad(a,c,f);k.toLoad.length?h.allowMultiLoading&&this.backend.readMulti?this.read(k.toLoadLanguages,k.toLoadNamespaces,"readMulti",null,null,function(a,c){a&&g.logger.warn("loading namespaces "+k.toLoadNamespaces.join(", ")+" for languages "+k.toLoadLanguages.join(", ")+" via multiloading failed",a);!a&&c&&g.logger.log("loaded namespaces "+k.toLoadNamespaces.join(", ")+" for languages "+
k.toLoadLanguages.join(", ")+" via multiloading",c);k.toLoad.forEach(function(e){var f=e.split("|"),h=d(f,2),f=h[0],h=h[1],k=b.getPath(c,[f,h]);k?g.loaded(e,a,k):(f="loading namespace "+h+" for language "+f+" via multiloading failed",g.loaded(e,f),g.logger.error(f))})}):function(){var a=function(a){var b=this,c=a.split("|"),c=d(c,2),e=c[0],f=c[1];this.read(e,f,"read",null,null,function(c,d){c&&b.logger.warn("loading namespace "+f+" for language "+e+" failed",c);!c&&d&&b.logger.log("loaded namespace "+
f+" for language "+e,d);b.loaded(a,c,d)})};k.toLoad.forEach(function(b){a.call(g,b)})}():k.pending.length||f()};h.prototype.saveMissing=function(a,b,c,d){this.backend&&this.backend.create&&this.backend.create(a,b,c,d);a&&a[0]&&this.store.addResource(a[0],b,c,d)};return h}((f&&f.__esModule?f:{"default":f}).default);k.default=f},function(h,k,f){function a(a,c){if("function"!==typeof c&&null!==c)throw new TypeError("Super expression must either be null or a function, not "+typeof c);a.prototype=Object.create(c&&
c.prototype,{constructor:{value:a,enumerable:!1,writable:!0,configurable:!0}});if(c)if(Object.setPrototypeOf)Object.setPrototypeOf(a,c);else for(var d=Object.getOwnPropertyNames(c),e=0;e<d.length;e++){var f=d[e],h=Object.getOwnPropertyDescriptor(c,f);h&&(h.configurable&&void 0===a[f])&&Object.defineProperty(a,f,h)}}Object.defineProperty(k,"__esModule",{value:!0});var e=Object.assign||function(a){for(var c=1;c<arguments.length;c++){var d=arguments[c],e;for(e in d)Object.prototype.hasOwnProperty.call(d,
e)&&(a[e]=d[e])}return a};(function(a){if(a&&a.__esModule)return a;var c={};if(null!=a)for(var d in a)Object.prototype.hasOwnProperty.call(a,d)&&(c[d]=a[d]);c.default=a;return c})(f(7));var d=(h=f(4))&&h.__esModule?h:{"default":h};f=f(5);f=function(b){function c(a,e,f){var h=3>=arguments.length||void 0===arguments[3]?{}:arguments[3];if(!(this instanceof c))throw new TypeError("Cannot call a class as a function");var k;k=b.call(this);if(!this)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
k=k&&("object"===typeof k||"function"===typeof k)?k:this;k.cache=a;k.store=e;k.services=f;k.options=h;k.logger=d.default.create("cacheConnector");k.cache&&k.cache.init&&k.cache.init(f,h.cache,h);return k}a(c,b);c.prototype.load=function(a,b,c){var d=this;if(!this.cache)return c&&c();var f=e({},this.cache.options,this.options.cache);"string"===typeof a&&(a=this.services.languageUtils.toResolveHierarchy(a));"string"===typeof b&&(b=[b]);f.enabled?this.cache.load(a,function(b,e){b&&d.logger.error("loading languages "+
a.join(", ")+" from cache failed",b);if(e)for(var f in e)for(var h in e[f])if("i18nStamp"!==h){var k=e[f][h];k&&d.store.addResourceBundle(f,h,k)}c&&c()}):c&&c()};c.prototype.save=function(){this.cache&&(this.options.cache&&this.options.cache.enabled)&&this.cache.save(this.store.data)};return c}((f&&f.__esModule?f:{"default":f}).default);k.default=f},function(h,k){Object.defineProperty(k,"__esModule",{value:!0});k.get=function(){return{debug:!1,initImmediate:!0,ns:["translation"],defaultNS:["translation"],
fallbackLng:["dev"],fallbackNS:!1,whitelist:!1,load:"all",preload:!1,keySeparator:".",nsSeparator:":",pluralSeparator:"_",contextSeparator:"_",saveMissing:!1,saveMissingTo:"fallback",missingKeyHandler:!1,postProcess:!1,returnNull:!0,returnEmptyString:!0,returnObjects:!1,joinArrays:!1,returnedObjectHandler:function(){},parseMissingKeyHandler:!1,appendNamespaceToMissingKey:!1,overloadTranslationOptionHandler:function(f){return{defaultValue:f[1]}},interpolation:{escapeValue:!0,prefix:"{{",suffix:"}}",
unescapePrefix:"-",nestingPrefix:"$t(",nestingSuffix:")",defaultVariables:void 0}}};k.transformOptions=function(f){"string"===typeof f.ns&&(f.ns=[f.ns]);"string"===typeof f.fallbackLng&&(f.fallbackLng=[f.fallbackLng]);"string"===typeof f.fallbackNS&&(f.fallbackNS=[f.fallbackNS]);f.whitelist&&0>f.whitelist.indexOf("cimode")&&f.whitelist.push("cimode");return f}},function(h,k,f){h.exports=f(18).default},function(h,k,f){function a(a,b,e,f,h){if(f&&"object"===("undefined"===typeof f?"undefined":d(f))){var k=
"",n=encodeURIComponent,p;for(p in f)k+="&"+n(p)+"="+n(f[p]);f=k.slice(1)+(!h?"&_t="+new Date:"")}try{var s=new (XMLHttpRequest||ActiveXObject)("MSXML2.XMLHTTP.3.0");s.open(f?"POST":"GET",a,1);b.crossDomain||s.setRequestHeader("X-Requested-With","XMLHttpRequest");f&&s.setRequestHeader("Content-type","application/x-www-form-urlencoded");s.onreadystatechange=function(){3<s.readyState&&e&&e(s.responseText,s)};s.send(f)}catch(u){window.console&&console.log(u)}}Object.defineProperty(k,"__esModule",{value:!0});
var e=function(){function a(b,c){for(var d=0;d<c.length;d++){var e=c[d];e.enumerable=e.enumerable||!1;e.configurable=!0;"value"in e&&(e.writable=!0);Object.defineProperty(b,e.key,e)}}return function(b,d,e){d&&a(b.prototype,d);e&&a(b,e);return b}}(),d="function"===typeof Symbol&&"symbol"===typeof Symbol.iterator?function(a){return typeof a}:function(a){return a&&"function"===typeof Symbol&&a.constructor===Symbol?"symbol":typeof a},b=function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var d in a)Object.prototype.hasOwnProperty.call(a,
d)&&(b[d]=a[d]);b.default=a;return b}(f(19));h=function(){function c(a){var b=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];if(!(this instanceof c))throw new TypeError("Cannot call a class as a function");this.init(a,b);this.type="backend"}e(c,[{key:"init",value:function(c){var d=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];this.services=c;this.options=b.defaults(d,this.options||{},{loadPath:"/locales/{{lng}}/{{ns}}.json",addPath:"locales/add/{{lng}}/{{ns}}",allowMultiLoading:!1,
parse:JSON.parse,crossDomain:!1,ajax:a})}},{key:"readMulti",value:function(a,b,c){a=this.services.interpolator.interpolate(this.options.loadPath,{lng:a.join("+"),ns:b.join("+")});this.loadUrl(a,c)}},{key:"read",value:function(a,b,c){a=this.services.interpolator.interpolate(this.options.loadPath,{lng:a,ns:b});this.loadUrl(a,c)}},{key:"loadUrl",value:function(a,b){var c=this;this.options.ajax(a,this.options,function(d,e){var f=e.status.toString();if(0===f.indexOf("5"))return b("failed loading "+a,!0);
if(0===f.indexOf("4"))return b("failed loading "+a,!1);var h=f=void 0;try{f=c.options.parse(d)}catch(k){h="failed parsing "+a+" to json"}if(h)return b(h,!1);b(null,f)})}},{key:"create",value:function(a,b,c,d){var e=this;"string"===typeof a&&(a=[a]);var f={};f[c]=d||"";a.forEach(function(a){a=e.services.interpolator.interpolate(e.options.addPath,{lng:a,ns:b});e.options.ajax(a,e.options,function(a,b){},f)})}}]);return c}();h.type="backend";k.default=h},function(h,k){Object.defineProperty(k,"__esModule",
{value:!0});k.defaults=function(d){a.call(e.call(arguments,1),function(a){if(a)for(var c in a)void 0===d[c]&&(d[c]=a[c])});return d};k.extend=function(d){a.call(e.call(arguments,1),function(a){if(a)for(var c in a)d[c]=a[c]});return d};var f=[],a=f.forEach,e=f.slice},function(h,k,f){h.exports=f(21).default},function(h,k,f){function a(a){return a&&a.__esModule?a:{"default":a}}Object.defineProperty(k,"__esModule",{value:!0});var e=function(){function a(b,c){for(var d=0;d<c.length;d++){var e=c[d];e.enumerable=
e.enumerable||!1;e.configurable=!0;"value"in e&&(e.writable=!0);Object.defineProperty(b,e.key,e)}}return function(b,c,d){c&&a(b.prototype,c);d&&a(b,d);return b}}(),d=function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var c in a)Object.prototype.hasOwnProperty.call(a,c)&&(b[c]=a[c]);b.default=a;return b}(f(22));h=f(23);var b=a(h);h=f(24);var c=a(h);h=f(25);var g=a(h);h=f(26);var l=a(h);f=f(27);var m=a(f);f=function(){function a(b){var c=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];
if(!(this instanceof a))throw new TypeError("Cannot call a class as a function");this.type="languageDetector";this.detectors={};this.init(b,c)}e(a,[{key:"init",value:function(a){var e=1>=arguments.length||void 0===arguments[1]?{}:arguments[1],f=2>=arguments.length||void 0===arguments[2]?{}:arguments[2];this.services=a;this.options=d.defaults(e,this.options||{},{order:["querystring","cookie","localStorage","navigator","htmlTag"],lookupQuerystring:"lng",lookupCookie:"i18next",lookupLocalStorage:"i18nextLng",
caches:["localStorage"]});this.i18nOptions=f;this.addDetector(b.default);this.addDetector(c.default);this.addDetector(g.default);this.addDetector(l.default);this.addDetector(m.default)}},{key:"addDetector",value:function(a){this.detectors[a.name]=a}},{key:"detect",value:function(a){var b=this;a||(a=this.options.order);var c=[];a.forEach(function(a){b.detectors[a]&&((a=b.detectors[a].lookup(b.options))&&"string"===typeof a&&(a=[a]),a&&(c=c.concat(a)))});var d=void 0;c.forEach(function(a){d||(a=b.services.languageUtils.formatLanguageCode(a),
b.services.languageUtils.isWhitelisted(a)&&(d=a))});return d||this.i18nOptions.fallbackLng[0]}},{key:"cacheUserLanguage",value:function(a,b){var c=this;b||(b=this.options.caches);b&&b.forEach(function(b){c.detectors[b]&&c.detectors[b].cacheUserLanguage(a,c.options)})}}]);return a}();f.type="languageDetector";k.default=f},function(h,k){Object.defineProperty(k,"__esModule",{value:!0});k.defaults=function(d){a.call(e.call(arguments,1),function(a){if(a)for(var c in a)void 0===d[c]&&(d[c]=a[c])});return d};
k.extend=function(d){a.call(e.call(arguments,1),function(a){if(a)for(var c in a)d[c]=a[c]});return d};var f=[],a=f.forEach,e=f.slice},function(h,k){Object.defineProperty(k,"__esModule",{value:!0});var f={create:function(a,e,d,b){var c=void 0;d?(c=new Date,c.setTime(c.getTime()+6E4*d),c="; expires="+c.toGMTString()):c="";document.cookie=a+"="+e+c+";"+(b?"domain="+b+";":"")+"path=/"},read:function(a){a+="=";for(var e=document.cookie.split(";"),d=0;d<e.length;d++){for(var b=e[d];" "===b.charAt(0);)b=
b.substring(1,b.length);if(0===b.indexOf(a))return b.substring(a.length,b.length)}return null},remove:function(a){this.create(a,"",-1)}};k.default={name:"cookie",lookup:function(a){var e=void 0;a.lookupCookie&&"undefined"!==typeof document&&(a=f.read(a.lookupCookie))&&(e=a);return e},cacheUserLanguage:function(a,e){e.lookupCookie&&"undefined"!==typeof document&&f.create(e.lookupCookie,a,e.cookieMinutes,e.cookieDomain)}}},function(h,k){Object.defineProperty(k,"__esModule",{value:!0});k.default={name:"querystring",
lookup:function(f){var a=void 0;if("undefined"!==typeof window)for(var e=window.location.search.substring(1).split("&"),d=0;d<e.length;d++){var b=e[d].indexOf("=");0<b&&e[d].substring(0,b)===f.lookupQuerystring&&(a=e[d].substring(b+1))}return a}}},function(h,k){Object.defineProperty(k,"__esModule",{value:!0});var f={setItem:function(a,e){if(window.localStorage)try{window.localStorage.setItem(a,e)}catch(d){}},getItem:function(a,e){if(window.localStorage)try{return window.localStorage.getItem(a,e)}catch(d){}}};
k.default={name:"localStorage",lookup:function(a){var e=void 0;a.lookupLocalStorage&&"undefined"!==typeof window&&window.localStorage&&(a=f.getItem(a.lookupLocalStorage))&&(e=a);return e},cacheUserLanguage:function(a,e){e.lookupLocalStorage&&("undefined"!==typeof window&&window.localStorage)&&f.setItem(e.lookupLocalStorage,a)}}},function(h,k){Object.defineProperty(k,"__esModule",{value:!0});k.default={name:"navigator",lookup:function(f){f=[];if("undefined"!==typeof navigator){if(navigator.languages)for(var a=
0;a<navigator.languages.length;a++)f.push(navigator.languages[a]);navigator.userLanguage&&f.push(navigator.userLanguage);navigator.language&&f.push(navigator.language)}return 0<f.length?f:void 0}}},function(h,k){Object.defineProperty(k,"__esModule",{value:!0});k.default={name:"htmlTag",lookup:function(f){var a=void 0;(f=f.htmlTag||("undefined"!==typeof document?document.documentElement:null))&&"function"===typeof f.getAttribute&&(a=f.getAttribute("lang"));return a}}},function(h,k,f){h.exports=f(29).default},
function(h,k,f){Object.defineProperty(k,"__esModule",{value:!0});var a=function(){function a(b,d){for(var e=0;e<d.length;e++){var f=d[e];f.enumerable=f.enumerable||!1;f.configurable=!0;"value"in f&&(f.writable=!0);Object.defineProperty(b,f.key,f)}}return function(c,d,e){d&&a(c.prototype,d);e&&a(c,e);return c}}(),e=function(a){if(a&&a.__esModule)return a;var c={};if(null!=a)for(var d in a)Object.prototype.hasOwnProperty.call(a,d)&&(c[d]=a[d]);c.default=a;return c}(f(30)),d={setItem:function(a,c){if(window.localStorage)try{window.localStorage.setItem(a,
c)}catch(d){}},getItem:function(a,c){if(window.localStorage)try{return window.localStorage.getItem(a,c)}catch(d){}}};h=function(){function b(a){var d=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];if(!(this instanceof b))throw new TypeError("Cannot call a class as a function");this.init(a,d);this.type="cache";this.debouncedStore=e.debounce(this.store,1E4)}a(b,[{key:"init",value:function(a){var b=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];this.services=a;this.options=e.defaults(b,
this.options||{},{enabled:!1,prefix:"i18next_res_",expirationTime:6048E5})}},{key:"load",value:function(a,b){var e=this,f={},h=(new Date).getTime();window.localStorage&&function(){var k=a.length;a.forEach(function(a){var c=d.getItem(e.options.prefix+a);c&&(c=JSON.parse(c),c.i18nStamp&&c.i18nStamp+e.options.expirationTime>h&&(f[a]=c));k--;0===k&&b(null,f)})}()}},{key:"store",value:function(a){if(window.localStorage)for(var b in a)a[b].i18nStamp=(new Date).getTime(),d.setItem(this.options.prefix+b,
JSON.stringify(a[b]))}},{key:"save",value:function(a){this.debouncedStore(a)}}]);return b}();h.type="cache";k.default=h},function(h,k){Object.defineProperty(k,"__esModule",{value:!0});k.defaults=function(d){a.call(e.call(arguments,1),function(a){if(a)for(var c in a)void 0===d[c]&&(d[c]=a[c])});return d};k.extend=function(d){a.call(e.call(arguments,1),function(a){if(a)for(var c in a)d[c]=a[c]});return d};k.debounce=function(a,b,c){var e;return function(){var f=this,h=arguments,k=c&&!e;clearTimeout(e);
e=setTimeout(function(){e=null;c||a.apply(f,h)},b);k&&a.apply(f,h)}};var f=[],a=f.forEach,e=f.slice}]);
